<?php
/*----------------------------------------------------------------------------------|  www.giz.de  |----/
	Deutsche Gesellschaft für International Zusammenarbeit (GIZ) Gmb 
/-------------------------------------------------------------------------------------------------------/

	@version		3.2.0
	@build			12th January, 2016
	@created		15th June, 2012
	@package		Cost Benefit Projection
	@subpackage		health_data.php
	@author			Llewellyn van der Merwe <http://www.vdm.io>	
	@owner			Deutsche Gesellschaft für International Zusammenarbeit (GIZ) Gmb
	@copyright		Copyright (C) 2015. All Rights Reserved
	@license		GNU/GPL Version 2 or later - http://www.gnu.org/licenses/gpl-2.0.html
	
/-------------------------------------------------------------------------------------------------------/
	Cost Benefit Projection Tool.
/------------------------------------------------------------------------------------------------------*/

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

use Joomla\Registry\Registry;

// import Joomla modelform library
jimport('joomla.application.component.modeladmin');

/**
 * Costbenefitprojection Health_data Model
 */
class CostbenefitprojectionModelHealth_data extends JModelAdmin
{    
	/**
	 * @var        string    The prefix to use with controller messages.
	 * @since   1.6
	 */
	protected $text_prefix = 'COM_COSTBENEFITPROJECTION';
    
	/**
	 * The type alias for this content type.
	 *
	 * @var      string
	 * @since    3.2
	 */
	public $typeAlias = 'com_costbenefitprojection.health_data';

	/**
	 * Returns a Table object, always creating it
	 *
	 * @param   type    $type    The table type to instantiate
	 * @param   string  $prefix  A prefix for the table class name. Optional.
	 * @param   array   $config  Configuration array for model. Optional.
	 *
	 * @return  JTable  A database object
	 *
	 * @since   1.6
	 */
	public function getTable($type = 'health_data', $prefix = 'CostbenefitprojectionTable', $config = array())
	{
		return JTable::getInstance($type, $prefix, $config);
	}
    
	/**
	 * Method to get a single record.
	 *
	 * @param   integer  $pk  The id of the primary key.
	 *
	 * @return  mixed  Object on success, false on failure.
	 *
	 * @since   1.6
	 */
	public function getItem($pk = null)
	{
		if ($item = parent::getItem($pk))
		{
			if (!empty($item->params))
			{
				// Convert the params field to an array.
				$registry = new Registry;
				$registry->loadString($item->params);
				$item->params = $registry->toArray();
			}

			if (!empty($item->metadata))
			{
				// Convert the metadata field to an array.
				$registry = new Registry;
				$registry->loadString($item->metadata);
				$item->metadata = $registry->toArray();
			}
			
			if (!empty($item->id))
			{
				$item->tags = new JHelperTags;
				$item->tags->getTagIds($item->id, 'com_costbenefitprojection.health_data');
			}
		}

		return $item;
	} 

	/**
	 * Method to get the record form.
	 *
	 * @param   array    $data      Data for the form.
	 * @param   boolean  $loadData  True if the form is to load its own data (default case), false if not.
	 *
	 * @return  mixed  A JForm object on success, false on failure
	 *
	 * @since   1.6
	 */
	public function getForm($data = array(), $loadData = true)
	{		// [9865] Get the form.
		$form = $this->loadForm('com_costbenefitprojection.health_data', 'health_data', array('control' => 'jform', 'load_data' => $loadData));

		if (empty($form))
		{
			return false;
		}

		$jinput = JFactory::getApplication()->input;

		// [9950] The front end calls this model and uses a_id to avoid id clashes so we need to check for that first.
		if ($jinput->get('a_id'))
		{
			$id = $jinput->get('a_id', 0, 'INT');
		}
		// [9955] The back end uses id so we use that the rest of the time and set it to 0 by default.
		else
		{
			$id = $jinput->get('id', 0, 'INT');
		}

		$user = JFactory::getUser();

		// [9961] Check for existing item.
		// [9962] Modify the form based on Edit State access controls.
		if ($id != 0 && (!$user->authorise('health_data.edit.state', 'com_costbenefitprojection.health_data.' . (int) $id))
			|| ($id == 0 && !$user->authorise('health_data.edit.state', 'com_costbenefitprojection')))
		{
			// [9975] Disable fields for display.
			$form->setFieldAttribute('ordering', 'disabled', 'true');
			$form->setFieldAttribute('published', 'disabled', 'true');
			// [9978] Disable fields while saving.
			$form->setFieldAttribute('ordering', 'filter', 'unset');
			$form->setFieldAttribute('published', 'filter', 'unset');
		}
		// [9983] Modify the form based on Edit Creaded By access controls.
		if (!$user->authorise('core.edit.created_by', 'com_costbenefitprojection'))
		{
			// [9995] Disable fields for display.
			$form->setFieldAttribute('created_by', 'disabled', 'true');
			// [9997] Disable fields for display.
			$form->setFieldAttribute('created_by', 'readonly', 'true');
			// [9999] Disable fields while saving.
			$form->setFieldAttribute('created_by', 'filter', 'unset');
		}
		// [10002] Modify the form based on Edit Creaded Date access controls.
		if (!$user->authorise('core.edit.created', 'com_costbenefitprojection'))
		{
			// [10014] Disable fields for display.
			$form->setFieldAttribute('created', 'disabled', 'true');
			// [10016] Disable fields while saving.
			$form->setFieldAttribute('created', 'filter', 'unset');
		}
		// [10024] Modify the form based on Edit Causerisk access controls.
		if ($id != 0 && (!$user->authorise('health_data.edit.causerisk', 'com_costbenefitprojection.health_data.' . (int) $id))
			|| ($id == 0 && !$user->authorise('health_data.edit.causerisk', 'com_costbenefitprojection')))
		{
			// [10028] Disable fields for display.
			$form->setFieldAttribute('causerisk', 'disabled', 'true');
			// [10030] Disable fields for display.
			$form->setFieldAttribute('causerisk', 'readonly', 'true');
			if (!$form->getValue('causerisk'))
			{
				// [10040] Disable fields while saving.
				$form->setFieldAttribute('causerisk', 'filter', 'unset');
				// [10042] Disable fields while saving.
				$form->setFieldAttribute('causerisk', 'required', 'false');
			}
		}
		// [10024] Modify the form based on Edit Year access controls.
		if ($id != 0 && (!$user->authorise('health_data.edit.year', 'com_costbenefitprojection.health_data.' . (int) $id))
			|| ($id == 0 && !$user->authorise('health_data.edit.year', 'com_costbenefitprojection')))
		{
			// [10028] Disable fields for display.
			$form->setFieldAttribute('year', 'disabled', 'true');
			// [10030] Disable fields for display.
			$form->setFieldAttribute('year', 'readonly', 'true');
			if (!$form->getValue('year'))
			{
				// [10040] Disable fields while saving.
				$form->setFieldAttribute('year', 'filter', 'unset');
				// [10042] Disable fields while saving.
				$form->setFieldAttribute('year', 'required', 'false');
			}
		}
		// [10024] Modify the form based on Edit Country access controls.
		if ($id != 0 && (!$user->authorise('health_data.edit.country', 'com_costbenefitprojection.health_data.' . (int) $id))
			|| ($id == 0 && !$user->authorise('health_data.edit.country', 'com_costbenefitprojection')))
		{
			// [10028] Disable fields for display.
			$form->setFieldAttribute('country', 'disabled', 'true');
			// [10030] Disable fields for display.
			$form->setFieldAttribute('country', 'readonly', 'true');
			if (!$form->getValue('country'))
			{
				// [10040] Disable fields while saving.
				$form->setFieldAttribute('country', 'filter', 'unset');
				// [10042] Disable fields while saving.
				$form->setFieldAttribute('country', 'required', 'false');
			}
		}
		// [10024] Modify the form based on Edit Femaledeath access controls.
		if ($id != 0 && (!$user->authorise('health_data.edit.femaledeath', 'com_costbenefitprojection.health_data.' . (int) $id))
			|| ($id == 0 && !$user->authorise('health_data.edit.femaledeath', 'com_costbenefitprojection')))
		{
			// [10028] Disable fields for display.
			$form->setFieldAttribute('femaledeath', 'disabled', 'true');
			// [10030] Disable fields for display.
			$form->setFieldAttribute('femaledeath', 'readonly', 'true');
			// [10034] Disable radio button for display.
			$class = $form->getFieldAttribute('femaledeath', 'class', '');
			$form->setFieldAttribute('femaledeath', 'class', $class.' disabled no-click');
			if (!$form->getValue('femaledeath'))
			{
				// [10040] Disable fields while saving.
				$form->setFieldAttribute('femaledeath', 'filter', 'unset');
				// [10042] Disable fields while saving.
				$form->setFieldAttribute('femaledeath', 'required', 'false');
			}
		}
		// [10024] Modify the form based on Edit Maleyld access controls.
		if ($id != 0 && (!$user->authorise('health_data.edit.maleyld', 'com_costbenefitprojection.health_data.' . (int) $id))
			|| ($id == 0 && !$user->authorise('health_data.edit.maleyld', 'com_costbenefitprojection')))
		{
			// [10028] Disable fields for display.
			$form->setFieldAttribute('maleyld', 'disabled', 'true');
			// [10030] Disable fields for display.
			$form->setFieldAttribute('maleyld', 'readonly', 'true');
			// [10034] Disable radio button for display.
			$class = $form->getFieldAttribute('maleyld', 'class', '');
			$form->setFieldAttribute('maleyld', 'class', $class.' disabled no-click');
			if (!$form->getValue('maleyld'))
			{
				// [10040] Disable fields while saving.
				$form->setFieldAttribute('maleyld', 'filter', 'unset');
				// [10042] Disable fields while saving.
				$form->setFieldAttribute('maleyld', 'required', 'false');
			}
		}
		// [10024] Modify the form based on Edit Maledeath access controls.
		if ($id != 0 && (!$user->authorise('health_data.edit.maledeath', 'com_costbenefitprojection.health_data.' . (int) $id))
			|| ($id == 0 && !$user->authorise('health_data.edit.maledeath', 'com_costbenefitprojection')))
		{
			// [10028] Disable fields for display.
			$form->setFieldAttribute('maledeath', 'disabled', 'true');
			// [10030] Disable fields for display.
			$form->setFieldAttribute('maledeath', 'readonly', 'true');
			// [10034] Disable radio button for display.
			$class = $form->getFieldAttribute('maledeath', 'class', '');
			$form->setFieldAttribute('maledeath', 'class', $class.' disabled no-click');
			if (!$form->getValue('maledeath'))
			{
				// [10040] Disable fields while saving.
				$form->setFieldAttribute('maledeath', 'filter', 'unset');
				// [10042] Disable fields while saving.
				$form->setFieldAttribute('maledeath', 'required', 'false');
			}
		}
		// [10024] Modify the form based on Edit Femaleyld access controls.
		if ($id != 0 && (!$user->authorise('health_data.edit.femaleyld', 'com_costbenefitprojection.health_data.' . (int) $id))
			|| ($id == 0 && !$user->authorise('health_data.edit.femaleyld', 'com_costbenefitprojection')))
		{
			// [10028] Disable fields for display.
			$form->setFieldAttribute('femaleyld', 'disabled', 'true');
			// [10030] Disable fields for display.
			$form->setFieldAttribute('femaleyld', 'readonly', 'true');
			// [10034] Disable radio button for display.
			$class = $form->getFieldAttribute('femaleyld', 'class', '');
			$form->setFieldAttribute('femaleyld', 'class', $class.' disabled no-click');
			if (!$form->getValue('femaleyld'))
			{
				// [10040] Disable fields while saving.
				$form->setFieldAttribute('femaleyld', 'filter', 'unset');
				// [10042] Disable fields while saving.
				$form->setFieldAttribute('femaleyld', 'required', 'false');
			}
		}

		return $form;
	}

	/**
	 * Method to get the script that have to be included on the form
	 *
	 * @return string	script files
	 */
	public function getScript()
	{
		return 'administrator/components/com_costbenefitprojection/models/forms/health_data.js';
	}
    
	/**
	 * Method to test whether a record can be deleted.
	 *
	 * @param   object  $record  A record object.
	 *
	 * @return  boolean  True if allowed to delete the record. Defaults to the permission set in the component.
	 *
	 * @since   1.6
	 */
	protected function canDelete($record)
	{
		if (!empty($record->id))
		{
			if ($record->published != -2)
			{
				return;
			}

			$user = JFactory::getUser();
			// [10166] The record has been set. Check the record permissions.
			return $user->authorise('health_data.delete', 'com_costbenefitprojection.health_data.' . (int) $record->id);
		}
		return false;
	}

	/**
	 * Method to test whether a record can have its state edited.
	 *
	 * @param   object  $record  A record object.
	 *
	 * @return  boolean  True if allowed to change the state of the record. Defaults to the permission set in the component.
	 *
	 * @since   1.6
	 */
	protected function canEditState($record)
	{
		$user = JFactory::getUser();
		$recordId	= (!empty($record->id)) ? $record->id : 0;

		if ($recordId)
		{
			// [10253] The record has been set. Check the record permissions.
			$permission = $user->authorise('health_data.edit.state', 'com_costbenefitprojection.health_data.' . (int) $recordId);
			if (!$permission && !is_null($permission))
			{
				return false;
			}
		}
		// [10270] In the absense of better information, revert to the component permissions.
		return $user->authorise('health_data.edit.state', 'com_costbenefitprojection');
	}
    
	/**
	 * Method override to check if you can edit an existing record.
	 *
	 * @param	array	$data	An array of input data.
	 * @param	string	$key	The name of the key for the primary key.
	 *
	 * @return	boolean
	 * @since	2.5
	 */
	protected function allowEdit($data = array(), $key = 'id')
	{
		// [10078] Check specific edit permission then general edit permission.
		$user = JFactory::getUser();
		$recordId	= (int) isset($data[$key]) ? $data[$key] : 0;
		if (!$user->authorise('core.options', 'com_costbenefitprojection'))
		{
			// make absolutely sure that this health data can be edited
			$is = CostbenefitprojectionHelper::userIs($user->id);
			$countries = CostbenefitprojectionHelper::hisCountries($user->id);
			$country = CostbenefitprojectionHelper::getId('health_data',$recordId,'id','country');
			if ((3 != $is) || !CostbenefitprojectionHelper::checkArray($countries) || !in_array($country,$countries))
			{
				return false;
			}
		}
		return $user->authorise('health_data.edit', 'com_costbenefitprojection.health_data.'. ((int) isset($data[$key]) ? $data[$key] : 0)) or $user->authorise('health_data.edit',  'com_costbenefitprojection');
	}
    
	/**
	 * Prepare and sanitise the table data prior to saving.
	 *
	 * @param   JTable  $table  A JTable object.
	 *
	 * @return  void
	 *
	 * @since   1.6
	 */
	protected function prepareTable($table)
	{
		$date = JFactory::getDate();
		$user = JFactory::getUser();
		
		if (isset($table->name))
		{
			$table->name = htmlspecialchars_decode($table->name, ENT_QUOTES);
		}
		
		if (isset($table->alias) && empty($table->alias))
		{
			$table->generateAlias();
		}
		
		if (empty($table->id))
		{
			$table->created = $date->toSql();
			// set the user
			if ($table->created_by == 0)
			{
				$table->created_by = $user->id;
			}
			// Set ordering to the last item if not set
			if (empty($table->ordering))
			{
				$db = JFactory::getDbo();
				$query = $db->getQuery(true)
					->select('MAX(ordering)')
					->from($db->quoteName('#__costbenefitprojection_health_data'));
				$db->setQuery($query);
				$max = $db->loadResult();

				$table->ordering = $max + 1;
			}
		}
		else
		{
			$table->modified = $date->toSql();
			$table->modified_by = $user->id;
		}
        
		if (!empty($table->id))
		{
			// Increment the items version number.
			$table->version++;
		}
	}

	/**
	 * Method to get the data that should be injected in the form.
	 *
	 * @return  mixed  The data for the form.
	 *
	 * @since   1.6
	 */
	protected function loadFormData() 
	{
		// Check the session for previously entered form data.
		$data = JFactory::getApplication()->getUserState('com_costbenefitprojection.edit.health_data.data', array());

		if (empty($data))
		{
			$data = $this->getItem();
		}

		return $data;
	} 

	/**
	 * Method to get the unique fields of this table.
	 *
	 * @return  mixed  An array of field names, boolean false if none is set.
	 *
	 * @since   3.0
	 */
	protected function getUniqeFields()
	{
		return false;
	}
	
	/**
	 * Method to delete one or more records.
	 *
	 * @param   array  &$pks  An array of record primary keys.
	 *
	 * @return  boolean  True if successful, false if an error occurs.
	 *
	 * @since   12.2
	 */
	public function delete(&$pks)
	{
		if (!parent::delete($pks))
		{
			return false;
		}
		
		return true;
	}
    
	/**
	 * Method to perform batch operations on an item or a set of items.
	 *
	 * @param   array  $commands  An array of commands to perform.
	 * @param   array  $pks       An array of item ids.
	 * @param   array  $contexts  An array of item contexts.
	 *
	 * @return  boolean  Returns true on success, false on failure.
	 *
	 * @since   12.2
	 */
	public function batch($commands, $pks, $contexts)
	{
		// Sanitize ids.
		$pks = array_unique($pks);
		JArrayHelper::toInteger($pks);

		// Remove any values of zero.
		if (array_search(0, $pks, true))
		{
			unset($pks[array_search(0, $pks, true)]);
		}

		if (empty($pks))
		{
			$this->setError(JText::_('JGLOBAL_NO_ITEM_SELECTED'));
			return false;
		}

		$done = false;

		// Set some needed variables.
		$this->user			= JFactory::getUser();
		$this->table			= $this->getTable();
		$this->tableClassName		= get_class($this->table);
		$this->contentType		= new JUcmType;
		$this->type			= $this->contentType->getTypeByTable($this->tableClassName);
		$this->canDo			= CostbenefitprojectionHelper::getActions('health_data');
		$this->batchSet			= true;

		if (!$this->canDo->get('core.batch'))
		{
			$this->setError(JText::_('JLIB_APPLICATION_ERROR_INSUFFICIENT_BATCH_INFORMATION'));
			return false;
		}
        
		if ($this->type == false)
		{
			$type = new JUcmType;
			$this->type = $type->getTypeByAlias($this->typeAlias);
		}

		$this->tagsObserver = $this->table->getObserverOfClass('JTableObserverTags');

		if (!empty($commands['move_copy']))
		{
			$cmd = JArrayHelper::getValue($commands, 'move_copy', 'c');

			if ($cmd == 'c')
			{
				$result = $this->batchCopy($commands, $pks, $contexts);

				if (is_array($result))
				{
					foreach ($result as $old => $new)
					{
						$contexts[$new] = $contexts[$old];
					}
					$pks = array_values($result);
				}
				else
				{
					return false;
				}
			}
			elseif ($cmd == 'm' && !$this->batchMove($commands, $pks, $contexts))
			{
				return false;
			}

			$done = true;
		}

		if (!$done)
		{
			$this->setError(JText::_('JLIB_APPLICATION_ERROR_INSUFFICIENT_BATCH_INFORMATION'));

			return false;
		}

		// Clear the cache
		$this->cleanCache();

		return true;
	}

	/**
	 * Batch copy items to a new category or current.
	 *
	 * @param   integer  $values    The new values.
	 * @param   array    $pks       An array of row IDs.
	 * @param   array    $contexts  An array of item contexts.
	 *
	 * @return  mixed  An array of new IDs on success, boolean false on failure.
	 *
	 * @since	12.2
	 */
	protected function batchCopy($values, $pks, $contexts)
	{
		if (empty($this->batchSet))
		{
			// [5226] Set some needed variables.
			$this->user 		= JFactory::getUser();
			$this->table 		= $this->getTable();
			$this->tableClassName	= get_class($this->table);
			$this->contentType	= new JUcmType;
			$this->type		= $this->contentType->getTypeByTable($this->tableClassName);
			$this->canDo		= CostbenefitprojectionHelper::getActions('health_data');
		}

		if (!$this->canDo->get('health_data.create') && !$this->canDo->get('health_data.batch'))
		{
			return false;
		}

		if (!$this->user->authorise('core.options', 'com_costbenefitprojection'))
		{
			// make absolutely sure that this health data can be copied
			$is = CostbenefitprojectionHelper::userIs($this->user->id);
			$countries = CostbenefitprojectionHelper::hisCountries($this->user->id);
			if ((3 == $is) && CostbenefitprojectionHelper::checkArray($countries))
			{
				foreach ($pks as $nr => $pk)
				{
					$country = CostbenefitprojectionHelper::getId('health_data',$pk,'id','country');
					if (!in_array($country,$countries))
					{
						unset($pks[$nr]);
					}
				}
	
				if (empty($pks))
				{
					$this->setError(JText::_('JLIB_APPLICATION_ERROR_BATCH_CANNOT_EDIT'));
	
					return false;
				}
			}
			else
			{
				$this->setError(JText::_('JLIB_APPLICATION_ERROR_BATCH_CANNOT_EDIT'));
				
				return false;
			}
		}

		// [5246] get list of uniqe fields
		$uniqeFields = $this->getUniqeFields();
		// [5248] remove move_copy from array
		unset($values['move_copy']);

		// [5251] make sure published is set
		if (!isset($values['published']))
		{
			$values['published'] = 0;
		}
		elseif (isset($values['published']) && !$this->canDo->get('health_data.edit.state'))
		{
				$values['published'] = 0;
		}

		$newIds = array();

		// [5288] Parent exists so let's proceed
		while (!empty($pks))
		{
			// [5291] Pop the first ID off the stack
			$pk = array_shift($pks);

			$this->table->reset();

			// [5296] only allow copy if user may edit this item.

			if (!$this->user->authorise('health_data.edit', $contexts[$pk]))

			{

				// [5306] Not fatal error

				$this->setError(JText::sprintf('JLIB_APPLICATION_ERROR_BATCH_MOVE_ROW_NOT_FOUND', $pk));

				continue;

			}

			// [5311] Check that the row actually exists
			if (!$this->table->load($pk))
			{
				if ($error = $this->table->getError())
				{
					// [5316] Fatal error
					$this->setError($error);

					return false;
				}
				else
				{
					// [5323] Not fatal error
					$this->setError(JText::sprintf('JLIB_APPLICATION_ERROR_BATCH_MOVE_ROW_NOT_FOUND', $pk));
					continue;
				}
			}

			$this->table->causerisk = $this->generateUniqe('causerisk',$this->table->causerisk);

			// [5359] insert all set values
			if (CostbenefitprojectionHelper::checkArray($values))
			{
				foreach ($values as $key => $value)
				{
					if (strlen($value) > 0 && isset($this->table->$key))
					{
						$this->table->$key = $value;
					}
				}
			}

			// [5371] update all uniqe fields
			if (CostbenefitprojectionHelper::checkArray($uniqeFields))
			{
				foreach ($uniqeFields as $uniqeField)
				{
					$this->table->$uniqeField = $this->generateUniqe($uniqeField,$this->table->$uniqeField);
				}
			}

			// [5380] Reset the ID because we are making a copy
			$this->table->id = 0;

			// [5383] TODO: Deal with ordering?
			// [5384] $this->table->ordering	= 1;

			// [5386] Check the row.
			if (!$this->table->check())
			{
				$this->setError($this->table->getError());

				return false;
			}

			if (!empty($this->type))
			{
				$this->createTagsHelper($this->tagsObserver, $this->type, $pk, $this->typeAlias, $this->table);
			}

			// [5399] Store the row.
			if (!$this->table->store())
			{
				$this->setError($this->table->getError());

				return false;
			}

			// [5407] Get the new item ID
			$newId = $this->table->get('id');

			// [5410] Add the new ID to the array
			$newIds[$pk] = $newId;
		}

		// [5414] Clean the cache
		$this->cleanCache();

		return $newIds;
	} 

	/**
	 * Batch move items to a new category
	 *
	 * @param   integer  $value     The new category ID.
	 * @param   array    $pks       An array of row IDs.
	 * @param   array    $contexts  An array of item contexts.
	 *
	 * @return  boolean  True if successful, false otherwise and internal error is set.
	 *
	 * @since	12.2
	 */
	protected function batchMove($values, $pks, $contexts)
	{
		if (empty($this->batchSet))
		{
			// [5028] Set some needed variables.
			$this->user		= JFactory::getUser();
			$this->table		= $this->getTable();
			$this->tableClassName	= get_class($this->table);
			$this->contentType	= new JUcmType;
			$this->type		= $this->contentType->getTypeByTable($this->tableClassName);
			$this->canDo		= CostbenefitprojectionHelper::getActions('health_data');
		}

		if (!$this->canDo->get('health_data.edit') && !$this->canDo->get('health_data.batch'))
		{
			$this->setError(JText::_('JLIB_APPLICATION_ERROR_BATCH_CANNOT_EDIT'));
			return false;
		}

		if (!$this->user->authorise('core.options', 'com_costbenefitprojection'))
		{
			// make absolutely sure that this health data can be moved
			$is = CostbenefitprojectionHelper::userIs($this->user->id);
			$countries = CostbenefitprojectionHelper::hisCountries($this->user->id);
			if ((3 == $is) && CostbenefitprojectionHelper::checkArray($countries))
			{
				foreach ($pks as $nr => $pk)
				{
					$country = CostbenefitprojectionHelper::getId('health_data',$pk,'id','country');
					if (!in_array($country,$countries))
					{
						unset($pks[$nr]);
					}
				}
	
				if (empty($pks))
				{
					$this->setError(JText::sprintf('JLIB_APPLICATION_ERROR_BATCH_MOVE_ROW_NOT_FOUND', 0));
	
					return false;
				}
			}
			else
			{
				$this->setError(JText::sprintf('JLIB_APPLICATION_ERROR_BATCH_MOVE_ROW_NOT_FOUND', 0));
				
				return false;
			}
		}

		// [5050] make sure published only updates if user has the permission.
		if (isset($values['published']) && !$this->canDo->get('health_data.edit.state'))
		{
			unset($values['published']);
		}
		// [5063] remove move_copy from array
		unset($values['move_copy']);

		// [5084] Parent exists so we proceed
		foreach ($pks as $pk)
		{
			if (!$this->user->authorise('health_data.edit', $contexts[$pk]))
			{
				$this->setError(JText::_('JLIB_APPLICATION_ERROR_BATCH_CANNOT_EDIT'));

				return false;
			}

			// [5101] Check that the row actually exists
			if (!$this->table->load($pk))
			{
				if ($error = $this->table->getError())
				{
					// [5106] Fatal error
					$this->setError($error);

					return false;
				}
				else
				{
					// [5113] Not fatal error
					$this->setError(JText::sprintf('JLIB_APPLICATION_ERROR_BATCH_MOVE_ROW_NOT_FOUND', $pk));
					continue;
				}
			}

			// [5119] insert all set values.
			if (CostbenefitprojectionHelper::checkArray($values))
			{
				foreach ($values as $key => $value)
				{
					// [5124] Do special action for access.
					if ('access' == $key && strlen($value) > 0)
					{
						$this->table->$key = $value;
					}
					elseif (strlen($value) > 0 && isset($this->table->$key))
					{
						$this->table->$key = $value;
					}
				}
			}


			// [5136] Check the row.
			if (!$this->table->check())
			{
				$this->setError($this->table->getError());

				return false;
			}

			if (!empty($this->type))
			{
				$this->createTagsHelper($this->tagsObserver, $this->type, $pk, $this->typeAlias, $this->table);
			}

			// [5149] Store the row.
			if (!$this->table->store())
			{
				$this->setError($this->table->getError());

				return false;
			}
		}

		// [5158] Clean the cache
		$this->cleanCache();

		return true;
	}
	
	/**
	 * Method to save the form data.
	 *
	 * @param   array  $data  The form data.
	 *
	 * @return  boolean  True on success.
	 *
	 * @since   1.6
	 */
	public function save($data)
	{
		$input	= JFactory::getApplication()->input;
		$filter	= JFilterInput::getInstance();
        
		// set the metadata to the Item Data
		if (isset($data['metadata']) && isset($data['metadata']['author']))
		{
			$data['metadata']['author'] = $filter->clean($data['metadata']['author'], 'TRIM');
            
			$metadata = new JRegistry;
			$metadata->loadArray($data['metadata']);
			$data['metadata'] = (string) $metadata;
		} 
        
		// Set the Params Items to data
		if (isset($data['params']) && is_array($data['params']))
		{
			$params = new JRegistry;
			$params->loadArray($data['params']);
			$data['params'] = (string) $params;
		}

		// [5506] Alter the uniqe field for save as copy
		if ($input->get('task') == 'save2copy')
		{
			// [5509] Automatic handling of other uniqe fields
			$uniqeFields = $this->getUniqeFields();
			if (CostbenefitprojectionHelper::checkArray($uniqeFields))
			{
				foreach ($uniqeFields as $uniqeField)
				{
					$data[$uniqeField] = $this->generateUniqe($uniqeField,$data[$uniqeField]);
				}
			}
		}
		
		if (parent::save($data))
		{
			return true;
		}
		return false;
	}
	
	/**
	 * Method to generate a uniqe value.
	 *
	 * @param   string  $field name.
	 * @param   string  $value data.
	 *
	 * @return  string  New value.
	 *
	 * @since   3.0
	 */
	protected function generateUniqe($field,$value)
	{

		// set field value uniqe 
		$table = $this->getTable();

		while ($table->load(array($field => $value)))
		{
			$value = JString::increment($value);
		}

		return $value;
	}

	/**
	* Method to change the title & alias.
	*
	* @param   string   $title        The title.
	*
	* @return	array  Contains the modified title and alias.
	*
	*/
	protected function _generateNewTitle($title)
	{

		// [5564] Alter the title
		$table = $this->getTable();

		while ($table->load(array('title' => $title)))
		{
			$title = JString::increment($title);
		}

		return $title;
	}
}
