<?php
/*----------------------------------------------------------------------------------|  www.giz.de  |----/
	Deutsche Gesellschaft für International Zusammenarbeit (GIZ) Gmb 
/-------------------------------------------------------------------------------------------------------/

	@version		3.2.0
	@build			12th January, 2016
	@created		15th June, 2012
	@package		Cost Benefit Projection
	@subpackage		route.php
	@author			Llewellyn van der Merwe <http://www.vdm.io>	
	@owner			Deutsche Gesellschaft für International Zusammenarbeit (GIZ) Gmb
	@copyright		Copyright (C) 2015. All Rights Reserved
	@license		GNU/GPL Version 2 or later - http://www.gnu.org/licenses/gpl-2.0.html
	
/-------------------------------------------------------------------------------------------------------/
	Cost Benefit Projection Tool.
/------------------------------------------------------------------------------------------------------*/

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

// Component Helper
jimport('joomla.application.component.helper');
jimport('joomla.application.categories');

/**
 * Costbenefitprojection Route Helper
 **/
abstract class CostbenefitprojectionHelperRoute
{
	protected static $lookup;

	/**
	* @param int The route of the Cpanel
	*/
	public static function getCpanelRoute($id = 0, $catid = 0)
	{
		if ($id > 0)
		{
			// [4872] Initialize the needel array.
			$needles = array(
				'cpanel'  => array((int) $id)
			);
			// [4876] Create the link
			$link = 'index.php?option=com_costbenefitprojection&view=cpanel&id='. $id;
		}
		else
		{
			// [4881] Initialize the needel array.
			$needles = array();
			// [4883]Create the link but don't add the id.
			$link = 'index.php?option=com_costbenefitprojection&view=cpanel';
		}
		if ($catid > 1)
		{
			$categories = JCategories::getInstance('costbenefitprojection.cpanel');
			$category = $categories->get($catid);
			if ($category)
			{
				$needles['category'] = array_reverse($category->getPath());
				$needles['categories'] = $needles['category'];
				$link .= '&catid='.$catid;
			}
		}

		if ($item = self::_findItem($needles))
		{
			$link .= '&Itemid='.$item;
		}

		return $link;
	}

	/**
	* @param int The route of the Publicresults
	*/
	public static function getPublicresultsRoute($id = 0, $catid = 0)
	{
		if ($id > 0)
		{
			// [4872] Initialize the needel array.
			$needles = array(
				'publicresults'  => array((int) $id)
			);
			// [4876] Create the link
			$link = 'index.php?option=com_costbenefitprojection&view=publicresults&id='. $id;
		}
		else
		{
			// [4881] Initialize the needel array.
			$needles = array();
			// [4883]Create the link but don't add the id.
			$link = 'index.php?option=com_costbenefitprojection&view=publicresults';
		}
		if ($catid > 1)
		{
			$categories = JCategories::getInstance('costbenefitprojection.publicresults');
			$category = $categories->get($catid);
			if ($category)
			{
				$needles['category'] = array_reverse($category->getPath());
				$needles['categories'] = $needles['category'];
				$link .= '&catid='.$catid;
			}
		}

		if ($item = self::_findItem($needles))
		{
			$link .= '&Itemid='.$item;
		}

		return $link;
	}

	/**
	* @param int The route of the Createaccount
	*/
	public static function getCreateaccountRoute($id = 0, $catid = 0)
	{
		if ($id > 0)
		{
			// [4872] Initialize the needel array.
			$needles = array(
				'createaccount'  => array((int) $id)
			);
			// [4876] Create the link
			$link = 'index.php?option=com_costbenefitprojection&view=createaccount&id='. $id;
		}
		else
		{
			// [4881] Initialize the needel array.
			$needles = array();
			// [4883]Create the link but don't add the id.
			$link = 'index.php?option=com_costbenefitprojection&view=createaccount';
		}
		if ($catid > 1)
		{
			$categories = JCategories::getInstance('costbenefitprojection.createaccount');
			$category = $categories->get($catid);
			if ($category)
			{
				$needles['category'] = array_reverse($category->getPath());
				$needles['categories'] = $needles['category'];
				$link .= '&catid='.$catid;
			}
		}

		if ($item = self::_findItem($needles))
		{
			$link .= '&Itemid='.$item;
		}

		return $link;
	}

	/**
	* @param int The route of the Companyresults
	*/
	public static function getCompanyresultsRoute($id = 0, $catid = 0)
	{
		if ($id > 0)
		{
			// [4872] Initialize the needel array.
			$needles = array(
				'companyresults'  => array((int) $id)
			);
			// [4876] Create the link
			$link = 'index.php?option=com_costbenefitprojection&view=companyresults&id='. $id;
		}
		else
		{
			// [4881] Initialize the needel array.
			$needles = array();
			// [4883]Create the link but don't add the id.
			$link = 'index.php?option=com_costbenefitprojection&view=companyresults';
		}
		if ($catid > 1)
		{
			$categories = JCategories::getInstance('costbenefitprojection.companyresults');
			$category = $categories->get($catid);
			if ($category)
			{
				$needles['category'] = array_reverse($category->getPath());
				$needles['categories'] = $needles['category'];
				$link .= '&catid='.$catid;
			}
		}

		if ($item = self::_findItem($needles))
		{
			$link .= '&Itemid='.$item;
		}

		return $link;
	}

	/**
	* @param int The route of the Combinedresults
	*/
	public static function getCombinedresultsRoute($id = 0, $catid = 0)
	{
		if ($id > 0)
		{
			// [4872] Initialize the needel array.
			$needles = array(
				'combinedresults'  => array((int) $id)
			);
			// [4876] Create the link
			$link = 'index.php?option=com_costbenefitprojection&view=combinedresults&id='. $id;
		}
		else
		{
			// [4881] Initialize the needel array.
			$needles = array();
			// [4883]Create the link but don't add the id.
			$link = 'index.php?option=com_costbenefitprojection&view=combinedresults';
		}
		if ($catid > 1)
		{
			$categories = JCategories::getInstance('costbenefitprojection.combinedresults');
			$category = $categories->get($catid);
			if ($category)
			{
				$needles['category'] = array_reverse($category->getPath());
				$needles['categories'] = $needles['category'];
				$link .= '&catid='.$catid;
			}
		}

		if ($item = self::_findItem($needles))
		{
			$link .= '&Itemid='.$item;
		}

		return $link;
	}

	/**
	 * Get the URL route for costbenefitprojection category from a category ID and language
	 *
	 * @param   mixed    $catid     The id of the items's category either an integer id or a instance of JCategoryNode
	 * @param   mixed    $language  The id of the language being used.
	 *
	 * @return  string  The link to the contact
	 *
	 * @since   1.5
	 */
	public static function getCategoryRoute_keep_for_later($catid, $language = 0)
	{
		if ($catid instanceof JCategoryNode)
		{
			$id = $catid->id;			
			$category = $catid;			 
		}
		else
		{			
			throw new Exception('First parameter must be JCategoryNode');			
		}
	
		$views = array();
		$view = $views[$category->extension];
       
		if ($id < 1 || !($category instanceof JCategoryNode))
		{
			$link = '';
		}
		else
		{
			//Create the link
			$link = 'index.php?option=com_costbenefitprojection&view='.$view.'&category='.$category->slug;
			
			$needles = array(
					$view => array($id),
					'category' => array($id)
			);
	
			if ($language && $language != "*" && JLanguageMultilang::isEnabled())
			{
				$db		= JFactory::getDbo();
				$query	= $db->getQuery(true)
					->select('a.sef AS sef')
					->select('a.lang_code AS lang_code')
					->from('#__languages AS a');
	
				$db->setQuery($query);
				$langs = $db->loadObjectList();
				foreach ($langs as $lang)
				{
					if ($language == $lang->lang_code)
					{
						$link .= '&lang='.$lang->sef;
						$needles['language'] = $language;
					}
				}
			}
	
			if ($item = self::_findItem($needles,'category'))
			{

				$link .= '&Itemid='.$item;				
			}
			else
			{
				if ($category)
				{
					$catids = array_reverse($category->getPath());
					$needles = array(
							'category' => $catids
					);
					if ($item = self::_findItem($needles,'category'))
					{
						$link .= '&Itemid='.$item;
					}
					elseif ($item = self::_findItem(null, 'category'))
					{
						$link .= '&Itemid='.$item;
					}
				}
			}
		}
		return $link;
	}	
	
	protected static function _findItem($needles = null,$type = null)
	{
		$app      = JFactory::getApplication();
		$menus    = $app->getMenu('site');
		$language = isset($needles['language']) ? $needles['language'] : '*';

		// Prepare the reverse lookup array.
		if (!isset(self::$lookup[$language]))
		{
			self::$lookup[$language] = array();

			$component  = JComponentHelper::getComponent('com_costbenefitprojection');

			$attributes = array('component_id');
			$values     = array($component->id);

			if ($language != '*')
			{
				$attributes[] = 'language';
				$values[]     = array($needles['language'], '*');
			}

			$items = $menus->getItems($attributes, $values);

			foreach ($items as $item)
			{
				if (isset($item->query) && isset($item->query['view']))
				{
					$view = $item->query['view'];

					if (!isset(self::$lookup[$language][$view]))
					{
						self::$lookup[$language][$view] = array();
					}

					if (isset($item->query['id']))
					{
						/**
						 * Here it will become a bit tricky
						 * language != * can override existing entries
						 * language == * cannot override existing entries
						 */
						if (!isset(self::$lookup[$language][$view][$item->query['id']]) || $item->language != '*')
						{
							self::$lookup[$language][$view][$item->query['id']] = $item->id;
						}
					}
				}
			}
		}

		if ($needles)
		{
			foreach ($needles as $view => $ids)
			{
				if (isset(self::$lookup[$language][$view]))
				{
					foreach ($ids as $id)
					{
						if (isset(self::$lookup[$language][$view][(int) $id]))
						{
							return self::$lookup[$language][$view][(int) $id];
						}
					}
				}
			}
		}
		
		if ($type)
		{
			// Check if the global menu item has been set.
			$params = JComponentHelper::getParams('com_costbenefitprojection');
			if ($item = $params->get($type.'_menu', 0))
			{
				return $item;
			}
		}

		// Check if the active menuitem matches the requested language
		$active = $menus->getActive();

		if ($active
			&& $active->component == 'com_costbenefitprojection'
			&& ($language == '*' || in_array($active->language, array('*', $language)) || !JLanguageMultilang::isEnabled()))
		{
			return $active->id;
		}

		// If not found, return language specific home link
		$default = $menus->getDefault($language);

		return !empty($default->id) ? $default->id : null;
	}
}
