CREATE TABLE IF NOT EXISTS `#__costbenefitprojection_company` (
	`id` int(11) NOT NULL AUTO_INCREMENT,
	`asset_id` INT(255) UNSIGNED NOT NULL DEFAULT '0',
	`causesrisks` TEXT NOT NULL DEFAULT '',
	`country` INT(11) NOT NULL DEFAULT '0',
	`datayear` CHAR(64) NOT NULL DEFAULT '',
	`department` TINYINT(1) NOT NULL DEFAULT '0',
	`email` VARCHAR(255) NOT NULL DEFAULT '',
	`females` VARCHAR(255) NOT NULL DEFAULT '',
	`males` VARCHAR(255) NOT NULL DEFAULT '',
	`medical_turnovers_females` VARCHAR(255) NOT NULL DEFAULT '',
	`medical_turnovers_males` VARCHAR(255) NOT NULL DEFAULT '',
	`name` CHAR(64) NOT NULL DEFAULT '',
	`not_required` INT(1) NOT NULL DEFAULT '0',
	`per` TINYINT(1) NOT NULL DEFAULT '0',
	`percentfemale` TEXT NOT NULL DEFAULT '',
	`percentmale` TEXT NOT NULL DEFAULT '',
	`productivity_losses` VARCHAR(64) NOT NULL DEFAULT '',
	`serviceprovider` INT(11) NOT NULL DEFAULT '0',
	`sick_leave_females` VARCHAR(255) NOT NULL DEFAULT '',
	`sick_leave_males` VARCHAR(255) NOT NULL DEFAULT '',
	`total_healthcare` VARCHAR(255) NOT NULL DEFAULT '',
	`total_salary` VARCHAR(255) NOT NULL DEFAULT '',
	`user` INT(11) NOT NULL DEFAULT '0',
	`working_days` INT(11) NOT NULL DEFAULT '0',
	`params` TEXT NOT NULL DEFAULT '',
	`published` tinyint(1) NOT NULL DEFAULT '1',
	`created_by` int(11) NOT NULL DEFAULT '0',
	`modified_by` int(11) NOT NULL DEFAULT '0',
	`created` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`modified` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`checked_out` int(11) NOT NULL,
	`checked_out_time` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`version` int(11) NOT NULL DEFAULT '1',
	`hits` int(11) NOT NULL DEFAULT '0',
	`access` int(11) DEFAULT NULL,
	`ordering` int(11) NOT NULL DEFAULT '0',
	PRIMARY KEY  (`id`),
	KEY `idx_access` (`access`),
	KEY `idx_checkout` (`checked_out`),
	KEY `idx_createdby` (`created_by`),
	KEY `idx_modifiedby` (`modified_by`),
	KEY `idx_state` (`published`),
	KEY `idx_name` (`name`),
	KEY `idx_user` (`user`),
	KEY `idx_country` (`country`),
	KEY `idx_serviceprovider` (`serviceprovider`),
	KEY `idx_per` (`per`),
	KEY `idx_datayear` (`datayear`),
	KEY `idx_working_days` (`working_days`),
	KEY `idx_productivity_losses` (`productivity_losses`)
) ENGINE=MyISAM AUTO_INCREMENT=0 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__costbenefitprojection_service_provider` (
	`id` int(11) NOT NULL AUTO_INCREMENT,
	`asset_id` INT(255) UNSIGNED NOT NULL DEFAULT '0',
	`country` INT(11) NOT NULL DEFAULT '0',
	`publicaddress` TEXT NOT NULL DEFAULT '',
	`publicemail` VARCHAR(255) NOT NULL DEFAULT '',
	`publicname` VARCHAR(255) NOT NULL DEFAULT '',
	`publicnumber` VARCHAR(64) NOT NULL DEFAULT '',
	`user` INT(11) NOT NULL DEFAULT '0',
	`params` TEXT NOT NULL DEFAULT '',
	`published` tinyint(1) NOT NULL DEFAULT '1',
	`created_by` int(11) NOT NULL DEFAULT '0',
	`modified_by` int(11) NOT NULL DEFAULT '0',
	`created` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`modified` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`checked_out` int(11) NOT NULL,
	`checked_out_time` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`version` int(11) NOT NULL DEFAULT '1',
	`hits` int(11) NOT NULL DEFAULT '0',
	`ordering` int(11) NOT NULL DEFAULT '0',
	PRIMARY KEY  (`id`),
	KEY `idx_checkout` (`checked_out`),
	KEY `idx_createdby` (`created_by`),
	KEY `idx_modifiedby` (`modified_by`),
	KEY `idx_state` (`published`),
	KEY `idx_user` (`user`),
	KEY `idx_country` (`country`),
	KEY `idx_publicname` (`publicname`)
) ENGINE=MyISAM AUTO_INCREMENT=0 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__costbenefitprojection_country` (
	`id` int(11) NOT NULL AUTO_INCREMENT,
	`asset_id` INT(255) UNSIGNED NOT NULL DEFAULT '0',
	`alias` CHAR(64) NOT NULL DEFAULT '',
	`causesrisks` TEXT NOT NULL DEFAULT '',
	`codethree` CHAR(7) NOT NULL DEFAULT '',
	`codetwo` CHAR(7) NOT NULL DEFAULT '',
	`currency` CHAR(7) NOT NULL DEFAULT '',
	`datayear` CHAR(64) NOT NULL DEFAULT '',
	`femaledeath` TEXT NOT NULL DEFAULT '',
	`femaleyld` TEXT NOT NULL DEFAULT '',
	`healthcare` CHAR(7) NOT NULL DEFAULT '',
	`maledeath` TEXT NOT NULL DEFAULT '',
	`maleyld` TEXT NOT NULL DEFAULT '',
	`medical_turnovers` CHAR(7) NOT NULL DEFAULT '',
	`name` VARCHAR(255) NOT NULL DEFAULT '',
	`percentfemale` TEXT NOT NULL DEFAULT '',
	`percentmale` TEXT NOT NULL DEFAULT '',
	`presenteeism` CHAR(7) NOT NULL DEFAULT '',
	`productivity_losses` CHAR(7) NOT NULL DEFAULT '',
	`publicaddress` TEXT NOT NULL DEFAULT '',
	`publicemail` VARCHAR(255) NOT NULL DEFAULT '',
	`publicname` VARCHAR(255) NOT NULL DEFAULT '',
	`publicnumber` VARCHAR(64) NOT NULL DEFAULT '',
	`sick_leave` CHAR(7) NOT NULL DEFAULT '',
	`user` INT(11) NOT NULL DEFAULT '0',
	`working_days` INT(11) NOT NULL DEFAULT '0',
	`worldzone` VARCHAR(255) NOT NULL DEFAULT '',
	`params` TEXT NOT NULL DEFAULT '',
	`published` tinyint(1) NOT NULL DEFAULT '1',
	`created_by` int(11) NOT NULL DEFAULT '0',
	`modified_by` int(11) NOT NULL DEFAULT '0',
	`created` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`modified` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`checked_out` int(11) NOT NULL,
	`checked_out_time` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`version` int(11) NOT NULL DEFAULT '1',
	`hits` int(11) NOT NULL DEFAULT '0',
	`access` int(11) DEFAULT NULL,
	`ordering` int(11) NOT NULL DEFAULT '0',
	PRIMARY KEY  (`id`),
	KEY `idx_access` (`access`),
	KEY `idx_checkout` (`checked_out`),
	KEY `idx_createdby` (`created_by`),
	KEY `idx_modifiedby` (`modified_by`),
	KEY `idx_state` (`published`),
	KEY `idx_name` (`name`),
	KEY `idx_user` (`user`),
	KEY `idx_currency` (`currency`),
	KEY `idx_codethree` (`codethree`),
	KEY `idx_codetwo` (`codetwo`),
	KEY `idx_working_days` (`working_days`),
	KEY `idx_datayear` (`datayear`),
	KEY `idx_worldzone` (`worldzone`),
	KEY `idx_alias` (`alias`),
	KEY `idx_publicname` (`publicname`)
) ENGINE=MyISAM AUTO_INCREMENT=0 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__costbenefitprojection_causerisk` (
	`id` int(11) NOT NULL AUTO_INCREMENT,
	`asset_id` INT(255) UNSIGNED NOT NULL DEFAULT '0',
	`alias` CHAR(64) NOT NULL DEFAULT '',
	`description` TEXT NOT NULL DEFAULT '',
	`importname` VARCHAR(255) NOT NULL DEFAULT '',
	`name` VARCHAR(255) NOT NULL DEFAULT '',
	`ref` VARCHAR(64) NOT NULL DEFAULT '',
	`params` TEXT NOT NULL DEFAULT '',
	`published` tinyint(1) NOT NULL DEFAULT '1',
	`created_by` int(11) NOT NULL DEFAULT '0',
	`modified_by` int(11) NOT NULL DEFAULT '0',
	`created` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`modified` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`checked_out` int(11) NOT NULL,
	`checked_out_time` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`version` int(11) NOT NULL DEFAULT '1',
	`hits` int(11) NOT NULL DEFAULT '0',
	`access` int(11) DEFAULT NULL,
	`ordering` int(11) NOT NULL DEFAULT '0',
	PRIMARY KEY  (`id`),
	KEY `idx_access` (`access`),
	KEY `idx_checkout` (`checked_out`),
	KEY `idx_createdby` (`created_by`),
	KEY `idx_modifiedby` (`modified_by`),
	KEY `idx_state` (`published`),
	KEY `idx_name` (`name`),
	KEY `idx_ref` (`ref`),
	KEY `idx_importname` (`importname`),
	KEY `idx_alias` (`alias`)
) ENGINE=MyISAM AUTO_INCREMENT=0 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__costbenefitprojection_health_data` (
	`id` int(11) NOT NULL AUTO_INCREMENT,
	`asset_id` INT(255) UNSIGNED NOT NULL DEFAULT '0',
	`causerisk` INT(11) NOT NULL DEFAULT '0',
	`country` INT(11) NOT NULL DEFAULT '0',
	`femaledeath` TEXT NOT NULL DEFAULT '',
	`femaleyld` TEXT NOT NULL DEFAULT '',
	`maledeath` TEXT NOT NULL DEFAULT '',
	`maleyld` TEXT NOT NULL DEFAULT '',
	`year` CHAR(7) NOT NULL DEFAULT '',
	`params` TEXT NOT NULL DEFAULT '',
	`published` tinyint(1) NOT NULL DEFAULT '1',
	`created_by` int(11) NOT NULL DEFAULT '0',
	`modified_by` int(11) NOT NULL DEFAULT '0',
	`created` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`modified` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`checked_out` int(11) NOT NULL,
	`checked_out_time` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`version` int(11) NOT NULL DEFAULT '1',
	`hits` int(11) NOT NULL DEFAULT '0',
	`access` int(11) DEFAULT NULL,
	`ordering` int(11) NOT NULL DEFAULT '0',
	PRIMARY KEY  (`id`),
	KEY `idx_access` (`access`),
	KEY `idx_checkout` (`checked_out`),
	KEY `idx_createdby` (`created_by`),
	KEY `idx_modifiedby` (`modified_by`),
	KEY `idx_state` (`published`),
	KEY `idx_causerisk` (`causerisk`),
	KEY `idx_year` (`year`),
	KEY `idx_country` (`country`)
) ENGINE=MyISAM AUTO_INCREMENT=0 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__costbenefitprojection_scaling_factor` (
	`id` int(11) NOT NULL AUTO_INCREMENT,
	`asset_id` INT(255) UNSIGNED NOT NULL DEFAULT '0',
	`causerisk` INT(11) NOT NULL DEFAULT '0',
	`company` INT(11) NOT NULL DEFAULT '0',
	`health_scaling_factor` CHAR(7) NOT NULL DEFAULT '1',
	`mortality_scaling_factor_females` CHAR(7) NOT NULL DEFAULT '1',
	`mortality_scaling_factor_males` CHAR(7) NOT NULL DEFAULT '1',
	`presenteeism_scaling_factor_females` CHAR(7) NOT NULL DEFAULT '1',
	`presenteeism_scaling_factor_males` CHAR(7) NOT NULL DEFAULT '1',
	`reference` VARCHAR(255) NOT NULL DEFAULT '',
	`yld_scaling_factor_females` CHAR(7) NOT NULL DEFAULT '1',
	`yld_scaling_factor_males` CHAR(7) NOT NULL DEFAULT '1',
	`params` TEXT NOT NULL DEFAULT '',
	`published` tinyint(1) NOT NULL DEFAULT '1',
	`created_by` int(11) NOT NULL DEFAULT '0',
	`modified_by` int(11) NOT NULL DEFAULT '0',
	`created` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`modified` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`checked_out` int(11) NOT NULL,
	`checked_out_time` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`version` int(11) NOT NULL DEFAULT '1',
	`hits` int(11) NOT NULL DEFAULT '0',
	`ordering` int(11) NOT NULL DEFAULT '0',
	PRIMARY KEY  (`id`),
	KEY `idx_checkout` (`checked_out`),
	KEY `idx_createdby` (`created_by`),
	KEY `idx_modifiedby` (`modified_by`),
	KEY `idx_state` (`published`),
	KEY `idx_causerisk` (`causerisk`),
	KEY `idx_company` (`company`)
) ENGINE=MyISAM AUTO_INCREMENT=0 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__costbenefitprojection_intervention` (
	`id` int(11) NOT NULL AUTO_INCREMENT,
	`asset_id` INT(255) UNSIGNED NOT NULL DEFAULT '0',
	`company` INT(11) NOT NULL DEFAULT '0',
	`coverage` INT(11) NOT NULL DEFAULT '0',
	`description` TEXT NOT NULL DEFAULT '',
	`duration` INT(11) NOT NULL DEFAULT '0',
	`intervention` TEXT NOT NULL DEFAULT '',
	`interventions` VARCHAR(64) NOT NULL DEFAULT '',
	`name` VARCHAR(255) NOT NULL DEFAULT '',
	`not_required` INT(1) NOT NULL DEFAULT '0',
	`reference` VARCHAR(255) NOT NULL DEFAULT '',
	`share` TINYINT(1) NOT NULL DEFAULT '0',
	`type` TINYINT(1) NOT NULL DEFAULT '0',
	`params` TEXT NOT NULL DEFAULT '',
	`published` tinyint(1) NOT NULL DEFAULT '1',
	`created_by` int(11) NOT NULL DEFAULT '0',
	`modified_by` int(11) NOT NULL DEFAULT '0',
	`created` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`modified` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`checked_out` int(11) NOT NULL,
	`checked_out_time` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`version` int(11) NOT NULL DEFAULT '1',
	`hits` int(11) NOT NULL DEFAULT '0',
	`ordering` int(11) NOT NULL DEFAULT '0',
	PRIMARY KEY  (`id`),
	KEY `idx_checkout` (`checked_out`),
	KEY `idx_createdby` (`created_by`),
	KEY `idx_modifiedby` (`modified_by`),
	KEY `idx_state` (`published`),
	KEY `idx_name` (`name`),
	KEY `idx_company` (`company`),
	KEY `idx_type` (`type`),
	KEY `idx_coverage` (`coverage`),
	KEY `idx_share` (`share`)
) ENGINE=MyISAM AUTO_INCREMENT=0 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__costbenefitprojection_currency` (
	`id` int(11) NOT NULL AUTO_INCREMENT,
	`asset_id` INT(255) UNSIGNED NOT NULL DEFAULT '0',
	`alias` CHAR(64) NOT NULL DEFAULT '',
	`codethree` CHAR(7) NOT NULL DEFAULT '',
	`decimalplace` INT(7) NOT NULL DEFAULT '0',
	`decimalsymbol` CHAR(7) NOT NULL DEFAULT '',
	`name` VARCHAR(255) NOT NULL DEFAULT '',
	`negativestyle` VARCHAR(255) NOT NULL DEFAULT '',
	`numericcode` INT(10) NOT NULL DEFAULT '0',
	`positivestyle` VARCHAR(255) NOT NULL DEFAULT '',
	`symbol` CHAR(11) NOT NULL DEFAULT '',
	`thousands` CHAR(7) NOT NULL DEFAULT '',
	`params` TEXT NOT NULL DEFAULT '',
	`published` tinyint(1) NOT NULL DEFAULT '1',
	`created_by` int(11) NOT NULL DEFAULT '0',
	`modified_by` int(11) NOT NULL DEFAULT '0',
	`created` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`modified` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`checked_out` int(11) NOT NULL,
	`checked_out_time` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`version` int(11) NOT NULL DEFAULT '1',
	`hits` int(11) NOT NULL DEFAULT '0',
	`access` int(11) DEFAULT NULL,
	`ordering` int(11) NOT NULL DEFAULT '0',
	PRIMARY KEY  (`id`),
	UNIQUE KEY `idx_codethree` (`codethree`),
	KEY `idx_access` (`access`),
	KEY `idx_checkout` (`checked_out`),
	KEY `idx_createdby` (`created_by`),
	KEY `idx_modifiedby` (`modified_by`),
	KEY `idx_state` (`published`),
	KEY `idx_name` (`name`),
	KEY `idx_numericcode` (`numericcode`),
	KEY `idx_alias` (`alias`)
) ENGINE=MyISAM AUTO_INCREMENT=0 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__costbenefitprojection_help_document` (
	`id` int(11) NOT NULL AUTO_INCREMENT,
	`asset_id` INT(255) UNSIGNED NOT NULL DEFAULT '0',
	`admin_view` CHAR(255) NOT NULL DEFAULT '',
	`alias` CHAR(64) NOT NULL DEFAULT '',
	`article` TINYINT(1) NOT NULL DEFAULT '0',
	`content` TEXT NOT NULL DEFAULT '',
	`groups` TEXT NOT NULL DEFAULT '',
	`location` TINYINT(1) NOT NULL DEFAULT '0',
	`not_required` INT(1) NOT NULL DEFAULT '0',
	`site_view` CHAR(255) NOT NULL DEFAULT '',
	`target` TINYINT(1) NOT NULL DEFAULT '0',
	`title` CHAR(64) NOT NULL DEFAULT '',
	`type` TINYINT(1) NOT NULL DEFAULT '0',
	`url` VARCHAR(255) NOT NULL DEFAULT '',
	`params` TEXT NOT NULL DEFAULT '',
	`published` tinyint(1) NOT NULL DEFAULT '1',
	`created_by` int(11) NOT NULL DEFAULT '0',
	`modified_by` int(11) NOT NULL DEFAULT '0',
	`created` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`modified` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`checked_out` int(11) NOT NULL,
	`checked_out_time` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`version` int(11) NOT NULL DEFAULT '1',
	`hits` int(11) NOT NULL DEFAULT '0',
	`ordering` int(11) NOT NULL DEFAULT '0',
	PRIMARY KEY  (`id`),
	KEY `idx_checkout` (`checked_out`),
	KEY `idx_createdby` (`created_by`),
	KEY `idx_modifiedby` (`modified_by`),
	KEY `idx_state` (`published`),
	KEY `idx_title` (`title`),
	KEY `idx_type` (`type`),
	KEY `idx_location` (`location`),
	KEY `idx_target` (`target`),
	KEY `idx_alias` (`alias`),
	KEY `idx_article` (`article`)
) ENGINE=MyISAM AUTO_INCREMENT=0 DEFAULT CHARSET=utf8;



--
-- Dumping data for table `#__costbenefitprojection_country`
--

INSERT INTO `#__costbenefitprojection_country` (`id`, `alias`, `causesrisks`, `codethree`, `codetwo`, `currency`, `datayear`, `femaledeath`, `femaleyld`, `healthcare`, `maledeath`, `maleyld`, `medical_turnovers`, `name`, `percentfemale`, `percentmale`, `presenteeism`, `productivity_losses`, `publicaddress`, `publicemail`, `publicname`, `publicnumber`, `sick_leave`, `user`, `working_days`, `worldzone`, `params`, `published`, `created_by`, `modified_by`, `created`, `modified`, `checked_out`, `checked_out_time`, `version`, `hits`, `ordering`) VALUES
(1, '', '', 'AFG', 'AF', 'AFN', '', '', '', '', '', '', '', 'Afghanistan', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(2, '', '', 'ALB', 'AL', 'ALL', '', '', '', '', '', '', '', 'Albania', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(3, '', '', 'DZA', 'DZ', 'DZD', '', '', '', '', '', '', '', 'Algeria', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(4, '', '', 'ASM', 'AS', 'USD', '', '', '', '', '', '', '', 'American Samoa', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(5, '', '', 'AND', 'AD', 'EUR', '', '', '', '', '', '', '', 'Andorra', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(6, '', '', 'AGO', 'AO', 'AOA', '', '', '', '', '', '', '', 'Angola', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(7, '', '', 'AIA', 'AI', 'XCD', '', '', '', '', '', '', '', 'Anguilla', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(8, '', '', 'ATA', 'AQ', 'USD', '', '', '', '', '', '', '', 'Antarctica', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(9, '', '', 'ATG', 'AG', 'XCD', '', '', '', '', '', '', '', 'Antigua and Barbuda', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(10, '', '', 'ARG', 'AR', 'ARS', '', '', '', '', '', '', '', 'Argentina', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(11, '', '', 'ARM', 'AM', 'AMD', '', '', '', '', '', '', '', 'Armenia', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(12, '', '', 'ABW', 'AW', 'AWG', '', '', '', '', '', '', '', 'Aruba', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(13, '', '', 'AUS', 'AU', 'AUD', '', '', '', '', '', '', '', 'Australia', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(14, '', '', 'AUT', 'AT', 'EUR', '', '', '', '', '', '', '', 'Austria', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(15, '', '', 'AZE', 'AZ', 'AZN', '', '', '', '', '', '', '', 'Azerbaijan', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(16, '', '', 'BHS', 'BS', 'BSD', '', '', '', '', '', '', '', 'Bahamas', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(17, '', '', 'BHR', 'BH', 'BHD', '', '', '', '', '', '', '', 'Bahrain', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(18, '', '', 'BGD', 'BD', 'BDT', '', '', '', '', '', '', '', 'Bangladesh', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(19, '', '', 'BRB', 'BB', 'BBD', '', '', '', '', '', '', '', 'Barbados', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(20, '', '', 'BLR', 'BY', 'BYR', '', '', '', '', '', '', '', 'Belarus', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(21, '', '', 'BEL', 'BE', 'EUR', '', '', '', '', '', '', '', 'Belgium', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(22, '', '', 'BLZ', 'BZ', 'BZD', '', '', '', '', '', '', '', 'Belize', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(23, '', '', 'BEN', 'BJ', 'XOF', '', '', '', '', '', '', '', 'Benin', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(24, '', '', 'BMU', 'BM', 'BMD', '', '', '', '', '', '', '', 'Bermuda', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(25, '', '', 'BTN', 'BT', 'INR', '', '', '', '', '', '', '', 'Bhutan', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(26, '', '', 'BOL', 'BO', 'BOB', '', '', '', '', '', '', '', 'Bolivia', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(27, '', '', 'BIH', 'BA', 'BAM', '', '', '', '', '', '', '', 'Bosnia and Herzegowina', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(28, '', '', 'BWA', 'BW', 'BWP', '', '', '', '', '', '', '', 'Botswana', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(29, '', '', 'BVT', 'BV', 'NOK', '', '', '', '', '', '', '', 'Bouvet Island', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(30, '', '', 'BRA', 'BR', 'BRL', '', '', '', '', '', '', '', 'Brazil', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(31, '', '', 'IOT', 'IO', 'USD', '', '', '', '', '', '', '', 'British Indian Ocean Territory', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(32, '', '', 'BRN', 'BN', 'BND', '', '', '', '', '', '', '', 'Brunei Darussalam', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(33, '', '', 'BGR', 'BG', 'BGN', '', '', '', '', '', '', '', 'Bulgaria', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(34, '', '', 'BFA', 'BF', 'XOF', '', '', '', '', '', '', '', 'Burkina Faso', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(35, '', '', 'BDI', 'BI', 'BIF', '', '', '', '', '', '', '', 'Burundi', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(36, '', '', 'KHM', 'KH', 'KHR', '', '', '', '', '', '', '', 'Cambodia', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(37, '', '', 'CMR', 'CM', 'XAF', '', '', '', '', '', '', '', 'Cameroon', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(38, '', '', 'CAN', 'CA', 'CAD', '', '', '', '', '', '', '', 'Canada', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(39, '', '', 'CPV', 'CV', 'CVE', '', '', '', '', '', '', '', 'Cape Verde', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(40, '', '', 'CYM', 'KY', 'KYD', '', '', '', '', '', '', '', 'Cayman Islands', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(41, '', '', 'CAF', 'CF', 'XAF', '', '', '', '', '', '', '', 'Central African Republic', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(42, '', '', 'TCD', 'TD', 'XAF', '', '', '', '', '', '', '', 'Chad', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(43, '', '', 'CHL', 'CL', 'CLP', '', '', '', '', '', '', '', 'Chile', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(44, '', '', 'CHN', 'CN', 'CNY', '', '', '', '', '', '', '', 'China', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(45, '', '', 'CXR', 'CX', 'AUD', '', '', '', '', '', '', '', 'Christmas Island', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(46, '', '', 'CCK', 'CC', 'AUD', '', '', '', '', '', '', '', 'Cocos (Keeling) Islands', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(47, '', '', 'COL', 'CO', 'COP', '', '', '', '', '', '', '', 'Colombia', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(48, '', '', 'COM', 'KM', 'KMF', '', '', '', '', '', '', '', 'Comoros', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(49, '', '', 'COG', 'CG', 'XAF', '', '', '', '', '', '', '', 'Congo', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(50, '', '', 'COK', 'CK', 'NZD', '', '', '', '', '', '', '', 'Cook Islands', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(51, '', '', 'CRI', 'CR', 'CRC', '', '', '', '', '', '', '', 'Costa Rica', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(52, '', '', 'CIV', 'CI', 'XOF', '', '', '', '', '', '', '', 'Cote D\'Ivoire', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(53, '', '', 'HRV', 'HR', 'HRK', '', '', '', '', '', '', '', 'Croatia', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(54, '', '', 'CUB', 'CU', 'CUP', '', '', '', '', '', '', '', 'Cuba', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(55, '', '', 'CYP', 'CY', 'EUR', '', '', '', '', '', '', '', 'Cyprus', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(56, '', '', 'CZE', 'CZ', 'CZK', '', '', '', '', '', '', '', 'Czech Republic', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(57, '', '', 'DNK', 'DK', 'DKK', '', '', '', '', '', '', '', 'Denmark', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(58, '', '', 'DJI', 'DJ', 'DJF', '', '', '', '', '', '', '', 'Djibouti', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(59, '', '', 'DMA', 'DM', 'XCD', '', '', '', '', '', '', '', 'Dominica', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(60, '', '', 'DOM', 'DO', 'DOP', '', '', '', '', '', '', '', 'Dominican Republic', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(61, '', '', 'TMP', 'TP', 'USD', '', '', '', '', '', '', '', 'East Timor', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(62, '', '', 'ECU', 'EC', 'USD', '', '', '', '', '', '', '', 'Ecuador', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(63, '', '', 'EGY', 'EG', 'EGP', '', '', '', '', '', '', '', 'Egypt', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(64, '', '', 'SLV', 'SV', 'USD', '', '', '', '', '', '', '', 'El Salvador', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(65, '', '', 'GNQ', 'GQ', 'XAF', '', '', '', '', '', '', '', 'Equatorial Guinea', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(66, '', '', 'ERI', 'ER', 'ERN', '', '', '', '', '', '', '', 'Eritrea', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(67, '', '', 'EST', 'EE', 'EUR', '', '', '', '', '', '', '', 'Estonia', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(68, '', '', 'ETH', 'ET', 'ETB', '', '', '', '', '', '', '', 'Ethiopia', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(69, '', '', 'FLK', 'FK', 'FKP', '', '', '', '', '', '', '', 'Falkland Islands (Malvinas)', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(70, '', '', 'FRO', 'FO', 'DKK', '', '', '', '', '', '', '', 'Faroe Islands', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(71, '', '', 'FJI', 'FJ', 'FJD', '', '', '', '', '', '', '', 'Fiji', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(72, '', '', 'FIN', 'FI', 'EUR', '', '', '', '', '', '', '', 'Finland', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(73, '', '', 'FRA', 'FR', 'EUR', '', '', '', '', '', '', '', 'France', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(74, '', '', 'GUF', 'GF', 'EUR', '', '', '', '', '', '', '', 'French Guiana', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(75, '', '', 'PYF', 'PF', 'XPF', '', '', '', '', '', '', '', 'French Polynesia', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(76, '', '', 'ATF', 'TF', 'EUR', '', '', '', '', '', '', '', 'French Southern Territories', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(77, '', '', 'GAB', 'GA', 'XAF', '', '', '', '', '', '', '', 'Gabon', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(78, '', '', 'GMB', 'GM', 'GMD', '', '', '', '', '', '', '', 'Gambia', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(79, '', '', 'GEO', 'GE', 'GEL', '', '', '', '', '', '', '', 'Georgia', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(80, '', '', 'DEU', 'DE', 'EUR', '', '', '', '', '', '', '', 'Germany', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(81, 'ghana', '[\"1\",\"6\",\"23\",\"55\",\"69\",\"102\",\"114\",\"115\",\"121\",\"126\",\"137\",\"145\",\"168\",\"195\",\"211\",\"225\",\"233\",\"238\",\"246\",\"265\",\"266\",\"267\",\"268\",\"270\",\"274\",\"277\",\"286\",\"301\"]', 'GHA', 'GH', 'GHS', 2010, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[149.7,276.469,385.736,447.014,522.453,555.107,655.253,795.831,1108.19,1715.78],\"year\":[\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\"]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10275.9,11643.3,13037.1,14188.4,15435.4,16548.2,17585.6,18706,19837.9,21201.4],\"year\":[\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\"]}', 10, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[168.528,295.052,406.073,494.617,603.688,681.95,854.017,1123.3,1509.69,2229.63],\"year\":[\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\"]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8487.26,9055.87,10260.3,11269.3,12425.1,13419.4,14825.3,16240.2,18012.9,19906],\"year\":[\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\"]}', 10, 'Ghana', '{\"age\":[\"30-34\",\"50-54\"],\"percent\":[5,5]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"percent\":[5,5,5,5,5,5,5,5]}', 0.25, .5, '', '', '', '', 10, 202, 231, '', '', 1, 98, '', '2014-07-24 14:06:17', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 202),
(82, '', '', 'GIB', 'GI', 'GIP', '', '', '', '', '', '', '', 'Gibraltar', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(83, '', '', 'GRC', 'GR', 'EUR', '', '', '', '', '', '', '', 'Greece', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(84, '', '', 'GRL', 'GL', 'DKK', '', '', '', '', '', '', '', 'Greenland', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(85, '', '', 'GRD', 'GD', 'XCD', '', '', '', '', '', '', '', 'Grenada', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(86, '', '', 'GLP', 'GP', 'EUR', '', '', '', '', '', '', '', 'Guadeloupe', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(87, '', '', 'GUM', 'GU', 'USD', '', '', '', '', '', '', '', 'Guam', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(88, '', '', 'GTM', 'GT', 'GTQ', '', '', '', '', '', '', '', 'Guatemala', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(89, '', '', 'GIN', 'GN', 'GNF', '', '', '', '', '', '', '', 'Guinea', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(90, '', '', 'GNB', 'GW', 'XOF', '', '', '', '', '', '', '', 'Guinea-bissau', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(91, '', '', 'GUY', 'GY', 'GYD', '', '', '', '', '', '', '', 'Guyana', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(92, '', '', 'HTI', 'HT', 'USD', '', '', '', '', '', '', '', 'Haiti', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(93, '', '', 'HMD', 'HM', 'AUD', '', '', '', '', '', '', '', 'Heard and Mc Donald Islands', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(94, '', '', 'HND', 'HN', 'HNL', '', '', '', '', '', '', '', 'Honduras', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(95, '', '', 'HKG', 'HK', 'HKD', '', '', '', '', '', '', '', 'Hong Kong', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(96, '', '', 'HUN', 'HU', 'HUF', '', '', '', '', '', '', '', 'Hungary', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(97, '', '', 'ISL', 'IS', 'ISK', '', '', '', '', '', '', '', 'Iceland', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(98, '', '', 'IND', 'IN', 'INR', '', '', '', '', '', '', '', 'India', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(99, '', '', 'IDN', 'ID', 'IDR', '', '', '', '', '', '', '', 'Indonesia', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(100, '', '', 'IRN', 'IR', 'IRR', '', '', '', '', '', '', '', 'Iran (Islamic Republic of)', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(101, '', '', 'IRQ', 'IQ', 'IQD', '', '', '', '', '', '', '', 'Iraq', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(102, '', '', 'IRL', 'IE', 'EUR', '', '', '', '', '', '', '', 'Ireland', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(103, '', '', 'ISR', 'IL', 'ILS', '', '', '', '', '', '', '', 'Israel', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(104, '', '', 'ITA', 'IT', 'EUR', '', '', '', '', '', '', '', 'Italy', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(105, '', '', 'JAM', 'JM', 'JMD', '', '', '', '', '', '', '', 'Jamaica', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(106, '', '', 'JPN', 'JP', 'JPY', '', '', '', '', '', '', '', 'Japan', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(107, '', '', 'JOR', 'JO', 'JOD', '', '', '', '', '', '', '', 'Jordan', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(108, '', '', 'KAZ', 'KZ', 'KZT', '', '', '', '', '', '', '', 'Kazakhstan', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(109, '', '', 'KEN', 'KE', 'KES', '', '', '', '', '', '', '', 'Kenya', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(110, '', '', 'KIR', 'KI', 'AUD', '', '', '', '', '', '', '', 'Kiribati', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(111, '', '', 'PRK', 'KP', 'KPW', '', '', '', '', '', '', '', 'Korea, Democratic People\'s Republic of', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(112, '', '', 'KOR', 'KR', 'KRW', '', '', '', '', '', '', '', 'Korea, Republic of', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(113, '', '', 'KWT', 'KW', 'KWD', '', '', '', '', '', '', '', 'Kuwait', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(114, '', '', 'KGZ', 'KG', 'KGS', '', '', '', '', '', '', '', 'Kyrgyzstan', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(115, '', '', 'LAO', 'LA', 'LAK', '', '', '', '', '', '', '', 'Lao People\'s Democratic Republic', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(116, '', '', 'LVA', 'LV', 'LVL', '', '', '', '', '', '', '', 'Latvia', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(117, '', '', 'LBN', 'LB', 'LBP', '', '', '', '', '', '', '', 'Lebanon', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(118, 'lesotho', '[\"2\",\"3\",\"69\",\"145\",\"198\",\"265\",\"266\",\"267\",\"268\",\"271\",\"274\"]', 'LSO', 'LS', 'ZAR', 2010, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[368.569,1186.58,1943.39,2169.07,1915.73,1682.56,1634.35,1080.38,1644.78,2060.06],\"year\":[\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\"]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10168.8,12190,15393.5,18885.3,21683.2,21146.3,20469.5,19992.1,20473.8,21606.3],\"year\":[\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\"]}', 0.25, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[426.617,938.891,1708.1,2290.08,2608.17,2608.38,2903.13,3246.22,3621.02,4575.96],\"year\":[\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\"]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9316.97,10273.7,12699.9,15360.2,19357.5,21904.1,23063.8,21621.5,22626.7,23147.7],\"year\":[\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\"]}', 10, 'Lesotho', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"percent\":[10,10,10,10,10,10,10,10,10,10]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"percent\":[10,10,10,10,10,10,10,10,10,10]}', 0.25, 0.3, '', '', '', '', 10, 206, 231, '', '', 1, 98, '', '2014-09-16 14:16:50', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 206),
(119, '', '', 'LBR', 'LR', 'LRD', '', '', '', '', '', '', '', 'Liberia', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(120, '', '', 'LBY', 'LY', 'LYD', '', '', '', '', '', '', '', 'Libya', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(121, '', '', 'LIE', 'LI', 'CHF', '', '', '', '', '', '', '', 'Liechtenstein', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(122, '', '', 'LTU', 'LT', 'LTL', '', '', '', '', '', '', '', 'Lithuania', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(123, '', '', 'LUX', 'LU', 'EUR', '', '', '', '', '', '', '', 'Luxembourg', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(124, '', '', 'MAC', 'MO', 'MOP', '', '', '', '', '', '', '', 'Macau', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(125, '', '', 'MKD', 'MK', 'MKD', '', '', '', '', '', '', '', 'Macedonia, The Former Yugoslav Republic of', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(126, '', '', 'MDG', 'MG', 'MGA', '', '', '', '', '', '', '', 'Madagascar', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(127, '', '', 'MWI', 'MW', 'MWK', '', '', '', '', '', '', '', 'Malawi', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(128, '', '', 'MYS', 'MY', 'MYR', '', '', '', '', '', '', '', 'Malaysia', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(129, '', '', 'MDV', 'MV', 'MVR', '', '', '', '', '', '', '', 'Maldives', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(130, '', '', 'MLI', 'ML', 'XOF', '', '', '', '', '', '', '', 'Mali', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(131, '', '', 'MLT', 'MT', 'EUR', '', '', '', '', '', '', '', 'Malta', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(132, '', '', 'MHL', 'MH', 'USD', '', '', '', '', '', '', '', 'Marshall Islands', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(133, '', '', 'MTQ', 'MQ', 'EUR', '', '', '', '', '', '', '', 'Martinique', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(134, '', '', 'MRT', 'MR', 'MRO', '', '', '', '', '', '', '', 'Mauritania', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(135, '', '', 'MUS', 'MU', 'MUR', '', '', '', '', '', '', '', 'Mauritius', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(136, '', '', 'MYT', 'YT', 'EUR', '', '', '', '', '', '', '', 'Mayotte', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(137, '', '', 'MEX', 'MX', 'MXN', '', '', '', '', '', '', '', 'Mexico', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(138, '', '', 'FSM', 'FM', 'USD', '', '', '', '', '', '', '', 'Micronesia, Federated States of', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(139, '', '', 'MDA', 'MD', 'MDL', '', '', '', '', '', '', '', 'Moldova, Republic of', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(140, '', '', 'MCO', 'MC', 'EUR', '', '', '', '', '', '', '', 'Monaco', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(141, '', '', 'MNG', 'MN', 'MNT', '', '', '', '', '', '', '', 'Mongolia', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(142, '', '', 'MSR', 'MS', 'XCD', '', '', '', '', '', '', '', 'Montserrat', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(143, '', '', 'MAR', 'MA', 'MAD', '', '', '', '', '', '', '', 'Morocco', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(144, '', '', 'MOZ', 'MZ', 'MZN', '', '', '', '', '', '', '', 'Mozambique', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(145, '', '', 'MMR', 'MM', 'MMK', '', '', '', '', '', '', '', 'Myanmar', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(146, 'namibia', '[\"2\",\"3\",\"155\",\"169\",\"268\",\"271\",\"282\"]', 'NAM', 'NA', 'NAD', 2010, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[160.311,414.153,649.416,743.064,743.066,741.566,838.976,867.642,1280.73,1825.99],\"year\":[\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\"]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9469.12,11279.9,13900.6,15475,16620.6,16874.5,17507.4,18136.1,19120.8,20257.1],\"year\":[\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\"]}', 10, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[221.229,439.52,698.857,917.226,1110.16,1226.12,1506.84,1918.97,2450.54,3403.83],\"year\":[\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\"]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8877.66,9752.62,12004.7,13841.1,15775.4,16683.9,18259.9,18887.4,21002.8,21863.6],\"year\":[\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\"]}', 12, 'Namibia', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"percent\":[2,5,10,15,20,15,10,10,10,3]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"percent\":[2,3,10,12,20,20,15,10,5,3]}', 0.25, .5, 'GIZ Office Windhoek<br />\r\nP.O. Box 8016, Bachbrecht<br />\r\nWindhoek<br />\r\nNamibia', 'matthew.black@giz.de', 'Internationale Zusammenarbeit (GIZ) GmbH', '+264 (0)61 411420', 12, 95, 220, '', '', 1, 98, '', '2014-04-30 02:17:06', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 95),
(147, '', '', 'NRU', 'NR', 'AUD', '', '', '', '', '', '', '', 'Nauru', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(148, '', '', 'NPL', 'NP', 'NPR', '', '', '', '', '', '', '', 'Nepal', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(149, '', '', 'NLD', 'NL', 'EUR', '', '', '', '', '', '', '', 'Netherlands', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(150, '', '', 'ANT', 'AN', 'ANG', '', '', '', '', '', '', '', 'Netherlands Antilles', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(151, '', '', 'NCL', 'NC', 'XPF', '', '', '', '', '', '', '', 'New Caledonia', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(152, '', '', 'NZL', 'NZ', 'NZD', '', '', '', '', '', '', '', 'New Zealand', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(153, '', '', 'NIC', 'NI', 'NIO', '', '', '', '', '', '', '', 'Nicaragua', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(154, '', '', 'NER', 'NE', 'XOF', '', '', '', '', '', '', '', 'Niger', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(155, '', '', 'NGA', 'NG', 'NGN', '', '', '', '', '', '', '', 'Nigeria', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(156, '', '', 'NIU', 'NU', 'NZD', '', '', '', '', '', '', '', 'Niue', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(157, '', '', 'NFK', 'NF', 'AUD', '', '', '', '', '', '', '', 'Norfolk Island', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(158, '', '', 'MNP', 'MP', 'USD', '', '', '', '', '', '', '', 'Northern Mariana Islands', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(159, '', '', 'NOR', 'NO', 'NOK', '', '', '', '', '', '', '', 'Norway', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(160, '', '', 'OMN', 'OM', 'OMR', '', '', '', '', '', '', '', 'Oman', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(161, '', '', 'PAK', 'PK', 'PKR', '', '', '', '', '', '', '', 'Pakistan', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(162, '', '', 'PLW', 'PW', 'USD', '', '', '', '', '', '', '', 'Palau', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(163, '', '', 'PAN', 'PA', 'USD', '', '', '', '', '', '', '', 'Panama', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(164, '', '', 'PNG', 'PG', 'PGK', '', '', '', '', '', '', '', 'Papua New Guinea', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(165, '', '', 'PRY', 'PY', 'PYG', '', '', '', '', '', '', '', 'Paraguay', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(166, '', '', 'PER', 'PE', 'PEN', '', '', '', '', '', '', '', 'Peru', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(167, '', '', 'PHL', 'PH', 'PHP', '', '', '', '', '', '', '', 'Philippines', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(168, '', '', 'PCN', 'PN', 'NZD', '', '', '', '', '', '', '', 'Pitcairn', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(169, '', '', 'POL', 'PL', 'PLN', '', '', '', '', '', '', '', 'Poland', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(170, '', '', 'PRT', 'PT', 'EUR', '', '', '', '', '', '', '', 'Portugal', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(171, '', '', 'PRI', 'PR', 'USD', '', '', '', '', '', '', '', 'Puerto Rico', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(172, '', '', 'QAT', 'QA', 'QAR', '', '', '', '', '', '', '', 'Qatar', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(173, '', '', 'REU', 'RE', 'EUR', '', '', '', '', '', '', '', 'Reunion', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(174, '', '', 'ROM', 'RO', 'RON', '', '', '', '', '', '', '', 'Romania', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(175, '', '', 'RUS', 'RU', 'RUB', '', '', '', '', '', '', '', 'Russian Federation', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(176, '', '', 'RWA', 'RW', 'RWF', '', '', '', '', '', '', '', 'Rwanda', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(177, '', '', 'KNA', 'KN', 'XCD', '', '', '', '', '', '', '', 'Saint Kitts and Nevis', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(178, '', '', 'LCA', 'LC', 'XCD', '', '', '', '', '', '', '', 'Saint Lucia', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(179, '', '', 'VCT', 'VC', 'XCD', '', '', '', '', '', '', '', 'Saint Vincent and the Grenadines', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(180, '', '', 'WSM', 'WS', 'WST', '', '', '', '', '', '', '', 'Samoa', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(181, '', '', 'SMR', 'SM', 'EUR', '', '', '', '', '', '', '', 'San Marino', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(182, '', '', 'STP', 'ST', 'STD', '', '', '', '', '', '', '', 'Sao Tome and Principe', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(183, '', '', 'SAU', 'SA', 'SAR', '', '', '', '', '', '', '', 'Saudi Arabia', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(184, '', '', 'SEN', 'SN', 'XOF', '', '', '', '', '', '', '', 'Senegal', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(185, '', '', 'SYC', 'SC', 'SCR', '', '', '', '', '', '', '', 'Seychelles', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(186, '', '', 'SLE', 'SL', 'SLL', '', '', '', '', '', '', '', 'Sierra Leone', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(187, '', '', 'SGP', 'SG', 'SGD', '', '', '', '', '', '', '', 'Singapore', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(188, '', '', 'SVK', 'SK', 'EUR', '', '', '', '', '', '', '', 'Slovakia', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(189, '', '', 'SVN', 'SI', 'EUR', '', '', '', '', '', '', '', 'Slovenia', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(190, '', '', 'SLB', 'SB', 'SBD', '', '', '', '', '', '', '', 'Solomon Islands', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(191, '', '', 'SOM', 'SO', 'SOS', '', '', '', '', '', '', '', 'Somalia', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(192, 'south-africa', '[\"2\",\"3\",\"12\",\"19\",\"21\",\"24\",\"266\",\"267\",\"271\",\"274\"]', 'ZAF', 'ZA', 'ZAR', 2010, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[223.773,759.178,1258.53,1400.82,1227.59,1069.93,1030.86,626.279,992.276,1189.47],\"year\":[\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\"]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9326.5,11254.7,14553.4,17009.8,18066.8,17654.2,17722.1,17850.1,18650.1,19738.4],\"year\":[\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\"]}', 10, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[232.425,564.007,1097.19,1479.03,1629.89,1539.07,1609.45,1658.64,1777.61,2212.13],\"year\":[\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\"]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8652.92,9498.43,11939,14264.8,16648.6,17422,18203.3,18160.4,19752.3,20857.6],\"year\":[\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\"]}', 10, 'South Africa', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"percent\":[10,10,10,10,10,10,10,10,10,10]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"percent\":[10,10,10,10,10,10,10,10,10,10]}', 0.25, .5, '', '', '', '', 10, 111, 220, '', '', 1, 98, '', '2014-06-04 18:48:07', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 111),
(193, '', '', 'SGS', 'GS', 'GBP', '', '', '', '', '', '', '', 'South Georgia and the South Sandwich Islands', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(194, '', '', 'ESP', 'ES', 'EUR', '', '', '', '', '', '', '', 'Spain', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(195, '', '', 'LKA', 'LK', 'LKR', '', '', '', '', '', '', '', 'Sri Lanka', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(196, '', '', 'SHN', 'SH', 'SHP', '', '', '', '', '', '', '', 'St. Helena', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(197, '', '', 'SPM', 'PM', 'EUR', '', '', '', '', '', '', '', 'St. Pierre and Miquelon', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(198, '', '', 'SDN', 'SD', 'SDG', '', '', '', '', '', '', '', 'Sudan', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(199, '', '', 'SUR', 'SR', 'SRD', '', '', '', '', '', '', '', 'Suriname', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(200, '', '', 'SJM', 'SJ', 'NOK', '', '', '', '', '', '', '', 'Svalbard and Jan Mayen Islands', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(201, '', '', 'SWZ', 'SZ', 'SZL', '', '', '', '', '', '', '', 'Swaziland', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(202, '', '', 'SWE', 'SE', 'SEK', '', '', '', '', '', '', '', 'Sweden', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(203, 'switzerland', '', 'CHE', 'CH', 'CHF', '', '', '', '', '', '', '', 'Switzerland', '', '', '', '', '', '', '', '', '', '', '', '', '', 1, '', 845, '0000-00-00 00:00:00', '2015-09-06 02:00:59', '', '0000-00-00 00:00:00', 1, '', ''),
(204, '', '', 'SYR', 'SY', 'SYP', '', '', '', '', '', '', '', 'Syrian Arab Republic', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(205, '', '', 'TWN', 'TW', 'TWD', '', '', '', '', '', '', '', 'Taiwan', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(206, '', '', 'TJK', 'TJ', 'TJS', '', '', '', '', '', '', '', 'Tajikistan', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(207, 'tanzania,-united-republic-of', '[\"2\",\"3\",\"7\",\"8\",\"9\",\"10\",\"11\",\"12\",\"17\",\"18\",\"19\",\"20\",\"21\",\"22\",\"24\",\"25\",\"26\",\"27\",\"28\",\"29\",\"30\",\"31\",\"32\",\"35\",\"36\",\"37\",\"44\",\"49\",\"56\",\"62\",\"67\",\"68\",\"69\",\"102\",\"115\",\"121\",\"126\",\"137\",\"145\",\"168\",\"195\",\"211\",\"238\",\"246\",\"259\",\"265\",\"266\",\"267\",\"268\",\"269\",\"270\",\"271\",\"275\",\"276\",\"278\",\"279\",\"280\",\"281\",\"282\",\"283\",\"284\",\"285\",\"286\",\"302\",\"303\",\"304\",\"308\",\"309\",\"310\",\"315\"]', 'TZA', 'TZ', 'TZS', 2010, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[201.509,520.737,807.509,912.677,867.466,821.274,865.768,784.78,1133.52,1627.25],\"year\":[\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\"]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10633.4,12042.6,13751.2,15368.9,17076.6,17912.8,18599,19383.1,20365,21563.9],\"year\":[\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\"]}', 10, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[190.12,395.589,680.019,881.997,979.578,966.691,1059.43,1176.19,1376.8,1895.82],\"year\":[\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\"]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9774.96,10192.5,11488.5,12867.7,14576.9,15771.6,17185.4,18226,19788.6,21381.1],\"year\":[\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\"]}', 10, 'Tanzania, United Republic of', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"percent\":[10,10,10,10,10,10,10,10,10,10]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"percent\":[10,10,10,10,10,10,10,10,10,10]}', 0.25, 0.5, '', '', '', '', 10, 106, 220, '', '', 1, 98, '', '2014-06-02 13:00:41', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 106),
(208, '', '', 'THA', 'TH', 'THB', '', '', '', '', '', '', '', 'Thailand', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(209, '', '', 'TGO', 'TG', 'XOF', '', '', '', '', '', '', '', 'Togo', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(210, '', '', 'TKL', 'TK', 'NZD', '', '', '', '', '', '', '', 'Tokelau', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(211, '', '', 'TON', 'TO', 'TOP', '', '', '', '', '', '', '', 'Tonga', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(212, '', '', 'TTO', 'TT', 'TTD', '', '', '', '', '', '', '', 'Trinidad and Tobago', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(213, '', '', 'TUN', 'TN', 'TND', '', '', '', '', '', '', '', 'Tunisia', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(214, '', '', 'TUR', 'TR', 'TRY', '', '', '', '', '', '', '', 'Turkey', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(215, '', '', 'TKM', 'TM', 'TMT', '', '', '', '', '', '', '', 'Turkmenistan', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(216, '', '', 'TCA', 'TC', 'USD', '', '', '', '', '', '', '', 'Turks and Caicos Islands', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(217, '', '', 'TUV', 'TV', 'AUD', '', '', '', '', '', '', '', 'Tuvalu', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(218, 'uganda', '[\"2\",\"3\",\"7\",\"8\",\"9\",\"10\",\"11\",\"12\",\"17\",\"18\",\"19\",\"20\",\"21\",\"22\",\"24\",\"25\",\"26\",\"27\",\"28\",\"29\",\"30\",\"31\",\"32\",\"35\",\"36\",\"37\",\"50\",\"51\",\"52\",\"53\",\"56\",\"67\",\"68\",\"69\",\"103\",\"104\",\"105\",\"108\",\"109\",\"110\",\"111\",\"112\",\"113\",\"114\",\"116\",\"117\",\"118\",\"119\",\"120\",\"121\",\"126\",\"137\",\"146\",\"147\",\"148\",\"154\",\"157\",\"159\",\"160\",\"161\",\"169\",\"170\",\"171\",\"175\",\"194\",\"196\",\"197\",\"199\",\"200\",\"201\",\"202\",\"204\",\"211\",\"225\",\"233\",\"239\",\"245\",\"247\",\"248\",\"249\",\"250\",\"251\",\"254\",\"255\",\"258\",\"259\",\"265\",\"266\",\"267\",\"268\",\"269\",\"270\",\"271\",\"275\",\"276\",\"278\",\"279\",\"280\",\"281\",\"282\",\"283\",\"284\",\"285\",\"286\",\"302\",\"303\",\"304\",\"308\",\"309\",\"313\",\"315\"]', 'UGA', 'UG', 'UGX', 2010, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[206.075,466.006,698.821,800.567,854.474,840.675,924.373,971.656,1364.87,2010.7],\"year\":[\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\"]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10170.4,11764.9,13535.7,14926.9,16461.1,17579.5,18506.6,19155.5,20020.6,21083.9],\"year\":[\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\"]}', 1, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[231.099,448.264,696.081,889.905,1065.39,1132.26,1335,1623.23,2014.25,2786.38],\"year\":[\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\"]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9064.39,9656.5,11114.6,12524.1,14179,15432.1,17167.1,18203.8,19673.4,21140],\"year\":[\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\"]}', 1, 'Uganda', '{\"age\":[\"15-19\"],\"percent\":[100]}', '{\"age\":[\"15-19\"],\"percent\":[100]}', 0.25, 1, '', '', '', '', 1, 238, 220, '', '', 1, 98, '', '2015-06-15 08:24:10', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 238),
(219, '', '', 'UKR', 'UA', 'UAH', '', '', '', '', '', '', '', 'Ukraine', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(220, '', '', 'ARE', 'AE', 'AED', '', '', '', '', '', '', '', 'United Arab Emirates', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(221, '', '', 'GBR', 'GB', 'GBP', '', '', '', '', '', '', '', 'United Kingdom', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(222, '', '', 'USA', 'US', 'USD', '', '', '', '', '', '', '', 'United States', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(223, '', '', 'UMI', 'UM', 'USD', '', '', '', '', '', '', '', 'United States Minor Outlying Islands', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(224, '', '', 'URY', 'UY', 'UYU', '', '', '', '', '', '', '', 'Uruguay', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(225, '', '', 'UZB', 'UZ', 'UZS', '', '', '', '', '', '', '', 'Uzbekistan', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(226, '', '', 'VUT', 'VU', 'VUV', '', '', '', '', '', '', '', 'Vanuatu', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(227, '', '', 'VAT', 'VA', 'EUR', '', '', '', '', '', '', '', 'Vatican City State (Holy See)', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(228, '', '', 'VEN', 'VE', 'VEF', '', '', '', '', '', '', '', 'Venezuela', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(229, '', '', 'VNM', 'VN', 'VND', '', '', '', '', '', '', '', 'Viet Nam', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(230, '', '', 'VGB', 'VG', 'USD', '', '', '', '', '', '', '', 'Virgin Islands (British)', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(231, '', '', 'VIR', 'VI', 'USD', '', '', '', '', '', '', '', 'Virgin Islands (U.S.)', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(232, '', '', 'WLF', 'WF', 'XPF', '', '', '', '', '', '', '', 'Wallis and Futuna Islands', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(233, '', '', 'ESH', 'EH', 'MAD', '', '', '', '', '', '', '', 'Western Sahara', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(234, '', '', 'YEM', 'YE', 'YER', '', '', '', '', '', '', '', 'Yemen', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(235, '', '', 'DRC', 'DC', 'CDF', '', '', '', '', '', '', '', 'The Democratic Republic of Congo', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(236, 'zambia', '[\"2\",\"3\",\"7\",\"8\",\"9\",\"10\",\"11\",\"12\",\"17\",\"18\",\"19\",\"20\",\"21\",\"22\",\"24\",\"25\",\"26\",\"27\",\"28\",\"29\",\"30\",\"31\",\"32\",\"35\",\"36\",\"37\",\"50\",\"51\",\"52\",\"53\",\"54\",\"56\",\"62\",\"67\",\"68\",\"69\",\"102\",\"115\",\"121\",\"126\",\"133\",\"137\",\"144\",\"146\",\"147\",\"148\",\"154\",\"157\",\"159\",\"160\",\"161\",\"166\",\"167\",\"168\",\"196\",\"197\",\"199\",\"200\",\"201\",\"202\",\"203\",\"225\",\"233\",\"239\",\"245\",\"247\",\"248\",\"249\",\"250\",\"251\",\"254\",\"256\",\"257\",\"258\",\"260\",\"261\",\"265\",\"266\",\"267\",\"268\",\"269\",\"270\",\"271\",\"275\",\"276\",\"277\",\"284\",\"285\",\"286\",\"302\",\"303\",\"304\",\"308\",\"309\",\"315\"]', 'ZMB', 'ZM', 'ZMK', 2010, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[264.181,597.058,894.93,1022.68,1099.05,1060.96,1146.72,1189.63,1651.54,2446.89],\"year\":[\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\"]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9669.89,11478.9,13597.2,15072,16837.5,17639.8,18402,18919.2,19941.1,20977.3],\"year\":[\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\"]}', 1, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[265.332,520.748,830.199,1068.01,1258.15,1314.71,1524.86,1813.67,2197.16,2990.75],\"year\":[\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\"]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8622.31,9298.69,10992.8,12497.1,14377.2,15578.6,17245.2,17998.1,19679.8,20831.4],\"year\":[\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\"]}', 11, 'Zambia', '{\"age\":[\"15-19\"],\"percent\":[100]}', '{\"age\":[\"15-19\"],\"percent\":[100]}', 0.25, 1, '', '', '', '', 6, 239, 220, '', '', 1, 98, 450, '2015-06-15 08:26:30', '2015-09-08 01:24:37', '', '0000-00-00 00:00:00', 2, '', 239),
(237, 'zimbabwe', '[\"2\",\"3\",\"7\",\"9\",\"10\",\"24\",\"37\",\"56\",\"69\",\"102\",\"115\",\"168\",\"267\",\"268\",\"274\",\"277\"]', 'ZWE', 'ZW', 'USD', 2010, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[287.139,814.785,1307.69,1479.31,1455.22,1356.44,1421.49,1255,1835.07,2481],\"year\":[\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\"]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10681.9,12173.9,14380.8,17238.6,20922.9,21715.2,20965.7,20506.1,21238.6,22930.4],\"year\":[\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\"]}', 5, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[305.582,653.337,1144.79,1525.79,1764.55,1814.32,2081.02,2430.79,2860.31,3765.96],\"year\":[\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\"]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10051,10809.6,12772.3,15069.2,18416.2,20729.1,22102.5,21421.4,22651.8,24030.7],\"year\":[\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\",\"2010\"]}', 900, 'Zimbabwe', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"percent\":[5,10,23,18,15,11,9,3,3,3]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"percent\":[3,8,19,17,16,13,7,7,5,5]}', 0.25, 0.3, 'GIZ Zimbabwe\r\n01 Grove Drive, Highlands\r\nHarare, Zimbabwe', 'tinashe.chimbidzikai@giz.de', 'Tinashe Chimbidzikai', .263449672324, 10, 102, 220, '', '', 1, 98, 450, '2014-05-30 13:33:11', '2015-09-08 01:21:24', '', '0000-00-00 00:00:00', 2, '', 102),
(238, '', '', 'XET', 'XE', 'USD', '', '', '', '', '', '', '', 'East Timor', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(239, '', '', 'JEY', 'JE', 'GBP', '', '', '', '', '', '', '', 'Jersey', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(240, '', '', 'XSB', 'XB', 'EUR', '', '', '', '', '', '', '', 'St. Barthelemy', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(241, '', '', 'XSE', 'XU', 'USD', '', '', '', '', '', '', '', 'St. Eustatius', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(242, '', '', 'XCA', 'XC', 'EUR', '', '', '', '', '', '', '', 'Canary Islands', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(243, '', '', 'SRB', 'RS', 'SRB', '', '', '', '', '', '', '', 'Serbia', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(244, '', '', 'MAF', 'MF', 'EUR', '', '', '', '', '', '', '', 'Sint Maarten (French Antilles)', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(245, '', '', 'SXM', 'SX', 'ANG', '', '', '', '', '', '', '', 'Sint Maarten (Netherlands Antilles)', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(246, '', '', 'ZZZ', 'ZZ', 'ZZZ', '', '', '', '', '', '', '', 'Reserved', '', '', '', '', '', '', '', '', '', '', '', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '');

--
-- Dumping data for table `#__costbenefitprojection_health_data`
--

INSERT INTO `#__costbenefitprojection_health_data` (`id`, `causerisk`, `country`, `femaledeath`, `femaleyld`, `maledeath`, `maleyld`, `year`, `params`, `published`, `created_by`, `modified_by`, `created`, `modified`, `checked_out`, `checked_out_time`, `version`, `hits`, `access`, `ordering`) VALUES
(1, 1, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[46.3793,234.16,477.483,555.166,529.772,428.857,352.866,214.388,178.984,150.74]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[178.713,744.408,2242.74,2815.4,2938.78,2130.71,1614.33,1066.78,990.016,716.162]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[32.8181,117.749,346.287,538.703,696.208,682.248,686.295,556.957,487.59,460.879]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[248.839,471.109,1624.2,2603.64,3582.07,3454.67,3570.7,2500.97,2850.36,1622.08]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:29:39', '', '0000-00-00 00:00:00', 6, '', 2, ''),
(2, 2, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.24735,16.0503,14.5321,14.9564,16.5978,21.7498,29.8159,38.5368,59.8757,78.3472]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[48.4955,72.0443,188.735,226.306,271.605,346.617,396.822,367.363,443.855,319.841]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.923,30.4912,48.5095,63.0872,74.7477,100.983,141.175,208.398,265.937,333.805]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[123.226,179.899,560.179,806.62,962.532,1152.51,1435.38,1106.52,1423.39,798.232]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(3, 3, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[38.1319,218.11,462.951,540.209,513.174,407.108,323.05,175.852,119.108,72.3927]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[130.217,672.363,2054,2589.09,2667.17,1784.1,1217.51,699.413,546.16,396.321]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.8952,87.2578,297.777,475.616,621.46,581.264,545.12,348.559,221.653,127.074]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[125.613,291.21,1064.02,1797.02,2619.53,2302.15,2135.32,1394.45,1426.97,823.843]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(4, 4, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.02791,45.9186,97.6289,114.766,110.145,85.8119,68.0118,37.022,25.0758,15.2408]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[37.8955,56.6701,149.048,176.87,214.213,272.904,309.906,286.458,346.943,249.511]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.39906,18.3704,62.691,100.131,130.844,122.374,114.764,73.382,46.6646,26.7528]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[96.2047,141.008,439.947,630.98,751.261,896.67,1114.54,862.183,1107.65,621.835]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(5, 5, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[30.104,172.191,365.322,425.444,403.029,321.296,255.039,138.83,94.0323,57.1519]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[92.3217,615.693,1904.96,2412.22,2452.96,1511.19,907.601,412.955,199.218,146.809]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.4961,68.8874,235.086,375.484,490.616,458.891,430.356,275.177,174.988,100.321]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[29.4087,150.203,624.073,1166.04,1868.27,1405.48,1020.78,532.272,319.323,202.008]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(6, 6, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.4611,27.1402,21.5674,20.7386,21.353,27.1485,37.363,47.2898,82.776,125.31]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[223.282,213.353,232.421,250.389,263.016,274.664,287.823,302.533,314.266,340.63]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.9736,35.7124,43.1204,46.6233,50.2878,61.8215,84.542,128.805,178.496,280.18]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[230.268,223.825,244.786,262.367,271.602,280.986,292.849,310.631,321.641,348.848]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(7, 7, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.91995,7.47039,6.2699,6.2931,6.65662,8.33199,10.9343,15.6594,25.9509,43.6908]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[54.4869,61.7089,68.468,75.2776,82.1721,88.975,96.0375,102.437,109.47,115.549]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.30628,9.28264,12.5543,13.6289,14.4421,19.3985,24.9045,41.7587,58.9229,90.0781]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[50.3374,56.316,61.3974,67.1483,71.7822,76.8384,82.3496,86.8527,91.8318,96.6216]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(8, 8, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.53767,7.80017,5.2135,4.45659,3.81108,3.86914,3.87669,3.45734,3.43686,2.90983]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.93882,4.53559,4.22643,3.74554,3.40757,3.06457,2.81103,2.42915,2.20831,2.02577]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.1301,10.0938,8.64664,7.37483,5.95874,5.53247,5.24225,5.0989,4.48606,3.8455]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.4355,5.9811,5.5801,4.99166,4.49255,4.01492,3.61138,3.18182,2.91308,2.53154]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(9, 9, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.26854,8.80194,7.52154,7.46894,8.37913,11.7894,18.8804,24.1179,48.6407,73.0121]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.7872,11.7633,12.9768,14.4609,15.8781,17.3634,21.8373,31.3744,40.3929,49.4318]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.32588,11.9712,16.0421,19.2252,22.7906,29.256,45.1853,70.9592,106.121,174.779]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.8985,12.1839,13.5961,15.0536,16.4937,18.125,22.935,33.0949,43.0155,52.4094]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(10, 10, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00585171,0.00775466,0.00934605,0.0116486,0.00726908,0.0057854,0.00899589,0.0130815,0.0270067,0.0281239]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[42.7516,28.714,32.8549,37.4714,40.7973,45.605,43.8899,34.8121,25.7942,16.4151]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00777225,0.0105468,0.0199334,0.0299836,0.0197713,0.0143567,0.0215293,0.0384881,0.0589212,0.0673237]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[42.7972,30.6582,34.3721,38.3681,40.8257,44.8634,43.1345,34.7243,26.1185,17.7303]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(11, 11, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0092607,0.00712098,0.00552391,0.00661113,0.00729666,0.00971324,0.0173353,0.02763,0.0247492,0.0302488]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[59.5856,56.8029,60.5203,62.6907,61.7284,58.4451,57.8386,59.8555,58.9919,64.3793]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00979974,0.0072681,0.00726607,0.00858581,0.00897177,0.010961,0.0184562,0.0321329,0.0256436,0.0322178]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[64.7509,62.8509,67.8096,70.5751,68.1992,63.6818,62.3668,65.7894,64.1821,69.8954]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(12, 12, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.87713,2.03686,1.65046,1.5942,1.58946,2.10922,2.58228,2.96168,3.54548,4.51265]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[46.141,46.7568,49.7583,52.6414,54.2168,55.7243,59.1012,64.1558,68.6567,83.1771]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.04962,3.00542,3.90201,4.14856,4.6072,5.16992,6.56788,8.13259,6.70393,9.14052]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[50.3807,52.6773,58.1618,61.6236,64.4893,67.2321,71.3752,78.497,83.5997,98.6012]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(13, 13, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.601914,0.689998,0.573137,0.542365,0.530879,0.685028,0.817312,0.911216,1.05907,1.30024]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.1014,16.7136,17.7602,18.738,19.2016,19.5848,20.4418,21.5689,22.5501,26.0719]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.981269,1.0235,1.36128,1.42151,1.54399,1.69252,2.09385,2.52065,2.01169,2.6478]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.0944,19.7167,21.8946,23.2172,24.5718,25.2869,26.6068,28.5338,29.6513,32.9693]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(14, 14, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.296093,0.1714,0.0682314,0.0733736,0.0812117,0.119019,0.159011,0.199743,0.259885,0.365999]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.9468,9.84066,8.92908,8.56369,8.20353,7.88499,7.62399,7.6156,7.56651,8.40972]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.480779,0.25192,0.161894,0.18998,0.231963,0.286538,0.398453,0.544237,0.497071,0.746496]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.80236,7.69481,7.172,6.62899,6.40685,6.34881,6.28328,6.44232,6.85896,7.76407]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(15, 15, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.491925,0.539603,0.437433,0.412262,0.399252,0.513379,0.607897,0.671897,0.771348,0.945398]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.1575,8.62568,9.64398,10.5901,10.9967,11.3948,12.2959,13.6403,14.5497,18.0991]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.796377,0.795861,1.02894,1.0627,1.14777,1.25144,1.54888,1.84664,1.46445,1.91177]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.0657,11.8585,13.1991,13.9912,14.4362,15.0332,15.7109,17.5071,18.1724,21.4418]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(16, 16, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.487197,0.635863,0.571658,0.5662,0.578119,0.791792,0.99806,1.17882,1.45518,1.90101]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.7133,11.3965,13.2468,14.5728,15.6023,16.5875,18.4759,21.0776,23.7118,30.3706]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.791197,0.934145,1.3499,1.47437,1.68348,1.93941,2.5267,3.22106,2.73071,3.83446]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.017,13.1236,15.5975,17.4683,18.7097,20.1286,22.3374,25.549,28.5399,35.9971]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(17, 17, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.514602,0.76659,0.753382,0.782408,0.792999,0.922038,0.938793,0.917765,0.945184,1.02928]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.47796,2.07402,2.64464,3.0616,3.64644,4.1913,4.74831,5.33379,5.89223,6.30695]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.836033,1.13112,1.78114,2.03605,2.29858,2.26001,2.38777,2.52013,1.78719,2.08484]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.57928,2.14123,2.8652,3.51251,4.09598,4.82613,5.46816,6.25216,6.86884,7.71077]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(18, 18, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.00607975,0.00618227,0.00571217,0.00552917,0.00576753,0.00559687,0.0086539,0.0092347,0.00986289]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0,0.00054549,0,0,0,0.000688208,0,0.000651131,0.000416972]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0087198,0.00828199,0.00998272,0.0106006,0.0113222,0.0114948,0.0183596,0.0219469,0.0205995]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0,0.00173396,0.00139289,0.00106499,0.000873834,0.000467037,0.00118687,0.000779346,0.00123888]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(19, 19, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.00958014,0.0122983,0.0135633,0.0151039,0.0145458,0.0182129,0.019761,0.0158759,0.0606846]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0237567,0.0240355,0.027955,0.0280999,0.0295386,0.046832,0.0516941,0.0466977,0.152544]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0139555,0.0168277,0.0235468,0.0286047,0.0274634,0.0362409,0.0415796,0.0378359,0.13035]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0341428,0.0403716,0.0502524,0.06236,0.0602018,0.0926728,0.100022,0.110627,0.342489]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(20, 20, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0139063,0.0238184,0.026374,0.0328445,0.0368832,0.041588,0.0514251,0.0610913,0.0833558,0.0538158]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0.00157048,6.23084e-5,0,0,0.00164559,0.000577044,0,0.00157665,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0198131,0.0319206,0.0455901,0.0628803,0.0729084,0.0854158,0.10862,0.145409,0.17622,0.107608]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0.00140781,0.000888418,0.00232661,0.00116528,0.00224205,0.00266398,0.0054176,0.00448036,0.00249675]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(21, 21, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.286222,0.192045,0.0826865,0.04983,0.0325759,0.0284513,0.0227369,0.0193343,0.0187683]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0281564,0.0191105,0.0101928,0.00784862,0.00671529,0.000602702,0.00195862,0.00474005,0.00322532]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.252565,0.138107,0.0676602,0.0404993,0.0265124,0.0266038,0.0226385,0.0254797,0.0299048]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0334307,0.0134969,0.00656297,0.00353663,0.00135959,0.00421122,0.00490653,0.00141478,0.00236906]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(22, 22, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0122613,0.0150342,0.0154022,0.021774,0.0193328,0.0173293,0.0216868,0.0295189,0.032388,0.042865]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.06111,0.95243,0.933487,1.00351,1.13278,1.24608,1.50445,2.08315,2.70188,3.34449]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0130605,0.0152432,0.0202196,0.0286094,0.023608,0.0194924,0.0231747,0.0343404,0.033252,0.0451745]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.02037,0.959683,0.944649,1.02493,1.15944,1.30456,1.4993,2.12095,2.76109,3.34493]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(23, 23, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.1661,20.8273,16.4352,16.6288,15.7236,22.5073,23.836,28.6561,32.6129,42.2816]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[194.213,200.525,203.085,200.671,203.163,204.956,193.65,195.232,187.667,206.034]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.8181,22.5657,24.2115,24.3497,25.7269,38.305,46.022,59.8071,62.8714,69.7122]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[181.428,166.46,156.278,158.325,166.249,169.868,177.104,184.2,198.825,201.668]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(24, 24, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.7992,20.3339,15.9794,16.124,15.1511,21.892,23.1015,27.8396,31.4834,40.9085]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[58.6268,59.5611,62.122,60.7943,62.8464,64.3485,57.7791,55.7557,46.7774,47.2868]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.2825,21.8629,23.3619,23.4489,24.743,37.1547,44.7828,58.369,61.2822,67.9603]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.9544,18.0031,14.8482,15.2576,18.2794,19.6602,23.2401,24.7436,30.7276,38.2214]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(25, 25, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0955198,0.0998736,0.0681074,0.0633172,0.0652017,0.0788872,0.0921229,0.0940776,0.108088,0.106555]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.643717,0.718888,0.82168,0.911979,1.0008,1.07971,1.12664,1.17026,1.17693,1.19198]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.23725,0.234722,0.203051,0.189169,0.187641,0.210599,0.234379,0.26343,0.270281,0.273564]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.624594,0.70262,0.815811,0.874311,0.971181,1.0386,1.07615,1.14784,1.12698,1.12887]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(26, 26, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00115729,0.00260492,0.00353264,0.00445198,0.00601798,0.00824774,0.0112819,0.0133653,0.0171482,0.0209593]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.39492,5.55792,5.17075,4.79624,4.4762,4.15295,3.71702,3.34839,2.95205,2.60827]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000776551,0.00164612,0.00288909,0.00402482,0.00558835,0.00803042,0.0112256,0.0150066,0.0170686,0.0197306]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.32081,4.22411,3.84175,3.59352,3.40178,3.12371,2.90274,2.67051,2.45785,2.21156]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(27, 27, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0341444,0.0681296,0.0783972,0.0904557,0.0888761,0.11509,0.148231,0.169453,0.217695,0.242579]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.3348,24.6614,24.0621,23.6735,23.1059,23.2345,22.8814,22.6681,22.7206,23.4445]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0361517,0.0688311,0.101444,0.116752,0.109198,0.128715,0.157529,0.196989,0.225307,0.256705]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[29.0659,37.6013,37.2655,37.1177,36.9857,37.923,37.9494,38.6633,39.8732,39.2399]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(28, 28, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00410089,0.00635942,0.00632745,0.00804095,0.00962123,0.0141928,0.0222357,0.0232451,0.0377699,0.0458652]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.66259,2.14239,2.75817,3.35587,4.05877,4.5479,5.11796,5.9686,6.94852,7.91871]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00435039,0.00645318,0.00822898,0.0104359,0.011795,0.0158999,0.0236269,0.0271041,0.0389683,0.0485215]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.12623,1.52682,1.93441,2.22095,2.71244,3.14899,3.55805,4.0138,4.49021,5.06721]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(29, 29, 146, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0174257,0.122693,0.324462,0.709587,1.35348,2.43506,5.29515,10.8065,20.0477]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00948345,0.0628178,0.176062,0.420103,0.731772,1.22931,2.44587,4.96672,9.81984]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(30, 30, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0235298,0.0287528,0.0305986,0.036256,0.0602633,0.0462198,0.0628116,0.0538188,0.0732021,0.115824]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0196867,0.0200781,0.0233544,0.0339305,0.0287383,0.0267512,0.0337224,0.0432526,0.0428055,0.0572375]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(31, 31, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.11285,0.144428,0.13872,0.144983,0.160035,0.160114,0.175684,0.175238,0.308342,0.384594]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0.00184755,0.000950864,0,0.00100704,0.000754697,0.00101425,0.00163313,0.00252375,0.00181801]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.123252,0.16867,0.225883,0.197659,0.193121,0.265338,0.246062,0.295959,0.350328,0.313699]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0.00163887,0.00195426,0.000990418,0,0.00173744,0.000974529,0.00311317,0.000898918,0.00191507]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(32, 32, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00158922,0.00137382,0.000821607,0.00106107,0.000825716,0.00111243,0.0011314,0.00149207,0.00214827,0.003211]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[99.1645,98.2729,98.4811,96.782,96.6275,96.2722,91.7284,91.7818,87.5671,85.4076]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00196249,0.00161992,0.00124438,0.00160534,0.0011799,0.00146199,0.0014014,0.00203455,0.00260087,0.00395889]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[92.2494,85.0111,81.1381,81.6476,83.1197,83.9105,84.8225,85.6545,86.4827,87.9935]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(33, 33, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00158922,0.00137382,0.000821607,0.00106107,0.000825716,0.00111243,0.0011314,0.00149207,0.00214827,0.003211]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0295678,0.0269217,0.0314082,0.0299565,0.0283944,0.0279625,0.0277168,0.0294763,0.0299176,0.0319594]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00196249,0.00161992,0.00124438,0.00160534,0.0011799,0.00146199,0.0014014,0.00203455,0.00260087,0.00395889]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0332191,0.0283515,0.0291911,0.029578,0.0300597,0.0277626,0.0283872,0.030084,0.0293866,0.026885]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(34, 34, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.475862,0.483749,0.479818,0.482169,0.485324,0.46433,0.465178,0.480305,0.451311,0.469949]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.47376,0.480818,0.467697,0.480844,0.487188,0.490627,0.457876,0.4699,0.475274,0.444882]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(35, 35, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[98.6591,97.7623,97.9699,96.2699,96.1138,95.7799,91.2355,91.272,87.0859,84.9057]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[91.7425,84.5019,80.6412,81.1372,82.6024,83.3921,84.3362,85.1545,85.978,87.5217]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(36, 36, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0940194,0.141792,0.129315,0.156194,0.18162,0.191399,0.220957,0.285744,0.36515,0.453507]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.38567,9.59136,9.5461,10.0329,10.3371,9.96584,8.86336,9.24217,8.71575,18.1262]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.112128,0.200762,0.283561,0.347249,0.446682,0.493517,0.53128,0.594341,0.641826,0.778566]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[26.0865,19.3794,16.3696,17.4359,20.3592,20.3298,22.3245,24.8576,28.6993,17.9835]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(37, 37, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.0039,25.0621,31.6081,32.2633,26.0939,27.7076,34.4237,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.5007,73.3589,139.737,183.885,215.39,280.088,357.716,210.707,105.126,13.5547]}', '', '', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(38, 38, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[2.10928,4.08516,5.81465,6.6203,5.89056,6.8234,9.1872]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[1.2776,2.74147,3.89569,3.21958,1.64456,0.463374,0.0465223]}', '', '', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(39, 39, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[1.56608,2.69727,2.92764,2.50834,1.81812,1.70955,1.85089]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[0.352413,0.936626,1.08082,0.607881,0.258033,0.170164,0.075844]}', '', '', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(40, 40, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[2.65261,3.93897,4.30602,3.72037,2.96255,3.09967,3.79731]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"55-59\"],\"number\":[2.31721,8.02354,9.71782,5.39503,2.49452,1.53838,0.585955,0.000182454]}', '', '', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(41, 41, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[0.142048,0.411278,0.455605,0.401875,0.375947,0.453801,0.632728]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.8515,41.4045,85.8287,121.924,149.903,199.619,258.405,210.707,105.126,13.5547]}', '', '', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(42, 42, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[2.46485,4.40018,5.52578,5.61958,4.2803,4.26585,4.95335]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[0.388403,0.727061,0.938978,0.923004,0.751067,0.420931,0.0920921]}', '', '', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(43, 43, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[5.06897,9.52928,12.5784,13.3929,10.7665,11.3553,14.0022]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[6.31358,19.5257,38.2747,51.8149,60.339,77.8769,98.5104]}', '', '', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(44, 45, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[49.0287,48.1428,46.4719,45.6779,45.2438,43.8428,43.1222,41.4706,40.6693,38.3774]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[59.6927,58.9199,57.7147,56.8537,54.3711,53.1375,51.6452,50.6703,48.4698,46.1542]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(45, 46, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[89.3878,83.4256,78.3702,74.1394,69.5398,65.4173,61.9724,57.3727,50.9775,44.5384]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[127.193,121.792,114.663,109.025,100.468,95.2856,88.6675,81.5429,72.548,63.4706]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(46, 49, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.779293,1.14314,0.800092,0.792051,0.799273,1.22596,1.99597,2.0685,3.86988,5.79423]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[967.987,1056.26,1003.43,982.389,987.571,968.893,881.456,885.056,801.739,800.258]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.11176,1.43499,1.37363,1.59557,1.82371,2.66848,3.849,5.83195,8.61722,13.477]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[633.023,513.468,441.498,449.343,492.825,501.862,538.815,589.144,652.947,726.786]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(47, 50, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.202932,0.228722,0.180758,0.238327,0.314256,0.530851,0.955761,1.07812,2.06066,3.21025]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0792903,0.0898054,0.0741973,0.096789,0.121146,0.219963,0.42257,0.481097,0.840961,1.65091]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.289507,0.287117,0.310334,0.480106,0.717042,1.15547,1.84307,3.03965,4.58855,7.46686]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0841558,0.115595,0.140553,0.19646,0.225445,0.387926,0.64896,0.885473,1.48278,2.57548]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(48, 51, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.202403,0.460321,0.302155,0.218128,0.144303,0.194264,0.226005,0.151672,0.210136,0.216754]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[221.021,254.551,243.236,232.459,222.437,212.854,204.4,197.831,191.242,184.722]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.288752,0.577844,0.518752,0.439416,0.329258,0.422844,0.435823,0.427626,0.467919,0.504158]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[130.668,150.765,144.345,137.71,130.981,124.966,119.5,115.426,111.123,107.368]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(49, 52, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.926898,0.434546,0.331686,0.379944,0.419315,0.450237,0.388672,0.330404,0.330749,0.325753]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.01063,0.428923,0.390793,0.440781,0.47072,0.491937,0.330678,0.257593,0.236348,0.250116]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(50, 53, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.361321,0.439363,0.304666,0.318737,0.316464,0.454294,0.732729,0.74802,1.42741,2.12657]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[745.642,800.84,759.523,749.125,764.166,754.632,675.103,685.303,607.515,611.422]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.515468,0.551535,0.523063,0.64209,0.72208,0.988836,1.41298,2.10897,3.17847,4.94629]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[500.805,361.726,296.16,310.33,360.166,374.402,416.119,469.422,536.052,611.596]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(51, 54, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0126376,0.014733,0.0125129,0.016859,0.0242497,0.0465509,0.0814784,0.0906921,0.171682,0.24065]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.317712,0.342213,0.266495,0.327695,0.427718,0.736877,1.14227,1.11134,1.80992,2.13689]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.018029,0.0184945,0.0214826,0.0339622,0.0553308,0.101325,0.157121,0.255698,0.38229,0.559739]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.455012,0.432762,0.461371,0.665343,0.981826,1.61355,2.2161,3.15315,4.05244,4.99689]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(52, 55, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.16076,1.68237,1.6148,1.75987,1.8084,2.35192,3.0606,3.53852,5.46383,6.37737]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[47.7759,68.6012,67.9968,61.57,51.8894,47.4866,26.3367,20.9022,19.3123,31.6984]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.0901,1.82973,3.0621,3.83964,4.05381,4.67751,6.38498,9.11384,10.5441,13.2386]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[91.4432,111.48,98.6336,84.3492,71.4068,60.1714,51.0205,46.9987,52.799,35.8133]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(53, 56, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.189076,0.358891,0.367177,0.415032,0.404111,0.486312,0.598252,0.485289,0.397096,0.569785]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[31.415,52.5638,51.0541,44.9913,36.4649,32.7657,12.5109,6.50661,5.03634,4.58885]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0513096,0.0714841,0.0854379,0.119406,0.135413,0.183118,0.232805,0.3067,0.306787,0.533023]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[48.02,78.2442,68.2575,52.6675,37.2833,25.3597,13.962,5.01834,4.5138,4.7513]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(54, 57, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.010535,0.0173955,0.019059,0.020517,0.022499,0.0308411,0.0327298,0.0430866,0.0859656,0.123472]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.422689,0.977662,1.5267,1.82785,2.0532,2.31389,2.49664,2.69848,2.94382,3.15711]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0513096,0.0714841,0.0854379,0.119406,0.135413,0.183118,0.232805,0.3067,0.306787,0.533023]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.640767,1.59849,2.38054,2.82317,3.38954,3.58557,3.75803,4.11489,4.48757,4.73036]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(55, 58, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0415953,0.0799056,0.0809859,0.091699,0.0885779,0.105998,0.132492,0.10368,0.0733305,0.110232]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.68817,9.84326,9.41816,8.07456,6.28016,6.31657,1.40654,0.600959,0.269349,0.11959]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[32.8762,53.2717,43.1677,28.4469,15.0588,9.28824,4.50083,0.557681,0.0212797,0.015743]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(56, 59, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0312626,0.0598865,0.0610673,0.0685452,0.0661973,0.0783909,0.0975771,0.0772004,0.0553149,0.0768085]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.4907,7.74475,8.27261,8.43318,7.85344,6.70216,2.08973,0.455421,0.202263,0.0874639]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.5031,23.374,22.7093,21.3974,18.8349,12.4859,5.70311,0.345767,0.00495183,0.00520349]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(57, 60, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.6347,29.5269,25.2075,18.6178,12.1688,8.24664,4.58675,1.45917,0.962372,0.922947]}', '', '', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(58, 61, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.105683,0.201704,0.206064,0.234271,0.226837,0.271082,0.335453,0.261321,0.182485,0.259273]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.1787,4.47119,6.6292,8.03793,8.10933,9.18646,1.93122,1.29258,0.658537,0.301736]}', '', '', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(59, 62, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.668267,0.811743,0.690638,0.790151,0.833373,1.13871,1.48224,1.76516,2.73313,3.02961]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.16973,5.93908,7.04784,7.00177,5.73596,5.26152,5.24148,5.46253,6.02247,6.24704]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.528814,0.755781,1.18598,1.54562,1.66405,2.09731,3.24662,4.22216,4.4396,5.75631]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.29614,6.38652,8.12903,8.66414,7.82503,7.73669,7.91983,8.29638,8.96472,9.09602]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(60, 63, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0345851,0.0437989,0.0414822,0.073813,0.108306,0.19204,0.352953,0.434639,0.912735,0.972463]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.794194,1.58593,2.88327,3.01207,1.79371,0.936936,0.263147,0.0136937,0.0111382,0.00958889]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0516009,0.094926,0.143247,0.208799,0.247997,0.303266,0.428651,0.662063,1.01612,1.33346]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.822437,1.61063,3.01783,3.11126,1.85614,0.994592,0.28811,0.0101777,0.0119047,0.00925454]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(61, 64, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0475379,0.0705581,0.0906201,0.156263,0.260505,0.572389,0.790036,0.926974,1.2559,1.51549]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.57661,2.90234,2.93694,2.94543,2.97469,3.2741,4.00514,4.64496,5.33902,5.59094]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0833342,0.178457,0.430938,0.74452,0.843392,1.14597,1.9366,2.58536,2.59478,3.27857]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.8988,3.41815,3.88712,4.38972,4.79267,5.45689,6.40821,7.30808,8.13553,8.31542]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(62, 65, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0137063,0.0225351,0.0229439,0.0597017,0.112192,0.169734,0.274031,0.356141,0.509804,0.50285]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.248673,0.324259,0.376945,0.425779,0.570256,0.860482,0.937138,0.771033,0.640453,0.622951]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0207062,0.048007,0.179311,0.277439,0.383939,0.551078,0.841751,0.935877,0.794583,1.11619]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.331101,0.379012,0.473478,0.595072,0.793583,1.10304,1.18527,0.948463,0.787446,0.750036]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(63, 66, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.572438,0.674851,0.535592,0.500373,0.352371,0.204542,0.0652173,0.0474069,0.0546955,0.0388148]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.55025,1.12655,0.850684,0.618488,0.397303,0.189997,0.0360471,0.0328485,0.0318628,0.0235597]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.373173,0.434391,0.432488,0.314859,0.188716,0.097003,0.0396168,0.0388672,0.0341165,0.0280976]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.2438,0.978737,0.750607,0.568086,0.382633,0.182176,0.0382388,0.0296544,0.0298448,0.0213135]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(64, 67, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00343562,0.00413558,0.00418282,0.00639034,0.00535858,0.00551104,0.00476649,0.0049835,0.00438172,0.00495625]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00380654,0.00454253,0.0049633,0.00567854,0.00524025,0.00378499,0.00509602,0.00510722,0.00474231,0.0043945]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(65, 68, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.303415,0.511735,0.55699,0.554686,0.570917,0.726902,0.980115,1.28807,2.33361,2.77797]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.18769,10.0942,9.89061,9.57051,9.68312,9.45383,8.57957,8.92809,8.24911,20.8575]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.509978,1.00247,1.79068,2.17462,2.25435,2.39708,2.90555,4.58498,5.79772,6.94925]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[35.1233,26.8445,22.242,23.0118,26.2932,27.0713,29.1336,33.6789,39.3157,21.9616]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(66, 69, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.79146,7.40463,9.45218,17.9155,35.6307,67.015,117.956,173.244,269.524,353.688]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.94234,5.33167,7.68908,14.6791,28.87,50.1529,77.9268,95.9907,131.561,161.124]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.68098,7.85927,11.3068,17.4787,30.2439,56.4095,117.273,231.801,361.439,521.909]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.67836,3.64738,5.65641,8.81099,14.7298,25.4691,51.265,98.7565,163.077,255.047]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(67, 70, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0630222,0.17966,0.323043,0.548887,1.40097,4.17183,7.89071,13.2116,23.4848,35.714]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0173304,0.064385,0.141427,0.210822,0.365191,0.96373,1.82356,2.78854,5.27808,7.01079]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0432042,0.23436,0.597608,1.31205,3.47243,10.0391,24.4587,51.3904,77.0661,103.703]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00465198,0.0608992,0.137541,0.292621,0.759461,2.20865,5.19854,10.5103,14.9842,19.1984]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(68, 71, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0445807,0.231328,0.279599,0.489599,0.937475,1.6403,3.03188,5.16831,9.01043,13.1564]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0313994,0.0721543,0.104921,0.169789,0.344695,0.57908,1.01039,1.61579,2.72503,4.03072]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.090841,0.265353,0.548534,0.877956,2.08952,3.7806,7.23308,13.9023,20.4383,27.5038]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0197678,0.0867152,0.220126,0.356806,0.761022,1.48203,2.70014,5.00253,6.75476,9.08903]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(69, 72, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.305932,0.509395,0.573676,0.947022,1.30091,2.1688,3.15556,5.43669,9.38629,13.5733]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0406237,0.0702448,0.0902324,0.127295,0.225731,0.342852,0.601651,0.966402,1.8337,2.47967]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.52179,1.17736,1.76786,2.57175,4.04303,5.72668,10.3664,18.6792,26.272,35.8554]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0327538,0.139128,0.218086,0.382288,0.664934,1.08975,1.86561,3.60119,5.06357,7.07191]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(70, 73, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.104494,0.189519,0.224131,0.38597,0.541463,0.902869,1.31634,2.27422,3.93161,5.69093]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0150916,0.0180887,0.035916,0.0375392,0.0873499,0.114588,0.270448,0.396297,0.800559,1.07577]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.24617,0.580522,0.895613,1.33229,2.11824,3.00841,5.45406,9.8536,13.8802,18.9678]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0173041,0.0758264,0.117778,0.20781,0.366214,0.585149,1.05193,2.01065,2.67597,3.91388]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(71, 74, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0186249,0.0332586,0.03959,0.068069,0.133095,0.373619,0.739711,1.57666,3.1835,5.20985]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00642947,0.00328478,0.0048087,0.0166511,0.0156231,0.0630369,0.124338,0.28374,0.582322,0.894019]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0270104,0.0632369,0.0987098,0.146163,0.321274,0.765149,1.87904,4.17638,6.89153,10.6744]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000331381,0.0057552,0.00941808,0.0169457,0.0454596,0.149827,0.324332,0.681741,1.29868,1.98005]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(72, 75, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00985776,0.0488047,0.0807936,0.1659,0.242805,0.369155,0.492378,0.776349,1.23593,1.65054]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0025872,0.0163281,0.00890094,0.0235387,0.0419986,0.0661086,0.0981029,0.160641,0.244333,0.338052]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0171872,0.111186,0.240919,0.428279,0.707724,0.920607,1.53347,2.55236,3.31262,4.17763]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00450746,0.0123203,0.0377796,0.0560793,0.134446,0.164343,0.253267,0.513986,0.692801,0.830038]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(73, 76, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.172955,0.237812,0.229162,0.327083,0.383544,0.523155,0.607139,0.809461,1.03524,1.022]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0165155,0.0325432,0.0406068,0.0495659,0.0807595,0.0991181,0.108761,0.125724,0.206482,0.171828]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.231423,0.422416,0.532616,0.665018,0.89579,1.03251,1.49988,2.09683,2.18763,2.03562]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0106108,0.0452261,0.0531107,0.101453,0.118815,0.190436,0.236081,0.394812,0.396119,0.347931]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(74, 77, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00938143,0.0313907,0.0221735,0.0590282,0.0922874,0.265886,0.50165,0.898526,1.57166,2.32308]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.010152,0.0235709,0.0221912,0.0506093,0.0690807,0.158093,0.299656,0.450178,0.719522,1.06864]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0144084,0.0420155,0.0713698,0.126138,0.283981,1.02729,3.39216,7.41125,11.7728,16.7798]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00701285,0.0223505,0.0818673,0.104506,0.246166,0.749494,2.34036,4.66842,8.34482,10.7539]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(75, 78, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.141394,0.167804,0.261411,0.573778,1.0262,2.48532,5.83511,10.2766,21.3067,31.407]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0654168,0.0717103,0.0791202,0.149256,0.282305,0.692559,1.45649,2.408,4.97994,6.98433]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.130975,0.256889,0.517086,1.04632,2.45087,7.78568,19.1244,44.0215,71.7913,109.956]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0372408,0.10406,0.14715,0.324849,0.767621,2.23073,5.02097,11.5667,18,26.6812]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(76, 79, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1175,0.361862,0.782737,2.07917,5.42517,10.475,18.0423,25.4889,36.5885,42.9325]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.170335,0.472028,1.23762,3.04154,7.74377,16.5244,27.8679,33.6047,44.3544,54.0383]}', '', '', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(77, 80, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.136612,0.751465,1.76532,5.0005,12.8929,24.9171,42.3391,54.9108,71.6709,85.9093]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0495014,0.579692,1.86386,4.89108,10.295,15.8723,20.2395,19.7839,22.6777,24.702]}', '', '', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(78, 81, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0178204,0.0333609,0.0346232,0.106258,0.181931,0.342844,0.815923,1.39027,2.44308,4.97273]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00403887,0.0354302,0.0310394,0.160339,0.259027,0.595739,1.77047,2.90447,3.73495,5.15529]}', '', '', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(79, 82, 146, '', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0559939,0.0898064,0.0738106,0.138031,0.219518,0.550747,1.99081,6.41587,18.0667,44.8359]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0496461,0.074311,0.0889866,0.124584,0.334432,0.844511,4.59895,16.5413,43.9013,99.2033]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(80, 83, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.163059,0.424544,0.523855,0.821363,1.45422,2.59268,4.61407,6.99358,12.0118,15.6812]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.172347,0.393121,0.485346,0.677078,1.34658,2.36514,4.04722,5.74709,8.93681,11.7453]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.185518,0.443048,0.603785,0.970681,1.70711,2.54263,5.65978,10.4729,17.076,25.3634]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.126628,0.318045,0.48914,0.847946,1.51547,2.60341,5.21285,9.08453,13.8615,20.2375]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(81, 84, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0742829,0.0966607,0.118044,0.2551,0.403032,0.705589,1.17131,2.60187,4.81339,5.29708]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0915709,0.136777,0.13232,0.222163,0.384566,0.601821,1.04994,2.21158,4.10343,4.60776]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0805318,0.0945222,0.15546,0.371231,0.677443,1.66013,4.40995,7.50246,11.5647,11.9276]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0562664,0.0969367,0.124632,0.303017,0.590283,1.53865,4.05712,6.61968,10.6324,10.7596]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(82, 85, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.18284,0.0938358,0.00841331,0.0105262,0.0807449,0.0299463,0.0741668,0.081028,0.496453,0.155781]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0683185,0.0518433,0.00434432,0.00509298,0.0448553,0.00613256,0.0275714,0.0241651,0.134301,0.0354163]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.101612,0.178689,0.113483,0.0237318,0.259666,0.403406,0.132201,0.768116,0.345482,2.16532]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.072424,0.115457,0.0487568,0.0209986,0.142769,0.202723,0.0673415,0.244555,0.095711,0.62179]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(83, 86, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.073906,0.0682223,0.151009,0.211505,0.322758,0.469722,0.944557,1.48358,2.29532,2.73192]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0189452,0.0153143,0.0484937,0.0533503,0.0803401,0.143183,0.333805,0.562249,0.802205,0.875215]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0462822,0.104279,0.147686,0.287854,0.432157,0.850497,1.62934,3.45343,4.7964,6.23297]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0102378,0.0345094,0.0522071,0.112854,0.238338,0.484905,1.10937,1.98852,2.47828,2.98067]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(84, 87, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0147996,0.021955,0.100765,0.418368,0.208446,0.474223,0.925059,1.58753,2.91755,4.24914]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00400172,0.00533538,0.0381309,0.118328,0.0800892,0.129744,0.221046,0.361812,0.614625,0.925895]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00680458,0.0307815,0.131114,0.302015,0.443083,0.496142,0.907981,1.72224,3.2418,3.69046]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0.0109007,0.0504938,0.104438,0.0860487,0.162984,0.294062,0.483342,0.934248,0.908267]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(85, 88, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0846484,0.150242,0.190366,0.486548,0.780451,1.60825,3.20315,6.16426,11.4872,16.4283]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0445964,0.0511912,0.0434253,0.0946707,0.11991,0.210778,0.409146,0.701589,1.40413,1.88262]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0741352,0.106283,0.390405,0.593993,1.08018,1.88541,4.38046,9.17662,14.2691,22.7408]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00600459,0.0263959,0.0871854,0.0879499,0.174756,0.228783,0.556494,1.13573,1.68558,2.57993]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(86, 89, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00879005,0.0225175,0.0405367,0.0638551,0.11426,0.217671,0.421364,0.611299,1.22908,1.94312]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0269161,0.05998,0.113733,0.143099,0.218852,0.355144,0.552795,0.718899,1.30821,1.83849]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0210641,0.0754142,0.118382,0.189749,0.238798,0.521458,0.822056,1.4241,2.08913,2.90722]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0402864,0.0801674,0.15071,0.179035,0.225695,0.464317,0.65976,1.13684,1.62455,2.26721]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(87, 90, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0445655,0.0838283,0.111348,0.150145,0.150956,0.246431,0.396709,0.49434,0.77471,1.26069]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0282894,0.0561252,0.0870351,0.11931,0.163462,0.287507,0.631189,1.02365,1.4682,2.10917]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0590784,0.0916073,0.150217,0.223979,0.327695,0.57437,0.931639,1.57082,2.71201,3.29364]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0367245,0.0596911,0.139574,0.172744,0.239705,0.431306,0.97105,1.56883,2.12429,3.20485]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(88, 91, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.169018,0.27822,0.249244,0.396835,0.798798,1.52459,3.2149,4.8051,7.04812,9.13069]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.157193,0.372491,0.316704,0.353215,0.656406,1.03312,1.80192,2.07197,2.63612,3.09533]}', '', '', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(89, 92, 146, '', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.07756,0.107296,0.166551,0.186722,0.185001,0.245791,0.273756,0.271595,0.124102,0.186348]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0914589,0.147098,0.320938,0.434732,0.40988,0.412757,0.405223,0.283212,0.0822398,0.149965]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(90, 93, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0661893,0.0603088,0.0747962,0.118823,0.17513,0.363965,0.709503,1.15471,2.06526,2.60104]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0278765,0.0207609,0.0441153,0.057654,0.113878,0.204821,0.404478,0.58613,0.869929,1.02951]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.106819,0.0810792,0.11354,0.138635,0.244919,0.489542,1.09218,2.11466,3.33774,4.72819]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0375218,0.0299298,0.0594945,0.0970147,0.166594,0.312316,0.627966,1.13311,1.50856,2.0815]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(91, 94, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00670938,0.00515672,0.0238261,0.0697453,0.107126,0.131496,0.0592189,0.50035,1.17772,1.83904]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0151961,0.0111092,0.0405998,0.0629353,0.120184,0.201993,0.252661,0.659828,1.16662,1.71368]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0371844,0.0689512,0.0992725,0.175419,0.267665,0.338666,0.39336,1.11742,2.07874,3.95048]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0251312,0.0609508,0.117638,0.185254,0.372703,0.45206,0.651434,1.4094,2.24348,3.67481]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(92, 95, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.120778,0.0788589,0.120874,0.0732519,0.251171,0.199405,0.672621,1.04539,1.49647,1.80494]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.13128,0.0674158,0.156428,0.0547965,0.184713,0.0945485,0.374623,0.457726,0.667027,0.662172]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.184265,0.177298,0.111109,0.293833,0.46785,0.737945,0.704243,2.24655,3.04216,3.60683]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.153155,0.157693,0.0685054,0.181162,0.258084,0.390049,0.329185,0.97425,1.12285,1.19427]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(93, 96, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.017885,0.0290828,0.0322541,0.0551361,0.0802364,0.170337,0.333456,0.612622,1.01517,1.38453]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0960822,0.276973,0.349676,0.490965,0.521365,0.913934,1.0938,1.35387,1.29571,1.2152]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0167083,0.0274634,0.0232606,0.0402528,0.0553175,0.120651,0.249954,0.440562,0.672301,0.871292]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0291267,0.0415265,0.0812265,0.0909002,0.100813,0.164472,0.274532,0.313417,0.41051,0.459644]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(94, 97, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.128355,0.120578,0.132706,0.143964,0.154124,0.175399,0.245991,0.256097,0.3381,0.529096]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.27481,0.205189,0.173106,0.136225,0.121321,0.153915,0.171721,0.114525,0.144644,0.225824]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.173666,0.177215,0.214762,0.221057,0.261008,0.328921,0.578306,0.590124,0.800563,1.01014]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.278462,0.234853,0.266082,0.228089,0.259031,0.325345,0.437443,0.367457,0.4887,0.55548]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(95, 98, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.563245,0.922926,0.954059,1.28724,1.47646,1.8948,2.59424,3.59216,5.09291,7.16576]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.277899,0.506437,0.54577,0.877927,1.14326,1.4657,1.68879,2.21829,2.84641,3.53197]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.680356,0.981608,1.30339,2.31276,2.66248,3.45797,4.98312,7.064,9.25414,11.927]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.289097,0.448899,0.810302,1.43409,1.87264,2.1535,2.77404,3.65641,4.02239,4.84098]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(96, 99, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0125152,0.0279615,0.040042,0.0533444,0.187813,0.382932,0.819214,1.48069,2.72346,3.82241]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0104053,0.0230791,0.0206579,0.0321448,0.124143,0.264171,0.544607,0.868612,1.54126,1.92289]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0115145,0.0163527,0.0294077,0.101529,0.252394,0.68466,1.0701,2.24087,3.59193,5.33643]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0137704,0.00646441,0.0188437,0.0704565,0.190402,0.496449,0.77904,1.55958,2.17465,2.88488]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(97, 100, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.832372,0.934403,0.6566,0.665152,1.00499,1.42052,2.03562,2.42152,4.61197,5.52417]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.301301,0.382916,0.241277,0.28116,0.381844,0.590377,0.891161,1.02794,1.73102,2.03033]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.40917,1.10898,1.255,1.1577,1.58587,1.91218,3.21484,4.51293,7.39057,8.90697]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.526093,0.384826,0.465069,0.472325,0.701412,0.948623,1.58055,2.30244,3.59537,3.83362]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(98, 101, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.39126,1.71907,1.88086,2.83036,4.62218,7.93985,13.909,20.5763,32.4672,42.1503]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.806518,1.3064,1.27751,2.09828,3.47945,5.40214,8.36072,10.7588,13.5873,16.2078]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.5515,1.92261,2.60369,3.81532,6.53594,10.249,19.2745,33.2911,49.645,64.4292]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.734898,0.905575,1.41186,2.20232,3.6515,5.09125,8.75296,12.6047,16.9434,19.8147]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(99, 102, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.11997,13.4677,14.2592,21.101,34.7346,66.7206,126.632,203.864,370.851,623.734]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[137.628,166.188,149.298,209.387,302.299,417.921,559.368,674.577,846.331,1064.91]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.50327,13.1121,18.4642,29.7291,49.7647,93.8708,189.598,390.73,634.356,1026.54]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[98.4856,79.1335,99.3217,137.27,227.316,288.154,432.875,594.592,820.153,1051.39]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(100, 103, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.34435,1.75798,1.56595,1.87538,1.92274,2.73896,3.46466,3.48005,6.38369,10.2128]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[37.3694,35.224,33.2421,32.371,31.6756,31.3732,30.0589,27.249,30.348,35.6995]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.18096,1.01244,1.28408,1.57489,2.08644,3.04227,3.9326,5.3053,8.43807,12.7818]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[26.675,24.6857,23.4262,23.2289,22.9769,23.0155,22.2434,20.7197,22.6408,26.1027]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:06', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(101, 104, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.952427,1.64421,1.5839,2.42326,4.41591,9.97818,19.8158,35.9747,73.6753,140.664]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.99372,10.6822,20.9663,36.181,56.4148,83.6553,129.754,195.511,278.189,362.438]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.20343,1.86661,3.1238,5.31296,10.3436,21.9222,48.0203,103.403,177.955,306.004]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.3374,14.1341,27.7612,47.9012,74.564,110.714,171.043,257.326,363.201,468.661]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(102, 105, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.85279,3.12743,3.31331,5.77032,11.2237,24.9013,51.6416,86.4534,156.759,265.498]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.11444,3.22472,4.92122,7.16756,10.5122,14.8709,23.9497,37.4508,57.5155,76.1501]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.78867,4.9883,5.8428,9.7841,16.0862,30.3633,66.8334,152.867,241.26,383.515]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.06362,2.8664,4.47071,6.56272,9.67146,13.4649,23.0944,37.4769,58.4761,77.5006]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(103, 106, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.219497,0.615126,0.641191,1.16425,1.94078,4.08708,9.59618,19.2856,38.4718,89.9677]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.918082,0.824851,1.76026,2.95893,5.38481,8.58188,14.4741,23.468,36.8713,53.2811]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2821,0.51496,0.720747,1.29846,2.29521,5.94235,15.0731,36.9754,72.2297,162.876]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.885019,0.794658,1.59537,2.71494,4.80113,7.86082,14.4863,24.6683,38.9652,55.7986]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(104, 107, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.6333,2.5123,2.67212,4.60607,9.28289,20.8142,42.0454,67.1679,118.287,175.531]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.19636,2.39987,3.16096,4.20863,5.12741,6.28898,9.47552,13.9828,20.6441,22.869]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.50657,4.47334,5.12205,8.48564,13.791,24.421,51.7603,115.892,169.031,220.639]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.1786,2.07174,2.87534,3.84778,4.87033,5.60406,8.60813,12.8087,19.5108,21.7021]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(105, 108, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.41341,1.05753,1.30379,2.37565,4.4503,10.9071,22.4692,37.696,66.7317,107.515]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.54764,2.55775,3.49923,6.43952,11.6237,22.3375,37.6133,52.4319,76.8265,107.171]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.29254,0.627226,1.14888,2.19722,4.53227,11.4128,24.7659,47.8729,78.1932,122.408]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.99576,1.97539,2.72118,4.99736,9.02074,17.1588,27.5961,36.9686,52.3539,72.4632]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(106, 109, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.48176,3.19278,3.72516,5.14288,7.3232,9.8985,15.5086,20.1456,31.1808,43.6447]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.909,8.76204,8.64027,10.7198,13.9227,19.5967,26.2077,32.2905,40.8336,49.7008]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.17775,2.02929,3.34532,5.49928,8.9565,14.2497,25.4333,41.835,63.5135,95.6229]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.6951,9.83041,9.81837,12.2853,15.7447,21.7165,27.9862,32.9403,40.9537,48.2939]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(107, 110, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0.0551366,0.0847629,0.134971,0.322049,0.366121,0.979328,1.57245]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.24017,3.579,4.26729,5.83379,8.66895,15.2865,26.8599,43.7491,71.7425,113.555]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0.0398404,0.0665354,0.116227,0.206592,0.467618,1.07124,1.73749]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.04958,5.59954,6.81877,9.12919,13.1475,22.9743,39.9716,65.4329,107.259,170.99]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(108, 111, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0792217,0.13407,0.0788385,0.1296,0.236781,0.348183,0.716399,1.15587,2.18411,3.83315]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.103878,0.210499,0.232033,0.32667,0.543918,0.936263,1.51489,2.94162,5.44966,9.73626]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(109, 112, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0.0976607,0.20155,0.409413,0.85051,1.32121]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00427351,0.0183512,0.0698157,0.245049,0.676325,1.24192,3.22794,8.4773,16.6995,27.5827]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0.414614,0.787845,1.57181,2.99688,5.25634]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00505255,0.0254698,0.0838572,0.310058,0.869503,1.53923,3.78828,9.9817,19.4418,32.1482]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(110, 113, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.232371,0.312242,0.300129,0.291457,0.379627,0.430005,0.699208,0.855822,1.14526,1.72688]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.20804,1.90159,1.37596,1.00178,0.796066,1.00621,1.21226,1.05688,1.54779,2.53075]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.237749,0.247994,0.355931,0.386141,0.519342,0.602902,0.87432,1.29402,1.94083,2.80958]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.13124,1.79546,1.29249,1.00386,0.692828,0.931613,1.14946,1.23274,1.73578,2.81821]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(111, 114, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.76364,2.24144,2.38811,3.03728,4.69759,7.28576,11.7934,17.3273,30.9618,47.7447]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[75.2411,100.238,72.3163,109.427,168.009,228.553,280.485,276.36,272.629,290.08]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.51829,2.12976,3.13132,4.60799,6.62992,10.8105,17.2292,33.171,53.5374,86.6724]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[42.5329,18.2209,22.9289,31.8512,80.6283,76.6389,116.003,132.512,154.092,152.411]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(112, 115, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.45466,2.46327,2.02898,2.31394,2.89639,5.603,11.9884,20.0933,55.1748,101.558]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[753.406,807.172,911.629,1055.46,1223.36,1382.68,1581.05,1799.37,2054.77,2393.25]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.64735,3.9106,5.73551,6.59215,7.73526,11.8193,25.3444,62.5669,129.886,275.746]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[864.292,951.187,1108.85,1254.43,1412.08,1585.64,1811.81,2098.61,2449.86,2867.65]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(113, 116, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.309546,0.513277,0.503409,0.527981,0.688003,1.62891,4.3079,8.38788,27.2723,55.9747]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[303.326,410.478,520.455,642.638,780.522,940.76,1141.75,1391.39,1684.63,2013.44]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.696658,1.18114,1.92961,2.43934,2.98488,5.36894,12.4241,33.0061,71.6991,163.531]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[416.72,562.743,709.093,861.984,1018.23,1193.7,1412.35,1697.15,2026.54,2404.29]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(114, 117, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0308338,0.092901,0.0479001,0.0768032,0.0984136,0.171865,0.281701,0.525823,1.06031,1.83731]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0836175,0.0927181,0.126696,0.163408,0.243295,0.526646,1.11416,3.64616,6.6746,11.1219]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0555286,0.0874685,0.148608,0.224958,0.313041,0.448513,0.815272,2.30578,4.32143,9.16373]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.216228,0.223538,0.277014,0.382167,0.61737,1.23488,2.70186,6.71176,12.613,22.1348]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(115, 118, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.592022,0.945423,0.724871,0.91259,1.25261,2.41812,5.14319,8.29486,21.619,35.6345]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[294.713,187.58,137.177,120.098,119.753,128.552,143.458,159.071,175.466,192.729]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.04644,1.46604,1.84166,2.14771,2.51885,3.44991,7.62542,18.2717,37.595,71.7974]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[264.652,170.04,125.994,110.679,110.325,118.935,133.711,149.016,163.052,177.47]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(116, 119, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0642467,0.0710652,0.0773748,0.10467,0.136232,0.279779,0.476216,0.746968,1.44636,2.38632]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.3574,0.938665,1.29281,1.73287,2.42368,3.95252,6.2808,4.6081,7.11742,10.5392]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.105722,0.158218,0.211681,0.246759,0.382766,0.623599,1.20521,2.47168,4.82218,8.97899]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.61109,1.94791,2.57241,3.5254,4.95329,7.13588,10.6406,8.82915,12.5138,17.4236]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(117, 120, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.458016,0.840605,0.675424,0.691893,0.721128,1.10432,1.77944,2.13775,3.77689,5.72557]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[153.926,208.082,252.578,290.832,320.419,308.891,288.448,240.655,180.884,165.419]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.743005,1.01773,1.60394,1.53339,1.53573,1.92837,3.27444,6.51161,11.4483,22.2755]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[180.092,216.232,270.917,277.86,277.955,264.638,252.401,236.898,235.137,246.328]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(118, 121, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.423634,0.717684,1.02613,1.90527,2.63093,4.88063,6.8483,8.09094,11.9771,16.2787]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.718271,1.10574,1.57357,2.33923,4.60594,7.49427,10.3087,12.5564,14.9371,16.7835]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.709425,1.16955,1.99641,4.76361,8.52301,14.7074,24.7135,39.2774,48.2151,57.0245]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.80041,2.91147,4.29181,6.33494,13.7001,23.0328,30.4075,35.3041,39.1728,45.6029]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(119, 122, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.136363,0.252259,0.383947,0.744522,1.08563,2.16556,3.21434,3.96565,6.05942,8.39628]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.261377,0.415845,0.668832,0.956444,2.03753,3.60269,5.14484,6.65097,7.97192,9.10876]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.249153,0.414043,0.709733,1.70154,3.18456,6.05619,10.987,18.6198,24.0017,29.4522]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.69614,1.08287,1.62351,2.40432,5.52107,10.095,14.3551,17.5976,20.6053,24.516]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(120, 123, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0594758,0.110198,0.167424,0.325987,0.494008,1.063,1.67837,2.18467,3.52044,5.19576]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0915026,0.161492,0.234159,0.37251,0.877634,1.48997,2.3158,3.05825,4.10695,5.08493]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0888549,0.148213,0.254275,0.609758,1.1716,2.36094,4.46857,7.8092,10.4159,13.2841]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.211001,0.346729,0.542081,0.765109,1.77329,3.45453,5.22565,6.61954,7.835,10.0005]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(121, 124, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00788381,0.0402507,0.0853805,0.198624,0.288596,0.481942,0.610154,0.655905,0.888891,1.11744]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0215418,0.0533094,0.139062,0.244099,0.456816,0.709812,0.964459,0.992199,1.08024,1.07348]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0387552,0.176909,0.425189,1.21834,2.26639,3.5568,5.45511,7.93275,8.96413,9.83714]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0852305,0.4313,0.892089,1.61313,3.58799,5.45312,6.58862,6.99456,7.09403,7.70355]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(122, 125, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.219911,0.314977,0.389378,0.636134,0.762689,1.17013,1.34543,1.28472,1.50839,1.56926]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.34385,0.475094,0.531522,0.766178,1.23396,1.69181,1.88358,1.855,1.77804,1.51633]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.332661,0.430386,0.607213,1.23397,1.90046,2.73347,3.8028,4.91561,4.83331,4.45102]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.80804,1.05057,1.23413,1.55237,2.81776,4.03009,4.23818,4.09248,3.63843,3.38296]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(123, 126, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.859256,1.27074,1.07825,1.44867,2.26197,3.93754,7.41481,11.8755,20.4289,31.9976]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[94.5746,91.6023,95.9845,101.355,110.937,121.565,131,90.1628,94.3937,97.0978]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.4747,2.89722,3.58331,5.29032,7.83371,12.3568,19.4103,31.5905,44.3493,64.5665]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[117.105,104.212,102.742,110.143,125.014,142.299,164.485,118.273,121.15,122.098]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(124, 127, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.105788,0.114584,0.100686,0.135633,0.250505,0.536043,1.12519,2.14554,4.00779,6.84434]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.11477,4.36114,5.97029,7.43212,9.12486,10.8067,11.9513,2.27144,2.60605,2.94444]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.169359,0.274459,0.369922,0.624091,1.00657,1.62418,3.39241,7.09212,9.94682,14.0714]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.77874,4.36034,6.09988,9.24243,13.9576,17.8099,23.7455,5.69415,6.30547,6.82743]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(125, 128, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0504038,0.0808256,0.0784871,0.102507,0.203873,0.247944,0.42949,0.569996,0.774458,1.37531]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.5355,18.8208,22.37,24.9247,28.41,31.9644,33.4678,3.89693,4.4127,5.10928]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.119504,0.214312,0.193362,0.291352,0.472448,0.663222,1.22986,1.54955,2.49691,3.16117]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.1513,11.9239,12.5042,15.4259,20.8759,24.8064,31.2165,7.41298,8.1708,8.69559]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(126, 129, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0744893,0.0862496,0.0565174,0.0783024,0.0797512,0.157523,0.296132,0.405314,0.724474,1.48914]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.62413,4.08465,3.56754,2.85409,2.19871,1.67191,1.34572,1.28372,1.15297,1.00838]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.174304,0.19905,0.202192,0.258841,0.318756,0.462211,0.653661,1.11389,1.52226,2.66207]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.25835,4.649,4.18059,3.33517,2.82065,2.0712,1.64569,1.55014,1.39562,1.28786]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(127, 130, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0875729,0.142206,0.107633,0.145292,0.240158,0.414903,0.768114,1.14071,1.99686,3.43868]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0377008,0.0309816,0.0369465,0.0428166,0.0688445,0.0594063,0.0791805,0.101842,0.12808,0.16901]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.159437,0.291241,0.310715,0.436589,0.715706,1.19899,1.84064,2.97208,4.63926,7.21916]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.105544,0.0968715,0.137698,0.207893,0.222152,0.221416,0.297734,0.44219,0.532065,0.600398]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(128, 131, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00139728,0.00281378,0.00328154,0.00497153,0.00708957,0.0105507,0.0184346,0.0246846,0.0462389,0.0757634]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.943559,1.15075,1.52312,1.8984,2.29323,2.71087,3.30278,4.47298,5.72047,6.95284]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00290505,0.00579995,0.00856561,0.0143001,0.0207156,0.0290259,0.0458142,0.0697906,0.107305,0.157337]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.66025,3.17898,4.23465,5.28889,6.32798,7.43762,9.00706,12.1328,15.2973,18.4231]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(129, 132, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.27047,0.459591,0.388457,0.504491,0.637961,1.13631,1.94016,2.81226,4.35034,5.18456]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[49.6836,45.6608,41.8546,39.189,39.058,39.0425,40.1469,38.4229,34.444,30.0117]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.330285,0.838243,1.28345,1.69331,2.38901,3.11308,4.01939,5.89696,7.17441,8.50526]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[69.2952,60.9467,54.0756,50.9725,49.9997,51.0375,52.1467,49.962,44.1308,37.4288]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(130, 133, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00402693,0.00683214,0.00649823,0.0129642,0.0264635,0.0458672,0.0990723,0.177647,0.399589,0.724184]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0996847,0.0984791,0.129028,0.181324,0.238826,0.257499,0.338073,0.576226,0.793039,1.02568]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0100927,0.0242154,0.0498787,0.0550325,0.079179,0.169786,0.319699,0.417182,0.665985,1.11679]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0737781,0.0831331,0.11446,0.12054,0.126668,0.104714,0.212641,0.40825,0.595755,0.696511]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(131, 134, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.110567,0.110672,0.102559,0.119569,0.265714,0.423358,0.942661,1.61276,2.55545,3.98285]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.43298,4.08054,6.55608,9.06936,11.4798,14.0899,17.1155,21.1668,25.0092,28.9061]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.136807,0.219243,0.158032,0.255387,0.389801,0.659605,1.10926,1.81136,2.74438,5.59178]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.54993,2.69407,4.2175,5.76789,7.357,8.9843,10.8656,13.6594,16.2332,18.9084]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(132, 135, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0218561,0.0576098,0.0585923,0.0897257,0.130675,0.194204,0.31947,0.478892,0.602845,0.993032]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.648722,0.978826,1.39373,1.82526,2.17169,2.46879,2.97635,3.33623,3.19477,3.47338]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.113255,0.312771,0.349643,0.638762,0.894483,1.4467,1.9514,2.63318,2.99543,3.08059]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.347479,0.825597,1.69237,2.78872,3.65619,4.28876,4.64718,4.6731,4.21874,3.75116]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(133, 136, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.132686,0.209354,0.17554,0.255219,0.419779,0.770837,1.47608,2.50769,4.9709,7.88973]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.4539,12.3353,12.5831,13.9379,15.8929,18.4929,20.276,14.6338,16.9324,17.497]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.25875,0.517887,0.657546,1.02266,1.54704,2.99004,4.84815,8.03436,12.0565,19.0009]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.8839,15.4533,15.4854,16.9931,19.6702,25.5373,30.7002,22.3377,24.2701,25.4783]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(134, 137, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.9131,6.21675,5.45556,7.03522,8.70863,9.67498,14.0893,15.0367,19.5934,24.9485]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[691.411,806.546,812.769,812.5,825.925,823.587,829.222,845.21,844.611,857.169]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.74671,9.25004,12.9255,17.4503,22.2475,28.1369,38.1339,46.494,54.5754,69.3606]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[544.702,644.861,657.556,662.573,675.06,679.011,690.058,712.285,717.611,739.73]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(135, 138, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0701349,0.229897,0.213505,0.263575,0.320304,0.410308,0.49812,0.622738,1.63282,3.35921]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,2.47069,24.9568,65.2611,108.371,163.007]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0987431,0.131244,0.219887,0.388996,0.564645,0.68814,1.11049,1.27116,2.43318,4.12009]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,2.0756,20.7087,50.7606,78.9988,119.123]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(136, 139, 146, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0890543,0.0976642,0.101659,0.132717,0.229896,0.35337,0.476952,0.986275,2.01403]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.124147,1.18623,3.23213,5.81011,9.11542,12.9931,19.0679]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1417,0.220521,0.377673,0.383339,0.705254,0.949298,1.4336,2.41939,5.48437]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.155321,1.44337,3.98497,7.11696,10.9454,16.0232,23.2057]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(137, 140, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.73378,3.92583,3.2061,4.24067,5.09403,5.88167,8.95339,9.50584,11.0951,12.9686]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[235.952,235.224,230.59,223.843,219.686,216.132,213.887,213.819,212.432,213.354]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.60569,6.76092,9.61469,12.0861,15.8879,20.5385,28.2901,34.8187,38.5302,46.0646]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[255.664,263.492,258.954,256.828,255.586,258.121,259.513,263.868,266.661,269.894]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(138, 141, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0.0572204,0.0660448,0.082909,0.167595,0.222572,0.315827,0.486688,0.709489,0.698553]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.47858,3.22872,7.69847,13.5473,17.1742,18.827,18.5308,17.1903,15.0916,12.2209]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0.0168865,0.0330597,0.0718782,0.112027,0.185639,0.247862,0.378475,0.613388,0.608175]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.726716,1.60009,3.76998,6.55819,8.69528,9.26776,9.05747,8.2073,7.18413,5.89107]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(139, 142, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[428.265,530.897,530.606,526.216,536.229,528.308,495.34,446.136,387.005,329.146]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[267.625,348.676,358.136,359.472,367.733,361.466,335.752,301.146,260.022,220.59]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(140, 143, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.3626,34.6367,38.0077,38.3458,37.869,37.3013,36.5822,35.7875,34.975,34.0951]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.9781,29.7172,33.6596,34.3576,33.7711,32.8837,31.9354,31.1666,30.264,29.5123]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(141, 144, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.10918,1.91475,1.87225,2.3464,2.99398,2.93053,3.96859,3.94453,5.16966,5.90807]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.3526,2.5586,5.86645,10.4245,13.7803,17.3152,34.1149,57.8996,73.7433,86.2782]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.04227,2.19928,2.83738,4.52564,5.29955,6.01942,7.5361,8.59204,10.5792,13.0834]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.707505,1.37617,3.03561,5.20175,7.83178,11.2111,25.974,46.1905,58.4577,71.5149]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(142, 145, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.17686,1.50601,2.03037,2.28436,3.13099,4.20132,4.91552,5.7927,6.91417,7.81672]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3144.27,3646.92,3909.72,3979.77,3961.8,3927.31,3848.09,3665.09,3402,3017.89]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.36099,2.30048,3.62035,5.15862,6.45987,9.22925,11.4051,14.9282,15.8059,17.2792]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3018.41,3528.15,3797.08,3732.55,3616.32,3523.4,3417.86,3193.94,2847.16,2433.31]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(143, 146, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.385851,0.512418,0.702102,0.986654,1.15404,1.15689,1.6307,1.91389]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.9713,64.9961,140.032,229.249,299.428,333.681,341.802,328.997,284.707,224.071]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.456018,0.741968,1.07051,1.61952,2.11837,2.2289,2.72939,3.36716]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[22.6633,76.3889,167.948,276.397,364.305,407.736,417.377,398.773,339.651,263.679]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(144, 147, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0598511,0.115116,0.18334,0.349367,0.721653,1.28872,1.66889,1.79703,2.1506,2.35704]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[197.742,243.304,233.33,216.832,223.848,245.761,267.593,241.22,190.644,136.922]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.11033,0.249637,0.475233,0.95955,1.92854,3.16849,4.56224,5.22032,6.37071,5.70955]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[575.469,730.906,705.433,659.522,669.426,719.035,763.705,694.165,552.434,400.197]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(145, 148, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.868635,0.920569,0.850298,0.733921,0.90811,0.926247,1.01458,1.38326,1.41082,1.36614]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[163.672,361.287,399.025,305.836,218.986,154.389,107.817,66.4139,37.3188,18.603]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.05571,1.64939,1.98937,2.47354,2.18978,2.66136,2.38784,3.87998,3.13027,3.31983]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[272.476,716.03,816.545,627.433,418.703,269.496,176.601,112.884,68.9554,38.1579]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(146, 149, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.450996,0.476194,0.440129,0.380038,0.471042,0.480003,0.526064,0.717436,0.73099,0.706656]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.911,114.492,190.44,151.692,112.013,87.0272,62.2783,33.2338,14.1095,5.99009]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.549021,0.856963,1.03437,1.28628,1.13751,1.38465,1.24116,2.01769,1.62594,1.7261]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[33.4025,276.997,409.031,316.794,210.263,141.172,92.0211,52.4806,27.5815,15.3093]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(147, 150, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00268979,0.00446993,0.00386717,0.00320292,0.00322373,0.00369768,0.00379123,0.0049719,0.00575114,0.00665698]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.73925,13.8361,16.9761,10.6244,6.63674,4.67715,3.0708,1.66021,0.812758,0.433529]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0024452,0.00455719,0.00479355,0.0058122,0.00625274,0.00560836,0.00611692,0.00907253,0.00905293,0.00803871]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.52334,29.3212,38.7398,26.6681,16.5093,10.889,6.78454,3.82347,1.99158,1.15537]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(148, 151, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00227717,0.00403576,0.00346564,0.00285608,0.00279315,0.00325929,0.00331053,0.00431615,0.00508364,0.0060127]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[49.8181,69.533,63.5146,50.0453,35.1574,22.9613,17.653,14.4151,10.7016,5.8999]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00194214,0.00377264,0.00384593,0.00463367,0.00521155,0.00433911,0.0049802,0.0072238,0.00756476,0.00645741]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[78.7574,121.733,124.193,99.6556,67.2571,42.4926,31.626,25.4336,18.6232,10.3315]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(149, 153, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.412672,0.435869,0.402836,0.347824,0.431051,0.439287,0.481418,0.656531,0.668993,0.646817]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[49.4457,79.5279,76.3006,57.3401,39.419,25.9726,19.3628,14.9106,10.6094,5.79142]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.502297,0.784096,0.946357,1.17682,1.0408,1.26676,1.13558,1.84599,1.48772,1.57923]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[79.3197,145.183,155.696,120.267,79.4991,50.4876,36.1059,27.3016,19.0761,10.5339]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(150, 155, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1323.78,1478.88,1563.16,1642.04,1675.26,1720.8,1749.64,1753.1,1715.69,1556.03]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[790.607,885.834,943.644,988.272,1005.28,1021.6,1031.18,1035.11,1007.24,914.371]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(151, 156, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[183.872,209.039,224.672,236.244,248.043,262.245,276.632,281.838,280.858,274.644]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[130.058,153.053,165.143,174.073,181.435,188.391,195.318,198.247,194.487,187.454]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(152, 159, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[105.34,280.616,407.739,452.073,437.616,378.446,293.522,223.489,176.006,139.753]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[82.0494,222.302,331.852,375.877,366.965,322.831,254.724,198.377,156.334,124.583]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(153, 160, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[831.748,835.022,771.912,740.979,728.262,725.715,720.577,688.805,638.903,589.465]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[453.101,470.401,443.53,423.218,413.237,407.44,399.651,381.292,354.223,328.672]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(154, 161, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.196494,0.396731,0.488385,0.533135,0.574857,0.604315,0.533076,0.637049,0.635752,0.694251]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[28.6406,61.2276,81.1976,75.9982,54.8808,35.8167,23.5004,15.8461,10.3271,6.81156]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0997778,0.214384,0.326096,0.406012,0.406098,0.426737,0.438742,0.606011,0.519307,0.735787]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(155, 162, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[32.9974,31.7976,30.989,29.7851,29.7184,28.5646,27.5001,26.5813,25.7324,24.6951]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[92.19,91.3153,89.4762,85.9761,84.0647,81.3935,78.0757,75.5931,72.422,69.3028]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(156, 163, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.0758,23.4999,22.6498,21.894,21.2675,20.6114,19.864,18.8075,18.0364,16.6295]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[97.4443,96.2985,93.8232,91.3554,88.7948,85.3789,82.71,79.4905,75.3881,71.1484]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(157, 164, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.9131,5.423,2.9217,1.40868,0.602116,0.218341,0.0636413,0.0156573,0.0034046,0.000480137]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[29.0645,19.014,10.9923,5.63369,2.55413,1.00426,0.331593,0.0958782,0.022403,0.00442963]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(158, 165, 146, '{\"age\":[\"15-19\",\"20-24\"],\"number\":[0,0]}', '{\"age\":[\"15-19\",\"20-24\"],\"number\":[179.969,13.4849]}', '{\"age\":[\"15-19\",\"20-24\"],\"number\":[0,0]}', '{\"age\":[\"15-19\",\"20-24\"],\"number\":[433.754,32.6394]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(159, 166, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.1415,18.8886,15.7467,12.4154,9.2838,6.30524,3.76441,1.65721,0.663,0.367388]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.6947,21.0095,17.3794,13.8539,10.3159,6.8842,4.02438,1.82307,0.754522,0.447391]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(160, 167, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0518849,0.073596,0.122499,0.155523,0.224268,0.395385,0.544934,0.818473,1.0863,1.4854]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.4088,19.4624,16.3454,15.0172,14.597,14.7552,15.8154,18.3217,23.1148,29.9019]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0951742,0.187072,0.37364,0.577551,0.864944,1.35314,1.89791,2.99294,3.05624,4.14684]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.8385,12.9606,11.3083,10.9386,11.2348,12.2151,14.1667,18.0869,25.2494,35.2976]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(161, 168, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.76603,8.26621,7.78257,9.99094,14.1439,25.4033,46.2038,83.0472,151.332,240.578]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[299.785,595.623,830.842,979.223,1065.14,1051.33,1002.18,1164.38,1224.27,1264.41]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.99972,6.59385,9.78062,14.3123,21.7108,37.6661,68.1782,120.111,188.924,279.959]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[146.311,147.648,184.969,270.895,393.38,552.663,799.507,1165.73,1549.66,1947.24]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(162, 169, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.30266,2.22402,1.8363,2.87601,5.35332,12.9265,28.6782,59.7901,113.9,188.11]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[35.5066,46.3759,75.7544,130.536,210.473,309.592,408.636,516.102,620.803,723.043]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.871427,1.45247,2.35745,4.51392,8.83494,18.8252,40.1373,77.0787,128.403,196.412]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[37.4751,51.0478,85.0546,148.994,238.615,350.776,463.573,581.623,689.928,795.967]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(163, 170, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0701367,0.0955786,0.0711286,0.078852,0.0996634,0.111787,0.138327,0.187537,0.252081,0.339392]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00922592,0.00636942,0.00355938,0.00419244,0.00417281,0.00377686,0.00247014,0.00404027,0.00378069,0.00615716]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0610054,0.077547,0.113149,0.123941,0.154784,0.210593,0.218415,0.292086,0.394597,0.571483]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0113856,0.00696349,0.00702368,0.00471481,0.00482742,0.00222882,0.00239718,0.00358554,0.00599252,0.00619793]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(164, 171, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.942454,1.93567,2.28338,3.14345,4.36964,6.34094,8.69962,12.0537,19.5964,27.2621]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.54862,9.2019,13.3919,20.5861,30.604,41.0248,51.1633,66.1174,94.1186,132.262]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.06467,2.06303,3.20671,4.78572,7.2859,10.7527,16.2074,25.0511,33.6871,46.6443]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.89405,7.74449,10.8252,17.0261,26.1447,35.6655,45.2455,59.7389,88.1789,128.692]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(165, 172, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00144509,0.0946915,0.218735,0.427309,0.79889,1.43069,2.27325,3.68747,6.86838,11.0661]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0978591,0.578803,1.43903,3.05958,5.86695,9.50829,14.2362,21.008,34.2791,49.4584]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00144024,0.0900329,0.271342,0.576609,1.14732,2.08161,3.71638,6.69632,10.4173,16.1759]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0970856,0.480755,1.05105,2.33145,4.34317,7.24962,11.1533,17.114,28.0065,42.1915]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(166, 173, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.151213,0.337702,0.429897,0.659825,1.00535,1.58472,2.08103,2.7547,4.27637,5.67415]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.930088,1.63188,2.63727,4.48836,7.15283,9.94347,11.9084,15.0161,20.0878,28.3149]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1885,0.399629,0.670438,1.12007,1.84893,2.96467,4.2721,6.33273,8.14109,10.716]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.883592,1.52035,2.3283,4.08769,6.9199,9.65099,11.712,14.6809,20.8486,30.1991]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(167, 174, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.789796,1.50328,1.63475,2.05632,2.5654,3.32553,4.34535,5.6115,8.45169,10.5219]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.52068,6.99122,9.31559,13.0381,17.5842,21.573,25.0188,30.0933,39.7516,54.4891]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.874732,1.57337,2.26493,3.08904,4.28964,5.70643,8.21893,12.022,15.1287,19.7524]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.91337,5.74338,7.44582,10.607,14.8816,18.7648,22.3803,27.944,39.3237,56.301]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(168, 175, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.117704,0.253207,0.223333,0.308125,0.410788,0.539716,0.959275,1.73488,2.31815,3.7373]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.70147,9.99914,10.93,12.6739,14.5896,16.815,20.0887,22.5273,24.6422,27.2083]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.249242,0.456546,0.633963,0.86766,1.07741,1.6776,2.90554,4.55734,7.64509,11.0338]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.77062,12.1884,19.8092,29.0179,38.5137,66.9886,176.173,388.422,610.837,805.453]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(169, 176, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0648415,0.121634,0.108607,0.138545,0.170145,0.255237,0.426161,0.869204,1.11006,1.7546]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.99038,4.97893,4.26108,3.74107,3.17955,2.80028,2.75077,2.68084,2.6053,2.65919]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0905331,0.152501,0.21537,0.294609,0.344677,0.531656,0.889479,1.48042,2.35451,3.60487]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.38605,1.56558,1.76301,1.97786,2.11003,2.27923,2.50521,2.76216,2.97615,3.5478]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(170, 177, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00617372,0.0117116,0.0153965,0.0268234,0.032348,0.0382844,0.0620652,0.076896,0.167184,0.196832]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.86118,2.00614,3.45431,5.07951,6.95388,9.11395,11.3448,13.2927,14.9239,16.4265]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00903807,0.0232191,0.0290589,0.0401374,0.0665313,0.0952005,0.162055,0.245667,0.420802,0.391882]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.67629,3.74383,6.46338,9.60761,13.1592,17.1265,21.0721,24.9506,27.8674,30.705]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(171, 178, 146, '', '', '{\"age\":[\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0]}', '{\"age\":[\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.7204,139.418,345.585,562.891,751.922]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(172, 179, 146, '', '', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\"],\"number\":[0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\"],\"number\":[3.92547,6.96064,10.8441,14.7842,21.9241]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(173, 180, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0466885,0.119861,0.0993288,0.142757,0.208296,0.246195,0.471049,0.788784,1.04091,1.78588]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.84991,3.01406,3.21459,3.85331,4.45612,4.90081,5.99315,6.55376,7.11296,8.12256]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.149671,0.280826,0.389534,0.532914,0.666203,1.05074,1.854,2.83125,4.86978,7.03706]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.70828,2.95351,4.62222,6.5884,8.46028,10.9384,13.1777,15.1237,17.1024,19.2784]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(174, 181, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0718233,0.147133,0.0780187,0.121188,0.190262,0.313332,0.590266,0.463204,0.542307,0.56443]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[181.253,453.169,649.216,729.649,716.852,584.333,421.071,441.057,355.575,136.167]}', '', '', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(175, 182, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0.00378985,0.00733217,0.0194087,0.0414157,0.0797711,0.14691,0.115637,0.131428,0.115663]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[105.046,114.277,115.208,129.407,173.196,236.924,271.277,277.337,204.467,46.4739]}', '', '', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(176, 183, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[14.0944,132.945,237.249,271.292,281.38,178.174,1.05478,0.00428121]}', '', '', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(177, 184, 146, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\"],\"number\":[0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\"],\"number\":[2.5599,4.5517,7.05935,9.64647,14.2019]}', '', '', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(178, 185, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[0,0.000303949,0.000221252,0.000330229,0.000544992,0.000737074,0.000942351,0.000384407]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[1.49061,15.5146,39.1685,69.8271,77.4436,10.2333,0.236471,0.00265962]}', '', '', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(179, 186, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,2.64397e-5,0.000436637,0.00132891,0.00426662,0.0141715,0.0158865,0.0250348,0.0341536]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.49809,43.0947,77.6673,94.5912,99.6886,105.622,115.729,130.557,121.874,89.6933]}', '', '', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(180, 187, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[17.9556,106.156,138.596,121.253,38.7072,2.77186,0.055306,0.000336497]}', '', '', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(181, 188, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0718233,0.143039,0.0704388,0.101013,0.146973,0.228557,0.428242,0.331296,0.385844,0.414614]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[36.1688,38.6217,36.7759,36.2194,36.79,36.4064,32.7179,33.1562,29.2334]}', '', '', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(182, 189, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.14247,1.8831,1.52789,1.31637,1.02993,1.07706,1.25125,1.36382,2.18843,3.15975]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[42.6848,43.2505,43.8174,42.7032,43.6563,44.6285,40.0072,39.622,34.3913,102.023]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.757002,0.852916,0.981159,0.937858,0.871119,1.13765,1.49168,1.9425,2.81827,4.22329]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[66.0744,46.5323,38.0203,39.143,46.0082,48.5193,54.4606,60.4655,70.3176,96.6825]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(183, 190, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.127953,0.160661,0.142682,0.134291,0.113472,0.110118,0.0914068,0.0823865,0.0653154,0.0491137]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[22.0112,22.0061,22.9311,22.4659,22.9505,23.4948,21.3678,20.9809,18.2373,18.8332]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0816334,0.0863694,0.0898149,0.0952611,0.0875204,0.0889053,0.0847859,0.0861036,0.0744956,0.0554564]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.9005,6.3037,4.31985,4.73056,6.40517,7.11154,8.7419,9.39066,11.8569,14.67]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(184, 191, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.10334,0.1078,0.102628,0.0989362,0.087654,0.0919508,0.0823746,0.080779,0.0734798,0.0678332]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.91226,9.92994,10.2703,9.92871,10.2442,10.7279,9.20032,8.67062,7.04373,6.87721]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.066119,0.0583614,0.0672162,0.0730978,0.0700678,0.0759389,0.0783064,0.0840896,0.0826341,0.0754545]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.65135,4.44245,4.17667,3.99114,4.23512,4.56408,4.76553,4.81008,5.21417,5.99779]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(185, 192, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0752748,0.0772141,0.0695362,0.0649191,0.0569748,0.0615805,0.0632894,0.0798618,0.0904935,0.102325]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.94133,0.936284,0.987136,0.927193,0.963704,0.997177,0.859021,0.859413,0.705667,0.762766]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0978282,0.0839469,0.0861784,0.0883652,0.0828251,0.09081,0.110111,0.161664,0.204609,0.233534]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.446406,0.251975,0.197538,0.210365,0.26989,0.297986,0.368175,0.377601,0.52048,0.668095]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(186, 193, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.835898,1.53742,1.21304,1.01822,0.771829,0.813406,1.01418,1.12079,1.95914,2.94047]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.82002,10.3782,9.6288,9.38138,9.49785,9.40872,8.58002,9.1111,8.40466,75.5499]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.511422,0.624239,0.737949,0.681134,0.630706,0.881999,1.21847,1.61065,2.45653,3.85885]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[49.0761,35.5342,29.3262,30.211,35.098,36.5457,40.585,45.8871,52.726,75.3467]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(187, 194, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.11879,1.7275,1.76253,2.14695,2.69032,4.09394,5.88689,7.454,12.534,17.4048]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[28.0808,33.6205,37.7291,43.0707,48.9611,54.9298,61.2142,78.9497,94.74,143.696]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.996374,1.69134,2.48819,3.08324,3.48659,5.06238,7.21787,11.1894,15.9759,21.0734]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[33.0851,30.1277,31.2523,36.7095,44.0941,50.7115,60.0524,75.4755,90.3924,120.438]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(188, 195, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.46759,0.865345,1.10543,1.24864,1.50218,2.11613,2.76413,4.04113,5.19009,6.53807]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1293.54,1528.82,1921.91,2287.42,2711.05,3258.4,3903.85,4480.97,4959.79,5403.46]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.217455,0.303294,0.511394,0.780642,0.977831,1.31283,2.04726,3.6106,4.50069,5.73796]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1144.94,1268.33,1736.02,2084.31,2424.3,2819.76,3287.79,3761.16,4166.23,4580.08]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(189, 196, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.222883,0.437193,0.54568,0.699213,0.7642,1.2156,1.54717,2.55415,3.49672,4.33167]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.1416,45.3684,65.6989,81.0438,92.2256,99.1749,110.608,125.801,146.584,170.279]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0980646,0.143151,0.227091,0.370361,0.539623,0.66847,1.15137,2.17257,2.80125,3.71671]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.87498,11.7151,17.2193,21.7042,24.754,27.2863,30.5392,35.2767,41.4795,47.9624]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(190, 197, 146, '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.9388,142.376,427.502,822.753,1119.5,1255.59,1328.56]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.74519,85.4063,256.504,497.942,684.057,771.289,822.401]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(191, 199, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[545.75,581.589,653.793,814.652,976.969,1120.91,1284.61,1463.69,1633.77,1792.79]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[644.228,715.021,840.724,1056.33,1263.31,1442.49,1641.01,1884.51,2095.9,2298.96]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(192, 200, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[531.551,482.959,500.233,625.092,746.16,865.75,931.976,911.634,892.259,871.587]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[429.816,390.295,402.932,502.089,594.01,684.506,733.441,718.399,701.126,684.328]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(193, 201, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00353404,0.0215174,0.0607456,0.11353,0.192729,0.295739,0.423237,0.558268,0.706792,0.823064]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0147795,0.102556,0.264654,0.519693,0.880798,1.34932,1.92039,2.52457,3.12704,3.73686]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(194, 202, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.244707,0.428152,0.559746,0.549425,0.737975,0.900529,1.21696,1.48698,1.69337,2.2064]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[193.097,418.885,702.121,753.581,753.123,744.766,753.477,859.788,1030.88,1239.42]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.119391,0.160143,0.284303,0.410281,0.438208,0.644357,0.895887,1.43803,1.69944,2.02124]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[65.0032,151.201,474.884,495.922,455.944,407.629,382.946,436.395,553.304,722.697]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(195, 203, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.57168,2.76605,2.93027,1.8363,1.56065,2.38263,3.27862,4.28484,7.47161,11.6501]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1103.37,903.588,941.03,1051.13,1179.96,1318.11,1537.3,1908.74,2356.76,3038.73]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.82814,1.99974,2.28051,2.21343,2.32118,3.4342,5.58789,8.08525,11.9461,20.4887]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1035.61,857.499,922.039,1050.05,1191.68,1342.75,1577.93,1983.91,2443.38,3158.69]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(196, 204, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.20736,2.17685,2.02611,1.03665,0.69322,0.920576,1.13984,1.41903,2.31923,4.2654]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[56.8363,36.2904,30.3825,26.2882,22.3499,20.2386,20.5107,23.3333,24.4417,23.4628]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.50002,1.48081,1.45742,0.859068,0.792382,1.10036,1.69297,2.6771,4.00561,7.09322]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[56.3377,34.0939,29.3547,24.8273,21.4,18.9582,17.923,20.5139,21.2448,20.1671]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(197, 205, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0827261,0.105705,0.071953,0.0449246,0.0296185,0.0423396,0.0376662,0.0435809,0.0492476,0.0759142]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.25626,7.94338,6.75231,5.44542,4.64842,3.80949,3.66222,3.24103,3.10696,2.87788]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.124666,0.113154,0.0691622,0.0343799,0.028274,0.0497361,0.0716193,0.105406,0.163782,0.158666]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.27984,5.83649,5.16363,4.24777,3.37443,2.9961,2.63329,2.37257,2.27407,2.04635]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(198, 206, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.583706,1.31647,1.31163,0.560841,0.365186,0.459257,0.5601,0.649707,1.14505,2.60215]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.6466,6.56709,5.4083,4.60206,4.02103,4.30442,4.71749,4.11555,4.72511,6.3552]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.635066,0.856167,0.897725,0.51776,0.405105,0.57158,0.860515,1.3084,1.95883,4.08966]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.1333,5.59756,4.73055,4.07086,3.62011,3.8631,3.94102,4.05672,4.69098,5.9695]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(199, 208, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0713034,0.112923,0.0904495,0.0613598,0.0449323,0.0501448,0.0842129,0.111531,0.172006,0.175694]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.58789,9.18035,8.41236,7.45876,6.31715,5.4507,5.52414,8.1897,8.79639,7.57872]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0884037,0.0729055,0.0755489,0.0505649,0.0423417,0.0523097,0.112781,0.207879,0.25749,0.230609]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.50422,9.22763,8.58871,7.50546,6.21685,5.13694,4.81419,6.7131,6.7667,5.55341]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(200, 209, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0551658,0.130927,0.0867551,0.0345035,0.0202428,0.0236292,0.0216623,0.0236576,0.0312959,0.0338087]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.40908,3.29721,2.97221,2.66677,2.32755,2.02782,1.94981,3.0025,3.11157,2.58117]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0493255,0.0646382,0.0289398,0.0220045,0.0162103,0.0257715,0.0269817,0.0377381,0.031571,0.0687162]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.55926,3.67258,3.43793,3.1494,2.76509,2.36728,2.25092,2.86898,2.81005,2.29409]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:29', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(201, 210, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.414456,0.510826,0.465326,0.335023,0.23324,0.345205,0.4362,0.590554,0.921633,1.37784]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.1754,8.1389,5.96603,5.39605,4.37126,4.02049,4.06557,4.24019,4.19321,3.59365]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.60256,0.373944,0.386045,0.234358,0.300451,0.400962,0.621074,1.01768,1.59394,2.54557]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.6853,8.33517,6.35006,4.89981,4.53345,3.74501,3.46548,3.69139,3.91264,3.55001]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(202, 211, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.364325,0.589199,0.904155,0.799652,0.867428,1.46206,2.13877,2.86581,5.15237,7.38475]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[785.679,573.066,508.403,497.63,494.609,508.551,529.476,566.434,608.989,654.413]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.328118,0.518934,0.82309,1.35436,1.5288,2.33384,3.89492,5.40816,7.94045,13.3955]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[692.972,492.632,439.203,431.972,431.67,447.658,474.363,526.842,590.235,665.284]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(203, 212, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[174.028,155.396,149.297,145.072,142.151,140.755,140.149,139.709,138.862,137.78]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[141.391,126.5,121.759,118.223,115.619,114.334,113.461,112.941,112.027,111.29]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(204, 213, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.31249,8.4722,9.88702,11.3409,12.6647,14.1143,15.9268,19.0891,21.754,24.0911]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.92334,10.4128,12.3343,14.3251,16.0625,17.9928,20.0849,23.7853,27.0871,29.9401]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(205, 214, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.114575,0.204056,0.311951,0.294541,0.316379,0.485133,0.724493,0.966866,1.73985,2.31287]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.07058,5.09823,5.51149,5.95307,6.4203,6.79029,7.27774,8.06241,8.70296,9.44934]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.106463,0.148325,0.23844,0.425602,0.526232,0.809736,1.41336,1.83961,2.7441,4.21333]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.85266,4.39951,5.51897,6.70083,7.83292,9.01189,10.1373,10.9894,11.641,12.457]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(206, 215, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.156385,0.259061,0.368141,0.336117,0.373158,0.628576,0.855678,1.13654,2.03437,2.73267]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.7914,13.6679,13.3034,13.5654,13.7303,13.9574,14.5763,16.9017,19.2322,21.3544]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.150694,0.22453,0.35138,0.586257,0.617892,0.952642,1.57245,2.27654,3.1887,5.11075]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.3943,13.7945,13.331,13.6027,13.8346,13.9865,14.5279,16.8736,19.0856,21.1605]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(207, 216, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[31.265,32.0687,32.5872,32.8861,32.635,32.3509,32.1486,31.7699,31.5661,31.0474]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[32.4686,33.3611,34.0481,34.3362,33.9711,33.6385,33.257,32.8796,32.3697,31.9901]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(208, 217, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[33.4586,20.8957,24.4825,28.0786,31.6223,35.3261,40.3479,47.5723,54.7424,61.6739]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[36.9698,23.3889,27.4283,31.4103,35.3135,39.243,44.5689,52.4922,60.0183,67.5458]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(209, 218, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[78.862,32.1579,29.4644,27.0411,24.8481,22.7197,21.4559,21.3752,21.2783,21.096]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[84.4084,34.6617,31.7274,28.9996,26.4948,23.9239,22.4783,22.4643,22.2289,22.2124]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(210, 219, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[276.605,153.391,82.8839,53.7701,30.8338,17.7788,7.59687,4.85645,3.30487,1.78913]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[241.046,132.79,72.3463,47.1753,27.0482,15.6465,6.68174,4.23312,2.86889,1.57125]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(211, 220, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.6867,27.012,28.2841,28.8947,28.401,28.0456,27.7003,27.2637,27.076,26.5229]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.9075,16.647,17.5144,17.854,17.5785,17.339,17.1382,16.8192,16.4695,16.1353]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(212, 221, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.6515,26.6808,34.4251,43.1107,51.8022,60.544,66.6107,68.0832,69.537,70.9431]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.6886,20.0294,25.8149,32.3985,38.7074,45.0592,49.2783,50.3567,51.1645,52.1122]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(213, 222, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[42.2318,42.4385,43.2654,45.2704,47.227,49.6874,50.5283,49.5726,48.5433,47.4778]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.4174,27.5987,28.2247,29.5069,30.8664,32.1159,32.6238,32.0803,31.1159,30.3264]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(214, 223, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.089065,0.122198,0.217429,0.166029,0.174818,0.34345,0.548508,0.752725,1.35642,2.30883]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.668666,1.49013,2.37515,3.49583,4.98176,7.05116,10.3616,14.8751,20.7084,29.0995]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0681887,0.142266,0.228197,0.336666,0.376887,0.558457,0.888229,1.27157,1.97785,4.02678]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.597057,1.33236,2.53677,4.22604,6.11872,8.87053,12.8906,18.5058,25.7858,35.9832]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(215, 224, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0043,0.00388356,0.00663321,0.00296466,0.00307304,0.00489708,0.0100954,0.0096761,0.021724,0.0303707]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[71.047,54.2964,52.6368,59.151,67.2922,79.4304,94.7964,117.303,143.682,172.089]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00277168,0.00381375,0.00507297,0.00583395,0.00779158,0.0130103,0.0208707,0.0204367,0.0298003,0.044613]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[64.9075,47.7166,46.6182,53.2138,62.223,76.4959,97.235,132.421,178.373,232.559]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(216, 226, 146, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0135285,0.0634138,0.239861,0.549062,1.02097,2.00486,4.38523,9.22299,17.7763]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00813068,0.0637202,0.210735,0.517698,0.94128,1.59183,3.24073,6.55424,13.3597]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(217, 227, 146, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0523829,0.254804,0.887727,2.09837,3.67177,7.20944,17.8529,42.4719,86.2705]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0251047,0.142407,0.522495,1.16648,1.92314,3.40373,8.02183,18.289,40.6259]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(218, 228, 146, '{\"age\":[\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0]}', '{\"age\":[\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.412759,2.83281,9.17596,22.2901]}', '{\"age\":[\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0]}', '{\"age\":[\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.165099,1.08313,3.37188,8.83863]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(219, 229, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.9974,17.74,23.5256,33.6807,46.3764,62.1781,85.1914,131.372,205.42,319.012]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.9822,15.6713,20.3105,29.3423,40.4315,54.1616,74.2754,114.885,178,276.361]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(220, 230, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[59.24,70.866,102.283,135.696,169.353,204.546,259.703,342.432,424.974,628.077]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[87.7926,104.417,147.844,194.206,238.005,285.248,355.663,460.714,554.896,795.78]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(221, 231, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[71.8222,83.7053,115.022,151.33,189.827,229.957,303.764,436.818,576.747,721.387]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[76.4758,93.0491,127.86,167.24,207.283,249.593,328.364,478.295,640.734,817.237]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(222, 234, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[103.585,117.758,129.747,122.896,110.406,89.304,84.0822,84.9456,84.3926,81.7757]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[98.7274,113.515,126.46,119.832,107.362,86.8078,81.1475,81.7953,80.7617,78.0312]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(223, 235, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00581989,2.11959,21.8075,59.9955,105.443,136.726,151.507,155.697,155.096,149.553]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00662244,2.16008,22.5675,63.0014,111.2,145.41,162.292,168.132,167.454,161.596]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(224, 236, 146, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.83219,8.40899,21.2832,37.6347,60.429,91.7303,140.571,213.235,331.446]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.671488,7.00429,17.5922,31.2156,50.4675,76.8999,118.163,179.074,277.923]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(225, 238, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.92545,6.24383,3.63097,3.69005,3.84573,5.64454,7.9719,9.14699,13.7509,16.5134]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[100.826,143.561,174.283,199.118,207.618,212.597,210.091,207.915,192.187,172.831]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.5026,28.168,24.3343,20.5499,20.1811,22.896,28.9182,35.2841,38.9382,43.5623]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[189.404,289.71,369.845,434.311,456.914,475.375,487.459,487.666,464.909,432.668]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(226, 239, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.85421,4.9325,2.68617,2.68381,3.03414,4.75579,6.90811,7.87898,12.2651,14.9247]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[77.9632,107.703,135.845,152.505,162.923,170.791,174.44,168.949,162.634,147.409]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.4596,21.5457,18.6052,15.7334,16.1758,17.9397,22.8063,28.2015,32.056,36.5382]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[162.592,243.852,303.471,349.168,384.074,399.311,406.136,405.203,389.795,368.994]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(227, 240, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.65251,1.52748,0.885165,1.09098,1.14365,1.34427,2.25945,2.2486,2.96462,3.32129]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[26.6215,45.2179,69.6011,91.5357,83.5183,61.621,68.8745,56.0071,43.7322,36.3189]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.05739,7.06248,7.00205,6.45942,5.79038,6.14708,7.0391,9.75656,10.5013,10.1564]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[72.6722,90.7609,130.948,167.297,156.802,151.837,138.098,155.166,141.628,113.886]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(228, 241, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.538563,0.382343,0.246096,0.235714,0.331416,0.42582,0.523093,0.629108,0.826799,1.31339]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.77748,11.3963,18.6922,19.3737,24.0578,19.5575,15.9566,15.7145,12.2609,14.6395]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.50602,1.4126,1.80652,1.22116,1.42547,1.69629,1.91813,3.10457,4.27496,4.21664]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.4826,18.0726,33.5775,31.4829,38.8486,42.1588,37.7241,49.2101,57.7084,47.4178]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(229, 242, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.729982,0.66819,0.335415,0.257179,0.317809,0.347436,0.649576,0.629888,0.738727,1.24519]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.5536,19.1048,24.6086,20.1747,22.1781,15.5232,19.9655,15.7042,10.9431,13.8061]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.97632,3.03665,2.40155,1.32036,1.9028,1.42324,2.49657,3.33141,3.49158,3.74096]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[28.4041,39.4631,45.117,33.9138,52.3496,35.3038,49.805,53.1363,47.5079,41.7521]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(230, 243, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.53023,1.9361,0.923804,0.811648,0.960044,2.21102,3.15145,4.07039,7.23416,8.53665]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[41.2162,56.8018,71.134,65.9392,68.8078,102.077,95.8545,101.457,108.215,95.3127]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.14388,8.82691,5.85966,5.47704,6.09263,7.61272,10.1052,11.1497,12.5012,16.9536]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[58.4162,112.113,106.962,137.555,162.427,186.989,197.904,176.416,168.414,189.651]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(231, 244, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.402927,0.418385,0.295691,0.288295,0.281222,0.427248,0.324536,0.300999,0.500775,0.508206]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.73775,12.4207,25.0815,24.6438,20.611,19.7603,9.93817,7.56659,7.32061,5.48178]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.776014,1.20703,1.53544,1.25545,0.964574,1.06033,1.24724,0.859249,1.28693,1.47063]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.5456,14.151,26.8527,27.8076,23.323,25.3884,23.6486,13.0663,17.451,16.18]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(232, 245, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.07123,1.31134,0.944798,1.00623,0.811587,0.888753,1.06379,1.26801,1.48585,1.58865]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[22.8624,35.8576,38.4379,46.6128,44.6946,41.8059,35.6512,38.9656,29.5527,25.4213]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.04299,6.62238,5.72905,4.8165,4.00523,4.95638,6.11195,7.08262,6.88221,7.0241]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[26.8117,45.8581,66.3743,85.1427,72.8405,76.0642,81.323,82.4626,75.1147,63.6734]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(233, 246, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.0405,17.1945,12.5412,12.4806,12.9217,17.4343,23.2787,25.6062,36.4804,51.7323]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[63.2097,80.7538,110.824,147.34,202.862,267.375,332.181,395.345,477.081,568.522]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[48.6278,84.2347,67.7229,64.248,59.2423,67.0553,85.6791,119.295,127.742,150.839]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[116.252,162.84,218.217,293.465,409.686,539.425,673.447,817.641,977.688,1148.58]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(234, 247, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.12098,0.223256,0.20703,0.205767,0.274536,0.298701,0.395755,0.472013,0.745646,1.27948]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[37.1317,47.0621,65.3479,91.0293,135.252,186.017,240.901,298.089,372.891,456.555]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.252685,0.410538,0.445272,0.516705,0.623693,0.824796,1.10564,1.85561,2.22361,3.31635]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[58.2958,77.2214,106.991,152.867,236.994,335.984,443.231,568.506,711.843,866.957]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(235, 248, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.66241,1.42218,0.751504,0.711914,0.738937,0.997077,1.35734,1.33115,2.14665,2.45721]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.765312,0.747332,1.09905,1.62503,2.26574,3.16114,3.91021,4.42718,5.1552,5.58327]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.2861,6.7527,4.54111,3.99026,3.8665,4.32134,5.72347,7.07968,8.58035,9.92601]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.51882,1.77255,2.48773,3.67524,5.10888,6.97345,8.91263,10.6167,12.7611,13.8876]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(236, 249, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.38689,3.43786,2.20506,2.45727,2.54212,3.80694,5.97049,6.29504,10.0872,14.6531]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.9305,12.2817,15.4152,18.3017,21.7029,24.6262,26.4424,26.9804,26.7608,26.6667]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.44513,7.27564,6.93197,6.5788,6.64292,8.26526,10.472,14.8471,18.0504,26.7948]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.862,17.0861,20.7793,25.6872,31.6954,36.8414,40.8259,42.6825,43.4597,44.4722]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(237, 250, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.653927,0.970035,0.862592,0.719927,0.664274,0.872681,1.16492,0.996171,1.86546,1.62549]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.38972,2.82523,3.59057,4.02957,5.14427,5.98474,6.9627,7.80662,8.21304,7.91038]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.27374,1.97777,1.79536,1.86431,1.98632,2.55922,3.01999,4.41571,4.44013,5.68082]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.86836,4.50555,6.01916,7.92686,10.2397,12.577,15.3068,16.8026,18.7047,19.9144]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(238, 251, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.42576,6.10801,4.13915,4.14486,3.71868,4.4892,5.46855,6.30695,8.35054,10.6278]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.19525,4.6707,6.25509,7.26607,7.70046,7.77626,7.56324,7.05535,6.04596,5.02165]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[26.197,56.1797,43.3954,38.7108,33.968,34.891,41.5379,53.0223,54.9765,54.6701]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.2117,23.7652,29.371,35.1702,42.19,46.1692,47.4441,43.3291,39.1192,33.5592]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(239, 252, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.42228,5.02996,3.33948,3.35309,2.77968,3.45,4.13251,4.60966,5.71117,6.87764]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.83591,6.10013,8.28738,9.74302,9.74199,9.77895,8.86964,7.76381,6.76133,4.97131]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.5907,52.4021,40.41,35.8299,30.3603,31.1937,35.3493,46.194,45.1544,43.5214]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.1887,27.7855,35.9604,44.4526,53.7318,60.3122,52.99,51.3649,45.2262,37.6738]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(240, 253, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.00348,1.07804,0.799672,0.791765,0.939,1.0392,1.33603,1.69729,2.63937,3.75017]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.12077,1.24091,1.9247,2.25443,3.18143,2.79772,2.87429,2.86822,3.21408,2.82825]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.60628,3.77757,2.98533,2.88093,3.6077,3.69731,6.18859,6.82827,9.82202,11.1487]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.90013,1.97629,2.63877,3.50188,6.334,7.02411,9.42511,7.60572,9.9251,9.36829]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(241, 254, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.1377,2.01305,2.25579,2.0886,2.39678,3.07629,3.83282,4.07164,5.43289,9.03127]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.53008,2.50163,4.54444,6.34996,8.93104,13.5576,17.4748,18.549,24.9339,31.0251]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.964374,1.69215,2.09174,2.92889,3.45147,4.98061,6.50717,10.8254,13.5079,17.3843]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.37313,3.55792,4.70504,6.8142,9.33619,11.809,17.8708,24.1614,35.5377,46.6782]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(242, 255, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.603575,0.568238,0.510012,0.430907,0.479796,0.627185,1.36122,1.50998,2.05192,3.29842]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.785607,0.947975,1.34411,2.04983,2.50052,3.68382,4.22145,5.2788,4.584,5.04326]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.580053,0.68719,0.714973,0.757319,0.949578,1.08044,2.68906,2.75086,3.70014,4.55113]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.31806,1.87402,2.26214,3.21408,4.16707,4.51091,6.28796,8.35496,8.83423,10.3125]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(243, 256, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.463165,0.396462,0.3917,0.290167,0.359801,0.492056,1.1107,1.16602,1.61968,2.67103]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.524757,0.63757,0.928312,1.37843,1.73295,2.74056,3.01141,3.71302,3.33523,3.68376]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.394612,0.460914,0.494317,0.526927,0.692304,0.773571,2.06902,2.0629,2.83927,3.64878]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.850201,1.22194,1.45566,2.10113,2.71016,2.90185,4.03402,5.55584,6.1535,6.75842]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(244, 257, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.14041,0.171777,0.118312,0.14074,0.119995,0.135129,0.250519,0.343966,0.43224,0.62739]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.26085,0.310406,0.4158,0.671403,0.767571,0.943256,1.21004,1.56578,1.24876,1.3595]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.185441,0.226276,0.220656,0.230391,0.257274,0.306872,0.620038,0.687958,0.86087,0.902354]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.467855,0.652081,0.806481,1.11295,1.45691,1.60906,2.25394,2.79912,2.68073,3.55404]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(245, 258, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.0492,2.45185,1.6101,1.7214,2.10658,3.26626,3.72757,4.6233,5.80005,8.75949]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.48148,9.71718,13.2277,16.6881,19.3657,22.5682,24.705,27.1586,28.4975,30.7164]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.62879,9.25898,7.80706,8.90094,7.75377,10.1326,14.6239,24.4986,22.2632,28.5153]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.8037,33.0576,45.6018,58.11,69.9545,84.5598,93.5681,103.187,107.428,112.799]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(246, 259, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.8503,35.7553,36.5869,32.4656,23.5479,16.7536,12.0886,7.57675,8.33827,8.45912]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.54792,14.6096,18.7724,21.1851,21.6115,19.9625,18.4084,15.7209,12.3178,9.64256]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[45.1177,98.4291,118.541,113.547,94.82,77.5012,63.4539,54.6853,41.7401,33.3284]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.7904,45.4349,60.3391,72.0311,76.2501,70.9763,64.1832,55.385,45.2011,36.658]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(247, 260, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.40704,2.85566,1.61775,1.33153,1.46194,2.02591,2.70078,2.70742,4.2838,4.79081]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.83766,5.18588,6.03414,5.97301,6.29964,5.75017,5.55701,4.99048,4.37019,3.95152]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.19098,17.0228,12.9318,10.0259,9.73268,9.52006,12.5963,14.3271,14.448,14.4091]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.43875,8.24601,9.04891,9.53894,10.7823,10.5595,11.0588,10.4809,10.4906,10.9819]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(248, 261, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.4432,32.8996,34.9692,31.1341,22.086,14.7277,9.38781,4.86933,4.05446,3.66831]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.71026,9.42368,12.7383,15.2121,15.3118,14.2123,12.8514,10.7304,7.94761,5.69104]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[35.9267,81.4063,105.609,103.522,85.0873,67.9811,50.8577,40.3582,27.2922,18.9193]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.3516,37.1889,51.2902,62.4921,65.4677,60.4168,53.1245,44.9041,34.7105,25.6761]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(249, 262, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.08282,3.43941,3.86771,3.42889,2.17636,1.40835,0.805154,0.418356,0.306413,0.268958]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.666277,1.19429,1.78078,2.06174,1.96552,1.78757,1.44402,1.16111,0.831995,0.609152]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.2067,4.7101,6.40892,5.15611,4.85127,3.89716,3.74133,2.68314,2.64453,2.09698]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.53595,2.49402,3.72105,3.73481,4.63306,4.22553,4.88331,3.71175,4.35025,3.7394]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(250, 263, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.58275,20.2195,21.6466,20.7635,14.4823,9.81718,6.04429,2.26642,2.03437,1.66954]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.12985,7.27273,10.5147,13.7325,13.9508,13.1959,11.2972,6.62817,5.85091,3.74412]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[28.1346,64.7748,85.2044,82.9036,69.3149,52.0899,38.4536,28.086,18.6667,10.9275]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.9464,33.9497,49.4218,61.9296,65.6481,56.08,50.2605,39.5846,31.1111,19.3493]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(251, 264, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.77766,9.2407,9.45487,6.94171,5.42732,3.50212,2.53837,2.18456,1.71368,1.72981]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.35358,3.31445,4.7973,4.74444,4.97252,4.599,4.64653,6.27403,4.78927,3.83993]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.58539,11.9214,13.9961,15.4619,10.9211,11.994,8.66269,9.58903,5.98097,5.8948]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.79189,6.21481,7.98927,11.1635,10.2666,12.7952,11.1743,13.2724,9.82936,10.3114]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(252, 44, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[138.416,131.568,124.842,119.817,114.784,109.26,105.095,98.8433,91.6468,82.9159]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[186.886,180.711,172.378,165.879,154.839,148.423,140.313,132.213,121.018,109.625]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(253, 152, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[47.7579,83.8974,51.7939,36.1348,25.7603,13.7512,5.45215,2.1941,1.08561,0.488034]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[77.473,142.795,88.8849,64.0483,45.1736,24.4552,10.0631,3.84492,1.68298,0.827898]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(254, 154, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1507.65,1687.92,1787.83,1878.28,1923.3,1983.04,2026.27,2034.94,1996.55,1830.68]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[920.665,1038.89,1108.79,1162.35,1186.71,1209.99,1226.49,1233.36,1201.72,1101.82]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(255, 157, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[57.0732,55.2975,53.6388,51.6791,50.9859,49.1759,47.3642,45.3888,43.7689,41.3246]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[189.634,187.614,183.299,177.332,172.859,166.772,160.786,155.084,147.81,140.451]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(256, 158, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[188.883,18.9079,2.9217,1.40868,0.602116,0.218341,0.0636413,0.0156573,0.0034046,0.000480137]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[462.819,51.6534,10.9923,5.63369,2.55413,1.00426,0.331593,0.0958782,0.022403,0.00442963]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(257, 198, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1077.3,1064.55,1154.03,1439.74,1723.13,1986.66,2216.59,2375.32,2526.03,2664.38]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1074.04,1105.32,1243.66,1558.42,1857.32,2126.99,2374.45,2602.91,2797.03,2983.28]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(258, 207, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.76105,1.16344,0.871242,0.719093,0.664526,0.625717,0.591462,0.544299,0.50842,0.476177]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.1758,1.42446,1.08383,0.953951,0.890112,0.84978,0.818081,0.811139,0.790399,0.753757]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(259, 225, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[157.267,173.522,242.281,323.034,409.518,502.86,659.996,937.756,1270.6,1798.08]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[187.567,214.427,297.451,392.826,488.833,593.451,765.302,1068.46,1404.61,1955.69]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(260, 232, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.20707,1.14476,1.13207,1.19981,1.31506,1.48586,1.71111,2.06364,2.59225,3.26345]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.31624,1.25639,1.22976,1.30437,1.42909,1.58509,1.83814,2.22377,2.76099,3.48808]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(261, 233, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[103.591,120.71,159.963,204.174,253.483,286.459,327.32,381.214,452.723,562.774]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[98.734,116.346,156.031,200.426,249.778,282.685,320.34,368.09,427.29,517.55]}', 2010, '', 1, '', 845, '2014-04-30 02:24:33', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(262, 301, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.0653,2.54663,1.9081,1.78708,1.74449,2.03614,2.48467,3.21627,4.88361,7.77586]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.89635,11.1104,12.1043,13.1779,14.2239,15.2882,16.4715,17.5525,18.5284,19.5469]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.56107,3.22119,3.5345,3.51372,3.41339,4.15593,5.02064,7.77363,10.4826,15.6433]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.45402,10.4123,11.2016,11.9604,12.7247,13.4729,14.279,15.0748,15.8114,16.3466]}', 2010, '', 1, '', 845, '2014-04-30 02:25:17', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(263, 302, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.473644,0.585553,0.437737,0.411192,0.400775,0.467136,0.569853,0.742491,1.12422,1.78464]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.27925,2.55955,2.79034,3.0362,3.27637,3.52259,3.79735,4.04794,4.26615,4.50302]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.587491,0.740373,0.813199,0.808489,0.787699,0.956138,1.15873,1.78986,2.4166,3.62902]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.18261,2.40247,2.5872,2.75801,2.93538,3.10938,3.29013,3.47913,3.64238,3.76479]}', 2010, '', 1, '', 845, '2014-04-30 02:25:17', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(264, 303, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.67109,2.05946,1.54383,1.44521,1.41104,1.64783,2.0113,2.59983,3.94894,6.29262]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.00083,8.98199,9.7835,10.6522,11.4991,12.3582,13.3139,14.1853,14.9796,15.802]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.0719,2.6049,2.85859,2.84149,2.75854,3.36099,4.05687,6.28339,8.46916,12.6255]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.63881,8.41455,9.04996,9.66661,10.2837,10.8867,11.5427,12.1811,12.7821,13.2146]}', 2010, '', 1, '', 845, '2014-04-30 02:25:17', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(265, 310, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.66596,4.85049,5.72185,5.9591,5.08694,5.63425,7.27264,0.74802,1.42741,2.12657]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[745.719,802.237,762.02,751.006,764.805,754.053,675.49,684.984,606.98,611.104]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.515468,0.551535,0.523063,0.64209,0.72208,0.988836,1.41298,2.10897,3.17847,4.94629]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[499.627,361.023,296.47,309.984,360.298,374.682,415.931,468.481,536.828,612.529]}', 2010, '', 1, '', 845, '2014-04-30 02:25:17', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(266, 284, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.66596,4.85049,5.72185,5.9591,5.08694,5.63425,7.27264,0.74802,1.42741,2.12657]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[745.719,802.237,762.02,751.006,764.805,754.053,675.49,684.984,606.98,611.104]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.515468,0.551535,0.523063,0.64209,0.72208,0.988836,1.41298,2.10897,3.17847,4.94629]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[499.627,361.023,296.47,309.984,360.298,374.682,415.931,468.481,536.828,612.529]}', 2010, '', 1, '', 845, '2014-04-30 02:25:17', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(267, 274, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.046,24.6264,22.9578,23.8715,22.1537,31.201,46.698,62.8219,101.769,146.913]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[448.302,713.669,779.184,685.015,593.316,571.025,557.062,490.587,435.59,354.295]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[68.5144,135.141,143.907,145.413,142.578,159.622,202.833,282.355,343.211,423.075]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1097.37,1772.78,2016.72,1904.97,1788.15,1784,1860.67,1677.72,1623.4,1298.32]}', 2010, '', 1, '', 845, '2014-04-30 02:25:17', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(268, 275, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.0438,23.2712,21.2956,22.1814,20.3559,29.5443,45.0545,61.0386,99.9545,145.14]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[284.594,351.359,376.862,376.289,371.252,412.603,448.313,423.185,396.46,334.565]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[67.2798,132.911,141.057,142.017,139.237,155.826,199.305,277.548,339.27,418.973]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[822.877,1056.6,1197.44,1274.77,1364.62,1509.74,1680.19,1561.74,1550.68,1258.24]}', 2010, '', 1, '', 845, '2014-04-30 02:25:17', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(269, 276, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.03525,1.38841,1.68363,1.72063,1.81807,1.69295,1.70391,1.85407,1.93338,1.94176]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[163.718,362.339,402.354,308.779,222.096,158.464,108.814,67.4812,39.2328,19.8496]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.43683,2.8433,3.3402,3.56335,3.47817,3.9983,3.79616,5.17855,4.37609,4.58652]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[274.535,716.317,819.437,630.28,423.61,274.385,180.625,116.14,72.8975,40.276]}', 2010, '', 1, '', 845, '2014-04-30 02:25:17', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(270, 277, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.188311,1.13586,1.47483,1.4922,1.6486,1.90201,2.48842,3.37,6.01294,9.01084]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[48.6248,209.344,334.053,408.317,481.153,532.546,548.377,597.733,462.119,477.941]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.85226,12.9952,16.7331,18.3488,18.7663,19.7635,22.7131,31.1786,40.5359,57.1916]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[86.8309,294.7,520.951,661.353,770.273,891.503,1015.49,1179.2,1123.83,1130.62]}', 2010, '', 1, '', 845, '2014-04-30 02:25:17', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(271, 278, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00999327,0.0328445,0.0346657,0.0430916,0.0698226,0.145183,0.347179,0.595224,1.67104,2.44085]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00387123,0.013692,0.0128402,0.0172465,0.0231135,0.0463769,0.0990084,0.155809,0.407304,0.595047]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0157536,0.0272466,0.0526893,0.0677634,0.167305,0.474459,1.54104,3.49137,7.57493,11.5611]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00624916,0.00923287,0.0199376,0.026212,0.0584501,0.14631,0.46138,1.00898,2.10927,3.00128]}', 2010, '', 1, '', 845, '2014-04-30 02:25:17', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(272, 279, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0161541,0.137854,0.126244,0.156837,0.218862,0.392793,0.722621,1.06495,1.90437,2.72847]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.04833,27.4504,23.981,20.7465,20.9633,20.976,20.2683,20.5167,15.4867,14.7698]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0473962,0.269326,0.399923,0.483502,0.570722,0.772368,1.66255,3.91784,6.8951,11.0165]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.0252,31.3415,27.4805,24.992,25.0482,26.6429,29.2593,31.9887,29.9568,27.4437]}', 2010, '', 1, '', 845, '2014-04-30 02:25:17', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(273, 280, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.162164,0.965162,1.24424,1.21995,1.26504,1.15368,0.94087,0.859016,0.543543,0.478122]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.78911,12.6986,15.8927,17.2891,17.4037,17.4025,16.9895,17.2151,13.8504,11.2949]}', '', 2010, '', 1, '', 845, '2014-04-30 02:25:17', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(274, 313, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.79373,18.5137,18.8292,16.6442,12.1011,9.11843,7.39226,3.57355,4.08612,4.08856]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[392.449,520.234,554.865,584.452,605.646,624.335,635.328,624.752,590.793,519.03]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.432455,0.774234,0.581376,0.47137,0.497983,0.543933,0.72115,0.802691,0.845278,0.774189]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[68.6066,79.3042,76.6903,73.0454,72.6145,74.3243,75.5373,70.4305,60.6683,47.9452]}', 2010, '', 1, '', 845, '2014-04-30 02:25:17', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(275, 314, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.299691,0.191253,0.110829,0.102931,0.137892,0.208321,0.269028,0.274759,0.375095,0.395701]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[94.2934,101.908,99.6295,97.6638,98.5871,100.668,102.051,98.4634,91.4642,77.564]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.432455,0.774234,0.581376,0.47137,0.497983,0.543933,0.72115,0.802691,0.845278,0.774189]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[68.6066,79.3042,76.6903,73.0454,72.6145,74.3243,75.5373,70.4305,60.6683,47.9452]}', 2010, '', 1, '', 845, '2014-04-30 02:25:17', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(276, 304, 146, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.140267,0.206415,0.362464,0.735236,1.3741,2.0862,3.63814,5.87086]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.48634,2.03082,2.67649,3.46263,4.69919,5.98033,7.48463,8.68744]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.259367,0.402618,0.670168,1.26867,2.59738,5.06825,7.50335,11.322]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.94111,2.64827,3.4241,4.40006,5.97975,7.52969,9.30315,10.7976]}', 2010, '', 1, '', 845, '2014-04-30 02:25:17', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(277, 306, 146, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.34135,5.33292,9.58977,20.4614,39.7678,64.7556,118.896,195.543]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[175.027,220.821,272.799,333.59,410.677,515.283,641.931,781.85]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.96308,9.51277,15.4597,29.3011,59.8242,129.224,202.058,320.751]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[153.191,191.404,232.137,278.882,335.938,418.312,510.499,603.918]}', 2010, '', 1, '', 845, '2014-04-30 02:25:17', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(278, 307, 146, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0214181,0.0225778,0.0297162,0.0699467,0.18461,0.359118,1.17375,2.40915]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0822393,0.104209,0.128518,0.22994,0.536477,1.41586,3.07064,7.00831]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0]}', 2010, '', 1, '', 845, '2014-04-30 02:25:17', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(279, 309, 146, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.728628,1.36006,2.53054,5.0737,10.7341,18.3699,33.6752,54.8833]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.63241,8.52972,14.3093,20.3709,31.0603,41.2495,54.7853,70.2116]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.968538,1.88,3.65779,7.13361,15.9706,34.5318,56.2628,88.2385]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.95151,5.47698,11.2386,14.8573,25.209,37.5377,53.6534,69.5283]}', 2010, '', 1, '', 845, '2014-04-30 02:25:17', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(280, 305, 146, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0171722,0.0362864,0.066871,0.159134,0.374178,0.646531,1.34511,1.97808]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00601335,0.0111868,0.0173802,0.0418917,0.0973951,0.158762,0.321965,0.465978]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0337025,0.0687236,0.158022,0.506182,1.23063,2.82539,4.60283,7.14388]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00967458,0.0183159,0.0437152,0.140958,0.323297,0.734688,1.15225,1.6723]}', 2010, '', 1, '', 845, '2014-04-30 02:25:17', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(281, 308, 146, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.711455,1.32378,2.46367,4.91457,10.3599,17.7233,32.3301,52.9052]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.6264,8.51853,14.2919,20.329,30.9629,41.0908,54.4633,69.7457]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.934836,1.81128,3.49977,6.62743,14.7399,31.7064,51.6599,81.0946]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.94183,5.45866,11.1949,14.7164,24.8857,36.8031,52.5012,67.856]}', 2010, '', 1, '', 845, '2014-04-30 02:25:17', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(282, 271, 146, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.519671,4.88708,9.93542,23.6391,50.2742,90.2447,171.082,218.735]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.91237,118.668,232.435,504.857,648.459,837.757,1270.57,1331.59]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.331843,14.6031,31.4157,81.7976,172.687,340.379,525.975,800.39]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.2706,332.261,662.784,1379.3,1762.94,1971.59,2325.55,2530.24]}', 2010, '', 1, '', 845, '2014-04-30 02:25:17', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(283, 272, 146, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.519671,0.806311,1.33167,2.49575,4.62574,7.06421,10.9688,16.6639]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.91237,4.52874,6.09359,7.50115,10.5838,14.3161,16.7307,19.0113]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.331843,0.510052,0.514097,0.826055,1.65358,3.00792,4.81999,8.97925]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.2706,1.97343,1.76338,2.09551,2.96886,3.69513,5.12306,7.52492]}', 2010, '', 1, '', 845, '2014-04-30 02:25:17', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(284, 265, 146, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.21558,4.61688,9.55508,20.1768,47.8773,88.6887,177.083,284.18]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[88.2645,146.439,245.002,353.836,499.409,617.527,796.43,901.78]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.75958,9.15095,18.5015,33.654,79.3069,146.235,250.705,366.561]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[114.648,190.825,316.135,445.327,663.717,765.059,1002.66,1039.2]}', 2010, '', 1, '', 845, '2014-04-30 02:25:17', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(285, 266, 146, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.501292,0.757802,1.697,3.5986,9.31071,16.1408,33.9734,61.2083]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.31743,8.67012,17.5396,24.8409,49.4629,70.066,105.049,127.016]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.80679,1.32295,3.692,7.59082,16.6037,33.6,52.4345,85.7513]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.33976,10.3296,23.6735,33.5213,51.2561,72.3733,92.1003,109.468]}', 2010, '', 1, '', 845, '2014-04-30 02:25:17', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(286, 267, 146, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.54853,11.1644,23.7797,45.6626,103.38,162.249,320.327,517.057]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[50.6036,75.4265,151.425,208.793,361.147,431.548,629.406,773.153]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.8302,21.8289,38.0855,69.8591,151.673,301.651,517.384,795.772]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[46.8398,70.9551,133.236,169.865,286.454,387.966,592.65,737.533]}', 2010, '', 1, '', 845, '2014-04-30 02:25:17', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(287, 268, 146, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.99849,8.85359,19.6344,35.6907,75.4091,124.88,216.343,340.527]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[146.702,223.166,476.632,745.713,1177.32,1441.54,1606.94,1765.63]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.22284,6.91899,16.1594,34.2131,70.0498,132.058,199.551,297.569]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[83.5705,126.318,275.779,407.87,619.857,773.994,877.879,956.522]}', 2010, '', 1, '', 845, '2014-04-30 02:25:17', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(288, 286, 146, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.75713,10.9364,19.8451,42.3773,82.9666,137.523,249.052,401.052]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[69.1076,111.994,171.85,245.774,334.249,431.221,540.533,641.859]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.7775,19.7189,34.0261,68.0713,144.763,305.297,481.198,732.385]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[76.5296,124.86,193.347,272.27,379.369,509.46,651.901,778.409]}', 2010, '', 1, '', 845, '2014-04-30 02:25:17', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(289, 287, 146, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.7732,6.29467,11.9528,26.2333,51.847,84.5901,150.52,229.901]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.5653,23.4051,34.173,48.2702,72.2117,104.431,143.189,166.743]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.05555,11.7796,20.5455,41.2064,89.2806,192.147,292.773,418.852]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.2786,29.5535,44.0058,63.4191,97.5175,144.458,196.935,232.305]}', 2010, '', 1, '', 845, '2014-04-30 02:25:17', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(290, 288, 146, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.971162,1.45675,2.52139,4.92676,8.85317,13.1326,20.8818,29.9553]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.2776,4.7585,6.32649,8.11478,11.0811,14.7277,18.4684,20.6355]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.83636,2.77732,4.2774,7.2435,14.0258,27.4963,38.1461,51.3133]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.07998,6.04233,8.21135,10.697,15.0514,20.1786,25.3722,28.3398]}', 2010, '', 1, '', 845, '2014-04-30 02:25:17', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(291, 289, 146, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0173774,0.0194609,0.0320227,0.0585574,0.0697209,0.0386734,0.0196944,0.0108257]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.348513,0.428603,0.560233,0.763742,0.663734,0.250474,0.0785808,0.0290769]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0580337,0.0741584,0.0980168,0.15661,0.217536,0.161899,0.0747186,0.043851]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.75197,0.950431,1.18431,1.43771,1.21935,0.566524,0.175391,0.0688318]}', 2010, '', 1, '', 845, '2014-04-30 02:25:17', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(292, 290, 146, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.04244,1.55172,2.73452,5.98038,11.3834,19.8312,38.585,69.6355]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.8883,23.1753,34.8753,50.3153,74.7382,108.083,145.879,180.01]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.05703,3.40063,6.40949,13.1311,27.5916,56.8947,93.2681,151.538]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.3546,30.6387,46.2948,66.7155,98.7505,142.558,191.161,234.025]}', 2010, '', 1, '', 845, '2014-04-30 02:25:17', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(293, 291, 146, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0547822,0.087982,0.159621,0.293308,0.518561,0.75519,1.24038,1.53897]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0432714,0.0736449,0.157374,0.28208,0.438064,0.610056,0.932743,1.17634]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0690945,0.112983,0.203835,0.310138,0.686808,1.22577,1.91322,2.72243]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0502803,0.100332,0.197607,0.309176,0.622903,1.06979,1.55983,2.17695]}', 2010, '', 1, '', 845, '2014-04-30 02:25:17', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(294, 292, 146, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0318332,0.0504952,0.0904783,0.165694,0.292778,0.432148,0.732381,0.92847]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.25896,13.6585,21.1028,29.4058,36.3175,41.4391,44.9798,46.736]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0405468,0.0669377,0.117112,0.181185,0.403844,0.726064,1.16381,1.68106]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.4047,17.4874,26.9146,37.509,46.3611,52.9292,56.6685,58.5077]}', 2010, '', 1, '', 845, '2014-04-30 02:25:17', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(295, 293, 146, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.35356,0.513971,0.868219,1.80984,3.30324,5.44797,10.1193,17.4408]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[22.3012,35.9012,53.6404,73.8364,92.7988,111.574,127.315,140.802]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.636811,1.01099,1.82755,3.61457,7.28635,14.257,22.2202,34.6276]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.4784,39.8452,59.251,81.6765,102.911,123.782,139.799,153.567]}', 2010, '', 1, '', 845, '2014-04-30 02:25:17', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(296, 294, 146, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.649263,0.848338,1.28426,2.18916,3.66176,6.28779,10.4783,15.3205]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.3898,22.4085,33.2515,43.4414,51.8326,60.0276,64.2597,65.8225]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.62599,2.48941,2.55015,4.35276,6.8274,12.0203,18.4069,25.8467]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.8488,31.148,40.0757,51.4247,59.3716,70.5948,78.689,82.3838]}', 2010, '', 1, '', 845, '2014-04-30 02:25:17', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(297, 295, 146, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.263019,0.364387,0.582372,1.13466,1.89412,2.7955,4.48363,6.60491]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.04669,4.65844,6.41734,8.39151,11.0709,13.6509,15.6423,16.1143]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.563985,0.863319,1.5065,2.76294,5.27595,9.48283,13.5435,18.9582]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.61627,7.16489,9.99862,13.2856,17.8156,22.6063,26.3522,27.8623]}', 2010, '', 1, '', 845, '2014-04-30 02:25:17', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(298, 296, 146, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.104011,0.162697,0.286838,0.511311,0.905693,1.36148,2.3086,2.9902]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0800701,0.135148,0.285779,0.491065,0.762482,1.10147,1.73993,2.25394]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.12626,0.203157,0.35685,0.53185,1.17927,2.17384,3.56973,5.38396]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0918153,0.178668,0.344743,0.536112,1.0748,1.95236,3.07019,4.65617]}', 2010, '', 1, '', 845, '2014-04-30 02:25:17', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(299, 297, 146, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.622207,0.909597,1.56572,3.35108,6.25692,10.6013,20.1421,35.3067]}', '', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.22915,1.98541,3.67642,7.3669,15.1712,30.5121,48.6235,76.7523]}', '', 2010, '', 1, '', 845, '2014-04-30 02:25:17', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(300, 298, 146, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.374495,0.540756,0.927337,1.97196,3.6725,6.17653,11.6581,20.2344]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.98193,8.10413,11.8721,16.6568,24.0508,33.6987,44.0178,52.4346]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.733857,1.18703,2.1805,4.33626,8.83257,17.6056,27.8748,43.6558]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.5425,10.663,15.6841,21.9749,31.5699,44.1203,57.1781,67.464]}', 2010, '', 1, '', 845, '2014-04-30 02:25:17', '2015-09-06 02:10:51', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(301, 299, 146, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0955276,0.138736,0.234751,0.492187,0.889577,1.4435,2.63363,4.3885]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.28896,2.05486,2.96759,4.08817,5.78476,7.82434,9.86132,11.3747]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.176833,0.283396,0.504563,0.989179,2.02396,3.82192,5.79592,8.77411]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.5998,2.54491,3.67793,5.10085,7.11868,9.52926,11.8389,13.416]}', 2010, '', 1, '', 845, '2014-04-30 02:25:17', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(302, 300, 146, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.08988,3.53872,6.19042,13.1915,26.0974,42.7662,76.9085,125.126]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.4062,22.7798,35.838,54.9385,78.8141,100.302,130.043,165.222]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.1684,5.60869,10.1797,20.4465,42.969,89.2886,142.451,222.648]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.87783,16.8405,32.1586,45.3997,72.6455,103.781,145.515,187.318]}', 2010, '', 1, '', 845, '2014-04-30 02:25:17', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(303, 270, 146, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.49371,4.05866,7.58916,15.9961,31.7208,55.8172,100.83,167.719]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[50.7828,83.959,129.442,183.147,241.689,302.949,369.964,428.492]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.17483,5.40871,9.95541,20.2374,42.3664,83.9349,139.241,229.728]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[54.4039,90.5353,137.896,193.151,254.044,321.086,389.873,449.944]}', 2010, '', 1, '', 845, '2014-04-30 02:25:17', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(304, 283, 146, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0696805,0.0723139,0.0948733,0.21036,0.477746,0.850809,1.89398,3.3634]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[72.4648,88.6122,109.257,122.246,127.813,141.736,117.429,121.462]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.387792,0.508467,0.62452,1.11412,2.52001,6.55437,12.2155,23.3191]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[143.49,180.552,214.872,248.929,287.752,339.882,347.494,345.217]}', 2010, '', 1, '', 845, '2014-04-30 02:25:17', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(305, 273, 146, '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.08077,8.60375,21.1434,45.6485,83.1805,160.113,202.071]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[114.139,226.341,497.355,637.876,823.441,1253.84,1312.57]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.0931,30.9016,80.9715,171.034,337.371,521.155,791.411]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[330.288,661.02,1377.2,1759.97,1967.9,2320.42,2522.72]}', 2010, '', 1, '', 845, '2014-04-30 02:25:17', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(306, 269, 146, '{\"age\":[\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.250721,0.410687,0.735128]}', '{\"age\":[\"50-54\",\"55-59\",\"60-64\"],\"number\":[38.8283,63.3473,70.3774]}', '{\"age\":[\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.731239,0.91296,1.87898]}', '{\"age\":[\"50-54\",\"55-59\",\"60-64\"],\"number\":[61.8324,99.5419,133.815]}', 2010, '', 1, '', 845, '2014-04-30 02:25:17', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(307, 315, 146, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.63958,18.4242,18.7723,16.5843,12.0108,8.97447,7.20732,3.38057,3.83688,3.82387]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[313.89,439.088,476.363,508.279,529.025,545.943,555.555,547.876,519.418,458.471]}', '', '', 2010, '', 1, '', 845, '2014-04-30 02:25:17', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(308, 281, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.64887,33.3268,48.9398,64.8786,64.2734,73.9206,76.9387,96.9031,58.0812,79.5212]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.0525,55.4072,79.1466,105.988,104.582,124.607,141.332,184.866,140.459,183.672]}', 2010, '', 1, '', 845, '2014-04-30 02:25:17', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(309, 282, 146, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[32.9237,148.553,188.655,234.062,286.636,315.357,323.258,338.421,270.715,261.593]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[57.747,207.942,270.814,349.795,425.712,491.178,556.683,621.452,603.811,571.287]}', 2010, '', 1, '', 845, '2014-04-30 02:25:17', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(310, 1, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[95.2388,526.715,1072.46,1196.91,996.115,797.955,655.001,254.938,225.569,156.163]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[233.418,986.575,3194.59,4729.32,4812.92,3351.77,2290.26,1298.14,981.387,712.65]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[49.4252,196.621,660.438,1064.24,1255.87,1124.31,1013.53,685.739,461.102,364.687]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[302.754,528.222,1859.63,3367.92,4894.6,4706.16,4077.7,2364.54,2234.4,1370.54]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(311, 2, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.68,26.997,23.5088,22.7375,25.0296,24.4747,27.2373,23.8862,41.0999,50.9336]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[43.076,55.255,136.432,167.863,199.034,237.156,259.995,217.629,256.892,184.713]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.90349,26.6745,52.0055,61.9289,62.4118,69.9143,96.9389,134.393,154.551,185.883]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[108.83,137.456,387.885,567.632,673.942,789.052,937.962,634.343,764.673,459.142]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(312, 3, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[84.5588,499.718,1048.95,1174.17,971.085,773.481,627.764,231.052,184.469,105.23]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[190.342,931.32,3058.15,4561.45,4613.88,3114.62,2030.27,1080.51,724.495,527.937]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[40.5217,169.946,608.432,1002.31,1193.46,1054.39,916.587,551.346,306.551,178.804]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[193.924,390.766,1471.74,2800.29,4220.65,3917.1,3139.74,1730.19,1469.72,911.393]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(313, 4, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.1121,101.128,212.355,249.067,229.984,160.913,127.04,47.0481,37.3309,21.2953]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[64.1568,81.976,201.196,248.196,292.019,351.462,384.551,323.201,380.831,271.067]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.20035,34.392,123.128,202.838,241.521,213.377,185.489,111.576,62.0367,36.1845]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[162.206,203.392,574.989,844.9,996.565,1168.52,1388.72,943.706,1134.31,676.312]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(314, 5, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[67.4467,398.59,836.593,925.106,741.101,612.568,500.724,184.003,147.138,83.9345]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[126.185,849.344,2856.96,4313.26,4321.86,2763.15,1645.72,757.309,343.664,256.87]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[32.3213,135.554,485.304,799.477,951.938,841.016,731.097,439.77,244.515,142.62]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[31.7178,187.374,896.754,1955.39,3224.09,2748.59,1751.02,786.489,335.41,235.081]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(315, 6, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[26.4573,37.579,25.8239,23.2523,21.996,22.851,28.2483,20.965,47.0114,64.3291]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[238.325,218.5,237.606,256.165,271.302,288.494,296.702,299.798,298.855,309.652]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.7897,35.5882,46.7339,43.4375,36.7517,38.2035,48.8673,70.5762,82.4114,125.987]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[244.106,229.277,250.947,270.374,281.55,292.721,300.503,305.072,303.355,315.153]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(316, 7, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.12802,10.7159,7.74486,6.76484,6.64933,7.50321,8.70715,8.12064,17.5317,27.4718]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[53.2326,60.5125,66.4829,72.9057,79.8163,86.8588,93.9493,100.473,107.382,113.054]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.79486,9.11182,13.0343,12.159,9.56382,11.2708,13.6063,20.513,24.334,38.6259]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[49.3767,55.0432,59.8134,65.1324,70.0304,75.1995,80.4558,85.5531,89.8585,94.4727]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(317, 8, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.78016,7.51821,4.49958,3.88212,3.33199,2.87505,2.69046,1.77682,2.20478,1.70577]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.00982,4.68411,4.19722,3.74976,3.43326,3.06472,2.81899,2.52705,2.26436,2.04319]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.20412,8.69581,7.50065,5.80959,4.23604,3.54324,3.43885,3.53335,3.05242,2.54238]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.37603,6.12041,5.46558,4.89224,4.41245,3.90854,3.54293,3.17253,2.87211,2.57877]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(318, 9, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.14921,13.7839,9.74499,9.18116,8.82282,9.48441,13.3116,8.06073,22.8084,30.0789]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.38894,5.82386,6.52667,7.2438,7.7274,8.59179,10.8807,15.6429,19.9452,24.7386]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.45571,12.1769,17.8406,17.9716,16.6933,17.8547,24.9974,37.261,47.4701,75.8914]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.42792,6.11869,6.78484,7.62868,8.2014,9.02433,11.4865,16.7042,21.2204,26.3392]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(319, 10, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00760733,0.0121438,0.0121088,0.0143189,0.007654,0.00465426,0.00634257,0.00437213,0.0126639,0.0115862]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[74.8485,50.5619,57.9859,65.7498,71.7062,80.3843,77.5255,61.3184,45.4416,29.1275]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00695994,0.0107281,0.0221681,0.0280285,0.0144818,0.00876177,0.0119104,0.0202103,0.0263567,0.0292329]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[74.9471,54.1644,60.1947,67.4008,71.8673,79.1043,76.1657,61.1703,46.2865,31.4257]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(320, 11, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00529603,0.00438025,0.003081,0.00366759,0.00406899,0.00457231,0.00757858,0.00902232,0.0100932,0.01132]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[53.0321,50.5718,53.1348,54.5671,54.3974,52.7762,51.4374,53.8842,52.7455,56.9293]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0049872,0.00392096,0.00397118,0.00425803,0.00401522,0.00439607,0.00756595,0.0140082,0.0109816,0.0132701]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[57.3778,55.9625,61.3915,63.1867,61.6508,57.3446,56.3278,58.3922,57.2537,60.9288]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(321, 12, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.15203,3.79317,2.49278,2.16866,2.02426,1.99234,2.50548,2.22417,3.40113,4.06291]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[43.1243,43.2709,45.7193,47.8408,49.2511,51.3419,53.6618,58.632,62.389,74.0239]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.16079,3.90599,5.59666,4.88754,4.06412,3.74806,4.88107,6.91119,5.75164,7.15904]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[46.8672,48.7539,53.5589,57.5557,60.064,61.9806,65.3062,71.4742,76.2352,88.3761]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(322, 13, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.919577,1.14866,0.766077,0.654503,0.599118,0.575585,0.707013,0.610705,0.905052,1.04491]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.4444,14.9162,15.744,16.1739,16.7045,17.1924,17.5777,18.8198,19.3159,21.8993]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.927202,1.19365,1.72892,1.48346,1.20827,1.09037,1.38524,1.90656,1.54034,1.84959]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.1188,17.4547,19.4595,20.8533,21.7924,22.3391,23.4852,24.8996,25.5889,28.4259]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(323, 14, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.375066,0.230787,0.0725614,0.0707559,0.0734333,0.0792546,0.109172,0.105592,0.177334,0.232574]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.3573,9.3716,8.63775,8.20984,7.60926,7.4078,7.21451,7.15931,7.03441,7.67302]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.377143,0.237674,0.16362,0.159311,0.14703,0.149862,0.214348,0.331652,0.302861,0.41562]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.38422,7.3695,6.74614,6.62149,6.10434,6.02908,5.85638,5.94004,6.30921,6.98338]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(324, 15, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.995476,1.1877,0.77117,0.656048,0.597282,0.570279,0.693781,0.595469,0.874379,0.999885]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.08047,8.38649,9.3438,10.1072,10.6217,11.1718,11.9166,13.062,14.1889,17.0121]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.993845,1.21573,1.7216,1.47033,1.19385,1.0695,1.35179,1.84197,1.47722,1.75719]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.9577,11.3443,12.8625,13.8006,14.4544,14.7389,15.27,16.8714,17.8662,20.5259]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(325, 16, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.861916,1.22603,0.88297,0.78735,0.754429,0.767221,0.99551,0.912399,1.44436,1.78554]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.96071,10.3954,11.7849,13.0967,14.0774,15.2979,16.6392,19.2233,21.5522,27.1308]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.862601,1.25893,1.98252,1.77444,1.51498,1.43833,1.92969,2.83101,2.43121,3.13664]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.9808,12.2748,14.1617,15.882,17.2652,18.3913,20.1701,23.2914,26.0474,31.9696]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(326, 17, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.864109,1.42759,1.13787,1.06434,1.00993,0.870945,0.910871,0.689224,0.906701,0.926697]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.58698,2.0672,2.59069,3.02543,3.79138,4.21847,4.94363,5.22237,6.00997,6.48785]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.866509,1.47005,2.5547,2.39873,2.02763,1.63845,1.77452,2.14164,1.53332,1.63288]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.62501,2.09731,2.76001,3.45362,4.10389,4.84027,5.5985,6.41289,6.75384,7.62979]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(327, 18, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.00745325,0.0113458,0.0109863,0.0104691,0.00936542,0.00661471,0.00810885,0.00550749,0.00666249]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.000343318,0.000555419,0.000428321,0.000714718,0.00092536,0.000339136,0.00155392,0.000401317,0.00117073]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.00632353,0.00770474,0.0115978,0.0122048,0.0109859,0.0088779,0.0129494,0.0145729,0.0123709]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0,0.00075723,0.000469624,0.000911544,0.000462568,0,0.00129051,0.00146214,0.000360682]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(328, 19, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.00867027,0.0169882,0.0197386,0.0219277,0.0188032,0.0169677,0.0144694,0.00743268,0.0320738]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0178324,0.0229589,0.0505052,0.0515092,0.0426505,0.0369484,0.0333472,0.0284372,0.0876635]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.00785788,0.01205,0.0214918,0.0259133,0.020989,0.0220628,0.022792,0.0195442,0.0609575]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0128535,0.0250436,0.0298169,0.0456084,0.0458075,0.053343,0.0524779,0.0398344,0.142804]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(329, 20, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0176935,0.0457101,0.0534978,0.0653943,0.0634155,0.0514523,0.0498474,0.0378564,0.0590481,0.0325088]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00229254,0.00171857,0.00244363,0.0058917,0.00464199,0,0.00212341,0.00387047,0.00147126,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0150051,0.0307763,0.0558614,0.0766938,0.0745921,0.0693987,0.0789516,0.0996702,0.10922,0.0605244]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000919705,0.00113051,0.00303325,0.00378253,0.00217855,0.00171126,0.00296842,0.00194679,0.00408676,0.000961143]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(330, 21, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.324915,0.233872,0.0898893,0.0545736,0.0358712,0.0266942,0.0199139,0.0125725,0.0152297]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0735087,0.0426026,0.027529,0.0199437,0.00802113,0.00645384,0.00513772,0.00541606,0.00622369]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.2551,0.14826,0.0730802,0.0397166,0.0234862,0.0212417,0.0184994,0.0220461,0.0253878]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0493846,0.0337881,0.0172241,0.0127283,0.0061509,0.000985288,0.00525967,0.00787083,0.00362807]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(331, 22, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0121384,0.0158059,0.0145585,0.0208267,0.0184774,0.0140976,0.0164679,0.0166581,0.0228912,0.0275575]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.00782,0.939878,0.887883,1.00415,1.12323,1.21369,1.44289,2.05996,2.58095,3.2473]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0114334,0.0141771,0.0189107,0.0241982,0.0181896,0.0134951,0.0165198,0.0260302,0.0247615,0.032397]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.04505,0.955487,0.927349,1.06061,1.16501,1.26257,1.55793,2.14118,2.7238,3.40061]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(332, 23, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.937889,2.22199,1.76334,1.80044,1.66607,1.63028,1.57981,1.27278,1.79884,2.07543]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[352.367,355.862,350.539,344.568,343.28,335.22,325.639,320.195,308.952,313.852]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.728884,1.52888,2.1231,2.19024,2.04504,2.35298,2.48103,3.00608,3.05973,3.20074]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[325.128,310.902,296.583,292.443,297.935,294.305,294.203,294.551,299.706,294.431]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(333, 24, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.627999,1.62777,1.16501,1.16373,0.988218,1.09631,0.998184,0.832955,1.06146,1.19166]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.52405,5.71353,6.06355,6.08736,6.07319,6.13516,5.23788,5.05122,4.10841,4.15985]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.486364,1.06694,1.35862,1.4185,1.23512,1.59231,1.77719,2.08959,2.04536,2.03255]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.53766,1.52219,1.25587,1.2478,1.38688,1.43426,1.76624,1.87587,2.54983,3.41709]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(334, 26, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00214074,0.00732019,0.0105302,0.0130847,0.0152446,0.0150295,0.0159794,0.0120356,0.0175427,0.0183489]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[96.6909,100.84,96.2127,90.9981,86.7949,82.3135,76.0348,71.049,65.4937,60.7667]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000851031,0.00230078,0.00516932,0.00721103,0.00840956,0.00952978,0.0119452,0.0149327,0.0153556,0.0160923]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[74.2063,72.3528,65.8437,62.2685,59.8183,56.2539,53.2125,49.4698,46.2029,42.701]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(335, 27, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0324929,0.0690902,0.0708583,0.0823144,0.0816147,0.089785,0.10836,0.0921727,0.148513,0.150576]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.53897,9.65112,9.47767,9.1782,8.93899,9.04396,8.71172,9.05285,9.10827,9.01286]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0305953,0.0617646,0.0913126,0.0956101,0.080692,0.0858873,0.107808,0.143408,0.160814,0.177192]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.3868,15.3192,14.8278,14.4743,14.5509,14.7494,14.9454,15.4818,15.8481,15.9858]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(336, 28, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0030552,0.00506333,0.00448721,0.00576456,0.00691933,0.00870664,0.0128036,0.00990176,0.0200129,0.0222601]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.59981,2.10594,2.65161,3.44242,3.93636,4.73035,5.33105,6.2113,7.15533,8.03357]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00287516,0.00453361,0.00578794,0.00670034,0.00682615,0.0083048,0.0126559,0.0153495,0.0217501,0.0261019]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.04129,1.36326,1.72247,2.10106,2.45925,2.90431,3.34487,3.80239,4.30591,4.73733]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(337, 30, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0496783,0.09698,0.101121,0.115245,0.146958,0.0860545,0.112024,0.0531356,0.0896019,0.108826]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0179906,0.0197273,0.0295399,0.0397833,0.0267294,0.0228487,0.0263134,0.030813,0.0361912,0.0383193]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(338, 31, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0716198,0.13397,0.149322,0.139012,0.129262,0.0986944,0.0861559,0.0541814,0.106457,0.11817]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0.00429747,0,0.00094341,0.00104608,0,0.000554618,0.00200287,0,0.000658439]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0715527,0.120192,0.203804,0.171931,0.142027,0.158499,0.12935,0.149097,0.166521,0.139974]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000967484,0.000932667,0,0,0,0.00294512,0,0.00185959,0.000754605,0]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(339, 32, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00855289,0.00790284,0.0042376,0.00550078,0.00432144,0.00493628,0.00467281,0.00459612,0.00823576,0.0112841]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[214.3,212.611,211.224,209.758,210.94,209.605,207.771,205.958,200.196,198.878]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00937566,0.00821138,0.00635579,0.00745067,0.00496784,0.00552105,0.00542837,0.00831075,0.0104238,0.0154485]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[201.597,192.192,185.807,185.723,187.257,190.661,193.09,192.919,195.33,198.404]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(340, 33, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00855289,0.00790284,0.0042376,0.00550078,0.00432144,0.00493628,0.00467281,0.00459612,0.00823576,0.0112841]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.50414,7.40231,7.36714,7.31432,7.24541,7.22436,7.34714,7.3351,7.18575,7.19012]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00937566,0.00821138,0.00635579,0.00745067,0.00496784,0.00552105,0.00542837,0.00831075,0.0104238,0.0154485]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.53931,7.52713,7.49025,7.35068,7.23069,7.38084,7.25188,7.20234,7.17799,7.1511]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(341, 34, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[81.9936,81.2006,80.5018,79.7687,79.7738,79.153,79.7865,79.2996,78.7223,78.485]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[82.1259,82.246,81.6073,80.7951,79.3443,80.1281,79.5769,78.8558,78.2034,78.0788]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(342, 35, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[124.802,124.008,123.355,122.675,123.921,123.228,120.637,119.324,114.288,113.203]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[111.932,102.419,96.7092,97.5776,100.681,103.152,106.261,106.861,109.948,113.174]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(343, 36, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.14235,0.273897,0.257781,0.27578,0.293534,0.230762,0.241632,0.213797,0.347013,0.454298]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[26.7137,24.9361,24.9087,25.1031,26.5949,23.3924,22.5519,22.8702,22.8905,33.0002]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.10928,0.245213,0.422501,0.443059,0.540266,0.470084,0.410337,0.55458,0.603324,0.755063]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[34.3574,28.1517,27.1261,26.6277,32.463,28.2993,27.8438,31.0001,35.4688,29.1857]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(344, 37, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.83739,27.6624,19.0721,18.2158,11.2979,4.40345,2.19866,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.6502,72.0184,136.227,179.235,212.426,281.181,357.505,211.995,105.917,13.4838]}', '', '', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(345, 38, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[0.816986,3.19926,2.54394,2.77282,1.90895,0.819279,0.447653]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[1.07169,2.30105,3.41002,2.92382,1.47754,0.395898,0.0312198]}', '', '', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(346, 39, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[1.09461,3.80844,2.30927,1.89253,1.05994,0.368381,0.161279]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[0.309334,0.807389,0.93824,0.577184,0.257614,0.153263,0.0550968]}', '', '', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(347, 40, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[2.16227,6.4736,3.9458,3.25021,2.00393,0.776641,0.385683]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[2.19074,7.54967,9.15937,5.0101,2.26161,1.36028,0.513897]}', '', '', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(348, 41, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[0.0407314,0.237985,0.147236,0.12428,0.0899016,0.0401876,0.0227299]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.557,41.4591,84.4239,118.994,147.708,200.224,257.648,211.995,105.917,13.4838]}', '', '', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(349, 42, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[1.11248,4.01207,2.81094,2.7333,1.60915,0.593442,0.279282]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[0.795999,1.52909,1.97318,1.79764,1.54022,0.839483,0.191407]}', '', '', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(350, 43, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[2.61031,9.93105,7.31489,7.44263,4.626,1.80552,0.90203]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[5.72549,18.3721,36.3227,49.9315,59.1813,78.208,99.0653]}', '', '', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(351, 45, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[37.411,36.3921,34.9448,34.0372,33.2078,33.0463,32.3519,31.3416,30.104,29.2404]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[44.2533,44.0725,42.6958,41.9196,41.1383,39.9213,39.0141,37.8654,36.7657,34.7306]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(352, 46, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[76.1789,72.0087,67.0053,62.0716,59.2201,55.7075,52.2467,48.6588,43.7818,38.2995]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[109.454,103.48,97.0687,91.4874,84.8035,80.2238,75.6498,69.5422,62.237,54.9187]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(353, 49, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.577148,1.10437,0.645073,0.664164,0.615844,0.712288,0.830522,0.450527,1.1268,1.34249]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[845.084,927.159,875.264,836.123,836.959,832.676,765.366,769.067,695.17,692.576]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.39179,0.829813,1.03067,0.912745,0.855788,0.879398,1.1949,1.74254,1.94312,3.14594]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[503.262,402.871,351.756,352.579,377.616,382.565,418.247,453.918,512.807,579.55]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(354, 50, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.150292,0.220964,0.145736,0.199846,0.242136,0.308427,0.397691,0.234818,0.600004,0.743797]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0625806,0.0867136,0.0604311,0.0728078,0.104433,0.105396,0.173415,0.0982109,0.223515,0.460074]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.102024,0.166031,0.232851,0.274644,0.336476,0.380787,0.57217,0.908221,1.03469,1.74299]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0472117,0.102981,0.124953,0.131551,0.129647,0.153372,0.219271,0.150544,0.219766,0.463279]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(355, 51, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1499,0.444707,0.243612,0.182909,0.111186,0.112868,0.0940403,0.0330347,0.0611857,0.0502208]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[263.083,302.385,288.738,275.426,263.25,252.554,243.356,235.59,227.857,220.109]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.101758,0.33415,0.389232,0.251367,0.154506,0.139348,0.135299,0.127771,0.105512,0.117686]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[155.322,179.455,171.181,163.255,155.166,148.175,142.049,137.683,132.63,127.957]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(356, 52, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.67449,3.99812,3.66757,4.10105,4.3504,4.23896,2.80564,1.66374,1.1182,0.87766]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.88151,4.28578,3.96095,4.63339,4.84686,5.04252,3.51041,2.02454,1.57314,1.16354]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(357, 53, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.267596,0.42446,0.245636,0.267273,0.243837,0.263947,0.304888,0.162922,0.41562,0.492715]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[573.034,620.365,582.587,556.253,568.931,575.358,518.565,531.477,465.454,470.644]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.181655,0.318937,0.392467,0.367307,0.33884,0.325871,0.438652,0.630144,0.716721,1.15461]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[338.854,218.782,176.15,184.185,217.022,228.672,271.793,313.136,377.487,448.823]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(358, 54, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00935945,0.0142333,0.0100885,0.0141369,0.0186845,0.0270463,0.0339031,0.0197531,0.0499887,0.0557574]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.230856,0.324363,0.210804,0.269546,0.323271,0.420044,0.466321,0.23742,0.517045,0.485756]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00635355,0.0106948,0.0161189,0.019428,0.0259643,0.0333916,0.0487774,0.0764004,0.0862037,0.13066]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.157299,0.245528,0.339697,0.373421,0.452027,0.521589,0.674819,0.924093,0.895994,1.14318]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(359, 55, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.31465,2.51784,2.1197,2.05113,1.98758,1.97172,2.44964,1.76487,3.5465,4.22086]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[45.9677,67.2217,66.4314,59.72,51.064,48.044,24.9698,20.2221,18.7353,29.6165]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.05348,2.05981,4.02076,4.57694,3.73879,3.44157,4.05804,5.75475,6.35988,8.73318]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[81.9053,101.09,89.8352,74.8671,61.081,50.2357,42.1285,37.409,43.8534,32.1311]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(360, 56, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.286895,0.543777,0.384028,0.454384,0.473376,0.526668,0.613153,0.309784,0.296516,0.33967]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[31.747,53.7414,52.4123,46.5892,38.7222,35.6726,12.8894,7.10073,5.59099,5.33374]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0498337,0.0538655,0.08026,0.0907245,0.0945785,0.12888,0.153903,0.243786,0.182898,0.311635]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[48.7445,79.0985,69.1202,53.7466,38.1425,26.2194,14.7853,5.76626,5.43146,5.95486]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(361, 57, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0159853,0.0263569,0.0199337,0.0224623,0.0263553,0.0334005,0.033545,0.0275043,0.0641916,0.0736064]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.479831,1.22386,1.80401,2.12482,2.4832,2.78523,2.94506,3.27254,3.50807,3.91076]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0498337,0.0538655,0.08026,0.0907245,0.0945785,0.12888,0.153903,0.243786,0.182898,0.311635]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.766575,1.93844,2.82456,3.43707,3.85548,4.27252,4.5092,4.87883,5.40581,5.93663]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(362, 58, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0631145,0.121069,0.0847028,0.100394,0.10376,0.114794,0.135792,0.0661843,0.0547568,0.0657132]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.82773,10.2121,9.78072,8.4457,6.84555,7.08808,1.42361,0.60035,0.2594,0.125938]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[33.0241,53.193,43.0504,28.3251,15.0536,9.1987,4.46053,0.544419,0.0198772,0.0130868]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(363, 59, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0474363,0.0907374,0.06387,0.0750445,0.0775435,0.0848962,0.100007,0.0492809,0.0413043,0.0457884]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.67858,8.09194,8.56554,8.87247,8.34201,7.28529,2.09454,0.455514,0.208636,0.080959]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.9538,23.9671,23.2453,21.9845,19.2334,12.7482,5.81555,0.34301,0.00577261,0.00513618]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(364, 60, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.5503,29.1999,24.8945,18.3333,11.9578,8.11549,4.5076,1.44514,0.961978,0.911566]}', '', '', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(365, 61, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.160358,0.305613,0.215522,0.256484,0.265717,0.293577,0.343808,0.166814,0.136264,0.154562]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.21058,5.01356,7.3676,8.8129,9.09363,10.3985,1.91861,1.32719,0.652898,0.304516]}', '', '', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(366, 62, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.557357,1.06627,0.803164,0.773106,0.754643,0.700165,0.860754,0.537755,1.07733,1.10316]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.75853,5.3456,6.00604,5.68068,4.83251,4.78502,5.13809,5.59339,6.15114,6.33842]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.379124,0.804608,1.35707,1.74698,1.52107,1.42426,1.69602,1.9752,1.8814,2.49425]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.62295,5.61761,6.91658,7.22278,6.75956,7.04176,7.53905,7.97228,8.60828,8.80418]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(367, 63, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0081237,0.00914522,0.00885707,0.00840236,0.0130951,0.0202025,0.021451,0.0155628,0.0781467,0.079018]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.595478,1.1075,1.92589,1.71501,0.882919,0.414467,0.106539,0.00649916,0.00523938,0.00452625]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0090721,0.0167122,0.0324653,0.0253116,0.0375377,0.0424224,0.0449553,0.0575685,0.137125,0.186462]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.611511,1.18635,2.06044,1.919,0.950399,0.4534,0.121767,0.00466704,0.00390813,0.00421906]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(368, 64, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0742802,0.234872,0.27393,0.400531,0.49097,0.551028,0.747591,0.468928,0.889083,0.921629]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.59824,2.95699,2.96126,2.99815,3.03891,3.35506,4.05717,4.803,5.49304,5.69553]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0696289,0.289233,0.8093,1.35518,1.2589,1.24109,1.53704,1.79752,1.65155,2.19043]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.66482,3.20541,3.72844,4.22173,4.67568,5.31647,6.18176,6.98184,7.77636,7.99827]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(369, 65, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00379943,0.0161664,0.0159464,0.0322452,0.0485269,0.043507,0.0586665,0.038881,0.0834063,0.0851516]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.24964,0.308427,0.377234,0.422097,0.570237,0.862159,0.939448,0.754326,0.629907,0.617827]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00309808,0.0118946,0.0452393,0.0700658,0.0749908,0.0776526,0.0896155,0.0970711,0.0746265,0.10128]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.338374,0.389025,0.465511,0.60733,0.809435,1.12241,1.20297,0.964081,0.805034,0.780326]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(370, 66, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.471153,0.806083,0.504431,0.331927,0.202051,0.0854273,0.0330458,0.0143838,0.0266934,0.0173651]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.31517,0.972679,0.741664,0.54543,0.340445,0.153338,0.0349379,0.029561,0.0229525,0.0205362]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.297325,0.486768,0.470071,0.296418,0.149646,0.0630909,0.0244153,0.0230449,0.0181014,0.0160748]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.00824,0.836828,0.662196,0.474726,0.324045,0.14948,0.0325501,0.021699,0.022981,0.021359]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(371, 67, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00227523,0.00246496,0.00317481,0.00400861,0.00328302,0.00246417,0.002799,0.00278565,0.005047,0.00387083]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00264123,0.00249202,0.00289262,0.00362599,0.00459404,0.00283121,0.00422335,0.00463971,0.00350419,0.00341155]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(372, 68, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.470396,0.907796,0.932508,0.82364,0.759565,0.744888,0.975736,0.917332,2.17266,2.77802]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.45987,8.13229,8.00989,7.44607,7.50606,7.58392,6.93949,7.52516,6.98816,17.9405]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.62452,1.20133,2.58342,2.73924,2.12313,1.88843,2.20812,3.53576,4.29558,5.9273]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.5352,16.3711,13.7954,13.8941,16.1744,16.9717,19.8,23.6658,29.8102,17.3687]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(373, 69, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.36044,10.8066,12.8677,23.0917,40.0036,60.3357,90.3436,94.4197,178.567,218.084]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.15909,9.07114,12.5126,21.4123,34.0005,48.959,70.5197,65.1295,107.773,124.236]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.20491,7.4102,11.4789,17.0214,24.6821,41.2437,88.2505,180.284,275.006,391.815]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.23737,4.66971,7.26521,10.5217,14.6776,22.2877,45.778,94.7526,153.651,231.059]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(374, 70, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0559876,0.384139,0.391722,0.961649,2.1563,4.84458,7.79251,8.36288,16.5614,21.0972]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0158798,0.135448,0.149005,0.404026,0.564713,1.13249,1.99761,1.91499,3.76433,4.56391]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0288283,0.11804,0.370134,0.881164,2.09403,5.59883,14.6762,32.7684,47.5579,58.9576]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00383899,0.0448442,0.120382,0.205754,0.406428,1.23364,3.1747,6.71865,9.12015,10.8254]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(375, 71, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0371434,0.31829,0.283972,0.650736,1.18225,1.55575,2.24481,2.39888,4.98474,6.78464]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0234451,0.137909,0.130179,0.292251,0.469915,0.600586,0.927237,0.767656,1.7534,2.40294]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.051204,0.173288,0.441094,0.68906,1.32744,2.24958,4.33726,8.3842,11.421,15.4494]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0100318,0.0842866,0.22711,0.318799,0.56489,0.954576,1.9545,3.39137,4.16012,5.39242]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(376, 72, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.259282,0.672846,0.757044,1.30378,1.64887,2.12354,2.8867,3.48832,6.50598,8.4423]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0299729,0.103598,0.18182,0.223561,0.334635,0.37386,0.640382,0.794441,1.46083,1.73016]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.340569,0.824025,1.86175,2.54763,3.56213,4.1314,7.09497,11.97,16.5193,22.5563]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0352135,0.120806,0.278349,0.484814,0.693843,0.966877,1.73545,2.80638,3.69978,4.75611]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(377, 73, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0897991,0.23631,0.269111,0.467693,0.60011,0.800779,1.11862,1.38888,2.65168,3.51803]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00981545,0.0408588,0.066464,0.0744789,0.13391,0.147652,0.248598,0.313353,0.585976,0.703514]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.161098,0.384232,0.85858,1.16766,1.64486,1.95825,3.44455,5.94104,8.36102,11.6213]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0123267,0.0613806,0.137685,0.230979,0.308207,0.474478,0.858719,1.42969,1.81993,2.49683]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(378, 74, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0113519,0.0301177,0.0343727,0.0595935,0.107336,0.237946,0.4526,0.691353,1.54132,2.30988]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.85816e-5,0.00435749,0.00682016,0.00555891,0.0239436,0.0271652,0.098098,0.164084,0.347397,0.480892]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0127252,0.0302424,0.0674484,0.0917894,0.18052,0.358503,0.854446,1.81681,2.99454,4.71067]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000266152,0.00467345,0.0167971,0.00958896,0.0360356,0.0755505,0.188676,0.382323,0.627131,0.910636]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(379, 75, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0169349,0.121154,0.192537,0.397664,0.534132,0.64542,0.825845,0.938049,1.64835,2.01333]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000351586,0.0172202,0.0605525,0.0844612,0.0899557,0.121358,0.182876,0.22058,0.399212,0.447767]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0224536,0.144875,0.453564,0.736528,1.08007,1.17626,1.89979,3.01473,3.91569,5.03794]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00497787,0.0187916,0.0753696,0.156038,0.234862,0.27875,0.49526,0.75454,0.981086,1.11989]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(380, 76, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.141196,0.285264,0.261023,0.378828,0.407289,0.439394,0.489635,0.470043,0.664636,0.601069]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0197372,0.0411614,0.047983,0.0590619,0.0868262,0.077685,0.11081,0.0964241,0.128249,0.097987]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.144292,0.264676,0.482158,0.551649,0.656684,0.638386,0.896179,1.19739,1.24803,1.18641]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0176429,0.0359606,0.0484974,0.0882076,0.114738,0.138099,0.192797,0.239825,0.271635,0.22875]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(381, 77, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00961779,0.0263862,0.0321627,0.0542717,0.124698,0.210369,0.440792,0.756453,1.13306,1.46439]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00782755,0.0361417,0.028584,0.0493025,0.109483,0.125536,0.302364,0.484859,0.660682,0.788247]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0106112,0.0398426,0.082629,0.0958042,0.197776,0.749361,2.7242,5.51003,9.21925,12.1061]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00526798,0.0274254,0.0987779,0.0935429,0.190643,0.578512,2.07021,3.91854,7.16138,8.31051]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(382, 78, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0899086,0.199108,0.283716,0.659018,1.37534,2.74052,5.55924,7.8858,17.6695,24.2971]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0485606,0.0999338,0.104051,0.200624,0.430989,0.778725,1.62584,2.1117,4.63421,6.06284]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0953997,0.177575,0.493196,0.99551,2.39862,6.26238,16.3518,37.896,57.7126,82.6746]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0400071,0.0612434,0.17483,0.330007,0.733573,1.76229,4.38629,10.1721,14.8035,20.1261]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(383, 79, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0992155,0.487859,1.3165,3.45832,7.52417,12.0962,17.6986,16.9392,30.1202,33.1477]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.173012,0.689183,2.29626,5.2623,10.9693,19.457,30.0128,27.2648,41.5127,48.3484]}', '', '', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(384, 80, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.112857,0.968721,2.3286,5.50218,11.3491,17.3736,24.0612,22.0927,34.4723,36.8329]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0759814,0.920408,2.79008,5.68106,9.11092,10.9601,12.2626,8.61756,11.7252,11.1048]}', '', '', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(385, 81, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0165195,0.0431994,0.0275644,0.105673,0.166014,0.334848,0.670254,0.786474,1.93244,3.64589]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00550917,0.0580472,0.0370132,0.184112,0.293617,0.676048,1.74038,1.92723,3.37851,4.4036]}', '', '', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(386, 82, 192, '', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0408162,0.0931631,0.0940316,0.146475,0.28418,0.492356,1.80449,7.28582,19.4653,45.307]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0377682,0.0823428,0.118971,0.175766,0.48066,0.885721,4.47853,20.0618,49.2892,100.238]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(387, 83, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.197168,0.501309,0.651128,1.07407,1.68126,2.29944,3.31805,4.26419,10.2358,12.4978]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.231818,0.522596,0.61684,0.923913,1.71948,2.41152,3.31304,4.06827,9.05263,10.7023]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.202224,0.601366,0.856143,1.41126,1.89477,2.75177,5.58184,10.4685,17.8192,25.157]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.197998,0.599571,0.817698,1.3669,1.96376,2.9852,5.46237,10.2726,15.7745,20.9399]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(388, 84, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0402859,0.181998,0.206221,0.406171,0.310918,0.769735,1.00248,1.37961,2.89601,3.51474]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0641257,0.242197,0.298739,0.426725,0.32774,0.661787,0.996999,1.25074,2.86782,3.31889]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0511838,0.122515,0.24208,0.38859,0.838757,1.84392,4.6895,9.44666,12.8401,15.5653]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0499343,0.140299,0.239193,0.349708,0.719496,1.67705,4.21242,8.70625,12.0877,13.3931]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(389, 85, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0779173,0.104481,0.0636541,0.0882914,0.116102,0.104083,0.204718,0.212037,0.301457,0.476365]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0358603,0.0540236,0.0530444,0.0477458,0.0452787,0.0602566,0.10736,0.0658571,0.0930337,0.131587]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.07137,0.0780929,0.115362,0.109044,0.121402,0.199336,0.461663,0.82179,1.12059,1.19555]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0552559,0.048732,0.0623817,0.059088,0.0592523,0.112304,0.261149,0.264693,0.355278,0.308779]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(390, 86, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0295507,0.0490629,0.0865746,0.109185,0.211426,0.265219,0.400744,0.47346,0.890127,1.16455]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00933358,0.0179063,0.0411339,0.0348657,0.0796994,0.126053,0.22956,0.21843,0.389886,0.417212]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0298881,0.064648,0.0639526,0.175459,0.211988,0.430592,1.11732,2.30925,3.8905,4.86342]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0102927,0.0343389,0.0281282,0.0832926,0.163666,0.299864,0.792796,1.36556,2.01708,2.38605]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(391, 87, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0176404,0.0935971,0.16162,0.262253,0.267137,0.311864,0.620009,0.60039,1.35941,1.80375]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00850407,0.0314125,0.0405421,0.0805245,0.0810486,0.0888134,0.161861,0.152362,0.2851,0.442918]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0151702,0.162394,0.201645,0.204169,0.190003,0.349202,0.538845,0.99032,1.72357,2.37261]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00232785,0.0658265,0.0983499,0.081575,0.0435494,0.0794361,0.15349,0.224893,0.460013,0.618733]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(392, 88, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0948079,0.139561,0.106623,0.253879,0.499746,1.08694,2.22029,3.08669,7.07181,9.11557]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0301019,0.031713,0.0206158,0.0545133,0.0887839,0.155043,0.334791,0.446122,0.92539,1.15699]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0696319,0.0848046,0.210326,0.378008,0.722523,1.33337,3.69113,7.8912,10.6533,17.81]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0240603,0.021545,0.0712697,0.0507452,0.0953733,0.18046,0.554913,1.04186,1.39606,2.09992]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(393, 89, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0148417,0.0669883,0.123324,0.22131,0.270752,0.413153,0.571045,0.615212,1.14666,1.52956]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0508347,0.188584,0.383515,0.545413,0.476929,0.669934,0.771174,0.698841,1.23125,1.43122]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0184999,0.0883772,0.136068,0.296455,0.395144,0.670006,0.874324,1.67384,2.57595,3.96462]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0343458,0.116737,0.194166,0.315329,0.442441,0.642306,0.758949,1.36278,1.84955,2.81935]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(394, 90, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0255016,0.0980499,0.117143,0.157408,0.123426,0.203199,0.299279,0.205166,0.418866,0.571033]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0300059,0.0645174,0.0932382,0.124933,0.167506,0.310087,0.665285,1.03194,1.50893,2.21893]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0296411,0.0800271,0.174725,0.258819,0.224649,0.41736,0.64178,1.0807,1.74693,1.97005]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0297628,0.0956622,0.149873,0.176375,0.255529,0.427748,0.966481,1.49148,2.13944,3.26511]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(395, 91, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.218267,0.556605,0.42705,0.760131,1.19193,1.65131,3.0584,3.3954,6.41972,8.87413]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.27754,0.756704,0.60379,0.812661,1.07876,1.18324,1.87774,1.67573,2.72869,3.33433]}', '', '', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(396, 92, 192, '', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0720634,0.152924,0.197876,0.208576,0.145988,0.182618,0.264016,0.401973,0.524733,0.718019]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.114385,0.261095,0.49768,0.576104,0.394984,0.406661,0.443936,0.444928,0.500472,0.47095]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(397, 93, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0776167,0.103522,0.12411,0.19089,0.297519,0.383257,0.610177,0.716127,1.92604,1.80128]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.034001,0.0499167,0.0908337,0.152042,0.179764,0.247694,0.43247,0.425624,1.02609,0.887903]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0739558,0.0900315,0.153266,0.201533,0.349163,0.61345,1.28946,2.06158,3.32785,4.50498]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0437388,0.0464754,0.104152,0.181114,0.284088,0.460896,0.884772,1.18096,1.58363,2.21223]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(398, 94, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0269887,0.0836775,0.11259,0.246523,0.354454,0.44473,0.71817,0.848885,1.36925,1.99234]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0365365,0.0550654,0.143829,0.206919,0.345582,0.495302,0.768109,1.03525,1.56518,2.11569]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0366327,0.0916418,0.13845,0.255648,0.264075,0.429982,1.21755,2.32525,3.63932,6.40274]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0505565,0.124736,0.221628,0.27275,0.448701,0.714407,1.65683,2.75282,3.81874,5.86469]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(399, 95, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.492539,0.65176,0.545331,0.761355,1.19026,1.55892,1.71356,1.76361,3.31341,3.87975]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.620135,0.727131,0.587295,0.650872,0.865532,0.933805,1.02555,0.897368,1.47459,1.56654]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.458709,0.496742,0.687296,0.920133,1.16956,1.61199,2.59368,4.12492,5.60707,6.63745]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.412634,0.49805,0.59895,0.72195,0.765552,0.897057,1.17556,1.67348,1.93378,2.10064]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(400, 96, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0153133,0.0449646,0.0245237,0.0602236,0.0647634,0.156786,0.231522,0.344709,0.713426,0.902571]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.103346,0.642096,0.351333,0.622838,0.478584,0.939591,0.972979,0.930117,1.22017,1.00217]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00497938,0.0161816,0.0166847,0.0354436,0.0467219,0.0738743,0.172401,0.270811,0.637132,0.59417]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0102373,0.0377419,0.0684378,0.0933943,0.120136,0.112682,0.203041,0.260433,0.449058,0.328349]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:13', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(401, 97, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.101212,0.137779,0.121537,0.172669,0.116787,0.121397,0.147134,0.0928142,0.164629,0.195987]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.231694,0.260114,0.193339,0.211873,0.0960791,0.0860139,0.096694,0.0606297,0.0744564,0.103698]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.116694,0.117616,0.211318,0.181263,0.234491,0.223155,0.37209,0.257714,0.477489,0.611973]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.236424,0.213945,0.283069,0.197294,0.284063,0.215432,0.294188,0.171041,0.2691,0.342476]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(402, 98, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.591078,1.41748,1.47773,1.95803,2.25461,2.21889,2.43805,2.36493,3.99995,5.27686]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.356787,0.913864,1.11923,1.55988,1.80813,1.84359,1.89233,1.66441,2.71022,3.12766]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.650998,0.829483,1.44034,2.43041,2.8559,2.84669,4.03743,6.08952,7.85868,9.51236]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.367386,0.482939,0.94793,1.85517,2.31898,2.10257,2.65859,3.52681,3.92619,4.16949]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(403, 99, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0166171,0.0354135,0.0422602,0.0790488,0.187215,0.33041,0.907374,1.06087,2.88347,3.77476]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0215204,0.0313467,0.0330918,0.0701976,0.148011,0.226892,0.642487,0.716625,1.79443,1.99675]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0162375,0.0234878,0.0405671,0.11268,0.290691,0.689216,1.27269,2.85473,4.44852,6.27204]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0132735,0.0146315,0.0292597,0.116393,0.230694,0.477562,0.89661,2.11339,2.75016,3.22962]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(404, 100, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.10645,1.37594,0.953034,0.960899,1.374,1.4047,1.90967,1.58868,3.47224,4.32531]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.484447,0.650778,0.408964,0.401477,0.589959,0.589996,0.922113,0.765607,1.55287,1.71798]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.27915,1.16438,1.26689,1.26241,1.37979,1.47506,2.21711,3.77195,5.59728,7.39125]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.590934,0.466967,0.566561,0.500617,0.696159,0.784223,1.14467,2.086,2.73222,3.14282]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(405, 101, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.53611,2.06384,2.10199,2.63377,3.96454,5.33229,8.61887,8.69619,16.6055,20.675]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.15231,1.65051,1.71629,2.18763,3.14,3.82495,5.80001,5.14233,8.38214,9.15819]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.44046,1.71956,1.98303,2.83583,3.48232,5.61821,10.2287,19.6285,28.6228,39.2205]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.861695,0.979465,1.26806,1.91523,2.32117,3.33022,5.45752,8.7438,11.3741,13.7185]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(406, 102, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.80053,23.0121,24.2188,32.9548,46.2177,62.4506,99.0605,112.153,240.73,354.325]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[116.956,136.568,127.441,175.131,247.852,343.079,466.1,585.597,768.89,993.48]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.16456,12.8672,23.0012,33.5444,46.101,70.2768,129.27,255.487,392.89,600.723]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[81.4299,72.2671,90.6301,124.386,192.043,256.023,385.817,546.525,770.138,1009.29]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(407, 103, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.03776,1.93199,1.62952,1.78908,1.84651,1.85884,2.16356,1.58061,3.08743,4.86461]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[32.7461,30.9111,28.983,27.591,26.5235,25.4185,23.7951,21.448,22.5184,24.9971]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.648517,0.905084,1.1781,1.40685,1.3763,1.40428,1.85158,2.53646,3.45833,5.075]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.9308,20.6358,19.6669,19.088,18.348,17.7834,16.7298,15.4396,15.7571,17.1622]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(408, 104, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.16122,3.13919,3.34082,4.62764,7.20644,10.7896,18.8868,23.2879,54.4023,83.118]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.16847,10.6827,20.6576,35.2278,55.1881,82.5195,127.505,191.889,272.711,355.823]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.772382,2.16293,4.40215,6.91904,10.7826,19.7829,40.5208,81.628,133.186,210.215]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.40796,13.8848,27.1434,46.3293,72.1544,107.1,165.788,250.461,352.305,453.863]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(409, 105, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.50187,6.20988,7.03451,10.5684,16.293,23.9164,38.7665,45.8914,96.8377,142.8]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.22819,3.34482,4.83876,7.22583,10.7981,15.0453,24.797,38.6004,59.1917,78.0998]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.75869,4.17789,6.96424,10.5656,14.9286,22.7458,42.6316,87.9303,131.88,197.559]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.5706,3.50064,5.41937,7.98497,11.6837,16.1848,28.3996,46.2195,70.8652,93.215]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(410, 106, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.331127,1.19418,1.22077,2.09794,2.63786,3.73962,6.67146,9.66708,23.3553,47.5426]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.940431,0.841685,1.69678,2.99781,5.49606,8.65474,15.0632,24.2597,38.1172,54.6048]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.173144,0.445486,0.884527,1.64733,2.19241,4.13715,8.94179,19.9971,37.014,79.8646]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.08799,0.952962,1.9726,3.40213,5.93747,9.42549,17.9507,30.4583,47.3871,67.1832]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(411, 107, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.17075,5.0157,5.81374,8.47049,13.6551,20.1768,32.0951,36.2243,73.4824,95.2576]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.28776,2.50313,3.14199,4.22802,5.30206,6.39056,9.7338,14.3407,21.0746,23.495]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.58555,3.73241,6.07971,8.91828,12.7362,18.6087,33.6898,67.9332,94.8658,117.695]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.48261,2.54767,3.44677,4.58285,5.7462,6.75934,10.4489,15.7611,23.4781,26.0318]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(412, 108, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.397719,1.56507,2.28678,3.77822,6.64673,11.6544,19.3295,22.0192,45.992,67.7304]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.3267,4.31091,5.85366,10.5539,18.4777,33.9766,54.4239,74.6097,108.129,150.302]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.201955,0.558105,1.38037,2.45316,4.24331,8.22974,16.2931,32.6928,47.5046,74.633]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.72006,2.73146,3.78271,6.7686,11.6393,21.5742,34.0215,45.3833,64.8471,88.4732]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(413, 109, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.31676,5.71949,5.81805,7.17742,8.24895,8.01099,10.7329,9.75231,18.8866,24.1377]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.1296,13.2436,12.9133,15.6659,19.672,26.2878,33.8865,40.7136,52.0332,62.7601]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.33254,2.49793,4.88744,7.00334,8.62768,10.1694,16.2037,27.1133,37.1136,50.3485]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.0138,13.74,13.4079,16.3806,20.4642,27.5742,34.7836,40.7978,50.6494,59.4237]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(414, 110, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0.0965248,0.143944,0.157792,0.281357,0.349211,0.926816,1.72611]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.33395,3.5885,4.37791,5.91746,8.61716,15.3582,27.2797,44.3621,73.8029,117.484]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0.104775,0.171784,0.260599,0.455309,1.00513,2.26209,4.25953]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.51048,5.95211,7.2633,9.71941,13.7154,24.2108,42.5097,69.6266,114.313,180.638]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(415, 111, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0487894,0.146077,0.120709,0.152288,0.237208,0.31796,0.559827,0.648861,1.3833,1.85658]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0605254,0.191617,0.27341,0.290458,0.491156,0.707687,1.06459,2.40038,4.17593,8.47863]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(416, 112, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0.278125,0.398592,0.516139,1.32656,2.27386]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00555583,0.0229825,0.0775086,0.28435,0.77595,1.45149,3.76302,9.96517,19.5621,32.3621]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0.620891,1.03555,2.6243,4.75719,7.37562]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00603893,0.0312665,0.104566,0.356234,0.987233,1.77585,4.43462,11.5814,22.5271,37.1466]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(417, 113, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.276975,0.647374,0.60798,0.616343,0.649479,0.510658,0.634234,0.637748,0.872784,1.14463]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.58351,2.40983,1.66767,1.25021,0.90098,1.13825,1.27818,1.12363,1.69457,2.71586]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.210645,0.310552,0.499239,0.565213,0.585107,0.540919,0.738444,1.10716,1.40138,1.9373]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.21246,1.83612,1.28694,0.961647,0.710301,0.843394,1.01286,1.15513,1.61803,2.53705]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(418, 114, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.05944,3.65298,3.38046,4.14886,4.94548,4.95584,7.30721,7.47009,17.0144,24.6731]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[50.4338,68.0534,48.0715,71.4151,106.899,141.884,169.372,162.885,159.247,168.935]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.1793,2.06305,3.41629,4.23598,4.89449,5.81453,8.47502,16.4493,27.1508,40.8416]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.0577,9.95483,12.555,16.7975,42.3407,38.9769,58.1373,65.861,77.2554,76.8313]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(419, 115, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.38413,4.37929,3.23101,3.14657,3.49338,4.8762,9.10475,7.53687,26.6854,41.2222]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[904.276,911.001,998.211,1151.06,1318.35,1486.29,1695.46,1893.97,2217.6,2572.23]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.83326,5.00145,8.33994,7.53638,6.57509,7.86138,14.4465,31.383,55.5014,113.312]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1011.71,1084.01,1231.74,1385.1,1530.38,1688.26,1907.44,2189.91,2520.85,2914.06]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(420, 116, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.400441,0.939346,0.681396,0.66652,0.755886,1.19017,2.76284,2.55931,11.0864,18.9537]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[305.123,411.979,519.024,640.523,778.28,939.654,1143.19,1402.7,1705.78,2047.06]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.551548,1.19675,2.27682,2.38494,2.35446,3.29313,6.81119,15.9373,29.6193,64.3604]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[411.817,555.1,698.248,845.509,999.974,1174.71,1393.45,1683.64,2011.78,2385.1]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(421, 117, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0406579,0.0683041,0.0600697,0.0722084,0.122053,0.190953,0.453428,0.770315,2.62423,4.92582]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.118636,0.20137,0.223514,0.3148,0.464171,1.21027,2.87394,7.43069,11.929,18.9821]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0371087,0.0725388,0.14007,0.183543,0.236947,0.312184,0.733535,2.27457,5.01436,11.0064]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.326794,0.28086,0.323158,0.479636,0.758837,3.75891,19.8146,35.4347,44.566,58.5879]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(422, 118, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.03929,1.66993,1.16755,1.12394,1.2597,1.84985,3.45468,2.50083,8.39068,11.3255]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[419.368,267.311,195.84,171.118,170.139,183.156,205.315,227.726,250.874,276.285]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.34243,2.00856,2.83656,2.34292,1.94432,2.21827,3.92395,8.13439,13.3235,24.6961]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[371.723,240.017,178.398,157.201,155.858,168.119,189.104,211.61,231.409,252.096]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(423, 119, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0834417,0.103371,0.126286,0.141485,0.221992,0.413727,0.66222,0.746747,1.83425,2.64101]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.29234,1.43888,1.83305,2.52836,3.6495,5.68971,9.41121,6.40889,9.99074,14.9744]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0502015,0.0968164,0.141407,0.182142,0.248648,0.354445,0.68812,1.46098,2.74363,5.468]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.90797,1.98685,2.58526,3.54548,4.93809,7.35553,11.1027,8.74235,12.6484,17.7577]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(424, 120, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.820301,1.59834,1.1957,1.14241,1.13375,1.23149,1.77158,0.959661,2.74981,3.37619]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[177.374,230.071,281.29,336.572,365.813,356.58,334.671,249.706,239.033,214.924]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.851974,1.62678,2.94508,2.44283,1.79072,1.68335,2.28968,3.57574,4.80062,7.78114]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[224.93,286.625,352.188,378.366,368.847,334.317,293.967,250.478,220.448,200.519]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(425, 121, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.839103,1.68755,2.06204,3.10821,4.59334,6.25481,8.5326,6.5903,11.2867,13.3089]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.630872,1.03588,1.46811,2.19649,4.25173,7.0632,9.79917,11.9678,14.2425,16.4165]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.580031,1.31483,3.01804,6.47944,9.08941,13.2099,19.8863,30.1349,33.7335,36.2201]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.1319,1.95398,3.02259,4.76689,10.4977,16.8272,21.726,25.1269,27.7863,32.4436]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(426, 122, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.241683,0.517866,0.661569,1.02702,1.59928,2.37893,3.48395,2.85725,5.14606,6.3403]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.207524,0.312405,0.494961,0.74213,1.5573,2.73384,4.13274,5.31965,6.74561,8.0017]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.177106,0.377955,0.834244,1.74824,2.55356,4.17391,6.92272,11.385,13.6567,15.5743]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.340797,0.562764,0.845425,1.32302,3.00222,5.34535,7.67449,9.50261,11.3917,13.9132]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(427, 123, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.119895,0.257539,0.328226,0.510042,0.826308,1.32366,2.04833,1.74885,3.25466,4.1197]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0923019,0.178674,0.232315,0.388101,0.760177,1.41203,2.24369,3.08986,3.90204,4.89354]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0720251,0.152976,0.338689,0.708566,1.06683,1.84608,3.18722,5.39539,6.63263,7.70579]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.147548,0.226281,0.342473,0.491574,1.24004,2.32604,3.32611,4.34981,5.21357,6.81563]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(428, 124, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0288226,0.168122,0.299574,0.556493,0.86638,1.07377,1.3357,0.941112,1.47337,1.58831]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.015577,0.113831,0.222606,0.36625,0.823807,1.25869,1.56407,1.70156,1.89234,2.00413]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0572156,0.330238,1.02073,2.55643,3.71176,5.01084,7.01133,9.88505,10.3028,10.3031]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.105597,0.482529,1.02426,1.87477,4.31815,6.42929,7.86723,8.46937,8.70204,9.3591]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(429, 125, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.448702,0.744027,0.77267,1.01466,1.30138,1.47845,1.66462,1.04309,1.41263,1.26061]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.315469,0.430972,0.518227,0.700004,1.11044,1.65864,1.85867,1.85677,1.70249,1.51717]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.273684,0.453657,0.824386,1.4662,1.75726,2.17911,2.76503,3.46943,3.14131,2.63681]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.537959,0.682402,0.810434,1.07753,1.93731,2.72654,2.8582,2.80513,2.47903,2.35563]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(430, 126, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.461,2.50673,2.01147,2.31302,3.50982,4.5869,7.21985,8.29156,17.6617,25.0409]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[102.782,95.1629,97.7043,103.773,112.123,120.998,130.551,91.5695,96.6495,98.6645]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.37083,2.9492,4.65724,6.06169,7.43284,9.85317,15.3939,24.5327,33.405,46.3432]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[118.499,99.8778,93.4881,97.3147,107.504,121.22,140.843,114.754,118.739,119.188]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(431, 127, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.130994,0.182668,0.153993,0.184917,0.321184,0.507187,0.86109,1.15202,2.56254,4.03667]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.38144,3.28736,4.55669,5.78278,7.09932,8.13845,8.90325,2.67561,3.13811,3.61055]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.111172,0.24598,0.371255,0.530469,0.752095,1.11798,2.12947,3.89838,5.35746,7.4365]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.04733,2.49808,3.66655,5.31138,7.76032,9.97999,13.1456,6.84419,7.64943,8.24586]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(432, 128, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0558353,0.0816066,0.0767467,0.0765137,0.159479,0.150138,0.266196,0.270342,0.556563,0.843964]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.8367,18.3185,22.0426,25.3797,28.8071,31.4641,32.2714,2.46633,2.83524,3.10232]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0763577,0.115539,0.163827,0.253821,0.356586,0.39561,0.679711,0.96506,1.1635,1.53484]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.9373,8.02997,7.51829,9.58066,14.0865,17.2172,23.922,3.45675,3.72373,3.94832]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(433, 129, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.143961,0.157926,0.10016,0.105154,0.115243,0.138579,0.203843,0.192294,0.404027,0.523915]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.4186,4.09437,3.36663,2.75435,2.34279,1.67903,1.31037,1.1986,1.21114,0.998327]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.156416,0.220556,0.250679,0.238588,0.2884,0.300478,0.428789,0.711675,0.990726,1.59196]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.13156,4.53779,3.96617,3.22805,2.52861,1.93262,1.65094,1.53427,1.36295,1.19795]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(434, 130, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.12045,0.193799,0.137838,0.160096,0.25813,0.365968,0.569261,0.675317,1.49283,2.39724]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0559931,0.0301953,0.0452385,0.0534361,0.0409852,0.059277,0.0664637,0.103897,0.153842,0.170153]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.18828,0.299876,0.340641,0.427001,0.54569,0.764619,1.25473,2.3163,3.36527,5.30693]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.103345,0.0745542,0.130157,0.183729,0.201367,0.234837,0.304017,0.37453,0.490286,0.581891]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(435, 131, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00247264,0.00739259,0.00962269,0.0125067,0.0155863,0.015409,0.0188409,0.016585,0.0340366,0.0474848]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.89999,1.11651,1.47048,1.83384,2.21379,2.58201,3.17266,4.33521,5.55612,6.70458]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00243633,0.00562529,0.0111312,0.0176853,0.0212598,0.0235613,0.0332668,0.0475673,0.0650192,0.0849112]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.63324,3.14937,4.18701,5.23934,6.27085,7.34104,8.91569,12.0821,15.2825,18.5145]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(436, 132, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.531624,1.08007,0.861589,0.955967,1.26749,1.5818,2.26224,2.24557,4.01053,4.41204]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[53.931,48.0617,43.4407,40.734,39.9073,40.4371,41.9444,40.0883,36.0697,31.2842]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.281388,0.883266,1.76277,2.29953,2.52579,2.94559,3.93213,5.14058,5.44542,6.64868]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[67.4001,59.9994,53.17,50.0391,48.3367,49.4168,50.9037,48.8397,42.6494,36.9697]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(437, 133, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0028378,0.00930457,0.00870079,0.0147344,0.034013,0.042562,0.0761027,0.101896,0.263586,0.444583]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0352194,0.0778676,0.0750084,0.087715,0.100345,0.138552,0.22074,0.291315,0.414949,0.521597]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00411966,0.0232667,0.054442,0.016928,0.0555238,0.119688,0.23737,0.323465,0.599846,0.612111]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0337484,0.0267129,0.0642249,0.0473775,0.0462505,0.0666798,0.10264,0.167829,0.239399,0.291]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(438, 134, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0968007,0.17385,0.172837,0.193791,0.363849,0.458503,0.800526,0.942559,1.96618,2.82972]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.18868,3.67633,5.96385,8.09907,10.3869,12.6484,15.4471,18.9233,22.3789,25.8506]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0738794,0.128001,0.105339,0.172045,0.243264,0.383379,0.647525,1.14663,1.74378,3.24089]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.3343,2.24926,3.64245,5.11641,6.4144,7.68884,9.39893,11.95,14.3098,16.6093]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(439, 135, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0416242,0.110774,0.0943564,0.118682,0.197032,0.252682,0.361412,0.39084,0.676824,0.949973]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.60061,0.896985,1.30913,1.69759,1.90706,2.11181,2.65251,2.88713,3.01712,3.22855]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0800286,0.323601,0.632381,0.849555,1.0315,1.2968,1.91137,2.56603,2.81647,3.16347]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.400234,0.825332,1.63058,2.63034,3.53837,4.16599,4.46313,4.53004,4.2246,3.80077]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(440, 136, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.334403,0.50934,0.395629,0.490654,0.77782,1.07407,1.80034,2.30414,5.69456,8.55536]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.4336,15.6031,15.434,17.3504,19.3174,21.7393,24.5618,18.5998,21.8743,23.1936]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.396748,0.703487,0.96477,1.25606,1.61274,2.50546,4.13958,7.41699,11.8576,16.723]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.4781,18.4873,15.5127,15.9383,18.3209,23.1765,28.0361,24.9742,28.8067,29.0282]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(441, 137, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.22751,11.4522,10.2526,12.0281,13.1392,11.0501,12.4104,8.9274,14.7067,15.9225]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[660.742,775.349,779.291,783.546,798.883,796.669,809.098,831.216,832.669,849.877]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.54472,9.65802,13.4632,18.4209,20.4826,21.4571,29.022,35.8975,40.5131,47.8704]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[521.327,616.086,629.811,635.964,647.935,651.347,667.534,692.157,703.959,726.716]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(442, 138, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0800278,0.244703,0.432683,0.432917,0.427024,0.380955,0.408479,0.35086,1.23203,2.41401]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,2.4681,25.6547,65.7632,108.398,163.768]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0646513,0.101219,0.2609,0.469618,0.525341,0.65449,0.820893,2.12077,2.90163,5.65003]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,2.0481,21.1426,51.9264,80.9258,121.409]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(443, 139, 192, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.10511,0.105215,0.113721,0.125009,0.164792,0.249256,0.251847,0.718197,1.24494]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.142149,1.15434,3.19444,5.71287,8.99519,12.9806,19.0643]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.108545,0.160886,0.232563,0.224453,0.331125,0.502349,0.89195,1.43319,3.06738]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.172967,1.44154,4.04074,7.24245,11.1601,16.2659,23.1193]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(444, 140, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.47797,7.0051,5.8812,6.37021,7.0956,5.98308,6.86921,4.94084,7.55562,6.75643]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[209.387,210.327,204.544,200.548,195.813,190.957,191.09,191.585,191.851,192.877]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.07243,6.47925,8.93705,11.4965,13.1362,14.0506,19.3757,23.9303,25.9235,26.9341]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[234.142,238.112,234.727,233.326,231.797,232.566,236.351,242.376,243.925,248.007]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(445, 141, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0.0325123,0.0465738,0.0545384,0.107025,0.141788,0.275315,0.220757,0.4263,0.360964]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.70514,3.62206,8.54303,15.1272,19.443,20.8375,20.6075,19.0484,16.6882,13.913]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0.00830692,0.0179295,0.0388704,0.0518231,0.0748632,0.112779,0.148406,0.268939,0.294029]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.810704,1.83201,4.35487,7.27894,9.49705,10.2528,9.88531,9.06832,8.18388,6.56007]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(446, 142, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[423.699,523.691,521.475,516.91,527.746,520.843,489.766,442.253,384.303,326.088]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[265.531,344.716,353.305,354.525,362.276,356.471,330.612,297.201,257.261,218.54]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(447, 143, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.3598,34.5376,37.7964,38.0576,37.6046,37.1128,36.4377,35.6957,34.9246,34.0382]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.0418,29.7526,33.647,34.3353,33.7089,32.8098,31.9537,31.2459,30.4134,29.6237]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(448, 144, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.66951,4.06473,3.78695,5.05671,5.38454,4.37947,4.60817,3.16309,4.77456,5.14612]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.59054,3.17147,6.93326,12.7612,17.1225,21.2568,39.8303,67.8758,83.5237,100.129]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.40764,2.9607,4.0864,6.18328,6.54474,6.34606,8.21025,8.80599,9.98589,11.9249]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.80183,1.67394,3.77734,6.3247,9.21453,13.1583,30.3469,49.1793,66.984,79.4572]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(449, 145, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.79822,7.44528,7.11742,6.65459,7.55129,7.75146,7.88427,5.90008,8.45055,8.63354]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2882.56,3389.14,3665.58,3708.57,3670.36,3616.46,3518.67,3349.92,3114.88,2764.63]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.26107,7.687,11.5808,16.3012,14.3536,16.242,20.7472,25.8779,29.8046,24.9685]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2716.84,3197.33,3487.94,3415.47,3269.18,3154.47,3039.14,2841.2,2546.87,2191.76]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(450, 146, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.509292,0.580043,0.961452,0.864583,0.985436,0.707749,0.877165,1.07256]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.7709,66.0973,140.613,226.471,295.705,333.013,345.394,328.498,287.133,226.771]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.646468,1.0198,1.18429,1.3766,1.70342,2.11156,2.22187,1.91926]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[22.3101,78.203,167.37,276.284,362.689,406.148,420.388,403.852,340.88,269.678]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(451, 147, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0620405,0.118739,0.212509,0.363587,0.768452,1.05953,1.23415,0.994383,1.49573,1.50683]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[118.026,144.493,137.543,127.841,131.902,145.502,157.167,142.812,112.744,80.7407]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.150721,0.395053,0.781546,1.48636,2.40664,3.37386,4.91429,6.62852,8.00249,6.62158]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[387.067,487.74,471.336,438.715,444.715,477.577,509.316,464.065,370.295,268.267]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(452, 148, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.55802,6.61973,5.54281,4.57136,4.64972,4.68844,4.56868,3.22323,4.655,4.28274]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[169.464,384.392,433.102,329.398,238.464,171.765,119.042,73.0015,41.0301,20.0215]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.97981,6.99016,9.43372,12.6936,9.36256,10.0784,12.2431,14.4713,16.8002,12.9033]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[277.62,755.304,876.376,670.574,446.465,289.115,189.028,120.922,72.9956,40.4095]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(453, 149, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.36422,3.41846,2.86542,2.36116,2.40286,2.41064,2.36591,1.66763,2.39923,2.20473]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.1063,136.527,223.974,175.721,131.352,104.493,73.0265,39.3846,16.9333,7.2027]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.05209,3.60772,4.87681,6.52533,4.83064,5.20089,6.28902,7.42149,8.63842,6.63351]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[39.6129,325.062,476.176,366.279,241.476,163.892,106.469,61.85,32.6434,17.6498]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(454, 150, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0162295,0.0374757,0.0285406,0.0254317,0.0247383,0.0361597,0.0197917,0.01537,0.0305977,0.030568]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.85467,13.9996,17.2997,10.6357,6.65504,4.74024,3.14463,1.75071,0.93512,0.447231]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0253776,0.0414293,0.048633,0.0991022,0.0578242,0.0603945,0.0999395,0.129221,0.129316,0.100387]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.61082,29.0361,38.4883,26.2728,16.3579,10.8827,6.91288,3.77234,1.98329,1.12907]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(455, 151, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0140684,0.0343639,0.0259296,0.0232819,0.0225495,0.0339743,0.0176323,0.0138492,0.0284177,0.0285669]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[50.4958,69.5629,63.6741,49.8042,35.3148,22.9802,17.8358,14.5663,11.0436,5.99145]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0235123,0.0381469,0.0441892,0.0931875,0.0536382,0.0556633,0.0942431,0.122509,0.121484,0.0943739]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[77.3889,117.984,120.689,97.1564,65.6704,40.9867,30.6064,24.786,18.1044,10.3324]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(456, 153, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.1635,3.12944,2.62291,2.16149,2.19957,2.20766,2.16535,1.52639,2.19675,2.01888]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[50.2063,79.7123,76.7585,57.1229,39.5847,26.0497,19.6025,15.1348,11.0373,5.88767]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.87883,3.30286,4.46408,5.97599,4.42046,4.76146,5.75995,6.79812,7.91103,6.07503]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[78.0848,141.306,152.107,117.511,77.8496,49.0574,35.2681,26.6496,18.5883,10.5106]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(457, 155, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1208.58,1349.36,1419.92,1480.71,1517.07,1560.86,1592.13,1603.76,1572.01,1422.34]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[722.443,807.962,859.333,897.417,909.066,927.233,938.361,944.577,923.118,836.668]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(458, 156, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[182.451,207.961,221.444,232.522,244.272,258.12,272.991,278.791,277.767,272.767]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[130.226,152.013,164.838,172.684,179.504,187.326,194.861,198.101,194.765,187.667]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(459, 159, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[106.142,281.208,402.792,447.382,433.139,375.866,289.754,222.842,175.456,139.629]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[83.9294,226.318,333.845,377.703,367.709,323.215,255.32,199.911,158.333,126.135]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(460, 160, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[736.911,737.239,681.071,650.963,640.921,640.063,635.077,608.79,564.958,521.35]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[401.126,416.059,390.907,372.962,362.77,357.176,352.596,336.36,313.937,289.615]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(461, 161, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.140948,0.596206,0.681796,0.882239,0.842844,0.688465,0.541976,0.426613,0.525221,0.564217]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[50.2106,106.038,139.499,131.606,93.387,61.1318,40.4929,26.9818,17.976,11.6912]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0668097,0.16116,0.335098,0.454669,0.447349,0.3388,0.354188,0.448992,0.40376,0.5311]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(462, 162, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[32.8398,31.9947,31.1969,30.3481,29.6861,28.5131,27.8548,27.0665,26.0805,24.9275]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[92.9208,92.1993,89.3768,86.6711,83.7176,81.4162,78.8646,76.1905,73.533,70.2633]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(463, 163, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.155,23.458,22.6799,21.8074,21.1986,20.5296,19.7676,18.9804,18.1449,16.8252]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[98.0948,96.8551,93.8909,91.4941,88.4193,85.6387,82.9751,79.4458,75.9384,71.3431]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(464, 164, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.80751,5.30396,2.83975,1.37608,0.57741,0.21048,0.0650341,0.01586,0.00258077,0.000434744]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[29.208,19.0814,11.122,5.69068,2.56623,1.0189,0.329077,0.0947167,0.0228791,0.00436101]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(465, 165, 192, '{\"age\":[\"15-19\",\"20-24\"],\"number\":[0,0]}', '{\"age\":[\"15-19\",\"20-24\"],\"number\":[180.146,12.7685]}', '{\"age\":[\"15-19\",\"20-24\"],\"number\":[0,0]}', '{\"age\":[\"15-19\",\"20-24\"],\"number\":[431.686,30.8437]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(466, 166, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.6503,20.9764,17.7625,14.2835,10.7286,7.56974,4.59631,2.00376,0.774599,0.376741]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.8031,23.2094,19.3764,15.5132,11.5907,7.93797,4.87051,2.17646,0.83582,0.481388]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(467, 167, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0372178,0.1106,0.171011,0.257361,0.328818,0.450442,0.554032,0.548107,0.897435,1.20719]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.4027,17.8488,15.1231,13.857,13.3115,13.3214,14.3448,16.3841,20.8054,27.1884]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0637272,0.140629,0.383955,0.646766,0.952803,1.0743,1.53214,2.21746,2.37621,2.99324]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.4067,11.5438,10.1637,9.75889,9.96611,10.6696,12.2287,15.5018,22.2131,31.2287]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(468, 168, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.60947,20.7439,19.1199,24.4417,31.8755,43.782,67.6217,77.5334,171.08,233.309]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[290.662,588.797,823.171,964.151,1045.95,1038.63,991.525,1150.17,1198.5,1239.7]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.25776,12.4732,23.6306,29.9879,37.0778,52.2944,86.285,154.377,224.065,306.925]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[129.38,123.978,158.278,237.699,354.799,504.76,740.938,1090.62,1459.61,1828.33]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(469, 169, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.16042,4.76134,4.86862,7.2064,12.5063,21.9367,41.3075,53.4014,124.595,175.259]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[37.1716,46.6107,75.3472,131.724,216.301,319.16,421.477,525.319,620.923,713.469]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.846416,1.94156,4.13841,6.3434,11.2916,20.1403,40.6502,82.4125,129.522,187.383]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[34.2141,44.9319,75.0939,132.419,215.545,317.282,420.206,522.109,611.419,697.16]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(470, 170, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0554036,0.0848076,0.0719185,0.0607993,0.0709128,0.0708684,0.02959,0.0252309,0.0609617,0.0586117]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00932395,0.00375126,0.00351844,0.00513256,0.00368483,0.0022597,0.00214331,0.00366289,0.00466662,0.00430956]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0341073,0.043691,0.0837184,0.0670162,0.0782177,0.0816393,0.0454338,0.0642999,0.104517,0.110448]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0115827,0.00456575,0.00348892,0.00306388,0.00158587,0.00355018,0.00326195,0.00434731,0.00740382,0.00884213]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(471, 171, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.20375,5.95295,6.74584,9.46269,10.9105,11.9155,13.5166,12.1788,23.3932,26.7472]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.22724,8.45173,12.3022,19.4538,29.2284,39.3739,48.7587,64.6721,90.9628,129.364]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.55225,3.16742,7.12917,11.3799,13.6869,16.2704,21.9918,33.2398,42.3838,53.4392]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.6859,7.52244,10.257,15.6817,25.0591,33.9204,42.786,57.8384,88.1881,127.339]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(472, 172, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00335963,0.290395,0.658158,1.31341,1.93937,2.6287,3.59178,3.71557,8.27211,10.6861]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.108951,0.537993,1.35651,2.8914,5.54832,9.37911,13.6415,21.0018,33.7399,49.4766]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00204787,0.13641,0.605659,1.37074,2.13201,3.12458,5.04196,8.88406,12.9751,18.2914]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0731034,0.445323,1.05046,2.07096,4.45105,6.90865,10.5303,16.6953,28.6517,42.2272]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(473, 173, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.352793,1.03908,1.28372,1.98647,2.51017,2.93591,3.24215,2.78039,5.10998,5.52116]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.893917,1.49616,2.33314,4.20723,6.82048,9.50619,11.3589,14.2728,19.1763,27.1846]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2746,0.615145,1.50104,2.64546,3.4787,4.47578,5.78941,8.42199,10.1796,12.2861]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.907045,1.49435,2.19899,3.77813,6.39618,9.06618,11.0392,13.9434,20.4001,29.7327]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(474, 174, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.8476,4.62347,4.80396,6.16281,6.461,6.35086,6.68272,5.68287,10.0112,10.5399]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.22437,6.41757,8.61254,12.3552,16.8596,20.4886,23.7583,29.3975,38.0466,52.7027]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.2756,2.41586,5.02248,7.36373,8.07618,8.67005,11.1605,15.9337,19.229,22.8617]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.70575,5.58276,7.00752,9.83264,14.2118,17.9456,21.2165,27.1998,39.1364,55.3791]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(475, 175, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.414099,0.95979,0.712323,0.881728,1.1469,1.38914,1.97539,2.42475,3.93071,5.66674]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.73316,11.1424,12.2775,13.9676,16.0464,18.9945,22.0174,24.5089,26.6593,29.1486]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.40984,0.975962,1.59398,1.86653,2.18425,2.91739,4.91992,8.16953,12.6679,17.1536]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.01269,13.83,22.329,32.4134,43.3223,72.8096,178.291,389.745,610.075,801.051]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(476, 176, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.132184,0.28645,0.217156,0.256616,0.346745,0.401981,0.625894,0.836748,1.36504,1.94876]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.88196,4.83391,4.21254,3.55017,3.06401,2.75872,2.68163,2.62613,2.54184,2.65167]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0888445,0.193223,0.280964,0.285689,0.312131,0.462429,0.714441,1.27895,2.0687,3.20952]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.41446,1.53764,1.77973,1.93543,2.10397,2.33294,2.5991,2.84493,3.10954,3.63535]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(477, 177, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00749291,0.0085816,0.0062387,0.00762569,0.0106379,0.0142939,0.0316837,0.0243829,0.0853846,0.0528758]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.861194,1.91044,3.24554,4.88006,6.69752,8.74945,10.9293,12.7616,14.3081,15.6964]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00535283,0.0172521,0.00897637,0.00842238,0.0156568,0.024015,0.0692603,0.0914297,0.202314,0.133606]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.49154,3.40774,5.87308,8.74372,12.0461,15.6573,19.4325,22.9357,25.6604,28.1553]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(478, 178, 192, '', '', '{\"age\":[\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0]}', '{\"age\":[\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.6116,139.387,344.405,560.06,746.259]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(479, 179, 192, '', '', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\"],\"number\":[0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\"],\"number\":[5.27354,8.85797,13.4097,18.0504,26.3627]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(480, 180, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.274422,0.664758,0.488928,0.617487,0.789512,0.972862,1.31782,1.56362,2.48028,3.6651]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.99001,4.39802,4.81945,5.53742,6.28487,7.48632,8.40647,9.12115,9.80943,10.8005]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.315642,0.765487,1.30404,1.57242,1.85646,2.43095,4.13622,6.79915,10.3969,13.8105]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.10669,3.61113,5.81818,8.32457,11.1218,13.845,16.8726,19.5592,21.2455,23.0008]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(481, 181, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.14822,0.358742,0.208276,0.285184,0.397338,0.438954,0.649172,0.509353,0.956526,0.805402]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[149.136,425.145,618.924,689.758,668.126,539.292,377.977,396.982,314.594,126]}', '', '', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(482, 182, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000747908,0.00924049,0.0195737,0.0456733,0.082213,0.103077,0.162147,0.126999,0.224629,0.165043]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[80.6583,89.0685,90.8131,102.32,145.194,211.328,249.004,255.348,183.819,46.3808]}', '', '', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(483, 183, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[14.4679,133.244,235.844,269.157,279.069,176.419,1.03292,0.00519508]}', '', '', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(484, 184, 192, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\"],\"number\":[0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\"],\"number\":[3.41862,5.7241,8.57486,11.545,16.8836]}', '', '', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(485, 185, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[0,0.000741095,0.000590649,0.000777108,0.000982678,0.000953641,0.00102781,0.000415491]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[1.50251,15.7527,39.2779,69.299,76.6878,10.5119,0.238565,0.00184476]}', '', '', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(486, 186, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,7.05819e-5,0.00102751,0.0035901,0.00686291,0.015516,0.0175221,0.0444352,0.0487344]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.91395,38.5374,68.7624,83.6314,88.1303,93.5558,102.6,115.962,108.237,79.6189]}', '', '', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(487, 187, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[18.9261,115.1,150.246,130.059,39.9595,2.80502,0.0598058,0.000280439]}', '', '', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(488, 188, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.147472,0.34876,0.188041,0.237706,0.310552,0.32806,0.470482,0.364416,0.687462,0.591624]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[27.6673,30.0229,28.2568,26.716,27.5402,27.7892,25.0414,25.6649,22.5374]}', '', '', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(489, 189, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.681148,1.08161,0.623471,0.593433,0.57892,0.619768,0.701445,0.561859,1.26194,1.82797]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[66.6936,66.9706,69.8695,70.2236,71.4012,70.505,63.1539,62.3515,53.3156,107.163]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.559082,0.765828,1.08917,0.921981,0.70069,0.800704,1.00802,1.32451,1.77155,2.25837]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[59.9801,34.2184,25.0598,26.5738,33.6456,36.761,46.3087,52.8321,66.8593,93.9118]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(490, 190, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.102948,0.153568,0.114294,0.112298,0.100436,0.0859978,0.066763,0.0475807,0.0474025,0.0368947]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[55.5686,55.3398,58.653,59.4603,60.2713,59.4098,53.2562,52.0222,44.1395,45.9353]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0783209,0.103187,0.122513,0.122296,0.0868009,0.0787232,0.0665037,0.0669164,0.0562186,0.0381023]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.1313,11.4814,6.85637,7.68606,11.5983,13.3701,18.6176,20.6046,27.8568,36.1688]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(491, 191, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0831679,0.102486,0.0824908,0.0829614,0.0773928,0.0716389,0.0603357,0.0467426,0.0532874,0.0510564]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.46089,2.4858,2.73148,2.74232,2.88584,2.85094,2.4166,2.2765,1.825,1.84872]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0631421,0.0710492,0.091601,0.0934208,0.0690802,0.0674016,0.061116,0.0656113,0.0626015,0.0519596]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.09727,0.69319,0.579417,0.606389,0.732968,0.809132,0.926948,0.964512,1.18722,1.48579]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(492, 192, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0605554,0.0733508,0.0550125,0.0540986,0.0506816,0.048017,0.0461446,0.0468392,0.0655613,0.077086]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.808463,0.817047,0.870857,0.87729,0.947873,0.919779,0.746171,0.771254,0.627919,0.732835]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.092229,0.0998343,0.113173,0.109204,0.0801374,0.0802339,0.0857295,0.127227,0.157817,0.166288]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.31945,0.123998,0.0766583,0.087862,0.13471,0.158432,0.223225,0.270502,0.416062,0.584812]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(493, 193, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.434477,0.752201,0.371674,0.344075,0.35041,0.414115,0.528202,0.420697,1.09569,1.66293]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.85559,8.32799,7.6141,7.14367,7.29621,7.32445,6.73496,7.28157,6.72324,58.6462]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.32539,0.491757,0.761887,0.59706,0.464672,0.574345,0.794673,1.06475,1.49492,2.00202]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[33.4321,21.9198,17.5473,18.1935,21.1796,22.4233,26.541,30.9925,37.3993,55.6724]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(494, 194, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.94643,7.54469,5.88945,5.95144,6.26469,7.4111,9.44199,8.43198,16.8819,22.9433]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.6905,30.4734,34.4466,39.0194,44.8418,51.301,58.1388,76.3316,92.0364,134.549]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.85606,5.57878,9.59618,9.40908,9.13621,12.0839,17.6695,29.1664,37.6161,46.5802]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.4752,23.4703,25.5345,30.6078,37.2256,43.9834,53.3425,68.0889,83.0606,108.855]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(495, 195, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.30501,2.38649,2.65993,3.00661,3.08815,3.33823,3.91364,3.94561,6.02938,6.98364]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1315.38,1549.28,1938.25,2296.43,2731.46,3287.91,3942.62,4533.67,5016.86,5462.07]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.483188,0.824383,1.52907,2.90234,3.17005,3.50157,4.48393,7.72251,9.13248,10.6959]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1172.65,1301.48,1772.93,2125.33,2473.92,2872.52,3358.24,3849.34,4264.65,4681.28]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(496, 196, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.122001,0.233784,0.270742,0.346358,0.349228,0.39258,0.559006,0.803127,1.43967,1.45087]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[22.0365,42.4536,61.7239,76.035,87.2305,93.7709,104.403,119.797,139.273,161.054]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0213348,0.0378309,0.0925917,0.141051,0.286493,0.183222,0.441455,0.95209,1.18704,1.44176]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.60313,11.1894,16.4081,20.0471,23.1591,25.5796,28.7159,33.7584,39.1538,45.5735]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(497, 197, 192, '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.8507,142.156,426.901,820.777,1115.03,1246.49,1315.01]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.81096,83.5898,251.953,490.3,674.819,756.743,803.434]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(498, 199, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[574.613,610.473,685.881,847.907,1020.75,1175.49,1348.87,1539.64,1717.8,1887.05]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[678.826,754.711,884.478,1110.58,1328.87,1515.59,1733.61,1991.6,2218.27,2429.66]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(499, 200, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[524.952,477.217,494.515,615.04,735.474,854.555,920.242,902.829,885.533,862.228]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[422.829,384.266,398.83,493.629,584.177,673.436,722.88,711.476,695.021,677.61]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(500, 201, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00262947,0.0201206,0.0559693,0.106157,0.175614,0.2676,0.386843,0.498918,0.633455,0.74755]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0130962,0.0897013,0.246837,0.476533,0.82115,1.26471,1.78436,2.32985,2.91205,3.48134]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:36', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(501, 202, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.18301,2.1527,2.38919,2.66025,2.73892,2.94565,3.35463,3.14249,4.58971,5.53278]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[193.778,419.121,696.078,744.49,745.674,736.924,747.937,855.875,1027.13,1235.98]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.461853,0.786552,1.43647,2.76129,2.88356,3.31835,4.04248,6.77042,7.94544,9.25411]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[65.3804,151.223,472.964,492.785,453.308,404.701,380.949,435.355,552.549,721.523]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(502, 203, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.57366,3.01668,3.07779,2.59192,2.30316,2.56779,2.83782,2.44753,4.53115,6.40702]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1022.43,823.012,841.954,934.57,1051.81,1181.04,1379.54,1715.34,2112.99,2722.12]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.13917,1.50462,2.33755,2.55358,2.47427,2.85354,3.35444,5.05654,6.53002,8.70458]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[953.168,776.33,824.75,936.589,1065.73,1202.75,1418.32,1782.3,2191.95,2812.81]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(503, 204, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.21654,2.16842,1.93988,1.4067,0.953443,1.00941,1.08288,0.821778,1.64267,2.55269]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[64.9063,41.0781,34.7417,30.42,27.2809,25.4995,25.8718,28.604,29.5447,28.4038]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.980214,1.13114,1.3246,1.21694,0.9282,1.08237,1.26273,1.93955,2.29905,3.52215]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[59.5471,38.6716,32.9884,29.2185,26.5384,23.8359,23.0959,25.656,26.2586,24.9307]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(504, 205, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0485582,0.0648754,0.0431341,0.0453175,0.0244339,0.0318533,0.0283841,0.0183948,0.022816,0.0338699]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.558,8.02967,6.76878,5.65954,4.69332,4.03382,3.65834,3.35928,3.09496,2.91488]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0444139,0.04519,0.0303757,0.0346392,0.0237037,0.0266569,0.0311196,0.0427027,0.0367216,0.0414016]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.35927,6.08092,5.09729,4.25134,3.48313,2.82492,2.55489,2.3526,2.24083,1.90835]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(505, 206, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.745434,1.58689,1.44744,0.972358,0.585639,0.583413,0.546299,0.374563,0.806425,1.55598]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.3365,11.4849,9.83796,8.79159,7.91778,8.20577,8.36827,7.58619,8.2799,9.83574]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.564335,0.759327,0.973093,0.813257,0.537976,0.604559,0.679221,0.978639,1.12593,1.83929]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.7939,9.73281,8.73275,8.01631,7.47709,7.54819,7.64735,7.56463,7.95561,9.22638]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(506, 208, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0750234,0.077128,0.059651,0.0439348,0.0326692,0.0319071,0.0502735,0.0552736,0.113187,0.0841854]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.53397,9.09946,8.35649,7.30856,6.32308,5.48117,5.48269,8.08876,8.63556,7.6455]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0593037,0.0411634,0.0392571,0.0486885,0.0308909,0.0262709,0.0546187,0.144029,0.128046,0.116864]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.42429,9.157,8.56111,7.47294,6.27942,5.12794,4.87136,6.80867,6.82336,5.51748]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(507, 209, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0351978,0.060423,0.0408669,0.0337151,0.0230939,0.0236856,0.0156567,0.0133062,0.0109472,0.0178738]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.47556,3.34469,2.95711,2.61742,2.31897,2.02206,1.98104,2.90631,3.03937,2.5519]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.019315,0.0287741,0.0167408,0.0279759,0.016767,0.0236486,0.0147684,0.0146129,0.012713,0.0379305]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.44547,3.65028,3.39927,3.09857,2.68029,2.3594,2.19437,2.8734,2.84617,2.19572]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(508, 210, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.312324,0.379102,0.348788,0.31137,0.287608,0.338547,0.44227,0.360241,0.689298,0.860781]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.3031,7.94088,5.96465,5.33627,5.37966,5.13172,5.79229,6.11652,5.98264,4.97546]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.292847,0.256687,0.265136,0.292377,0.318862,0.401235,0.483003,0.759571,0.995638,1.48667]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.388,8.5997,6.09677,5.4328,5.74206,5.12124,4.97977,5.23944,5.61491,5.32471]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(509, 211, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.357126,0.84826,1.1379,1.18522,1.34972,1.55839,1.75493,1.62575,2.88848,3.85433]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[754.167,542.547,473.421,458.929,454.846,467.349,486.068,519.959,558.899,600.046]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.158956,0.37348,1.01295,1.33664,1.54607,1.77117,2.09171,3.11698,4.23097,5.18242]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[666.14,464.72,408.884,398.87,395.595,408.98,433.676,482.119,540.942,607.727]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(510, 212, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[158.164,141.44,135.739,131.356,129.121,128.21,127.776,127.53,126.931,126.238]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[127.795,114.453,110.388,107.457,104.737,103.439,103.071,102.924,102.374,101.525]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(511, 213, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.41823,8.60265,10.0248,11.2951,12.8545,14.1682,16.2336,19.3238,22.045,24.4914]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.9007,10.4533,12.6044,14.3771,16.199,17.8804,20.1621,23.8791,27.4031,30.1557]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(512, 214, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.112388,0.294412,0.393217,0.437105,0.491713,0.51685,0.595172,0.549122,0.977477,1.20808]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.63226,4.62063,4.96556,5.38162,5.60531,5.93581,6.3834,7.03253,7.64954,8.36398]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0516071,0.106796,0.293648,0.420685,0.532712,0.615359,0.758678,1.05999,1.46081,1.63037]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.39301,5.08273,6.3221,7.61218,8.89906,10.1523,11.2729,12.3392,13.2343,14.0844]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(513, 215, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.153509,0.374219,0.464338,0.498967,0.579734,0.669448,0.703299,0.645803,1.14395,1.42801]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.8661,8.13318,8.15085,8.41224,8.64273,8.83527,9.28036,10.7492,12.159,13.3701]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0730917,0.161829,0.433356,0.580441,0.625748,0.724344,0.84399,1.31156,1.69692,1.97791]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.7802,8.25468,8.28079,8.57728,8.77905,8.98849,9.43637,10.9578,12.3881,13.6341]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(514, 216, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.407,17.8799,18.0976,18.2538,18.1377,18.0163,17.8968,17.7474,17.56,17.3486]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.1714,18.6594,19.0143,19.1515,18.8852,18.7359,18.5312,18.4119,18.0993,17.8846]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(515, 217, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[30.1276,18.8939,22.1311,25.2854,28.5203,31.9021,36.517,43.1618,49.5666,55.8696]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[33.1432,21.1355,24.7684,28.3054,31.758,35.3182,40.2542,47.517,54.3926,61.1435]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(516, 218, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[78.7499,32.3591,29.6549,27.2293,25.1554,23.1037,21.7458,21.6658,21.6409,21.4243]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[84.2557,34.9451,31.9833,29.3789,26.8095,24.2389,22.7503,22.7905,22.6373,22.6137]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(517, 219, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[289.788,160.131,86.5535,56.1307,32.1084,18.586,7.94228,5.07063,3.46791,1.90279]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[255.944,139.24,76.6947,50.1008,28.6303,16.5876,7.08507,4.51109,3.06744,1.67257]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(518, 220, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.4748,26.9637,28.1227,28.6417,28.2512,27.9815,27.6776,27.419,27.004,26.6206]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.123,16.9358,17.7332,18.0669,17.8317,17.4838,17.1671,17.0022,16.8135,16.3874]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(519, 221, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.6289,26.7859,34.2972,42.911,51.5037,60.4547,66.3745,68.0805,69.5813,70.9816]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.7964,20.1947,26.0391,32.4761,38.8501,45.3645,49.703,50.8657,51.705,52.6116]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(520, 222, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[42.7746,42.78,43.5967,45.5486,47.8785,50.1832,50.9921,50.1572,49.2178,47.9332]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.5905,28.0396,28.4823,29.8551,31.0563,32.3016,33.0547,32.5136,31.7083,30.7858]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(521, 223, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0872984,0.175645,0.273578,0.245889,0.27226,0.366125,0.450119,0.427105,0.760741,1.20596]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.667184,1.43721,2.36887,3.42895,4.98465,6.99908,10.3982,14.9547,21.0917,29.17]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0330161,0.102421,0.280977,0.332246,0.381125,0.423724,0.477078,0.732915,1.05389,1.55813]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.570972,1.27987,2.47301,3.96758,5.95028,8.5447,12.5164,17.8705,25.0458,34.6095]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(522, 224, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00393051,0.00398336,0.00676987,0.00326358,0.00601313,0.00596545,0.00634167,0.00372024,0.00630654,0.0122767]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[69.4683,52.5196,49.7185,55.0542,62.0831,72.9726,86.8507,107.067,130.984,156.332]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00124102,0.0024339,0.00497007,0.00326629,0.00648738,0.00774723,0.0119619,0.0125177,0.0193494,0.0160086]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[63.6759,46.0464,44.1006,49.5438,57.209,69.9439,88.6713,120.536,162.073,210.619]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(523, 226, 192, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.15439,0.958192,2.76776,6.37936,11.6206,17.7666,25.7669,37.5379,54.5782]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.125545,0.772908,2.51562,5.67409,10.4367,17.4186,28.4938,45.217,67.4494]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(524, 227, 192, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.43902,2.50545,8.13725,17.14,27.9263,43.1017,67.3685,102.564,156.81]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.226502,1.28345,4.26299,9.50417,15.9817,26.9776,47.5343,78.0063,120.933]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(525, 228, 192, '{\"age\":[\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0]}', '{\"age\":[\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.55425,11.09,24.0021,45.2228]}', '{\"age\":[\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0]}', '{\"age\":[\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.42252,6.74496,15.6263,29.8253]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(526, 229, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.8806,14.4295,18.4509,26.4064,36.2301,49.1129,67.6609,104.728,163.549,254.395]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17,12.301,15.8414,22.4041,30.9243,41.8062,57.3654,88.9003,138.7,214.302]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(527, 230, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[49.513,59.6667,85.7537,113.634,143.491,175.954,223.096,295.222,367.001,548.656]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[73.964,88.9576,127.4,166.588,206.251,247.451,309.286,400.892,486.737,698.575]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(528, 231, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[54.7845,71.7518,96.9441,119.816,139.932,159.015,206.969,303.529,401.75,498.125]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[60.8437,81.5006,111.455,140.709,166.886,192.42,248.108,354.431,455.724,559.037]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(529, 234, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[77.9759,88.8005,97.7632,92.3443,82.8326,67.1432,63.3462,64.0801,63.7225,61.8132]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[74.3486,85.6668,95.266,90.23,80.7909,65.3013,61.219,61.7776,61.0943,59.0346]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(530, 235, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00802928,2.19464,22.1407,60.6113,106.486,138.162,153.52,157.857,157.157,151.674]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00718482,2.25946,23.0355,63.8842,112.866,147.559,165.508,171.918,172.032,166.107]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(531, 236, 192, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.808042,8.13844,20.3203,35.8926,57.759,87.8683,135.055,204.678,319.108]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.641947,6.594,16.6143,29.3069,47.3716,72.4122,111.608,168.828,261.405]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(532, 238, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.34282,8.49452,3.90011,3.26196,3.32489,3.82967,4.82572,2.53718,5.51764,5.3563]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[101.55,144.879,175.713,200.123,207.658,213.192,211.226,208.436,193.504,174.507]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.8875,33.0744,31.8537,20.1354,15.4391,13.7121,16.7586,19.8159,16.6918,18.1347]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[190.181,291.174,371.403,435.296,457.391,475.757,489.295,491.617,470.308,435.587]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(533, 239, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.49821,7.37764,3.21878,2.52701,2.84656,3.41989,4.31844,2.2572,5.02049,5.01546]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[78.6903,108.63,137.093,153.475,163.13,171.43,175.581,169.463,163.915,148.721]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.6631,26.6755,26.5411,16.6217,12.9919,11.6263,13.8356,16.4374,14.2009,15.4997]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[163.34,245.141,304.772,350.191,384.281,399.734,407.619,408.239,394.562,371.254]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(534, 240, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.41058,3.14641,1.51713,1.09339,1.52449,1.75648,2.29006,1.02899,1.6763,2.31956]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[37.6499,48.6917,69.7321,71.6331,97.1657,96.5947,99.9088,82.1413,58.3324,72.4897]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.34131,13.2203,13.4778,8.08308,6.06342,5.57514,6.32892,8.2767,6.80745,8.46856]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[94.1671,128.067,166.107,181.128,189.358,201.602,197.164,215.397,199.977,212.529]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(535, 241, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.227901,0.169631,0.125801,0.0863928,0.108406,0.0948417,0.0647197,0.0570309,0.130414,0.182096]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.54268,2.62738,5.73495,5.60777,6.86023,5.20584,2.83102,4.55588,4.55852,5.65052]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.13778,0.792419,1.38644,0.608473,0.728073,0.515765,0.447325,0.886104,1.14788,1.52172]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.539,7.70173,17.1261,13.7437,22.8622,18.6998,14.1129,23.1818,33.4793,38.2891]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(536, 242, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.618392,0.507768,0.25854,0.143887,0.163078,0.10409,0.144775,0.0823178,0.0991023,0.0621705]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.86302,7.85675,11.936,9.37484,10.3424,5.66257,6.2855,6.5682,3.44525,1.93995]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.38609,2.76663,2.37675,1.08038,1.15272,0.763036,1.11467,1.6088,1.20082,0.504025]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.8406,27.5266,29.8882,24.2655,36.0547,27.7157,35.0479,42.0711,35.0779,12.6757]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(537, 243, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.12656,3.44743,1.24124,1.15415,1.02815,1.36885,1.73479,1.07982,3.03054,2.40633]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[34.7379,53.7329,57.1277,75.604,65.6704,74.8835,75.9902,86.4847,105.151,75.1879]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.52604,9.60288,9.05248,6.70394,4.97752,4.50505,5.63662,5.58142,4.66831,4.75498]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[43.9643,90.3531,105.944,145.947,154.393,161.786,174.34,144.278,137.016,117.773]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(538, 244, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.114775,0.106404,0.0760632,0.0491893,0.0224395,0.095628,0.0840876,0.00904147,0.0841304,0.0453005]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.27222,1.67141,3.50774,3.16072,1.39978,5.23135,3.64542,0.718994,2.92853,1.40541]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.271866,0.293273,0.247644,0.145817,0.0701277,0.267317,0.30805,0.0843937,0.376487,0.250412]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.68885,3.00198,3.36454,3.3675,2.23419,10.0635,10.0281,2.21905,10.8268,6.48498]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(539, 245, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.844612,1.11688,0.681333,0.734948,0.478332,0.409775,0.507285,0.279979,0.497158,0.340845]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[22.8596,36.2491,38.6202,46.6474,44.5275,41.7621,35.6453,38.9736,29.5882,25.7862]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.22442,6.39893,5.31262,3.51375,2.44719,2.08575,2.92298,3.37846,2.4909,2.63501]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[26.8411,46.0332,66.6308,85.1042,73.1095,76.0237,81.6759,83.3779,75.746,64.3337]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(540, 246, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.295,24.8262,14.6919,13.0285,13.0646,14.1622,16.2938,11.399,22.1397,27.1146]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[63.5215,80.938,110.765,146.544,201.901,267.869,333.263,397.73,480.167,571.505]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[51.0831,102.985,85.1457,65.7292,51.5325,47.2482,55.7797,70.4744,69.6207,71.7674]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[116.75,163.712,218.573,292.667,409.447,538.902,676.168,823.49,985.202,1156.85]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(541, 247, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0913291,0.199039,0.156373,0.154884,0.179876,0.17885,0.219015,0.204032,0.426105,0.985934]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[37.5927,47.2683,65.5226,90.7076,134.616,187.062,242.17,300.429,376.038,459.342]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.245141,0.507546,0.601139,0.743603,0.757606,0.758898,0.954213,1.73897,1.82684,2.57951]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[58.6484,77.7287,107.207,152.679,236.517,335.759,445.671,573.02,717.784,873.515]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(542, 248, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.36138,1.85281,0.776784,0.620191,0.574462,0.662707,0.737091,0.448661,0.997804,0.958299]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.745313,0.795313,1.09712,1.6011,2.35829,3.2313,3.91944,4.55422,5.25014,5.63326]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.68745,10.3256,7.28839,5.01886,3.66422,3.13139,3.94277,4.59776,4.59813,4.90593]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.50885,1.85788,2.43806,3.69612,5.20353,6.97659,8.99724,10.7119,12.7642,13.9797]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(543, 249, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.78946,6.23025,3.24402,2.89046,3.01594,3.17807,4.53988,2.1008,5.99647,6.42282]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.751,12.1534,15.1434,18.0134,21.3719,24.4154,26.3552,26.872,26.7424,26.732]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.20635,11.7677,11.8227,9.9131,6.62711,6.46925,7.59234,9.45887,10.2486,11.7848]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.7548,16.8214,20.4492,25.4423,31.5497,36.4969,40.4648,42.8067,43.2426,44.413]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(544, 250, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.302146,0.29886,0.237816,0.189985,0.147677,0.268372,0.39323,0.167065,0.642256,0.41437]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.29462,2.79576,3.59601,3.95864,5.08611,5.89828,6.9177,7.70387,8.11143,8.0496]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.504157,0.878263,0.594704,0.495762,0.643467,0.589847,0.771439,1.46477,1.26373,1.41594]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.85383,4.5032,5.85282,7.75819,10.3721,12.6293,15.2733,16.8421,18.7372,20.2704]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(545, 251, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.44866,8.99299,5.2946,4.89471,4.18294,4.85509,5.12912,4.28355,7.32651,8.45615]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.20118,4.72716,6.24572,7.26343,7.84012,7.80407,7.6369,7.05896,6.10495,5.07289]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.7009,57.964,46.5439,32.2439,26.7535,23.585,27.0805,33.6346,30.836,28.9813]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.2758,24.0162,29.8633,35.1169,42.1391,46.248,47.6389,43.6983,39.3264,33.5717]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(546, 252, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.02248,7.95739,4.89714,4.41631,3.62677,4.13674,4.34973,3.60798,5.53856,5.21237]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.02225,4.87507,6.85571,7.78315,8.15858,7.87133,7.89787,7.29317,5.68423,3.82255]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.003,52.3356,43.6433,30.2061,24.8112,22.0311,23.1696,30.2936,27.3859,26.4413]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.7505,25.9094,32.8448,38.0572,51.1274,54.8559,49.5608,47.4069,43.2992,35.6095]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(547, 253, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.42617,1.03561,0.397461,0.478402,0.556173,0.718347,0.779384,0.675563,1.78795,3.24378]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.716974,0.632017,0.54804,0.833495,1.24805,1.37448,1.42934,1.38697,1.83168,2.30946]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.69785,5.62832,2.90055,2.03787,1.94226,1.55387,3.91089,3.34099,3.45004,2.53999]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.64731,2.65168,2.1437,2.61668,4.11879,3.87951,8.43824,5.2094,5.48411,3.50726]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(548, 254, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.06553,1.60408,1.57673,1.37975,1.43226,1.48544,1.63937,1.01365,2.00223,2.81776]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.60168,2.44841,4.3845,6.37254,8.73631,13.4049,17.2943,18.6364,24.727,30.8022]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.21338,1.6417,1.10549,1.43893,1.02944,0.754846,1.74399,2.34874,3.51104,4.34209]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.41037,3.59751,4.66483,6.8022,9.33006,11.7172,17.8208,24.2824,35.8711,47.0163]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(549, 255, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.178891,0.179097,0.15433,0.130945,0.131011,0.167818,0.2094,0.152466,0.287613,0.446953]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.79073,0.937813,1.39726,2.00832,2.4684,3.62478,4.17371,5.19143,4.55937,5.04919]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.18236,0.229493,0.200362,0.253978,0.245649,0.172431,0.503571,0.545877,0.634135,0.710069]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.30679,1.9291,2.3241,3.13641,4.10851,4.48375,6.36466,8.33637,8.99135,10.3423]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(550, 256, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.128236,0.135378,0.114926,0.0944232,0.0892041,0.105572,0.135767,0.101466,0.197495,0.282729]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.537139,0.639038,0.943449,1.34284,1.70337,2.69248,2.9755,3.65462,3.25221,3.66957]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.124513,0.129436,0.135636,0.168029,0.129605,0.0875619,0.233043,0.334706,0.397593,0.407111]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.856377,1.25136,1.51574,2.03533,2.69459,2.86231,4.13123,5.51774,6.25247,6.79595]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(551, 257, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0506554,0.0437188,0.0394041,0.0365214,0.0418065,0.0622458,0.0736337,0.0509996,0.090118,0.164224]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.25359,0.298775,0.453808,0.665476,0.765026,0.932305,1.19821,1.53682,1.30716,1.37961]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0578472,0.100057,0.0647266,0.0859487,0.116044,0.0848695,0.270527,0.211171,0.236542,0.302957]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.450411,0.677745,0.808359,1.10108,1.41392,1.62144,2.23343,2.81863,2.73888,3.54631]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(552, 258, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.05759,5.46911,3.25122,2.76761,3.40039,3.3658,3.42669,3.02875,4.4607,6.61231]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.54418,9.81189,13.3781,16.6192,19.4236,22.4283,24.796,27.2834,28.6338,30.8237]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.3434,19.6711,16.9891,15.621,11.8115,11.7866,13.1909,16.6849,16.7022,17.0478]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.9912,33.2577,45.7731,58.0361,70.2272,84.5905,93.9369,103.792,108.485,113.746]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(553, 259, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.4131,40.6197,31.4362,28.2937,21.7461,15.421,10.504,5.20574,5.83715,5.6365]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.45223,14.7139,18.7609,21.0491,21.7882,19.9445,18.6606,15.9632,12.5092,9.60258]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[54.2262,129.629,162.811,136.993,92.2192,70.1365,55.6472,50.7763,35.841,28.8979]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.7545,45.6465,60.6706,72.1079,76.3519,70.7045,64.657,55.7155,45.4471,36.8066]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(554, 260, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.41368,2.97447,1.30331,0.945856,0.84357,1.10039,1.15283,0.565425,1.06178,1.14353]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.75597,5.23325,5.90487,6.03857,6.44692,5.73741,5.66122,5.09094,4.42001,3.99617]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.15986,14.0226,13.5375,7.56417,5.59273,5.11442,5.1893,5.81424,4.69925,4.99345]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.48798,8.27623,9.0205,9.49807,10.8894,10.5182,11.1714,10.624,10.4422,10.9537]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(555, 261, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.9994,37.6452,30.1329,27.3478,20.9025,14.3206,9.35118,4.64032,4.77537,4.49296]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.69626,9.4806,12.856,15.0106,15.3412,14.2071,12.9994,10.8722,8.08923,5.60641]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[48.0664,115.606,149.274,129.429,86.6265,65.0221,50.4579,44.962,31.1418,23.9045]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.2666,37.3703,51.6501,62.6098,65.4625,60.1863,53.4856,45.0915,35.0049,25.8529]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(556, 262, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.74491,2.44657,1.98621,1.38763,1.74033,0.724198,0.654588,0.276942,0.350971,0.421114]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.321293,0.666884,0.942302,0.839852,1.40736,0.801819,1.02144,0.751295,0.716859,0.629447]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.30583,3.5242,4.86795,3.94423,3.01676,2.81832,2.46181,2.0628,1.81401,1.48133]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.615568,1.22341,1.88683,2.14234,2.49757,2.98074,2.98104,2.38975,2.4126,1.88651]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(557, 263, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.87662,26.1031,22.5434,21.6165,14.7686,10.9223,6.25984,2.89201,3.10014,2.761]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.8686,7.09827,10.6424,13.0355,11.9052,12.0479,9.69947,7.68137,6.27165,4.10626]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[39.4428,92.4358,118.498,103.706,71.2577,52.1467,39.9701,32.7846,23.1319,13.1229]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.6432,31.7336,43.7943,54.8181,57.8549,53.0006,47.8965,37.0211,30.251,16.7658]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(558, 264, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.37786,9.0955,5.60333,4.3437,4.3936,2.6741,2.43674,1.47137,1.32426,1.31085]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.90756,2.46643,2.64503,2.64405,3.57231,2.9334,3.81731,3.95446,2.69699,1.91851]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.31777,19.6464,25.908,21.7786,12.352,10.0571,8.02596,10.1146,6.19585,9.30024]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.46231,6.76277,9.48164,11.4203,10.1843,10.4686,9.67726,11.8521,8.6499,12.4496]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(559, 44, 192, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[113.59,108.401,101.95,96.1089,92.4279,88.7538,84.5986,80.0004,73.8858,67.5399]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[153.707,147.552,139.764,133.407,125.942,120.145,114.664,107.408,99.0028,89.6493]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(560, 152, 192, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[48.801,84.5904,51.3958,36.114,25.5571,13.5019,5.43242,2.16517,1.08071,0.492462]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[78.9222,141.916,88.9153,63.3545,45.1108,24.2962,9.77126,3.86449,1.6762,0.787635]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(561, 154, 192, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1391.03,1557.32,1641.36,1713.23,1761.34,1818.98,1865.12,1882.55,1849.78,1695.11]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[852.669,959.976,1024.17,1070.1,1088.57,1114.56,1133.22,1142.68,1117.88,1024.33]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(562, 157, 192, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[56.9947,55.4527,53.8768,52.1555,50.8847,49.0427,47.6224,46.0468,44.2254,41.7527]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[191.016,189.054,183.268,178.165,172.137,167.055,161.84,155.636,149.471,141.606]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(563, 158, 192, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[188.954,18.0724,2.83975,1.37608,0.57741,0.21048,0.0650341,0.01586,0.00258077,0.000434744]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[460.894,49.9251,11.122,5.69068,2.56623,1.0189,0.329077,0.0947167,0.0228791,0.00436101]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(564, 198, 192, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1099.57,1087.69,1180.4,1462.95,1756.22,2030.05,2269.11,2442.46,2603.34,2749.28]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1101.65,1138.98,1283.31,1604.21,1913.05,2189.03,2456.49,2703.08,2913.29,3107.27]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(565, 207, 192, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.69911,1.17853,0.856721,0.706659,0.648079,0.625012,0.589198,0.546931,0.51228,0.480301]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.1361,1.45086,1.10124,0.94656,0.876399,0.854218,0.848123,0.817215,0.777696,0.758038]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(566, 225, 192, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[125.376,147.584,205.749,271.945,344.475,425.122,562.867,809.779,1098.99,1561.08]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[153.125,184.37,257.982,337.772,420.637,509.702,662.413,929.222,1222.8,1693.61]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(567, 232, 192, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.19781,1.14238,1.13644,1.18296,1.30244,1.49417,1.71931,2.07493,2.58736,3.29225]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.31771,1.25854,1.22879,1.29281,1.39654,1.60671,1.83415,2.226,2.78586,3.48923]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(568, 233, 192, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[77.9839,91.8032,128.042,173.276,225.211,263.065,304.734,356.993,425.558,532.595]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[74.3558,88.5682,124.896,170.728,222.964,260.232,299.139,345.303,401.955,486.547]}', 2010, '', 1, '', 845, '2014-05-05 15:51:18', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(569, 301, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.08824,1.4206,0.950728,0.832114,0.776515,0.811459,0.892327,0.775035,1.54216,2.28597]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.53974,5.06406,5.51795,6.01033,6.49426,6.98969,7.54851,8.09575,8.52872,8.92788]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.93563,1.38315,1.60246,1.40523,1.07687,1.15605,1.3289,1.87518,2.12864,3.20312]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.33836,4.78295,5.13885,5.44849,5.80828,6.15201,6.52894,6.9175,7.24245,7.55702]}', 2010, '', 1, '', 845, '2014-05-05 15:51:56', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(570, 302, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.401399,0.524804,0.350231,0.307114,0.286911,0.299457,0.328759,0.286611,0.568517,0.841961]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.67376,1.86722,2.03444,2.2175,2.39462,2.57646,2.78068,2.98028,3.14319,3.2954]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.345577,0.511159,0.592112,0.517198,0.39727,0.427439,0.490718,0.691032,0.78554,1.17905]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.599,1.76748,1.89643,2.01356,2.14266,2.27003,2.41178,2.55093,2.67142,2.79134]}', 2010, '', 1, '', 845, '2014-05-05 15:51:56', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(571, 303, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.71275,0.929452,0.623056,0.544854,0.508079,0.531383,0.584896,0.506942,1.01052,1.4989]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.9741,3.3176,3.61488,3.93642,4.25447,4.57966,4.94788,5.30852,5.58845,5.84521]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.612301,0.90484,1.04859,0.921532,0.705245,0.756151,0.869742,1.22878,1.39372,2.10008]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.84266,3.12973,3.36516,3.56483,3.80405,4.0287,4.27276,4.53148,4.7431,4.94589]}', 2010, '', 1, '', 845, '2014-05-05 15:51:56', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(572, 310, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.2519,4.19497,2.67167,2.50536,1.66846,0.840653,0.599781,0.162922,0.41562,0.492715]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[573.869,621.556,584.903,556.575,570.123,574.353,518.616,530.408,464.686,470.279]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.181655,0.318937,0.392467,0.367307,0.33884,0.325871,0.438652,0.630144,0.716721,1.15461]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[338.479,218.939,176.387,184.527,217.558,229.137,271.731,313.415,378.578,449.213]}', 2010, '', 1, '', 845, '2014-05-05 15:51:56', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(573, 284, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.2519,4.19497,2.67167,2.50536,1.66846,0.840653,0.599781,0.162922,0.41562,0.492715]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[573.869,621.556,584.903,556.575,570.123,574.353,518.616,530.408,464.686,470.279]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.181655,0.318937,0.392467,0.367307,0.33884,0.325871,0.438652,0.630144,0.716721,1.15461]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[338.479,218.939,176.387,184.527,217.558,229.137,271.731,313.415,378.578,449.213]}', 2010, '', 1, '', 845, '2014-05-05 15:51:56', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(574, 274, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.503,30.962,25.4147,25.4597,26.2599,29.5307,36.1061,30.6748,56.4498,70.2433]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[350.879,606.54,673.4,577.074,485.962,439.469,409.007,345.558,297.688,247.804]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[76.3199,168.736,193.649,171.551,137.533,131.695,157.449,207.554,227.194,253.281]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[892.183,1543.21,1771.3,1637.58,1486.39,1437.97,1456.08,1300.3,1237.05,1053.34]}', 2010, '', 1, '', 845, '2014-05-05 15:51:56', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(575, 275, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.6674,23.0521,17.4084,18.1832,19.3663,23.0363,30.0369,26.8568,51.2424,65.5439]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[180.283,220.11,232.971,236.111,237.272,261.64,284.586,269.76,255.123,226.214]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[72.1538,161.153,182.638,156.398,125.344,119.145,143.02,191.661,209.47,239.655]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[612.87,784.931,892.343,959.823,1030.53,1140.4,1259.8,1176.2,1159.62,1010.45]}', 2010, '', 1, '', 845, '2014-05-05 15:51:56', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(576, 276, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.86086,7.95523,8.03352,7.2964,6.92116,6.53679,6.13525,3.87397,5.31131,4.83093]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[170.604,386.462,440.469,340.986,248.717,177.869,124.48,75.8769,42.6611,21.7069]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.30616,7.88763,11.2963,15.4129,12.3466,12.6543,14.575,16.1201,17.9945,13.9458]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[279.36,758.359,879.049,677.899,455.996,297.659,196.378,124.222,77.5606,43.0587]}', 2010, '', 1, '', 845, '2014-05-05 15:51:56', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(577, 277, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.110613,0.52788,0.746354,0.798553,0.934468,1.12184,1.54187,1.48842,3.08764,2.98611]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.1605,114.266,211.163,266.379,314.81,372.305,398.676,434.101,380.085,202.647]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.06454,7.14411,11.2442,12.8814,13.1424,14.2146,16.057,20.0129,23.9378,26.5435]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[29.7697,176.425,389.542,508.55,587.143,689.53,787.713,872.093,807.508,644.06]}', 2010, '', 1, '', 845, '2014-05-05 15:51:56', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(578, 278, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0541164,0.0978891,0.0969741,0.124303,0.193651,0.291232,0.511777,0.623194,1.49082,1.98929]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0378832,0.0652005,0.0674561,0.086803,0.115907,0.155471,0.247472,0.252142,0.504606,0.630447]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.145854,0.183948,0.236221,0.338591,0.521066,1.0255,2.47481,5.33069,9.04088,12.733]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0879814,0.0977986,0.13467,0.211983,0.282406,0.446571,0.966127,1.8225,2.83419,3.72705]}', 2010, '', 1, '', 845, '2014-05-05 15:51:56', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(579, 279, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0120239,0.1282,0.128545,0.12922,0.147513,0.216789,0.367717,0.242907,0.647877,0.382888]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.89488,20.6885,21.7866,19.8129,20.1629,21.7097,22.0422,22.401,19.5415,9.42547]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0233978,0.238965,0.481978,0.429689,0.358323,0.410535,0.708933,1.36069,1.8668,2.27819]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.53109,28.7356,30.515,28.9494,28.9533,31.3264,34.4424,35.6207,32.7137,23.4528]}', 2010, '', 1, '', 845, '2014-05-05 15:51:56', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(580, 280, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0444725,0.30179,0.464614,0.487074,0.526558,0.508913,0.441711,0.435782,0.308019,0.137572]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.895285,6.7212,10.1297,11.6654,11.82,12.1558,11.6153,10.5913,8.76976,5.38445]}', '', 2010, '', 1, '', 845, '2014-05-05 15:51:56', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(581, 313, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.24921,20.6432,15.4554,13.7207,10.2106,7.01894,4.67691,2.1531,2.38242,2.18474]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[356.69,473.269,502.695,526.992,547.556,566.177,577.533,570.825,541.437,478.56]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.300185,0.655917,0.630518,0.400001,0.361662,0.387963,0.462081,0.564561,0.578091,0.495692]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[54.8254,62.6082,60.9431,58.5289,57.9805,59.2252,60.0627,56.6475,49.8392,40.1]}', 2010, '', 1, '', 845, '2014-05-05 15:51:56', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(582, 314, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.302342,0.199511,0.0950987,0.0822273,0.106364,0.14044,0.153397,0.101682,0.162015,0.159193]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[81.3789,87.4289,85.6116,84.0109,84.9683,86.6439,87.7548,85.5148,80.4303,69.2393]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.300185,0.655917,0.630518,0.400001,0.361662,0.387963,0.462081,0.564561,0.578091,0.495692]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[54.8254,62.6082,60.9431,58.5289,57.9805,59.2252,60.0627,56.6475,49.8392,40.1]}', 2010, '', 1, '', 845, '2014-05-05 15:51:56', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(583, 304, 192, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.55162,2.09532,3.01024,4.11731,6.27999,6.82764,13.6994,18.2931]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.6377,11.5477,15.0159,19.1385,24.9625,32.1103,40.2413,47.3702]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.78147,2.53039,3.4934,5.49611,9.95972,18.5429,26.4081,36.683]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.3438,15.0435,19.1727,24.0272,31.173,40.1755,49.724,57.7732]}', 2010, '', 1, '', 845, '2014-05-05 15:51:56', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(584, 306, 192, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.36312,4.62835,6.64998,9.09618,13.6984,14.9145,30.2555,40.5513]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[64.2788,81.2682,101.801,125.709,155.329,196.211,244.418,297.621]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.53561,5.0014,6.7054,10.1932,17.3763,33.2037,47.3148,66.8811]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[51.6427,64.3854,78.1056,93.5774,112.736,141.136,171.708,201.684]}', 2010, '', 1, '', 845, '2014-05-05 15:51:56', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(585, 307, 192, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0208189,0.0203829,0.0232788,0.0365074,0.0848386,0.0787026,0.34204,0.582929]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.069575,0.0726736,0.0720142,0.100243,0.208057,0.48676,0.90425,1.96611]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0]}', 2010, '', 1, '', 845, '2014-05-05 15:51:56', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(586, 309, 192, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.20034,2.03821,3.08404,4.31298,7.49126,8.99013,19.3331,27.6479]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.50691,6.45858,10.3364,14.9149,23.4238,32.4029,45.131,59.1706]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.03678,1.8531,3.04385,4.74667,9.72356,20.3206,31.0422,46.0348]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.26062,4.25074,8.23382,11.4647,19.6166,30.1488,43.9741,58.1202]}', 2010, '', 1, '', 845, '2014-05-05 15:51:56', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(587, 305, 192, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0182953,0.0416527,0.0866803,0.171686,0.352461,0.504171,1.11306,1.53912]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0084746,0.0140438,0.0222571,0.0519516,0.0988631,0.12872,0.283132,0.401241]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0322609,0.0635737,0.155672,0.405527,1.05724,2.44554,3.72389,5.33142]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00873939,0.0239275,0.0451571,0.114621,0.289038,0.641475,0.91098,1.252]}', 2010, '', 1, '', 845, '2014-05-05 15:51:56', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(588, 308, 192, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.18204,1.99656,2.99735,4.1413,7.1388,8.48596,18.22,26.1088]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.49844,6.44453,10.3141,14.8629,23.325,32.2741,44.8479,58.7694]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.00452,1.78953,2.88817,4.34115,8.66631,17.8751,27.3183,40.7034]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.25188,4.22681,8.18867,11.35,19.3275,29.5073,43.0632,56.8682]}', 2010, '', 1, '', 845, '2014-05-05 15:51:56', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(589, 271, 192, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.81967,7.73423,13.0612,20.98,36.2602,40.481,93.0213,120.696]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.7968,96.6861,298.953,527.832,566.524,544.506,1100.8,1132.15]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.635894,15.3703,28.3512,58.2491,117.23,227.073,308.908,432.544]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.94164,299.312,644.174,1250.88,1586.01,1813.62,2034.32,2217.3]}', 2010, '', 1, '', 845, '2014-05-05 15:51:56', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(590, 272, 192, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.81967,2.49874,3.35829,4.25386,6.42281,6.7894,13.9507,18.4795]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.7968,7.49589,10.0324,12.6777,17.7244,23.3979,31.4031,36.6405]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.635894,0.875445,0.677821,0.910887,1.68826,3.3319,4.68823,8.22791]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.94164,2.8855,2.35125,2.77939,4.0748,6.01574,7.67656,11.2704]}', 2010, '', 1, '', 845, '2014-05-05 15:51:56', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(591, 265, 192, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.61388,13.1503,22.652,34.166,64.3156,76.7601,179.888,247.107]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[91.6861,153.951,255.782,371.116,514.838,630.434,791.636,900.778]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.8624,16.574,26.8888,40.4169,85.819,156.276,247.108,343.606]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[112.323,186.495,305.571,429.345,634.532,714.262,913.277,974.052]}', 2010, '', 1, '', 845, '2014-05-05 15:51:56', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(592, 266, 192, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.03614,1.43336,3.0275,4.18532,9.70515,11.4917,28.6533,42.2078]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.27912,8.54866,19.4211,27.4757,56.641,80.0832,122.903,148.901]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.39447,2.11467,4.20412,7.24416,14.1148,26.6958,38.1583,56.9687]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.83216,12.7697,25.9504,36.5857,53.8778,76.5502,94.5014,111.716]}', 2010, '', 1, '', 845, '2014-05-05 15:51:56', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(593, 267, 192, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.0436,16.3134,32.4331,43.3941,82.8574,90.2634,210.878,294.952]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[35.9238,53.6876,118.738,166.028,300.403,375.872,572.608,722.516]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.5679,24.0652,36.1463,52.9202,106.1,199.455,327.279,473.399]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[37.9387,57.9217,106.922,144.081,251.619,352.319,557.722,710.088]}', 2010, '', 1, '', 845, '2014-05-05 15:51:56', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(594, 268, 192, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.9994,22.3729,43.891,55.95,104.882,117.345,261.924,365.558]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[209.669,316.798,638.147,1012.89,1617.85,2014.62,2364.04,2643.72]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.4699,18.1705,30.7091,58.0555,104.105,208.235,305.566,441.286]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[174.783,261.043,490.396,749.905,1126.91,1442.72,1699.55,1902.02]}', 2010, '', 1, '', 845, '2014-05-05 15:51:56', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(595, 286, 192, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.0801,20.5651,31.0273,45.8039,73.7586,85.7808,181.157,250.954]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[75.2779,122.618,187.491,266.409,357.327,453.465,562.768,660.507]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.9769,22.9427,34.0958,56.6866,111.447,222.699,335.423,479.728]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[77.544,127.857,198.446,279.963,387.927,516.557,652.852,771.034]}', 2010, '', 1, '', 845, '2014-05-05 15:51:56', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(596, 287, 192, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.73671,11.3362,17.5273,26.1579,41.704,47.8078,97.6359,128.306]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.5522,23.0943,33.8818,47.9721,71.3817,102.109,140.153,162.539]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.53024,12.8997,19.0617,31.7729,63.2584,127.026,185.874,249.075]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.5934,29.7512,43.9594,62.6892,96.4425,143.743,195.161,227.555]}', 2010, '', 1, '', 845, '2014-05-05 15:51:56', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(597, 288, 192, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.72894,6.59565,9.67234,13.505,20.6686,22.9285,45.0823,59.6007]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.0769,12.3396,17.5856,24.1289,34.8115,48.7781,64.9261,76.7579]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.12629,7.40838,10.2282,15.6725,28.7554,54.7845,77.2707,103.633]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.2101,15.7688,22.5751,30.9907,46.2157,66.5635,88.131,102.948]}', 2010, '', 1, '', 845, '2014-05-05 15:51:56', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(598, 289, 192, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.39066,1.81497,2.47413,3.1763,4.2499,3.46002,4.38715,3.23741]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.063,19.9795,28.3969,36.5669,40.5782,36.2497,26.8295,16.1559]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.65061,2.26392,2.94679,4.26911,6.83612,9.92495,9.90356,8.47432]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.9572,23.2305,32.883,42.364,48.4786,46.1891,37.5738,25.4129]}', 2010, '', 1, '', 845, '2014-05-05 15:51:56', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(599, 290, 192, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.20454,2.96581,4.4627,6.45218,10.8567,12.8315,28.4898,41.146]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.6452,22.6339,34.2662,49.4162,73.5147,105.795,143.178,176.734]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.89994,4.42607,6.68366,11.8393,23.2945,44.9342,69.7809,103.99]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.9092,29.8188,44.7418,64.2924,95.3012,137.981,185.228,225.465]}', 2010, '', 1, '', 845, '2014-05-05 15:51:56', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(600, 291, 192, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0847467,0.141006,0.223968,0.310198,0.447227,0.560871,1.31491,1.5644]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0781747,0.134424,0.228328,0.303588,0.450875,0.553683,1.15696,1.34292]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.116193,0.193015,0.263272,0.38661,0.784089,1.4386,2.39092,3.29374]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.106249,0.191068,0.283808,0.436999,0.78093,1.34358,2.09949,2.76429]}', 2010, '', 1, '', 845, '2014-05-05 15:51:56', '2015-09-06 02:11:57', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(601, 292, 192, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0387576,0.0654009,0.103715,0.143889,0.207414,0.262667,0.617323,0.732808]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.31604,13.8883,21.7388,30.4296,37.5115,42.194,45.0744,46.0866]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0594347,0.0993794,0.135692,0.20022,0.407351,0.74761,1.24208,1.71151]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.46762,16.1014,25.0832,35.1002,43.4504,49.0803,51.973,52.9918]}', 2010, '', 1, '', 845, '2014-05-05 15:51:56', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(602, 293, 192, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.68486,0.890918,1.29696,1.81221,2.90489,3.29963,7.05599,9.8313]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.945,34.0238,51.3075,70.9338,88.7631,105.092,118.385,129.715]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.816392,1.21162,1.75388,2.97767,5.65714,10.3555,15.3474,22.2535]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.1617,33.072,49.6348,68.7653,86.9964,104.03,116.842,127.4]}', 2010, '', 1, '', 845, '2014-05-05 15:51:56', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(603, 294, 192, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.69888,2.13119,3.08157,4.10019,6.19268,7.11338,14.8262,18.7453]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.5627,30.967,45.7383,59.1221,69.5737,80.2853,86.01,88.1516]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.57997,2.07999,2.97638,4.26678,7.01701,12.8245,18.0035,23.6707]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.6395,31.6797,46.1973,58.4758,68.4339,79.633,85.4267,88.0444]}', 2010, '', 1, '', 845, '2014-05-05 15:51:56', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(604, 295, 192, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.601804,0.760582,1.06815,1.40688,2.0912,2.15478,4.13507,4.86868]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.44873,5.30715,7.38629,9.72328,12.9847,16.1001,18.6903,19.1464]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.903139,1.30956,1.81258,2.93731,5.3207,9.12662,12.6456,16.393]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.1655,8.06106,11.2876,15.0807,20.4963,26.5374,31.573,33.5911]}', 2010, '', 1, '', 845, '2014-05-05 15:51:56', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(605, 296, 192, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.135466,0.222946,0.347519,0.474493,0.683366,0.870379,2.07766,2.51355]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.125613,0.209467,0.359594,0.466764,0.68955,0.840514,1.82251,2.16051]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.186273,0.306502,0.410769,0.595304,1.2049,2.24585,3.80003,5.3491]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.170045,0.301362,0.44755,0.673159,1.20668,2.1136,3.3709,4.53471]}', 2010, '', 1, '', 845, '2014-05-05 15:51:56', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(606, 297, 192, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.3158,1.73276,2.56518,3.63402,5.971,6.87215,14.881,20.9014]}', '', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.72912,2.59492,3.83726,6.64852,12.8014,24.097,36.4102,52.7731]}', '', 2010, '', 1, '', 845, '2014-05-05 15:51:56', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(607, 298, 192, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.653016,0.852834,1.24313,1.73907,2.83477,3.25299,7.04294,9.85024]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.06086,6.53473,9.55302,13.3164,19.2044,26.9146,35.4226,42.5025]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.879286,1.29849,1.89796,3.24538,6.1907,11.6515,17.5944,25.5065]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.42373,8.75493,12.7218,17.6759,25.3882,35.7906,46.7512,55.3289]}', 2010, '', 1, '', 845, '2014-05-05 15:51:56', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(608, 299, 192, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.450385,0.585017,0.84616,1.17958,1.89529,2.12189,4.45355,6.03733]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.79805,4.48653,6.51899,9.02911,12.8223,17.501,22.4043,26.0933]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.566515,0.833572,1.20835,2.06176,3.85871,7.03178,10.2202,14.3231]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.5005,5.61952,8.12687,11.2161,15.8338,21.5784,27.2482,31.104]}', 2010, '', 1, '', 845, '2014-05-05 15:51:56', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(609, 300, 192, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.79393,5.87598,8.15253,12.0697,19.6215,22.3457,47.0667,66.9913]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.115,18.9793,28.055,43.6101,64.4453,85.4119,115.978,150.709]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.7459,6.11667,9.13226,14.7512,27.7749,54.8974,82.2267,121.816]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.32223,14.3585,25.7754,38.3204,61.5783,90.601,129.545,170.133]}', 2010, '', 1, '', 845, '2014-05-05 15:51:56', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(610, 270, 192, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.53666,8.34561,13.4697,20.8833,35.4777,41.6297,90.6982,125.156]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[51.6433,86.2749,134.409,190.449,250.484,307.184,373.747,427.764]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.88879,7.42971,11.4295,19.6158,38.0606,73.1301,114.373,171.518]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[50.3472,84.5531,129.611,182.352,241.427,305.021,369.929,424.249]}', 2010, '', 1, '', 845, '2014-05-05 15:51:56', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(611, 283, 192, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0562219,0.0579557,0.0667457,0.104905,0.220665,0.186538,0.640917,0.476363]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[43.3456,55.568,68.9904,83.4526,91.931,102.829,98.9331,51.684]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.39623,0.447721,0.44303,0.622746,1.25791,2.73021,4.26039,6.1479]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[122.572,159.987,189.706,223.864,260.071,291.605,293.134,230.288]}', 2010, '', 1, '', 845, '2014-05-05 15:51:56', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(612, 273, 192, '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.23548,9.70292,16.7261,29.8374,33.6916,79.0706,102.217]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[89.1902,288.92,515.154,548.8,521.108,1069.39,1095.51]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.4949,27.6733,57.3382,115.541,223.742,304.22,424.316]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[296.426,641.823,1248.1,1581.94,1807.61,2026.64,2206.03]}', 2010, '', 1, '', 845, '2014-05-05 15:51:56', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(613, 269, 192, '{\"age\":[\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.106229,0.230518,0.546023]}', '{\"age\":[\"50-54\",\"55-59\",\"60-64\"],\"number\":[37.0891,60.9893,66.8529]}', '{\"age\":[\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.668862,0.734914,1.43169]}', '{\"age\":[\"50-54\",\"55-59\",\"60-64\"],\"number\":[59.0309,96.064,129.085]}', 2010, '', 1, '', 845, '2014-05-05 15:51:56', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(614, 315, 192, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.09277,20.5502,15.4036,13.6692,10.1312,6.91305,4.55922,2.06838,2.25138,2.05669]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[289.883,405.032,436.481,462.581,482.681,499.996,510.303,505.274,479.616,425.135]}', '', '', 2010, '', 1, '', 845, '2014-05-05 15:51:56', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(615, 281, 192, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.80258,17.8005,30.5157,41.7154,41.6377,51.2949,55.2892,69.4595,46.2016,33.5584]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.87222,38.7048,62.9283,86.2488,85.259,102.484,116.224,145.926,107.365,113.419]}', 2010, '', 1, '', 845, '2014-05-05 15:51:56', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(616, 282, 192, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.4251,75.7116,115.448,149.196,183.903,215.693,229.166,239.159,214.905,107.349]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.2784,108.887,173.392,233.153,282.942,331.408,376.009,397.118,371.462,273.173]}', 2010, '', 1, '', 845, '2014-05-05 15:51:56', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(617, 1, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.7378,51.6815,140.611,194.321,227.557,198.058,170.334,114.18,84.2826,72.8573]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[38.7639,93.2849,285.002,408.16,520.316,454.941,369.108,251.461,226.124,127.348]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.1971,24.2538,76.9023,139.105,210.581,211.287,209.939,158.376,128.525,120.795]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[47.2557,66.8712,214.234,365.043,541.999,566.732,564.112,378.729,374.249,192.873]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(618, 2, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.81704,6.43508,10.4973,12.5947,14.7975,13.2139,16.3238,23.8032,25.2171,40.3336]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.379,20.4819,54.1283,65.3495,78.1462,88.3216,106.643,99.7662,127.294,67.1667]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.3722,8.09335,13.0428,18.7059,27.926,32.6163,38.771,46.4072,58.5489,83.844]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.0341,36.7681,102.609,142.548,168.334,183.991,227.12,179.824,232.139,115.937]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(619, 3, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.9207,45.2464,130.114,181.727,212.759,184.844,154.01,90.3769,59.0655,32.5237]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.3848,72.8031,230.873,342.811,442.17,366.619,262.465,151.695,98.8293,60.1816]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.82485,16.1604,63.8595,120.399,182.655,178.671,171.168,111.969,69.9756,36.9505]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.2216,30.1031,111.625,222.495,373.665,382.741,336.993,198.905,142.11,76.9363]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(620, 4, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.62311,5.68389,16.345,22.8287,26.727,23.2203,19.3469,11.3532,7.41986,4.08566]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.82136,7.72329,20.1055,24.5583,29.3672,33.3329,40.2341,37.2756,47.4947,24.8007]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.23421,2.03009,8.02209,15.1247,22.9453,22.4448,21.5022,14.0656,8.79039,4.64175]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.3506,13.8699,38.6023,54.1431,64.2756,69.6711,85.3892,67.4843,87.6787,43.3628]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(621, 5, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.2976,39.5625,113.769,158.898,186.032,161.624,134.664,79.0237,51.6457,28.438]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.5635,65.0798,210.768,318.252,412.802,333.286,222.23,114.419,51.3347,35.3808]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.59065,14.1304,55.8375,105.275,159.71,156.226,149.665,97.9033,61.1852,32.3087]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.87098,16.2332,73.0228,168.352,309.389,313.07,251.604,131.421,54.4313,33.5735]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(622, 6, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[22.3735,29.5789,33.4326,32.3551,37.7308,36.5406,46.6788,72.2873,112.837,148.108]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[315.151,318.483,345.586,367.205,381.592,391.481,409.974,437.339,454.398,488.232]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[37.6298,53.3977,70.1177,70.5821,79.9302,83.011,118.882,142.402,202.896,296.841]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[359.025,364.092,390.484,411.026,422.265,436.685,455.014,483.142,499.16,536.03]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(623, 7, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.64763,3.52821,5.50036,6.27766,6.8539,4.9316,7.73675,7.43304,10.3494,19.0616]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[60.6928,67.8835,74.3457,81.2656,87.8343,94.3361,100.907,107.005,112.971,119.159]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.02352,11.8016,18.0177,18.7043,18.695,13.9796,22.9883,22.3188,30.2645,39.6327]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[52.3893,58.8133,64.6881,70.6579,76.3342,82.172,87.4447,92.2522,98.0147,102.506]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(624, 8, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.84826,4.02326,3.31143,2.81612,2.29312,2.16564,2.2402,2.10372,2.1472,1.97908]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.18169,2.99065,2.74161,2.52493,2.25817,2.00417,1.81337,1.6819,1.46906,1.31692]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.78799,4.9056,4.80333,4.10282,3.32004,2.80128,2.75284,2.76304,2.55549,2.39027]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.27548,3.95197,3.72082,3.27743,2.97467,2.66991,2.41154,2.14843,1.91205,1.74288]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(625, 9, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.60128,10.8415,13.4312,12.863,16.1809,20.6137,19.6872,46.6304,67.291,99.52]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.08611,6.39683,7.18827,8.10883,8.87815,9.75929,12.5522,17.687,23.0418,28.2453]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.0292,17.759,25.9738,33.5159,39.8092,47.664,69.8757,82.1398,144.046,213.514]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.19835,6.51298,7.39552,8.2655,9.06289,9.8697,12.5826,18.2768,23.5946,29.0277]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(626, 10, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0093302,0.0200837,0.0209217,0.0200234,0.0281918,0.0433006,0.0450235,0.104349,0.15701,0.243242]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[33.7514,26.3389,28.8848,31.9054,33.6452,36.4963,35.1015,28.7506,22.5666,16.2404]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0264199,0.0328982,0.040459,0.0521732,0.0693593,0.100122,0.159802,0.183811,0.336101,0.521859]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[34.0191,26.5358,29.5158,33.0677,35.4101,38.812,37.4301,30.4431,23.581,16.687]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(627, 11, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0174617,0.0136476,0.0132493,0.01558,0.0164313,0.0204327,0.0374708,0.0625065,0.0571677,0.0758713]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[78.3891,75.9107,83.0586,85.0437,82.947,76.8759,77.2977,85.7908,85.6107,94.0607]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0167475,0.012881,0.0148899,0.017573,0.0183989,0.0204193,0.0356371,0.0632697,0.0525736,0.0701944]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[100.581,98.3543,103.968,103.967,98.2119,93.1501,93.0473,101.766,101.091,111.343]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(628, 12, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.398,10.5117,10.7175,10.0634,12.0063,8.5067,16.646,15.715,32.4049,26.8271]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[129.091,135.716,145.89,154.291,161.586,167.068,176.849,189.919,200.986,220.572]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.9371,18.0553,20.6047,13.8331,17.551,18.0007,22.7075,34.5307,25.2227,40.1553]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[157.475,166.542,177.34,187.48,195.524,204.852,216.349,231.244,242.785,265.594]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(629, 13, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.81399,3.94165,4.05005,3.74879,4.42275,3.07847,5.91641,5.47087,11.0528,8.89551]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[54.0666,58.1752,63.0359,67.1114,70.5506,72.9329,76.7233,81.3284,84.3345,89.9665]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.00936,6.7681,7.7747,5.15016,6.44673,6.50563,8.05706,12.0118,8.58524,13.3203]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[65.1149,70.3319,75.2829,79.6841,83.2411,87.1198,90.9632,95.944,98.8629,104.736]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(630, 14, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.831123,0.428369,0.207624,0.215424,0.284638,0.227635,0.498659,0.525924,1.20458,1.09396]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.0227,14.9487,14.1144,13.5806,13.1497,12.5815,12.2165,12.3245,12.636,13.6184]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.870141,0.732791,0.398445,0.296375,0.415324,0.480633,0.678209,1.15185,0.934128,1.62679]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.8766,17.9696,16.8225,16.3598,15.8448,15.4209,15.0321,15.21,15.5616,16.6698]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(631, 15, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.55861,3.54504,3.55988,3.28524,3.83088,2.66292,5.08986,4.68283,9.33289,7.45456]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[33.3943,35.5191,38.722,41.2319,42.8939,44.7029,47.5478,51.2445,54.8113,60.642]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.7585,6.13095,6.89975,4.54627,5.64122,5.67093,6.98474,10.3469,7.30201,11.2226]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[41.132,43.8069,47.4672,50.5349,52.574,55.15,59.0812,63.1434,66.7921,74.0824]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(632, 16, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.19428,2.59659,2.89995,2.81397,3.468,2.53768,5.14108,5.03534,10.8146,9.38305]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.6791,26.426,29.3422,31.6425,34.1525,36.0277,39.463,44.1488,48.3328,55.5559]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.29914,4.42351,5.53183,3.84028,5.04773,5.34348,6.98751,11.0202,8.40129,13.9856]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[31.1396,33.55,36.8651,39.8938,42.7476,45.9469,49.9591,55.6856,60.3819,68.9363]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(633, 17, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.468695,0.36593,0.268005,0.168014,0.246907,0.162378,0.177618,0.111398,0.248174,0.294945]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.65486,2.03144,2.34116,2.79633,3.02308,3.38245,3.59075,3.86108,4.27864,4.52844]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.492997,0.62854,0.515248,0.23095,0.360933,0.343602,0.242296,0.244777,0.193168,0.44148]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.76375,2.18258,2.67485,3.01881,3.26888,3.56084,3.82009,4.3701,4.67725,4.9596]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(634, 18, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.00398783,0.00303533,0.00287756,0.00269697,0.00314709,0.00300869,0.00508203,0.00604278,0.00670348]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.000446659,0,0,0.0015412,0.000248896,0.000400174,0.000366422,0,0.000366609]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.00466844,0.00390111,0.00426517,0.00386982,0.00416057,0.003906,0.0067356,0.00866133,0.00889327]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0,0,0.000445771,0,0.00052977,0.000999449,0,0.000935439,0.00042821]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(635, 19, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.00610926,0.00580219,0.00652415,0.00698727,0.00780411,0.00962191,0.0115443,0.0104086,0.0415796]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.01497,0.00934766,0.0115575,0.0156044,0.0180382,0.0161025,0.0231095,0.0204984,0.0970483]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.00709766,0.00750598,0.0097225,0.0101686,0.00973514,0.0118213,0.0145572,0.0142586,0.0529679]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0162165,0.0177844,0.0176457,0.0176513,0.0189268,0.0287899,0.0357287,0.0325797,0.114977]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(636, 20, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0105669,0.0135593,0.0155502,0.0188282,0.0239633,0.026351,0.0351012,0.0463949,0.0661179,0.0490077]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00200249,0.00181833,0.00105149,0.00111575,0.00076947,0,0,0,0.00185232,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0123106,0.017468,0.0229936,0.0270706,0.0315634,0.0342347,0.0464375,0.0664234,0.0881571,0.0620538]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00242938,0.0034243,0.00162203,0.000987311,0.000949538,0.00116316,0.00175507,0,0.00105808,0.00175865]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(637, 21, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.349732,0.236974,0.125633,0.0754612,0.0471095,0.038477,0.0317596,0.0282853,0.0280553]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0218385,0.0170443,0.00845237,0.00390948,0.00499929,0.00608683,0.00204019,0.00286538,0.00170982]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.279649,0.158491,0.0889417,0.0532847,0.034938,0.0319838,0.0281327,0.0323166,0.0394181]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0234764,0.0104886,0.00401815,0.00316367,0.00267578,0.00353651,0.00136279,0.00334275,0.00229898]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(638, 22, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0124637,0.0152517,0.0193484,0.0273573,0.0231247,0.0193943,0.0251006,0.0357471,0.0399337,0.0573506]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.26484,1.18721,1.11462,1.24679,1.39651,1.53638,1.8365,2.61962,3.37314,4.10982]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0119948,0.014451,0.021682,0.0308807,0.0259016,0.0193935,0.0237666,0.0361592,0.0362877,0.0529688]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.28137,1.16789,1.15733,1.27022,1.45581,1.5638,1.88978,2.60497,3.3849,4.16749]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(639, 23, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.5573,29.1866,26.5136,28.2305,30.3758,39.42,49.5012,71.6803,104.015,152.126]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1167.43,1308.29,1325.64,1343.64,1415.46,1482.37,1569.68,1625.25,1648.06,1739.64]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[31.9825,51.6085,53.9271,46.4383,50.5495,64.1624,80.186,132.549,127.19,202.228]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[915.308,911.464,897.713,921.453,972.679,999.593,1153.68,1191.16,1243.37,1340.52]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(640, 24, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.1217,28.6768,25.9748,27.6605,29.7037,38.6763,48.5079,70.566,102.318,149.791]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[401.371,395.79,395.005,391.956,403.12,414.803,387.549,389.622,358.614,383.544]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[31.1951,50.7045,52.8761,45.4266,49.5549,63.0781,78.884,130.941,125.282,199.919]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[235.046,144.45,112.236,112.648,143.849,166.226,200.882,233.709,277.407,372.428]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(641, 25, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.194095,0.209642,0.180421,0.169522,0.16526,0.185715,0.223341,0.238584,0.279035,0.296946]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.763256,0.87967,0.981361,1.11646,1.23265,1.30321,1.38942,1.44932,1.48954,1.49795]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.49678,0.507739,0.49637,0.458189,0.451063,0.45744,0.523069,0.596876,0.633032,0.681669]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.724222,0.845452,0.954183,1.07028,1.18509,1.26186,1.37419,1.3887,1.42156,1.44615]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(642, 26, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00163065,0.00275394,0.00391176,0.0048145,0.00739171,0.00985747,0.0143866,0.0188814,0.0252976,0.0355099]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[635.567,763.337,768.6,777.045,826.576,876.592,922.227,968.346,1013.83,1061.81]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000895077,0.00166264,0.00272262,0.00326289,0.00456767,0.00599113,0.00894149,0.0126591,0.0159008,0.0211099]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[393.48,438.118,424.586,415.636,408.334,400.331,392.243,381.925,373.719,371.098]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(643, 27, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0268137,0.0536684,0.0759663,0.0871976,0.0821569,0.0990753,0.132279,0.158961,0.20905,0.252436]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.1466,25.5354,25.3934,24.5359,23.7911,23.2388,22.7208,23.2828,23.0721,23.4832]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0257435,0.0508234,0.0851804,0.098237,0.0919033,0.0992096,0.125328,0.160751,0.191242,0.233396]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[29.711,38.6089,37.5489,36.0764,35.4267,34.2511,33.7601,33.5403,33.5836,33.7377]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(644, 28, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00232415,0.00363093,0.00444044,0.00563786,0.00642849,0.00885178,0.0143499,0.0157654,0.0261541,0.0343761]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.27069,1.6124,2.11072,2.60476,3.17769,3.56837,4.32428,4.754,5.62748,6.41747]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00222977,0.0034433,0.00498951,0.00634686,0.0072002,0.00884871,0.0135977,0.0159477,0.0239657,0.0318192]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.66224,2.26447,2.88454,3.59112,4.24291,4.94405,5.67462,6.31156,6.9177,7.52648]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(645, 30, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0479516,0.0588445,0.0772584,0.0888392,0.138979,0.121551,0.201523,0.161577,0.257752,0.437757]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0979618,0.101691,0.129858,0.152987,0.139839,0.121195,0.165374,0.226806,0.254476,0.341602]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(646, 31, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.133688,0.139105,0.143587,0.144333,0.171662,0.17478,0.193934,0.215246,0.381788,0.545197]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0.00189261,0.00161131,0.00298093,0.000690484,0,0,0.00067862,0,0.00197365]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.126252,0.165137,0.226445,0.183632,0.176481,0.23255,0.217725,0.276956,0.348405,0.330746]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00322471,0,0,0.00187165,0,0,0.00180888,0,0.000846251,0.00414437]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(647, 32, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00219084,0.00189951,0.00141247,0.00181316,0.00135377,0.0017053,0.00178067,0.00246791,0.00362238,0.00587324]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.3925,15.1816,15.3134,15.2841,15.7391,15.7968,15.3504,15.2555,14.9962,14.8524]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00244433,0.00209326,0.00183952,0.00238114,0.00176717,0.00198947,0.00197189,0.00290858,0.00386568,0.00632903]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.3658,12.3169,12.0994,12.0246,12.449,12.6533,12.9477,13.0431,13.3717,13.8915]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(648, 33, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00219084,0.00189951,0.00141247,0.00181316,0.00135377,0.0017053,0.00178067,0.00246791,0.00362238,0.00587324]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.209768,0.221527,0.227438,0.217753,0.224297,0.216204,0.220911,0.207076,0.216724,0.218032]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00244433,0.00209326,0.00183952,0.00238114,0.00176717,0.00198947,0.00197189,0.00290858,0.00386568,0.00632903]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.222232,0.225904,0.217608,0.223782,0.219673,0.226962,0.216116,0.219704,0.207231,0.205648]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(649, 34, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0177741,0.0156014,0.01871,0.0163632,0.0170727,0.0195744,0.0190739,0.0175696,0.0150799,0.0152532]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0200143,0.0164742,0.0176393,0.0160694,0.0170072,0.0164191,0.0187199,0.0200408,0.0160598,0.0141902]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(650, 35, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.1649,14.9445,15.0673,15.05,15.4977,15.5611,15.1104,15.0309,14.7643,14.6191]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.1235,12.0745,11.8642,11.7848,12.2123,12.4099,12.7129,12.8034,13.1484,13.6717]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(651, 36, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0269421,0.0402109,0.0518278,0.0678791,0.0988765,0.142184,0.211668,0.302766,0.514718,0.727134]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.1112,12.0005,12.403,13.1409,14.7974,15.805,16.9119,17.3517,18.947,31.1423]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0350743,0.0714316,0.103635,0.106689,0.121743,0.157102,0.245983,0.315687,0.436218,0.661703]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.9665,15.2673,14.2705,15.1578,16.4595,16.6673,18.6037,19.9039,22.609,15.0766]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(652, 37, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.2433,43.0068,51.3493,45.9178,42.4384,27.1005,19.5142,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[31.4999,104.214,214.854,311.322,383.835,468.814,568.645,430.859,306.304,145.472]}', '', '', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(653, 38, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[3.51735,9.01659,12.6106,12.9144,12.5742,8.43553,6.36698]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[2.31528,5.06923,6.98688,5.79477,2.91439,0.842456,0.0756423]}', '', '', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(654, 39, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[1.74829,3.91141,3.96529,2.92331,2.51132,1.48423,0.983739]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[0.770508,2.2633,2.59089,1.50297,0.647912,0.419653,0.138436]}', '', '', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(655, 40, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[3.69992,6.63574,7.0363,5.50456,4.92285,3.04158,2.11837]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"55-59\"],\"number\":[2.94272,10.3161,12.4986,6.85222,3.00505,1.84034,0.706038,0.00023002]}', '', '', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(656, 41, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[0.392523,1.483,1.5861,1.25844,1.31217,0.934343,0.743529]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.2167,59.7224,138.473,218.893,282.183,351.569,431.64,430.859,306.304,145.472]}', '', '', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(657, 42, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[3.14751,7.7698,8.87035,7.57863,6.65787,4.03211,2.74553]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[0.955082,1.89392,2.34102,2.10543,1.73324,1.01076,0.232858]}', '', '', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(658, 43, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[5.73771,14.1903,17.2806,15.7385,14.4599,9.17268,6.55602]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[7.29953,24.9488,51.964,76.1745,93.351,113.132,135.853]}', '', '', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(659, 45, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[35.9798,35.1737,34.4874,33.8471,33.2874,32.4926,31.5791,30.8792,29.7228,28.1227]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[44.6119,43.0369,42.466,41.8334,41.0933,40.017,38.735,37.6144,36.0774,34.0576]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(660, 46, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[142.715,134.019,126.112,119.212,111.119,105.038,98.554,90.6266,80.4264,70.1037]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[204.11,195.235,185.326,173.77,163.676,153.1,144.315,131.561,117.156,101.556]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(661, 49, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.00893,12.2475,19.5427,19.1636,15.8314,18.4552,22.6472,25.5032,40.1164,59.3708]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1132,1194.91,1159.19,1146.97,1164.88,1161.45,1088.68,1097.42,1035.86,1038.5]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.64365,6.90693,10.3758,14.5849,19.8139,15.8918,21.6891,26.4363,36.6955,67.1805]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[440.197,403.082,366.801,372.891,395.808,398.786,407.905,443.899,465.366,489.972]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(662, 50, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.10578,6.20801,10.2473,10.802,9.59477,11.9317,15.4613,17.856,28.0138,42.1268]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.961085,1.82748,2.88073,3.13978,2.61134,3.55698,4.72325,5.72305,8.6702,13.9555]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.40012,3.50098,5.44055,8.2211,12.0084,10.2744,14.8072,18.5093,25.625,47.6681]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.844645,1.45531,2.19139,3.05434,3.93749,3.51502,4.83772,5.76435,8.25799,15.6456]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(663, 51, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0617553,0.23059,0.366565,0.232558,0.102837,0.0975373,0.0822369,0.0629751,0.0789699,0.0803574]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[167.886,188.017,182.481,176.771,171.258,165.619,159.952,154.264,148.725,143.362]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.047724,0.13004,0.194619,0.176994,0.128706,0.0839895,0.0787577,0.0652792,0.0722359,0.0909277]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[101.088,113.345,110.235,106.724,103.149,99.6245,95.9785,92.6069,89.0245,85.4946]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(664, 52, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.1827,5.28477,4.37851,4.80929,4.67327,4.37426,2.72725,1.60924,1.04814,0.768386]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.9943,5.5572,4.65262,5.3903,5.80401,6.03927,4.09944,2.45639,1.92068,1.53079]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(665, 53, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.8349,5.79425,8.90076,8.09871,6.1066,6.38958,7.0593,7.5334,11.9402,17.0541]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[950.954,999.741,969.386,962.19,986.289,987.839,921.214,935.753,877.321,880.315]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.19079,3.26764,4.72565,6.1637,7.64275,5.50208,6.76064,7.80902,10.922,19.2974]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[325.256,282.704,249.688,257.674,282.853,289.554,302.926,343.002,366.077,387.183]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(666, 54, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0064913,0.0146572,0.0281461,0.0303062,0.0272006,0.0363541,0.0444118,0.0508666,0.0834052,0.109632]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0173638,0.0362298,0.063803,0.0626664,0.0510679,0.0612972,0.0663113,0.0663575,0.0936133,0.103654]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00501643,0.00826585,0.0149435,0.0230652,0.034043,0.0313046,0.0425329,0.0527277,0.0762929,0.124053]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0134726,0.0205797,0.0341591,0.0480961,0.0643132,0.0530884,0.063876,0.0692018,0.0860503,0.117749]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(667, 55, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.82809,5.46898,5.53242,7.00261,9.40218,10.4814,8.78285,10.6424,16.2488,17.5462]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[48.0096,68.1636,69.5846,66.4393,61.8528,62.8427,28.3938,22.2086,21.2432,37.1834]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.05523,8.07204,8.00722,12.0202,11.7034,15.8556,17.4114,25.6272,20.4917,23.0096]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[77.2877,98.1659,88.4222,77.6655,64.2219,52.7843,42.8069,38.0722,39.4105,26.3897]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(668, 56, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.140165,0.254125,0.332265,0.383563,0.357204,0.349735,0.42481,0.383444,0.358753,0.598898]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[28.7563,49.8705,49.7883,47.4736,43.0994,44.3753,10.6783,5.22002,4.07452,3.76484]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0813913,0.13213,0.179944,0.223202,0.249841,0.264896,0.301598,0.378002,0.427667,0.783216]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[44.9284,73.3056,63.7929,49.3061,34.6576,23.3071,12.6607,4.06376,3.56916,4.01672]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(669, 57, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00780979,0.0123174,0.0172468,0.0189613,0.0198874,0.0221797,0.0232409,0.0340443,0.077665,0.129781]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.295439,0.741837,1.13265,1.37377,1.60524,1.68357,1.89638,1.9838,2.1868,2.47347]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0813913,0.13213,0.179944,0.223202,0.249841,0.264896,0.301598,0.378002,0.427667,0.783216]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.540912,1.23637,1.83621,2.30218,2.57444,2.79447,3.08137,3.21326,3.54283,3.99695]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(670, 58, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0308352,0.0565798,0.0732857,0.0847461,0.0782963,0.0762293,0.0940807,0.0819216,0.0662499,0.115864]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.31157,9.66327,9.72571,9.36854,8.83308,10.3105,1.20533,0.484748,0.23102,0.108994]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[30.6142,49.8611,40.4683,26.7747,14.2536,8.71468,4.23684,0.527358,0.0203688,0.014685]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(671, 59, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0231755,0.0424046,0.0552609,0.0633479,0.0585135,0.0563756,0.069288,0.0609989,0.0499738,0.0807331]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.2231,7.47023,8.27645,9.10716,9.28528,9.15299,1.83341,0.378123,0.168916,0.0732336]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.7733,22.2081,21.4884,20.2292,17.8296,11.7979,5.34245,0.323137,0.00595425,0.00508263]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(672, 60, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.1545,27.3359,23.3353,17.2061,11.1491,7.52024,4.19413,1.36316,0.911324,0.853234]}', '', '', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(673, 61, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0783447,0.142823,0.186471,0.216508,0.200507,0.194951,0.2382,0.20648,0.164865,0.27252]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.77167,4.65928,7.31821,10.4181,12.2267,15.708,1.54907,1.01019,0.576463,0.255916]}', '', '', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(674, 62, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.97212,4.02315,3.24391,4.90872,6.72959,7.49012,5.89915,8.06062,10.8806,11.8907]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.5124,6.28642,7.09816,7.25444,6.76114,6.53716,6.28434,6.02343,6.17675,6.06443]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.19391,6.24096,5.50891,4.83379,4.62416,7.12976,9.40026,12.7686,10.7595,16.0136]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.0612,8.18847,8.94046,9.01702,8.21488,8.33649,8.9193,9.46413,10.189,10.3339]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(675, 63, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0706941,0.15,0.153779,0.362818,0.738813,1.20698,1.15383,1.52414,2.41011,2.39705]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.49133,0.979989,1.75629,1.7464,1.11483,0.553786,0.147526,0.00930981,0.0073314,0.00550818]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.166208,0.581276,0.63108,0.663443,0.663906,1.08516,1.39079,2.07436,1.86748,3.39724]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.525422,1.11952,1.95062,2.05323,1.18875,0.620467,0.167569,0.00973798,0.0060124,0.00480015]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(676, 64, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.156272,0.371643,0.339416,0.897571,2.16271,4.00515,3.89465,5.44442,7.12902,8.16738]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.49162,4.01787,4.18954,4.42959,4.59858,4.81173,5.0115,5.10679,5.3793,5.30364]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.363747,1.718,2.12156,2.32921,2.7042,4.78821,6.8947,9.23681,7.95694,11.1064]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.34641,6.04744,6.01255,5.94871,5.84844,6.24388,7.30613,8.28871,9.2258,9.38488]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(677, 65, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0141127,0.0428074,0.0372448,0.138857,0.404785,0.549259,0.544166,0.853529,1.08444,1.15393]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.234277,0.29205,0.367374,0.459865,0.647629,0.97106,1.06691,0.856282,0.744629,0.723795]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0256608,0.112869,0.215895,0.260599,0.344,0.645233,0.892257,1.20687,0.77942,1.35529]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.289924,0.317615,0.404567,0.552111,0.818589,1.29072,1.40063,1.12155,0.924741,0.916514]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(678, 66, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.73105,3.45869,2.71347,3.50948,3.42328,1.72873,0.306509,0.238532,0.257027,0.172369]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.29518,0.996507,0.784955,0.618587,0.400099,0.200582,0.0584044,0.0510471,0.0454886,0.031488]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.63829,3.82882,2.54037,1.58053,0.91206,0.61116,0.222502,0.250592,0.155696,0.154744]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.899425,0.703895,0.572717,0.462974,0.359094,0.181422,0.0449648,0.0441383,0.0324203,0.0277061]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(679, 67, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0467838,0.0554431,0.0522289,0.0559185,0.0648658,0.0642696,0.06528,0.0696816,0.0725054,0.0721302]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0482345,0.052181,0.0576391,0.0567737,0.066588,0.0612375,0.0691472,0.0785158,0.0731463,0.0721926]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(680, 68, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.715797,1.19171,1.95625,1.71032,2.31539,2.64151,2.45889,2.19835,5.00948,5.05659]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.6941,11.9512,12.646,11.6553,11.9274,11.866,11.3658,10.8954,10.9194,27.282]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.77993,1.69895,2.31837,6.96325,6.82944,8.46089,7.70953,12.4805,9.3045,6.21272]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[22.2499,16.6197,15.6312,19.2856,21.2828,21.0795,21.1578,24.4658,25.5792,11.9669]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(681, 69, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.86568,13.0935,12.9256,22.1866,34.0954,55.3647,87.4149,126.973,182.07,241.76]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.32506,6.43591,7.5943,12.9697,21.1585,33.5083,48.3566,58.3441,77.2,90.2103]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.06139,16.0837,20.8772,22.9031,26.4683,30.9422,56.6761,88.1392,147.506,204.692]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.41588,4.36522,6.25893,7.8752,9.89492,11.2073,20.1492,32.9337,58.7221,90.104]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(682, 70, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0169514,0.0257439,0.0322187,0.0704881,0.183415,0.383447,1.03268,1.45353,2.19284,3.7606]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00259503,0.00801189,0.00460431,0.0233438,0.0260538,0.0569798,0.20836,0.286501,0.393566,0.615877]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00925278,0.0292754,0.104924,0.25391,0.424037,0.969365,1.39184,3.41371,4.47435,6.33531]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00061824,0.0143984,0.0331631,0.0789057,0.0811233,0.207993,0.260935,0.669895,0.862992,1.11591]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(683, 71, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0217452,0.0873364,0.295789,0.656947,1.09784,2.53523,5.11663,7.72347,11.9233,21.4034]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0101055,0.0225352,0.0695996,0.1896,0.294236,0.523868,1.25627,1.74246,2.80283,4.76159]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0320766,0.0826195,0.355331,0.968415,1.04836,1.92439,2.87591,4.96756,7.77815,13.8214]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0157177,0.0283304,0.0938591,0.274086,0.303408,0.549941,0.741385,1.25715,1.82813,3.03524]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(684, 72, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.752979,1.26044,1.10729,1.50756,2.13557,3.05103,3.96794,10.5696,12.3271,19.8685]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0571397,0.131393,0.100649,0.193826,0.290415,0.485894,0.586354,1.83458,2.26643,3.83403]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.969637,5.67702,9.45393,7.70972,7.90427,7.11062,16.5624,23.9021,43.4705,40.6183]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0903623,0.567307,1.2466,1.24463,1.34184,1.21187,3.1666,4.38723,8.07728,7.58674]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(685, 73, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.303562,0.532116,0.480201,0.669481,0.950605,1.34127,1.72649,4.55805,5.26668,8.40809]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0302349,0.0516422,0.0408479,0.0771497,0.119777,0.203227,0.266443,0.784414,0.922185,1.61693]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.586822,3.50751,5.90354,4.8566,4.98657,4.47793,10.4046,14.9458,27.0136,25.0506]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0591818,0.3477,0.83117,0.771466,0.836393,0.793563,1.99732,2.90191,5.22815,4.82818]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(686, 74, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0551259,0.0966394,0.0864699,0.119764,0.238321,0.562324,0.976558,3.17375,4.2841,7.74783]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00475543,0.0112547,0.00634569,0.0136772,0.0467801,0.10074,0.128507,0.57985,0.82879,1.5154]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0385131,0.230052,0.388633,0.31864,0.462581,0.701068,2.23579,4.03452,8.71695,9.36786]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00146454,0.0273622,0.0368865,0.0483819,0.0583403,0.120761,0.411034,0.606094,1.40781,1.658]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(687, 75, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0312278,0.148549,0.188673,0.31262,0.462598,0.59069,0.695625,1.6781,1.78588,2.62906]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00364029,0.0141138,0.0142787,0.0483032,0.0636187,0.0925624,0.117943,0.252986,0.312205,0.514462]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0301497,0.494348,1.17303,1.15426,1.24564,1.03642,2.23824,3.01471,5.13762,4.50982]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00200065,0.0417349,0.13368,0.180216,0.229007,0.160042,0.431502,0.505823,0.900929,0.78368]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(688, 76, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.363063,0.483132,0.35195,0.405699,0.484041,0.556747,0.569265,1.15965,0.990405,1.08352]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0185091,0.0543819,0.0391766,0.0546955,0.060239,0.0893644,0.0734611,0.217331,0.203247,0.187238]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.314153,1.44511,1.98873,1.38021,1.20949,0.895201,1.68375,1.90703,2.60233,1.68998]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0277153,0.15051,0.24486,0.244565,0.218101,0.137501,0.326749,0.373406,0.54039,0.316883]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(689, 77, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00379402,0.0046148,0.00446438,0.0106863,0.0126236,0.0480958,0.164695,0.19205,0.238517,0.363956]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00267182,0.0064552,0.00516478,0.00798686,0.0153292,0.0168733,0.060405,0.0863098,0.0999961,0.121246]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00293804,0.0106996,0.0144049,0.0298405,0.090861,0.234854,0.6887,1.30991,1.95606,3.59282]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00639109,0.00904851,0.0114622,0.0128681,0.0596285,0.121577,0.362374,0.706474,1.14425,1.71836]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(690, 78, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0707463,0.106824,0.260497,0.377929,0.279714,0.587748,1.36456,2.01409,3.35604,5.25253]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.037109,0.0394971,0.0703383,0.0657876,0.0591305,0.108755,0.260636,0.389252,0.607203,0.878557]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0519973,0.167712,0.345332,0.880251,0.732744,1.78269,3.44225,9.08617,13.3697,23.4528]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0105876,0.0579306,0.0932092,0.261007,0.207229,0.455155,0.794727,2.22817,2.96823,5.0888]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(691, 79, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.651433,1.28155,1.16709,2.67792,8.32424,12.5422,18.8597,23.8478,41.7946,38.6597]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.935605,1.35818,1.48036,2.97069,8.50593,14.3036,21.3576,23.1909,35.2766,35.0719]}', '', '', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(692, 80, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0826775,0.509766,1.39417,3.38832,7.05228,12.6695,21.2094,29.2703,33.5211,48.6586]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0368149,0.356291,1.29136,2.85749,4.71106,7.02698,8.93342,9.77753,9.8367,12.1534]}', '', '', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(693, 81, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0129723,0.0166529,0.0215638,0.0295997,0.0554141,0.126478,0.264361,0.513495,0.70777,1.70456]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00462926,0.0114165,0.0169767,0.0264806,0.0618312,0.128346,0.377948,0.747943,0.735636,1.21927]}', '', '', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(694, 82, 81, '', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0250639,0.0280339,0.0351244,0.0639526,0.0823879,0.453502,1.41532,3.7268,11.5829,24.831]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.026698,0.0209356,0.0367468,0.0495467,0.0958473,0.551381,2.65745,7.74653,22.1869,40.9708]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(695, 83, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0427839,0.347776,0.776654,1.12417,1.96095,2.38564,5.77193,8.01998,8.37126,15.0036]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0376663,0.207299,0.418545,0.579548,1.21275,1.41371,3.292,4.47075,4.30503,7.24545]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.292564,0.931568,1.40013,1.597,2.5979,1.5866,2.82554,5.83989,6.83764,15.6146]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.150093,0.539844,0.876785,1.11624,1.94157,1.29211,2.01988,3.93345,4.32916,9.19934]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(696, 84, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0866124,0.199205,0.240065,0.225108,0.33064,0.445084,0.968849,1.35568,1.74712,3.01982]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0825844,0.171645,0.194689,0.155204,0.208573,0.284235,0.61982,0.939976,1.16089,1.92503]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.129394,0.253011,0.444159,0.523362,0.606183,0.879887,1.39769,1.64861,3.13902,4.33049]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.105935,0.237166,0.410817,0.451863,0.567657,0.790109,1.30727,1.56272,2.81948,3.62982]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(697, 85, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0267335,0.0353375,0.0289469,0.0490214,0.0620527,0.0950185,0.149212,0.208453,0.339365,0.482632]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00762973,0.0145132,0.0141785,0.0249748,0.0197825,0.0437529,0.047351,0.0569047,0.077124,0.108519]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0187956,0.0350735,0.0612547,0.0666661,0.102504,0.137912,0.195083,0.288211,0.496368,0.684463]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0117628,0.0233764,0.0396711,0.0416144,0.053563,0.0657856,0.088808,0.0985996,0.148751,0.181158]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(698, 86, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00883502,0.00526872,0.011945,0.0153819,0.0287084,0.0331135,0.0686166,0.11755,0.182531,0.228007]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0.00044998,0.00503374,0.00595871,0.00462296,0.0119151,0.0232087,0.035342,0.0517584,0.0503044]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00561949,0.0107234,0.033416,0.0123152,0.0517586,0.0626285,0.0841227,0.182931,0.456468,0.448142]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000738043,0.00358947,0.00476918,0.000833044,0.0247003,0.0188885,0.0464485,0.0750805,0.179886,0.187274]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(699, 87, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0314464,0.0378438,0.0540192,0.128704,0.137774,0.308993,0.660946,1.23511,2.23939,3.89491]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00796776,0.00850226,0.00971693,0.0334208,0.0443439,0.0474632,0.112454,0.227128,0.379745,0.685361]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0425512,0.0906307,0.15382,0.244383,0.323991,0.360655,0.58695,1.01733,1.55394,2.42714]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0113884,0.0453618,0.0542314,0.0704554,0.0709053,0.084139,0.154453,0.199828,0.376608,0.608999]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(700, 88, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00513339,0.0113126,0.0183301,0.0439369,0.101927,0.23427,0.428771,0.880999,1.64708,2.56722]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000139871,0.00285394,0.00448317,0.0107369,0.0197632,0.0269737,0.0491207,0.128508,0.18322,0.25536]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00788805,0.0166042,0.0397783,0.144625,0.199223,0.377931,1.15183,1.86511,3.71042,5.53106]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00705768,0.0133118,0.00362529,0.0146846,0.0240389,0.0505335,0.152073,0.276026,0.432504,0.658709]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:17', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(701, 89, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00125322,0.00240503,0.00405095,0.00618812,0.0105346,0.0166405,0.0871314,0.125385,0.241207,0.534485]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00696027,0.00635689,0.012245,0.0119139,0.018412,0.0217832,0.121689,0.139288,0.256098,0.506663]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00451922,0.0109282,0.0171165,0.0378641,0.0378011,0.0509257,0.128198,0.249608,0.438847,0.526644]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00772903,0.0130671,0.0212649,0.0408953,0.0362195,0.0635375,0.119811,0.222114,0.357013,0.409637]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(702, 90, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0249783,0.0466746,0.0769215,0.114085,0.124007,0.158242,0.2323,0.336335,0.555166,0.890388]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0255153,0.0377975,0.0589529,0.0985764,0.138591,0.214126,0.44636,0.78074,1.12945,1.62338]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0303255,0.0499758,0.0949894,0.138231,0.190668,0.264323,0.446753,0.737047,1.37553,1.78427]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0220665,0.0380665,0.0866115,0.120058,0.17347,0.300725,0.650256,1.06003,1.45986,2.13352]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(703, 91, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.232424,0.316181,0.346424,0.462523,1.00983,1.87821,3.39982,4.48471,4.00898,5.0373]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.159264,0.235674,0.254425,0.303086,0.592164,0.896497,1.26098,1.4031,1.04567,1.15557]}', '', '', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(704, 92, 81, '', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0419572,0.0852107,0.0663153,0.078139,0.0844831,0.087242,0.128962,0.154856,0.262322,0.369199]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0376155,0.081256,0.0866219,0.119069,0.118938,0.113023,0.102653,0.0816626,0.144835,0.154344]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(705, 93, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.020986,0.02768,0.0270559,0.0618642,0.163329,0.3485,0.507089,0.892351,2.67331,3.12378]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00651598,0.00477006,0.00836554,0.023758,0.0532413,0.123403,0.16499,0.264281,0.611407,0.659227]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0528294,0.0536539,0.0392074,0.0635622,0.229964,0.439938,0.667495,1.49435,2.06861,3.34128]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00653848,0.0179262,0.0181863,0.0251938,0.0765175,0.174935,0.265848,0.495795,0.636153,0.997573]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(706, 94, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0124958,0.0210932,0.0330614,0.0720963,0.0516601,0.0771354,0.167079,0.223302,0.435869,0.691974]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0130854,0.013451,0.0202305,0.0178933,0.0248102,0.0381988,0.0557767,0.0744763,0.149397,0.262896]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.025719,0.0474413,0.0455034,0.0625439,0.119886,0.154587,0.241487,0.359031,0.631692,1.06684]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0155364,0.0218182,0.032499,0.0235043,0.0767392,0.110825,0.161357,0.253098,0.390791,0.621658]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(707, 95, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0124216,0.0167513,0.020629,0.0299918,0.0490208,0.0706052,0.114647,0.148726,0.291955,0.471182]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0129379,0.020968,0.0220563,0.0178534,0.0372685,0.0490979,0.0598628,0.0884445,0.142289,0.164018]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0150475,0.0214522,0.0294398,0.0346194,0.0609311,0.0764648,0.116488,0.174405,0.220893,0.317452]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00496386,0.02831,0.0333416,0.010265,0.0380319,0.0389041,0.0540149,0.0783648,0.069232,0.109701]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(708, 96, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0060425,0.00961926,0.0167218,0.0315626,0.0449846,0.0931837,0.141298,0.35317,0.576123,0.766896]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0186855,0.0452131,0.113662,0.1403,0.126481,0.228465,0.229878,0.373164,0.386068,0.308093]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00813186,0.0132133,0.0148322,0.0176842,0.0383807,0.0614924,0.0953491,0.169146,0.305122,0.486518]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00807953,0.0116658,0.0348124,0.0284376,0.0470554,0.0447679,0.0776844,0.0912425,0.108294,0.13203]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(709, 97, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0562483,0.0829874,0.138333,0.119673,0.100563,0.142622,0.187483,0.27626,0.319795,0.511222]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.112237,0.125387,0.155032,0.110719,0.082637,0.119487,0.117305,0.120967,0.126101,0.209591]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0893943,0.135022,0.164056,0.175681,0.206885,0.174905,0.176783,0.276726,0.478631,0.693]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.139266,0.20185,0.18431,0.186681,0.195828,0.150284,0.113776,0.150157,0.251051,0.325973]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(710, 98, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.734647,1.20364,0.761703,0.88438,0.874479,1.16286,2.28845,2.77588,4.32905,5.98499]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.250117,0.461509,0.328003,0.395886,0.403827,0.5654,1.04255,1.07268,1.42856,1.79469]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.98617,1.09488,1.37517,1.75489,1.73868,2.56164,3.21149,4.97759,6.73638,8.61967]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.253651,0.37502,0.490678,0.789025,0.779414,1.11067,1.11419,1.66201,1.87475,2.07752]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(711, 99, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00313655,0.00570695,0.00766547,0.0126648,0.0594392,0.120207,0.292134,0.684764,0.947031,1.69485]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00419198,0.00955566,0.00152714,0.0116772,0.0294096,0.0725288,0.173231,0.399107,0.509631,0.715277]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00105109,0.00376339,0.00719015,0.0141812,0.0336671,0.0645089,0.0876201,0.179851,0.346553,0.641888]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0.000676108,0.000759033,0.0153552,0.0193012,0.0472397,0.0668163,0.112788,0.192564,0.318187]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(712, 100, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.320164,0.504063,0.431499,0.474807,0.752693,0.846283,1.61859,2.16076,3.55057,5.12669]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.099121,0.154135,0.123734,0.13167,0.169298,0.245166,0.489374,0.654749,0.96816,1.33193]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.425858,0.522684,0.578888,0.522852,0.816242,0.671209,1.03207,1.32606,1.23992,1.99002]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.140804,0.123506,0.183558,0.186826,0.299087,0.247964,0.443568,0.594454,0.461651,0.635706]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(713, 101, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.62604,6.92706,5.6485,9.61101,9.09174,15.0044,18.3506,27.1093,43.5534,52.0581]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.39377,2.98205,2.81037,4.56134,4.00853,6.45486,7.00965,9.05904,12.2705,12.5531]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.79261,6.71253,6.00284,7.50846,8.74649,10.454,17.7257,20.7922,34.576,43.1678]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.34228,1.89145,2.18135,2.71315,3.2628,3.4049,5.22679,4.99077,7.42182,8.20702]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(714, 102, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.27908,9.16691,11.9658,20.516,34.8701,67.5913,109.121,187.057,306.432,573.438]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[106.398,121.819,116.992,163.173,232.718,316.964,433.883,561.281,738.683,947.848]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.04206,19.0585,22.5998,31.5281,41.7891,92.5125,130.217,242.027,419.693,705.22]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[80.5157,72.327,95.124,135.334,215.435,281.91,424.02,603.582,843.83,1089.53]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(715, 103, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.704324,1.03103,1.62203,1.92444,1.81288,2.73051,2.59202,3.71808,7.24736,10.4295]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[40.5877,35.9445,32.3883,29.7601,27.8086,26.2146,24.4274,22.3486,24.1946,27.7461]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.650184,1.07824,1.54308,2.18899,2.33916,3.54673,2.60142,4.18322,5.09802,9.8223]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[28.4585,25.9722,24.4195,23.349,22.1751,20.7729,19.1386,17.2848,18.2357,20.6381]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(716, 104, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.29039,1.96546,2.00732,4.1582,8.56909,16.6945,25.8941,45.7455,89.0356,176.305]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.75247,15.8426,31.393,54.1096,83.3776,121.894,186.834,278.987,389.633,498.471]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.31775,8.40393,8.07928,9.4431,13.3351,38.5608,47.6542,88.6917,161.829,255.871]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.41385,20.1138,39.7637,69.129,108.031,159.371,244.092,364.533,508.27,646.876]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(717, 105, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.41069,3.01496,4.28631,8.34534,15.0938,34.2656,58.8026,103.273,152.396,285.098]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.45712,2.07677,3.25582,4.57844,6.70782,9.22329,14.5556,22.3322,34.3446,46.9464]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.51588,5.18455,7.14446,11.8702,15.8514,34.6432,58.3006,112.941,195.073,350.768]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.59746,2.28724,3.61081,5.22627,7.86411,10.8389,18.1689,29.4793,44.7358,59.241]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(718, 106, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.214929,0.586435,0.854853,1.83063,2.98671,7.09054,13.3631,25.2335,40.7414,99.5951]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.778676,0.560586,1.18869,2.0837,3.61304,5.82371,9.8756,15.7168,24.508,36.3694]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.165994,0.583575,0.848524,1.57911,2.12393,6.46678,12.3257,25.1809,52.006,128.015]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.686754,0.466952,1.05348,1.97085,3.89485,6.51726,11.922,20.2077,31.0041,44.6421]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(719, 107, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.19576,2.42853,3.43146,6.51472,12.1071,27.175,45.4395,78.0391,111.655,185.503]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.67844,1.51619,2.06713,2.49473,3.09479,3.39958,4.68005,6.61543,9.83655,10.577]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.34988,4.60097,6.29594,10.2911,13.7275,28.1764,45.975,87.7606,143.067,222.753]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.910704,1.82029,2.55733,3.25542,3.96926,4.32159,6.24698,9.27165,13.7317,14.5989]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(720, 108, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.276931,0.572648,0.865514,1.59958,2.96674,5.35115,9.23207,16.2569,27.4338,51.3984]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.89941,1.75763,2.25033,4.32769,7.60584,14.0566,22.5736,31.6626,47.6095,67.8359]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.447927,1.01462,1.22598,1.62163,2.01334,3.10271,4.31093,7.54079,11.9947,18.5512]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.62998,1.37716,1.90243,3.57891,6.60504,12.226,19.8035,27.1848,39.7996,56.5659]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(721, 109, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.641379,0.958556,1.22273,1.75753,2.47602,3.49856,5.34196,7.58261,11.9734,18.4722]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.30261,3.53817,3.39141,4.18034,5.41083,7.30706,9.48925,11.9001,15.1965,18.8424]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.127,1.84042,2.52543,3.53117,4.64956,7.39388,9.9846,15.5915,22.4455,30.3086]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.23365,4.87791,4.53027,5.79758,7.69783,10.4229,13.5801,16.0948,20.9064,25.7586]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(722, 110, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0.030937,0.0586453,0.0939012,0.224589,0.296264,0.695766,1.66138]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.09852,3.31457,3.98503,5.25296,7.55255,13.0331,23.0045,37.6176,62.0286,98.9134]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0.0374623,0.056563,0.0913946,0.14593,0.342004,0.709068,1.44705]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.08698,5.39355,6.45929,8.27943,11.7868,20.0371,34.7912,57.0641,93.3194,147.131]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(723, 111, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0507718,0.0824881,0.112549,0.206186,0.371166,0.522507,0.766987,1.37687,2.29757,4.53759]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0767073,0.133809,0.194348,0.303585,0.426039,0.699978,1.12024,2.14076,3.99896,7.03691]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(724, 112, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0.0645295,0.10259,0.212733,0.430283,0.771349]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0049794,0.0195955,0.0648148,0.239824,0.639519,1.13386,2.84471,7.35555,14.4627,24.1911]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0.0831746,0.142821,0.298445,0.563002,1.03805]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00558946,0.0250686,0.0787977,0.283315,0.751178,1.37734,3.36399,8.72896,17.3171,28.9698]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(725, 113, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.109258,0.190297,0.229401,0.263059,0.345423,0.37541,0.486221,0.56712,0.764092,1.25332]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.769769,1.17391,0.770122,0.577264,0.447526,0.542323,0.634042,0.618377,0.80765,1.44216]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.124749,0.217028,0.309428,0.323706,0.378089,0.456364,0.56464,0.816254,1.18354,1.61226]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7909,1.17903,0.795578,0.632308,0.472047,0.596203,0.670161,0.759477,1.10954,1.92757]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(726, 114, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.795338,1.35148,1.61993,2.23073,3.1764,3.99463,5.67824,8.02819,14.1579,23.5108]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[47.5253,58.1516,39.4934,60.1473,93.1679,123.559,149.52,148.459,150.406,163.459]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.781863,1.18588,1.57777,2.20818,2.73985,3.93427,5.39185,9.4808,16.7973,28.7636]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[28.2989,11.1011,13.5636,19.0586,50.0519,46.2678,70.4117,82.453,100.136,102.418]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(727, 115, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.20515,3.03336,3.08049,4.68474,5.77345,8.12836,11.4702,13.7509,27.7025,49.1465]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[566.53,621.897,717.289,841.967,999.906,1203.06,1352.07,1575.99,1834.96,2134.75]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.7488,3.9872,5.55195,5.75092,6.44829,7.34873,10.7885,23.2269,33.5075,51.0846]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[599.567,682.121,808.791,928.807,1079.25,1201.86,1384.07,1616.14,1899.74,2222.91]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(728, 116, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.166081,0.449655,0.578004,0.836357,0.98151,1.33201,2.99636,4.71287,10.7694,22.7766]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[226.493,311.044,399.511,502.655,619.755,757.071,931.769,1147.93,1405.09,1691.53]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.340449,0.939491,1.34215,1.69643,2.02656,2.80806,4.76696,11.7485,18.7421,31.1207]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[301.708,412.109,523.229,642.403,772.224,915.521,1104.49,1349.97,1639.98,1956.66]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(729, 117, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0103051,0.0444136,0.0254737,0.0528308,0.0749135,0.119412,0.208951,0.368796,0.770197,1.35983]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0182497,0.0231382,0.034557,0.035053,0.0787475,0.217286,0.470676,1.10973,1.99286,3.54549]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0527072,0.115981,0.191643,0.257469,0.350832,0.447661,0.647871,1.72498,2.48788,3.98962]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0584492,0.0558217,0.0578594,0.0856189,0.132075,0.437653,1.20991,3.14577,5.96499,11.4202]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(730, 118, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.450017,1.31241,1.31452,2.43615,3.27238,4.73277,5.68033,5.63599,10.7212,16.2132]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[183.121,113.049,83.7794,73.6603,72.3131,74.8799,79.5521,85.3515,91.8357,99.8397]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.896739,1.8327,2.47868,2.29523,2.40693,2.4482,3.30775,5.81264,7.40182,9.62517]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[169.287,106.533,78.3872,68.4916,67.1041,69.3616,73.7948,79.0806,84.4214,90.4176]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(731, 119, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0232536,0.0397812,0.0507961,0.0926929,0.125559,0.160945,0.35233,0.431328,0.958493,1.40872]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.399963,0.325174,0.420911,0.561839,0.871491,1.18674,1.78988,1.59315,2.35057,3.26946]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0686183,0.170165,0.234724,0.25114,0.333384,0.435262,0.6243,1.45207,2.0576,2.72112]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.517954,0.360877,0.40726,0.603063,0.898054,1.32591,2.08616,1.64567,2.3811,3.46849]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(732, 120, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.555497,1.18711,1.1117,1.26671,1.31909,1.78322,2.23228,2.60191,4.48319,7.38818]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[156.498,197.456,233.543,265.055,306.888,369.708,338.486,340.008,333.69,336.565]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.390284,0.928864,1.30476,1.25065,1.33059,1.20954,1.4416,2.48879,2.8181,3.62792]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[127.996,163.062,206.71,217.223,238.891,215.216,202.483,182.298,166.999,160.939]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(733, 121, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.08233,7.43245,9.28324,9.52507,12.9153,14.1514,17.3436,31.5965,37.224,59.4043]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.72203,2.5755,3.88445,6.14093,11.5089,18.2562,25.2208,31.4791,37.1015,40.6667]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.0829,7.22768,15.5734,23.9561,36.5057,37.7707,48.3747,62.955,76.7162,115.233]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.51764,4.34237,6.41249,10.4042,22.581,35.5416,44.2947,48.9378,52.2969,56.9615]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(734, 122, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.37848,2.754,3.66657,3.94179,5.63412,6.57297,8.43239,15.8034,18.8683,30.2354]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.562348,0.844701,1.43326,2.35026,4.72305,8.23592,11.8338,15.4374,18.5885,20.3176]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.07493,3.78113,8.20774,12.6538,19.6251,21.1299,27.6818,36.4504,44.6774,67.2706]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.43021,2.45553,3.58775,5.87817,12.7977,20.7286,26.5748,29.1992,31.4832,34.1192]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(735, 123, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.53816,1.07777,1.43898,1.54205,2.30674,2.95536,4.09981,8.35115,10.9353,19.2586]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.225607,0.397294,0.618805,1.03816,2.10518,3.93461,6.25571,8.60285,11.0642,13.6475]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.175238,0.615222,1.33612,2.07377,3.44752,4.22797,6.28957,9.39554,12.9756,21.8639]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.18267,0.344825,0.478034,0.803617,1.90905,3.52716,5.13336,6.75937,8.16061,9.978]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(736, 124, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0606658,0.333677,0.621667,0.800524,1.14758,1.13527,1.26515,2.12857,2.34018,3.51362]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0193537,0.114362,0.257922,0.523159,1.05757,1.51016,1.9163,2.17932,2.36988,2.42127]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0801731,0.775731,2.36131,4.38668,7.0361,6.76075,8.18351,10.1879,11.972,17.3933]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.098584,0.447446,0.984234,1.86469,4.24664,6.47424,7.33015,8.06181,8.2384,8.86653]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(737, 125, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.10503,3.267,3.55602,3.24071,3.82683,3.4878,3.54624,5.31333,5.08017,6.39663]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.914717,1.21914,1.57446,2.22936,3.62309,4.57547,5.21498,5.25952,5.07888,4.28025]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.752554,2.0556,3.66819,4.84185,6.39694,5.65204,6.21983,6.92119,7.09131,8.70525]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.806177,1.09457,1.36247,1.8577,3.62759,4.81154,5.25641,4.91741,4.4147,3.99769]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(738, 126, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.8553,6.5169,6.31772,6.83676,8.62533,12.0608,18.5551,25.1241,33.6589,93.4687]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[75.561,71.7961,78.4998,86.8821,98.2839,110.763,122.066,72.6816,75.8668,77.5902]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.05096,14.1751,17.2751,19.7884,20.1789,24.7594,35.7863,61.3255,86.0718,133.751]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[75.497,68.2562,70.1027,79.5558,93.9941,107.794,127.612,85.9189,90.1952,93.262]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(739, 127, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.46824,1.10674,1.05884,1.20616,1.80465,2.61043,3.92933,5.6644,7.18452,20.9358]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.70431,4.87257,6.83934,9.13774,11.4133,13.7986,15.706,3.02333,3.63804,4.16209]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.898219,2.52562,3.31327,3.95739,4.39205,5.3248,7.70184,14.3073,19.614,30.0528]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.97958,7.62942,9.46532,12.8486,18.0707,21.9252,28.1149,8.07516,9.37099,10.5074]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(740, 128, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00770524,0.0160879,0.013445,0.0161169,0.0245602,0.0309895,0.0551933,0.0697601,0.0839604,0.217495]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.3969,18.3402,21.8005,24.7782,28.4637,32.0691,34.4263,3.49994,4.03733,4.26793]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00622729,0.0145474,0.015848,0.0170982,0.0177714,0.0224863,0.0351334,0.0502631,0.0795617,0.109269]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.7714,9.54182,9.21607,11.1716,14.4348,16.7457,20.094,2.26377,2.56163,2.79581]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(741, 129, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.412268,0.781151,0.826454,0.879612,0.961373,1.35656,2.01318,2.74363,4.03453,12.5723]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.37001,4.97821,4.15753,3.55711,2.75671,2.19642,1.65068,1.62303,1.39011,1.31073]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.739478,1.80267,2.0117,2.22655,2.00131,2.50667,3.35108,5.76445,8.73214,14.7605]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.11305,5.58051,4.80447,4.12683,3.10456,2.364,1.91261,1.6688,1.61379,1.56128]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(742, 130, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.522414,1.18288,1.12692,1.29776,1.4883,2.05212,3.43117,4.65128,6.58988,16.8099]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.149643,0.124053,0.200458,0.220887,0.271344,0.311371,0.417235,0.528923,0.637595,0.763884]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.20826,3.29826,3.81689,4.329,4.5049,5.2456,7.81339,13.3829,19.4839,28.7667]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.186835,0.145275,0.158664,0.248672,0.320164,0.321366,0.404682,0.557694,0.666955,0.742865]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(743, 131, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00448032,0.00991327,0.00973537,0.0108429,0.0144705,0.0189168,0.0311508,0.0376119,0.0552047,0.156943]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.815361,1.02204,1.30818,1.63316,1.96307,2.29357,2.7314,3.76606,4.80647,5.90144]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00555764,0.0138805,0.0173625,0.0213592,0.0234573,0.0283809,0.0465681,0.0761931,0.121735,0.204913]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.85394,3.42205,4.70897,6.09742,7.45117,8.83577,10.7243,14.4932,18.2625,21.9173]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(744, 132, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.225313,0.445812,0.4056,0.392579,0.378773,0.443562,0.591839,0.671749,0.820625,1.76762]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[26.525,23.8629,21.5504,21.3178,21.4908,22.4554,23.7566,23.1269,20.3443,17.222]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.137413,0.527727,0.520947,0.593973,0.539382,0.559594,0.843271,1.17185,1.82945,2.48416]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[29.0145,24.8562,22.8245,22.4336,23.2077,25.0964,27.2809,26.1395,22.1826,17.7077]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(745, 133, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0023179,0.00549275,0.00479607,0.00698733,0.00817269,0.0108515,0.0231743,0.0275654,0.0383198,0.0998257]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0297832,0.0227036,0.0509976,0.0552723,0.0480343,0.0784795,0.0965691,0.131848,0.19305,0.235931]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0033139,0.00960742,0.0149212,0.0131913,0.0114124,0.0146944,0.0258352,0.0411758,0.0631997,0.103284]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0186527,0.0205571,0.0253688,0.0463592,0.0340804,0.0519673,0.0591072,0.110588,0.131845,0.210213]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(746, 134, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.262848,0.617505,0.646854,0.639741,0.769581,1.00088,1.42288,1.7437,2.25512,5.91255]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.49543,4.2644,6.85547,9.32193,12.0011,14.3757,17.3626,20.7672,23.5978,26.4671]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.188043,0.426537,0.538668,0.673312,0.717789,0.9002,1.18809,2.1364,3.00649,5.16182]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.48525,2.49859,3.93786,5.43279,6.80833,8.1861,9.97392,12.3273,14.5915,16.8261]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(747, 135, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.235212,0.686335,0.635714,0.748244,1.00262,1.34904,2.05966,2.69634,3.26911,9.37442]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.304485,0.497051,0.728686,0.87295,1.09894,1.34734,1.47787,1.64932,1.827,1.71539]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.568751,1.69928,2.55852,2.99879,2.87881,3.5944,4.97041,7.98798,10.432,16.1675]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.362206,0.733945,1.35075,2.04836,2.74134,3.40758,3.57273,3.49153,3.29074,2.95296]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(748, 136, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.714502,1.66498,1.58936,1.63872,2.17283,3.18747,4.99752,6.818,9.32763,25.6219]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.77,13.812,15.0082,15.9871,18.7768,21.8366,24.4405,14.565,15.3951,15.5438]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.29569,3.85693,4.46698,4.9577,5.09198,6.56252,9.81071,16.4069,22.7092,35.9397]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.7115,13.8279,13.6108,15.1016,17.8213,20.8597,25.4747,16.7915,17.5226,18.0403]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(749, 137, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.88145,12.8521,12.7286,12.3704,12.7709,12.4184,14.0132,14.52,18.3136,25.975]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1001.65,1133.79,1088.01,1059.33,1070.09,1066.38,1060.33,1058.07,1040.27,1028.22]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.01705,12.9103,15.0198,14.9691,16.0161,15.791,18.4854,21.4924,25.435,33.4554]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[713.145,826.494,807.073,781.771,783.01,776.118,775.815,781.139,780.872,788.216]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(750, 138, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.114332,0.195054,0.160671,0.178074,0.213002,0.250397,0.351967,0.454224,1.0835,2.70124]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,2.109,21.7382,58.068,99.3515,148.946]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0915871,0.125756,0.163598,0.23312,0.284181,0.318285,0.48911,0.636282,1.16583,2.43914]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,1.73566,17.5211,45.5429,75.8952,112.23]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(751, 139, 81, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.117337,0.139377,0.13676,0.152138,0.218304,0.338415,0.681358,1.50508,3.35019]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.111153,1.05847,2.90726,5.15456,8.20305,12.6072,18.8978]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.108257,0.142147,0.135245,0.158589,0.233701,0.439544,0.910318,1.74744,4.29003]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.150512,1.37272,3.77235,6.73072,10.7818,16.1746,24.3289]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(752, 140, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.07074,11.6897,11.5723,10.9694,11.1141,10.2846,10.6719,9.72964,10.3765,12.325]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[282.699,288.882,281.919,272.246,261.962,254.733,249.434,248.658,247.635,249.203]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.0041,10.9473,13.1179,12.8396,13.5512,12.7767,13.9395,14.571,14.6543,15.7768]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[302.835,312.469,306.375,294.567,283.644,274.344,269.462,265.068,263.089,263.405]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(753, 141, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0.0487852,0.0931689,0.131471,0.212536,0.264743,0.406604,0.450713,0.538598,0.57386]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.974044,2.27214,5.67058,9.90232,12.6449,13.694,13.7753,12.5244,11.0398,8.73789]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0.0297137,0.0706853,0.106587,0.170276,0.205983,0.267455,0.273885,0.370376,0.380876]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.528676,1.19433,2.89067,5.16283,6.75265,7.32672,7.15684,6.38426,5.65645,4.52895]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(754, 142, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[692.849,806.497,758.924,732.553,748.61,744.791,709.789,648.792,568.911,488.482]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[389.245,482.159,462.014,443.784,451.817,447.203,421.794,380.56,330.338,281.353]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(755, 143, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.3136,34.623,38.0429,38.326,37.7236,36.9341,36.1279,35.2732,34.4277,33.5588]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.0119,29.6522,33.5909,34.2817,33.7684,32.8339,31.9203,31.1155,30.354,29.546]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(756, 144, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.696372,0.801217,0.763122,0.954667,1.07905,1.40038,2.24438,3.2041,4.80995,7.02465]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.813448,1.51328,3.45259,6.19129,8.09465,11.2092,24.3131,46.5515,66.3026,80.3948]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.92137,1.69927,1.52548,1.6546,1.85183,2.25631,3.3498,5.10094,7.49702,10.5685]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.524101,1.01965,2.2034,3.82501,5.65564,8.90244,21.2306,41.6872,59.3643,72.8242]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(757, 145, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.286942,0.480779,0.55981,0.554888,0.577904,0.581233,0.688753,0.865471,1.08484,1.43308]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2712.23,3114.51,3367.73,3440.01,3442.71,3401.13,3326.99,3172.41,2974.73,2654.16]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.336051,0.851521,1.48691,1.45527,1.66926,1.45252,1.77557,1.96198,2.30885,2.61672]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2368.26,2653.2,2897.5,2925.64,2869.29,2772.77,2657.1,2492.93,2265.63,1969.1]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(758, 146, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.0594789,0.0754846,0.103868,0.0926144,0.128265,0.164718,0.260688,0.378421]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.7722,62.2474,134.494,220.21,288.507,322.013,332.171,319.422,278.879,218.846]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.243513,0.329526,0.494374,0.45089,0.561316,0.54933,0.665662,0.63085]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.9339,74.6551,164.892,273.035,363.09,412.01,426.699,408.55,349.347,271.987]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(759, 147, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00490404,0.00806182,0.0113839,0.0170112,0.0289553,0.045775,0.0674338,0.10063,0.145097,0.213071]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[52.5588,69.9651,67.6374,62.2141,62.1437,66.2788,70.7985,64.1635,50.2182,35.9565]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00753943,0.0154334,0.025357,0.0316493,0.0423991,0.0521506,0.0777835,0.114107,0.160994,0.233284]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[123.807,172.356,168.111,153.863,153.243,163.18,173.106,156.695,121.995,87.0969]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(760, 148, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.199382,0.359791,0.367898,0.335952,0.298097,0.298632,0.291093,0.344359,0.358138,0.369854]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[125.581,301.773,330.35,239.363,166.697,115.52,81.2952,53.4494,32.5786,17.1671]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.248915,0.689977,0.977094,0.827804,0.78631,0.609039,0.599393,0.633882,0.576983,0.608966]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[203.435,560.309,631.584,503.402,356.89,237.681,156.109,100.397,62.5757,33.7637]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(761, 149, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.103686,0.187163,0.191219,0.174549,0.155038,0.155125,0.151098,0.178739,0.185659,0.191455]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.9027,110.907,148.59,98.3298,65.7296,49.5312,35.7831,20.3632,10.007,4.91663]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.128588,0.35753,0.506576,0.428156,0.40523,0.313967,0.309789,0.326661,0.297588,0.313923]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[28.8742,235.213,297.743,232.343,162.407,112.359,72.8941,42.2709,23.8944,13.34]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(762, 150, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000463692,0.000784374,0.000949699,0.000927175,0.000679065,0.000854966,0.00093579,0.00111355,0.00137108,0.00167033]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.75152,13.3616,17.0408,10.8941,6.9045,4.80168,3.16121,1.70435,0.883064,0.483245]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0013658,0.00278325,0.00369509,0.00406622,0.0052062,0.00394555,0.00315355,0.00420934,0.00360354,0.00395085]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.31884,27.7391,38.5015,27.8,17.2941,11.5798,6.9192,3.81782,2.05146,1.15374]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(763, 151, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000368724,0.0006129,0.000774645,0.000767437,0.00053705,0.000713032,0.000797637,0.000950127,0.00120153,0.00149572]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[44.0394,65.0006,64.3069,53.3755,39.5413,26.2734,19.1591,14.9838,10.6383,5.80714]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00124875,0.00245687,0.00323242,0.00367604,0.00483817,0.00366032,0.00287143,0.00391268,0.00333307,0.00366567]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[68.0327,106.598,112.628,97.1452,72.6371,47.602,33.8873,25.4389,17.6828,9.33449]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(764, 153, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0948631,0.171231,0.174955,0.159708,0.141844,0.141939,0.138262,0.163556,0.169906,0.175233]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[43.9155,74.7516,77.113,60.7424,43.8063,29.2022,20.8544,15.4791,10.6159,5.75207]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.117713,0.327207,0.463591,0.391906,0.371036,0.287467,0.283579,0.299099,0.272459,0.287427]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[68.7838,129.116,144.416,118.954,85.3498,55.9733,38.358,27.3013,18.2613,9.6181]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(765, 155, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1173.2,1299.65,1378.93,1445.33,1488.32,1529.46,1561.75,1551.8,1516.06,1365.39]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[712.686,793.766,834.324,869.251,886.285,899.17,912.611,918.915,898.885,806.942]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(766, 156, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[177.381,202.134,216.872,228.264,239.45,249.596,262.16,266.453,267.154,261.862]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[124.627,145.539,158.057,167.456,174.757,181.944,189.86,190.504,187.24,180.696]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(767, 159, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[103.424,275.888,403.649,449.982,432.775,372.082,287.201,217.988,170.893,135.466]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[81.2897,221.434,332.049,377.827,370.133,324.521,256.577,198.385,156.017,124.376]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(768, 160, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[775.508,777.353,725.763,694.922,678.667,670.304,661.373,632.627,592.18,549.639]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[424.575,422.337,393.098,379.633,373.125,370.371,365.061,346.378,318.893,293.228]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(769, 161, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0653897,0.095255,0.0967754,0.0978862,0.105734,0.0871754,0.0998701,0.111942,0.118476,0.150254]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.706,23.434,30.2703,26.6244,17.8613,10.7188,6.75932,4.30679,2.69653,1.74441]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0407379,0.0780251,0.112289,0.109925,0.110602,0.081623,0.100845,0.111919,0.131471,0.172338]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(770, 162, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[32.7549,32.0865,31.2154,30.5739,29.6531,29.1635,28.511,26.9136,25.6582,24.7831]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[94.4292,92.5331,91.4085,87.9174,86.0354,83.7445,80.7042,78.2106,74.5114,71.0754]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(771, 163, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.1949,23.3941,22.8042,22.0303,21.5427,20.6975,19.8711,18.6834,17.9562,16.8223]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[97.8549,96.3631,94.243,92.3121,90.0219,87.1895,83.8107,80.3315,76.2037,71.8211]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(772, 164, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.77798,5.28198,2.83582,1.37371,0.60168,0.227875,0.0681601,0.0167313,0.00324395,0.000151189]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[29.6655,19.2582,11.1888,5.74367,2.63833,1.04142,0.341518,0.0944202,0.0215013,0.00463245]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(773, 165, 81, '{\"age\":[\"15-19\",\"20-24\"],\"number\":[0,0]}', '{\"age\":[\"15-19\",\"20-24\"],\"number\":[176.156,13.1248]}', '{\"age\":[\"15-19\",\"20-24\"],\"number\":[0,0]}', '{\"age\":[\"15-19\",\"20-24\"],\"number\":[425.058,31.6224]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(774, 166, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.9435,11.5525,8.79387,6.1814,3.99455,2.46263,1.48548,0.935175,0.567357,0.345819]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.1637,13.3974,10.0811,6.9834,4.59137,2.81442,1.83529,1.12767,0.745412,0.46314]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(775, 167, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0172664,0.0176704,0.0242736,0.0285547,0.0412497,0.0570362,0.102092,0.143822,0.202438,0.321479]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.2712,16.6246,14.1217,12.9491,12.4935,12.6112,13.5444,15.6505,19.8787,26.1391]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0388583,0.0680851,0.128661,0.156368,0.23557,0.258819,0.436234,0.552741,0.773736,0.971283]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.7391,9.62844,8.46572,8.21824,8.48281,9.10025,10.3806,13.3379,19.1949,27.6486]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(776, 168, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.649,20.2411,19.6207,17.0108,21.3052,25.7924,37.4123,60.041,81.2237,141.545]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[587.634,862.227,1114.41,1261.46,1351.35,1364.99,1271.42,1408.18,1454.53,1497.69]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.20617,6.59067,8.48046,10.784,11.3342,19.4176,32.1988,55.3755,101.326,150.275]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[299.65,283.399,333.516,421.588,551.52,741.965,945.232,1296.41,1691.42,2096.56]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(777, 169, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.27303,2.02809,2.1697,2.80265,5.11184,9.86448,14.627,31.8926,37.5045,71.3926]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[40.0712,46.7548,76.0194,131.439,209.663,302.105,393.936,495.926,611.333,741.029]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.02093,1.83065,2.43729,4.09615,3.01769,9.78741,17.3888,34.2986,69.9757,100.883]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[38.0248,49.7289,84.1964,149.131,242.266,352.348,463.344,579.438,702.541,836.446]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(778, 170, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.144165,0.205436,0.160092,0.19665,0.227976,0.25814,0.355406,0.394783,0.513137,0.753439]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0204619,0.00862325,0.00885363,0.00758113,0.00625723,0.00580202,0.00817997,0.00955661,0.0134786,0.0169012]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.275341,0.345973,0.500009,0.505492,0.603393,0.675002,0.827197,1.26373,1.53797,2.27135]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0297456,0.0181092,0.0158576,0.01452,0.0107574,0.0112213,0.011436,0.0165896,0.0238987,0.0297471]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(779, 171, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.19919,3.94015,4.81401,5.26975,7.42519,9.23564,14.0461,16.8667,27.0985,42.5928]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.15007,8.05932,11.9277,18.4299,28.3486,38.2021,48.1971,62.4176,90.3791,128.66]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.475344,0.960845,1.38192,1.65434,2.35653,2.86561,4.76298,7.31164,10.6338,16.1141]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.63768,7.26966,10.3758,15.9781,24.9085,33.7052,43.6045,57.1072,87.3063,128.487]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(780, 172, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00337561,0.190784,0.467552,0.727796,1.30518,2.02069,3.6901,5.09872,9.35338,16.6366]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.106296,0.544337,1.35293,2.73732,5.33447,8.73479,13.1624,19.8882,32.4706,47.7852]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000661547,0.0418941,0.118515,0.201311,0.372598,0.560081,1.10573,1.97765,3.33851,5.66805]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.071725,0.418525,0.964766,2.1698,4.39562,7.07367,10.9078,16.2368,28.1199,42.2273]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(781, 173, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.350686,0.687102,0.910341,1.10152,1.70674,2.2987,3.34869,3.84107,5.87538,8.75174]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.787954,1.4492,2.38324,3.9942,6.66046,9.41108,11.335,13.7321,19.2726,26.8914]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0838746,0.183865,0.288524,0.381145,0.598508,0.789625,1.25999,1.85171,2.55791,3.68718]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.830093,1.50085,2.36516,3.76563,6.4616,9.07774,11.1464,14.0788,20.3637,30.3507]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(782, 174, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.84513,3.06226,3.43612,3.44043,4.41328,4.91625,7.00732,7.92686,11.8697,17.2044]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.25582,6.06578,8.19158,11.6984,16.3537,20.0562,23.6997,28.7973,38.6359,53.9832]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.390808,0.735086,0.974877,1.07189,1.38542,1.51591,2.39726,3.48228,4.73742,6.75892]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.73586,5.35029,7.04586,10.0427,14.0513,17.5538,21.5503,26.7915,38.8227,55.9093]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(783, 175, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.336544,0.586363,0.707727,0.956609,1.32623,1.60023,2.65224,4.26143,6.3799,11.5319]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.1469,10.4704,12.1553,14.1591,16.6798,19.4039,22.9551,25.0994,27.3349,29.1451]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.398782,0.728132,1.17581,1.42838,1.92301,2.30137,3.58355,5.4445,9.32608,16.9581]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.54338,18.6995,32.396,50.469,69.4163,109.502,185.828,397.537,620.877,811.763]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(784, 176, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.126705,0.213838,0.253523,0.325546,0.429696,0.545526,0.876817,1.4984,2.25019,4.14574]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.4121,4.26972,3.73705,3.21041,2.73236,2.38524,2.38478,2.29033,2.24869,2.31089]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0516094,0.0969241,0.140427,0.164668,0.188209,0.240966,0.379011,0.622598,1.23068,2.15493]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.41937,1.59985,1.8027,2.03676,2.15881,2.3247,2.59902,2.91348,3.17181,3.70036]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(785, 177, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00921433,0.0142746,0.0252324,0.0379071,0.0449599,0.056452,0.080387,0.126365,0.209421,0.326911]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.2914,2.63886,4.32172,6.08368,8.2121,10.3894,12.5267,14.1395,15.6618,16.8629]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0212936,0.0467556,0.0701819,0.0916078,0.135308,0.165798,0.217048,0.338517,0.568517,0.692676]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.31223,4.68672,7.79447,11.249,15.0608,18.9996,23.1436,26.0765,28.8217,30.8351]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(786, 178, 81, '', '', '{\"age\":[\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0]}', '{\"age\":[\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.9368,140.865,347.033,565.797,751.577]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(787, 179, 81, '', '', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\"],\"number\":[0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\"],\"number\":[7.83231,15.6155,27.2485,39.136,57.2748]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(788, 180, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.200625,0.358251,0.428971,0.593156,0.851578,0.998251,1.69504,2.63666,3.92029,7.0592]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.4434,3.56179,4.09656,4.86506,5.73538,6.62924,8.04361,8.66957,9.42438,9.97129]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.325879,0.584452,0.965202,1.1721,1.59949,1.89461,2.98749,4.48338,7.52688,14.1105]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.81178,4.58063,7.18332,9.93479,13.0606,15.9663,19.2203,21.514,23.0862,25.6507]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(789, 181, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0623296,0.142773,0.194544,0.268787,0.364911,0.424498,0.510861,0.32309,0.308071,0.406789]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[218.532,485.638,691.489,783.008,783.546,666.537,487.441,507.49,424.105,151.662]}', '', '', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(790, 182, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0.00367754,0.0174704,0.0430472,0.0755036,0.0996081,0.127204,0.0808634,0.0723246,0.0833591]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[133.498,142.342,145.43,159.763,204.759,270.052,307.047,313.009,242.186,46.0576]}', '', '', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(791, 183, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[13.7282,130.892,234.638,269.903,281.219,182.515,1.03294,0.00518667]}', '', '', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(792, 184, 81, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\"],\"number\":[0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\"],\"number\":[4.1503,8.25996,14.3236,20.3893,29.5606]}', '', '', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(793, 185, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[0,0.000294942,0.000603551,0.000732425,0.000902482,0.000913368,0.000814739,0.000271013]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[1.50022,15.9225,40.5947,71.9332,80.2787,13.0965,0.255842,0.00157629]}', '', '', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(794, 186, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,1.77242e-5,0.000968429,0.00329711,0.00667184,0.0122582,0.0110588,0.0142845,0.0246146]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.39238,46.627,83.9988,103.413,111.69,120.953,134.385,149.314,139.465,105.604]}', '', '', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(795, 187, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[16.347,97.7157,131.81,117.233,37.4747,2.73041,0.059994,0.000397562]}', '', '', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(796, 188, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0623296,0.1388,0.176452,0.224039,0.285208,0.317304,0.370584,0.230897,0.221462,0.298815]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[46.0658,47.9887,46.757,46.4392,47.7353,47.6289,44.6598,45.1592,42.454]}', '', '', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(797, 189, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.93019,12.2239,10.2995,6.18359,5.53579,2.88415,3.10846,3.63513,5.48845,8.85563]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[285.341,274.672,281.891,268.205,260.747,280.302,254.861,238.206,208.822,294.953]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.1476,1.42285,1.41266,1.33849,1.35069,1.40057,2.07769,2.03715,2.97241,4.33818]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[226.003,181.857,177.82,172.074,174.514,199.742,197.766,193.411,198.438,216.288]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(798, 190, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0443569,0.0715838,0.0835133,0.0718254,0.0609653,0.0361438,0.0342879,0.0341927,0.0385982,0.0364832]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.14,20.8419,20.9342,20.6643,21.0694,21.3156,19.9075,19.688,17.9159,17.98]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0103427,0.021821,0.0218312,0.0203932,0.019753,0.018625,0.0247544,0.0217316,0.0263641,0.0290671]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.151,9.56101,6.32379,7.08082,9.66657,10.487,12.229,12.7175,14.8852,17.1063]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(799, 191, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.43281,4.44071,5.02695,4.42108,4.00024,2.5867,2.72409,3.03863,4.00845,4.7119]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[251.324,240.42,247.942,234.856,226.785,245.908,222.685,205.82,178.966,168.674]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.10891,1.34813,1.35378,1.28934,1.30421,1.34475,1.98701,1.93117,2.72568,3.70139]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[178.031,144.322,146.812,139.616,136.88,160.731,155.217,146.425,146.658,150.382]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(800, 192, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0638158,0.0653066,0.0704027,0.0605566,0.0547745,0.0363139,0.0432602,0.0606009,0.0996262,0.143264]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.966279,0.941906,0.952365,0.940092,0.976882,1.02706,0.935283,0.910512,0.813445,0.817166]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0251268,0.0330863,0.0291176,0.0256499,0.0253292,0.0260977,0.0429521,0.0544596,0.095963,0.161289]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.748552,0.281769,0.160165,0.196628,0.327653,0.391357,0.543146,0.601222,0.828886,1.105]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:12:43', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(801, 193, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.38921,7.64633,5.1186,1.63013,1.41981,0.224989,0.306819,0.501706,1.34177,3.96398]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.9103,12.4677,12.0624,11.7446,11.9162,12.0509,11.3338,11.7869,11.1261,107.482]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00321962,0.0198123,0.00793239,0.00310448,0.00140417,0.0110891,0.0229713,0.0297906,0.124412,0.446429]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[32.0724,27.6928,24.5235,25.1797,27.6403,28.1329,29.7763,33.6675,36.0663,47.695]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(802, 194, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.703523,1.11436,1.27513,1.33279,1.31322,1.52522,2.1122,2.66735,3.93117,6.01157]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[31.373,36.6239,40.9221,46.208,52.3598,58.4308,64.0244,79.0315,92.5392,152.227]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.888172,1.30221,1.57277,1.7611,2.08285,2.3876,3.55859,5.01996,6.8804,9.71024]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.4111,25.825,28.7124,33.9219,40.4039,46.6565,54.6776,68.9052,82.2296,103.548]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(803, 195, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.92474,1.43593,1.33474,1.40019,1.58887,2.01614,2.97907,4.26058,6.52141,8.94249]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1155.65,1402,1809.97,2161.87,2570.83,3092.14,3707.58,4246.43,4699.53,5121.33]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.513847,0.764515,0.957618,0.945019,1.12542,1.24712,1.77393,2.75098,3.86304,6.04757]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1020.79,1161.71,1637.09,1941.86,2248.15,2606.8,3031.8,3429.27,3782.58,4132.36]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(804, 196, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.211366,0.352092,0.317481,0.394922,0.542677,0.893975,1.38733,2.40133,4.31572,6.13218]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.0782,41.0465,60.1328,74.8977,85.0918,93.3705,103.239,118.193,138.955,161.453]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.102567,0.149007,0.162976,0.200372,0.242937,0.304899,0.484928,0.820255,1.28504,2.24743]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.73348,11.2004,16.6815,20.9422,24.0917,26.9109,29.8565,34.8025,40.6783,47.357]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(805, 197, 81, '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.9401,144.515,430.894,830.356,1133.36,1282.93,1367.87]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.94618,87.719,263.754,512.406,705.222,800.064,855.048]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(806, 199, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[414.646,458.356,538.179,686.619,832.744,958,1093.18,1227.06,1355.46,1477.78]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[530.136,621.133,759.417,933.062,1101.81,1239.21,1388.73,1554.86,1712.6,1853.72]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(807, 200, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[523.387,475.977,495.663,619.024,739.353,854.134,916.718,896.761,875.7,854.739]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[421.089,381.119,393.661,492.585,586.027,678.569,728.394,711.779,692.823,675.868]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(808, 201, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0031907,0.0153933,0.0420532,0.0854513,0.141447,0.215543,0.308642,0.434148,0.568023,0.680607]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00741021,0.0537389,0.14823,0.288749,0.484782,0.790151,1.13475,1.49831,1.85634,2.24749]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(809, 202, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.713374,1.08384,1.01726,1.00527,1.04619,1.12217,1.59174,1.85925,2.20569,2.81031]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[196.534,426.6,715.952,768.303,768.985,755.525,763.787,870.621,1045.92,1258.8]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.411281,0.615509,0.794643,0.744646,0.882484,0.94222,1.289,1.93073,2.578,3.80014]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[63.826,148.206,467.179,487.032,448.011,397.567,371.277,421.108,534.567,698.12]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(810, 203, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.04059,2.19952,1.52723,1.18046,1.37026,1.5148,2.06148,2.45587,3.92344,5.94101]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[970.794,808.131,870.062,994.938,1140.04,1289.96,1522.56,1922.79,2422.07,3180.81]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.766516,1.82251,1.34704,1.46654,1.56795,1.92849,2.42153,3.58856,5.11369,8.16475]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[934.862,787.951,866.976,1006.93,1167.26,1338.6,1593.14,2019.66,2527.22,3284.02]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(811, 204, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.668528,1.62263,0.850269,0.456205,0.469843,0.373078,0.643191,0.470923,0.61465,0.879184]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[46.5638,32.8445,28.0512,25.566,23.6977,21.6236,21.9268,24.3743,24.2233,22.2584]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.447248,1.31563,0.613679,0.528598,0.474407,0.561061,0.526901,0.834527,1.15909,1.88378]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[47.3791,31.5004,26.797,24.2773,22.0621,20.5735,19.8195,22.3305,22.0942,20.1363]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(812, 205, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0474356,0.0939606,0.0602582,0.0323906,0.0307874,0.0225907,0.0240673,0.0141591,0.0179157,0.0197095]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.18787,7.98707,7.7006,7.33672,7.19641,6.95982,6.86107,6.4593,6.156,5.82032]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0287681,0.0855333,0.0399621,0.0341524,0.0280589,0.0344642,0.024091,0.0364557,0.0473802,0.0542476]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.72402,6.62299,6.23973,6.03026,5.85277,5.72464,5.37765,4.98842,4.89152,4.48517]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(813, 206, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.289251,0.667811,0.36089,0.158124,0.151722,0.122149,0.209754,0.134162,0.185293,0.304919]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.7259,3.71287,2.91096,2.43769,2.13863,2.21202,2.31033,2.01691,2.46418,3.30419]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.220309,0.682638,0.312248,0.227258,0.183357,0.199546,0.18794,0.261662,0.38506,0.663973]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.3444,3.31,2.64371,2.24433,1.98827,2.0906,2.19544,2.21157,2.65075,3.73939]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(814, 208, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0660908,0.184671,0.115558,0.076219,0.0697883,0.0642385,0.0982549,0.0826018,0.0848913,0.0924006]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.43805,7.98263,7.61676,6.83308,6.19702,5.36962,5.25312,7.46888,7.32525,5.87537]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0282886,0.0987657,0.055557,0.0570586,0.0493505,0.0609098,0.066024,0.107056,0.138907,0.145185]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.61375,8.21101,7.74972,7.11198,6.30486,5.45293,5.2969,7.06871,6.75663,4.97236]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(815, 209, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0193435,0.0612581,0.0346721,0.0151232,0.0109833,0.00952267,0.0139147,0.00909552,0.0159547,0.0114324]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.87854,2.81213,2.57155,2.42916,2.1278,1.77758,1.83042,2.53476,2.48401,1.75258]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00915957,0.033026,0.0174927,0.013404,0.00958157,0.0110337,0.00914177,0.0198375,0.0190271,0.0392487]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.94416,3.08236,2.865,2.58793,2.32355,2.05195,1.99507,2.71543,2.49152,1.71432]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(816, 210, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.246407,0.614927,0.27889,0.174349,0.206562,0.154577,0.2972,0.230904,0.310595,0.450722]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.5412,9.41855,6.75357,6.29943,5.90072,5.21797,5.60347,5.8327,5.73692,5.45236]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.160723,0.415671,0.18842,0.196725,0.204059,0.255108,0.239705,0.409516,0.568717,0.981124]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.4735,9.15397,6.76259,6.02018,5.45431,5.14515,4.86374,5.25912,5.22076,5.14571]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(817, 211, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.372058,0.576895,0.676964,0.724253,0.900419,1.14172,1.41829,1.98495,3.30879,5.06183]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[680.651,504.425,460.743,458.701,463.037,479.062,502.119,538.563,582.086,627.798]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.319268,0.506875,0.733359,0.937943,1.09354,1.36743,1.89463,2.75404,3.95459,6.28097]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[605.481,434.892,397.513,398.54,405.877,425.918,457.075,511.334,577.901,652.748]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(818, 212, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[155.722,140.538,136.463,133.062,131.026,129.262,128.405,127.308,126.781,125.65]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[128.131,115.844,111.804,109.448,107.928,106.705,106.339,106.217,105.56,104.376]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(819, 213, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.21748,8.30355,10.061,11.5906,13.2858,14.8319,16.7427,19.607,22.3492,24.7269]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.07783,10.6558,12.7521,14.8523,16.7691,18.7199,20.9928,24.7574,27.8524,30.4184]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(820, 214, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.116979,0.200166,0.233712,0.266716,0.328234,0.378821,0.480378,0.669768,1.11826,1.58395]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.29497,5.62946,5.73312,5.86692,6.12147,6.39465,6.7111,7.43563,8.2732,9.14006]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.103585,0.144923,0.212429,0.295094,0.376446,0.474665,0.68773,0.936428,1.36595,1.97446]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.28753,5.68415,6.2332,7.08738,7.90055,8.61633,9.39598,10.5648,11.6991,12.7774]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(821, 215, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.159625,0.254382,0.275878,0.304349,0.38707,0.490811,0.567333,0.78735,1.30801,1.87046]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.6442,14.0969,13.6246,13.9006,14.0835,14.203,14.7735,17.0855,19.5298,21.6631]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.146613,0.219542,0.312999,0.406998,0.442034,0.558542,0.765196,1.15859,1.58697,2.3941]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.9084,12.625,12.339,12.7237,12.9767,13.2047,13.667,15.6682,17.6929,19.5585]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(822, 216, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.8543,18.9008,19.9255,20.4457,20.1935,19.9919,19.7244,19.4441,19.1954,18.9747]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.434,20.1851,21.0789,21.4242,21.1998,20.8689,20.7137,20.4077,20.1035,19.7498]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(823, 217, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[35.2327,22.4588,26.3403,30.2342,34.0384,37.8087,43.079,50.7514,58.372,65.7795]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[39.0883,24.658,29.0848,33.5314,37.8774,42.1296,48.015,56.6371,64.9557,72.994]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(824, 218, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[71.8711,29.247,27.0675,24.9108,22.769,20.8999,19.6553,19.6052,19.45,19.276]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[76.9788,31.7267,29.3847,27.1413,24.904,22.7798,21.4811,21.4121,21.1362,20.863]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(825, 219, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[216.978,120.801,65.7695,42.9036,24.6781,14.2289,6.08643,3.85378,2.62942,1.41252]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[192.917,105.911,57.6842,37.6269,21.4997,12.425,5.38975,3.39744,2.30256,1.24756]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(826, 220, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.1686,26.3887,27.6888,28.3804,27.9052,27.4397,27.1313,26.8169,26.3966,25.8345]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.6601,16.6785,17.6563,18.0626,17.8763,17.5091,17.2802,16.9146,16.7319,16.313]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(827, 221, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.3414,26.56,34.2432,42.9973,51.5614,60.1375,65.7345,66.7697,67.9081,68.8145]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.2444,19.6172,25.4951,32.3383,39.1188,45.842,50.1731,50.9314,51.5376,51.9344]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(828, 222, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[41.7967,41.9231,42.8434,44.9347,47.2067,49.2816,50.3379,49.2353,48.1732,46.8052]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.4829,27.4677,28.18,29.7931,31.1581,32.6086,33.056,32.3292,31.4611,30.7163]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(829, 223, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0909579,0.119482,0.16278,0.150393,0.181542,0.268204,0.363728,0.521372,0.871219,1.5812]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.891268,1.65712,2.40969,3.43521,4.70868,6.565,9.65639,13.6302,19.1369,26.8682]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0663528,0.138991,0.203308,0.233145,0.269582,0.327181,0.432025,0.647595,0.98504,1.88724]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.896765,1.58771,2.66338,3.92626,5.77503,8.28098,12.2683,17.67,24.7282,34.0854]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(830, 224, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00449636,0.00286423,0.00459467,0.00279475,0.00357221,0.00388655,0.00684656,0.00645567,0.0113067,0.0262097]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[61.6383,47.9205,48.5729,56.0386,65.459,78.0177,94.0814,117.021,143.892,172.853]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00271608,0.00341948,0.00462208,0.00270478,0.00547498,0.00703966,0.0096813,0.0114213,0.016638,0.025177]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[57.3742,42.2513,43.1574,50.5846,60.8937,76.2282,98.3031,134.427,182.139,237.715]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(831, 226, 81, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.173362,0.996613,3.34301,7.13678,12.3806,18.7043,29.7894,46.4604,69.437]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.16221,0.823851,2.68545,6.17562,11.2742,19.0263,32.7002,55.9034,90.138]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(832, 227, 81, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.964653,4.76063,15.1217,31.4248,50.3507,76.2095,127.522,206.479,319.401]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.45799,2.22756,7.54444,16.8597,28.928,49.9795,93.6371,162.013,262.575]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(833, 228, 81, '{\"age\":[\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0]}', '{\"age\":[\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.83884,18.053,41.8167,79.2479]}', '{\"age\":[\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0]}', '{\"age\":[\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.0727,11.1488,27.1853,54.6778]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(834, 229, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[41.4242,29.1326,37.0515,51.9579,70.6683,94.097,129.187,206.172,331.791,522.458]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[34.7185,24.279,30.3917,42.4895,58.1784,78.255,108.612,172.883,277.84,432.543]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(835, 230, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[91.8911,110.013,158.137,206.395,256.93,310.728,399.322,532.632,656.566,894.109]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[139.264,166.313,224.891,284.162,345.157,414.369,523.91,686.324,836.208,1116.25]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(836, 231, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[40.0984,46.8816,62.5146,74.8774,81.9033,86.7705,105.371,143.696,184.938,229.49]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[41.8841,50.5613,70.0114,89.4792,105.749,119.229,141.328,183.306,220.883,249.862]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(837, 234, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[68.9627,79.9735,89.9627,85.0261,75.2558,59.4283,55.2488,55.8479,55.9499,54.5025]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[64.8179,75.9311,85.9476,81.4004,72.0901,57.2957,53.0345,53.56,53.4164,51.8376]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(838, 235, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00815938,2.11077,21.726,59.9291,105.297,135.725,150.277,153.83,152.838,147.236]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00822431,2.22499,22.9744,64.1663,113.625,148.087,165.127,170.692,170.178,163.77]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(839, 236, 81, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.481935,4.97785,12.812,23.3765,38.3329,58.6469,90.253,136.351,211.622]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.391487,4.18047,10.9098,20.083,33.0838,51.3139,79.5266,120.849,185.995]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(840, 238, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.90973,14.521,11.5306,7.45736,9.38487,8.62797,14.6713,14.912,22.7798,24.1097]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[103.677,140.651,167.724,190.566,196.692,201.098,197.541,196.25,182.146,165.259]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.3365,48.0589,54.9497,53.3432,41.6377,33.2246,36.5806,39.1534,46.3618,50.2064]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[167.245,239.431,298.463,347.06,363.931,377.313,385.014,383.693,366.987,342.061]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(841, 239, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.32622,13.6291,10.5515,6.63926,8.65034,7.95852,13.9465,14.1304,21.6543,23.2149]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[80.0475,105.439,130.585,145.787,154.295,161.379,163.918,159.108,153.864,140.422]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.5236,46.0239,52.3545,50.5712,39.7324,31.553,34.865,37.2644,44.5314,48.2685]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[144.399,202.845,246.764,281.154,308.397,319.199,323.232,321.136,309.475,293.039]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(842, 240, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.35972,4.78682,3.73137,2.3323,2.93827,2.93346,4.91344,5.75574,9.18824,10.0968]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[35.2545,39.8536,49.9699,55.318,56.0797,63.4539,61.0727,68.9717,70.1271,64.9985]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.94867,15.3525,18.2802,17.888,12.8632,11.0841,13.3464,13.8759,17.3067,20.8042]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[75.4367,77.5486,94.4516,106.603,107.595,122.723,133.079,129.124,129.702,133.903]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(843, 241, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.561972,0.665643,0.667732,0.365491,0.41244,0.358042,0.512904,0.603559,0.922097,0.949803]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.93816,5.55997,8.92958,8.68838,7.88107,7.69688,6.38394,7.27894,7.00666,6.14657]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.21674,2.3829,2.6333,2.36634,1.90397,1.52994,1.55503,1.69877,2.056,2.37628]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.52271,12.247,13.6986,14.1722,16.0242,17.0328,15.5037,15.7401,15.4045,15.2575]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(844, 242, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.892509,1.11346,1.20704,0.617048,0.550336,0.547968,0.548217,0.632813,1.02779,1.02528]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.30615,9.26355,16.2164,14.7122,10.5239,11.9184,6.77722,7.6288,7.85358,6.60867]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.91379,3.92675,4.40787,3.48345,2.90976,2.13079,2.37551,2.46169,2.78583,3.00533]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.0793,20.4752,23.0363,21.0509,24.7075,23.8663,24.0191,22.8453,20.8533,19.4457]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(845, 243, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.00153,6.44568,4.3986,3.00523,4.40529,3.7602,7.54829,6.60741,9.69144,10.2336]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[31.5248,53.8742,59.6733,71.5582,83.7301,81.3657,93.7065,79.4966,73.5063,65.942]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.54862,22.5274,24.471,24.544,20.5438,15.5546,16.276,17.8188,20.6025,20.2448]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[71.0344,113.237,127.79,148.273,175.423,173.467,162.807,165.847,154.32,130.622]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(846, 244, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.510485,0.61751,0.546713,0.319194,0.344011,0.358849,0.42364,0.53092,0.824743,0.909494]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.37917,5.20699,7.35315,7.54094,6.59589,7.80366,5.2562,6.48995,6.23183,5.79961]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.895791,1.83436,2.56222,2.28941,1.51167,1.25355,1.31207,1.40916,1.78032,1.83798]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.21711,9.70685,13.7246,14.0589,12.7464,14.1233,13.2993,13.2271,13.2265,11.8582]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(847, 245, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.583509,0.891905,0.979104,0.818095,0.734526,0.66945,0.724765,0.781563,1.12544,0.894755]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.6296,35.2118,37.1389,44.7789,42.3967,39.719,33.6225,37.1421,28.2816,24.8367]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.81284,2.03493,2.59519,2.77193,1.90535,1.6716,1.71561,1.88905,1.83046,1.93787]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[22.8456,36.5865,51.6987,65.9056,55.534,58.1134,61.7828,62.5575,57.5118,49.0221]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(848, 246, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.57569,10.5537,13.1705,13.3841,11.9783,12.5869,17.0773,15.6595,25.0422,34.6546]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[68.8534,84.9782,114.56,150.284,205.625,270.072,334.271,400.539,486.621,578.689]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.93582,12.1865,14.6398,14.5297,16.8442,20.1001,22.1945,28.9387,36.9815,45.9473]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[109.766,146.167,190.029,251.682,348.856,454.633,571.536,694.218,837.429,986.947]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(849, 247, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.60047,2.05302,3.63848,2.58915,3.02692,2.33958,4.27723,4.75584,6.96393,11.1573]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[40.0354,48.3476,66.0141,90.5846,133.924,184.837,239.399,298.603,377.139,463.663]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.95421,2.37883,2.90642,2.30737,4.68711,7.6797,8.92968,12.1927,17.2346,20.8607]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[53.1927,65.0845,87.8326,125.04,193.377,275.038,365.943,470.766,595.429,727.853]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(850, 248, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.6835,3.06059,2.00186,2.1307,1.41975,1.72352,2.45369,1.78072,2.12359,2.81317]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.900074,0.884774,1.2909,1.87779,2.65444,3.44406,4.23712,4.86802,5.59886,5.88204]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.25337,3.18619,2.59968,2.53772,3.05507,3.40819,2.67143,2.9634,3.18262,3.71758]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.64209,1.98592,2.71727,3.89923,5.46583,7.04172,9.27843,10.6617,12.7538,13.5943]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(851, 249, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.16252,1.21131,2.68864,1.54268,2.84453,2.24112,3.03727,2.02386,4.03023,5.56934]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.6876,14.1889,17.9431,21.1773,24.6913,27.7903,29.5964,30.1975,30.0663,29.3594]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.825348,2.20611,2.72257,1.02515,1.16765,1.12483,1.48092,2.07803,3.19416,4.84437]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.5502,18.8671,22.9184,27.6902,33.9261,39.0275,42.7326,44.5667,45.1604,45.74]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(852, 250, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.778192,1.08613,1.3397,1.93137,1.30813,1.02513,1.09852,1.06404,1.09279,1.17225]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.43211,3.00391,3.77385,4.23492,5.44812,6.23752,7.17438,7.92838,8.45964,8.18151]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.569819,1.1775,1.85966,2.80528,1.94777,1.77761,1.65595,1.68077,1.502,1.53848]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.87158,4.58248,6.03945,7.70647,10.4027,12.1507,14.7221,16.4497,17.7556,18.8139]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(853, 251, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.509494,0.607234,0.717592,1.25975,0.783007,0.601765,0.614118,0.919438,1.3145,1.53123]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.37431,5.08247,6.25922,7.08577,7.52527,7.45648,7.2037,6.5309,5.5207,4.53987]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.762755,1.00133,1.61683,2.44341,2.22733,1.6688,1.96535,1.99166,3.33868,3.67884]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.4912,20.8878,24.749,28.1582,32.1774,33.7526,33.4247,30.0445,25.7123,20.834]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(854, 252, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.40264,0.487001,0.522131,0.877687,0.543658,0.411108,0.392099,0.575297,0.750198,0.844135]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.81417,7.00423,7.86438,8.57703,10.7837,9.48318,8.77797,8.83658,5.69243,4.40412]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.498533,0.596757,0.824755,1.08387,1.0189,0.692646,0.760418,0.753914,1.23944,1.27197]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.9425,16.2882,16.082,16.2818,20.1639,21.0631,18.2445,16.6321,14.8686,11.5841]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(855, 253, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.106854,0.120233,0.195462,0.382065,0.239349,0.190657,0.222019,0.344142,0.564298,0.687099]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.4454,1.65164,2.70939,3.57009,4.24878,4.03717,4.50468,4.64226,3.93553,3.35526]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.264222,0.404576,0.792078,1.35954,1.20843,0.976158,1.20494,1.23775,2.09924,2.40688]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.45601,10.9805,15.6568,20.6382,24.7003,30.9531,28.2345,27.6559,24.9521,21.0504]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(856, 254, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.212364,0.406885,0.485589,0.583273,0.496992,0.716218,0.881984,1.07299,2.00412,2.57492]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.861,2.67832,4.69381,6.8733,9.80604,14.7168,18.7045,20.6755,27.5903,32.2096]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.264518,0.447421,0.674087,0.61314,0.685649,0.854403,1.25497,1.72846,2.25702,3.39157]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.88991,4.43631,5.93048,8.66818,12.4978,16.4264,25.2489,32.8429,48.4951,63.3491]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(857, 255, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.810474,1.19421,1.31623,1.35477,1.01749,1.62048,1.97832,2.28782,4.06608,4.76549]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.868081,1.00224,1.44423,2.05034,2.59946,3.83645,4.29267,5.52144,4.7994,5.18587]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.64307,0.960738,1.22571,1.10378,1.55593,1.89084,2.64272,3.70415,4.01039,5.81653]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.41512,2.10252,2.52121,3.59498,4.64763,5.29089,7.48217,9.67392,10.5246,11.829]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(858, 256, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.45807,0.636327,0.726403,0.716408,0.590678,1.07845,1.20947,1.39586,2.55448,2.76854]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.617495,0.705262,1.01842,1.41986,1.87754,2.90397,3.1743,4.08849,3.61945,3.88032]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.531717,0.794651,1.01376,0.920704,1.29604,1.56742,2.20712,2.93469,3.18878,4.59163]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.01553,1.54985,1.85093,2.67554,3.52101,4.04795,5.71561,7.50917,8.43159,9.13633]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(859, 257, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.352405,0.557879,0.589826,0.638366,0.426809,0.542029,0.768848,0.891957,1.5116,1.99695]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.250585,0.296983,0.425805,0.630479,0.721921,0.932485,1.11837,1.43294,1.17995,1.30555]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.111353,0.166087,0.211948,0.183073,0.259891,0.32342,0.435607,0.769465,0.821611,1.2249]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.399587,0.552667,0.670282,0.919437,1.12662,1.24294,1.76656,2.16475,2.09303,2.69267]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(860, 258, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.818674,0.934339,0.982449,1.99244,1.08148,2.31908,2.73617,1.75483,3.44701,5.07095]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.69474,9.78994,13.1405,16.3998,18.9757,21.7539,23.6638,26.215,27.4468,29.6677]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.662732,0.828369,1.03489,1.69387,1.5177,1.69571,1.59344,2.59951,2.26204,2.09922]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.7129,28.2201,37.3209,46.9243,56.3612,65.9054,72.7039,79.2124,81.5979,84.934]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(861, 259, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.3956,3.77105,4.7093,2.91571,3.86227,4.21643,4.98626,4.32139,4.71668,5.95392]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.37989,15.992,19.9335,22.0365,22.1061,20.4532,18.6561,15.5655,12.0678,9.52223]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.92134,7.09579,7.98364,10.4666,9.52443,5.24737,8.63662,6.97766,9.01219,12.8831]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.2313,44.1596,57.4891,67.0612,70.2209,65.1425,58.9979,51.2347,41.1788,32.6261]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(862, 260, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.906663,1.04011,1.22203,1.03769,1.23781,1.66694,1.97458,2.14169,2.48244,3.14709]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.12336,5.83954,6.42321,6.43129,6.72708,5.87049,5.75099,5.04195,4.30875,3.93128]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.11273,1.57698,2.52158,2.49942,3.08576,1.90943,3.08783,3.07953,5.74055,6.26979]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.74459,8.8545,9.60076,9.81731,10.9291,10.4726,10.8722,10.3828,9.99354,9.97799]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(863, 261, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.48894,2.73093,3.48727,1.87803,2.62446,2.5495,3.01168,2.1797,2.23424,2.80683]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.25654,10.1525,13.5103,15.6052,15.379,14.5827,12.9051,10.5235,7.75903,5.59095]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.80861,5.51881,5.46205,7.96714,6.43866,3.33794,5.54879,3.89812,3.27164,6.61328]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.4867,35.3051,47.8883,57.2439,59.2917,54.6699,48.1257,40.852,31.1853,22.6481]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(864, 262, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.641536,1.47172,1.36562,0.968647,1.23188,1.26346,1.26478,0.999005,0.898656,1.00322]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.25427,6.53475,6.16762,9.71142,8.78228,8.77633,6.3421,6.44089,4.12884,2.88203]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.578013,1.78133,1.62075,2.60185,2.32684,1.08532,1.9133,1.29601,1.05802,2.83793]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.69632,13.4115,16.3204,22.0905,24.8075,21.1005,20.046,15.8729,13.1776,14.728]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(865, 263, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.348439,0.552807,0.743225,0.507528,0.527919,0.528461,0.666516,0.415195,0.449603,0.555699]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.75379,2.41427,3.41659,4.98482,3.78987,3.59282,3.31187,2.59186,2.02075,1.56462]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.742484,2.17629,2.13815,3.04214,2.22081,1.22663,2.04952,1.41615,1.20136,1.81578]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.78924,16.4804,21.5328,26.0971,23.8985,23.9163,21.3007,17.4235,14.8201,9.81441]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(866, 264, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.498966,0.706407,1.37842,0.40185,0.864655,0.757572,1.08039,0.765502,0.885983,1.24791]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.45226,3.1058,6.24405,3.99187,6.18819,5.23873,5.62716,4.79704,4.12433,3.63412]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.488117,1.56119,1.70315,2.32315,1.89101,1.02599,1.58597,1.18596,1.01225,1.95957]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.30356,11.5185,17.156,19.7227,20.2851,19.6491,16.588,14.7338,12.6785,9.83571]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(867, 44, 81, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[178.695,169.193,160.599,153.059,144.407,137.531,130.133,121.506,110.149,98.2264]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[248.722,238.272,227.791,215.604,204.77,193.117,183.05,169.175,153.233,135.614]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(868, 152, 81, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.9723,37.7519,23.2992,16.0213,10.7157,5.71155,2.33734,0.918956,0.434308,0.208022]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[34.4254,61.6431,38.2954,27.1602,19.2026,10.1673,4.0507,1.56829,0.685816,0.317423]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(869, 154, 81, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1350.58,1501.79,1595.8,1673.59,1727.77,1779.05,1823.91,1818.25,1783.22,1627.25]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[837.313,939.305,992.381,1036.71,1061.04,1081.11,1102.47,1109.42,1086.12,987.638]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(870, 157, 81, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[56.9498,55.4806,54.0196,52.6042,51.1959,49.861,48.3821,45.597,43.6144,41.6054]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[192.284,188.896,185.652,180.229,176.057,170.934,164.515,158.542,150.715,142.897]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(871, 158, 81, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[184.934,18.4068,2.83582,1.37371,0.60168,0.227875,0.0681601,0.0167313,0.00324395,0.000151189]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[454.724,50.8806,11.1888,5.74367,2.63833,1.04142,0.341518,0.0944202,0.0215013,0.00463245]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(872, 198, 81, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[938.033,934.333,1033.84,1305.64,1572.1,1812.13,2009.89,2123.82,2231.16,2332.52]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[951.225,1002.25,1153.08,1425.65,1687.84,1917.78,2117.12,2266.64,2405.42,2529.58]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(873, 207, 81, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.79225,0.931213,0.497766,0.229931,0.137137,0.0865656,0.0683764,0.0617665,0.0569078,0.0535619]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.27934,1.1201,0.536248,0.282568,0.138317,0.108228,0.0907503,0.0872373,0.0830478,0.0793824]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(874, 225, 81, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[174.608,188.295,264.601,352.904,449.38,555.788,734.339,1059.92,1470.62,2117.39]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[217.176,243.011,329.563,427.64,533.527,653.643,846.77,1182.22,1582.78,2209.53]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(875, 232, 81, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.19436,1.12957,1.14077,1.20933,1.31689,1.46117,1.70634,2.06051,2.56705,3.2481]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.30922,1.23799,1.21725,1.2795,1.40673,1.58788,1.841,2.21705,2.75048,3.48274]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(876, 233, 81, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[68.9708,82.5662,116.667,157.767,203.929,233.487,264.173,299.931,345.139,413.36]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[64.8261,78.5476,113.103,156.476,205.798,238.466,269.476,303.779,344.443,401.602]}', 2010, '', 1, '', 845, '2014-05-23 21:05:27', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(877, 301, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.17558,1.37461,1.59358,1.65626,1.64988,1.28164,1.81279,1.73651,2.26583,3.82797]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.5025,12.7981,13.9109,15.1568,16.2286,17.2934,18.5663,19.6863,20.6467,21.7795]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.32038,3.00908,4.1159,4.14089,3.99473,3.00854,4.6684,4.5473,5.92159,7.59868]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.2556,11.3502,12.292,13.3484,14.3349,15.1709,16.2272,17.0911,18.0284,18.743]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(878, 302, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.457343,0.534824,0.620051,0.642348,0.642406,0.497988,0.703629,0.675327,0.882629,1.48988]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.47667,4.98461,5.423,5.90866,6.31986,6.73099,7.23631,7.67183,8.04603,8.49776]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.906332,1.17424,1.59951,1.60877,1.5552,1.17113,1.81747,1.76989,2.29975,2.95658]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.00043,4.42121,4.78966,5.20052,5.57999,5.90629,6.31382,6.65121,7.01702,7.29943]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(879, 303, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.787221,0.920207,1.0668,1.11127,1.10339,0.858192,1.21522,1.16322,1.51583,2.56271]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.69887,8.56089,9.30189,10.1342,10.8579,11.5726,12.4168,13.1654,13.8083,14.5577]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.5503,2.01037,2.75504,2.77565,2.6737,2.01318,3.12556,3.04369,3.96673,5.08433]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.85575,7.59356,8.22185,8.92848,9.59176,10.151,10.8636,11.4379,12.0658,12.5383]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(880, 310, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.14477,14.2104,19.5045,18.2292,15.8053,12.7795,11.7127,7.5334,11.9402,17.0541]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[952.303,1002.78,974.242,965.77,987.549,986.874,921.772,935.647,876.464,880.463]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.19079,3.26764,4.72565,6.1637,7.64275,5.50208,6.76064,7.80902,10.922,19.2974]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[325.828,281.766,249.274,257.356,283.312,289.32,302.693,343.355,366.531,387.96]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(881, 284, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.14477,14.2104,19.5045,18.2292,15.8053,12.7795,11.7127,7.5334,11.9402,17.0541]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[952.303,1002.78,974.242,965.77,987.549,986.874,921.772,935.647,876.464,880.463]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.19079,3.26764,4.72565,6.1637,7.64275,5.50208,6.76064,7.80902,10.922,19.2974]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[325.828,281.766,249.274,257.356,283.312,289.32,302.693,343.355,366.531,387.96]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(882, 274, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.98448,7.30181,9.27182,9.92193,18.7988,21.5156,27.6447,42.828,56.276,84.2935]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[200.388,395.635,424.042,327.576,275.342,224.998,190.806,146.039,103.342,56.0801]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.19173,10.9412,16.5058,20.5327,40.8827,42.7732,55.1282,71.0905,95.1012,136.198]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[374.877,787.535,863.922,726.639,647.047,543.862,484.824,405.793,343.141,264.164]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(883, 275, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.62522,6.437,7.60566,7.77553,16.3921,19.3632,25.7901,41.4912,55.1785,83.3351]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[75.2432,93.962,91.8947,84.7557,105.419,106.957,107.56,91.4263,69.5987,38.637]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.80243,10.0258,14.7258,18.3775,38.1833,40.3612,52.7173,69.1838,93.5473,134.823]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[170.707,224.963,230.217,221.339,284.246,302.12,323.491,301.485,278.548,228.725]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(884, 276, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.364546,0.87539,1.67887,2.16067,2.43468,2.18714,1.90039,1.42678,1.21332,1.15954]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[125.147,301.68,332.155,242.831,169.95,118.081,83.305,54.6882,33.8416,17.5602]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.393107,0.922895,1.79884,2.17695,2.75084,2.45629,2.47984,1.99947,1.68467,1.57838]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[204.173,562.581,633.724,505.317,362.836,241.769,161.371,104.347,64.6368,35.4907]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(885, 277, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.30821,1.64763,3.24138,3.73559,3.62568,4.2478,4.65031,4.92768,6.86419,9.64893]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[89.3012,108.468,277.312,354.919,410.828,491.222,590.407,712.285,757.292,894.138]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.508,14.7092,29.1759,29.7986,30.1582,30.3821,32.0301,35.5593,37.6517,40.9804]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[147.546,191.514,483.331,604.278,688.324,805.131,946.918,1134.24,1215.81,1426.2]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(886, 278, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0174675,0.0326128,0.0354155,0.0508647,0.0510686,0.0843516,0.156523,0.229033,0.47088,0.690278]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00612087,0.0115187,0.0127431,0.0172554,0.0169841,0.0261937,0.0400109,0.0517078,0.101043,0.138053]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0303784,0.0576533,0.0640237,0.0901286,0.11333,0.180415,0.399163,0.845816,1.65291,2.77128]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.010129,0.0155909,0.0242874,0.0294618,0.0398508,0.0544647,0.111681,0.210022,0.404237,0.609636]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(887, 279, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0215954,0.0770409,0.140913,0.263616,0.355814,0.517196,0.631129,0.618705,1.163,1.70326]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.80544,6.61992,8.9963,7.982,7.88323,8.1499,8.84807,9.40393,9.98546,10.5086]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0730917,0.186175,0.462319,0.435424,0.458603,0.466883,0.638155,1.11738,1.40893,1.78352]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.7989,10.7991,14.5342,12.9553,12.6981,13.1869,14.2344,15.2366,16.0976,16.8418]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(888, 280, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.26915,1.53797,2.96129,3.27013,3.03883,3.40322,3.30865,3.21239,3.27239,3.20086]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.4045,14.4654,28.3276,28.8604,29.0917,29.0468,29.8152,30.704,30.0088,29.0114]}', '', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(889, 313, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.91399,4.65481,5.60081,4.34116,4.42218,3.66194,3.51742,2.18921,2.34287,2.83788]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[417.643,535.171,577.877,608.543,624.654,636.3,641.208,625.502,592.6,521.221]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.230574,0.168435,0.260635,0.249894,0.302182,0.1862,0.292299,0.28917,0.516676,0.543097]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[88.3986,100.841,101.084,99.0496,98.579,98.8416,98.9715,94.9737,87.1214,72.5317]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(890, 314, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.134962,0.151833,0.170469,0.141639,0.167903,0.222785,0.261234,0.281724,0.32668,0.397313]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[165.443,179.924,183.216,184.679,186.759,189.022,189.956,184.473,174.633,150.849]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.230574,0.168435,0.260635,0.249894,0.302182,0.1862,0.292299,0.28917,0.516676,0.543097]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[88.3986,100.841,101.084,99.0496,98.579,98.8416,98.9715,94.9737,87.1214,72.5317]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(891, 304, 81, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.39932,4.50764,8.06694,16.1282,24.7909,40.378,60.2427,104.777]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.9697,34.4994,45.9561,58.8001,75.3165,98.7623,124.172,145.56]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.9544,7.87624,10.1587,24.0177,31.4406,56.0744,90.793,139.701]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[32.1143,44.1267,57.9161,73.6999,94.1432,123.629,155.083,180.378]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(892, 306, 81, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.91437,9.28037,16.4372,33.6585,53.3316,89.0778,136.001,242.5]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[184.571,243.331,314.979,397.545,501.344,653.091,836.11,1039.71]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.9029,14.9071,19.4987,45.8272,62.2223,115.207,190.033,301.895]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[163.846,210.422,262.795,322.737,397.471,507.738,631.073,746.913]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(893, 307, 81, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0330172,0.0478911,0.0561442,0.0764617,0.170299,0.268639,0.615178,1.30161]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0763723,0.0963582,0.115828,0.159714,0.27051,0.669555,1.0721,1.77163]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(894, 309, 81, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.65418,2.86515,1.63101,2.89347,4.97487,8.57416,13.6948,24.6553]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.27219,13.1759,6.99545,9.13876,13.5364,18.555,25.1257,32.049]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.790013,1.26107,1.77738,3.54476,5.42696,10.4434,17.6718,28.8917]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.0285,3.67047,6.74436,8.53754,13.7478,20.3253,28.7158,36.5777]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(895, 305, 81, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0165549,0.0229018,0.0182378,0.0368525,0.0866478,0.124969,0.210559,0.327931]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00591225,0.00453132,0.00389228,0.00664529,0.0166904,0.0223605,0.041677,0.058436]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0218325,0.0574252,0.0472515,0.115739,0.223343,0.589511,0.866168,1.5092]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00816508,0.0164872,0.0141888,0.0319647,0.0541729,0.136857,0.199426,0.312007]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(896, 308, 81, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.63762,2.84225,1.61277,2.85662,4.88822,8.44919,13.4843,24.3274]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.26628,13.1714,6.99156,9.13211,13.5197,18.5327,25.0841,31.9905]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.76818,1.20364,1.73013,3.42902,5.20362,9.85386,16.8057,27.3825]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.02034,3.65398,6.73017,8.50558,13.6936,20.1885,28.5164,36.2657]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(897, 271, 81, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.200259,1.04294,2.76607,4.78334,5.39074,8.06664,14.1044,28.8922]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.20171,37.586,52.9264,22.4709,21.1098,24.646,43.3571,53.4422]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.239919,5.07471,8.34201,21.3292,36.4763,64.7214,107.247,165.465]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.731374,180.838,223.184,261.88,256.59,431.009,484.069,630.347]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(898, 272, 81, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.200259,0.368595,0.642541,1.27666,1.93468,3.07705,4.55919,7.69859]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.20171,1.87998,2.71888,3.65789,5.11261,6.91645,8.76987,9.95884]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.239919,0.30074,0.371732,0.846216,1.10256,1.82096,2.99362,4.73066]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.731374,1.13336,1.59851,2.10679,2.94274,3.82489,4.99136,5.9325]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(899, 265, 81, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.2117,5.71575,11.8029,20.7642,38.5542,68.4298,104.694,184.926]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[84.7709,144.243,236.686,337.738,463.048,583.049,758.924,906.179]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.56301,8.37467,10.5108,24.253,44.4573,78.7768,153.82,229.225]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[97.6534,170.835,278.987,399.992,555.417,689.376,880.79,1027.35]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(900, 266, 81, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.314996,0.616299,1.65398,3.13801,7.02653,11.4713,21.7175,40.419]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.74438,6.06013,13.208,18.1416,38.6927,53.9817,78.4249,92.1184]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.541897,0.607584,1.58905,4.35334,5.32062,9.23866,14.5135,22.6278]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.51937,4.15864,11.9316,16.652,23.7702,33.0098,40.4042,46.9796]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:04', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(901, 267, 81, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.17826,6.79186,21.228,39.3122,87.0424,141.509,259.083,461.187]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.4034,32.5048,96.6219,130.795,269.381,342.521,545.362,674.698]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.6878,15.7842,25.0022,52.4718,90.9333,161.486,313.583,501.043]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[31.9819,49.7998,103.052,135.353,256.044,353.094,577.506,713.136]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(902, 268, 81, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.48778,6.78256,16.5036,24.1473,42.4244,68.193,99.5233,176.447]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[116.291,181.705,379.292,593.952,929.951,1154.73,1287.22,1424.93]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.62757,7.41772,9.51051,22.2985,30.3159,53.7234,85.056,126.127]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[95.3088,147.646,276.828,412.857,576.059,720.022,771.053,847.659]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(903, 286, 81, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.05018,14.6551,25.3816,51.3547,84.3608,142.844,223.814,404.003]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[83.371,136.816,202.829,283.828,383.449,503.391,637.472,761.802]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.044,23.5213,31.4629,73.3604,104.496,194.503,332.32,536.483]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[92.0063,155.321,240.423,337.913,466.312,620.711,797.371,950.299]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(904, 287, 81, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.08633,7.66491,13.7897,28.8063,46.3932,76.8318,112.789,183.796]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.1964,24.1987,35.4839,48.3256,69.6823,97.5079,127.877,140.958]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.4036,13.3412,17.4831,39.6281,57.3949,105.113,172.155,259.222]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.4928,33.2987,48.8832,67.483,98.4444,139.221,184.286,205.206]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(905, 288, 81, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.66527,4.87584,8.54557,17.5567,27.5058,44.573,63.3585,106.724]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.16184,14.2931,20.5384,27.5164,38.9568,53.4871,68.7754,79.908]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.8838,8.15761,10.4624,23.0109,32.7541,58.2591,93.8394,145.86]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.9479,18.9691,27.2666,36.8978,52.8878,73.4399,95.7463,111.417]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(906, 289, 81, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.10032,3.96204,7.08508,14.3037,22.1176,35.8123,53.198,92.1798]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[35.7852,58.1165,86.8676,118.017,151.141,187.1,222.877,250.852]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.12951,6.79205,8.78454,20.7573,27.911,48.9549,79.3695,122.055]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[41.4726,69.1253,103.93,142.751,185.403,229.983,272.677,304.144]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(907, 290, 81, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.16933,2.32399,4.58528,8.48348,12.5252,21.1808,39.0799,73.1651]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.3349,29.9008,44.6617,62.1283,90.5705,129.363,171.692,207.041]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.75699,5.33425,7.1875,19.7569,23.2873,41.2742,71.6373,106.975]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.4738,39.1256,58.2634,82.0956,119.56,170.577,226.714,272.213]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(908, 291, 81, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.136264,0.198377,0.346535,0.422512,1.02036,1.41536,1.4692,2.63339]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0744888,0.11686,0.208954,0.253908,0.572914,0.78135,0.768369,1.22746]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.248154,0.283127,0.459642,0.282084,0.502278,1.03793,1.2082,2.75039]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.152301,0.19347,0.349157,0.225985,0.357063,0.675058,0.768846,1.61428]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(909, 292, 81, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0129981,0.0192125,0.0351287,0.0450901,0.107665,0.144689,0.143948,0.248601]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.45948,4.11969,6.34148,8.78611,10.6783,11.9843,13.0227,13.7945]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0293116,0.0343907,0.0576923,0.036447,0.0655625,0.132088,0.147975,0.324289]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.3391,5.7664,8.96255,12.4668,15.3113,17.1267,18.3739,19.2573]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(910, 293, 81, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.466995,0.865984,1.63142,2.86848,4.14015,6.75428,11.6982,21.5034]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.8051,39.6614,57.8469,77.1268,96.1983,118.318,139.56,159.688]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.66913,1.81724,2.41359,6.27348,7.19514,12.1695,19.7848,28.5992]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[26.85,44.6144,66.5216,91.3281,115.449,139.313,160.088,178.346]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(911, 294, 81, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.352343,0.442564,0.710844,1.01044,1.2636,2.20563,2.69648,4.42699]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.86912,13.182,19.4169,24.9127,29.3665,34.328,37.5797,39.5895]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.869593,1.0425,0.63231,1.27073,1.66838,2.82915,5.78362,7.99528]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.4967,17.4824,22.8105,28.381,33.6399,39.6298,50.2884,53.7513]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(912, 295, 81, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.375983,0.66687,1.21339,2.0093,2.82669,4.08215,6.16551,9.94278]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.99579,7.63369,10.6434,13.7556,18.2446,22.6491,25.8818,26.7809]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.57838,1.68095,2.18113,5.2342,5.70332,9.14605,13.8011,18.2974]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.30357,11.4772,16.1795,21.3066,28.4976,36.2725,42.5555,44.9227]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(913, 296, 81, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.176452,0.255086,0.442207,0.537398,1.2979,1.79166,1.85899,3.30663]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0979927,0.147492,0.26807,0.321857,0.72284,0.984693,0.971806,1.54728]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.326951,0.371598,0.604527,0.368947,0.654506,1.34571,1.56882,3.56746]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.197721,0.255343,0.460081,0.295721,0.47267,0.871847,1.00412,2.1047]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(914, 297, 81, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.788572,1.55903,3.03872,5.60307,8.18324,13.4776,24.3556,44.3322]}', '', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.18035,3.5377,4.72634,12.949,15.0555,26.1208,44.1871,64.2109]}', '', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(915, 298, 81, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.490896,0.960562,1.87082,3.42079,4.93969,8.13284,14.6453,26.6449]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.71355,12.4382,18.2859,25.0456,35.8215,49.9301,64.4925,75.579]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.00233,2.20137,2.92822,7.9404,9.20048,15.8743,26.911,38.937]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.85742,16.23,23.8731,33.1163,47.3298,65.8044,85.0631,99.0789]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(916, 299, 81, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.143286,0.278556,0.526895,0.947668,1.35003,2.13355,3.66626,6.36797]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.2497,3.56953,5.19546,7.02418,9.78867,13.0584,16.0986,17.9965]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.541511,0.597605,0.770575,2.06297,2.3166,3.86059,6.2645,8.75265]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.7116,4.37721,6.31532,8.60569,11.994,16.05,20.0019,22.4095]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(917, 300, 81, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.85207,5.04531,5.67871,11.6207,19.3628,33.0368,52.6542,95.8877]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.452,23.6815,24.6018,37.0067,53.1995,72.1939,97.7476,125.752]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.1885,4.95401,6.89917,15.7274,23.4812,44.0165,75.309,124.346]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.40879,14.9677,26.8091,39.0124,61.768,90.4464,128.143,164.92]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(918, 270, 81, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.29876,3.89651,7.6969,13.7401,21.4772,35.9806,59.1821,108.811]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[41.545,67.1754,100.786,138.945,181.902,230.654,298.93,364.42]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.59807,4.43695,5.24689,13.8849,18.2845,33.1979,63.6545,109.074]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[36.0754,59.9361,89.7741,124.371,163.316,208.399,274.055,341.373]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(919, 283, 81, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.103761,0.150989,0.179958,0.243036,0.554011,0.867552,1.95792,4.05453]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[72.7399,91.9772,114.159,139.763,174.292,213.069,257.646,301.404]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.321966,0.412689,0.494586,0.68803,1.17757,2.89208,4.58105,7.41414]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[126.4,157.741,190.045,226.049,275.61,336.362,405.683,472.63]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(920, 273, 81, '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.674345,2.12353,3.50669,3.45606,4.98959,9.54521,21.1936]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[35.7061,50.2076,18.813,15.9972,17.7296,34.5873,43.4834]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.77397,7.97028,20.483,35.3737,62.9005,104.253,160.735]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[179.705,221.586,259.773,253.647,427.184,479.077,624.414]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(921, 269, 81, '{\"age\":[\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.7157,4.05733,7.08139]}', '{\"age\":[\"50-54\",\"55-59\",\"60-64\"],\"number\":[51.4624,81.9947,95.8623]}', '{\"age\":[\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.34026,7.68429,12.9236]}', '{\"age\":[\"50-54\",\"55-59\",\"60-64\"],\"number\":[72.0241,112.551,151.205]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(922, 315, 81, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.84639,4.5887,5.52808,4.28139,4.34956,3.56417,3.40032,2.05877,2.18671,2.64175]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[284.42,398.728,440.833,471.659,486.266,495.747,499.164,486.824,460.465,406.268]}', '', '', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(923, 281, 81, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[30.6792,41.9962,78.4434,103.272,102.274,124.814,151.353,207.167,182.617,255.882]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[52.2514,72.1992,125.412,160.439,158.241,191.678,229.793,310.319,280.932,391.574]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(924, 282, 81, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[49.8105,59.8409,117.12,151.671,186.496,218.47,255.874,282.593,306.943,326.205]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[81.4858,108.5,216.96,273.114,327.3,374.163,427.168,472.115,512.693,544.548]}', 2010, '', 1, '', 845, '2014-05-23 21:07:03', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(925, 1, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[60.8278,159.433,413.49,543.423,578.695,514.516,480.365,294.528,247.24,189.174]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[114.482,269.819,758.664,1251.66,1891.8,1656.19,1212.22,693.271,472.246,287.209]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[45.9075,88.4856,283.639,482.776,642.101,630.377,615.925,477.104,371.509,285.156]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[107.852,139.667,451.599,867.943,1533.12,1725.58,1620.09,1011.71,765.504,428.689]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(926, 2, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.05527,18.0023,27.7788,22.6345,22.7524,19.6649,28.6935,38.0069,69.9292,97.9408]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.9981,21.7839,54.7098,65.5968,85.4059,102.19,122.513,122.979,144.515,86.1004]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.5193,16.1322,30.4962,38.1661,36.4428,38.6279,55.6411,92.1212,125.342,167.416]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[26.1733,34.4865,95.0592,128.612,162.505,192.373,244.421,219.331,269.16,153.301]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(927, 3, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[54.7725,141.431,385.711,520.788,555.943,494.851,451.672,256.522,177.311,91.2333]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[98.4842,248.035,703.954,1186.06,1806.4,1554,1089.71,570.292,327.731,201.108]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[41.3882,72.3534,253.143,444.61,605.658,591.749,560.284,384.983,246.166,117.74]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[81.6784,105.18,356.54,739.331,1370.61,1533.21,1375.67,792.377,496.344,275.388]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(928, 4, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.84525,22.8398,62.2887,84.1025,90.6995,80.0545,72.9408,41.4259,28.634,14.7333]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.0538,17.1856,44.3369,52.0574,68.0597,81.0349,97.6952,97.8107,115.113,68.3512]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.68381,11.6844,40.8803,71.8004,97.8082,95.5619,90.4807,62.1712,39.7536,19.0138]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.3729,26.8813,75.2148,102.95,129.913,153.578,194.127,173.599,213.193,121.264]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(929, 5, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[45.9272,118.591,323.422,436.686,465.244,414.797,378.731,215.096,148.677,76.5]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[85.4305,230.849,659.617,1134,1738.34,1472.97,992.012,472.481,212.618,132.757]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[34.7044,60.669,212.263,372.809,507.85,496.187,469.804,322.812,206.413,98.7257]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[61.3055,78.2987,281.325,636.381,1240.7,1379.63,1181.54,618.778,283.152,154.124]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(930, 6, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.0836,44.6902,69.7872,63.885,46.2346,39.8259,45.7658,48.4825,88.2875,170.705]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[273.89,282.674,297.109,307.601,312.935,320.166,342.73,378.95,404.503,431.734]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.5729,33.2197,54.2198,63.0236,51.1855,44.8147,50.7802,70.1258,91.7625,179.647]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[279.135,306.769,326.531,337.236,350.328,356.354,365.521,387.866,405.42,431.879]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(931, 7, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.17045,20.6402,36.0302,33.6877,21.2708,18.298,17.6514,17.0851,27.9207,66.3792]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[67.447,75.5217,83.127,90.7173,98.2764,105.58,113.006,120.088,127.15,134.148]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.23439,10.0508,18.9473,24.5353,19.4404,17.6342,18.6539,25.3613,31.3749,67.4351]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[50.9246,57.229,63.2095,69.3749,75.0253,80.7738,86.3554,91.5649,96.9198,101.608]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(932, 8, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.1731,3.9358,3.47219,2.50392,1.82476,1.5851,1.708,1.70627,2.04005,1.71131]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.3543,3.12541,2.79329,2.54473,2.27271,2.02908,1.8145,1.66756,1.48427,1.32435]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.27951,6.65859,6.34059,4.85076,3.19552,2.47889,2.34307,2.5264,2.51885,2.09413]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.38604,4.0555,3.71042,3.30894,3.02998,2.75211,2.44787,2.17452,1.96206,1.71143]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(933, 9, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.52078,15.7669,24.7763,21.5162,17.2101,14.9566,21.0337,22.0583,46.1128,88.171]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.4549,11.2879,12.3236,13.5174,14.4604,15.5525,19.4916,26.9716,34.4103,41.7896]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.95571,11.4944,22.8715,27.7889,23.3286,19.9692,23.6258,33.4117,48.8461,96.4878]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.5868,9.77929,11.0527,12.4585,13.7995,15.2544,19.1281,27.1767,35.1487,42.6943]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(934, 10, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00652722,0.0157825,0.0248008,0.0215375,0.0172271,0.0149714,0.0210544,0.0220801,0.0461584,0.0882581]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[32.2119,27.2591,28.7077,30.5692,31.18,33.1442,31.7462,26.5434,21.5109,16.454]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00496061,0.0115058,0.0228941,0.0278163,0.0233517,0.019989,0.0236491,0.0334447,0.0488944,0.0965832]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[30.2536,24.8436,27.2438,30.0167,31.4441,34.1115,32.9245,27.5382,22.1504,16.8584]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(935, 11, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0223442,0.0157436,0.0163738,0.016351,0.0154178,0.0175961,0.0336466,0.0598722,0.0643751,0.0779793]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[84.6482,86.4218,85.5651,81.6905,75.2143,68.2607,70.2118,79.4817,81.0569,80.9008]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0215632,0.0204502,0.0230658,0.0243528,0.020755,0.0211278,0.0354965,0.0678696,0.0606859,0.0727604]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[99.6876,115.579,117.577,112.638,108.832,98.4516,91.2358,92.7348,89.7633,90.7549]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(936, 12, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.63119,3.54304,4.44657,4.99569,4.78881,4.09456,4.50529,6.53237,10.6059,12.7713]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[70.7301,74.405,79.2927,82.5308,84.604,87.5971,97.4044,113.415,126.364,142.965]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.55283,4.09679,4.87798,4.6774,4.17372,3.85432,5.15563,7.5233,7.72016,12.027]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[79.5213,90.9876,98.4988,103.261,111.11,116.806,123.929,135.4,146.282,163.431]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(937, 13, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.04351,1.44241,1.81788,1.99469,1.86751,1.55521,1.65926,2.32503,3.63973,4.22203]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[30.1343,32.2114,34.1813,35.3413,35.9135,36.7738,39.7098,44.4252,47.6806,52.1137]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.00886,1.66137,1.99261,1.86579,1.62157,1.45977,1.89172,2.67415,2.64339,3.94365]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[33.1219,38.6228,41.6781,43.5618,46.2929,48.3021,50.2388,53.1967,56.2563,60.1058]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(938, 14, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.361212,0.248886,0.147288,0.18341,0.195848,0.187847,0.227092,0.358236,0.637322,0.830827]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.2109,8.51949,7.52088,7.30651,7.23348,7.25448,7.5236,8.43792,9.37395,11.0119]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.347308,0.285207,0.160244,0.17022,0.168102,0.172259,0.2545,0.408826,0.459603,0.77629]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.8563,10.2219,8.74496,8.41108,8.40646,8.38313,8.52384,9.34375,10.2022,12.2648]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(939, 15, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.349817,0.470873,0.585074,0.639594,0.596192,0.491468,0.523653,0.72712,1.12635,1.28116]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.68413,8.20926,8.98134,9.4851,9.73102,10.0742,11.5898,13.8102,15.6294,18.0277]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.341539,0.544185,0.642928,0.599115,0.518774,0.462924,0.596686,0.837831,0.82089,1.21405]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.30954,10.6965,11.8673,12.6088,13.4718,14.0758,15.1852,17.1443,18.4649,21.0787]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(940, 16, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.876654,1.38088,1.89633,2.178,2.12926,1.86004,2.09528,3.12199,5.20248,6.43728]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[22.3828,25.2499,28.385,30.1139,31.423,33.1515,38.2117,46.3694,53.3293,61.4596]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.855126,1.60603,2.0822,2.04227,1.86527,1.75937,2.41272,3.60249,3.79627,6.09302]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.8056,31.0953,35.8523,38.2754,42.4733,45.5937,49.5198,55.2169,60.8988,69.5484]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(941, 17, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.390197,0.642689,0.903664,1.04371,1.02638,0.788368,0.724841,0.906035,1.29799,1.39228]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.45759,3.25896,3.94406,4.49302,5.19362,6.11147,6.79333,7.64173,8.36188,9.2368]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.378577,0.743136,0.991339,0.97721,0.894547,0.742111,0.829472,1.04348,0.94482,1.31114]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.23718,2.88973,3.86418,4.65971,5.34395,6.26254,7.20484,8.1367,9.06076,10.0422]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(942, 18, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.00728306,0.00594029,0.00659692,0.00520609,0.00482058,0.00392194,0.00638597,0.00763854,0.00956988]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0,0,0.00040754,0.000366272,0.000897725,0,0.00105801,0.000435343,0.000483699]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.00712137,0.00798296,0.00950525,0.00825317,0.00703546,0.00577739,0.00913311,0.0120435,0.0128524]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.000626528,0,0.00109953,0.000485553,0.000912028,0.000352803,0.00120389,0.00157822,0.00176765]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(943, 19, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0103598,0.0107586,0.0140931,0.0128353,0.0109906,0.0115182,0.0132718,0.0120975,0.0549185]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0218853,0.0138619,0.0147544,0.0179693,0.0198242,0.0238662,0.0232179,0.029721,0.0944944]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0102047,0.0145352,0.0204865,0.0203186,0.0154029,0.0164795,0.0186586,0.0186473,0.072329]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0221761,0.0222978,0.0237961,0.0218416,0.0254576,0.0277344,0.0368028,0.0417442,0.150252]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(944, 20, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0160471,0.0221822,0.0297018,0.0301961,0.0305601,0.0286388,0.0366118,0.0488224,0.0785321,0.0511443]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00116831,0.00226915,0,0,0,0,0,0,0.00195452,0.00154114]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0157624,0.0298912,0.0428173,0.0480166,0.0444568,0.0423299,0.0526284,0.0769391,0.105551,0.0644181]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.57186e-5,0.000769357,0,0,0.0014971,0.000995027,0.00139451,0.00122082,0.0015725,0.00151283]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(945, 21, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.118314,0.0722931,0.041095,0.0208871,0.0116519,0.00875503,0.007528,0.00716824,0.00834604]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0214025,0.00884331,0.00713575,0.00144009,0.00288866,0.000912986,0.00045539,0.0013829,0.000711312]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0957695,0.0668328,0.0364348,0.0195274,0.0104217,0.00875034,0.00741461,0.0091701,0.0120893]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0139019,0.0102397,0.00426616,0.00131842,0.00453868,0.0026277,0.00154365,0.00211237,0.000333693]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(946, 22, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0170451,0.0188799,0.0256794,0.0307389,0.0231862,0.0178516,0.0240976,0.0367032,0.0481496,0.0629304]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.54186,1.36905,1.33333,1.51789,1.71029,1.86656,2.23746,3.10914,4.06704,4.91333]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0164694,0.0247074,0.0359552,0.0457853,0.0312327,0.0214404,0.0253843,0.0415155,0.045252,0.0584641]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.50056,1.37202,1.34601,1.49509,1.71179,1.91028,2.25374,3.09321,3.97951,4.77697]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(947, 23, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[29.2384,44.9785,43.6558,38.6732,34.1113,40.0602,48.8264,63.244,92.9186,120.656]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[831.373,879.466,890.095,901.419,929.578,962.35,991.682,1007.35,991.263,1053.38]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.541,49.5945,55.6366,53.4223,40.5978,48.1258,59.5821,96.1887,115.216,123.126]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[794.41,813.557,809.084,826.859,858.706,887.558,1075.5,1107.78,1147.1,1168.95]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(948, 24, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[28.1906,43.8652,42.4724,37.667,33.043,39.059,47.5854,61.6778,90.141,117.186]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[240.333,232.889,241.882,247.573,264.124,282.959,269.113,271.79,243.433,262.587]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.0002,47.4461,53.2403,51.3499,38.9408,46.4568,57.7247,93.7275,112.073,119.734]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[129.751,107.377,99.1345,104.36,114.442,127.145,143.446,160.859,176.667,200.635]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(949, 25, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.538703,0.504845,0.44641,0.346818,0.306514,0.319255,0.400508,0.45691,0.6275,0.608884]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.21194,1.4125,1.60122,1.78812,1.97581,2.1504,2.29385,2.38036,2.46915,2.52063]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.09842,1.38682,1.33078,1.11205,0.903809,0.8486,0.936855,1.1558,1.32691,1.27789]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.24804,1.44127,1.65206,1.85604,2.06058,2.23774,2.33002,2.44503,2.4804,2.52644]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(950, 26, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00217958,0.00396659,0.00658147,0.0067903,0.00826999,0.00942483,0.0131845,0.0174569,0.0264476,0.0325227]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[360.058,396.823,391.092,385.317,382.656,380.571,374.706,371.673,366.589,375.263]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00100751,0.00252136,0.00446359,0.00508539,0.00565328,0.00652299,0.00889383,0.0129071,0.0166773,0.0192668]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[270.607,284.934,270.311,258.409,247.254,235.536,223.861,211.986,200.165,188.123]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(951, 27, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.027789,0.0504736,0.0762751,0.074485,0.0627623,0.0695435,0.0967382,0.124239,0.191844,0.210833]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[34.3583,44.0558,42.5299,40.946,38.1947,37.7276,36.6145,35.8612,35.3333,35.1204]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0271754,0.0658554,0.107689,0.111124,0.0845447,0.0835584,0.101844,0.140577,0.180478,0.196767]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[47.3448,60.9571,59.4088,57.3723,55.9082,53.6118,52.0589,51.7866,51.1537,50.747]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(952, 28, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00242442,0.00343018,0.00447991,0.00482212,0.00491993,0.00622622,0.0105542,0.012344,0.0240148,0.0288106]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.29123,1.78624,2.22937,2.85371,3.26037,3.72615,4.20967,4.90911,5.57745,6.28644]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0023668,0.00446293,0.0063101,0.00719955,0.00663941,0.00748881,0.0110918,0.0139913,0.0227107,0.0269045]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.57452,2.06543,2.71371,3.40184,4.09946,4.70922,5.32145,6.11035,6.82311,7.75529]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(953, 29, 207, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.285206,2.02668,6.89502,11.9403,15.7798,20.3402,26.674,34.2447,44.8422]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.139238,0.803719,3.10338,5.93025,8.36672,11.3395,16.866,23.3698,32.5269]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(954, 30, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0434183,0.0683689,0.0851843,0.0807862,0.145847,0.0849361,0.1031,0.113571,0.209283,0.335595]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0877685,0.11075,0.132605,0.200775,0.110866,0.0938238,0.123879,0.166341,0.191209,0.234025]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(955, 31, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.346129,0.364526,0.432179,0.356628,0.392748,0.331944,0.334763,0.383701,0.783314,0.999707]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00180076,0.00301143,0.00171986,0.000832877,0.00170986,0.00332097,0.00475869,0.00271193,0.004767,0.0061893]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.233899,0.39155,0.564266,0.398706,0.332674,0.38554,0.333744,0.443875,0.609872,0.525114]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00325915,0.00424386,0.00105138,0.0026825,0.000841342,0.00519086,0.00337908,0.00373209,0.00359667,0.00506661]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(956, 32, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00258529,0.00202033,0.00160846,0.00174731,0.00116373,0.00134858,0.00146719,0.0021717,0.0037387,0.00553852]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[130.903,130.364,129.956,129.295,130.348,130.892,129.569,128.791,125.003,123.596]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00291708,0.00306627,0.00262636,0.00303549,0.00183002,0.00189104,0.00180395,0.00287174,0.0041191,0.00602913]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[136.301,132.684,131.629,131.861,132.232,132.902,134.043,132.32,133.346,133.218]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(957, 33, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00258529,0.00202033,0.00160846,0.00174731,0.00116373,0.00134858,0.00146719,0.0021717,0.0037387,0.00553852]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.527466,0.528048,0.518524,0.522887,0.522222,0.513216,0.520643,0.526561,0.497458,0.489495]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00291708,0.00306627,0.00262636,0.00303549,0.00183002,0.00189104,0.00180395,0.00287174,0.0041191,0.00602913]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.541632,0.531396,0.536999,0.52017,0.51919,0.513467,0.533536,0.489741,0.515489,0.486652]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(958, 34, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.72454,4.76993,4.68434,4.65804,4.62917,4.5815,4.5485,4.55449,4.52255,4.40695]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.66996,4.72569,4.74687,4.69721,4.68279,4.63754,4.61812,4.5187,4.51815,4.49834]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(959, 35, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[125.651,125.066,124.753,124.114,125.197,125.797,124.499,123.71,119.983,118.699]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[131.089,127.427,126.345,126.643,127.03,127.751,128.891,127.312,128.313,128.233]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(960, 36, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0414804,0.0657568,0.0791494,0.0914508,0.110725,0.144396,0.24329,0.421614,0.877398,1.22562]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.7355,11.7615,11.8574,12.2649,13.1872,14.4737,14.9746,17.5189,21.8211,34.6668]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0462957,0.118202,0.17305,0.168822,0.164111,0.201932,0.300067,0.485129,0.75816,1.08462]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[55.2411,47.6235,44.5072,45.3859,48.8657,50.3068,55.8939,58.0253,65.097,44.442]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(961, 37, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[22.9394,143.519,115.797,112.407,59.4438,56.9539,24.3398,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[43.6027,142.693,297.164,447.293,567.013,655.545,705.048,463.343,327.106,162.073]}', '', '', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(962, 38, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[4.21189,28.1353,26.5929,29.5589,16.415,16.4724,7.35814]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[1.01,1.98102,2.79136,2.44106,1.31777,0.381243,0.0368502]}', '', '', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(963, 39, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[2.6499,15.6164,10.5948,8.39421,4.1002,3.61457,1.41399]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[0.774224,2.21673,2.53567,1.43428,0.609963,0.401862,0.137073]}', '', '', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(964, 40, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[3.28467,15.4512,11.0073,9.31049,4.74667,4.38864,1.81127]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"55-59\"],\"number\":[2.40604,8.11709,9.95991,5.59685,2.50169,1.54085,0.58983,0.000191063]}', '', '', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(965, 41, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[0.616157,6.05327,4.3783,3.7833,2.24211,2.38153,1.11915]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[26.3317,87.8084,193.779,305.321,396.145,463.243,502.918,463.343,327.106,162.073]}', '', '', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(966, 42, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[2.67882,17.208,13.2381,12.2696,6.13722,5.55506,2.23889]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[0.687697,1.37913,1.8091,1.8177,1.73393,1.03509,0.225885]}', '', '', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(967, 43, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[9.49796,61.055,49.9859,49.0908,25.8026,24.5417,10.3984]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[12.393,41.1909,86.2891,130.683,164.705,188.943,201.14]}', '', '', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(968, 45, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[43.5463,42.3302,41.6473,40.4604,40.0201,38.8213,38.1811,36.6362,35.7788,34.1611]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[49.453,49.4986,48.1787,47.2226,46.0054,44.5283,44.0571,42.1171,40.6279,38.9037]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(969, 46, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[132.476,125.742,118.368,110.863,103.877,97.5892,91.6064,84.7798,75.9288,66.1044]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[191.614,182.314,172.203,162.135,152.331,142.253,132.917,122.284,109.737,95.4318]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(970, 49, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.29595,9.40276,12.4489,11.6774,9.16383,8.54296,12.537,11.618,21.1508,34.7436]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1101.18,1188.16,1123.28,1090.98,1081.02,1060.24,969.174,980.918,910.089,915.438]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.00629,7.91381,11.5372,13.0985,10.485,8.26122,10.2105,11.9284,16.3042,32.4506]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1217.79,1041.79,961.628,975.631,1028.53,1045.5,1096.77,1132.46,1210.31,1301.36]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(971, 50, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.76537,7.84659,10.2441,9.93807,8.27394,7.89547,11.8043,11.0615,20.1954,33.2372]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.16318,2.27643,2.84781,2.8919,2.55332,2.55327,3.78036,3.49413,6.94262,13.2269]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.63499,6.60406,9.49383,11.1476,9.46685,7.63509,9.61374,11.3571,15.5677,31.0436]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.03815,3.03586,3.86821,4.23895,2.96168,2.42035,3.14145,2.91799,4.73288,10.8515]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(972, 51, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0936225,0.404091,0.533345,0.307856,0.111059,0.0752044,0.0668206,0.0372124,0.0490353,0.0541728]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[145.859,166.03,158.519,150.827,143.563,136.461,130.315,125.402,120.767,116.105]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0655168,0.340102,0.494285,0.345323,0.127071,0.0727242,0.0544204,0.0382066,0.037799,0.0505975]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[86.6491,98.5985,94.2666,89.6554,85.0292,80.3643,76.4115,73.4093,70.3204,67.2514]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(973, 52, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.9442,10.2682,9.05926,10.1988,8.79864,7.05169,4.38591,2.49715,1.70724,1.21054]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[22.4655,10.4796,9.05349,10.6709,10.2111,8.17389,5.07153,3.15745,2.3155,1.79192]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(974, 53, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.429768,1.13439,1.64309,1.40298,0.75764,0.551383,0.638047,0.495019,0.862722,1.38709]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[930.198,1009.55,952.81,927.017,926.072,914.149,830.663,849.501,780.637,784.85]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.30075,0.95476,1.52275,1.57372,0.866874,0.533198,0.519642,0.508244,0.665033,1.29555]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1107.63,929.645,854.396,871.018,930.297,954.516,1012.12,1052.95,1132.91,1221.43]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(975, 54, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00719103,0.0176916,0.0284297,0.0284476,0.02119,0.020896,0.0278495,0.0242219,0.0436472,0.0650901]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.013942,0.0317003,0.0467171,0.0426569,0.0288449,0.0255406,0.0301358,0.0229058,0.0355017,0.0446113]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00503227,0.0148901,0.0263476,0.0319098,0.0242451,0.0202069,0.0226813,0.024869,0.0336456,0.0607943]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00979722,0.0268737,0.0436592,0.0482346,0.033203,0.0248357,0.0246864,0.0236601,0.0275008,0.0418307]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(976, 55, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.06951,10.2185,13.561,11.5793,9.95478,7.61129,11.9379,16.8771,35.7661,37.5076]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[47.712,69.7225,70.4697,68.2615,63.0976,64.682,27.283,22.189,19.9326,37.4215]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.08244,9.3642,15.7339,17.8753,16.0617,12.6387,16.9891,24.9004,31.6113,37.0766]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[145.988,157.603,143.017,131.622,120.385,109.615,101.416,96.5354,104.085,63.0448]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(977, 56, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.258046,0.608954,1.104,0.993293,0.661211,0.547926,0.539585,0.424264,0.447209,0.645809]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[28.4731,50.7006,51.122,49.1125,44.7299,47.1388,10.9088,5.78295,4.81838,4.83287]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.148363,0.321994,0.544349,0.679963,0.584375,0.520679,0.526068,0.590506,0.644618,0.915624]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[44.9444,73.8376,64.9774,50.9655,36.685,25.3076,14.412,5.8121,5.46309,6.06421]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(978, 57, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0143779,0.029516,0.0573053,0.0491031,0.0368131,0.0347486,0.0295201,0.0376685,0.0968145,0.139947]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.46103,1.14215,1.63805,2.00227,2.2999,2.54965,2.81962,3.06093,3.30071,3.64922]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.148363,0.321994,0.544349,0.679963,0.584375,0.520679,0.526068,0.590506,0.644618,0.915624]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.801156,2.01978,2.98095,3.58962,3.99099,4.35304,4.68405,4.96843,5.43968,6.04519]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(979, 58, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0567681,0.135581,0.243503,0.219462,0.144932,0.119427,0.119499,0.0906426,0.0825848,0.124939]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.81523,9.25404,9.54591,9.48475,9.05982,10.8111,1.00363,0.352398,0.126435,0.0729519]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[29.1837,47.6571,38.7018,25.6543,13.7234,8.40635,4.07256,0.491796,0.0181533,0.0134618]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(980, 59, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0426664,0.101613,0.183613,0.164049,0.108313,0.0883228,0.0880081,0.0674925,0.0622956,0.0870567]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.40101,8.00923,8.89388,9.68505,9.87597,9.82776,1.82048,0.297739,0.114968,0.0536836]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.9596,24.1607,23.2946,21.7215,18.9706,12.5482,5.65535,0.351877,0.00525747,0.00555708]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(981, 60, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.6041,28.1081,23.9069,17.5131,11.1871,7.53149,4.22475,1.40874,0.934334,0.882379]}', '', '', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(982, 61, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.144234,0.342244,0.619581,0.560678,0.371153,0.305427,0.302557,0.228461,0.205514,0.293866]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.19171,4.18701,7.13726,10.4273,12.3072,16.4188,1.04028,0.663147,0.341926,0.174638]}', '', '', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(983, 62, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.02302,4.38997,5.02473,4.29608,3.69286,3.3022,5.93843,9.48902,22.7602,19.5731]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.30184,4.51577,5.34951,5.30395,4.65042,4.59038,4.64151,4.64987,4.80016,4.81494]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.621085,1.67708,2.78534,2.72138,2.78057,2.76703,4.65892,6.7288,8.00484,8.36255]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.75996,5.52001,6.58882,6.75331,6.30754,6.37648,6.86563,7.13383,7.45416,7.54368]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(984, 63, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.131897,0.348569,0.484213,0.600585,0.714767,0.818605,1.93312,3.00515,8.23453,6.3024]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.494299,1.1142,1.8873,1.73006,0.879387,0.410556,0.10523,0.00665338,0.00462363,0.00549476]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.110369,0.365924,0.645486,0.725409,0.716661,0.699719,1.2138,1.93096,2.45299,2.97572]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.51978,1.15959,1.95868,1.84708,0.977355,0.445658,0.11508,0.00458655,0.00381165,0.00194165]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(985, 64, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.16928,0.491732,0.719191,1.00763,1.34547,1.70766,3.33788,5.47452,12.3703,11.6204]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.46118,2.31602,2.49949,2.6922,2.90297,3.14168,3.5117,3.8196,4.11989,4.17257]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.117703,0.506485,1.17683,1.32588,1.53903,1.71184,3.01257,4.23487,5.04266,4.80324]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.19245,3.45897,3.79158,4.06755,4.38549,4.74589,5.50895,6.13993,6.6281,6.7652]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(986, 65, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0147445,0.0588331,0.0809993,0.16462,0.263864,0.241727,0.46719,0.826793,1.80351,1.46477]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.238864,0.251451,0.277934,0.349929,0.503007,0.843506,0.972161,0.777968,0.638335,0.607069]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00686669,0.0305718,0.114029,0.142515,0.190584,0.2158,0.368023,0.490063,0.444522,0.535269]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.311556,0.320022,0.354041,0.456139,0.667497,1.04191,1.1937,0.950959,0.785891,0.747109]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(987, 66, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.7071,3.49083,3.74033,2.52324,1.36875,0.534213,0.20024,0.182552,0.351768,0.18549]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.1075,0.83411,0.684786,0.53176,0.365056,0.19464,0.0524153,0.0456476,0.0373084,0.0298114]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.386146,0.774101,0.848993,0.527577,0.334291,0.139666,0.0645342,0.0729076,0.0646766,0.0483188]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.736177,0.581427,0.484518,0.382537,0.277192,0.143017,0.0478895,0.0383601,0.0363621,0.029431]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(988, 67, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0791349,0.0786406,0.0877643,0.0922903,0.0972697,0.0986457,0.105238,0.108786,0.116181,0.114788]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0763563,0.0809056,0.0806666,0.0878572,0.0982029,0.10573,0.101553,0.104264,0.108495,0.115437]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(989, 68, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.78844,5.21953,7.43227,6.28996,5.60072,3.76117,5.45986,6.96386,12.5587,17.2887]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.858,14.4275,13.9104,13.7528,13.62,12.8542,11.6274,11.6474,10.1979,27.6589]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.31299,7.36512,12.4043,14.4739,12.6967,9.35101,11.8041,17.5811,22.9618,27.7984]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[94.207,78.1642,71.3697,73.8149,77.2945,77.8249,80.037,83.4852,91.0593,49.3215]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(990, 69, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.77662,6.75921,10.9809,19.208,28.1537,42.3337,79.1232,127.671,227.288,303.879]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.63178,3.71357,7.23723,13.8197,18.1264,25.0743,40.0751,56.6398,88.3381,101.937]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.01166,10.0142,13.3316,15.6175,17.8969,25.4918,45.0954,97.2831,156.605,246.65]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.92975,3.19361,4.99499,5.6934,6.63552,8.99554,15.7923,30.9183,49.9818,80.5305]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(991, 70, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0418301,0.108778,0.167623,0.412879,0.812746,1.81775,3.52667,7.67183,15.4768,23.9564]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00961298,0.0388242,0.0414766,0.146972,0.190494,0.321441,0.721194,1.32759,2.79086,3.5914]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0107266,0.146048,0.327023,0.812527,1.54389,2.66905,5.72415,14.1159,22.5596,33.0716]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00100701,0.0340348,0.0894782,0.158266,0.329135,0.542869,1.14795,2.77844,4.1444,5.71498]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(992, 71, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0273844,0.168279,0.365816,0.63033,0.571582,1.49121,3.60986,6.84742,12.1003,24.287]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00816669,0.0579069,0.0930241,0.138456,0.148726,0.357975,0.861391,1.64717,2.71111,5.21302]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0407192,0.227845,0.431809,0.808667,0.98101,2.02015,3.61163,7.22616,13.6895,23.4051]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00643556,0.0561578,0.100377,0.2042,0.251661,0.522993,0.881476,1.58338,3.03462,4.9725]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(993, 72, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.502043,0.942317,1.24647,1.34979,1.75163,2.22018,4.36276,8.05425,17.0863,26.8501]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0263287,0.0955252,0.188011,0.213959,0.273769,0.346297,0.76408,1.43999,3.2501,4.89191]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.455586,1.31849,1.59377,2.16284,2.38831,3.54921,6.19028,14.9563,26.0937,37.0457]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0231575,0.105222,0.174719,0.274336,0.326191,0.540339,0.99336,2.40622,4.40838,6.22339]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(994, 73, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.167731,0.317653,0.417588,0.449726,0.591951,0.764065,1.53137,2.87565,6.19771,9.89927]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00665967,0.0285265,0.0498702,0.0673972,0.0930741,0.115315,0.290045,0.542876,1.19447,1.87698]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.209601,0.587708,0.697164,0.937778,1.03445,1.56972,2.78609,6.84365,12.1168,17.4188]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0140456,0.0507361,0.0920936,0.130405,0.148185,0.228183,0.388365,1.1439,2.09708,2.87784]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(995, 74, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0285282,0.0531102,0.0703708,0.0760229,0.138229,0.302736,0.82226,1.9032,4.78284,8.59996]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00183511,0.00521857,0.0108488,0.00486654,0.00902736,0.0566887,0.111532,0.322884,0.868461,1.51668]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.021436,0.059627,0.0707203,0.0950992,0.146092,0.371956,0.893593,2.70862,5.60847,9.13409]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00220169,0.00244943,0.00290964,0.000760102,0.0170536,0.0668228,0.185725,0.432743,0.9424,1.48226]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(996, 75, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0371517,0.191239,0.352624,0.456934,0.620322,0.730867,1.33733,2.29812,4.55223,6.65692]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00337144,0.0282545,0.059701,0.0721659,0.101588,0.115999,0.237614,0.395938,0.907878,1.17886]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0326029,0.254668,0.42414,0.677942,0.783019,1.0844,1.76894,3.99496,6.52353,8.68353]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000811803,0.0173294,0.0335214,0.0927097,0.106465,0.175596,0.297745,0.62669,1.06949,1.5761]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(997, 76, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.268632,0.380315,0.405888,0.367102,0.401129,0.422516,0.671797,0.977285,1.55354,1.69392]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0144625,0.0335257,0.0675908,0.0695289,0.0700787,0.0582938,0.124889,0.178288,0.279282,0.319384]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.191946,0.416485,0.401745,0.452021,0.424742,0.523131,0.741656,1.40912,1.84488,1.80919]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00609847,0.0347072,0.0461947,0.0504608,0.0544869,0.0697372,0.121526,0.202887,0.299412,0.287194]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(998, 77, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00250114,0.00852334,0.00688831,0.0127248,0.013439,0.0294581,0.056849,0.0947825,0.240629,0.277313]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00366716,0.00388543,0.00538454,0.0141173,0.00651604,0.0174704,0.0275086,0.0379205,0.0784576,0.101934]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00227909,0.00615299,0.0130915,0.0383397,0.0508229,0.140118,0.533781,1.30512,2.12613,3.28657]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00364208,0.00298658,0.0103501,0.015117,0.0229326,0.0601629,0.25398,0.665511,1.11019,1.50316]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(999, 78, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0537791,0.170927,0.246247,0.407546,0.461303,1.44841,2.49025,3.29017,10.9785,12.159]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0131772,0.046977,0.0707095,0.0650435,0.12096,0.304787,0.455969,0.629404,1.97167,2.09593]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00823689,0.120562,0.273157,0.42347,0.743058,1.65058,2.15593,5.0319,6.91547,15.6902]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000675541,0.0357987,0.0559945,0.106103,0.154757,0.39263,0.529154,1.14198,1.52929,3.07913]}', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1000, 79, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0665154,0.592291,0.954884,3.01732,4.65563,6.96637,9.91119,20.5568,36.6651,34.43]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0818511,0.634428,1.24043,3.29727,4.8828,8.71445,12.8347,21.252,33.6111,34.2116]}', '', '', 2010, '', 1, '', 845, '2014-05-28 13:25:01', '2015-09-06 02:13:28', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1001, 80, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.19204,1.05469,2.78005,7.64048,12.9073,17.8989,35.3672,47.28,78.7894,96.9455]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0763464,0.796677,2.65793,6.84196,8.83297,9.92056,15.0305,15.3459,22.8377,23.8574]}', '', '', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1002, 81, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0078587,0.0100738,0.0152598,0.0146122,0.0268191,0.0554493,0.147669,0.344417,0.701174,1.28919]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00369132,0.0053697,0.0145601,0.00696386,0.0377805,0.0662822,0.206458,0.479636,0.727145,0.876378]}', '', '', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1003, 82, 207, '', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0103485,0.0177166,0.028859,0.0219376,0.0646049,0.153745,0.625183,1.96784,4.84885,13.7372]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0091688,0.015596,0.0382068,0.0288891,0.082758,0.212222,1.14502,4.05967,9.24836,22.2724]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1004, 83, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0491133,0.275611,0.423736,0.689994,1.05229,1.64868,3.80266,7.7667,8.72546,12.268]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0236271,0.162247,0.248915,0.398941,0.65426,0.987219,2.24411,4.16873,4.56823,5.95685]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0608586,0.358747,0.46645,0.577693,1.04403,1.60052,3.322,5.98938,10.4902,16.8055]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0389932,0.194339,0.273566,0.364997,0.725852,1.1626,2.26919,3.74348,6.15384,9.31184]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1005, 84, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.19683,0.314694,0.424613,0.375334,0.473754,0.578139,1.01549,1.68051,2.63174,3.82998]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.238312,0.287508,0.379185,0.233368,0.316822,0.340147,0.62961,1.02793,1.75504,2.42855]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.307631,0.775777,1.08473,1.2165,1.16654,1.35168,1.78249,2.99463,4.97848,7.48615]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.208536,0.714788,0.970649,0.962484,0.959649,1.17573,1.55102,2.5584,4.24348,6.17593]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1006, 85, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0237067,0.0368099,0.0414654,0.0455104,0.0577004,0.062136,0.110327,0.15558,0.288083,0.412944]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.013418,0.017546,0.0341562,0.0170827,0.0174245,0.025914,0.0452835,0.0387764,0.07672,0.0932451]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0365226,0.0825858,0.115554,0.11196,0.132546,0.160824,0.261825,0.417801,0.636538,0.878571]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0235989,0.0368831,0.050052,0.0681777,0.0900096,0.0748924,0.10977,0.154639,0.162438,0.243918]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1007, 86, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0151133,0.0118935,0.0266515,0.0227122,0.0169187,0.0216679,0.0735872,0.102337,0.115768,0.144565]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0025583,0.00405325,0.00793429,0.00536546,0.00457289,0.0043175,0.0411285,0.0295945,0.0323054,0.0324462]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00940949,0.0140068,0.0266303,0.0178609,0.051376,0.117472,0.23875,0.675846,1.15164,1.54146]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000851884,0.00396626,0.00675538,0.00463003,0.0223187,0.0470956,0.128372,0.302272,0.448158,0.58276]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1008, 87, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00165709,0.00412252,0.0106976,0.0269796,0.0216297,0.0562185,0.181258,0.215867,0.645918,0.961185]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00274105,0.00200368,0.00542798,0.00828068,0.00561793,0.0062198,0.0246103,0.0365914,0.101293,0.159343]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000701001,0.00517556,0.0115635,0.0142434,0.0122492,0.013714,0.0389395,0.0580992,0.189063,0.180155]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0.000482458,0.00211193,0.00549786,0.00393752,0.00377216,0.00965321,0.0101841,0.0549439,0.0523987]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1009, 88, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0061118,0.0143251,0.0361709,0.0583836,0.0976201,0.297326,0.626769,1.13227,2.95557,4.7074]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0.00844128,0.00217134,0.015342,0.010931,0.0409179,0.0764542,0.133492,0.360256,0.485665]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00638384,0.017137,0.074591,0.136356,0.0982542,0.196215,0.406868,1.87372,1.89431,5.47406]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00166053,0.000143039,0.0192095,0.0185725,0.0178218,0.050445,0.0347894,0.221694,0.217904,0.622312]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1010, 89, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00561408,0.00930473,0.0186291,0.0120743,0.0403381,0.0588417,0.162875,0.377987,0.472527,1.05115]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0165995,0.0307847,0.0534584,0.0211322,0.0920164,0.0909903,0.196797,0.466147,0.473664,0.978215]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00289418,0.0106134,0.0155755,0.012726,0.0218898,0.0700176,0.0754104,0.117313,0.163138,0.333744]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00267257,0.00906316,0.0173797,0.0217922,0.0183219,0.0722863,0.0662869,0.0986304,0.129489,0.235915]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1011, 90, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0299937,0.0718036,0.159266,0.184307,0.15444,0.162525,0.206094,0.254024,0.477561,0.711219]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0147017,0.0362968,0.0710382,0.11553,0.133226,0.208186,0.506068,0.72695,1.04607,1.58492]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0326883,0.0775274,0.168869,0.234233,0.252103,0.315675,0.454261,0.755703,1.45019,1.84802]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0259749,0.0504533,0.100347,0.137971,0.177103,0.282254,0.666171,1.10867,1.49959,2.26238]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1012, 91, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.201241,0.224255,0.29782,0.4871,0.663508,1.48793,3.51279,6.44697,7.42843,8.77128]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.149433,0.183611,0.224242,0.331679,0.360769,0.691626,1.27494,1.88818,1.9724,1.92736]}', '', '', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1013, 92, 207, '', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0280488,0.101839,0.0970275,0.109379,0.104874,0.0897585,0.138712,0.282897,0.308977,0.664478]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0171329,0.0931623,0.127546,0.139844,0.112216,0.0990411,0.115197,0.177812,0.142529,0.247214]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1014, 93, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0280794,0.0507535,0.0789325,0.118406,0.118478,0.278346,0.574048,0.736432,2.42829,2.38296]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00581166,0.0116837,0.0216693,0.0382515,0.0400445,0.0971988,0.200352,0.196143,0.564143,0.503678]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0205586,0.0231576,0.0371643,0.0409516,0.0546541,0.105513,0.205292,0.685738,0.99866,2.08409]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0055438,0.00615545,0.0100803,0.0134754,0.0182521,0.0419839,0.0797945,0.209952,0.294887,0.579199]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1015, 94, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00909783,0.018738,0.0354063,0.0699851,0.123053,0.180888,0.306775,0.248582,0.41355,0.763517]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0132174,0.015946,0.0135051,0.0232967,0.0584677,0.118169,0.204446,0.23665,0.315241,0.492146]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0411849,0.113923,0.075228,0.144725,0.109708,0.181805,0.249901,0.526239,0.761622,1.12129]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0160461,0.0340194,0.0330761,0.0491116,0.0498026,0.0836314,0.129,0.236649,0.361286,0.555685]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1016, 95, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0242994,0.0365847,0.0463796,0.0538099,0.0718536,0.0908696,0.168646,0.263236,0.522875,0.759879]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.024755,0.0502975,0.0390604,0.0533534,0.0467436,0.0498908,0.0819648,0.112013,0.240156,0.288718]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0257805,0.0496056,0.0679474,0.078656,0.0897749,0.106364,0.173391,0.289482,0.483183,0.593783]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.021558,0.0505891,0.0605721,0.0443443,0.0485616,0.0532097,0.0816663,0.118033,0.178366,0.235221]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1017, 96, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00819697,0.0174293,0.0359447,0.0447127,0.0500942,0.0770964,0.247143,0.636059,1.29146,1.64749]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0186595,0.0938016,0.205011,0.207142,0.150749,0.191799,0.388365,0.668595,0.826649,0.680651]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0108752,0.0117492,0.0125286,0.0159724,0.0171365,0.0318507,0.0741916,0.123849,0.200471,0.33235]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00538492,0.0117263,0.0272899,0.026191,0.018049,0.0221869,0.0507165,0.048457,0.0671163,0.0947055]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1018, 97, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0378372,0.0618095,0.101439,0.0661637,0.0811171,0.10519,0.0994084,0.192543,0.150685,0.275589]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0766169,0.115944,0.129679,0.0502975,0.0545764,0.0772154,0.0806497,0.101383,0.0828475,0.0906749]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0513348,0.0576698,0.133356,0.150473,0.0865146,0.0615504,0.111778,0.148107,0.176844,0.17586]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0812355,0.0845823,0.120216,0.156627,0.0756395,0.0450754,0.0654289,0.0832497,0.0844475,0.0902404]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1019, 98, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.804537,0.867012,1.12175,1.2684,1.03854,1.49406,1.86659,2.48994,4.84809,10.1525]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.309564,0.318503,0.472511,0.552411,0.479065,0.662971,0.771353,1.0205,1.7125,2.95065]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.902521,1.36898,1.77739,2.03186,1.87079,1.96887,3.04034,5.36547,5.50964,9.26166]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.219901,0.397013,0.56588,0.767541,0.684476,0.789716,1.02195,1.67359,1.42916,2.15341]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1020, 99, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00518266,0.00449701,0.00744918,0.0122637,0.0365688,0.0697518,0.140627,0.525419,0.753622,1.53503]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000272096,0.00518012,0.00203256,0.00967483,0.0248273,0.0426751,0.077845,0.299933,0.409903,0.664849]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00202878,0.00489268,0.0127083,0.0435519,0.0836271,0.168085,0.185431,0.462532,0.900112,1.91931]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000387673,0.00275649,0.00817959,0.0529047,0.0583087,0.123039,0.145022,0.270906,0.533847,0.912984]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1021, 100, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.335199,0.330669,0.39575,0.340542,0.669606,0.664154,1.05237,1.00678,2.50068,3.3285]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0931977,0.0889773,0.11558,0.0923657,0.204576,0.166234,0.305121,0.325566,0.63657,0.740644]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.836111,0.426877,0.612324,0.486483,0.299375,0.368684,0.615787,1.46476,1.98249,2.22715]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.24584,0.113873,0.163545,0.151069,0.0800726,0.130343,0.223089,0.514168,0.695717,0.705618]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1022, 101, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.10086,1.35302,1.93554,1.84562,2.18575,3.07217,5.50337,9.29962,18.5991,29.9814]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.405456,0.601152,0.900124,0.921441,0.977716,1.22331,2.02417,3.00306,5.18601,7.03879]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.10823,4.67714,5.87427,5.92611,6.62972,8.40034,14.8791,30.4483,48.0959,67.4865]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.970348,1.13982,1.9694,1.92126,2.30769,2.46702,4.09419,6.75232,9.80934,11.7032]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1023, 102, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.06928,5.46139,8.27431,10.0011,13.8732,21.3939,38.9766,59.0839,122.559,280.721]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[99.8712,113.88,107.568,147.608,209.222,284.263,386.023,486.781,630,804.285]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.89708,7.2276,11.8319,17.9157,23.4127,31.259,57.7899,103.101,182.159,371.379]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[83.385,68.2318,86.1362,119.344,194.509,246.904,374.156,523.354,735.048,949.711]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1024, 103, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.566804,1.36932,2.77519,3.01807,2.73974,2.74608,3.18206,2.75982,5.04684,9.60447]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[39.7482,37.3302,34.8829,32.9766,30.8378,28.8005,26.0502,23.0106,24.0732,26.6368]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.299861,0.702367,1.6213,2.69491,2.87623,2.76326,3.73452,4.03558,5.72821,9.82953]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.3962,25.4392,23.9938,23.1514,22.1469,21.2988,19.6148,18.0247,19.7668,23.3183]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1025, 104, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.974953,1.38593,1.65674,1.9218,2.82928,5.41456,9.49266,17.0508,34.8737,85.6512]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.28493,11.737,22.9772,39.1182,60.9445,89.4664,137.546,205.449,287.111,369.239]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.55568,3.90927,5.50267,7.61187,9.54877,13.0883,21.3202,37.9528,62.7509,121.155]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.25311,13.9501,27.6171,47.7522,74.2599,110.039,170.331,256.642,363.147,468.023]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1026, 105, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.433782,0.754883,1.03972,1.45185,2.81262,5.63778,12.5518,20.8647,46.6026,105.011]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.65671,2.27378,3.56207,5.02602,7.39013,10.1665,16.8102,26.7172,40.8735,55.274]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.36141,0.961904,1.70755,3.1618,4.97305,8.32354,19.8088,40.6255,77.9243,165.725]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.60492,2.14572,3.35308,4.87374,7.03072,9.89885,17.8948,28.6591,44.6404,60.8973]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1027, 106, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0607935,0.13441,0.190833,0.272503,0.459917,0.897386,2.17633,4.22266,11.4655,35.647]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.73048,0.60913,1.37128,2.22561,3.91125,6.27522,11.2544,18.7703,29.4474,43.458]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0422335,0.119674,0.230397,0.435155,0.65254,1.31753,3.66512,8.43144,19.7094,57.2056]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.726342,0.489151,1.01351,1.97544,3.55757,5.96109,11.7674,19.9572,31.4476,46.1975]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1028, 107, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.372988,0.620474,0.848887,1.17935,2.3527,4.74039,10.3755,16.642,35.1372,69.3635]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.926232,1.66465,2.19079,2.80042,3.47888,3.89124,5.55582,7.94693,11.4261,11.816]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.319176,0.84223,1.47715,2.72665,4.32051,7.00601,16.1437,32.1941,58.215,108.519]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.878576,1.65657,2.33957,2.89829,3.47315,3.93777,6.1274,8.70193,13.1928,14.6997]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1029, 108, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.235771,0.492937,0.819663,1.27709,2.16314,3.53758,6.87277,10.4406,20.4702,47.2156]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.42214,1.27678,1.66688,3.15552,5.93522,11.0986,18.7496,26.2195,38.8731,55.0055]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.117125,0.333772,0.523086,0.718033,0.955787,1.07607,1.93871,3.16533,5.24871,10.2584]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.45244,1.42175,1.90563,3.67619,6.76202,12.6149,20.6138,28.6278,42.8044,60.6048]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1030, 109, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.2589,0.471319,0.664343,0.840878,1.2497,1.73636,3.12788,3.24725,5.71998,12.8435]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.53774,2.99349,2.92172,3.72784,4.85953,6.58789,8.79444,11.0526,14.179,17.3109]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.219688,0.585037,1.07261,1.60492,2.25619,3.00354,5.76024,9.01219,15.6731,33.7199]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.22901,5.35815,5.26643,6.82361,8.98548,12.5731,16.4586,19.7934,25.8252,31.4269]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1031, 110, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0.0121513,0.0198081,0.0311287,0.0819545,0.0999591,0.295346,0.75869]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.82427,3.15215,3.68701,4.83303,6.82702,11.8602,20.9464,34.7814,57.5287,91.2956]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0.017037,0.0265458,0.0318828,0.0622478,0.132652,0.259556,0.680374]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.87742,5.36348,6.05219,7.94731,11.0076,18.8102,33.0965,54.015,88.3342,139.747]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1032, 111, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0258208,0.0398727,0.0634011,0.0936716,0.153747,0.208774,0.346829,0.530335,1.01662,2.55237]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0199943,0.047887,0.0959575,0.175337,0.264578,0.319635,0.592532,0.997596,1.889,4.18674]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1033, 112, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0.0103256,0.0179959,0.0339722,0.0791856,0.177653]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00289053,0.0170018,0.059652,0.223263,0.622116,1.07839,2.76431,7.28372,14.2087,23.5557]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0.0332852,0.0696537,0.126814,0.254656,0.580605]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00518869,0.0255189,0.0839716,0.281155,0.764962,1.33652,3.29947,8.66572,17.1878,28.7148]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1034, 113, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0726481,0.12982,0.171899,0.166689,0.203771,0.198177,0.284163,0.293619,0.461301,0.879334]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.594081,0.810763,0.556838,0.425051,0.324849,0.450135,0.530407,0.476537,0.707345,1.1268]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0409972,0.0954673,0.207726,0.233203,0.290348,0.258969,0.383178,0.497259,0.724363,1.20137]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.7377,1.0847,0.801927,0.64526,0.474225,0.596258,0.728961,0.834701,1.24195,2.11445]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1035, 114, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.500599,0.817316,1.08336,1.21889,1.70138,1.87318,3.01842,3.76278,7.99355,16.0275]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[44.8002,54.2893,37.254,58.1222,91.4805,124.755,153.831,151.791,152.445,164.841]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.28232,0.591897,1.10097,1.69859,2.22115,2.36048,4.11983,6.55523,11.7063,24.0418]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[33.829,13.4432,17.0621,24.1934,63.0769,59.7367,92.1175,108.092,132.1,134.865]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1036, 115, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.1009,2.71403,3.87055,4.09373,4.1026,4.09496,7.45425,8.04099,18.6744,34.5376]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[802.214,757.49,809.467,914.22,1033.84,1175.89,1346.48,1589.19,1841.97,2174.1]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.908102,2.12513,4.17452,5.19443,4.7115,4.39438,6.53848,10.7722,19.4988,41.3201]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[708.143,655.548,690.468,769.555,889.114,1020.97,1198.48,1421.49,1681.53,1970.53]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1037, 116, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.228373,0.715869,1.22343,1.46683,1.72057,1.95631,3.97994,4.30192,10.7497,20.2417]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[225.027,312.233,402.433,504.208,617.462,751.429,925.243,1139.13,1395.92,1682.67]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.401129,1.13106,2.43388,3.26862,2.92364,2.76976,4.17589,6.87457,12.5358,27.0638]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[250.414,344.115,438.645,541.652,653.806,777.348,935.93,1135.98,1369.81,1626.09]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1038, 117, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0186204,0.0549682,0.0455023,0.0714784,0.0970263,0.113179,0.182649,0.282417,0.613912,1.09727]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0230605,0.0238008,0.0320818,0.0473086,0.0750529,0.20008,0.457535,1.27181,2.36566,4.05318]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0468579,0.08909,0.187912,0.285069,0.309002,0.304219,0.430847,0.832567,1.41492,3.11098]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0541669,0.0650788,0.0622815,0.0966734,0.157118,0.434725,1.05748,2.44821,4.56301,8.50242]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1039, 118, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.204095,0.42106,0.517248,0.533406,0.619657,0.693218,1.46897,1.68632,4.13127,7.77733]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[435.197,269.833,197.52,174.354,169.851,176.769,190.421,204.142,220.014,237.931]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.279783,0.51821,0.843537,0.885048,0.765587,0.710653,1.13792,1.80571,3.44972,7.00089]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[409.282,254.571,185.794,160.086,156.636,162.498,175.244,189.097,202.06,215.877]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1040, 119, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0400155,0.059089,0.0967409,0.126153,0.167988,0.155565,0.28713,0.323948,0.686584,1.07423]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.517876,0.452526,0.584126,0.829177,1.14267,1.64038,2.35371,2.1448,3.10567,4.21114]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0542942,0.107827,0.181269,0.211003,0.22475,0.234916,0.309576,0.507084,0.841929,1.52658]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.692592,0.509719,0.704827,1.02177,1.42192,1.98685,2.93097,2.64255,3.78262,5.24512]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1041, 120, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.609794,1.46304,1.98763,1.89587,1.49736,1.17669,1.53556,1.44638,2.49298,4.34702]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[141.449,174.948,208.897,234.782,245.305,245.848,228,242.494,220.562,245.236]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.126038,0.278945,0.527924,0.54469,0.488522,0.374825,0.48425,0.752291,1.25643,2.61785]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[47.7012,56.288,65.2623,66.6983,77.0934,78.7022,83.3229,91.3193,101.317,114.823]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1042, 121, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.586941,1.83077,4.53894,7.88176,9.13262,10.6524,11.6982,12.0272,19.4263,52.1267]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.08861,1.89664,2.74326,4.17345,7.76372,12.7919,17.4473,21.7155,24.9214,29.0586]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.844177,1.9667,6.28553,11.0495,14.2395,16.4135,19.5853,26.7583,30.8063,67.7564]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.09804,1.8913,2.9287,4.69566,10.0737,16.0935,21.097,23.802,26.8508,30.6913]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1043, 122, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.141098,0.480248,1.25654,2.27432,2.80459,3.6164,4.30117,4.72937,8.08347,22.761]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.266795,0.49249,0.779832,1.19455,2.45471,4.36858,6.72184,8.61095,10.6012,13.0403]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.220935,0.498632,1.56331,2.70636,3.65797,4.79078,6.32291,9.433,11.6696,27.335]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.306329,0.469712,0.765296,1.17174,2.6731,4.79076,6.80397,8.37126,10.3911,12.5114]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1044, 123, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0903806,0.3059,0.803506,1.45024,1.85015,2.54612,3.17087,3.60594,6.32555,18.1883]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.183424,0.340174,0.457697,0.77661,1.53964,3.00834,4.53894,6.48684,7.94228,10.036]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.112428,0.253173,0.795924,1.37684,1.91591,2.6284,3.6041,5.50918,6.96328,16.5869]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.151064,0.249575,0.379083,0.617191,1.33464,2.59366,3.88033,4.96458,5.94893,7.48958]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1045, 124, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0168775,0.158593,0.582982,1.25709,1.54672,1.63719,1.63391,1.53249,2.26056,5.54721]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0393078,0.176502,0.359592,0.689462,1.32756,1.98014,2.46787,2.81181,2.9203,3.02457]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0717694,0.44679,1.95776,4.0631,5.45639,5.83257,6.48044,8.21992,8.82292,18.0729]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0864862,0.412463,0.880163,1.73976,3.83852,5.72071,7.0173,7.33203,7.67491,8.13926]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1046, 125, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.338585,0.886026,1.89592,2.9001,2.93116,2.85272,2.59223,2.15944,2.75668,5.63027]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.599088,0.887471,1.14614,1.51284,2.44182,3.43484,3.71868,3.80587,3.45758,2.95774]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.439044,0.768109,1.96854,2.90325,3.20925,3.16176,3.17786,3.5962,3.35047,5.76165]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.554164,0.75955,0.904163,1.16697,2.22747,2.98833,3.39544,3.13412,2.83592,2.55108]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1047, 126, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.48385,2.92617,4.14178,4.66401,6.08604,7.05546,9.85452,15.6271,29.1978,51.7024]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[86.4373,79.0202,88.2821,98.5471,114.038,130.151,145.325,77.2101,81.2345,83.8125]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.8846,5.11148,8.05394,10.1505,11.372,12.5471,14.7822,22.7055,33.024,60.2231]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[68.748,62.9515,65.3661,73.1068,83.9976,95.3232,112.456,85.8028,90.8864,93.6159]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1048, 127, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.22228,0.411349,0.582078,0.655127,0.962655,1.19567,1.80961,2.94141,5.63264,10.2899]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.84585,2.32486,3.79776,5.03961,6.64081,8.25752,9.85948,3.38645,4.00668,4.67016]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.328461,0.921427,1.44644,1.84664,2.08792,2.26932,2.73901,4.36456,6.457,12.0253]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.53383,3.18773,4.47841,6.1088,8.0808,9.73496,12.7667,6.57894,8.01838,9.09606]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1049, 128, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00232263,0.00449273,0.00567975,0.00685986,0.011558,0.0135783,0.0222427,0.0366306,0.0660427,0.123995]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[30.6283,24.9502,30.1836,35.0466,41.4753,47.7578,52.8361,3.75518,4.30153,4.77857]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00279488,0.00729774,0.0107029,0.0128375,0.0156371,0.0173686,0.0228897,0.0355512,0.0565169,0.0932191]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.2347,9.78033,10.3988,12.3725,14.8427,17.0458,20.7652,2.75845,3.14352,3.48331]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1050, 129, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.102403,0.193032,0.251921,0.297417,0.343896,0.432603,0.656895,1.00946,2.01797,4.05098]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.59461,4.0263,3.42962,2.91031,2.42496,1.78091,1.42007,1.29392,1.17818,1.16115]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.139428,0.351436,0.502066,0.635458,0.634224,0.681243,0.790678,1.18415,1.87331,3.51568]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.49325,5.01656,4.26621,3.74755,2.91029,2.27561,1.72166,1.53738,1.48287,1.42866]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1051, 130, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.316764,0.580284,0.817841,0.96902,1.30359,1.41294,2.03181,3.20123,6.12841,10.329]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.122966,0.124374,0.147815,0.18568,0.221192,0.223557,0.340263,0.407718,0.579285,0.639384]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.417398,1.05939,1.72053,2.15796,2.58719,2.64036,3.13584,4.98916,7.05072,12.5397]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.142134,0.146261,0.210907,0.247968,0.330278,0.373971,0.451742,0.604098,0.736477,0.833423]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1052, 131, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00299459,0.00577038,0.00936996,0.0110925,0.0149095,0.0155224,0.0210975,0.0282633,0.0549037,0.0995364]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.909034,1.10498,1.45707,1.79045,2.15177,2.51821,3.01517,4.07594,5.18089,6.2362]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00316361,0.00753731,0.0134074,0.0186034,0.0222871,0.0231978,0.027755,0.0404075,0.0636948,0.119238]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.81643,3.34872,4.39922,5.48141,6.53958,7.63817,9.27039,12.5756,15.8637,19.231]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1053, 132, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.128739,0.223662,0.342382,0.342871,0.332189,0.309593,0.340175,0.434135,0.704319,1.014]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.2947,22.5823,20.563,19.9908,19.9147,21.1685,22.6914,22.1962,19.4447,16.2232]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0668754,0.23635,0.322866,0.39099,0.377863,0.356984,0.398057,0.502502,0.779527,1.17725]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.6063,22.4115,20.2196,19.9877,20.9314,22.6212,25.2345,24.472,20.8043,16.4918]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1054, 133, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00176076,0.00293213,0.00375721,0.00511669,0.00819548,0.00934727,0.0173128,0.0247313,0.0486724,0.0876317]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0441462,0.0461042,0.0478458,0.0539978,0.0718677,0.0562383,0.106083,0.174153,0.297404,0.331008]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00209244,0.00553514,0.00985619,0.00879625,0.00934753,0.012928,0.016516,0.026864,0.0404729,0.075628]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0254208,0.0361901,0.0301468,0.0468722,0.0514408,0.0503089,0.0908814,0.135649,0.179276,0.220727]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1055, 134, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.136959,0.289222,0.450714,0.516033,0.557151,0.599526,0.730371,1.07085,1.77483,2.98239]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.59809,4.35892,6.99414,9.74475,12.4157,14.9943,17.7353,20.9317,24.22,27.1128]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0871101,0.180961,0.318358,0.429538,0.454,0.537392,0.571551,0.930226,1.34708,2.5575]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.45401,2.40199,3.96392,5.23736,6.76144,8.15989,9.8809,12.1908,14.3592,16.3998]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1056, 135, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0919069,0.199592,0.273763,0.320913,0.456845,0.520294,0.696324,1.07623,1.9123,3.7204]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.272798,0.377104,0.6551,0.742076,0.953835,1.03301,1.26967,1.3907,1.45757,1.66554]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.167791,0.474184,0.859271,1.05051,1.09106,1.26866,1.39349,2.0966,2.89366,5.45669]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.332104,0.583027,1.14391,1.72215,2.38959,2.90178,3.00054,3.06981,2.92286,2.74353]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1057, 136, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.477718,1.01583,1.40427,1.53956,2.09505,2.54638,3.52868,5.80419,10.8577,19.0046]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.1268,19.125,21.0062,23.0428,27.7679,32.3612,36.0519,19.5982,20.5683,20.9944]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.669489,1.86736,2.85043,3.59918,4.09248,4.73961,5.68638,8.53549,12.4621,22.6629]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.1099,16.0393,16.2549,18.1545,21.1599,24.5215,29.2736,21.8801,23.3758,23.6876]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1058, 137, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.43055,7.47585,8.531,7.31946,6.20095,6.43941,9.39667,12.3747,25.0794,23.0779]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[565.693,643.283,638.373,623.8,616.041,610.935,621.318,651.974,674.546,705.103]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.6792,16.006,19.4156,17.9185,15.1349,14.4012,17.055,22.6647,27.9246,34.6878]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[449.471,502.744,500.626,488.757,480.542,477.114,490.83,529.682,559.371,597.394]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1059, 138, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.141767,0.266834,0.268565,0.250438,0.217917,0.223506,0.283207,0.303972,0.872356,1.86774]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,2.12834,22.0389,58.8249,98.7608,148.628]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.10097,0.207623,0.340584,0.419323,0.391623,0.346313,0.469153,0.534947,1.00737,1.89861]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,1.86872,19.1808,49.2171,80.3133,119.556]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1060, 139, 207, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.114242,0.138443,0.10639,0.0965918,0.120541,0.18179,0.405904,1.03128,2.07197]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.117574,1.06427,2.84948,5.25146,8.40545,12.6263,18.6743]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.122972,0.142746,0.115474,0.115218,0.145997,0.266303,0.623635,1.29903,3.06873]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.131348,1.40217,3.92001,6.88194,10.8541,15.8971,23.1082]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1061, 140, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.71047,6.38765,7.32479,6.13309,4.99434,5.06082,7.25313,9.27257,19.0123,13.9113]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[283.834,286.322,280.345,267.538,251.658,243.832,236.425,232.899,228.961,226.193]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.51356,13.2473,16.8251,15.2647,12.726,11.7418,13.3971,16.6054,18.0517,20.6024]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[290.435,294.567,288.872,278.729,267.165,260.945,252.948,250.859,246.075,243.849]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1062, 141, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0.0676451,0.143912,0.163891,0.215648,0.236077,0.354848,0.384588,0.551972,0.541605]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.22624,2.58755,6.15481,10.7436,14.0776,15.1069,14.6852,13.6053,11.8638,9.45664]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0.0500818,0.126808,0.176655,0.231373,0.252289,0.29891,0.297517,0.428946,0.363591]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.486423,1.16043,2.81766,5.2211,6.58834,7.12121,7.07049,6.3889,5.64244,4.48746]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1063, 142, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[255.963,319.092,311.585,302.34,304.576,300.16,284.301,257.21,223.776,189.954]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[139.187,177.945,175.104,168.706,168.469,163.903,153.229,137.95,119.061,100.307]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1064, 143, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.7114,33.7874,37.1091,37.3688,36.7806,36.0484,35.2928,34.4708,33.6272,32.7722]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.8785,28.0954,31.794,32.3531,31.7263,30.7358,29.7903,29.0072,28.2517,27.5392]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1065, 144, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.578316,0.639478,0.655287,0.665655,0.676459,0.798464,1.3237,2.00768,3.61153,4.68533]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.958009,1.49342,3.17904,5.69267,7.88447,10.8104,23.3239,46.5577,64.9307,79.4244]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.06464,2.37799,1.98038,1.94238,1.67065,1.91485,2.62354,4.60322,7.13757,8.75449]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.483318,0.976467,2.03705,3.61671,5.19123,8.62039,21.7296,45.4064,64.1311,78.5469]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1066, 145, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.672024,1.14244,1.58081,1.32225,1.1062,1.02656,1.12943,1.31099,1.82568,2.01476]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3468.61,3988.87,4256.27,4332.08,4309.62,4260,4186.2,4030.2,3808.22,3427.33]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.989599,3.39324,5.26305,5.02972,3.73829,2.96385,2.84613,3.19504,3.48097,3.51576]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2775.43,3155.72,3400.47,3425.43,3338.18,3222.79,3092.57,2928.03,2701.44,2374.11]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1067, 146, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.205759,0.223041,0.221781,0.26247,0.305962,0.271542,0.473882,0.552431]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.3489,60.0823,129.867,211.627,274.967,306.45,315.31,297.927,259.596,203.774]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.415002,0.572734,0.608462,0.478081,0.482434,0.487665,0.587934,0.530592]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.25,70.0618,155.595,255.43,333.824,372.241,380.905,358.677,304.934,236.927]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1068, 147, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00598407,0.0106782,0.0148591,0.0160545,0.0224573,0.0325806,0.0528248,0.0948877,0.182191,0.25506]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[54.8162,72.3315,69.1109,62.9385,63.0808,67.9954,73.6834,65.8386,51.416,36.5657]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00808982,0.0236284,0.0349653,0.0356632,0.0386522,0.0463855,0.0699527,0.120823,0.190832,0.257781]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[119.993,169.731,163.956,147.202,145.062,155.678,165.876,150.241,117.264,84.3968]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1069, 148, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.580495,1.00728,1.18611,0.937404,0.718787,0.604845,0.632078,0.758684,0.901014,0.855073]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[146.503,324.691,334.281,244.038,171.367,117.356,82.0748,52.8628,31.962,16.6262]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.903926,3.17756,4.47275,4.06205,2.72032,2.10549,1.89522,2.06693,1.98824,1.86411]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[240.432,626.968,667.81,526.287,372.657,243.913,158.53,102.244,62.9264,34.2651]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1070, 149, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.302322,0.524762,0.617844,0.488227,0.374157,0.314732,0.329042,0.394911,0.468703,0.444603]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.2348,112.068,150.605,102.491,70.0195,53.8395,39.4196,22.1223,10.4404,4.83916]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.469224,1.65149,2.32359,2.11066,1.41518,1.09452,0.983466,1.0646,1.03298,0.968576]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[32.198,265.374,338.049,260.48,180.85,123.869,80.1547,46.401,25.5252,14.0163]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1071, 150, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000945892,0.00148668,0.00182289,0.00150282,0.00134235,0.00123397,0.0011619,0.00143078,0.00196829,0.00205254]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.695613,5.41694,6.76363,4.17175,2.56135,1.83258,1.20694,0.649124,0.353802,0.170603]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00288622,0.00828358,0.0126261,0.0110706,0.00586661,0.00528878,0.00635889,0.0142472,0.00553334,0.00510357]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.38963,11.4165,15.1376,10.4288,6.45019,4.18201,2.58936,1.49947,0.789734,0.418472]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1072, 151, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000668508,0.00100506,0.00125591,0.00105485,0.000999209,0.000945431,0.000860117,0.00106863,0.00153871,0.00164522]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[45.5802,66.6734,64.7496,52.6881,38.1985,24.7875,18.4451,14.3422,10.3895,5.77264]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00245701,0.00677119,0.0104991,0.00913815,0.00456949,0.00428627,0.00545957,0.0132805,0.00458769,0.00421679]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[69.7282,107.992,113.198,96.4735,70.8991,46.3274,33.3346,25.6453,17.8476,9.77759]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1073, 153, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.276559,0.48003,0.565184,0.44662,0.342288,0.287933,0.301014,0.361274,0.428804,0.406772]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[44.3806,68.7687,67.7905,53.7393,38.4435,25.0157,18.3614,13.9052,9.89898,5.43464]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.429359,1.51102,2.12604,1.93118,1.2947,1.0014,0.899939,0.974808,0.945146,0.886214]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[68.5586,114.767,122.635,101.776,73.4089,47.771,33.7684,25.3305,17.2462,9.35016]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1074, 155, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1701.75,1904.71,2018.11,2105.81,2142.3,2183.06,2217.04,2221.92,2177.4,1975.11]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[992.212,1108.54,1186.64,1250.29,1267.33,1286.56,1300.43,1312.68,1288.95,1158.71]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1075, 156, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[180.226,205.785,220.762,232.814,242.98,255.192,268.515,274.486,273.828,268.09]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[128.116,150.375,162.029,171.433,178.426,186.32,193.865,195.792,192.583,184.837]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1076, 159, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[105.229,281.881,410.735,456.663,439.206,378.331,293.795,222.586,174.326,139.363]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[80.4002,221.667,330.109,374.853,366.277,321.852,253.829,197.106,155.157,123.306]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1077, 160, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[955.388,994.091,944.061,901.409,877.139,866.837,858.854,821.981,766.831,710.329]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[511.788,537.718,513.155,493.011,479.605,471.261,461.279,439.059,409.068,378.504]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1078, 161, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0676748,0.104998,0.139174,0.112836,0.102992,0.0765655,0.0685216,0.081352,0.0991604,0.112179]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.9385,30.6075,38.8493,34.3685,22.1373,12.9924,7.99994,5.09668,3.14399,1.90847]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0397074,0.102557,0.158605,0.148309,0.11849,0.0800515,0.0748277,0.0874967,0.103695,0.130092]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1079, 162, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[32.182,32.2156,31.3949,30.0875,29.5024,28.6145,28.0719,26.8056,25.7244,24.7003]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[92.2212,91.0122,88.4242,86.1391,83.7122,80.9679,78.5919,75.7056,72.0058,68.7223]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1080, 163, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.9015,23.5377,22.7124,22.0157,21.1558,20.4794,19.5596,18.8318,17.6664,16.8456]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[95.7543,94.4623,92.6885,90.2353,87.4711,84.6869,81.8703,78.4632,74.7017,70.6012]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1081, 164, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.81413,5.26473,2.80811,1.381,0.600266,0.217488,0.0682481,0.0176373,0.00275782,0.000369537]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[28.8104,18.9021,10.9986,5.69087,2.61525,1.01911,0.335645,0.09972,0.0229843,0.00459034]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1082, 165, 207, '{\"age\":[\"15-19\",\"20-24\"],\"number\":[0,0]}', '{\"age\":[\"15-19\",\"20-24\"],\"number\":[181.837,13.6295]}', '{\"age\":[\"15-19\",\"20-24\"],\"number\":[0,0]}', '{\"age\":[\"15-19\",\"20-24\"],\"number\":[425.134,31.86]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1083, 166, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.2528,18.8755,15.6701,12.4943,9.28644,6.5111,4.05032,1.94176,0.795335,0.371792]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.7601,22.9594,18.9535,15.0672,11.1912,7.60841,4.73365,2.16727,0.927355,0.490069]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1084, 167, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0178698,0.0194777,0.0349082,0.0329158,0.04018,0.0500945,0.0700458,0.10452,0.169434,0.240015]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.4261,21.1675,17.9036,16.43,15.898,15.9647,17.1776,19.8994,25.5232,33.6409]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0378754,0.0894919,0.181729,0.210969,0.25237,0.253836,0.323689,0.432125,0.610268,0.733188]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.5601,11.4578,10.1115,9.78826,10.018,10.6829,12.3152,15.7993,22.8998,33.3481]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1085, 168, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.41573,10.5426,15.4213,16.7214,17.2275,19.2222,30.9284,51.0858,98.7974,189.602]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[413.386,712.483,951.563,1088.56,1148.37,1111.06,978.007,1077.78,1061.09,1026.34]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.56165,17.454,23.9851,26.8629,27.5498,30.0585,45.5877,79.8153,134.36,225.4]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[272.248,257.302,279.917,336.348,416.672,525.232,676.688,955.919,1269.05,1624.46]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1086, 169, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.585392,1.49589,2.6979,3.35639,4.35668,5.62873,10.5672,19.7755,41.1239,100.861]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.4041,22.2806,37.781,68.8844,112.131,162.731,212.345,263.112,312.587,364.197]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.897762,2.88243,5.11587,6.44477,7.64385,8.5502,13.0271,25.0877,41.7718,96.3988]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.4134,21.4602,36.1977,65.317,107.038,154.897,201.436,246.966,292.311,339.478]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1087, 170, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.32297,0.501456,0.475891,0.526443,0.538955,0.547727,0.890827,1.33368,2.16752,3.33599]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0188119,0.00869631,0.00896389,0.00984605,0.00866701,0.00978695,0.00994849,0.0148877,0.0142308,0.0172159]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.597377,1.11365,1.59351,1.65505,1.60983,2.08404,2.45032,4.60015,6.53758,8.77831]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0300323,0.0157979,0.0142481,0.0171283,0.0155217,0.0152006,0.0161053,0.0247721,0.0322778,0.0379332]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1088, 171, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.1302,2.08464,2.86397,2.80589,3.50187,3.98787,6.34007,10.7726,21.9807,32.501]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.68819,7.52212,11.117,17.0588,25.9867,36.0365,45.1935,58.8316,85.3736,121.52]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.783584,2.70501,3.03908,3.271,4.07778,3.67505,5.45498,8.95575,14.7335,21.1084]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.39355,7.41393,10.2737,15.9244,25.184,34.3629,43.7291,57.8847,86.3767,124.45]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1089, 172, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0016897,0.102693,0.277266,0.385508,0.630234,0.884751,1.65897,3.30121,7.66936,12.783]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.113197,0.452582,1.21559,2.45109,4.90689,8.39016,12.5684,19.0831,30.8285,45.0533]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00104011,0.116778,0.258337,0.400519,0.641131,0.707817,1.27093,2.43076,4.56377,7.35393]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0621047,0.401987,0.93951,2.13711,4.27436,7.14948,10.9933,15.9604,27.8125,41.2286]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1090, 173, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.18101,0.363904,0.542736,0.589099,0.804665,0.997599,1.51933,2.47013,4.78047,6.76161]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.753839,1.43547,2.1476,3.62177,6.14784,8.83483,10.5562,13.0368,18.3535,26.1656]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.139295,0.520413,0.631263,0.760257,1.03751,1.00037,1.44598,2.2719,3.57201,4.88103]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.81663,1.45995,2.23024,3.68647,6.56897,9.4561,11.0025,14.4889,19.9509,29.0051]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1091, 174, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.947498,1.61804,2.04397,1.83128,2.06697,2.10552,3.16177,5.00129,9.53088,12.9563]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.82115,5.63406,7.75386,10.9859,14.9319,18.8115,22.0689,26.7117,36.1916,50.3013]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.643249,2.06782,2.14948,2.11022,2.39914,1.96686,2.73806,4.25309,6.59775,8.87345]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.51482,5.55199,7.1039,10.1008,14.3407,17.7573,21.7333,27.4354,38.6134,54.2161]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1092, 175, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.923901,1.96939,2.53826,2.70671,3.43358,4.24591,7.59461,13.4896,24.3798,37.7642]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.80035,11.3468,13.0417,15.2672,17.8586,21.1053,24.9364,27.7806,30.0161,31.9901]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.32225,3.63183,5.26556,6.048,6.65697,8.56063,14.4965,25.9081,45.9923,70.1745]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.74984,18.3408,31.2277,47.0985,62.1155,97.9956,178.249,381.506,594.916,780.091]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1093, 176, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.182726,0.316894,0.436518,0.440728,0.501203,0.566449,0.897169,1.60948,2.79471,4.60904]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.32431,4.17271,3.60591,3.11712,2.64564,2.36134,2.32507,2.26572,2.22016,2.25556]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.077843,0.180608,0.272113,0.293538,0.278803,0.339094,0.546838,0.967848,1.93086,1.00092]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.43398,1.61111,1.7942,1.99476,2.15139,2.33885,2.60274,2.90607,3.19258,3.7253]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1094, 177, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0224793,0.0403445,0.0731095,0.087013,0.092642,0.100889,0.171741,0.277175,0.528381,0.731749]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.16951,2.25668,3.86916,5.61961,7.48292,9.5298,11.6624,13.3528,14.5939,15.7897]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0296968,0.0941817,0.14259,0.186935,0.208754,0.231362,0.297005,0.469149,0.825622,0.926626]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.15305,4.32254,7.19905,10.4692,13.9515,17.8131,21.3819,24.3256,26.9532,28.9386]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1095, 178, 207, '', '', '{\"age\":[\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0]}', '{\"age\":[\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.8887,133.267,330.451,538.797,718.429]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1096, 179, 207, '', '', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\"],\"number\":[0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\"],\"number\":[7.1843,14.3755,23.8179,31.9871,46.3153]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1097, 180, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.718696,1.61215,2.02863,2.17897,2.83973,3.57858,6.5257,11.6029,21.0567,32.4234]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.30654,4.91741,5.56662,6.5305,7.73003,9.21416,10.9489,12.1621,13.202,13.9448]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.21471,3.35704,4.85085,5.56752,6.16941,7.99018,13.6527,24.4711,43.2358,68.247]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.16281,5.22288,7.85892,10.8166,14.0256,17.6397,20.9966,23.8233,25.9735,28.9987]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1098, 181, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0716271,0.175915,0.271086,0.340964,0.336649,0.347102,0.400963,0.175607,0.179092,0.202011]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[218.941,511.997,721.139,815.769,813.056,696.804,507.372,529.848,438.518,175.435]}', '', '', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1099, 182, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0.00542992,0.0254766,0.0546068,0.0696558,0.0814666,0.0998101,0.0438113,0.043403,0.0405116]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[130.628,143.481,142.1,154.451,195.783,259.505,293.294,300.129,226.41,45.0403]}', '', '', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1100, 183, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[13.7183,132.112,237.45,273.188,283.448,186.279,1.04966,0.00388502]}', '', '', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1101, 184, 207, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\"],\"number\":[0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\"],\"number\":[5.16347,10.3277,16.9601,22.8066,32.6716]}', '', '', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1102, 185, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[0,0.000309892,0.000768774,0.000929105,0.000832584,0.000749144,0.00063991,0.000145386]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[1.48482,16.2306,40.9038,72.0807,80.6116,13.6687,0.241008,0.00220394]}', '', '', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1103, 186, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,9.18675e-5,0.00122848,0.00304175,0.00544633,0.00962478,0.00602583,0.0082675,0.0121687]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.22786,59.6222,110.115,137.194,146.81,157.785,172.743,188.722,174.601,130.395]}', '', '', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1104, 187, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[18.6351,106.818,134.198,116.961,38.9811,2.81658,0.0594128,0.000256699]}', '', '', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1105, 188, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0716271,0.170176,0.244749,0.2842,0.263119,0.25944,0.290889,0.125624,0.127422,0.149331]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[45.2473,48.5695,46.0447,44.935,44.6161,44.0779,39.9848,40.991,37.5071]}', '', '', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1106, 189, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.48058,2.65961,3.43293,2.44886,1.31758,1.03472,1.10252,1.10103,1.95126,2.77624]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[132.995,123.014,128.031,126.015,128.556,137.805,125.624,120.026,102.374,185.699]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.85624,1.37005,2.00169,1.67402,1.15019,0.952449,0.95145,1.07145,1.5252,1.97179]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[182.236,152.487,144.041,143.722,149.73,158.287,163.371,165.396,174.815,215.091]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1107, 190, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0670857,0.0858337,0.0997003,0.0765694,0.0571204,0.0485566,0.0448598,0.0416186,0.0429547,0.0324744]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[31.496,29.2281,30.3035,30.7627,32.2835,33.6732,32.267,31.8733,28.2415,28.8024]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0479677,0.0727132,0.0883236,0.0816628,0.0615768,0.0507287,0.0480892,0.0503796,0.0494526,0.0350299]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.5929,12.5703,10.9236,11.3555,12.585,13.2461,14.5181,15.1088,16.8888,18.9468]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1108, 191, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.49333,0.455356,0.588087,0.47903,0.384342,0.360043,0.370251,0.378927,0.456172,0.42265]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[88.9207,80.5095,85.2808,83.0523,84.1602,91.9352,82.3023,76.6503,63.5916,60.5499]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.395046,0.429672,0.558888,0.542638,0.43458,0.389599,0.406411,0.464674,0.528368,0.458236]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[58.0117,49.3515,50.0632,47.6593,46.7482,52.2152,50.3104,47.7179,47.248,47.0641]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1109, 192, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.056002,0.0513763,0.0609076,0.0482371,0.0382229,0.0363923,0.0427102,0.0550751,0.0818516,0.0926483]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.84024,0.733281,0.782583,0.827425,0.899029,0.992977,0.891884,0.913332,0.748256,0.785539]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0756579,0.0832688,0.0980492,0.0896739,0.0695115,0.062565,0.0735872,0.109136,0.156736,0.167902]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.523971,0.367877,0.290582,0.329717,0.383097,0.420868,0.466625,0.498116,0.562006,0.65399]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1110, 193, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.864158,2.06705,2.68424,1.84502,0.837891,0.589727,0.644696,0.625407,1.37028,2.22847]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.7377,12.5433,11.6644,11.3722,11.2129,11.2034,10.1631,10.5896,9.7922,95.5612]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.337569,0.784393,1.25643,0.960041,0.584521,0.449557,0.423363,0.447257,0.790639,1.31063]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[107.108,90.1972,82.7638,84.3775,90.0135,92.4051,98.076,102.071,110.116,148.426]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1111, 194, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.901069,1.65568,3.14125,4.53612,3.7422,3.43012,4.03226,4.43773,7.01516,12.1609]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[30.5386,36.3133,40.4443,45.5529,50.7704,56.5704,62.5262,78.1626,92.2117,147.479]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.10444,5.75105,6.96942,7.77005,6.4112,6.2361,9.20729,14.1921,23.7998,26.9678]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[62.4255,57.5846,58.1625,64.2687,72.5889,79.6735,89.8869,104.142,120.602,165.314]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1112, 195, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.94098,3.35397,4.62022,4.18906,4.29577,5.21669,7.27901,12.8048,21.9348,21.4818]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1398.97,1624.32,2015.31,2400.13,2842.17,3405.34,4091.4,4737.27,5282.01,5782.69]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.905929,1.98683,2.75177,2.7855,2.73036,3.14812,4.5681,8.00717,11.8644,14.7747]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1331.79,1469.63,1957.96,2359.59,2764.67,3209.4,3716.11,4183.84,4587.32,4985.91]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1113, 196, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.436422,0.800368,1.05749,1.07779,1.42774,2.25526,3.40029,7.3475,14.4118,14.7827]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.4408,41.5375,61.316,75.3025,86.3574,92.8361,103.162,119.47,138.302,160.275]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.205818,0.481888,0.604484,0.765163,0.778827,1.02596,1.66099,3.12634,4.93076,6.9001]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.91217,11.4531,17.0476,21.1298,24.3391,26.8727,29.9356,34.2846,40.2995,47.3538]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1114, 197, 207, '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.9045,143.972,434.567,840.489,1147.51,1294.53,1376.71]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.75435,86.9932,262.523,509.127,701.014,793.609,845.768]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1115, 199, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[668.783,698.501,773.385,963.041,1153.68,1319.13,1517.25,1754.3,1977.6,2184.18]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[832.206,918.948,1070.1,1341.46,1609.45,1835.13,2068.1,2302.47,2508.76,2699.7]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1116, 200, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[522.523,476.997,495.317,615.98,728.831,842.995,907.219,889.446,874.297,855.156]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[429.64,389.53,401.433,500.375,594.502,684.911,734.584,720.073,703.5,687.75]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1117, 201, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00747339,0.0350854,0.0894818,0.173661,0.307547,0.479969,0.71321,0.984217,1.1942,1.46606]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0117437,0.0892664,0.252703,0.510189,0.860548,1.3211,1.874,2.50283,3.08942,3.65244]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1118, 202, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.50456,2.55361,3.56273,3.11127,2.86803,2.96142,3.87872,5.45731,7.52299,6.69911]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[186.22,407.25,685.202,732.726,729.02,715.331,722.569,825.559,996.09,1204.9]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.700111,1.50494,2.14729,2.02033,1.95153,2.12216,2.90711,4.88083,6.93366,7.87461]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[64.0196,149.606,469.125,488.358,448.527,398.65,372.495,423.494,538.06,701.689]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1119, 203, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.37113,2.97414,5.22584,1.85062,1.44884,1.50891,2.04799,4.23244,6.38673,9.94298]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1045.2,899.047,1003.24,1197.06,1401.3,1594.09,1903.76,2427.51,3013.37,3751.79]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.48745,2.76491,3.99239,4.58369,3.46436,3.81779,6.54656,9.4502,15.6048,22.1214]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1009.36,915.448,1069.07,1306.48,1564.11,1791.95,2096.54,2581.24,3132.87,3863.14]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1120, 204, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.995904,1.84005,3.5773,0.951712,0.527857,0.405394,0.394806,0.372512,0.58074,0.742492]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[51.0425,38.3043,32.2862,29.9713,26.5548,24.4486,23.5816,25.3132,25.0612,22.73]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.912164,1.2944,1.68985,1.00613,0.655955,0.516444,0.470617,0.5496,0.655494,0.750869]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[51.1205,34.7875,29.7164,26.6841,23.6808,21.2058,19.9633,21.7582,21.08,19.7223]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1121, 205, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0609265,0.113386,0.297477,0.0779546,0.0359128,0.0230732,0.0121238,0.00800772,0.0106363,0.0108854]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.34578,9.24236,8.61999,8.56641,7.889,7.69727,7.21924,6.79973,6.67154,6.14096]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0435245,0.0653956,0.105824,0.0632481,0.0340983,0.0265486,0.0164957,0.0164742,0.0171598,0.012486]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.64646,6.64722,6.46286,6.13887,5.84169,5.40319,5.09907,4.78892,4.5698,4.35082]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1122, 206, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.3005,0.50058,0.986141,0.202836,0.107209,0.0828545,0.0813494,0.0664778,0.106396,0.161339]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.72468,3.33613,2.75964,2.38938,2.09837,2.16675,2.25648,2.04533,2.29618,3.02569]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.348162,0.504459,0.648208,0.304393,0.182942,0.129398,0.118162,0.122605,0.149052,0.177537]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.3763,3.35321,2.79393,2.44003,2.11674,2.2128,2.35568,2.416,2.91753,3.95765]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1123, 208, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0519772,0.125657,0.296514,0.100353,0.0465799,0.0385533,0.0314659,0.0286832,0.0330446,0.031876]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.21663,8.66309,7.89016,7.1576,6.14591,5.17572,4.94001,6.70181,6.58508,5.14775]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0344271,0.058639,0.0932604,0.0689595,0.042111,0.0333908,0.0352397,0.0387159,0.0415691,0.0302902]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.02135,8.68297,8.05273,7.13295,6.19211,5.09409,4.57921,5.94634,5.36576,3.78155]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1124, 209, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0171821,0.0443025,0.0881434,0.019735,0.00775455,0.00612478,0.00468011,0.00340863,0.00653799,0.00461266]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.24687,3.09616,2.79886,2.46083,2.10153,1.73381,1.70392,2.33296,2.25506,1.63968]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0117571,0.0203414,0.0327881,0.0185577,0.00893728,0.00719351,0.00534114,0.00727448,0.00625547,0.00932749]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.18672,3.27446,2.94298,2.64526,2.29947,1.96996,1.81835,2.29226,2.04128,1.423]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1125, 210, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.565318,1.05613,1.90903,0.550833,0.330401,0.254788,0.265187,0.265934,0.424125,0.533778]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.2845,12.8313,9.68093,9.1125,8.13489,7.53972,7.34903,7.32298,7.15129,6.68525]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.474293,0.645564,0.809768,0.550971,0.387867,0.319913,0.295378,0.364531,0.441457,0.521229]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.2804,11.5511,8.83635,8.02756,7.01797,6.35188,5.94686,6.16162,6.03789,6.06845]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1126, 211, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.375229,1.13409,1.64854,0.898912,0.920985,1.10352,1.65319,3.85993,5.80599,9.20049]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[709.917,510.232,465.853,465.442,468.366,486.771,514.607,559.783,612.559,668.474]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.575285,1.47051,2.30255,3.57756,2.80841,3.30135,6.07594,8.9006,14.9493,21.3705]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[636.401,449.843,414.195,417.447,426.363,450.652,487.548,554.829,639.289,734.259]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1127, 212, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[121.548,109.967,106.033,103.242,100.655,99.7331,99.3978,98.9751,98.4396,97.5511]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[99.0276,89.7561,86.6075,84.0555,82.4196,81.7544,81.4886,80.9356,80.1454,79.2584]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1128, 213, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.01852,8.10077,9.50524,10.9619,12.3571,13.5624,15.5196,18.545,21.1089,23.4]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.67452,9.98638,12.0343,13.7433,15.5894,17.3476,19.5311,23.1742,26.3464,28.8782]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1129, 214, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.118049,0.393255,0.568706,0.331007,0.33578,0.366246,0.560216,1.30109,1.96016,2.88152]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.11755,8.87209,8.59965,8.66759,8.52197,8.4503,8.68479,10.2836,12.0782,13.7294]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.186633,0.420284,0.666932,1.12462,0.966711,1.14613,2.20704,3.02719,5.16641,6.72096]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.1799,10.9647,12.519,14.6429,16.5008,18.5322,20.5851,23.5237,26.616,29.447]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1130, 215, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.16119,0.499602,0.67111,0.377702,0.395989,0.47461,0.661763,1.52882,2.29177,3.40452]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.5394,13.6065,13.1016,13.2699,13.3472,13.4191,13.9161,16.2877,18.7477,20.924]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.264136,0.63613,0.982561,1.54971,1.13511,1.34872,2.45602,3.74591,6.00352,8.15185]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.3325,12.7037,12.4429,12.5413,12.4714,12.481,12.9077,15.3272,17.8424,20.0412]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1131, 216, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[35.0069,36.8833,38.6191,39.4697,38.7907,38.4112,38.1598,37.5481,37.0687,36.543]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[36.006,38.1832,40.2644,41.2412,40.5145,40.2017,39.5683,39.0105,38.4947,37.6357]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1132, 217, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[48.6588,28.6935,33.698,38.5878,43.3984,48.3438,55.2382,65.0143,74.6913,84.1181]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[53.2617,31.8098,37.2867,42.6207,47.8895,53.1555,60.4757,71.4609,82.1487,92.4042]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1133, 218, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[74.3475,31.3338,28.8542,26.5481,24.2362,21.9516,20.881,20.7097,20.6931,20.6288]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[78.4115,33.4711,30.7863,28.1953,25.7701,23.4878,21.8478,21.8614,21.8375,21.6855]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1134, 219, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[238.987,125.477,68.2529,44.6737,25.4833,14.6996,6.2733,3.97901,2.71006,1.46633]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[209.135,111.122,60.2214,39.5115,22.7196,13.1104,5.5864,3.52299,2.39898,1.30169]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1135, 220, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.4297,25.7432,27.0181,27.588,27.211,26.7457,26.6308,26.2746,25.799,25.346]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.2881,16.0305,16.8795,17.2387,16.9062,16.8235,16.5425,16.1551,15.9495,15.6568]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1136, 221, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.2202,26.2715,33.8602,42.3064,50.6626,59.0264,64.6913,65.8749,67.0297,68.1822]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.5239,19.9817,25.7944,32.281,38.7034,45.0768,49.1783,50.004,50.7011,51.246]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1137, 222, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[41.9251,42.1895,43.0333,45.0213,46.8281,49.095,49.6928,48.7021,47.7684,46.4416]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[26.8937,27.1152,27.7278,29.1525,30.4569,31.8976,32.3378,31.6311,30.8062,30.0113]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1138, 223, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0917268,0.234991,0.396444,0.186672,0.185668,0.259212,0.42399,1.01367,1.52843,2.87649]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.668121,1.46917,2.14771,3.29095,4.49283,6.43537,9.70944,14.4777,21.1237,30.0306]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.11957,0.403125,0.638306,0.8893,0.69234,0.789887,1.38517,2.09279,3.72367,6.42352]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.866467,1.85769,3.16599,4.91071,7.27995,10.3287,15.2321,22.4294,32.3688,45.0036]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1139, 224, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00426308,0.00624121,0.0122817,0.00353128,0.0035484,0.00345312,0.00721928,0.0163562,0.0256376,0.0379534]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[69.4507,51.624,53.1302,61.8146,72.3822,86.8973,105.811,133.111,165.301,200.113]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00494617,0.0109668,0.0147467,0.0139371,0.0142499,0.0166078,0.0277107,0.0347113,0.0557433,0.0741687]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[64.8002,46.861,48.4645,57.3128,69.142,86.4544,112.267,155.793,213.633,281.689]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1140, 226, 207, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.274273,1.98955,7.00952,13.425,19.3651,25.3335,35.0636,50.5364,72.2475]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.203095,1.43731,5.16591,11.2353,16.732,22.9975,35.4424,55.3448,83.7792]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1141, 227, 207, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.842729,5.2249,21.1822,42.125,58.4873,78.232,114.611,170.149,250.624]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.369292,2.28348,9.84214,21.5499,30.6783,43.6857,71.8402,114.337,175.347]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1142, 228, 207, '{\"age\":[\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0]}', '{\"age\":[\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.32068,18.4169,39.5384,72.1466]}', '{\"age\":[\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0]}', '{\"age\":[\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.9658,9.68556,22.6243,43.2261]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1143, 229, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[31.432,21.3889,29.1943,44.4065,62.2445,85.901,117.895,173.791,259.538,386.197]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.9967,17.6997,23.5842,35.3782,50.0857,68.3115,94.5326,142.047,214.061,319.089]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1144, 230, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[127.951,160.705,199.248,238.114,277.288,321.16,426.933,607.806,772.74,978.383]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[173.293,242.895,311.907,379.107,456.201,532.487,637.067,781.833,921.866,1143.44]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1145, 231, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[58.5751,82.8284,115.142,133.861,149.375,173.014,239.19,368.769,497.127,622.224]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[61.1526,90.6265,135.455,172.964,199.949,228.862,299.812,431.51,561.126,687.661]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1146, 234, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[65.082,76.9491,88.0322,84.6624,76.864,62.3699,58.6979,59.4397,59.4254,57.7086]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[60.078,71.2889,82.1394,79.3319,72.5933,59.4678,55.9447,56.6451,56.1896,54.4188]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1147, 235, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00810944,5.64665,57.6969,152.063,249.689,306.117,329.137,332.895,327.998,313.242]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00835722,5.89635,61.0277,163.321,272.261,335.144,359.703,362.975,355.767,337.792]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1148, 236, 207, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.728763,7.43415,19.1544,34.0654,54.9867,84.1623,129.594,196.143,304.607]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.598425,6.11532,15.9816,28.8055,46.8429,71.5143,110.472,168.442,260.933]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1149, 238, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.2882,30.1061,29.0597,20.414,14.2367,13.4907,18.4046,17.6869,33.6836,42.5215]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[91.1271,125.661,151.515,172.766,178.507,183.317,181.381,179.824,166.828,151.63]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.6503,52.2812,46.6804,29.6132,18.8985,15.5199,24.891,38.9819,40.9869,47.0789]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[156.114,225.15,281.33,326.195,341.724,355.698,362.905,363.127,347.667,324.305]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1150, 239, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.6237,28.7738,27.6963,19.6181,13.7757,13.1674,18.0953,17.3618,33.3083,42.0961]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[70.522,94.6153,118.367,132.846,140.454,147.663,150.796,146.041,140.806,128.863]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.0688,47.57,42.7696,26.6543,17.0607,14.1587,23.1069,36.5701,39.0982,45.3967]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[134.879,190.78,232.796,264.453,289.435,300.999,304.359,303.466,293.369,278.144]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1151, 240, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.20081,13.5025,12.1404,9.21403,7.99283,7.5251,11.5472,11.622,22.3752,31.4948]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[38.4691,49.7324,59.5842,71.2866,92.532,95.2709,106.699,114.96,112.185,120.529]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.5231,19.6671,21.2988,12.2456,8.63336,7.49088,11.801,18.0996,18.5234,24.9739]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[76.1688,86.6087,127.125,134.415,164.042,176.779,175.681,174.867,166.095,181.352]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1152, 241, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.279542,0.44399,0.338389,0.238641,0.161423,0.164198,0.221481,0.210623,0.295539,0.367062]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.33166,1.62738,1.67368,1.8257,1.86326,2.06316,2.06037,2.08261,1.50368,1.44811]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.5266,4.35883,3.91875,2.62539,2.15265,1.66687,3.3942,5.01176,6.99707,7.39046]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.3119,19.0097,23.1993,28.8978,40.8631,39.2757,49.7966,48.6188,61.6653,54.0011]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1153, 242, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.71004,3.36619,2.13069,1.56563,0.703382,0.574567,0.715996,0.586788,0.707762,0.82887]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.23088,12.4472,10.4559,12.1996,8.11308,7.22202,6.84371,5.90001,3.62223,3.27856]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.677866,2.04714,2.87151,1.71568,1.32568,0.992438,1.17313,1.2748,1.18815,2.0052]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.36726,9.05531,17.0481,18.8321,25.1856,23.2273,17.298,12.1916,10.6859,14.5596]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1154, 243, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.33788,7.0951,9.60359,5.99609,3.5562,3.1954,3.85384,3.37922,7.19999,6.50093]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.6278,26.0616,46.9969,46.058,40.5444,40.5048,36.2503,33.9481,36.6012,25.4162]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.91138,20.6477,13.7981,9.45691,4.60528,3.76782,6.32051,11.7175,11.8458,10.3859]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[51.3627,90.9143,81.0594,102.285,85.1309,86.9814,92.6651,110.235,101.154,70.9133]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1155, 244, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.09543,4.36607,3.48319,2.60366,1.36183,1.70812,1.75682,1.56313,2.72975,2.90446]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.0978,16.6162,17.1377,20.4934,15.7711,21.3419,16.1731,15.2938,14.003,11.0341]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.429892,0.849282,0.882402,0.61074,0.343718,0.240735,0.417973,0.466371,0.543811,0.641117]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.82056,3.7558,5.05224,6.24375,6.37462,5.53387,6.41696,4.72447,4.99826,4.57197]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1156, 245, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.664505,1.33228,1.36346,0.79595,0.461007,0.323348,0.309299,0.325093,0.37534,0.425404]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.6051,31.0457,33.1476,39.9203,38.0532,35.6533,30.5847,33.7831,26.0225,22.7674]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.58151,4.7112,3.91077,2.95893,1.83785,1.36121,1.78411,2.41184,1.88878,1.68228]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.2343,34.3701,48.5344,61.7421,52.2898,54.6982,58.5461,59.6611,54.2982,46.1609]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1157, 246, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.6166,17.9888,21.867,17.6889,12.7914,12.0803,14.3795,16.4453,22.7153,32.5645]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[61.843,76.915,103.816,136.775,186.94,244.659,305.656,364.678,443.749,529.19]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.9076,46.0668,54.6377,50.5514,37.652,32.9374,32.0205,38.3045,53.0529,55.8913]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[106.653,141.256,182.636,239.992,330.624,428.449,536.469,650.65,785.501,927.579]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1158, 247, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.186944,0.394679,0.598273,0.602106,0.53817,0.642276,0.944879,1.18629,2.21234,4.33826]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[33.9064,41.5935,57.1479,79.2121,118.243,163.335,213.667,267.293,337.389,416.167]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.593568,1.91682,2.7078,2.88115,2.72165,2.67809,3.49971,5.10471,6.8033,8.45652]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[48.7216,60.1119,81.3178,115.117,179.235,255.066,340.661,440.765,558.649,687.698]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1159, 248, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.48343,4.89853,4.96477,4.25454,3.45855,2.28004,2.55902,3.19225,4.2389,6.57952]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.890171,0.863136,1.27198,1.90554,2.58907,3.45918,4.32574,4.69201,5.6595,5.91204]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.5103,16.1041,16.9449,15.8432,11.5378,10.0512,5.78491,7.87916,10.8851,10.4319]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.59551,1.99027,2.5431,3.81201,5.24183,6.94319,9.12619,10.4351,12.3313,13.2907]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1160, 249, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.57022,5.28363,7.23666,5.94079,3.35829,3.42939,4.94917,4.84008,7.44425,10.7805]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.4294,13.8648,17.6269,20.9327,24.5886,27.6229,29.8331,30.2136,30.021,29.2956]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.36394,6.83576,6.99084,7.87131,5.93274,4.22355,5.51345,8.78824,10.4461,12.86]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.6668,21.8696,25.8995,31.0282,37.237,42.2786,45.9686,48.0962,48.5005,48.7511]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1161, 250, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.7034,2.58135,2.34551,1.85413,1.25382,1.5248,1.85042,2.91937,2.92537,2.56]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.5511,3.12195,3.72307,3.95835,5.09445,5.84783,6.87916,7.36169,7.93135,7.37115]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.8654,10.8346,14.5871,12.9557,8.97863,8.35284,7.69617,5.90234,7.51468,8.06849]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.04873,4.68873,6.08773,7.43304,9.93669,11.7826,13.7605,15.1945,16.5834,17.4631]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1162, 251, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.486357,1.18393,2.06169,2.00742,1.19872,1.42065,1.30243,0.804079,1.00275,1.01678]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.17684,4.78485,5.99296,6.75522,7.14735,7.13876,6.86301,6.17382,5.1579,4.21745]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.99467,5.34394,7.16267,5.73315,3.97924,3.55027,4.60529,4.12391,4.6611,4.04799]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.0634,20.3074,23.8862,27.4285,31.2267,32.3734,31.9824,28.1276,24.2546,19.7749]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1163, 252, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.309362,0.75154,1.05408,1.03597,0.667537,0.721902,0.721501,0.42193,0.455085,0.486708]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.29013,4.98913,5.19533,5.63348,6.65388,5.52644,6.2047,5.14336,4.01133,3.33151]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.16645,2.6346,2.69782,2.2513,1.64948,1.45368,1.86271,1.73416,1.95894,1.60109]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.84947,12.7563,11.9239,13.8143,17.1168,19.5671,19.0101,17.2633,17.0903,13.26]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1164, 253, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.176995,0.432385,1.00761,0.971452,0.531178,0.698752,0.580928,0.382148,0.54766,0.530075]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.99569,2.83425,4.69026,5.28422,5.35892,5.36654,4.91625,4.4917,4.71183,3.56621]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.828221,2.70934,4.46484,3.48184,2.32977,2.09659,2.74259,2.38975,2.70215,2.4469]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.52812,13.7406,19.2891,22.1694,25.3069,27.4999,28.5538,25.9723,23.8028,21.2194]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1165, 254, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.693792,1.47596,1.68706,1.15581,1.01001,0.945788,1.14577,1.174,2.01146,2.85194]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.94317,2.79389,4.74979,6.92666,9.32937,13.6506,17.8639,19.3596,27.3051,33.1587]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.827755,1.48816,2.38665,2.16555,2.21376,1.91319,2.0024,2.76912,5.58356,5.69143]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.67276,3.73498,5.14365,7.61416,10.4789,13.1608,20.078,26.0285,40.0243,50.7563]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1166, 255, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.12852,1.78908,2.46983,1.61055,1.79561,1.66984,1.48071,2.13703,2.47968,3.32069]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.919933,1.03039,1.41479,2.10759,2.54705,3.62489,4.29958,5.44024,4.90602,5.3678]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.54413,1.81452,1.81596,1.48729,1.43106,1.5161,2.24765,2.89372,6.10894,5.31698]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.34584,1.87086,2.34979,3.22266,4.22128,4.55421,6.3871,8.16094,8.95689,10.0328]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1167, 256, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.498921,0.669119,0.97513,0.568572,0.731838,0.825049,0.695266,0.885752,1.26122,1.5371]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.665623,0.719855,1.01306,1.48341,1.82416,2.75736,3.14811,3.97885,3.70609,4.09604]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.743343,0.920771,0.926876,0.774799,0.723304,0.833647,1.38915,1.51845,3.1349,3.01041]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.931611,1.31333,1.65722,2.37128,3.12922,3.32949,4.68221,6.07379,6.94266,7.41524]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1168, 257, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.6296,1.11996,1.49469,1.04198,1.06377,0.844796,0.785444,1.25127,1.21847,1.78359]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.25431,0.310532,0.401729,0.624174,0.722893,0.867522,1.15147,1.46139,1.19993,1.27176]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.800792,0.893748,0.88908,0.712493,0.707755,0.682451,0.858504,1.37527,2.97404,2.30657]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.414224,0.55753,0.692572,0.851383,1.09207,1.22472,1.7049,2.08715,2.01423,2.61758]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1169, 258, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.363982,0.381639,0.503246,0.263563,0.178255,0.167498,0.147086,0.192211,0.400563,1.11676]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.02605,8.8625,11.8888,14.9773,17.4018,19.9805,21.9243,24.1434,25.3793,27.7005]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.20785,1.7289,2.04171,1.61397,0.857137,0.652152,0.670902,0.84333,1.05022,1.01796]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.5382,26.6818,35.4082,44.3359,53.0463,62.2907,68.5059,73.8428,76.201,79.8123]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1170, 259, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.30099,15.2194,20.6571,15.6776,11.2069,9.24827,11.3234,11.6394,20.585,30.2891]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.07003,15.4669,18.9688,20.8232,21.3432,19.6521,18.0025,14.9434,11.8504,9.1253]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.2822,40.6131,58.8485,54.529,38.3462,29.5219,28.6327,34.8993,41.0336,47.5639]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.3441,42.2402,54.2989,63.833,66.6655,61.3155,55.0498,47.3804,38.2773,30.8572]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1171, 260, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.7879,5.26826,6.29488,4.86291,5.02962,5.81388,9.06754,10.2989,19.2477,28.8212]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.19468,5.90149,6.37194,6.26065,6.59789,5.89468,5.64487,4.84278,4.18773,3.71404]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.7958,14.1757,21.3527,19.897,16.1268,14.4683,17.6426,25.489,33.2663,41.0858]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.78773,9.03103,9.41277,9.65559,10.7623,10.2164,10.3946,9.68541,9.41702,9.47079]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1172, 261, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.51309,9.95109,14.3622,10.8147,6.17731,3.4344,2.25588,1.34058,1.33729,1.46788]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.87535,9.56542,12.5968,14.5625,14.7454,13.7574,12.3577,10.1006,7.66267,5.41126]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.48636,26.4374,37.4958,34.632,22.2194,15.0537,10.9901,9.41032,7.76731,6.47812]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.5564,33.2092,44.8861,54.1774,55.9031,51.0991,44.6552,37.695,28.8603,21.3864]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1173, 262, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.335464,0.89498,1.61741,1.10857,0.544866,0.327049,0.158121,0.106367,0.072678,0.047965]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.661012,0.996838,1.64319,1.77488,1.57142,1.55397,1.08713,1.02813,0.543771,0.234617]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.74569,6.11782,9.19476,8.18511,5.82009,3.43975,1.79847,2.52919,1.11222,0.714613]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.74624,9.00868,13.2625,14.8335,16.6731,13.812,8.91899,12.7225,5.64299,3.59824]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1174, 263, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.57168,4.7083,7.34323,5.99446,3.396,2.04439,1.28852,0.719036,0.712913,0.718626]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.09395,5.31819,7.47399,9.59945,10.0402,10.1493,8.90628,7.19038,5.69645,3.8332]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.23778,7.17539,9.43867,8.6564,5.0245,4.14212,4.4163,2.56749,3.25934,3.25955]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.06197,10.7121,14.1665,16.8887,15.0257,16.575,22.3583,13.0101,19.0661,20.1718]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1175, 264, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.60595,4.34782,5.40154,3.71167,2.23645,1.06296,0.809232,0.51518,0.551695,0.701291]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.17964,5.13655,5.81561,6.11333,6.48637,5.15894,5.67745,5.21928,4.30627,3.61107]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.5029,13.1442,18.8624,17.7905,11.3748,7.47179,4.77535,4.31364,3.39575,2.50396]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.8646,18.6293,25.6789,32.0659,32.8301,29.9029,24.0938,21.7917,18.3854,13.2846]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1176, 44, 207, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[176.022,168.073,160.015,151.323,143.897,136.41,129.787,121.416,111.708,100.266]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[241.067,231.813,220.382,209.357,198.336,186.782,176.974,164.401,150.365,134.335]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1177, 152, 207, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[40.6115,71.7635,44.3728,30.9477,22.1442,11.8805,4.64168,1.84395,0.879279,0.409162]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[68.5572,127.418,78.7907,57.1281,41.0482,21.7643,8.68282,3.36751,1.5176,0.702651]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1178, 154, 207, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1881.98,2110.49,2238.87,2338.63,2385.28,2438.26,2485.55,2496.41,2451.23,2243.2]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1120.33,1258.92,1348.67,1421.73,1445.75,1472.88,1494.3,1508.47,1481.53,1343.55]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1179, 157, 207, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[56.0836,55.7533,54.1073,52.1032,50.6582,49.0939,47.6316,45.6374,43.3907,41.5459]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[187.975,185.475,181.113,176.374,171.183,165.655,160.462,154.169,146.707,139.323]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1180, 158, 207, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[190.651,18.8942,2.80811,1.381,0.600266,0.217488,0.0682481,0.0176373,0.00275782,0.000369537]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[453.944,50.7622,10.9986,5.69087,2.61525,1.01911,0.335645,0.09972,0.0229843,0.00459034]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1181, 198, 207, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1191.31,1175.5,1268.7,1579.02,1882.51,2162.13,2424.46,2643.74,2851.89,3039.33]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1261.85,1308.48,1471.54,1841.83,2203.95,2520.04,2802.68,3022.54,3212.26,3387.45]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1182, 207, 207, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.22412,1.13525,0.536621,0.284645,0.185123,0.135321,0.112912,0.110361,0.102097,0.090673]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.60924,1.27852,0.627535,0.299467,0.212782,0.173906,0.164192,0.153031,0.147696,0.140859]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1183, 225, 207, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[219.146,267.186,351.941,445.764,545.761,659.393,893.579,1320.49,1792.19,2385.03]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[261.753,353.033,475.881,603.719,740.41,878.638,1101.87,1474.56,1892.11,2456.01]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1184, 232, 207, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.18814,1.14645,1.14165,1.19137,1.30363,1.46588,1.67518,2.03166,2.55797,3.20675]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.31089,1.23944,1.21368,1.26208,1.38942,1.56687,1.80852,2.19986,2.74675,3.47029]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1185, 233, 207, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[65.0901,83.3245,153.163,255.88,360.619,423.474,471.997,521.928,583.566,675.557]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[60.0864,77.7837,149.282,258.634,373.66,441.455,487.162,530.092,580.399,653.144]}', 2010, '', 1, '', '', '2014-05-28 13:25:01', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1186, 301, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.26737,7.11024,11.3546,10.405,6.70576,5.72763,5.59973,5.44322,8.64542,19.6583]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.4778,22.9693,24.9119,26.9078,28.8705,31.0708,33.16,35.1598,37.1574,38.9058]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.03894,4.8218,7.27649,8.49113,6.50117,5.77656,6.05617,8.04414,9.70899,20.07]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.026,17.8251,19.3458,20.9949,22.4213,23.9546,25.5397,27.1834,28.6035,29.8835]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1187, 302, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.45094,3.15616,5.02799,4.62064,2.98102,2.54424,2.48852,2.4187,3.84445,8.72754]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.09532,10.2062,11.0709,11.9524,12.823,13.8052,14.7313,15.6244,16.4995,17.2825]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.34839,2.141,3.23539,3.77524,2.88217,2.56901,2.68693,3.56933,4.31964,8.91]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.1199,7.92379,8.59751,9.33248,9.96548,10.6496,11.3508,12.0853,12.7129,13.2789]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1188, 303, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.15067,4.68143,7.48222,6.84948,4.41572,3.7705,3.68793,3.58621,5.6959,12.9571]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.4895,15.1307,16.4104,17.7203,19.0163,20.4673,21.8393,23.1428,24.4746,25.6189]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.00216,3.17529,4.78518,5.59177,4.28577,3.79862,3.99262,5.29934,6.37934,13.2174]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.5566,11.7334,12.7382,13.8217,14.76,15.7674,16.8129,17.8931,18.8281,19.6735]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1189, 310, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.74099,30.682,25.6603,25.3009,13.4135,12.6234,5.69949,0.495019,0.862722,1.38709]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[932.19,1011.83,956.476,929.03,927.278,914.195,832.026,849.765,780.975,786.185]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.30075,0.95476,1.52275,1.57372,0.866874,0.533198,0.519642,0.508244,0.665033,1.29555]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1107.09,930.015,853.232,870.154,929.939,955.914,1012.82,1054.98,1135.82,1225.59]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1190, 284, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.74099,30.682,25.6603,25.3009,13.4135,12.6234,5.69949,0.495019,0.862722,1.38709]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[932.19,1011.83,956.476,929.03,927.278,914.195,832.026,849.765,780.975,786.185]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.30075,0.95476,1.52275,1.57372,0.866874,0.533198,0.519642,0.508244,0.665033,1.29555]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1107.09,930.015,853.232,870.154,929.939,955.914,1012.82,1054.98,1135.82,1225.59]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1191, 274, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.08196,16.2489,21.6089,20.4593,32.3959,32.9773,44.0103,51.1612,92.2425,153.363]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[253.385,454.441,471.508,379.412,424.935,386.097,363.294,336.912,307.966,274.321]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.2553,49.8504,65.062,63.0048,103.33,92.6933,109.578,154.605,192.229,268.327]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[465.704,922.129,987.412,852.766,1018.17,946.791,928.468,889.547,869.944,808.846]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1192, 275, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.26168,14.7002,19.0232,17.8491,29.9711,30.8595,41.9557,49.5579,90.5618,151.925]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[106.63,131.091,135.18,132.796,249.217,264.894,278.283,281.988,274.493,257.201]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.1233,46.1779,59.4456,57.0417,98.7581,88.8166,105.991,151.291,189.377,265.842]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[225.495,296.569,317.248,322.048,640.041,698.104,765.557,785.459,804.564,773.023]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1193, 276, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.830684,1.56754,2.62997,2.64851,2.49254,2.18555,2.13578,1.6704,1.81522,1.69869]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[146.761,323.361,336.347,246.636,175.761,121.25,85.0703,54.9938,33.5608,17.2277]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.18199,3.80207,5.81401,6.26059,5.01179,4.16004,3.85714,3.64464,3.07869,2.88605]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[240.232,625.596,670.203,530.782,378.269,248.787,162.999,104.17,65.4429,35.9007]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1194, 277, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.7735,1.96498,2.58612,2.65655,2.78698,2.91132,3.66805,3.91279,6.84221,10.2666]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[586.553,557.571,716.008,869.381,996.703,1158.23,1368.62,1643.59,1819.24,2082.06]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.8532,17.7111,21.3491,21.5185,21.2796,21.3077,22.2386,23.5749,26.606,31.6029]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[686.137,715.125,957.155,1177.54,1359.64,1577.1,1803.26,2052.91,2192.49,2460.67]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1195, 278, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00206983,0.00617217,0.0148586,0.017421,0.0305976,0.0757502,0.161432,0.212029,0.883218,0.984858]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000629958,0.00185866,0.00436831,0.00428976,0.00634851,0.0168442,0.0317146,0.0417613,0.175364,0.16972]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00781431,0.0106019,0.0240967,0.0250169,0.0464863,0.0917152,0.1756,0.409139,0.743337,1.58115]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00235713,0.00312938,0.00698284,0.00767038,0.014009,0.0223569,0.0465403,0.10294,0.169466,0.326274]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1196, 279, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0509957,0.109465,0.147295,0.153851,0.175897,0.196498,0.418947,0.47925,1.16042,2.1527]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[109.099,71.387,57.5784,50.7254,49.1568,51.0881,54.8148,58.651,62.5684,66.6731]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0689497,0.135831,0.245993,0.257585,0.220694,0.205049,0.325849,0.516295,0.992711,1.99974]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[99.4802,65.9498,53.3972,46.2513,44.8203,46.6407,50.3796,53.9807,57.8209,61.3144]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1197, 280, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.72044,1.84935,2.10975,2.10452,2.13351,2.13775,2.06359,2.1206,2.08115,2.09006]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.7765,17.5647,20.4291,20.3651,20.2366,20.2742,20.6272,20.8261,21.5333,20.8996]}', '', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1198, 313, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.31773,13.4418,14.6479,11.9518,7.81143,6.87266,7.03409,6.4638,11.5349,16.7751]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[466.162,627.675,680.941,717.321,725.708,731.946,732.68,719.754,685.497,605.24]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.227021,0.642983,0.93478,0.841749,0.664774,0.577369,0.693254,0.968751,1.2406,1.45561]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[47.3558,53.5157,53.9281,53.285,52.7323,52.7732,52.7312,51.0172,47.2134,39.6363]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1199, 314, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.183986,0.335499,0.389961,0.293598,0.299193,0.340043,0.519182,0.573396,1.06074,1.5228]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[98.2721,107.808,110.198,111.178,111.063,111.507,111.583,109.302,104.118,90.1058]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.227021,0.642983,0.93478,0.841749,0.664774,0.577369,0.693254,0.968751,1.2406,1.45561]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[47.3558,53.5157,53.9281,53.285,52.7323,52.7732,52.7312,51.0172,47.2134,39.6363]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1200, 304, 207, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.21623,0.246708,0.359578,0.643933,1.14504,1.73057,3.31658,6.8079]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.09549,4.34614,5.74916,7.46035,10.0796,12.932,16.0038,18.5401]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.618966,0.832083,1.00579,1.33454,2.22111,3.65203,5.65154,10.0241]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.44723,4.87886,6.45074,8.29939,11.4464,14.5986,18.2129,20.9934]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1201, 306, 207, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.79363,3.43289,5.09212,9.02433,17.0087,26.2357,56.0441,115.029]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[191.88,254.489,327.584,407.707,511.108,654.271,828.365,1020.83]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.12777,8.7788,10.8759,14.9272,26.1498,48.1203,81.3325,156.881]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[142.379,182.622,227.867,279.209,344.789,437.285,541.278,641.954]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1202, 307, 207, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0258042,0.0310919,0.0360858,0.0413375,0.083659,0.0907709,0.225509,0.425325]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0512244,0.0680363,0.0618535,0.0579844,0.0878651,0.144975,0.263596,0.569332]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1203, 309, 207, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.452011,0.669409,1.12733,1.81907,3.65209,5.92801,12.6163,26.7831]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.35457,6.35531,11.2053,15.7575,24.1571,33.1304,44.9077,57.6396]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.636825,1.10724,1.70833,2.27524,4.57805,8.75961,15.5753,30.9127]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.80476,5.30584,10.8245,14.2071,24.0141,35.9371,51.8582,67.0691]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1204, 305, 207, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0155277,0.0252416,0.0295521,0.0922742,0.154456,0.209948,0.688637,0.761057]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00412133,0.00577255,0.00442983,0.0189265,0.0311929,0.0395589,0.136501,0.13065]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0176818,0.0273016,0.047481,0.107908,0.137361,0.324274,0.446421,1.00747]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00420763,0.00582415,0.0125328,0.0232197,0.0338542,0.0694505,0.0869279,0.191203]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1205, 308, 207, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.436483,0.644167,1.09778,1.72679,3.49763,5.71807,11.9276,26.022]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.35044,6.34953,11.2009,15.7386,24.1259,33.0908,44.7712,57.5089]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.619144,1.07994,1.66085,2.16733,4.44069,8.43534,15.1289,29.9053]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.80055,5.30001,10.812,14.1839,23.9802,35.8676,51.7713,66.8778]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1206, 271, 207, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.136092,0.871872,1.12246,2.59081,3.62049,6.22969,27.2593,39.0167]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.34099,45.0115,51.85,118.904,61.5531,64.11,437.348,236.74]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.185236,8.83036,12.0329,15.403,24.364,44.1989,71.7613,140.274]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.799624,214.351,276.649,291.842,243.959,330.879,392.503,526.359]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1207, 272, 207, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.136092,0.159308,0.238415,0.433735,0.771243,1.20951,2.37001,4.90056]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.34099,2.09873,2.97938,3.94244,5.49887,7.55556,9.46369,11.1982]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.185236,0.230008,0.269685,0.35629,0.610646,1.08938,1.81182,3.51505]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.799624,1.13619,1.53719,2.02747,2.9,4.12263,5.50284,6.79594]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1208, 265, 207, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.8361,5.35071,7.05298,8.82408,17.8393,30.8101,68.2625,148.668]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[45.6385,79.9177,130.589,186.803,255.617,318.385,402.778,465.77]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.8657,9.88308,12.3283,13.8722,25.626,45.8392,82.4565,161.743]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[46.0691,79.6681,130.613,185.886,261.259,317.481,408.714,462.611]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1209, 266, 207, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.31473,0.348011,0.658673,1.19805,2.72699,4.60546,10.1554,23.2767]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.11254,6.73963,13.2522,18.4207,36.0311,50.4256,74.3044,87.7034]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.395094,0.53651,1.78291,2.35709,4.53413,7.72323,13.5128,25.1459]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.01379,3.23796,13.6235,18.9855,33.8189,47.6934,68.8957,81.3366]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1210, 267, 207, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.38296,5.18227,9.27594,14.1603,31.3044,47.4385,108.297,229.629]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[34.7699,53.3273,102.718,141.297,246.465,308.039,462.123,571.455]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.74926,10.9693,15.7329,20.1595,41.5711,72.2893,138.31,264.247]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[35.7086,54.6372,105.292,135.11,233.92,321.125,500.579,621.417]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1211, 268, 207, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.324,4.12909,7.17802,8.81472,16.9942,26.2879,49.6628,102.624]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[73.5591,112.193,228.232,366.163,571.026,706.86,761.407,828.607]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.39888,5.52627,8.53799,10.5758,17.235,30.9811,47.9182,93.4996]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[57.1308,83.8713,181.867,273.847,420.972,529.622,602.678,659.242]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1212, 286, 207, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.22051,5.38549,8.31511,14.8847,28.7609,48.4522,97.2556,202.606]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[51.6434,86.8987,133.921,191.87,270.076,356.854,464.927,554.315]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.45386,13.7241,18.1151,25.7524,47.668,89.6479,153.995,290.047]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[55.186,92.0989,146.152,209.105,298.452,410.595,542.688,661.126]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1213, 287, 207, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.94466,2.45862,4.07226,7.80253,15.253,25.3098,52.0969,99.5733]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.9448,22.3513,32.7313,45.2667,66.5551,94.4805,126.381,142.865]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.90498,7.2787,9.78913,14.3874,27.5255,52.9155,89.7275,160.52]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.0451,27.4668,40.3097,56.3424,84.5924,122.763,165.949,192.892]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1214, 288, 207, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.668401,0.763468,1.19457,2.08056,3.87635,5.91565,11.442,22.2826]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.58974,6.83808,9.35689,12.0539,16.7326,22.5701,28.6456,32.5792]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.72502,2.4253,3.04976,4.15124,7.65089,13.4928,21.9142,38.8036]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.8306,8.76396,12.0746,15.826,22.4287,30.7836,39.3981,45.0978]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1215, 289, 207, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.77829,0.915365,1.43313,2.6075,4.76416,7.37107,14.1057,29.2017]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.9258,29.6889,44.2655,59.9827,77.1331,94.0717,108.764,118.236]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.12299,2.98081,3.76703,5.16001,9.0835,15.6216,24.9405,44.9747]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.0914,31.5026,46.8065,63.9528,83.4286,103.637,122.14,134.314]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1216, 290, 207, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.04809,1.17439,1.65882,3.05567,5.12935,8.79835,17.1814,39.7933]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.4626,24.023,35.8873,50.5972,74.3188,106.256,141.485,171.371]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.49709,4.66516,5.63526,7.40101,11.5601,19.7013,31.0446,56.7951]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.5471,29.147,43.8107,62.1648,92.1313,133.557,180.053,219.64]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1217, 291, 207, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0709025,0.115173,0.176854,0.277383,0.641244,1.30067,1.44502,2.02252]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0365759,0.0716714,0.111193,0.164578,0.38366,0.696944,0.758843,0.982204]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0789234,0.0981643,0.179818,0.27343,0.566226,1.01677,1.77018,2.81004]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0480276,0.0653513,0.127523,0.206118,0.382922,0.655937,1.05958,1.58171]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1218, 292, 207, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00836598,0.0139597,0.0220999,0.0347421,0.0799394,0.158535,0.171628,0.233596]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.39223,2.44495,3.83523,5.35668,6.51724,7.21142,7.53021,7.68177]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0113294,0.0144136,0.0260689,0.0410054,0.0846561,0.148359,0.253161,0.391356]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.62639,2.80476,4.37157,6.07703,7.33929,8.11519,8.56662,8.85085]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1219, 293, 207, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.366997,0.411162,0.569563,1.02159,1.70304,2.85518,4.95502,10.6958]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.9194,23.2004,34.5955,47.0569,59.6828,72.5761,83.3992,92.8502]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.04225,1.37002,1.61915,2.08475,3.17597,5.18592,7.82537,13.8758]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.2082,21.9318,32.6291,44.7466,57.3274,70.7277,82.7052,93.3441]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1220, 294, 207, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.360569,0.410616,0.43403,0.486019,0.845483,1.31453,3.19961,6.34049]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.10363,7.78112,10.8745,15.8318,24.2819,29.3184,45.2401,47.3234]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.11655,1.38653,1.09714,1.18266,1.4826,2.51462,4.17495,7.82159]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.92388,12.028,16.3356,24.706,29.882,37.5791,45.7289,49.5326]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1221, 295, 207, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.222143,0.242824,0.314902,0.504839,0.78443,1.15491,1.67494,2.93436]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.76833,4.19291,5.66177,7.20424,9.24318,10.9617,11.8781,11.6364]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.844281,1.04569,1.18301,1.43872,2.06238,3.00891,4.05424,6.15653]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.13718,6.31898,8.74689,11.3627,15.0286,18.6773,21.3477,21.9736]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1222, 296, 207, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0938567,0.151531,0.230855,0.360887,0.828953,1.68403,1.87821,2.61954]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0496735,0.090688,0.145603,0.209976,0.492962,0.918874,0.974966,1.27809]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.106381,0.131865,0.237856,0.363525,0.753254,1.34818,2.35274,3.74583]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0651629,0.0867895,0.174122,0.279694,0.509044,0.865893,1.4151,2.11215]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1223, 297, 207, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.650839,0.720583,1.00472,1.82005,2.99346,5.02678,9.52595,21.5177]}', '', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.16219,2.85051,3.39915,4.39651,6.73325,11.1838,17.1468,30.4713]}', '', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1224, 298, 207, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.416164,0.455293,0.626908,1.12838,1.8487,3.09693,5.84547,13.2095]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.75128,9.35888,13.6835,18.8615,27.0375,37.5875,48.5734,56.9734]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.38884,1.80583,2.14486,2.75625,4.19563,6.95674,10.6768,18.8243]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.95842,11.3312,16.7037,23.1484,33.5008,47.1693,61.7608,72.9714]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1225, 299, 207, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0761514,0.0824398,0.109883,0.19484,0.308621,0.492785,0.886521,1.90962]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.0692,1.70566,2.45526,3.32231,4.63305,6.11799,7.48579,8.36891]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.225385,0.287084,0.335521,0.42576,0.62785,0.977925,1.42982,2.38679]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.12783,1.78457,2.5531,3.473,4.87647,6.53919,8.06731,9.05062]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1226, 300, 207, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.26213,1.71808,2.62589,4.4863,8.73647,13.9451,28.6652,62.3829]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.54439,16.6319,26.7206,40.6251,59.2474,78.8539,105.441,135.514]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.04371,3.27668,4.63226,6.60268,12.7948,23.6688,41.9752,82.5113]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.03255,15.5873,29.3816,41.6173,66.9336,97.3431,138.828,179.593]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1227, 270, 207, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.03857,2.80352,3.84297,5.72059,9.78385,17.9627,34.9961,70.9216]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.3155,41.1982,62.3727,85.9921,113.065,144.607,184.833,221.159]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.34322,4.2045,4.87985,6.00162,9.41942,16.61,28.7917,61.5883]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.6195,32.4486,48.3491,67.0842,89.3874,116.115,152.84,189.365]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1228, 283, 207, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.314215,0.380758,0.446982,0.501318,1.02409,1.10091,2.71742,5.03901]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[103.205,130.276,158.147,191.958,235.587,289.273,351.687,416.377]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.649908,0.870812,0.775778,0.736752,1.10994,1.82343,3.33672,7.12247]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[116.776,144.479,173.335,205.929,248.07,300.254,362.639,426.836]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1229, 273, 207, '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.712565,0.88404,2.15708,2.84925,5.02018,24.8893,34.1161]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[42.9128,48.8707,114.962,56.0542,56.5545,427.884,225.541]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.60035,11.7632,15.0467,23.7534,43.1096,69.9494,136.759]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[213.215,275.112,289.815,241.059,326.757,387,519.563]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1230, 269, 207, '{\"age\":[\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.648062,1.24145,2.56972]}', '{\"age\":[\"50-54\",\"55-59\",\"60-64\"],\"number\":[39.8091,64.6599,73.2195]}', '{\"age\":[\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.11453,2.89856,4.97925]}', '{\"age\":[\"50-54\",\"55-59\",\"60-64\"],\"number\":[58.9617,94.208,126.715]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1231, 315, 207, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.22537,13.2931,14.4776,11.8251,7.6824,6.72461,6.80479,6.20333,11.0496,16.0635]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[386.924,545.829,598.224,634.461,642.777,648.298,648.436,636.774,605.926,535.868]}', '', '', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1232, 281, 207, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[73.9919,96.0389,115.067,137.999,129.006,150.248,186.633,273.685,257.933,336.381]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[100.453,145.67,183.207,223.523,220.352,259.12,292.88,369.851,329.917,426.168]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1233, 282, 207, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[403.461,390.143,440.153,550.377,660.388,764.924,891.553,1021.94,1146.87,1262.46]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[486.202,503.502,603.767,763.279,921.118,1065.39,1211.88,1328.72,1441.95,1546.02]}', 2010, '', 1, '', '', '2014-05-28 13:25:27', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1234, 1, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.475084,0.23513,0.75402,1.00453,2.10121,2.59583,1.11347,0.612284,0.959464,0.837545]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.26876,4.87202,14.6457,25.5225,29.4455,29.9849,30.7956,24.9256,21.2155,14.7134]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.236681,0.364142,0.815717,1.54583,2.80654,5.18319,4.40669,3.64406,2.45648,1.91849]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.05376,21.1278,49.317,80.6425,90.0178,86.7551,83.6825,60.9635,48.328,29.8715]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1235, 2, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00796926,0.0102948,0.0108811,0.0182658,0.0205977,0.0363462,0.0525656,0.0664074,0.140798,0.19921]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.9833,1.4457,4.46826,9.37801,8.39754,9.30218,9.16377,7.21306,8.13507,6.10997]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00975829,0.0289273,0.0329644,0.0476375,0.0586953,0.0940738,0.143492,0.162612,0.274346,0.45518]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.82014,2.56307,9.12499,21.365,19.1251,21.1015,20.4936,15.2775,17.4942,11.8945]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1236, 3, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.467115,0.224836,0.743139,0.986264,2.08062,2.55948,1.0609,0.545877,0.818666,0.638335]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.285463,3.42632,10.1774,16.1445,21.048,20.6828,21.6319,17.7126,13.0804,8.60343]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.226923,0.335214,0.782753,1.49819,2.74785,5.08912,4.2632,3.48145,2.18213,1.46331]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.23362,18.5647,40.192,59.2775,70.8927,65.6535,63.1889,45.686,30.8338,17.977]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1237, 4, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00755518,0.00363652,0.0120196,0.015952,0.0336522,0.0413974,0.0171592,0.00882909,0.0132412,0.0103245]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0416804,0.0502928,0.186238,0.344373,0.334044,0.365325,0.367374,0.277182,0.374904,0.247532]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00367028,0.0054218,0.0126603,0.0242319,0.0444441,0.0823121,0.0689536,0.0563095,0.0352941,0.0236678]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0589278,0.119514,0.366609,0.710665,0.685801,0.883398,0.724383,0.564582,0.702642,0.462615]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1238, 5, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.45956,0.221199,0.73112,0.970312,2.04696,2.51809,1.04374,0.537048,0.805425,0.628011]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.243783,3.37603,9.9912,15.8001,20.7139,20.3174,21.2645,17.4354,12.7055,8.3559]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.223252,0.329793,0.770092,1.47396,2.7034,5.0068,4.19425,3.42514,2.14684,1.43965]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.17469,18.4452,39.8254,58.5669,70.2069,64.7701,62.4645,45.1214,30.1312,17.5144]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1239, 6, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.560777,0.436235,0.491116,0.671886,0.982828,1.31881,1.92776,2.9372,5.20993,7.72539]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[94.7569,94.0082,100.197,105.365,111.708,117.979,122.9,124.447,125.557,134.224]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.716974,0.647662,0.828346,0.958943,1.54539,2.23455,2.89739,4.61121,8.386,13.8772]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[100.484,100.008,106.248,112.216,117.454,122.306,125.906,127.557,128.805,138.923]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1240, 7, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0267182,0.0299501,0.0540918,0.076316,0.114132,0.208457,0.321383,0.603595,0.813668,1.58537]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[31.1165,35.8681,40.457,45.4087,50.0784,54.772,59.54,63.5566,67.9264,72.1566]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0462926,0.0666792,0.0817209,0.104943,0.158932,0.299507,0.410032,0.840266,1.2198,2.45758]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[32.734,37.0811,41.4084,45.554,49.9102,53.9292,57.7406,61.6877,65.4518,68.9777]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1241, 8, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00517242,0.00511197,0.00474059,0.00410476,0.00349435,0.00309942,0.00277202,0.00252819,0.00228522,0.00202039]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00735261,0.00370478,0.00340293,0.00632382,0.00364019,0.00316585,0.00319139,0.00443087,0.00161624,0.00327346]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00586063,0.0055923,0.00516032,0.00472968,0.00436095,0.00379815,0.00333989,0.00303496,0.00279235,0.00249656]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00644422,0.00422078,0.00794476,0.00339167,0.00654674,0.00663911,0.0045283,0.00636662,0.00335046,0.00378124]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1242, 9, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.175021,0.177076,0.183718,0.309801,0.571968,0.762344,1.17421,1.64324,3.43301,4.79481]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.11449,1.89659,2.2227,2.44415,2.77693,2.99293,3.72063,5.07193,6.2322,7.53926]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.237635,0.228358,0.345306,0.388535,0.861474,1.37046,1.77813,2.78457,5.90056,9.68205]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.6195,2.60402,2.9465,3.24938,3.50202,3.74717,4.85015,7.23666,9.73252,11.5767]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1243, 10, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000673217,0.000556277,0.000487808,0.000573456,0.000571542,0.000362141,0.000266227,0.00018837,0.000223054,0.000198634]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.4827,11.4222,12.977,14.3577,15.7207,17.4574,16.6793,12.3413,7.80283,3.56134]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00091406,0.00071738,0.00091686,0.000719195,0.000860833,0.000651018,0.000403152,0.000319204,0.000383378,0.000401097]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.6667,12.1056,13.9274,15.4512,16.9608,18.7428,17.8849,13.4248,8.68291,4.38181]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1244, 11, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00151385,0.00108588,0.00120228,0.00147698,0.00167384,0.00199926,0.00325078,0.00535882,0.00442431,0.00569467]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[38.194,36.7785,35.9045,33.8859,32.9116,32.014,31.0532,30.0731,28.457,31.1173]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00139774,0.000968893,0.00106576,0.0013789,0.00168059,0.00195774,0.00311022,0.00511605,0.0043084,0.00566224]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[39.4455,38.0471,37.0149,36.1093,34.5206,32.6318,31.2084,29.4118,27.2235,30.6485]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1245, 12, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.235234,0.137356,0.133766,0.141238,0.157287,0.215476,0.296061,0.523282,0.73848,1.16608]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.86268,5.1484,5.7027,5.93034,6.3964,6.61262,6.93538,6.99071,7.0161,10.196]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.317605,0.218377,0.199411,0.185094,0.269815,0.337583,0.470791,0.731784,0.935027,1.51311]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.73711,7.0091,7.72089,8.29166,8.56166,8.85723,9.05917,9.02507,9.07984,13.2723]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1246, 13, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0353396,0.0212353,0.020809,0.0214774,0.0230416,0.0307202,0.0408956,0.0696325,0.095198,0.143343]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.792161,0.820378,0.885859,0.953387,1.00671,0.998948,1.05496,1.04797,1.01609,1.35362]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0475272,0.0337538,0.0310317,0.0280485,0.0397339,0.0480847,0.0647844,0.0973891,0.119859,0.185551]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.00206,1.06093,1.18604,1.28721,1.32255,1.33868,1.31785,1.28551,1.30448,1.72633]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1247, 14, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02458,0.00763236,0.00367931,0.00418313,0.00495524,0.00739091,0.0110343,0.0212873,0.0329096,0.0570986]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.559511,0.459524,0.39743,0.357896,0.360604,0.364449,0.411075,0.396661,0.410826,0.555263]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0333757,0.0120914,0.00550519,0.00552866,0.00858629,0.0116265,0.0175867,0.0295713,0.0412028,0.0723417]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.723995,0.574834,0.51661,0.536373,0.448049,0.488414,0.510976,0.489713,0.520524,0.706219]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1248, 15, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0871423,0.049141,0.0467273,0.0478308,0.0518758,0.06854,0.0909451,0.154189,0.208324,0.312094]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.48079,1.54871,1.74396,1.813,1.93691,1.96547,1.9725,2.02584,2.01777,2.77382]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.118579,0.0786817,0.07013,0.0634467,0.0900023,0.108442,0.145998,0.217968,0.266332,0.408638]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.1884,2.25696,2.46423,2.53867,2.69213,2.72642,2.67955,2.676,2.61139,3.68021]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1249, 16, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0881718,0.0593477,0.0625508,0.0677463,0.0774142,0.108825,0.153186,0.278173,0.402049,0.653542]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.96894,2.28283,2.62925,2.75566,3.05034,3.24052,3.431,3.44873,3.50899,5.44103]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.118123,0.09385,0.092744,0.0880704,0.131493,0.16943,0.242422,0.386855,0.507634,0.846577]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.71512,3.05018,3.48602,3.85546,4.04334,4.23588,4.48726,4.50035,4.56781,7.09037]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1250, 17, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0348391,0.0238084,0.025169,0.0268629,0.0285476,0.034377,0.0426439,0.0700833,0.0929921,0.138937]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.549497,0.676066,0.787318,0.93274,1.0702,1.11329,1.29274,1.4186,1.57445,1.78472]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0470387,0.0378519,0.0375204,0.0352042,0.0489715,0.053858,0.0678117,0.098008,0.117742,0.180285]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.656128,0.756985,0.929555,0.977451,1.17044,1.22209,1.36565,1.50988,1.69013,1.94731]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1251, 18, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.000518115,0.000264163,0.000261862,0.000261018,0.000317299,0.000443164,0.000918997,0.00122757,0.00147405]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0,0,0,0,0,0,0.00049858,0.000450481,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.000915656,0.000644705,0.00054924,0.0004619,0.000598365,0.000715292,0.00135199,0.00192641,0.00245487]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0,0,0,0,0,0,0,0,0]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1252, 19, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.00379481,0.00253428,0.00294465,0.00335184,0.00348646,0.00633065,0.00946027,0.00963633,0.0417812]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0162202,0.0143499,0.0136896,0.014731,0.0197133,0.0337274,0.0501126,0.0507816,0.224823]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.00698077,0.00618851,0.00615874,0.00587119,0.006615,0.0104421,0.0140809,0.0151704,0.0699273]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0438881,0.0315844,0.0359536,0.0311752,0.0307111,0.0613597,0.0702177,0.0852836,0.356416]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1253, 20, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00058862,0.000512323,0.000609425,0.000795576,0.00104269,0.00168005,0.00275161,0.0040904,0.0062609,0.00434079]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0.000975929,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00107713,0.00128509,0.00131716,0.00141985,0.00196774,0.00274748,0.00408078,0.00644087,0.0104678,0.0078381]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1254, 21, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.069665,0.0500047,0.0726084,0.0901447,0.0849973,0.0718463,0.0598062,0.0540308,0.0553542]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0141624,0.00653694,0.00387182,0.00306853,0.0024477,0.00225886,0.000516367,0.00241254,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.044842,0.0738479,0.138916,0.214795,0.17462,0.140677,0.130604,0.105441,0.103013]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.00844704,0.00305715,0.00361401,0.00127695,0.00101418,0.00259405,0.000540082,0.00187674,0]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1255, 22, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00703833,0.00797448,0.0115162,0.01696,0.0153104,0.0123988,0.0142294,0.019942,0.0199749,0.0279335]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.39929,2.19377,2.12499,2.38091,2.72851,2.97803,3.62458,4.93642,6.32143,7.8655]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00641515,0.00715079,0.0103039,0.0157912,0.015491,0.0121504,0.0136533,0.0191266,0.0195318,0.0277261]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.56601,2.36534,2.25308,2.54699,2.78983,3.10532,3.72167,5.16805,6.58439,8.11489]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1256, 23, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0971896,0.0900272,0.101586,0.111849,0.16654,0.139408,0.194012,0.169781,0.201343,0.29741]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.21746,1.38484,1.6625,3.33555,2.42841,2.42256,2.63378,2.85821,3.05078,3.41662]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0696608,0.0703944,0.0860192,0.0963886,0.0918046,0.10242,0.116132,0.159079,0.178566,0.220592]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.5243,4.23379,4.64807,4.71962,5.1826,5.58134,5.8376,7.29607,6.96685,6.01128]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1257, 24, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0540537,0.0507642,0.0246584,0.0255268,0.0164943,0.0106235,0.011699,0.00555926,0.00630451,0.00598986]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0745638,0.0779282,0.0659192,0.0445657,0.0319876,0.0346021,0.022481,0.0206382,0.00596827,0.0102456]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1258, 25, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000629926,0.000744824,0.000867602,0.000870586,0.000768378,0.000728966,0.000708955,0.000680712,0.000653512,0.00061998]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.306754,0.339791,0.386818,0.431025,0.448827,0.470719,0.491474,0.493985,0.492989,0.498149]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00158271,0.00207802,0.00260739,0.0028605,0.00267732,0.00245957,0.00236944,0.00230466,0.00229093,0.00224192]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.299614,0.326313,0.371285,0.410576,0.442964,0.461945,0.481881,0.487958,0.479142,0.47418]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1259, 28, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000466371,0.000664421,0.000929974,0.0012241,0.00149879,0.00199173,0.00285975,0.00308435,0.00458788,0.00588518]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.562447,0.675983,0.893835,1.04699,1.20661,1.36671,1.52866,1.61344,1.90884,2.16902]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000425774,0.000593489,0.000822111,0.00114899,0.00150055,0.0019501,0.00273468,0.00294471,0.00447787,0.00583318]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.761962,0.923721,1.19479,1.42123,1.6953,1.92978,2.18608,2.50114,2.83401,3.27391]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1260, 30, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0661765,0.063146,0.0740661,0.0796645,0.115047,0.103257,0.153066,0.108132,0.136508,0.222588]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0465101,0.0431627,0.0414954,0.0571038,0.048959,0.0483149,0.0561434,0.0683848,0.0968449,0.110015]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1261, 31, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00551419,0.00470521,0.00554274,0.00523764,0.00490024,0.0053834,0.00613246,0.00666071,0.0185231,0.0132433]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.00118763,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00479745,0.00576406,0.00538906,0.00509452,0.00567343,0.0067609,0.00633474,0.00676792,0.00871094,0.00886142]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1262, 36, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0244025,0.0207668,0.0201798,0.024852,0.0443261,0.0280473,0.0312445,0.0512233,0.0410705,0.0550738]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.266833,0.300754,0.336458,1.8108,0.742833,0.557229,0.581968,0.728363,0.628826,0.728867]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0163447,0.0187961,0.0357053,0.0301808,0.0329943,0.0429345,0.04855,0.0786768,0.0662408,0.0936403]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.36841,2.88828,3.00309,2.8257,2.99494,3.14251,3.12726,4.27497,3.63437,2.24263]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1263, 37, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0516379,0.147919,0.308453,0.398316,0.245132,0.186834,0.182919,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.17136,11.9917,18.5342,9.16547,7.80066,3.28271,1.84863,0.665418,0.324078,0.0211582]}', '', '', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1264, 38, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[0.00684131,0.0219828,0.0527954,0.0771884,0.0508988,0.0414377,0.0432318]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[2.45768,5.48087,9.13617,3.6298,3.48498,0.803922,0.0653046]}', '', '', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1265, 39, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[0.00310404,0.00870635,0.0148513,0.0150053,0.00878484,0.00635885,0.00590022]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[0.155797,0.426377,0.491819,0.266189,0.149221,0.0796741,0.0230503]}', '', '', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1266, 40, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[0.0126211,0.0280705,0.0523047,0.0596102,0.0355835,0.0262908,0.024933]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[0.233249,0.759579,0.940326,0.524949,0.25244,0.158769,0.06439]}', '', '', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1267, 41, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[0.000199318,0.00094072,0.00173511,0.00195783,0.00140086,0.00122115,0.00135099]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.244357,0.723872,1.05789,0.863982,0.704624,0.826546,1.05123,0.665418,0.324078,0.0211582]}', '', '', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1268, 42, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[0.00629714,0.0192493,0.0363332,0.0421529,0.0255674,0.0192201,0.0185737]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[0.552582,0.909341,1.04837,0.906894,0.705012,0.372958,0.0672263]}', '', '', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1269, 43, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[0.022575,0.0689695,0.150433,0.202401,0.122897,0.0923052,0.0889289]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[1.52769,3.6917,5.85962,2.97365,2.50438,1.04084,0.577429]}', '', '', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1270, 45, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.546,26.8406,26.1916,25.7314,25.4362,25.2399,24.9701,24.2879,23.7456,22.4258]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[33.0649,32.1268,31.8245,31.1917,30.813,30.0394,29.7235,28.4898,28.2262,27.068]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1271, 46, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[22.0014,21.6435,20.5808,19.9683,19.3289,19.0508,17.5463,16.6956,15.681,13.5071]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[31.6115,31.0585,30.0947,28.7669,27.9571,26.8744,26.1427,24.5357,21.9634,19.721]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1272, 49, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0910661,0.0579271,0.0615593,0.0598966,0.0665737,0.106182,0.131068,0.210888,0.271568,0.454796]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.9682,17.1038,16.4017,127.883,21.5454,14.4862,13.8693,13.5866,13.1481,12.8328]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0952012,0.0754576,0.0740561,0.0759827,0.0791978,0.106325,0.156501,0.214686,0.344292,0.451114]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[57.7513,47.1555,41.9061,40.5312,40.9309,38.7407,36.5215,46.1667,41.8894,29.2386]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1273, 50, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0354861,0.022762,0.0258577,0.0271589,0.0328362,0.0548609,0.0706423,0.116933,0.151901,0.262306]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0113671,0.00822823,0.00955737,0.00442375,0.0114062,0.0194185,0.0259291,0.0286465,0.0516642,0.0858573]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0370974,0.0296505,0.0311069,0.0344529,0.0390627,0.0549349,0.0843498,0.119039,0.192579,0.260183]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0124442,0.0126357,0.0164285,0.0229176,0.0119122,0.0244411,0.0299456,0.0322735,0.0677061,0.0952967]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1274, 51, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00276885,0.00143352,0.0016185,0.00123663,0.000984454,0.00160657,0.00193028,0.00349486,0.00557766,0.0106362]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.9291,17.0719,16.3686,15.6493,14.9781,14.4251,13.7979,13.387,12.909,12.4715]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00289458,0.00186735,0.00194706,0.00156875,0.00117113,0.00160874,0.00230483,0.00355781,0.00707131,0.0105501]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.84214,10.1265,9.7268,9.36628,8.94605,8.56896,8.2814,7.94363,7.68425,7.40011]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1275, 53, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0499659,0.0318902,0.0318847,0.0292002,0.0298057,0.0442,0.0515355,0.0789539,0.0990179,0.158306]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00110793,0.00778731,0.00614316,112.213,6.53663,0.00928488,0.0092904,0.118742,0.128488,0.197881]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0522347,0.0415412,0.0383575,0.0370424,0.0354576,0.0442597,0.0615355,0.0803761,0.125534,0.157024]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[48.8688,36.9955,32.1417,31.1207,31.9499,30.1147,28.1667,38.1372,34.0624,21.666]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1276, 54, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00284529,0.00184132,0.00219839,0.00230083,0.00294745,0.00551475,0.00696002,0.0115059,0.0150713,0.023548]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0265688,0.0158959,0.0173938,0.0166178,0.019276,0.0323413,0.0361929,0.0522769,0.0589703,0.0775986]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00297449,0.00239856,0.00264467,0.00291876,0.00350636,0.00552219,0.00831055,0.0117132,0.0191072,0.0233573]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0278709,0.0208564,0.0211217,0.021251,0.0230928,0.0326223,0.0434676,0.0535262,0.0750368,0.0771904]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1277, 55, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.123925,0.197909,0.448006,0.515697,0.53143,0.661029,0.826938,1.174,1.51537,2.54392]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.9001,40.862,42.1069,39.53,29.8092,24.8613,10.8346,5.81788,4.07248,3.34775]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.183607,0.33068,0.685143,0.632502,0.855247,1.52201,1.86429,1.88341,2.59935,3.63262]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[30.6809,45.8228,42.6065,34.5892,24.6278,17.7628,11.074,7.00221,6.23448,4.60192]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1278, 56, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0147903,0.0152193,0.0214287,0.0272512,0.0245988,0.0361094,0.0522955,0.0582345,0.102943,0.175979]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[22.1614,37.9468,36.6134,32.0698,25.8158,22.114,9.06735,4.65547,2.98196,2.32135]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0119577,0.0128447,0.0122421,0.015161,0.0181792,0.0289493,0.063328,0.0697688,0.144356,0.226356]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.7747,39.8134,34.2469,25.9283,17.6463,11.8647,6.55755,2.25711,1.89522,2.17183]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1279, 57, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000824095,0.000737679,0.0011123,0.00134715,0.00136954,0.00229,0.00286103,0.00517038,0.0222856,0.0381346]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.162324,0.347381,0.516193,0.586728,0.624561,0.731271,0.742391,0.856776,0.961649,1.08004]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0119577,0.0128447,0.0122421,0.015161,0.0181792,0.0289493,0.063328,0.0697688,0.144356,0.226356]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.253668,0.565006,0.812038,1.1145,1.27731,1.42309,1.65911,1.81099,1.8809,2.16135]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1280, 58, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00325376,0.0033885,0.0047264,0.006021,0.00539186,0.0078705,0.0115816,0.0124416,0.0190101,0.0340452]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.29425,10.7703,9.73241,7.85224,5.75794,5.06576,1.66155,0.781567,0.355709,0.17085]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.1877,29.1301,23.6528,15.6655,8.34134,5.15173,2.5017,0.30189,0.0123166,0.00857268]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1281, 59, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00244549,0.00253957,0.00356394,0.00450071,0.00402952,0.00582065,0.00852958,0.00926402,0.0143398,0.0237224]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.07333,6.99023,7.23203,7.20539,6.59159,5.28724,2.00658,0.561008,0.261891,0.114602]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.33332,10.1183,9.78202,9.14836,8.02769,5.28988,2.39674,0.144229,0.00199886,0.00190892]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1282, 60, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.20565,15.0285,12.7562,9.24752,5.95148,4.00295,2.25397,0.774303,0.537204,0.512119]}', '', '', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1283, 61, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00826699,0.00855352,0.0120261,0.0153823,0.0138079,0.0201282,0.0293232,0.0313585,0.0473072,0.0800768]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.42587,4.81044,6.37659,7.17793,6.89019,7.02676,2.40286,1.68182,0.865506,0.443746]}', '', '', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1284, 62, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.03524,0.0681133,0.051471,0.0784718,0.114157,0.171304,0.193106,0.247246,0.262998,0.356997]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.71812,2.89197,5.47237,5.58971,3.86105,2.72422,1.74194,1.13894,1.06807,1.0024]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.05554,0.103924,0.0879479,0.132818,0.212673,0.299718,0.405843,0.478719,0.296843,0.485948]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.02904,3.06848,5.612,6.03395,4.38249,3.31234,2.26119,1.65541,1.51714,1.46415]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1285, 63, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00801041,0.0143959,0.008774,0.0117593,0.0115415,0.020032,0.022326,0.0232689,0.0254687,0.029283]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.1529,2.40797,4.88249,4.878,2.98557,1.63199,0.565071,0.065387,0.0389232,0.0183068]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0120511,0.0159541,0.0102906,0.0153777,0.018514,0.0284868,0.0297649,0.0397728,0.022814,0.0460809]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.08323,2.33623,4.70948,4.88777,2.9721,1.65869,0.572607,0.0597006,0.0308863,0.0163019]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1286, 64, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0203319,0.0353409,0.0273549,0.0366435,0.0522938,0.0836926,0.0950859,0.127022,0.150523,0.181105]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.381196,0.245137,0.308569,0.391984,0.476719,0.508204,0.540772,0.551078,0.568181,0.554156]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0293406,0.0704163,0.0469905,0.0725783,0.119425,0.155612,0.233083,0.278019,0.185753,0.308641]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.708486,0.494169,0.618549,0.741077,0.848726,0.920516,0.929184,0.952566,0.933967,0.906935]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1287, 65, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0068977,0.0183766,0.0153421,0.030069,0.0503221,0.0675796,0.0756943,0.0969544,0.0870062,0.146609]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.18403,0.238867,0.281307,0.31972,0.39876,0.584027,0.636092,0.522477,0.460965,0.429939]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0141483,0.0175534,0.0306668,0.0448618,0.0747338,0.115619,0.142995,0.160927,0.0882768,0.131227]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.237317,0.238073,0.283966,0.405106,0.561661,0.73314,0.759396,0.643141,0.552292,0.540911]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1288, 67, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00115105,0.000931944,0.000801932,0.000833201,0.000659477,0.00103323,0.00100928,0.00097559,0.0011555,0.000872085]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000874667,0.000697577,0.00153589,0.00168466,0.000780875,0.000998406,0.0014024,0.001425,0.000997422,0.00121656]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1289, 68, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0738947,0.114577,0.375107,0.409974,0.392674,0.453615,0.581537,0.868523,1.14943,2.01094]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0193582,0.022247,0.0203235,1.86968,0.131741,0.0220904,0.0243164,0.022496,0.0212981,0.0231204]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.11611,0.213911,0.584953,0.484523,0.624395,1.19335,1.39512,1.33492,2.15815,2.92032]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.87634,2.94027,2.74613,2.6252,2.59821,2.58473,2.25381,3.08826,2.82112,0.964728]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1290, 69, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.01592,3.27942,4.64952,9.81809,17.4121,35.2624,72.2014,119.095,199.037,290.322]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.10862,5.68908,9.61508,19.5394,34.4128,68.5639,124.839,181.971,249.955,339.106]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.89416,5.91756,6.95261,8.46565,15.3797,32.5393,67.9754,138.39,255.318,433.743]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.80644,10.2336,13.7338,15.0431,21.5636,32.976,57.4465,107.892,214.467,363.819]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1291, 70, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00411959,0.0039583,0.00462837,0.0151773,0.0486938,0.125903,0.548805,1.30966,2.64463,4.14828]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00168524,0.00285375,0.00186996,0.00802703,0.0220365,0.0432563,0.191671,0.468902,0.90203,0.943044]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00837045,0.0181441,0.0304798,0.0697273,0.306739,1.10407,3.54981,8.02384,14.7105,21.6906]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000686386,0.0117572,0.0173079,0.0188592,0.0672095,0.250484,1.02247,2.10114,3.54573,5.77767]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1292, 71, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00743202,0.0434416,0.0958881,0.344471,0.611648,1.15508,2.08954,2.77016,4.8681,6.63476]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00689255,0.0295151,0.067394,0.161507,0.292299,0.733437,1.31384,1.29751,2.11886,3.7574]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0298779,0.0889836,0.163766,0.362617,0.939661,1.87002,3.24391,6.12158,9.82886,15.7547]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00963855,0.0405977,0.0922895,0.14359,0.431352,0.867953,1.82566,2.85916,4.48129,7.049]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1293, 72, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.201829,0.103404,0.122687,0.206712,0.210704,0.499333,1.41572,2.28492,3.46606,6.18634]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00969034,0.0120008,0.0126977,0.0271309,0.0397935,0.0947905,0.296471,0.567461,0.679451,1.58901]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.27047,0.24447,0.222253,0.288161,0.625169,1.11324,3.1331,7.73506,14.2834,23.7687]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0284308,0.0531237,0.0425209,0.0597715,0.119257,0.305171,0.965779,1.97498,3.38604,5.80506]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1294, 73, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0422593,0.0224526,0.0273658,0.0467145,0.0488298,0.119613,0.348978,0.579374,0.900868,1.64918]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000104576,0.000282662,0.00210652,0.00939825,0.00644942,0.0311374,0.0747791,0.169301,0.224685,0.379925]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0705873,0.0649733,0.0597938,0.0779982,0.172292,0.316394,0.916425,2.3194,4.38574,7.46551]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.004526,0.0168875,0.0100687,0.0130053,0.0324749,0.0925327,0.320399,0.562918,0.974565,1.8756]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1295, 74, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0114568,0.00613147,0.00744013,0.012852,0.0187258,0.0754168,0.295989,0.6039,1.09525,2.25998]}', '{\"age\":[\"15-19\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000441599,0.000167071,0.00189348,0.00320028,0.0109723,0.059763,0.146293,0.193321,0.624883]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0148818,0.0136181,0.0124663,0.0163899,0.050361,0.150818,0.585699,1.82915,4.04642,7.7711]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00321486,0.00630558,0.0043514,0.000885583,0.00534736,0.039184,0.178032,0.47856,0.982956,1.99992]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1296, 75, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0143636,0.0204362,0.0346892,0.0709661,0.0765105,0.172339,0.463285,0.70786,1.02142,1.72522]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00345013,0.00193223,0.010146,0.0140118,0.0289242,0.0891127,0.153418,0.162766,0.46016]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0202954,0.0499439,0.0640041,0.0999945,0.229034,0.386606,1.03226,2.41516,4.23034,6.67682]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00173206,0.0146343,0.0156131,0.0257055,0.0316595,0.112981,0.293099,0.59924,1.02437,1.52076]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1297, 76, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.133749,0.054384,0.0531919,0.0761797,0.0666379,0.131964,0.307463,0.393787,0.448516,0.551955]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00914416,0.008268,0.00849189,0.00569319,0.016132,0.0237567,0.0728162,0.0984498,0.0986793,0.12404]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.164706,0.115935,0.0859892,0.0937782,0.173482,0.259426,0.598715,1.17135,1.62087,1.85525]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0189578,0.0152963,0.0124877,0.0201751,0.0497756,0.0604739,0.174249,0.334265,0.404147,0.408778]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1298, 77, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00672208,0.00520036,0.00620869,0.018573,0.0178441,0.0467023,0.108106,0.315609,0.5567,0.630271]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00370348,0.0079712,0.0143177,0.0319366,0.0123297,0.0675936,0.112401,0.312751,0.597419,0.800294]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00884047,0.00384602,0.00939219,0.0120006,0.0612673,0.313677,0.967575,1.95532,3.20945,5.28661]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0111032,0.00765056,0.0248116,0.020601,0.107353,0.426194,1.33945,2.99877,5.68918,7.62078]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1299, 78, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.013024,0.0560536,0.150008,0.284223,1.10489,4.02916,11.8864,21.7742,35.9358,50.6955]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0017922,0.0286475,0.0734691,0.0862951,0.400031,1.48296,4.58759,7.81646,11.6705,17.0758]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.036456,0.124766,0.244424,0.390111,1.41553,5.36546,16.6622,38.6235,72.2554,124.842]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0114932,0.0554362,0.0935321,0.153093,0.513926,1.87067,5.45239,12.7909,23.8774,35.6404]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1300, 79, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.039754,0.0958288,0.467485,2.63224,6.03874,12.3367,22.5445,33.3223,48.6709,68.5306]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.097449,0.252631,1.45201,7.26377,18.4931,41.5313,76.5785,108.189,142.111,192.219]}', '', '', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1301, 80, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0462473,0.0856147,0.276551,0.523007,1.16461,1.79215,2.97342,3.88037,5.8426,7.25672]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0428923,0.168643,0.747558,1.46338,2.3879,3.44815,3.83179,4.6034,5.6795,6.09222]}', '', '', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1302, 81, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00735968,0.00711345,0.0196456,0.0450722,0.107187,0.213457,0.477721,1.41299,2.90645,5.35957]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00688148,0.00972016,0.0451748,0.121587,0.265985,0.622744,1.73391,4.63898,8.52524,10.7504]}', '', '', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1303, 82, 203, '', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0323281,0.0309317,0.0325917,0.0391555,0.060133,0.188644,0.480532,2.23227,7.71499,21.9834]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.055604,0.0539626,0.0756878,0.111821,0.213054,0.683357,3.34444,17.0309,57.1322,128.572]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1304, 83, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0316995,0.104582,0.221464,0.688264,1.02751,2.94327,5.91048,10.2121,18.1567,23.9123]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0485024,0.132958,0.264324,0.837179,1.83703,4.98925,9.02409,15.3991,23.8167,36.9028]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0664432,0.202342,0.373781,0.584995,1.648,2.70226,5.70141,11.5705,24.2684,45.7795]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0966742,0.295966,0.43763,0.832972,2.40871,4.88848,8.46224,16.2155,34.9624,58.0609]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1305, 84, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00549329,0.0268429,0.0281928,0.0817261,0.177868,0.515441,1.11195,1.69079,2.53314,2.63339]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0103379,0.0340528,0.0471241,0.0966729,0.253243,0.677093,1.42793,2.34492,3.22901,2.87828]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0559951,0.0608692,0.11754,0.223466,0.583533,1.64497,3.61473,6.35987,9.10895,10.3694]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0768312,0.0945144,0.09152,0.21594,0.603723,1.74779,3.50984,6.52667,9.11088,10.019]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1306, 85, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00698592,0.0126699,0.00790463,0.0366139,0.0566466,0.166188,0.312746,0.368675,0.504756,0.524938]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00405406,0.00913508,0.00883306,0.0329466,0.0458885,0.134694,0.337753,0.171967,0.2241,0.185764]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0121514,0.0114229,0.0279484,0.0399262,0.147483,0.449923,1.09621,1.61501,2.55343,2.6597]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0218596,0.00711855,0.0212498,0.0413913,0.122078,0.407875,0.709118,0.494958,0.75485,0.741586]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1307, 86, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00386031,0.0127007,0.015293,0.0434481,0.0820808,0.170882,0.435855,1.14018,1.40828,1.33793]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00240089,0.00750803,0.00417304,0.0296203,0.0628508,0.132136,0.52503,1.01487,1.0691,0.856382]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0411714,0.0411392,0.0663422,0.101455,0.225433,0.689772,2.01558,4.97159,7.36261,8.35687]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0204486,0.0232254,0.0315579,0.078146,0.294948,0.951818,2.09302,3.70286,5.269,5.67911]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1308, 87, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00361594,0.00587446,0.00638148,0.0246127,0.0185241,0.0646942,0.208272,0.998555,2.01877,3.8676]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000126143,0.00795053,0.00403358,0.00334546,0.00758564,0.0229407,0.0332129,0.29113,0.522722,1.17639]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00225464,0.00212236,0.0161589,0.0138302,0.0271609,0.0912337,0.206394,0.942101,1.6801,3.12152]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000153043,0.000194568,0.00940574,0.00348129,0.0144872,0.034506,0.118379,0.348116,0.774827,1.4865]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1309, 88, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.124875,0.0472559,0.0605446,0.0807349,0.268991,0.643301,2.17397,4.55639,11.534,18.5878]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0432655,0.00827034,0.00865432,0.00556231,0.0482174,0.0957201,0.307392,0.765911,1.81232,2.67943]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0393937,0.0641804,0.12765,0.254532,0.581778,2.02038,4.06499,8.62503,15.6379,29.7534]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00788501,0.0236362,0.0302081,0.0471116,0.100077,0.299726,0.664983,1.22042,2.29054,3.83935]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1310, 89, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0719475,0.289815,0.323599,0.573671,0.912931,1.29934,2.1873,2.72788,3.45016,4.54356]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.386341,1.01338,1.78794,3.08219,3.77411,4.48164,5.99366,7.05004,6.98178,7.52473]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.117777,0.308972,0.559147,0.653252,1.15459,1.83904,2.52091,4.04282,5.91931,11.5433]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.478992,0.765231,1.4483,1.4504,2.65563,3.16307,4.67727,5.88635,7.95829,12.506]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1311, 90, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00652756,0.00790212,0.0132263,0.0236383,0.0338061,0.0551995,0.0918548,0.162453,0.24513,0.354016]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0320751,0.114103,0.182514,0.243751,0.302386,0.52524,1.23976,1.93387,2.62607,4.06185]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0124837,0.0219587,0.0317079,0.054341,0.0826028,0.137559,0.183484,0.345305,0.608524,0.90501]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0835322,0.140102,0.262839,0.327744,0.374751,0.792231,1.77041,2.91361,4.04034,6.60033]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1312, 91, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0825508,0.190425,0.198334,0.434409,0.877974,2.13225,4.66458,8.73296,16.9717,24.2366]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.13487,0.258772,0.282713,0.456656,0.821052,1.68962,3.83176,5.5159,7.78375,8.66702]}', '', '', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1313, 92, 203, '', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.220894,0.522723,0.602579,0.534798,0.470193,0.455215,0.471924,0.369133,0.657505,0.170577]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.62181,4.55325,6.56466,6.40967,5.7646,4.37909,2.78494,1.13194,0.814835,0.352709]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1314, 93, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.035898,0.0126922,0.00527026,0.0654097,0.0761942,0.24306,0.761084,1.88677,3.94145,8.65679]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0286312,0.00794982,0.00333556,0.0733616,0.0624403,0.204665,0.725886,1.52278,2.50768,4.89746]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0143045,0.0132991,0.0331935,0.0500822,0.395644,1.59368,2.66851,5.82264,11.5694,17.071]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00990546,0.00990278,0.0411496,0.0606447,0.47,1.31468,2.93955,4.44176,8.63931,12.9391]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1315, 94, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0285952,0.0347886,0.0185059,0.0542766,0.102833,0.184812,0.533373,0.977261,2.19007,3.77652]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0592071,0.0459327,0.0473478,0.0632297,0.143106,0.270155,0.697915,1.40667,2.65282,4.61491]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0574315,0.0490434,0.0341408,0.0754727,0.110803,0.303029,1.06767,2.30467,6.24228,11.4558]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.122032,0.133902,0.143104,0.216091,0.38554,0.921613,2.28028,4.82027,9.95126,18.169]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1316, 95, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.580066,0.510526,0.59763,1.35091,1.43843,2.45221,3.44192,6.41183,9.03795,10.993]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.53615,0.581067,0.790291,1.45873,0.790101,0.996338,1.73199,2.72428,3.04708,4.54606]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.537122,0.710694,1.10504,1.63753,2.335,3.78932,5.51469,7.92098,13.1198,16.7847]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.620856,0.903717,1.06657,1.13707,1.40659,1.81778,2.53251,3.68277,5.00743,5.57056]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1317, 96, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0159323,0.0166908,0.0250664,0.0474614,0.0727858,0.124521,0.20358,0.301924,0.629957,0.923728]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.303004,0.59588,0.967658,1.19185,1.2563,1.99758,1.95251,1.99336,2.31388,2.4722]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00648294,0.0228862,0.02141,0.042432,0.0808849,0.110492,0.153981,0.23047,0.561045,0.844196]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0379965,0.15255,0.251173,0.311647,0.501166,0.479869,0.553184,0.546661,0.859644,0.813889]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1318, 97, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.244105,0.368553,0.370227,0.416214,0.211312,0.18267,0.129092,0.123686,0.164286,0.356873]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.15014,1.31151,1.08819,1.00222,0.39751,0.311923,0.192492,0.127988,0.152233,0.354641]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.180215,0.423543,0.500239,0.521757,0.49995,0.686985,0.573728,0.562012,0.663394,0.459605]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.615492,1.16173,1.05207,0.905136,0.759583,0.764921,0.475091,0.385696,0.53868,0.559426]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1319, 98, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.199905,0.190842,0.292966,0.297706,0.517788,0.806478,1.65972,2.08301,4.83448,8.04666]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.263635,0.22958,0.447984,0.487444,0.925343,1.48572,2.84606,3.82073,6.28482,8.4121]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.272541,0.445069,0.502357,0.487369,0.865744,1.50166,2.40795,4.03499,6.70607,12.3242]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.262567,0.456898,0.535111,0.777491,1.76743,2.68418,3.53591,5.0774,7.65138,10.3353]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1320, 99, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00632754,0.00613493,0.00948926,0.0198624,0.070868,0.156096,0.430932,1.13398,2.22683,5.28824]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0104364,0.00246468,0.00449795,0.0196472,0.0462905,0.166405,0.455148,1.08885,1.98257,3.14781]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00513118,0.00411411,0.0183507,0.0243713,0.152177,0.328047,0.898923,1.80056,4.08456,7.55763]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00967326,0.00241808,0.0239051,0.0280806,0.113907,0.267697,0.881471,1.79189,3.74772,5.0937]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1321, 100, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.582122,0.460272,0.663675,0.806854,1.00653,1.19306,2.03715,2.36244,3.90409,6.65087]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.481873,0.28101,0.277725,0.446572,0.549246,0.731654,1.4076,2.32159,3.37811,3.5971]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.01501,1.30012,1.04837,1.05418,1.05921,1.76887,2.21771,3.37004,6.38641,12.7293]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.858709,0.512392,0.711003,0.849142,0.902161,1.43747,2.41304,3.80049,6.21692,8.07143]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1322, 101, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.658923,0.580237,0.648644,0.702809,1.15466,1.73042,3.86335,6.15406,10.3942,16.189]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.442579,0.535569,0.983253,0.844786,1.17661,1.62687,3.46276,4.58173,7.28673,8.90312]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.851018,1.20192,1.06375,0.950093,1.55103,2.47179,4.55945,8.81044,16.1852,28.5312]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.744061,0.774298,0.666163,0.843219,1.46611,2.21942,3.09512,5.14867,7.76659,12.5156]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1323, 102, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.563215,0.726483,1.46211,2.32348,3.52949,7.27882,13.6318,24.1787,40.8418,76.722]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.5676,39.7485,56.506,84.2611,121.879,176.381,265.002,384.117,559.752,763.584]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.01812,1.73808,2.81659,4.22472,9.73108,19.9543,39.734,74.5483,134.33,225.402]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[30.8453,44.8671,71.0664,104.514,158.79,215.399,331.028,496.372,749.02,1033.58]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1324, 103, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0163591,0.0187361,0.0327985,0.0638429,0.0876031,0.143423,0.236784,0.418129,0.7436,1.29397]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.2636,10.3738,10.5464,10.5782,10.485,10.7178,10.947,10.2147,10.3884,10.6531]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0269427,0.0430121,0.0621525,0.094461,0.227657,0.302856,0.574376,0.90841,1.49631,2.4185]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.92829,8.28202,8.46307,8.46241,8.18281,8.12165,7.69965,7.20567,7.51665,8.12018]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1325, 104, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.133775,0.210896,0.537464,0.744032,1.31561,2.93104,5.99528,11.4354,20.2326,40.377]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.30303,11.9626,24.0055,40.7335,62.7762,91.5404,140.278,210.491,296.907,383.631]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.337318,0.619843,1.3075,2.26349,5.95805,12.9685,26.8868,51.8856,93.3919,150.925]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.06965,16.6487,33.3442,56.2479,85.709,124.102,187.885,279.562,396.026,514.563]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1326, 105, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0853183,0.0857639,0.211438,0.593499,0.87919,2.07817,3.77402,6.63174,9.71639,16.9319]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.18797,6.11501,9.26158,13.5974,20.8427,29.4649,47.7043,77.825,134.174,203.934]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.140061,0.265347,0.373402,0.505194,1.14839,2.57223,5.02257,8.91072,16.6113,31.4189]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.7773,8.54934,12.9768,19.4697,29.7358,42.243,67.6121,109.951,187.59,281.702]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1327, 106, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0101957,0.0135066,0.0357328,0.0941805,0.111674,0.262562,0.496088,1.00589,1.9404,4.6714]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.05084,2.46424,4.85598,7.25719,10.7825,16.2735,27.9191,48.4777,87.6619,146.141]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0209297,0.0383913,0.0613244,0.0849711,0.15936,0.435716,0.969996,2.05041,4.71634,11.7398]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.01174,3.29904,5.8647,9.7461,15.9242,25.3932,44.1648,75.7432,133.894,213.129]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1328, 107, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0751227,0.0722573,0.175705,0.499318,0.767515,1.81561,3.27793,5.62584,7.77598,12.2605]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.13713,3.65078,4.4056,6.34019,10.0602,13.1913,19.7852,29.3472,46.5121,57.7925]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.119132,0.226955,0.312077,0.420223,0.989029,2.13651,4.05257,6.8603,11.895,19.6791]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.76556,5.2503,7.11213,9.72362,13.8116,16.8498,23.4474,34.2079,53.6961,68.5728]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1329, 108, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0144827,0.0191231,0.0350948,0.0609358,0.101278,0.254265,0.525393,0.967463,1.75663,3.33735]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0328146,0.0555683,0.111735,0.210274,0.374753,0.843668,1.48434,2.05841,3.22324,4.63314]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.023266,0.0462041,0.070562,0.096974,0.211002,0.471359,0.950363,1.77294,3.22399,5.7246]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0699185,0.146929,0.257456,0.398604,0.595313,0.972701,1.49182,2.11858,3.34383,4.89705]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1330, 109, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0746696,0.0828311,0.12441,0.184212,0.253524,0.394561,0.655736,1.0415,1.64885,2.56884]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.15019,0.250961,0.382875,0.465254,0.535926,0.81534,1.16233,1.41157,2.0219,2.59347]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.197806,0.29062,0.326607,0.401227,0.756808,1.17231,2.04096,3.3363,5.02805,7.38206]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.622352,1.02888,1.22597,1.32832,1.32151,1.64839,1.99915,2.48923,3.42122,4.24911]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1331, 110, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0.010624,0.0178649,0.0362761,0.075964,0.138917,0.337811,0.87289]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.53128,2.61515,3.06004,4.03893,5.71018,10.1649,17.4167,28.4876,49.0937,80.2414]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0.0157895,0.0335884,0.0613055,0.12214,0.292374,0.732494,1.71052]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.91808,4.25878,5.00649,6.81193,9.53714,17.2127,30.2256,49.3239,86.3174,143.503]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1332, 111, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0136124,0.0165226,0.0416842,0.0623747,0.119923,0.213598,0.418784,0.673677,1.15916,2.28289]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0463927,0.0768896,0.142669,0.174,0.357391,0.633088,1.12394,2.22264,4.4775,9.06932]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1333, 112, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0.0197008,0.0443604,0.0976307,0.220405,0.378589]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00255553,0.0129498,0.0468185,0.181727,0.519047,1.0443,2.95163,7.7756,14.5132,22.8971]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0.156022,0.304705,0.574675,1.21709,2.37172]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00447302,0.0206771,0.061457,0.241776,0.687013,1.27947,3.49387,8.83147,16.1647,24.8639]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1334, 113, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0114767,0.0176485,0.0222203,0.027681,0.0385297,0.0574066,0.100881,0.134619,0.222435,0.338341]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0117628,0.105473,0.111112,0.0899214,0.0603265,0.0757299,0.111196,0.214183,0.311088,0.516506]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0161104,0.0339495,0.0503508,0.0525137,0.0869695,0.107757,0.176395,0.265157,0.441607,0.657565]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01305,0.46048,0.412818,0.314966,0.166165,0.20949,0.239692,0.432634,0.653907,1.07994]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1335, 114, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.213521,0.274961,0.456996,0.576273,0.715971,1.15038,1.80456,2.63956,4.8039,8.34019]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.08437,8.25696,8.97994,14.366,20.5748,31.7143,42.9464,45.6381,49.1192,54.485]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.230219,0.362216,0.483348,0.621073,0.951231,1.50884,2.53181,4.37944,7.70944,13.7244]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.4422,5.4713,9.31806,11.2383,22.8554,19.6101,30.3813,36.4576,47.9859,50.6021]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1336, 115, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.202226,0.198025,0.199726,0.254072,0.42729,0.85846,1.89083,4.11248,8.69728,16.8274]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[775.479,720.896,719.511,780.223,831.785,897.49,1023.48,1198.79,1431.02,1716.2]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.310916,0.399069,0.39953,0.499628,0.857828,1.39507,3.00619,6.90971,14.7668,33.187]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[705.6,674.873,715.46,785.806,861.771,959.192,1100.37,1268.37,1483.69,1744.41]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1337, 116, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0244337,0.0257633,0.0355151,0.0451494,0.0957786,0.279446,0.820987,2.23223,5.46113,11.6024]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[161.438,218.803,279.109,345.544,418.395,502.353,628.38,806.822,1036.85,1305.47]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0614469,0.0928411,0.0798666,0.111224,0.258068,0.515167,1.37382,3.97725,9.60717,23.5454]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[191.769,260.321,331.627,411.256,501.716,604.382,740.443,921.149,1142.91,1395.9]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1338, 117, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00101957,0.00235189,0.00165448,0.00290438,0.005939,0.0130945,0.0241608,0.053637,0.109996,0.197373]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00124724,0.00295432,0.00542096,0.00693522,0.0101506,0.101895,0.262737,0.50127,0.728042,1.10958]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00480808,0.00665275,0.00861549,0.014894,0.0261312,0.0443624,0.0993486,0.248048,0.502616,1.18154]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0097742,0.0321852,0.0514782,0.0788869,0.0863637,0.293113,0.803891,1.24091,2.00231,3.0988]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1339, 118, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.101033,0.0871984,0.070432,0.0856709,0.144572,0.242932,0.455368,0.748712,1.12037,1.62571]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[515.091,374.334,293.572,255.235,239.989,237.47,242.815,250.064,259.002,269.384]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.125794,0.143713,0.141578,0.173507,0.238519,0.291581,0.519882,0.782306,1.19194,1.96813]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[426.089,296.976,237.754,210.91,200.499,199.508,204.929,212.534,221.699,232.933]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1340, 119, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00979589,0.0113736,0.017828,0.0242327,0.0523349,0.115975,0.225263,0.457688,0.959214,1.64866]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0933219,0.121399,0.174713,0.2605,0.35619,0.53698,0.840664,0.946509,1.47614,2.25274]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0256416,0.0277659,0.0471158,0.0578935,0.124392,0.243993,0.469346,0.95974,1.99714,3.84583]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.16801,0.210385,0.316836,0.412306,0.566439,0.764447,1.17321,1.12325,1.89379,2.79373]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1341, 120, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0659441,0.0713378,0.0742966,0.0961142,0.128666,0.207013,0.365046,0.620204,1.04657,1.7532]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[98.8561,127.635,146.65,179.177,173.034,157.027,151.177,140.453,132.964,137.986]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0932255,0.128096,0.122354,0.14211,0.210718,0.299962,0.543799,0.942367,1.46796,2.64612]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[87.5642,117.333,145.711,163.15,158.903,154.244,153.016,132.319,115.185,109.685]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1342, 121, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.029959,0.0277037,0.100758,0.470319,0.958386,2.96258,4.80817,8.76912,11.012,15.3358]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.272341,0.388501,0.476183,0.638269,1.78448,3.337,4.34056,4.75975,5.47711,6.44371]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0438728,0.083549,0.240278,0.640203,2.11611,5.4265,10.1128,15.841,23.5743,31.346]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.305647,0.521201,0.762416,1.32868,4.35252,7.35237,8.73291,9.17585,9.86939,10.9564]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1343, 122, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00386452,0.00368845,0.0138034,0.0653853,0.141787,0.494744,0.883803,1.7472,2.34959,3.47554]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0385716,0.055611,0.0741219,0.0978939,0.281898,0.59103,0.840933,0.967454,1.24334,1.505]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00451804,0.00727714,0.0190917,0.0480059,0.164991,0.487617,1.02578,1.78178,2.91092,4.19647]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0284869,0.0424595,0.046301,0.115756,0.306176,0.670686,0.879218,1.04787,1.15997,1.4256]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1344, 123, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00704036,0.00674232,0.025109,0.118927,0.265776,0.971145,1.79546,3.64388,4.99684,7.48525]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0598109,0.0925632,0.122742,0.154567,0.504267,1.11366,1.63777,1.94378,2.49154,3.17005]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00927007,0.0149696,0.0393328,0.0988638,0.351025,1.09879,2.4098,4.32852,7.23652,10.6453]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0610875,0.0965435,0.120293,0.230511,0.779098,1.60765,2.19186,2.60494,3.18661,3.89891]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1345, 124, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00182348,0.00466776,0.0242256,0.136976,0.29134,0.822402,1.22182,2.03888,2.34187,2.98519]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0163209,0.0685227,0.0953928,0.168875,0.528419,0.856719,1.0322,1.07917,1.12774,1.17469]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00776152,0.033503,0.122513,0.367942,1.24938,3.05163,5.41164,8.05977,11.3859,14.3635]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0527738,0.212126,0.414313,0.714397,2.51288,3.96851,4.53337,4.55045,4.63842,4.86369]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1346, 125, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0172307,0.0126052,0.03762,0.149031,0.259483,0.67429,0.907083,1.33915,1.32367,1.38981]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.157638,0.171804,0.183927,0.216932,0.4699,0.775584,0.829663,0.769344,0.614484,0.593959]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0223232,0.0277993,0.0593406,0.125391,0.350715,0.788463,1.2656,1.67092,2.04099,2.14084]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.163299,0.170072,0.181508,0.268012,0.754371,1.10552,1.12847,0.972592,0.884379,0.768202]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1347, 126, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.060644,0.0692921,0.151687,0.204548,0.29986,0.444225,0.896109,1.70158,3.42062,5.50962]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[76.8674,73.4279,76.1349,79.591,84.4149,92.977,101.296,93.6389,94.8105,92.8738]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0962447,0.0954897,0.271899,0.368713,0.578705,1.01096,1.91682,3.24448,5.26356,8.28918]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[80.0838,74.5408,81.6727,89.4752,98.4484,110.593,123.916,119.15,125.852,125.972]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1348, 127, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00245276,0.00367211,0.00854473,0.0147029,0.0297943,0.0524749,0.160309,0.338566,0.619336,1.0452]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.647766,0.793149,1.22289,1.83139,2.14323,2.68416,3.71684,2.30617,2.93975,3.66073]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00758051,0.00754263,0.0187165,0.0251372,0.0602271,0.137468,0.34308,0.618573,0.899275,1.52845]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.0948,1.34915,1.98039,2.79175,3.84206,4.86746,6.60907,4.56546,5.71042,6.70883]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1349, 128, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00182059,0.00196929,0.00385872,0.00383931,0.00406209,0.00813164,0.0201233,0.0255778,0.0374264,0.0573473]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.6009,5.73211,6.37103,8.77938,8.60023,10.1788,12.3271,1.06661,1.28498,1.41991]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00227799,0.00187611,0.00496231,0.00561535,0.0131765,0.0152071,0.0478394,0.0666797,0.079437,0.115436]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.06368,3.35114,3.95317,5.1369,7.06089,8.94343,12.0319,1.25227,1.49155,1.66987]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1350, 129, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00818595,0.00723195,0.0172696,0.0232784,0.0305523,0.0440901,0.073905,0.128,0.247166,0.416823]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.44647,3.09462,2.62291,2.18934,1.68413,1.2033,0.901289,0.915228,0.799305,0.751449]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0154672,0.0138773,0.0365672,0.0453218,0.0549191,0.0947196,0.134019,0.243956,0.379078,0.630599]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.99495,3.67083,3.31038,2.53476,2.17647,1.49615,1.11855,1.07562,1.0358,0.917626]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1351, 130, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00845139,0.00826187,0.0238591,0.0379585,0.0645713,0.0808199,0.159402,0.34714,0.699706,1.06421]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0378792,0.0516697,0.0362722,0.0720624,0.0602534,0.100717,0.115987,0.156299,0.235005,0.273938]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0138555,0.0138405,0.039099,0.0587706,0.0821516,0.149196,0.289186,0.548381,0.953711,1.47714]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0362796,0.0185803,0.0418317,0.0434457,0.0476787,0.0627518,0.0783153,0.0951908,0.162601,0.219707]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1352, 131, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000632389,0.000645347,0.00131711,0.00205503,0.00316646,0.00542903,0.0123779,0.0228876,0.0551975,0.0892594]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.31396,0.372679,0.510106,0.643646,0.809745,0.952452,1.1075,1.43855,1.75478,2.0445]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0015133,0.00154122,0.00328167,0.00404173,0.00718982,0.0123204,0.0264196,0.0466559,0.0956295,0.154172]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.9507,3.02786,3.88579,4.75499,5.62951,6.50929,8.34503,12.9566,17.5666,21.9829]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1353, 132, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00858355,0.00918606,0.0206464,0.0257324,0.0326126,0.0405027,0.0811315,0.117338,0.238168,0.284771]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[53.0952,49.8442,48.1262,47.8289,48.652,50.9867,53.4864,52.9216,49.3332,43.5579]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0114816,0.0169949,0.0341899,0.038587,0.0542224,0.0833567,0.139609,0.194101,0.321409,0.432919]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[59.77,57.5861,56.4217,56.2299,57.8226,60.9384,63.5889,62.2523,57.4556,49.2997]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1354, 133, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00272292,0.00314811,0.00730521,0.0128882,0.0214357,0.0327842,0.0965736,0.177232,0.403896,0.830092]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0397249,0.0698577,0.0603263,0.0679112,0.0898784,0.0772603,0.132908,0.22407,0.373865,0.394177]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00529877,0.00685719,0.0209437,0.0215962,0.0291633,0.0748267,0.165689,0.340387,0.638286,1.17021]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0617153,0.0367449,0.0570413,0.0664569,0.0660429,0.0936384,0.127167,0.233256,0.327422,0.419177]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1355, 134, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0183381,0.0198959,0.0367824,0.0413542,0.0448991,0.0614338,0.103592,0.183637,0.37186,0.576664]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.59265,4.35986,7.08277,9.74403,12.3023,15.1247,17.3713,19.4338,20.8547,22.6404]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0228007,0.0168872,0.0374272,0.0410996,0.0574849,0.0875604,0.133115,0.265143,0.441566,0.684573]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.585087,1.13264,2.3205,3.26778,4.4074,5.50521,7.29389,9.80431,12.4652,15.1281]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1356, 135, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0037658,0.00782598,0.0172287,0.0322021,0.0505579,0.090018,0.142463,0.232681,0.438466,0.68015]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.65771,2.35425,3.66955,4.52301,5.32575,6.22036,7.33501,8.94482,9.76708,11.3426]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00926368,0.0139524,0.0599411,0.098373,0.189366,0.294132,0.532606,0.685646,0.896753,1.17032]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.51438,2.72015,5.13461,8.2097,12.5209,15.9383,18.4948,19.2495,18.258,17.8326]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1357, 136, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00569053,0.00745554,0.0148753,0.0105372,0.0182084,0.0285408,0.0462313,0.128522,0.309401,0.46511]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.43508,6.75558,6.43284,3.91134,4.74739,5.44853,4.80179,6.23178,7.46793,6.7882]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00670553,0.00212021,0.0167705,0.0301706,0.030804,0.0621747,0.105254,0.23496,0.558411,0.925368]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.01228,1.64756,4.56738,6.43954,4.87488,6.23848,6.22812,7.66567,11.3791,11.7932]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1358, 137, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.00657,1.20968,1.16009,1.59728,1.95019,3.24836,4.6827,7.51048,11.6553,18.8642]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[739.712,877.693,872.074,882.836,917.545,914.635,915.045,931.67,963.547,987.947]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.79712,2.16399,1.8494,2.26283,2.77302,3.79676,5.19018,9.12515,14.7273,25.3391]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[449.739,550.254,538.357,530.606,548.995,553.844,573.123,604.694,642.682,691.658]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1359, 138, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.237577,0.244268,0.173076,0.187141,0.221011,0.647033,0.633568,1.40758,2.88591,6.30885]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,3.27199,34.8493,99.3606,189.405,279.201]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0931142,0.107797,0.0661956,0.0807072,0.0893659,0.200887,0.338743,1.82857,3.80091,7.2557]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,2.73926,27.7807,76.5827,138.218,207.169]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1360, 139, 203, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0105802,0.0115214,0.0111888,0.0201317,0.0301779,0.0557532,0.158637,0.416393,1.19335]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.139572,1.4045,4.20045,8.25819,12.8258,18.2251,24.9942]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0219311,0.0230295,0.0205112,0.0524063,0.0604461,0.131575,0.318313,0.781722,2.43346]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.197428,1.75873,4.94147,9.88589,15.4632,21.7582,31.0585]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1361, 140, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.409373,0.491873,0.428332,0.51497,0.491245,0.553969,0.710232,0.794387,0.999336,1.15385]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[43.3236,44.0787,44.6278,43.3172,42.4628,41.4283,40.5742,39.7506,40.1773,40.175]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.469103,0.788593,0.848597,0.952107,1.12339,1.2758,1.19795,1.32234,1.4774,1.94017]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[46.3756,48.1206,47.9229,46.0411,45.7718,44.3863,43.368,43.307,42.8184,43.1388]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1362, 141, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0.0817136,0.156767,0.350208,0.593219,1.11048,1.74141,2.54894,3.48552,4.42381]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.88193,8.34484,20.4483,38.1685,49.6496,53.8985,52.2741,47.3987,41.385,34.2798]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0.0623675,0.119986,0.227149,0.41585,0.61311,0.966561,1.41308,1.94324,3.06679]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.85522,3.87426,9.80338,18.0935,24.6406,26.6664,25.8105,23.5076,20.0448,16.863]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1363, 142, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[660.351,779.506,752.133,739.042,759.495,749.152,702.891,635.86,554.111,473.758]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[376.507,460.999,435.066,414.795,422.417,417.352,392.886,354.233,306.649,261.079]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1364, 143, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[29.7952,41.2739,44.5724,44.5259,43.6566,42.5407,41.4347,40.3539,39.248,38.1201]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.3026,34.0737,38.3143,38.9358,38.2022,36.9712,35.7998,34.6657,33.5943,32.4678]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1365, 144, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.359621,0.381242,0.390388,0.533769,0.624588,0.906708,1.54173,2.60094,3.86813,5.78436]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.3604,4.48945,10.2927,17.6425,20.8764,20.143,34.7638,56.1208,80.995,97.4187]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.2349,1.1833,0.79159,0.98236,1.09201,1.64652,2.55535,4.24285,6.72405,10.643]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.6992,3.18713,7.24987,12.5425,16.2052,20.7873,37.5921,56.9343,79.5985,99.8824]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1366, 145, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.382168,0.78515,1.06683,1.11365,1.22931,1.53608,1.82856,2.11283,2.35237,2.3897]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3452.18,4429.16,4710.15,4694.33,4611.71,4518,4416.9,4223.49,3947.72,3482.02]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.23662,4.36463,5.84035,5.54184,5.91336,6.28478,6.5622,7.48548,8.00608,8.61686]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3032.5,3892.36,4163.66,4060.39,3940.7,3819.65,3701.34,3453.79,3102.87,2636.88]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1367, 146, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.0229654,0.0279067,0.038388,0.0488035,0.0797067,0.101442,0.139484,0.184912]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.236,78.3024,170.505,264.675,326.036,351.346,358.586,346.167,309.348,254.41]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.0357349,0.0353148,0.0617213,0.0694848,0.0927033,0.122895,0.167348,0.212222]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.406,102.158,223.841,351.508,440.19,473.226,481.927,461.992,405.386,328.907]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1368, 147, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0208359,0.0426887,0.11216,0.22341,0.473821,0.817345,1.16245,1.49485,1.69777,1.64567]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[127.084,156.386,146.212,132.395,139.86,153.987,168.002,149.83,116.529,83.1435]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0734318,0.201131,0.445197,0.932117,2.11947,3.36687,4.47223,5.9679,6.59857,7.1576]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[452.037,545.288,511.612,471.231,497.21,554.337,612.118,554.262,439.719,317.801]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1369, 148, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.328082,0.706625,0.879277,0.795182,0.648368,0.575848,0.463894,0.363363,0.307802,0.27377]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[210.691,538.101,529.148,380.981,275.276,195.687,133.211,80.0429,44.0253,21.6845]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.14662,4.13099,5.31403,4.529,3.67193,2.76961,1.88654,1.2402,0.975309,0.843454]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[378.577,1192.94,1238.61,928.97,654.802,436.615,278.259,167.739,97.7091,54.008]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1370, 149, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.193975,0.417407,0.519753,0.469708,0.383264,0.340085,0.274195,0.214421,0.180961,0.160978]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[28.9004,198.693,246.034,174.365,129.047,102.658,75.7174,43.9344,21.2955,9.99565]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.676561,2.44542,3.14166,2.6804,2.17682,1.63576,1.11778,0.731024,0.573507,0.498905]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[71.9042,562.112,689.798,534.579,378.301,259.155,168.669,100.068,56.442,32.3229]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1371, 150, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00177693,0.00409802,0.00484075,0.00461839,0.00356679,0.00339002,0.00256811,0.00226409,0.00240047,0.00211759]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.49779,35.2537,37.5816,20.5234,12.3468,9.89029,6.97885,3.67944,1.87308,0.970434]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00719001,0.0202101,0.0289254,0.0226059,0.0157089,0.016248,0.0085128,0.00831562,0.00752832,0.00440883]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.6926,79.55,87.1572,48.9716,29.2252,22.7329,15.9859,9.09587,4.69831,2.52171]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1372, 151, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00219849,0.00500456,0.00597015,0.00563851,0.00439961,0.00412852,0.00316389,0.00272943,0.00279212,0.00246603]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[39.9774,59.7012,61.3021,52.0949,37.7815,24.4117,17.2688,12.8777,8.93563,4.67726]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00865819,0.0255295,0.0357528,0.0284354,0.020449,0.0198002,0.0109458,0.00990079,0.00876973,0.00549345]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[69.0372,103.478,106.02,90.4154,67.8285,44.0253,30.1852,21.9532,14.9534,7.87711]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1373, 153, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.130132,0.280116,0.348713,0.315217,0.257138,0.228244,0.183967,0.143948,0.121648,0.108209]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[43.6127,90.5798,93.7361,68.633,47.2795,32.2346,22.6552,15.3575,9.95926,5.16437]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.454214,1.63983,2.10769,1.79755,1.45895,1.0978,0.749307,0.490959,0.385504,0.334646]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[77.8246,175.915,184.596,132.704,92.1095,63.1389,43.4008,28.9739,18.185,9.53611]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1374, 155, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1593.77,1789.7,1939.77,2070.06,2148.9,2221.21,2276.52,2291.69,2243.24,2000.87]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[963.839,1094.55,1192.17,1274.87,1313.84,1348.68,1371.51,1377.5,1339.04,1179.47]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1375, 156, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[177.154,201.275,215.528,226.797,237.757,248.509,260.321,264.413,263.663,259.2]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[123.632,144.618,156.806,166.467,173.252,181.268,187.772,189.678,185.988,179.675]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1376, 159, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[78.9652,210.887,316.498,366.468,372.881,343.668,290.191,237.992,192.451,153.02]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[67.3448,183.561,276.781,323.752,329.671,302.849,255.193,208.785,169.1,134.249]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1377, 160, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[713.296,736.884,699.195,673.525,663.455,664.152,664.808,643.713,607.754,564.694]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[365.359,362.813,340.576,331.491,327.664,326.389,324.669,310.809,288.074,266.432]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1378, 161, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0263048,0.0302286,0.0419118,0.0519843,0.0494442,0.0568741,0.060581,0.0670414,0.0765363,0.0908866]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[256.267,612.888,607.874,497.939,368.725,263.577,189.621,135.539,95.461,67.3621]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00847799,0.0173624,0.0211517,0.0187467,0.0192458,0.0188959,0.0207911,0.0260128,0.0384671,0.0608179]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1379, 162, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[28.1285,27.7001,27.1124,27.1533,27.0691,26.2571,26.0606,24.8939,24.2925,23.1105]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[82.0608,81.1741,80.0974,78.733,77.4708,74.7919,72.0938,69.8072,67.2824,63.5707]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1380, 163, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.9634,24.1206,23.7435,23.2178,22.5449,21.5595,21.1013,20.0714,19.171,18.3582]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[103.406,101.578,99.4755,97.0053,94.7364,92.074,89.1264,85.3509,81.071,76.6801]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1381, 164, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.44551,5.06758,2.78305,1.34757,0.594802,0.224377,0.065656,0.0169493,0.00221917,0.000732254]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[30.8062,19.9413,11.4568,5.81987,2.63947,1.04593,0.351831,0.0933363,0.0227554,0.00415902]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1382, 165, 203, '{\"age\":[\"15-19\",\"20-24\"],\"number\":[0,0]}', '{\"age\":[\"15-19\",\"20-24\"],\"number\":[174.458,12.4346]}', '{\"age\":[\"15-19\",\"20-24\"],\"number\":[0,0]}', '{\"age\":[\"15-19\",\"20-24\"],\"number\":[400.074,28.8687]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1383, 166, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.2038,14.1508,13.8295,13.4999,13.0357,12.2276,11.4042,9.57882,6.93977,4.09452]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[22.908,22.1477,21.205,19.9643,18.289,16.4837,14.3623,10.1285,4.64699,1.47244]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1384, 167, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00694588,0.0056076,0.0105125,0.0151645,0.0192896,0.037211,0.0619286,0.086134,0.130776,0.194459]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.5096,21.2667,17.9447,16.2768,15.5747,15.5944,17.005,19.548,24.845,32.0679]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00808683,0.0151505,0.0242356,0.0266671,0.0409915,0.059917,0.0899379,0.128471,0.226387,0.342765]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.0446,12.7251,11.0353,10.5803,10.9359,11.8933,13.9657,17.6445,24.8317,34.6144]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1385, 168, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.286601,0.358007,0.526104,0.623722,0.907101,1.25447,2.58929,4.04168,7.92186,14.3384]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[308.063,646.253,923.062,970.706,1117.01,1094.51,1074.69,1245.28,1336.07,1445.15]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.345328,0.467278,0.617726,0.717015,1.36617,2.44005,4.13977,7.36431,14.7711,25.6524]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[110.547,132.846,184.611,275.231,405.515,586.333,874.776,1278.89,1736.94,2194.63]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1386, 169, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0248726,0.0535677,0.198063,0.246609,0.468149,0.515195,1.36647,2.17035,4.70116,9.07962]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[38.9292,50.5813,82.07,139.944,227.33,326.259,420.478,520.98,640.999,785.961]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0379039,0.0935196,0.226353,0.304272,0.808362,1.58432,2.84919,5.43155,10.7643,18.1918]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[42.8579,55.7424,90.5475,157.559,258.658,384.802,515.158,657.928,809.978,967.096]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1387, 170, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00813097,0.00780446,0.00782117,0.0076219,0.00820229,0.00955444,0.0161637,0.0148272,0.0159966,0.0171311]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00144274,0.00119569,0.000402286,0.000161856,0.000399946,0.000222366,0.000704525,0.00108129,0.000869783,0.00144072]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00850522,0.00833515,0.0148601,0.00962992,0.0118021,0.0135098,0.0138674,0.023134,0.0240634,0.0328241]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00159024,0.000343262,0.00159243,0.000777151,0.000640748,0.000403582,0.000978669,0.00150787,0.00133531,0.00247142]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1388, 171, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0413977,0.0307661,0.0544087,0.0663368,0.110083,0.199161,0.342144,0.711948,1.29886,2.42614]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[30.0243,55.8373,85.6971,70.8821,129.453,145.951,159.885,201.259,234.828,294.076]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0597063,0.068717,0.0929724,0.0986036,0.182275,0.270917,0.412204,0.701248,1.65079,3.4264]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.5181,30.3305,41.8747,53.4605,66.9693,88.5739,116.751,156.296,222.223,313.166]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1389, 172, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.48918e-5,0.00121816,0.00423023,0.00726774,0.0155743,0.0345076,0.074541,0.17901,0.377228,0.796649]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.262034,2.59246,6.98591,8.24526,18.5991,26.0723,35.182,51.7934,70.1097,92.3893]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.13326e-5,0.00243533,0.00626118,0.00941739,0.0225239,0.0406744,0.0764616,0.155081,0.416996,0.97428]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.224256,1.42773,3.3312,5.6355,9.06775,14.5127,23.2577,36.722,60.1828,88.2448]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1390, 173, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00529124,0.00427832,0.00822192,0.0110523,0.0199583,0.0391425,0.0633459,0.128916,0.224973,0.401562]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.86867,7.9164,12.9475,11.776,23.4293,28.2321,29.3436,35.3697,39.8934,49.0782]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0083305,0.0103812,0.0152565,0.0177794,0.0359684,0.0577835,0.0841131,0.137517,0.309258,0.610374]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.33508,4.79391,7.10307,10.251,13.6798,18.8618,23.2234,30.0585,41.0556,56.7719]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1391, 174, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0360516,0.0252696,0.0419565,0.0480168,0.0745502,0.125511,0.204257,0.404023,0.69666,1.22793]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.8936,45.3284,65.7637,50.8609,87.4247,91.6467,95.3594,114.096,124.825,152.608]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0513144,0.0559005,0.0714547,0.0714069,0.123783,0.172459,0.251629,0.40865,0.924532,1.84175]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.9588,24.1089,31.4404,37.574,44.2218,55.1994,70.2695,89.5158,120.985,168.149]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1392, 175, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0193559,0.0324615,0.0413023,0.0607312,0.0812369,0.18331,0.349639,0.588598,1.03716,1.56978]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.08155,6.92072,8.3269,10.2256,11.8232,15.3684,19.2171,22.0231,24.6273,26.6662]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0252358,0.0429082,0.0476969,0.0599098,0.0742398,0.16406,0.225057,0.392662,0.870351,1.58319]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.75147,7.76938,12.7734,18.7658,24.8758,49.6959,167.148,372.44,590.868,775.569]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1393, 176, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0120498,0.0173826,0.021514,0.030331,0.0526066,0.105301,0.195308,0.355168,0.633847,1.00691]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.73336,3.62209,3.13349,2.70886,2.16966,1.89254,1.81346,1.71374,1.59848,1.63045]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0160899,0.0262265,0.0289265,0.0384123,0.0503785,0.105136,0.15117,0.265838,0.578701,1.0808]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.375904,0.443701,0.541883,0.616179,0.671759,0.746538,0.825817,0.906232,1.01847,1.15645]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1394, 177, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00400298,0.00619014,0.00747791,0.0113584,0.00775223,0.0168266,0.0269132,0.0389211,0.0650332,0.090651]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.722252,1.81475,3.28005,5.04702,7.20228,9.62152,12.3115,14.8154,17.0248,18.8966]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00399273,0.00625989,0.00670133,0.00574443,0.00725517,0.0124947,0.0179996,0.0283405,0.0626016,0.0892351]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.08307,2.95189,5.6405,8.91222,12.8395,17.313,22.0896,26.5825,30.6352,34.3251]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1395, 178, 203, '', '', '{\"age\":[\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0]}', '{\"age\":[\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.5812,138.376,338.087,550.9,730.866]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1396, 179, 203, '', '', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\"],\"number\":[0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\"],\"number\":[3.57497,5.04571,6.70924,8.19854,10.942]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1397, 180, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00330313,0.00888879,0.0123104,0.0190418,0.0208781,0.0611818,0.127418,0.194509,0.338279,0.472222]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.625937,1.48388,1.91336,2.46967,2.45121,3.85437,5.09216,5.49396,6.00401,6.13915]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00515325,0.0104218,0.0120691,0.015753,0.0166061,0.0464301,0.0558873,0.0984833,0.229048,0.413152]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.292492,0.798815,1.5453,2.52817,3.16598,5.11321,5.85741,6.86405,8.31432,9.22126]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1398, 181, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0531712,0.0905684,0.0707668,0.0761147,0.089178,0.110145,0.121316,0.0266645,0.0274963,0.0338111]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[42.8701,321.918,521.664,610.85,555.129,429.821,310.304,322.704,243.455,135.358]}', '', '', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1399, 182, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0.000825258,0.00450268,0.00932173,0.0139074,0.0221389,0.0223275,0.00464404,0.00422001,0.00384809]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.197462,2.45756,10.1921,43.0982,76.3882,149.104,197.546,200.183,129.857,50.2777]}', '', '', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1400, 183, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[13.4331,124.479,221.435,252.255,261.214,157.938,0.944973,0.0040201]}', '', '', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1401, 184, 203, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\"],\"number\":[0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\"],\"number\":[2.73271,3.86011,5.05954,6.20004,8.22995]}', '', '', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1402, 185, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[1.51982,15.869,38.3746,65.7235,69.4319,8.66119,0.24528,0.00139712]}', '', '', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1403, 186, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,2.05774e-5,0.000205212,0.000670372,0.00123669,0.00324868,0.00125016,0.00183953,0.00313592]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.34551,42.0173,76.5739,92.8807,97.78,102.988,111.506,122.514,113.598,85.0803]}', '', '', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1404, 187, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[21.3742,134.362,171.228,146.374,43.7962,2.89986,0.062255,0.000254029]}', '', '', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1405, 188, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0531712,0.0897432,0.0662435,0.0665877,0.0746002,0.0867691,0.0957398,0.0207703,0.0214368,0.0268271]}', '{\"age\":[\"30-34\",\"35-39\",\"50-54\",\"55-59\"],\"number\":[5.45969,0.318642,0.00200524,0.000272726]}', '', '', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1406, 189, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0765447,0.0732355,0.070966,0.0694569,0.0485532,0.069082,0.101525,0.124258,0.196183,0.32467]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[180.844,194.523,203.795,109.862,161.575,140.73,121.623,120.187,118.733,115.275]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0851078,0.0987078,0.0839845,0.0738784,0.0607422,0.0801935,0.0917247,0.118692,0.203741,0.366128]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[38.9803,25.6067,21.5793,22.6159,26.4566,28.8947,33.5554,36.9214,46.3066,60.1594]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1407, 190, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0236924,0.0283963,0.0266613,0.0249841,0.0166065,0.0221554,0.0317302,0.0385035,0.0524955,0.0564142]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[59.0227,58.5739,57.7025,51.5861,54.7888,52.8528,52.2557,54.6841,78.2121,78.2283]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0237576,0.0326917,0.0281227,0.0240821,0.0191855,0.0237279,0.0272401,0.0359743,0.0505754,0.0561844]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.8193,16.0773,13.5303,14.7792,17.8114,19.7225,23.3576,25.4557,32.3686,41.4941]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1408, 191, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0443873,0.0375621,0.0376503,0.0381271,0.0275599,0.0401297,0.0570981,0.0649623,0.091782,0.110919]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[113.943,127.174,136.66,53.3426,99.7829,82.1458,64.8432,61.2014,37.771,34.4823]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0483192,0.0477664,0.0431065,0.0398355,0.0341209,0.0457151,0.0508747,0.0601895,0.0848333,0.104194]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.2013,5.7471,4.73286,4.66664,5.31482,5.90213,7.03411,7.3809,10.0665,15.2563]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1409, 192, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00733893,0.00634275,0.00600407,0.00596821,0.00430246,0.00630046,0.0100804,0.0144727,0.0244828,0.0350656]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.87504,8.75613,9.41605,3.5802,6.91552,5.71887,4.50717,4.2401,2.65729,2.39498]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0113514,0.0114622,0.0096796,0.00868095,0.00734696,0.00978146,0.0122681,0.0189273,0.0323543,0.0483878]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.366983,0.206609,0.145834,0.167735,0.216908,0.231352,0.333445,0.346596,0.465649,0.695428]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1410, 193, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00112614,0.000934346,0.000650348,0.000377523,8.42852e-5,0.000496421,0.00261658,0.00631959,0.0274223,0.122271]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00332669,0.0184504,0.0165695,1.35291,0.0873821,0.0121233,0.0165126,0.0616475,0.0924951,0.169181]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00167959,0.00678751,0.00307571,0.00127988,8.87463e-5,0.000969122,0.00134183,0.00360095,0.0359776,0.157362]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.59281,3.57575,3.17024,3.00232,3.11349,3.0387,2.83022,3.73819,3.40581,2.71362]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1411, 194, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0631283,0.0696035,0.0827757,0.0968518,0.101699,0.16802,0.292027,0.405035,0.645004,0.887268]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.3126,16.4723,21.5089,28.9418,31.7003,36.3773,43.1782,58.1268,73.4317,87.8093]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.128869,0.15509,0.151859,0.170721,0.228746,0.327051,0.547729,0.697029,1.25787,2.05209]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.4377,13.3968,17.8342,22.8285,28.5552,34.3658,42.1626,55.3022,67.5619,78.6385]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1412, 195, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.11791,0.140297,0.172944,0.235505,0.333686,0.415202,0.690209,1.16493,2.09201,3.0779]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1776.35,2049.62,2529.11,2953.49,3377.53,3821.28,4293.45,4728.95,5171.02,5629.08]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.106469,0.142746,0.145656,0.147904,0.225661,0.28442,0.450257,0.764895,1.31258,2.10163]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1449.56,1621.77,2156.33,2502.36,2817.37,3118.63,3441.65,3736.71,4047.06,4380.18]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1413, 196, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0358106,0.0472467,0.0532911,0.0829349,0.113316,0.171239,0.249633,0.578524,1.08639,1.82352]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[38.9498,77.4062,114.055,144.69,169.108,192.122,221.909,269.126,330.125,404.013]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0191846,0.0285316,0.0236429,0.0330402,0.0426754,0.0562046,0.0926729,0.175479,0.34022,0.552829]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.4289,22.3094,33.0582,42.4912,50.1001,56.4714,66.2047,80.232,98.7968,120.738]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1414, 197, 203, '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.45534,78.8447,233.213,447.923,619.037,711.519,773.517]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.56028,48.6518,144.324,279.172,387.064,446.268,484.584]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1415, 199, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[822.122,871.902,969.914,1143.85,1317.29,1450.16,1586.36,1690.51,1787.24,1875.04]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[866.102,970.457,1118.7,1313.71,1506.03,1652.8,1801.7,1928.14,2040.13,2138.02]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1416, 200, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[685.574,607.607,624.386,776.936,924.392,1063.25,1136.15,1118.18,1099.37,1080.48]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[499.223,461.753,483.009,598.308,711.112,815.675,869.405,853.692,838.545,819.226]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1417, 201, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0227422,0.179064,0.520319,1.03036,1.73068,2.63126,3.67757,4.83595,5.90258,6.95369]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.071597,0.683773,2.08006,4.16036,6.95241,10.4946,14.3186,18.3392,22.3891,26.1556]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1418, 202, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0820991,0.0930502,0.119653,0.15257,0.22037,0.243963,0.440576,0.586402,1.00562,1.25439]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[229.679,492.524,820.236,879.536,886.164,879.901,897.436,1027.26,1236.86,1489.07]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0872848,0.114215,0.122013,0.114864,0.182985,0.228216,0.357584,0.589416,0.972362,1.5488]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[72.736,166.57,519.485,539.138,494.521,438.857,410.851,469.25,600.925,791.452]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1419, 203, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.47304,1.08868,0.903693,0.108149,0.140622,0.199248,0.327557,0.50877,0.806268,1.15616]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1021.86,767.886,733.101,791.192,875.033,954.759,1050.77,1212.63,1407.84,1751.88]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.37694,1.28184,0.904259,0.150601,0.232015,0.288941,0.474385,0.752973,1.24789,2.03376]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[938.904,703.016,677.028,746.171,839.706,931.341,1040.17,1216.13,1419.65,1791.96]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1420, 204, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.46513,1.07661,0.889185,0.089661,0.116393,0.157524,0.267051,0.403995,0.63542,0.965915]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[33.8821,30.2395,28.6166,26.6577,26.2678,24.9032,26.2445,34.1028,38.6456,37.5276]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.37125,1.272,0.894024,0.134331,0.210162,0.258342,0.431178,0.676992,1.11512,1.78216]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[37.2821,33.2545,30.6064,28.0686,26.2911,25.4807,26.2042,34.264,37.561,35.8516]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1421, 205, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0488458,0.0471406,0.02738,0.00277721,0.00302438,0.00441258,0.0047484,0.00472421,0.00690651,0.0114636]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.76147,2.74682,2.58681,2.52112,2.62867,2.45727,2.28947,2.21541,2.1195,1.95971]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0131663,0.017911,0.00797936,0.00161133,0.00203159,0.00240458,0.0029403,0.0029184,0.00637061,0.00999013]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.06059,2.02663,2.1098,1.9639,1.72888,1.84644,1.48866,1.33172,1.11088,0.846286]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1422, 206, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.465437,0.380847,0.306994,0.0282276,0.0325509,0.0450793,0.0595472,0.0782875,0.0924345,0.190367]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.40365,6.24705,6.20188,6.02212,5.79859,5.80801,5.78892,5.34939,5.26079,5.25232]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.455424,0.440443,0.330246,0.0479283,0.067286,0.0748501,0.104883,0.130107,0.183116,0.329497]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.66992,6.99259,6.863,6.41805,5.94871,5.88776,5.80353,5.31768,5.27495,5.30483]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1423, 208, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.15747,0.17168,0.147385,0.0236369,0.0321672,0.0554715,0.13212,0.218711,0.383855,0.500032]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.01834,7.8868,7.87261,7.81488,7.79142,7.66009,8.7115,14.5368,17.4656,16.8512]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.113524,0.142427,0.114332,0.0273666,0.0473284,0.0778598,0.183679,0.341123,0.613374,0.802378]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.02334,8.12539,7.95646,7.90656,7.90325,7.73172,8.70777,14.47,17.0113,16.0637]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1424, 209, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.105386,0.0699563,0.0524012,0.00624629,0.0066131,0.00810929,0.0107135,0.0178016,0.0289645,0.02995]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.01592,3.09234,3.06511,3.00397,3.02987,2.91452,3.35996,5.37791,6.41272,6.18675]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0678963,0.0634336,0.0455253,0.00547541,0.0079558,0.0125082,0.0131153,0.0228414,0.0334079,0.0879334]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.92162,3.15187,3.09903,3.03973,3.10084,3.02993,3.3972,5.50722,6.24269,5.97628]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1425, 210, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.687989,0.406989,0.355025,0.028773,0.042037,0.044451,0.0599211,0.0844714,0.123259,0.234102]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.4288,9.03385,7.65979,6.08931,5.83412,4.89819,4.94213,5.4857,6.26124,6.16819]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.721242,0.607782,0.395941,0.051949,0.08556,0.0907193,0.12656,0.180002,0.278847,0.552362]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.9916,11.4021,9.01968,7.17753,6.07754,5.48969,5.34943,6.188,6.51329,6.2649]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1426, 211, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00791532,0.0120671,0.0145076,0.0184884,0.0242293,0.0417239,0.0605059,0.104775,0.170848,0.190244]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[893.645,625.165,528.841,497.742,476.561,475.568,480.496,501.3,525.846,550.88]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00568379,0.00983963,0.0102346,0.0162704,0.0218531,0.0305988,0.0432075,0.0759808,0.132776,0.2516]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[792.011,537.008,445.991,418.465,401.09,402.689,412.994,443.978,483.505,526.16]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1427, 212, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[191.458,172.048,165.33,160.879,158.082,156.717,156.094,155.497,154.57,153.771]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[153.575,137.738,132.801,129.109,126.97,125.482,125.237,125.158,124.025,123.129]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1428, 213, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.15763,12.1386,14.8059,17.3148,19.9236,22.1227,25.1112,29.6393,33.5607,36.3696]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.8504,14.272,17.2448,20.4881,23.5412,26.6709,29.9038,35.2314,40.1282,44.0694]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1429, 214, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00248996,0.00418482,0.00500902,0.00680786,0.00883659,0.013845,0.0204947,0.0353597,0.0577272,0.0596257]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.626587,0.674297,0.824099,0.961507,1.09364,1.22206,1.36152,1.63276,1.89138,2.13453]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00184276,0.00281165,0.00296138,0.00510921,0.00751247,0.0106138,0.0156817,0.025794,0.0457991,0.0790637]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.47126,1.75149,1.98052,2.2171,2.48479,2.70167,2.88116,3.1051,3.31992,3.59748]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1430, 215, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00339955,0.00531682,0.00591298,0.0077682,0.0104222,0.017939,0.0242052,0.0415705,0.0675161,0.0704784]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.48874,2.95083,3.22986,3.51331,3.76019,3.95568,4.27455,4.90331,5.43157,5.86102]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00260636,0.00425344,0.00435375,0.00703239,0.00881656,0.0124858,0.0174476,0.0318865,0.0531828,0.0958438]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.3867,2.99117,3.28305,3.64284,3.87998,4.09079,4.40536,5.01966,5.54452,5.95034]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1431, 216, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.01146,5.29537,5.47943,5.5949,5.57302,5.5053,5.42876,5.3892,5.33777,5.26173]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.15904,5.3867,5.6806,5.69501,5.71041,5.63479,5.55106,5.50771,5.41868,5.2991]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1432, 217, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.3816,10.9246,13.0909,15.2161,17.3348,19.4124,22.3118,26.3329,30.3803,34.3644]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.9211,11.9878,14.3773,16.6875,19.005,21.2861,24.3883,28.8937,33.3217,37.5315]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1433, 218, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[97.4203,38.5146,35.4003,32.3701,29.534,26.4588,24.8279,25.0765,25.1177,25.3142]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[103.274,39.9508,36.8456,34.0122,31.2926,28.5885,26.9614,26.7296,26.5313,26.2598]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1434, 219, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[400.594,224.608,127.744,83.8716,48.0444,27.855,11.9983,7.68488,5.27456,2.83055]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[363.251,203.856,112.944,73.892,42.5432,24.8003,10.8087,6.98021,4.71934,2.52629]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1435, 220, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.1626,26.2851,27.5932,28.3438,28.0539,27.6467,27.5233,26.9861,26.6725,26.1281]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.5452,16.3881,17.1984,17.6876,17.556,17.2804,16.9846,16.7182,16.5413,16.1258]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1436, 221, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[22.5168,30.981,39.9831,49.7754,59.659,69.1761,75.3536,76.581,77.582,78.474]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.2659,23.8858,30.8753,38.311,45.5767,52.8784,57.4988,58.167,58.8946,59.4816]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1437, 222, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[41.0434,41.1411,42.2543,44.5009,46.7166,49.0015,49.8079,48.9742,47.98,47.0905]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[26.6497,26.7647,27.4338,29.0101,30.342,31.7898,32.4892,31.6689,30.8577,30.1437]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1438, 223, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00193497,0.00250019,0.00348838,0.00383942,0.00488333,0.00980125,0.0155172,0.0275213,0.0449829,0.0595214]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.183978,0.319509,0.506776,0.746611,1.14245,1.76872,2.85445,4.74095,7.29875,10.6522]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00118201,0.00269703,0.0028351,0.00404457,0.00538769,0.00732215,0.00985283,0.0178732,0.0330735,0.0755756]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.210062,0.401932,0.684734,1.0669,1.66384,2.53398,4.31756,6.75653,10.1088,14.293]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1439, 224, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.08483e-5,6.52907e-5,9.71992e-5,7.28826e-5,8.71278e-5,0.000138665,0.00028883,0.000322979,0.000621623,0.000618784]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[79.5994,59.2844,52.5985,54.6545,57.6432,64.7261,73.5481,87.862,104.749,122.627]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.26641e-5,7.75169e-5,8.43467e-5,8.42286e-5,0.000136424,0.000177122,0.000225371,0.000427142,0.000720737,0.00111669]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[72.4512,51.6337,44.6418,46.6457,50.5248,58.9522,71.567,94.0416,124.094,157.754]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1440, 226, 203, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00819861,0.0339728,0.154665,0.438091,1.02617,2.19792,4.68035,8.35562,13.6806]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0046636,0.0312313,0.116536,0.338006,0.833901,2.01953,4.93458,9.77827,17.0148]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1441, 227, 203, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0263222,0.180703,0.703182,1.86815,3.96143,8.92434,21.9311,42.609,72.5947]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0161984,0.0929878,0.3247,0.915627,1.96172,4.7518,13.9161,31.195,58.2924]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1442, 228, 203, '{\"age\":[\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0]}', '{\"age\":[\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.884874,5.33826,14.4709,29.1053]}', '{\"age\":[\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0]}', '{\"age\":[\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.430663,3.14698,9.36728,20.5567]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1443, 229, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.1886,2.45388,3.64439,5.20332,6.8503,9.10608,12.1518,19.2408,29.7006,44.7535]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.67707,2.04302,2.85751,4.20942,5.60646,7.29519,9.98338,15.6106,24.2543,36.4266]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1444, 230, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[30.2628,37.4957,48.8185,59.5568,71.4449,83.419,94.5386,104.356,113.711,218.82]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[46.5981,57.027,72.2683,88.7141,104.753,120.907,136.067,147.183,158.233,292.987]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1445, 231, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[34.8859,39.7128,56.209,73.4577,90.6242,105.192,135.123,188.65,242.099,295.473]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[35.4948,42.2348,60.0737,79.1916,98.3608,117.252,154.773,220.93,282.221,339.401]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1446, 234, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.7886,28.2778,32.151,36.4602,42.3234,39.2357,35.4132,33.1085,31.1918,29.3001]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.5315,26.919,30.6057,34.8172,40.5625,38.0148,34.1881,31.8919,29.8159,27.8382]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1447, 235, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00798401,2.68427,26.7781,72.9541,126.855,161.66,178.083,182.062,180.707,175.373]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00824723,2.70277,27.5349,76.2789,133.903,172.173,190.728,196.145,195.169,188.749]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1448, 236, 203, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.681306,6.68871,17.0847,30.4727,49.1957,74.9971,115.779,177.897,281.072]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.575913,5.74537,14.6981,26.4813,43.1364,66.1654,101.871,155.727,245.115]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1449, 238, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.90258,4.26082,3.05694,2.30918,2.0282,2.10377,2.75368,3.28947,3.00733,4.20125]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[157.684,212.731,247.769,274.27,284.467,287.415,280.419,273.957,259.31,236.913]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.4407,18.4915,11.9321,8.73769,8.198,8.07694,8.95656,9.76862,11.6846,13.0085]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[241.337,346.286,435.315,504.968,531.109,545.255,555.216,559.364,548.735,517.232]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1450, 239, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.76409,4.10311,2.8933,2.16133,1.88176,1.93817,2.56869,3.06919,2.85185,4.0197]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[126.726,168.405,199.072,217.141,227.824,235.317,235.158,224.598,219.623,202.88]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.8484,17.5733,11.1327,8.04622,7.53567,7.27672,8.22408,8.95601,10.7098,12.0854]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[210.4,297.291,364.379,414.375,449.946,460.904,466.479,467.678,462.324,442.871]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1451, 240, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.45932,0.335888,0.265477,0.234763,0.230149,0.299988,0.415721,0.57478,0.557863,0.874977]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.2005,14.7122,19.5739,25.4307,30.4371,38.9071,41.7347,46.7429,48.5945,49.4435]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.32618,2.71238,1.91616,1.46006,1.25935,1.43222,1.65368,2.16886,2.59849,3.22989]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[36.3484,47.0611,66.1383,78.8028,78.7578,95.9613,98.6481,122.324,119.667,128.164]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1452, 241, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.33426,0.217193,0.176833,0.161409,0.150313,0.190564,0.237496,0.352807,0.323087,0.49883]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.52608,9.49671,13.0029,17.4566,19.5237,24.8062,23.7477,28.1978,28.2564,28.0355]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.18566,1.20033,0.712103,0.654996,0.667342,0.832067,0.979311,1.27994,1.70473,2.1277]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.5302,20.984,24.4986,35.2442,41.685,55.896,59.167,71.2868,78.5666,83.9298]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1453, 242, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.971084,0.759355,0.382041,0.280351,0.193257,0.19149,0.197774,0.195134,0.139107,0.178216]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.8135,33.0135,28.0063,30.5575,25.5478,24.9481,19.7971,15.6096,12.1038,9.93228]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.34453,4.2149,2.63017,1.74436,1.50786,1.14263,1.05849,1.09389,1.15143,1.09623]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[52.1251,73.3089,89.7232,94.2277,94.1749,76.0868,63.5213,61.2594,52.7129,43.1558]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1454, 243, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.92382,2.71036,2.00275,1.4294,1.25505,1.19217,1.64582,1.84937,1.74166,2.33754]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[82.8395,117.811,147.005,155.285,165.96,155.367,164.531,148.664,153.197,130.778]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.88537,9.28356,5.71123,4.06031,3.969,3.73838,4.35963,4.2646,5.02396,5.39437]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[107.531,161.677,194.82,218.969,248.362,249.105,260.404,236.604,229.309,212.852]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1455, 244, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0756113,0.0803172,0.0661982,0.0554055,0.0529908,0.0639569,0.0718778,0.0970978,0.0901354,0.130137]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.1402,3.48732,4.89417,5.97785,7.00574,8.22574,7.14712,7.70972,7.8512,7.28023]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.106694,0.162124,0.163033,0.126496,0.132124,0.131428,0.172968,0.148717,0.231222,0.23718]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.6594,2.78295,5.47602,6.60784,8.14658,8.6617,10.053,7.89432,10.3632,9.10066]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1456, 245, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.138486,0.157707,0.163635,0.147844,0.146438,0.1656,0.184991,0.220283,0.155486,0.181552]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[30.9583,44.3261,48.6979,57.1292,56.6426,52.098,45.2613,49.3593,39.687,34.0329]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.592248,0.918215,0.799396,0.691468,0.662329,0.800215,0.732479,0.81261,0.974756,0.923118]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[30.9368,48.9952,70.9356,90.5935,81.1631,84.351,88.7374,91.6855,86.4117,74.3607]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1457, 246, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.79213,1.75719,2.13504,1.9231,2.17158,2.7661,4.00112,4.5444,6.63544,9.52202]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[116.958,139.28,186.738,247.493,333.172,431.662,543.864,684.598,873.811,1105.71]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.92593,7.99052,7.56383,7.2971,8.38373,9.3098,11.5241,14.7408,18.0373,25.6754]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[200.744,274.531,360.379,470.868,637.278,818.819,1002.42,1209.8,1457.21,1752.95]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1458, 247, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.399763,0.363894,0.578334,0.496721,0.631654,0.899933,1.50789,1.78322,3.34628,5.67626]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[88.5364,103.679,141.069,192.07,268.043,355.766,459.841,593.2,772.386,992.593]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.53541,2.20658,2.42968,2.49166,2.86523,3.50123,5.12264,6.96602,8.98672,15.7434]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[131.903,172.241,224.554,302.535,442.371,599.046,760.593,947.21,1177.65,1452.74]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1459, 248, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.208414,0.215086,0.238019,0.199266,0.201629,0.233198,0.300842,0.348349,0.399691,0.36833]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.361278,0.349645,0.552607,0.763734,1.00387,1.30852,1.60965,2.05651,2.57376,2.77057]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.812697,0.810127,0.524991,0.568538,0.491088,0.615279,0.775798,0.816746,1.10712,1.10601]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.927363,1.39165,1.91005,2.46316,2.88065,3.45681,4.19997,5.05365,6.11205,6.98881]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1460, 249, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0791602,0.129654,0.154296,0.148563,0.147961,0.169771,0.192047,0.224663,0.27272,0.381095]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.28359,5.94309,7.43463,8.91142,10.2805,11.7373,12.697,13.3452,13.7256,14.1458]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.12373,0.277844,0.243848,0.240149,0.264261,0.33038,0.280452,0.299075,0.391089,0.528264]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.97172,11.1615,14.2303,17.8011,21.5797,24.8397,27.4904,29.2459,30.0129,31.2729]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1461, 250, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.251244,0.360236,0.3238,0.296437,0.190766,0.201936,0.162068,0.163256,0.156281,0.113502]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.369766,0.627406,0.846399,1.04316,1.14236,1.2529,1.28567,1.30704,1.23194,1.3117]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.391797,0.940935,0.85584,0.688719,0.592761,0.471101,0.404444,0.286433,0.29203,0.226565]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.560071,1.1531,1.78803,2.47758,2.44054,2.32513,2.606,2.86881,3.02869,3.52496]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1462, 251, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.405359,0.351371,0.387109,0.361522,0.44488,0.548278,0.762269,0.803439,0.997895,1.15073]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.88869,5.26868,6.38178,7.23227,7.64945,8.09976,8.06895,7.20323,6.64978,5.61587]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.66411,2.04453,1.86713,1.75457,2.22841,2.26545,2.54117,3.22616,3.585,3.83381]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.5037,23.5827,30.7893,36.1404,39.4262,40.6204,40.75,39.519,38.6658,35.3175]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1463, 252, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.195057,0.127205,0.0519237,0.0447522,0.073326,0.049486,0.0506036,0.0664257,0.0759082,0.0816545]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.52813,2.58513,1.07056,1.10325,1.93991,0.959891,0.763153,0.805651,0.698922,0.579065]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.284937,0.303415,0.178937,0.120458,0.11898,0.128732,0.141106,0.139346,0.081848,0.112454]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.13267,4.42242,3.55552,3.13549,2.62145,2.90548,2.76536,2.12092,1.05573,1.33544]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1464, 253, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.210301,0.224165,0.335185,0.31677,0.371554,0.498792,0.711666,0.737013,0.921987,1.06908]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.63271,4.59834,7.34403,8.47248,9.71246,10.1548,11.2435,9.69582,9.10111,8.17781]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.37918,1.74111,1.68819,1.63412,2.10943,2.13672,2.40007,3.08681,3.50315,3.72136]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.7914,25.4063,34.2537,41.9359,48.4459,47.7174,46.652,46.9091,46.623,45.4704]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1465, 254, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0809865,0.0570749,0.103901,0.102228,0.160152,0.222225,0.351078,0.444991,0.526531,0.718921]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.15151,3.7964,5.31741,7.51156,9.82641,12.7579,16.0541,18.8595,23.6504,29.106]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.153614,0.203047,0.193574,0.196674,0.319021,0.351832,0.512182,0.791787,1.13254,1.5534]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.24167,5.42942,7.19054,9.83589,14.188,18.5077,27.0769,35.3885,46.1427,57.3187]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1466, 255, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0122062,0.00713009,0.00932359,0.00920336,0.014452,0.0205696,0.0317622,0.0334083,0.041226,0.044776]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.569139,0.564623,0.739932,1.00359,1.2887,1.76263,2.01314,2.42552,2.18594,2.21737]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0407175,0.0409775,0.0396626,0.0496376,0.0645777,0.0763568,0.0869235,0.117111,0.137057,0.166254]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.881961,1.29041,1.52579,2.07151,2.85028,3.62379,4.71808,5.8812,6.14522,6.83005]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1467, 256, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00429663,0.00206766,0.00299175,0.00329453,0.00656586,0.00927639,0.0138379,0.0145715,0.0209024,0.0177101]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.318914,0.294626,0.378335,0.501995,0.690942,1.03994,1.08013,1.32165,1.21654,1.22284]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0114449,0.00992646,0.0114334,0.017856,0.0248382,0.0309571,0.0380034,0.0433504,0.0570335,0.0573301]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.421539,0.688736,0.727309,1.07123,1.51049,2.00823,2.66794,3.39218,3.74238,3.89763]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1468, 257, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00790955,0.00506243,0.00633184,0.00590882,0.00788618,0.0112932,0.0179243,0.0188369,0.0203236,0.0270659]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.250226,0.269997,0.361597,0.50159,0.597762,0.722689,0.933013,1.10387,0.969396,0.994534]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0292726,0.0310511,0.0282292,0.0317817,0.0397395,0.0453997,0.0489201,0.0737602,0.0800236,0.108924]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.460421,0.601674,0.798478,1.00028,1.33979,1.61556,2.05015,2.48903,2.40284,2.93242]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1469, 258, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.354993,0.272741,0.340252,0.309156,0.380085,0.470186,0.69316,0.743074,0.894814,1.0684]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.7978,19.0512,24.3957,28.9574,33.9377,38.9773,42.2952,46.2006,51.4071,57.9514]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.20385,1.46648,1.4091,1.30715,1.55839,1.69816,1.80053,2.23748,2.40579,2.51773]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[38.7545,58.2814,78.3916,97.5432,111.541,126.399,134.982,144.632,149.462,158.957]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1470, 259, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.40011,8.1191,8.40657,8.6179,8.68753,11.9038,13.9531,15.47,17.838,17.0819]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.97673,13.4053,16.9615,19.0473,19.0221,17.7086,15.8634,13.3306,10.4368,7.59644]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.0411,20.6392,21.6889,19.7123,22.8776,26.5766,30.8404,33.5888,38.5275,35.832]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.9139,45.1777,62.754,74.94,75.5145,68.96,61.7638,53.8046,42.6941,32.5045]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1471, 260, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.93471,6.88995,6.99329,7.55451,7.51906,10.8817,13.1385,14.7353,17.3486,16.5801]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.3744,2.61953,2.71334,2.59793,2.6255,2.40067,2.40987,2.06856,1.69453,1.4082]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.63475,19.8826,20.5892,18.6731,21.864,25.6796,30.0466,32.7623,37.847,35.1772]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.86425,3.69676,5.31279,6.12887,6.34694,5.75317,6.224,6.25081,6.66056,7.22437]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1472, 261, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.465398,1.22915,1.41328,1.06338,1.16848,1.02214,0.814535,0.734763,0.489381,0.501774]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.60233,10.7858,14.2481,16.4494,16.3966,15.308,13.4535,11.262,8.74228,6.18824]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.406402,0.756591,1.09977,1.03919,1.01359,0.896997,0.793748,0.826461,0.680421,0.654796]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.0496,41.481,57.4412,68.8111,69.1676,63.2068,55.5398,47.5538,36.0336,25.2801]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1473, 262, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.103769,0.278185,0.354448,0.273468,0.296417,0.268557,0.204519,0.178788,0.100478,0.0911216]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.69717,2.81113,4.07027,4.70393,4.59177,4.55305,3.75627,3.09194,2.18649,1.28921]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.111125,0.242888,0.381102,0.372062,0.337065,0.261801,0.207565,0.213965,0.148745,0.137988]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.30071,14.7504,22.2464,27.6964,25.5685,20.3171,16.0689,14.1386,8.81982,6.10361]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1474, 263, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.164304,0.48717,0.507005,0.411797,0.463959,0.382556,0.293291,0.262616,0.150602,0.162121]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.68576,4.91335,5.77462,7.08763,7.2662,6.4184,5.41168,4.52073,3.32755,2.3275]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.171513,0.322912,0.44213,0.420351,0.38836,0.350343,0.296129,0.32385,0.242242,0.2411]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.9767,19.7674,25.6936,31.5399,29.956,27.3281,23.5055,21.1521,14.771,10.5587]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1475, 264, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.197325,0.463794,0.55183,0.378118,0.408104,0.371022,0.316725,0.293359,0.238301,0.248531]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.26074,4.61267,6.26249,6.57826,6.32628,6.18262,5.88785,4.98857,5.15733,3.53396]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.123764,0.190791,0.276538,0.246778,0.288161,0.284853,0.290055,0.288646,0.289434,0.275708]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.2294,12.0122,16.3215,18.6003,22.0722,22.4329,23.485,19.089,17.3425,12.2635]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1476, 44, 203, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[49.5474,48.4842,46.7724,45.6997,44.7651,44.2907,42.5163,40.9835,39.4266,35.9329]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[64.6764,63.1852,61.9192,59.9586,58.7701,56.9137,55.8662,53.0255,50.1895,46.789]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1477, 152, 203, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[92.7022,153.872,90.4945,65.3646,48.8209,26.4924,10.5908,4.19373,1.96184,0.87683]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[148.119,271.888,171.034,122.3,87.3369,47.5635,20.0176,7.64811,3.43038,1.75015]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1478, 154, 203, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1770.93,1990.97,2155.3,2296.85,2386.66,2469.72,2536.84,2556.1,2506.9,2260.07]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1087.47,1239.17,1348.97,1441.34,1487.09,1529.95,1559.28,1567.18,1525.03,1359.14]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1479, 157, 203, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[53.0919,51.8207,50.8559,50.3712,49.614,47.8166,47.1619,44.9652,43.4635,41.4688]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[185.467,182.752,179.573,175.738,172.207,166.866,161.22,155.158,148.353,140.251]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1480, 158, 203, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[182.904,17.5022,2.78305,1.34757,0.594802,0.224377,0.065656,0.0169493,0.00221917,0.000732254]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[430.881,48.81,11.4568,5.81987,2.63947,1.04593,0.351831,0.0933363,0.0227554,0.00415902]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1481, 198, 203, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1507.7,1479.51,1594.3,1920.78,2241.68,2513.41,2722.51,2808.69,2886.62,2955.52]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1365.32,1432.21,1601.7,1912.01,2217.14,2468.48,2671.1,2781.83,2878.68,2957.25]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1482, 207, 203, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.25388,1.23262,1.23046,1.2063,1.18512,1.16516,1.15255,1.13757,1.12575,1.10945]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.61505,1.55585,1.55839,1.56283,1.53188,1.49519,1.45756,1.44932,1.40794,1.39555]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1483, 225, 203, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[69.5327,80.8381,110.026,140.293,172.553,204.197,255.539,346.275,453.549,677.732]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[86.0716,102.556,136.544,173.843,211.379,249.847,309.886,407.982,517.871,768.247]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1484, 232, 203, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.19536,1.14125,1.13959,1.21708,1.3276,1.49198,1.71831,2.07804,2.60284,3.30456]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.30162,1.23017,1.22038,1.28682,1.40444,1.59707,1.86021,2.26099,2.82234,3.56909]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1485, 233, 203, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.7966,31.6434,65.6178,126.499,199.651,250.092,288.493,330.95,389.796,485.745]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.5397,30.1976,63.8859,125.794,200.946,253.324,291.082,329.908,380.712,461.702]}', 2010, '', 1, '', '', '2014-05-28 18:11:25', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1486, 301, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000165053,0.000179139,0.000312252,0.000415284,0.000606588,0.00109719,0.00168761,0.00313526,0.00420653,0.00811433]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.159197,0.185863,0.20806,0.232179,0.258008,0.281384,0.305509,0.327172,0.349578,0.371865]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000267047,0.000373038,0.000447802,0.0005715,0.000849774,0.00156462,0.00215185,0.00435224,0.0063586,0.0129521]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.168061,0.192666,0.214066,0.235286,0.257454,0.278465,0.300517,0.318468,0.339174,0.355429]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1487, 302, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.47415e-5,5.94406e-5,0.000103215,0.00013767,0.000200832,0.000362303,0.000557821,0.00104072,0.00138722,0.00268814]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0526693,0.0614458,0.0688443,0.0768404,0.0853636,0.0931112,0.101014,0.108225,0.11574,0.122906]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.83909e-5,0.000123386,0.000148323,0.000188706,0.000281773,0.000517589,0.000714381,0.00143932,0.002094,0.00428921]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0554703,0.0635806,0.0706901,0.077757,0.0849275,0.0919906,0.0992696,0.105169,0.112121,0.117396]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1488, 303, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000110557,0.000119961,0.000209512,0.000278236,0.000406646,0.000736518,0.00113229,0.00209921,0.00282554,0.00543805]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.106763,0.124691,0.139523,0.15568,0.173025,0.188688,0.204947,0.219428,0.234354,0.249506]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000179047,0.000250205,0.000300141,0.000383648,0.00056927,0.00104933,0.0014407,0.00291936,0.00427402,0.00868221]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.112842,0.129371,0.143695,0.157877,0.172909,0.186889,0.201693,0.213771,0.227556,0.23856]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1489, 310, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0499659,0.0318902,0.0318847,0.0328143,0.0298677,0.0442,0.0515355,0.0789539,0.0990179,0.158306]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00099926,0.0082903,0.00852084,112.129,6.59355,0.00808235,0.00836755,0.118493,0.14234,0.227937]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0522347,0.0415412,0.0383575,0.0370424,0.0354576,0.0442597,0.0615355,0.0803761,0.125534,0.157024]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[48.7242,37.1578,32.4771,31.318,31.6555,30.2684,28.497,37.9169,34.0636,21.4987]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1490, 284, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0499659,0.0318902,0.0318847,0.0328143,0.0298677,0.0442,0.0515355,0.0789539,0.0990179,0.158306]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00099926,0.0082903,0.00852084,112.129,6.59355,0.00808235,0.00836755,0.118493,0.14234,0.227937]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0522347,0.0415412,0.0383575,0.0370424,0.0354576,0.0442597,0.0615355,0.0803761,0.125534,0.157024]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[48.7242,37.1578,32.4771,31.318,31.6555,30.2684,28.497,37.9169,34.0636,21.4987]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1491, 274, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.34149,2.06485,2.60175,2.84761,4.83058,8.87945,13.3459,20.0314,26.2388,33.7075]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[342.969,696.188,666.367,491.894,382.301,289.238,212.396,99.1843,-20.3602,-127.658]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.62078,13.5862,14.7748,14.2314,20.0115,25.8882,34.6283,46.7607,61.779,74.7658]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[876.885,1801.56,1827.85,1491.45,1298.69,1152.24,1064.03,905.706,737.513,594.66]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1492, 275, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.896237,1.05178,1.11647,1.76775,3.95626,7.88519,12.6116,19.3362,25.5184,32.7992]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[132.483,159.5,139.597,110.28,106.217,94.1883,79.0288,19.2021,-64.7573,-150.601]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.17621,8.7418,8.68814,8.71461,15.8961,22.3897,32.2453,44.8821,59.888,72.5401]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[499.487,607.279,587.761,560.292,641.946,714.036,784.88,736.561,639.799,540.517]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1493, 276, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.452907,1.03317,1.52573,1.10777,0.92495,1.14017,0.948193,1.10461,1.27702,1.74652]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[210.492,536.698,526.786,381.629,276.131,195.152,133.517,80.1789,44.6196,23.2356]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.53492,5.06261,6.32246,5.81913,4.34418,3.91017,2.77431,2.46987,2.81722,3.56354]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[377.408,1194.3,1240.12,931.209,656.813,438.333,279.319,169.335,97.9551,54.4637]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1494, 277, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[-0.0639311,-0.09462,-0.100494,-0.0772927,-0.0495233,0.0980436,0.466297,1.02738,2.06531,3.03611]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[196.45,228.597,257.058,291.647,327.63,363.122,419.515,446.084,431.935,321.001]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.57802,3.77903,4.38822,4.66824,4.88567,5.27061,6.23231,8.34626,12.062,17.2102]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[200.808,254.258,333.202,409.097,464.01,518.165,573.064,618.92,646.959,595.15]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1495, 278, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0354375,0.049107,0.0630239,0.0809806,0.100028,0.221057,0.528081,0.937087,1.70503,2.46582]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0271525,0.0400664,0.0516254,0.0638776,0.0757691,0.136246,0.317017,0.474951,0.747625,0.969953]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.106181,0.17041,0.156201,0.15295,0.259464,0.606612,1.49484,3.25846,6.28667,10.92]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0982254,0.102806,0.099741,0.112591,0.202686,0.389812,0.721193,1.4234,2.65206,3.89576]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1496, 279, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00723109,0.00878149,0.00785773,0.00932614,0.0155227,0.0258477,0.0508026,0.0819046,0.110519,0.104924]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[36.7891,37.5791,32.8315,27.7576,25.7808,25.2613,27.0206,27.3097,25.4634,17.3923]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00879845,0.0141898,0.0156671,0.020178,0.0278439,0.0338576,0.0600282,0.0881513,0.130046,0.170841]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[29.5948,29.2441,26.1971,24.4314,23.3109,23.0609,23.5071,23.8068,24.0668,20.1307]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1497, 280, 203, '', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.46304,3.59443,4.20377,4.47679,4.55597,4.54518,4.45313,4.36472,4.1554,3.16796]}', '', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1498, 313, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.14099,3.7939,3.98522,4.07141,4.15886,5.63607,6.45068,6.96811,7.86048,7.30506]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[338.979,431.356,465.674,495.384,517.518,531.688,529.365,514.637,484.362,416.886]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.723675,1.45215,1.48002,1.35055,1.64371,1.96538,2.29336,2.54146,2.84022,2.5989]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[106.262,120.797,119.64,117.189,119.43,123.711,127.511,119.904,105.879,83.9523]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1499, 314, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.551862,0.73984,0.726654,0.769221,0.781437,1.11902,1.33452,1.48349,1.69465,1.5502]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[169.407,184.165,187.289,189.047,191.522,194.511,195.855,189.989,177.374,149.786]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.723675,1.45215,1.48002,1.35055,1.64371,1.96538,2.29336,2.54146,2.84022,2.5989]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[106.262,120.797,119.64,117.189,119.43,123.711,127.511,119.904,105.879,83.9523]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1500, 304, 203, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.255962,0.4174,0.690282,1.57908,3.11992,5.46702,8.59092,14.2773]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.1968,21.1113,28.1779,36.1854,48.4462,65.7746,87.6296,108.457]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.574299,0.900494,2.21044,4.66224,9.02794,16.5709,27.987,43.1551]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.5934,27.5219,36.6687,47.2986,62.5198,84.482,112.144,137.27]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1501, 307, 203, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00137481,0.00178021,0.00373499,0.010859,0.0319394,0.0873527,0.213245,0.454617]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0031098,0.00434303,0.0101061,0.0201949,0.0535939,0.154883,0.375522,0.918906]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1502, 309, 203, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.102807,0.177404,0.35806,0.914466,1.66162,3.07618,5.00187,7.63151]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.58991,6.00471,10.511,14.1877,10.462,16.2546,21.9231,30.2251]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0475745,0.10299,0.362485,1.01617,2.78591,6.14098,11.5143,19.7188]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.635049,1.79094,4.06357,5.92131,10.7189,17.9831,28.9549,41.0112]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1503, 305, 203, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0153812,0.0291906,0.112973,0.411924,1.21276,2.22678,3.67387,5.16395]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00601568,0.0131049,0.0443163,0.148472,0.460391,0.787777,1.18574,1.69942]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0251632,0.0401409,0.14397,0.551086,1.7106,3.9525,7.40682,12.7725]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0118564,0.0126554,0.0466076,0.199924,0.541283,1.29739,2.46192,3.60371]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1504, 308, 203, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0874263,0.148213,0.245087,0.502542,0.448862,0.849404,1.328,2.46757]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.58389,5.99161,10.4667,14.0392,10.0016,15.4668,20.7374,28.5257]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0224112,0.0628488,0.218515,0.465081,1.07531,2.18848,4.10747,6.94626]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.623192,1.77829,4.01697,5.72139,10.1776,16.6857,26.493,37.4075]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1505, 271, 203, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0417184,1.29423,2.19667,7.49978,18.8001,33.104,55.4542,81.7944]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.68918,128.416,206.588,502.023,686.167,856.192,1088.07,1279.07]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0815163,2.63241,6.08194,18.6377,43.2888,85.6326,153.093,250.168]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.07442,256.633,329.824,671.724,879.415,1069.93,1331.89,1592.53]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1506, 272, 203, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0417184,0.0674676,0.116283,0.187428,0.286952,0.531666,0.912881,1.69846]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.68918,2.57554,3.62239,3.66519,4.21606,6.41769,9.66317,13.3767]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0815163,0.127353,0.267281,0.422096,0.710868,1.45708,2.57408,4.26868]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.07442,3.23241,4.04505,4.23883,5.23353,8.36804,12.1351,16.3274]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1507, 265, 203, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.227125,0.292772,0.623269,0.842537,2.44077,4.01606,8.62282,15.9077]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[86.7874,144.74,245.143,347.665,465.993,581.225,746.458,917.5]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.415174,0.589002,1.87837,3.7412,9.18292,16.5305,33.5523,52.8652]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[100.701,172.26,289.635,425.015,601.404,776.186,1009.8,1226.82]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1508, 266, 203, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.228586,0.31375,0.656565,1.39626,3.46648,6.26019,11.6935,21.9427]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.3549,18.0714,33.6752,46.8151,88.4204,126.961,194.312,240.875]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.665659,1.09174,3.45709,7.21339,15.2672,27.9534,47.1685,71.8365]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.6737,30.2562,55.8409,78.4072,122.229,174.386,236.255,289.865]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1509, 267, 203, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.140299,0.224014,0.797628,1.59752,5.94576,9.90388,21.6953,37.7166]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.49588,9.21552,35.5061,46.0472,135.753,183.745,353.322,449.727]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.48869,2.13991,5.24,10.3547,23.8296,42.3211,86.4384,136.97]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[43.1252,62.3698,99.2479,131.228,232.826,330.428,571.464,755.032]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1510, 268, 203, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.389749,0.583715,1.61673,2.86357,7.61949,12.8161,26.2776,44.8694]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[74.4687,109.752,302.915,392.921,733.174,864.628,1191.39,1375.33]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.23669,1.77796,5.12152,10.3977,22.1673,41.1209,75.8413,119.486]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[166.547,242.114,443.35,657.176,925.483,1196.54,1453.46,1681.57]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1511, 286, 203, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.974922,1.85314,3.06744,7.23646,14.6596,26.1056,42.5966,69.7809]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[73.2509,117.609,186.26,260.055,349.194,459.199,594.663,733.68]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.09863,3.4406,8.88984,19.7399,41.8895,80.4895,142.272,224.91]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[92.3773,152.469,235.085,334.689,462.788,623.412,831.634,1035.28]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1512, 287, 203, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.376344,0.74632,1.26352,3.02067,6.24166,10.9349,16.6823,23.9266]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.934,21.4955,31.5638,42.9308,63.1218,90.4663,127.034,147.764]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.918632,1.4274,3.59862,8.25963,17.7974,33.5443,56.6636,80.1745]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.6819,33.6427,48.5587,66.1196,96.4329,138.882,196.858,231.939]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1513, 288, 203, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.324327,0.641924,0.990828,2.22243,4.1039,7.0408,10.3524,16.533]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.9972,19.9489,29.0941,39.6174,58.0124,83.4904,117.942,149.366]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.739013,1.14064,2.7656,6.0259,12.0469,21.615,35.3771,51.916]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.5501,28.6424,41.0984,56.0244,81.4519,117.367,166.771,210.738]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1514, 289, 203, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.160465,0.264344,0.399376,0.835304,1.45745,2.30228,3.21721,5.0946]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.5618,36.7872,54.2523,71.4493,86.7521,99.0943,111.02,118.144]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.363536,0.561189,1.34066,2.71096,4.99736,8.1881,12.5355,17.2583]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.8934,44.5846,66.1639,90.0857,113.366,132.679,149.588,157.43]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1515, 290, 203, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.325592,0.431594,0.728907,1.54525,3.01362,5.5199,9.33074,17.6596]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.5119,23.6496,34.8899,48.7417,70.9435,101.904,137.483,168.868]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.797901,1.32515,3.33183,6.89713,13.6517,25.2734,43.4942,66.6917]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.2237,33.062,47.7132,66.3639,95.3731,136.339,184.821,227.396]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1516, 291, 203, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0247935,0.078323,0.118394,0.34568,0.694251,1.17019,2.01878,2.59939]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0326705,0.0924826,0.223066,0.588143,1.07899,1.7489,2.67744,3.89163]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0433619,0.0701902,0.204297,0.342865,0.726566,1.43675,2.94124,5.3997]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0529373,0.104468,0.300866,0.635405,1.08228,2.02475,4.25482,6.83372]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1517, 292, 203, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00854413,0.0273683,0.0416417,0.122312,0.248221,0.424305,0.743695,0.965425]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.81829,9.61671,15.1005,20.8561,25.3147,28.7844,32.3692,35.9902]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0172748,0.027346,0.0784922,0.132283,0.282731,0.564061,1.15565,2.14156]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.57681,12.7388,20.0783,28.5143,35.8739,41.9888,47.3009,51.3264]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1518, 293, 203, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.106942,0.168458,0.284533,0.673999,1.30619,2.15215,3.3546,5.38326]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.4876,36.1255,57.021,81.0784,100.649,113.917,125.56,136.461]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.307806,0.513912,1.31292,2.71942,5.25089,9.06761,14.5993,21.4214]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[30.1001,50.5459,78.4464,112.352,143.643,169.486,190.85,207.151]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1519, 294, 203, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.104306,0.151756,0.0828148,0.111732,0.142959,0.223571,0.362111,0.59703]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.90289,14.8534,17.6785,20.9933,21.091,24.9251,27.4177,30.8233]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0623555,0.0740185,0.142899,0.21732,0.323413,0.551118,0.914272,1.32586]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.1963,14.9069,20.3252,23.7228,25.9712,30.9194,34.9452,37.7959]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1520, 295, 203, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.14097,0.218907,0.341938,0.766273,1.41651,2.32265,3.65379,5.47432]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.23834,8.2031,11.6203,15.6541,21.4721,28.1225,34.4297,38.2467]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.355048,0.566001,1.37848,2.66156,5.01726,8.69103,14.1222,20.5875]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.8897,12.421,17.2899,23.1672,31.5473,41.9125,53.2504,60.9707]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1521, 296, 203, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0195374,0.0591003,0.0868619,0.248583,0.486958,0.809854,1.38259,1.74563]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0248274,0.0702113,0.162765,0.426732,0.761618,1.21677,1.8161,2.62545]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0424617,0.0646598,0.178062,0.298946,0.627228,1.34174,3.02202,6.24494]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0567721,0.101324,0.267697,0.57671,1.14991,3.04471,8.23359,16.6171]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1522, 297, 203, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.210518,0.278511,0.467009,0.984076,1.89221,3.37013,5.53126,10.1492]}', '', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.512815,0.847503,2.11714,4.35707,8.48023,15.2939,25.5081,37.8794]}', '', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1523, 298, 203, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.113538,0.148206,0.245885,0.511968,0.975809,1.73726,2.84556,5.21602]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.08218,8.1215,11.7725,16.1029,22.9419,32.0759,41.9681,49.8862]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.278802,0.454238,1.12238,2.28727,4.42147,7.95172,13.2653,19.6658]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.05885,11.3408,16.0843,21.9317,30.8214,42.8238,56.2631,66.9072]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1524, 299, 203, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.111199,0.147634,0.248323,0.525294,1.00058,1.73242,2.76114,4.92847]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.97216,8.09639,11.9199,16.5744,23.5712,32.0184,40.6931,46.9178]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.264845,0.437495,1.09329,2.24954,4.33903,7.6227,12.3914,17.9054]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.74046,10.9732,15.7258,21.6952,30.4339,41.3007,52.9481,61.3663]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1525, 300, 203, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.131526,0.254657,0.63922,1.36937,2.72374,4.93065,8.12393,14.9228]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.199,8.18889,23.7132,33.8357,53.3944,81.7807,116.582,162.635]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.292107,0.570999,1.56448,3.61383,7.65958,14.9708,27.4453,46.3881]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.26941,14.174,25.5349,40.2854,67.0554,105.929,166.103,236.07]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1526, 270, 203, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.628614,1.5789,3.09767,6.47766,12.9659,20.7092,33.4391,52.2694]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[57.4576,95.0217,147.839,208.479,277.445,352.4,443.862,544.446]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.928987,1.48579,3.7712,7.58075,14.8983,27.5666,49.3355,79.7911]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[62.6011,103.769,159.067,224.883,298.527,384.075,486.249,583.248]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1527, 283, 203, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00294807,0.00370964,0.00775899,0.0224055,0.069367,0.184856,0.405596,0.561827]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.56,28.4224,34.0797,40.5672,53.1767,66.8072,77.2697,63.3237]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0125792,0.0183224,0.0423964,0.0849559,0.224307,0.634926,1.48984,2.95139]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[52.509,68.1338,83.3814,99.732,121.289,147.642,177.445,175.233]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1528, 273, 203, '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.22676,2.08038,7.31235,18.5131,32.5723,54.5413,80.0959]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[125.84,202.966,498.358,681.951,849.774,1078.41,1265.7]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.50506,5.81466,18.2156,42.578,84.1755,150.519,245.899]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[253.401,325.779,667.485,874.181,1061.56,1319.76,1576.21]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1529, 269, 203, '{\"age\":[\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.856758,1.71109,2.8306]}', '{\"age\":[\"50-54\",\"55-59\",\"60-64\"],\"number\":[80.5094,144.483,162.609]}', '{\"age\":[\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.40141,3.33572,8.06752]}', '{\"age\":[\"50-54\",\"55-59\",\"60-64\"],\"number\":[101.4,172.885,238.659]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1530, 315, 203, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.76287,3.33109,3.53339,3.59309,3.66389,4.92186,5.58132,5.98066,6.72529,6.25114]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[185.178,268.773,301.407,330.577,351.117,362.504,357.95,347.814,328.275,284.697]}', '', '', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1531, 281, 203, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.21255,11.701,14.784,17.7366,15.6274,18.1713,19.4433,21.2292,13.3259,17.1129]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.1503,22.1498,27.5795,35.0341,31.3437,36.0145,36.4516,38.8796,26.6919,40.5105]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1532, 282, 203, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[152.421,179.277,185.831,217.667,252.066,278.986,319.557,330.263,315.128,222.202]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[156.965,202.761,226.816,281.385,325.771,358.968,391.095,407.168,416.104,355.38]}', 2010, '', 1, '', '', '2014-05-28 18:12:11', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1533, 1, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[91.344,310.847,757.859,1036.2,996.616,872.323,873.093,531.687,403.494,327.367]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[191.959,435.127,1433.5,3270.97,6006.06,5601.46,3442.96,1521.55,940.864,706.401]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[82.4347,156.801,500.049,905.429,1241.74,1228.12,1345.53,1152.39,872.312,792.777]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[218.009,288.916,1002.28,2306.33,4706.65,6094.54,5820.31,3321.38,2746.23,1605.55]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1534, 2, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.1296,47.0903,59.6567,47.2354,47.259,41.7492,43.2978,54.4204,92.1503,112.035]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[26.2564,36.8041,98.2626,150.14,268.258,404.316,399.464,282.707,282.436,212.641]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.4743,50.5498,103.404,122.196,103.774,109.827,133.485,211.985,306.319,426.539]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[66.7351,94.817,304.63,543.067,849.295,1215.81,1498.56,988.602,1015.23,586.813]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1535, 3, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[78.2144,263.757,698.203,988.969,949.357,830.574,829.795,477.267,311.344,215.331]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[165.703,398.323,1335.24,3120.83,5737.81,5197.14,3043.5,1238.85,658.428,493.76]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[71.9604,106.251,396.645,783.232,1137.96,1118.29,1212.04,940.405,565.993,366.238]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[151.274,194.099,697.652,1763.26,3857.35,4878.73,4321.75,2332.78,1731.01,1018.73]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1536, 4, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.1945,68.1003,180.272,255.368,333.276,286.44,216.382,123.227,80.3871,55.5972]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[34.6212,48.9844,132.666,203.196,361.356,541.049,537.228,380.582,380.315,286.027]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.5797,27.4334,102.411,202.226,293.815,294.499,312.965,242.807,146.136,94.5604]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[89.2864,127.342,413.269,732.636,1143.91,1639.04,2018.94,1328,1364.52,785.709]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1537, 5, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[58.02,195.656,517.931,733.601,616.081,544.134,613.412,354.04,230.957,159.734]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[131.082,349.338,1202.57,2917.64,5376.45,4656.09,2506.27,858.264,278.113,207.733]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[53.3807,78.8177,294.233,581.007,844.149,823.795,899.078,697.598,419.857,271.678]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[61.9872,66.7568,284.383,1030.63,2713.44,3239.69,2302.8,1004.78,366.491,233.025]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1538, 6, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[33.7177,97.107,118.174,89.7739,91.72,87.124,82.3285,93.7847,177.866,244.146]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[351.477,339.36,369.93,391.795,405.93,418.397,443.271,476.866,496.361,588.441]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[35.427,77.03,133.377,142.305,122.799,132.884,143.22,228.959,345.654,478.199]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[380.579,370.735,407.323,434.664,442.219,452.695,462.61,500.21,530.111,659.489]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1539, 7, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.60842,25.1047,36.1817,28.5083,28.9625,30.5106,25.5225,30.081,45.4207,72.215]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[55.0993,62.2252,68.8904,75.4937,81.3435,88.7621,96.477,102.721,110.238,115.728]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.33305,14.7882,30.5157,35.6889,31.7006,37.9584,39.5521,70.2561,104.472,146.735]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[50.935,56.7766,62.2785,67.2797,72.2081,76.9605,81.7572,87.6137,92.7555,96.7509]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1540, 8, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.63492,7.37118,5.32228,3.19392,2.82522,2.38127,2.12366,2.30299,2.98983,2.75456]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.89852,4.58783,4.18353,3.6542,3.37767,3.0229,2.76246,2.44379,2.26457,1.92548]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.00935,9.26007,8.26897,5.71502,3.62588,3.07484,2.71806,3.38596,3.71733,3.59066]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.30205,5.99854,5.49958,4.89223,4.44106,3.90442,3.45071,3.12902,2.85999,2.41447]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1541, 9, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.2684,49.3394,59.4891,45.7741,48.0522,43.8374,46.2273,53.0594,119.389,155.635]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.7252,11.7775,12.9094,14.5648,15.5826,16.8553,21.5949,30.9319,39.9055,48.5772]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.2798,41.0234,73.7386,80.3692,69.918,74.9063,84.595,131.975,215.224,302.157]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.9607,12.0136,13.5901,15.2233,16.6643,17.8309,22.6952,33.3151,42.8169,52.2122]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1542, 10, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0142531,0.0434688,0.0739195,0.0713892,0.0416863,0.0215122,0.0220258,0.0287794,0.0662882,0.0599498]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[54.7635,36.9905,42.2015,47.9246,51.4501,57.7647,55.6833,44.2929,32.6591,20.9632]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0142638,0.0361424,0.0916255,0.125344,0.0606555,0.0367586,0.0403068,0.0715828,0.119498,0.116389]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[55.0105,39.649,44.126,49.2566,52.2642,57.3214,55.0839,44.1353,33.4909,22.5933]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1543, 11, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.028074,0.0274821,0.0233675,0.0192632,0.0221961,0.0244411,0.0390854,0.0746351,0.0876458,0.116247]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[116.626,112.325,120.637,121.615,118.132,108.727,109.865,119.307,118.193,152.392]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0310503,0.0268446,0.0283616,0.0269464,0.0220649,0.0242211,0.0382873,0.0861181,0.0842853,0.119333]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[136.204,132.327,144.182,147.671,138.525,128.057,119.578,128.988,133.471,187.019]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1544, 12, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.97935,10.5031,11.4223,8.02183,7.7467,7.08972,6.05382,6.16447,7.58433,10.7852]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[104.709,108.45,117.537,124.288,131.322,137.815,150.674,169.72,184.412,239.442]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.49037,8.24995,13.9765,13.4865,11.5353,11.6278,11.8103,17.5078,17.043,20.6212]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[116.529,120.766,133.982,145.751,152.857,162.479,173.113,194.615,214.8,287.87]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1545, 13, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.68006,3.85455,4.38173,3.02207,2.85888,2.55463,2.12126,2.10186,2.50437,3.43811]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[36.7993,39.981,44.1783,46.76,49.5005,51.6524,55.8361,61.1795,64.7969,77.8665]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.85453,3.03648,5.36452,5.08864,4.2689,4.19972,4.15696,5.98646,5.63799,6.58723]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[40.9021,44.8346,50.7037,55.5226,58.0584,61.519,64.7949,70.8787,75.8542,93.8038]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1546, 14, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.972845,1.11358,0.594108,0.457469,0.491388,0.508263,0.48414,0.543331,0.725466,1.13938]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.9423,23.6165,22.0129,21.7403,21.6959,22.002,22.5533,24.2402,25.7553,31.6236]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.07419,0.882611,0.736988,0.785075,0.740102,0.833107,0.936523,1.53595,1.6303,2.19205]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.6063,22.4426,20.8075,21.0193,21.0716,21.5081,22.2821,24.1652,26.5903,34.6951]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1547, 15, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.27108,2.78836,3.08255,2.11217,1.98736,1.77022,1.46949,1.43723,1.69898,2.3177]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.4241,20.7239,23.4179,25.4069,27.1163,28.5962,32.2039,37.5563,41.9337,60.0443]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.40115,2.18302,3.75888,3.54304,2.96209,2.89509,2.86121,4.09218,3.81852,4.42218]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.7104,25.4146,28.7758,31.6935,33.2492,35.2336,37.8057,44.1583,49.9961,73.5221]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1548, 16, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.05535,2.74658,3.3639,2.43012,2.40907,2.25662,1.97894,2.08205,2.65552,3.89]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.9266,23.1653,26.7765,29.2131,31.7296,34.0468,38.4339,45.1298,50.3899,68.3517]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.1605,2.14784,4.11612,4.06972,3.56417,3.6999,3.85558,5.8932,5.95616,7.41977]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.0192,25.854,31.147,34.7787,37.3931,40.6536,44.4279,51.886,59.033,82.7382]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1549, 17, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.36505,3.95292,5.21391,3.93699,3.86491,3.09925,2.20088,1.91025,2.02189,2.45996]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.57351,1.98929,2.59943,3.17403,3.53612,4.14989,4.69679,5.34918,5.8466,6.25828]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.50515,3.10493,6.37983,6.61895,5.75506,5.08306,4.29365,5.42531,4.54346,4.70343]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.50895,2.14941,2.64572,3.45145,4.01598,4.76845,5.37136,6.2168,6.91139,7.32884]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1550, 18, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.00890407,0.0145188,0.0162541,0.0107612,0.0103811,0.00743828,0.00905594,0.0106367,0.0137113]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.00138219,0.000390582,0.000413792,0.000253683,0.00141655,0.00152556,0.000512552,0.000535937,0.000405549]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.00886181,0.0109025,0.0158867,0.0144945,0.0112174,0.00959716,0.0131427,0.0188594,0.021329]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.00114749,0.000411848,0.000525654,0,0.00125252,0.00207669,0.000713985,0.00176447,0.000382272]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1551, 19, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0162545,0.0341123,0.0456377,0.0351958,0.0322279,0.0288321,0.0242137,0.0213214,0.0989152]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0211942,0.0383634,0.060929,0.0798068,0.0737727,0.0656612,0.0608039,0.0506234,0.184557]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0165079,0.0258509,0.0444159,0.0461694,0.0324117,0.0358158,0.0354091,0.0377018,0.154614]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0306884,0.0350898,0.0468583,0.0746032,0.0653798,0.0885103,0.0798931,0.0795346,0.296335]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1552, 20, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0165835,0.0458766,0.0617099,0.0527346,0.0555211,0.0456523,0.0440359,0.056692,0.0944833,0.0627509]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0010675,2.06619e-5,0.00314966,0.000949869,0.00232702,0.0011189,0.000871455,0,0.00153715,0.00139196]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0164701,0.0344406,0.0601859,0.0711004,0.0599602,0.0592801,0.0652757,0.102139,0.147801,0.0965236]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000723917,0,0,0.00186948,0.00227397,0.000820381,0.00158345,0,0.0027205,0.00186896]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1553, 21, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.764296,0.649966,0.300828,0.126944,0.0859348,0.0625422,0.0445757,0.0461264,0.0583773]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0891288,0.0418608,0.025473,0.0169861,0.0113707,0.00887791,0.0043338,0.00667439,0.00450461]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.707405,0.449303,0.229888,0.111115,0.0569955,0.052511,0.0417338,0.0598531,0.0878581]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0570709,0.044536,0.0229043,0.0137533,0.00580547,0.00787971,0.00788753,0.00674374,0.00514481]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1554, 22, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0132199,0.0203371,0.0226033,0.022459,0.0205441,0.0153493,0.0173484,0.0283533,0.0405479,0.0576003]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.96863,0.933622,0.881692,0.982201,1.09728,1.22409,1.45044,2.04251,2.65153,3.15264]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0146605,0.0199136,0.0273851,0.0313657,0.020626,0.0153573,0.0170399,0.0326973,0.0391234,0.0602436]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.03886,0.973979,0.948179,1.04721,1.16918,1.27435,1.47084,2.10929,2.70057,3.29754]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1555, 23, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.5833,58.919,55.6215,41.604,39.6632,41.8629,39.1594,44.1484,60.6832,94.3957]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[625.263,693.842,705.646,719.208,725.998,741.193,778.525,816.116,865.449,958.726]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.2682,47.8799,62.2073,52.8794,42.5863,52.3994,64.9914,83.7004,105.463,127.851]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[628.436,667.284,680.036,701.396,718.651,726.637,831.593,864.063,911.511,944.177]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1556, 24, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.1399,57.9632,54.5827,40.7984,38.7211,41.0821,38.4414,43.2375,59.0639,92.2548]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[35.2717,45.2674,51.478,55.4483,54.2985,58.2299,54.338,52.3245,47.7993,63.6269]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[22.9004,47.1611,61.0744,51.8433,41.7576,51.5573,64.1721,82.5401,103.868,125.877]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.2701,25.3398,31.8862,35.293,40.1269,50.5229,61.9238,61.0014,63.6934,71.5109]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1557, 26, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0021037,0.00767284,0.012785,0.0110949,0.0141073,0.0140418,0.0148762,0.0189262,0.0297456,0.0373516]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[401.444,450.947,445.365,438.216,431.211,427.766,420.482,420.964,438.324,457.619]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000990547,0.00270818,0.00586108,0.00703675,0.00714137,0.00849826,0.0102807,0.0159797,0.0217637,0.0272448]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[286.841,300.25,285.014,273.614,262.835,250.982,241.474,231.934,222.262,211.565]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1558, 27, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0270402,0.0679738,0.0840547,0.0677292,0.0689631,0.0745783,0.0855988,0.119134,0.20004,0.241886]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.294,21.5841,21.3837,20.6483,19.8828,19.8691,19.8435,20.0372,20.1123,19.5945]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0299707,0.0663531,0.101751,0.0946797,0.0692812,0.0747104,0.0860626,0.137229,0.195972,0.251758]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[26.7281,34.9807,35.0708,34.518,34.0383,34.0396,34.8114,35.8645,36.5255,36.4267]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1559, 28, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00213531,0.00418163,0.00446538,0.00398265,0.00491818,0.00604079,0.00843532,0.0107801,0.022946,0.0302006]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.71045,2.20812,2.7098,3.30679,3.9265,4.41884,5.22096,6.02419,6.86336,7.80265]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00236272,0.00407702,0.00541481,0.0055631,0.00492694,0.00604084,0.00850067,0.0124696,0.022402,0.0312103]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.10848,1.4465,1.77127,2.18537,2.54915,2.91493,3.28187,3.82126,4.38731,4.88282]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1560, 29, 237, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.00157,7.33877,19.9536,29.4402,41.9295,68.7337,101.985,136.134,181.98]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.425511,3.16818,9.80809,15.4001,20.6161,30.1962,57.5469,96.0561,134.645]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1561, 30, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01917,0.0419664,0.0566285,0.0492035,0.0843659,0.0485873,0.0519112,0.0455862,0.0792006,0.130918]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0259051,0.0438845,0.0417748,0.0561218,0.02968,0.028448,0.030349,0.0497094,0.0656671,0.082614]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1562, 31, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.1791,0.37928,0.450324,0.302138,0.322189,0.245344,0.188464,0.221865,0.461861,0.600399]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0030169,0.00193273,0.000919612,0.00477207,0.00415055,0.00277012,0.000956069,0.000933327,0.00410814,0.00694942]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.153779,0.27404,0.438894,0.309956,0.236105,0.275909,0.217186,0.305297,0.450741,0.419605]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0.00177701,0,0.00164467,0.000784117,0,0.00239114,0.0029224,0.00435834,0.00357492]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1563, 32, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00280259,0.00304534,0.00197858,0.00178587,0.00144721,0.00163062,0.00146807,0.00235109,0.0044189,0.00716387]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[120.467,119.175,119.363,118.383,118.257,118.848,117.775,117.893,115.073,113.598]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00362847,0.00347562,0.00279191,0.00290929,0.00169115,0.00190139,0.00171087,0.00317385,0.0050546,0.00869458]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[117.13,111.57,109.915,109.351,110.751,110.096,111.692,113.384,115.808,116.571]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1564, 33, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00280259,0.00304534,0.00197858,0.00178587,0.00144721,0.00163062,0.00146807,0.00235109,0.0044189,0.00716387]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.387927,0.383619,0.378901,0.378085,0.37739,0.376923,0.364199,0.375921,0.356641,0.359684]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00362847,0.00347562,0.00279191,0.00290929,0.00169115,0.00190139,0.00171087,0.00317385,0.0050546,0.00869458]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.379964,0.368214,0.375147,0.368154,0.377602,0.367983,0.36867,0.37538,0.362419,0.348303]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1565, 34, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[31.3766,31.0899,30.8946,30.4689,30.1601,30.0586,30.1022,30.0779,29.8226,29.5529]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[31.5432,31.2223,31.0377,30.6678,30.4218,29.9905,29.8036,29.9171,29.7999,29.3273]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1566, 35, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[88.7024,87.7011,88.0891,87.5365,87.7199,88.4125,87.3084,87.4393,84.8934,83.6859]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[85.2071,79.9791,78.5017,78.3149,79.9516,79.7378,81.5195,83.0914,85.6452,86.8957]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1567, 36, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.204376,0.439915,0.417824,0.362027,0.438594,0.383859,0.361478,0.487088,0.815882,1.08953]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.4344,15.022,14.5488,15.1092,17.7207,17.2004,17.2017,19.5995,21.7124,33.5911]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.144041,0.313246,0.523652,0.549462,0.472668,0.44018,0.45959,0.630569,0.828011,1.14905]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[31.6059,24.823,23.2254,26.07,28.6573,27.4458,30.3278,32.0249,36.5663,25.6263]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1568, 37, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.939,67.2203,65.6394,66.2633,37.1639,27.8947,30.1064,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.6947,73.3822,135.521,171.019,196.483,256.16,326.96,193.59,96.9222,12.4007]}', '', '', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1569, 38, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[2.8931,10.2643,11.1869,12.4659,7.72515,6.35559,7.47214]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[1.91173,3.84426,5.55252,4.91403,2.5319,0.7123,0.054351]}', '', '', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1570, 39, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[2.27281,7.16126,5.95239,4.99284,2.51864,1.67989,1.58527]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[0.698978,1.85903,2.10075,1.21852,0.523561,0.303263,0.111748]}', '', '', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1571, 40, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[1.10687,3.00853,2.50953,2.11661,1.17226,0.870319,0.930678]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[2.39027,8.26364,10.0056,5.70292,2.54397,1.54599,0.575557,0.00033743]}', '', '', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1572, 41, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[0.402234,2.12674,1.80049,1.55006,1.01087,0.867191,1.05626]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.7027,38.8945,79.8205,110.6,135.549,182.507,236.561,193.589,96.9222,12.4007]}', '', '', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1573, 42, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[5.81895,18.998,18.2785,18.1682,9.64364,6.82348,6.90824]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[0.479641,0.931432,1.13816,1.07311,0.917012,0.47163,0.110055]}', '', '', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1574, 43, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[7.445,25.6614,25.9116,26.9696,15.0934,11.2983,12.1538]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[6.51138,19.5893,36.9034,47.5101,54.4179,70.6203,89.548]}', '', '', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1575, 45, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[54.2498,54.1384,51.9841,50.5251,48.3751,47.7747,47.0406,45.5342,44.1626,42.5324]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[66.7851,65.3196,64.4212,62.6167,60.578,59.0968,56.9393,55.599,53.1608,51.0353]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1576, 46, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[227.301,214.159,201.163,188.274,174.454,165.201,156.583,144.138,129.953,113.2]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[326.265,310.082,292.36,276.271,256.129,238.83,223.289,207.75,186.679,161.781]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1577, 49, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.4398,11.0548,8.72626,6.10815,7.01384,7.54808,10.2682,9.12106,21.3335,33.7983]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1016.11,1052.29,998.556,978.072,998.856,1016.89,942.636,966.897,878.305,883.085]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.12539,7.48049,7.49289,7.01494,6.2038,8.05839,10.9069,19.9307,32.8665,54.5298]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[618.553,480.198,420.811,427.755,464.914,476.28,517.535,568.61,636.977,709.841]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1578, 50, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.15615,2.21188,1.97146,1.83793,2.75769,3.26838,4.91688,4.75396,11.3598,18.7257]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.41533,0.853728,0.795012,0.663748,0.94008,1.17013,1.65403,1.59087,3.90041,8.13535]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.33468,1.49672,1.69281,2.11078,2.43919,3.48935,5.22273,10.388,17.5009,30.2118]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.574312,0.912421,0.860038,0.909299,0.900616,1.11248,1.62095,2.42515,4.82784,9.23132]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1579, 51, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.15313,4.45156,3.29547,1.68216,1.2663,1.19606,1.16267,0.668799,1.15842,1.26435]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[95.4161,110.232,105.455,100.584,95.2205,90.9286,87.5102,85.3379,82.724,79.3997]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.3312,3.01225,2.82969,1.93189,1.12005,1.27692,1.235,1.46141,1.78467,2.03989]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[56.2609,64.946,62.4918,59.5432,56.4081,53.651,51.2888,49.9689,48.0713,46.4054]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1580, 52, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.8625,7.54254,6.32706,5.98725,4.57775,3.92378,3.2827,2.35431,1.82952,1.49905]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.9739,7.0227,6.02439,6.22523,5.09133,4.16504,2.91108,2.39837,2.23109,1.86594]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1581, 53, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.05852,4.24889,3.32286,2.45804,2.77706,2.79703,3.7695,3.2984,7.86885,12.4045]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[906.3,933.45,885.792,870.674,897.875,920.576,849.809,877.298,789.207,793.245]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.3764,2.87511,2.85321,2.82295,2.45633,2.98613,4.00398,7.20742,12.1228,20.0133]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[548.609,407.171,351.272,360.889,402.299,417.036,461.308,513.121,580.849,651.033]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1582, 54, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0719989,0.142477,0.136473,0.130013,0.212798,0.286608,0.419163,0.399907,0.946427,1.40374]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.116953,0.213828,0.187799,0.163254,0.242513,0.293201,0.379686,0.316631,0.644672,0.805659]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.083117,0.0964103,0.117184,0.149315,0.188221,0.305985,0.445236,0.873848,1.45807,2.26477]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.135556,0.145762,0.162637,0.189038,0.2158,0.314835,0.405751,0.696068,0.998358,1.30541]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1583, 55, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.95321,5.69481,7.97228,5.37695,4.87366,4.8155,4.88327,5.70082,10.515,11.5348]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[48.4549,68.9598,68.0258,63.0095,53.5855,50.648,27.4341,21.9173,19.8911,35.3184]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.83026,4.46836,6.57787,6.46012,4.6711,4.20982,4.48123,7.55791,10.1352,15.312]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[85.5711,104.697,93.4781,81.002,67.5321,57.5397,51.3337,48.947,53.6781,33.3779]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1584, 56, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.354767,1.05397,1.287,1.05496,0.89539,0.807654,0.759048,0.641333,0.639581,0.983159]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[31.4603,52.8037,51.6549,46.3802,37.8769,35.0793,12.1942,6.35071,4.86623,4.47764]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.260875,0.538125,0.884751,1.11051,0.866633,0.904243,0.8913,1.29027,1.39484,2.22535]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[46.0147,74.6498,65.2532,50.7198,35.8709,24.1437,13.2983,4.7307,4.30826,4.63699]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1585, 57, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0197671,0.0510862,0.0668043,0.0521516,0.0498511,0.0512202,0.0415268,0.056941,0.13846,0.21305]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.401069,0.968157,1.47377,1.76921,1.92792,2.19095,2.41694,2.57026,2.74294,3.03628]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.260875,0.538125,0.884751,1.11051,0.866633,0.904243,0.8913,1.29027,1.39484,2.22535]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.605993,1.55798,2.32546,2.71179,3.09618,3.38169,3.70637,3.91167,4.28512,4.61574]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1586, 58, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0780459,0.234663,0.283867,0.233088,0.196262,0.176039,0.168103,0.137019,0.11811,0.190204]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.57631,9.76802,9.43987,8.35881,6.77046,7.12802,1.37902,0.603382,0.253021,0.124833]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[31.2067,50.2867,40.8452,27.1493,14.3318,8.68272,4.16262,0.502401,0.0182287,0.0149986]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1587, 59, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0586586,0.175872,0.214049,0.174234,0.146674,0.13019,0.123803,0.102024,0.0890928,0.132532]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.44274,7.63246,8.2299,8.64163,8.04979,7.09301,2.0093,0.47242,0.211138,0.100595]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.2019,22.8051,22.0826,20.8587,18.443,12.0793,5.42932,0.316635,0.00491458,0.00625483]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1588, 60, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.7649,29.6198,25.3596,18.8041,12.174,8.12039,4.48777,1.43391,0.95911,0.913063]}', '', '', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1589, 61, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.198295,0.592354,0.722283,0.595488,0.502603,0.450206,0.425615,0.345349,0.293919,0.447373]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.27523,4.81533,7.1517,8.80647,8.95476,10.5469,1.90118,1.27074,0.700022,0.302869]}', '', '', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1590, 62, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.13157,3.45598,4.90303,2.8473,2.72331,2.80281,2.78307,3.59075,6.95163,6.60146]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.02691,5.06572,5.92045,5.91066,4.81095,4.52683,4.62714,4.86359,5.26244,5.31095]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.10321,2.77606,3.90268,3.20653,2.38904,1.82681,1.62679,2.06339,3.17622,6.81171]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.10647,4.97721,6.47381,6.8475,6.254,6.1173,6.20567,6.35128,6.72718,6.6222]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1591, 63, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0833519,0.285045,0.547009,0.508201,0.488812,0.490073,0.892224,0.937666,2.38025,2.80226]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.649063,1.30964,2.27615,2.3518,1.30069,0.671342,0.176551,0.0103826,0.00701647,0.00988686]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.331672,0.766119,1.18323,0.826104,0.732414,0.45992,0.382854,0.4906,0.803121,1.91167]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.689042,1.38144,2.47041,2.49716,1.48964,0.745541,0.21355,0.00921772,0.00699868,0.00703323]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1592, 64, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.231755,0.736806,1.62776,1.25593,1.58702,1.94847,1.7304,2.43156,4.18222,3.55881]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.7396,2.40868,2.48197,2.53461,2.57514,2.858,3.48029,4.06898,4.60245,4.66517]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.237974,0.995273,1.8357,1.95471,1.43638,1.25563,1.17958,1.50051,2.28113,4.7119]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.9812,2.3524,2.82957,3.23752,3.63922,4.12513,4.79152,5.36659,5.89904,5.84765]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1593, 65, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0111312,0.0512392,0.0872763,0.104148,0.134099,0.123931,0.10802,0.17177,0.313561,0.202448]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.251155,0.319307,0.380007,0.432647,0.549377,0.837878,0.930053,0.750366,0.628324,0.614938]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00773834,0.0262558,0.0782209,0.080694,0.0729456,0.0626821,0.0523709,0.0595169,0.0759626,0.166124]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.345584,0.377131,0.477499,0.602001,0.784432,1.09649,1.17024,0.949365,0.796878,0.748081]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1594, 66, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.805333,2.38289,2.64098,0.979016,0.513388,0.240332,0.0524235,0.0497543,0.0755974,0.0379416]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.38709,1.02809,0.782323,0.591601,0.38574,0.15962,0.0402518,0.0338662,0.0246563,0.0209525]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.525821,0.988409,0.805531,0.345028,0.1473,0.0485775,0.0119891,0.012756,0.0160115,0.022012]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.09065,0.866246,0.696327,0.510823,0.340705,0.150141,0.0303589,0.0261056,0.0242701,0.0194367]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1595, 67, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00387806,0.00331694,0.00205269,0.00438858,0.00285848,0.00344007,0.00254912,0.00288541,0.00341136,0.00323503]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0023587,0.00252402,0.0030594,0.00274293,0.00254624,0.00438333,0.00278991,0.00234404,0.00251962,0.00392116]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1596, 68, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.466875,1.18485,1.78225,1.47469,1.25496,1.20504,1.34116,1.46874,2.92382,3.9502]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.9638,11.087,10.4484,10.7142,10.8948,11.0384,10.6102,10.7001,9.75897,25.5266]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.466176,1.15418,1.79044,2.14308,1.41543,1.47877,1.96314,4.20425,5.56417,6.27494]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[33.4476,25.0675,21.748,23.4319,25.4046,27.2743,31.8269,37.8626,42.6402,22.1148]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1597, 69, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.73323,7.96089,12.9208,15.4511,30.3627,49.064,80.3412,142.969,293.448,443.731]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.57922,3.39452,6.35081,7.99589,14.5156,23.8552,39.1715,57.0888,102.979,139.251]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.90775,9.55811,14.7938,17.4787,21.3762,32.5331,61.6229,137.144,251.858,412.403]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.47304,2.7768,4.47485,4.97204,5.9402,8.06178,17.0407,38.4013,71.7099,127.06]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1598, 70, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0105632,0.0197508,0.330883,0.116333,0.31387,0.818631,2.07996,5.42305,11.7504,18.8949]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000129149,0.00636256,0.0566919,0.0304096,0.0558792,0.119688,0.335328,0.962464,2.08752,3.23664]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0334129,0.161621,0.434151,0.88907,1.86213,3.9158,9.06966,20.8499,41.4808,62.288]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0130266,0.0432532,0.138325,0.192954,0.372987,0.662379,1.6844,4.0969,7.72054,10.849]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1599, 71, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0191033,0.178179,0.347482,0.314897,0.656583,1.67351,2.21923,5.42191,12.6808,19.2573]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00469581,0.0569503,0.0623404,0.0591512,0.119493,0.320015,0.570082,1.23677,3.11528,4.48138]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.148337,0.252375,0.706088,0.52316,1.22125,2.17649,4.0867,9.72115,17.6701,27.3577]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0361256,0.0516168,0.176829,0.149804,0.297832,0.449214,1.01209,2.31762,4.12102,6.33298]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1600, 72, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.138512,0.236597,0.630818,0.671614,0.818597,1.62007,1.49298,2.47859,6.78822,10.3965]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00793462,0.0167538,0.0851206,0.0711507,0.107945,0.256008,0.255632,0.430623,1.29323,2.0252]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.375258,1.03881,1.57966,2.10744,2.28029,2.91539,3.52514,8.29779,12.2043,16.2098]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0366203,0.10435,0.182006,0.286229,0.304748,0.424484,0.572467,1.31172,2.13006,2.89874]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1601, 73, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0556461,0.0958219,0.256535,0.274203,0.334741,0.661444,0.609546,1.01283,2.77558,4.24725]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00162962,0.0108827,0.0321707,0.0373138,0.0372901,0.118715,0.116163,0.197904,0.579652,0.859505]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.185737,0.512751,0.777174,1.03498,1.12445,1.44937,1.76559,4.18608,6.19106,8.27056]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0186589,0.0424665,0.0841113,0.140658,0.148198,0.207035,0.278775,0.62089,1.11752,1.50139]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1602, 74, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0092546,0.0157365,0.0419414,0.0450931,0.076492,0.255816,0.32097,0.654918,2.09468,3.62944]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000119758,0.000407433,0.00651695,0.00501985,0.00661114,0.033381,0.0436263,0.0995977,0.354692,0.668484]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0190381,0.0527172,0.0799154,0.106685,0.158976,0.34421,0.569894,1.66462,2.88168,4.35241]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00199608,0.00813846,0.0100545,0.0096777,0.0192704,0.0515181,0.0858647,0.280051,0.478953,0.754497]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1603, 75, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00856862,0.0401416,0.148656,0.189707,0.240571,0.435194,0.366193,0.558861,1.40671,1.98444]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000158337,0.000750074,0.0212008,0.0134465,0.0399269,0.0676294,0.0581826,0.085535,0.261462,0.401069]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0202133,0.152929,0.325903,0.520219,0.588423,0.692721,0.773904,1.68304,2.29657,2.82633]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00267861,0.0215551,0.0308957,0.0795385,0.0710725,0.107486,0.110656,0.289839,0.40159,0.50017]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1604, 76, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0650431,0.0848975,0.183686,0.16261,0.166793,0.267615,0.196268,0.251979,0.511249,0.535344]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00602691,0.0047136,0.0252322,0.0153705,0.0241166,0.036282,0.0376599,0.0475864,0.0974268,0.0961459]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.15027,0.32041,0.396668,0.445559,0.408443,0.429086,0.41575,0.764048,0.835035,0.760536]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0132867,0.0321895,0.0569441,0.0563545,0.0662074,0.0584445,0.0971722,0.120935,0.131995,0.142674]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1605, 77, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00222246,0.00591326,0.0071548,0.00706493,0.0407887,0.146033,0.0345168,0.131164,0.511072,0.9179]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00654219,0.00403871,0.00715335,0.00645577,0.0141181,0.0423308,0.0243118,0.0627848,0.18714,0.338546]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00460977,0.00806457,0.00835566,0.020277,0.0142198,0.135587,1.40648,2.67679,5.97381,11.5761]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00404249,0.00649147,0.0104754,0.0241244,0.0326306,0.0970844,0.630902,1.32586,2.91481,5.01876]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1606, 78, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.137929,0.137897,0.0912931,0.389527,0.422991,0.832634,2.68777,4.89658,15.4509,22.7538]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0492651,0.0460816,0.0233902,0.0722475,0.0766787,0.132721,0.539327,0.892523,2.93497,4.25846]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0695186,0.240466,0.295357,0.357066,0.650604,2.54236,5.79795,16.8386,35.3197,65.7088]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00878158,0.0782974,0.0895373,0.0685892,0.166807,0.556289,1.21349,3.46918,7.0018,12.5342]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1607, 79, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.133103,0.380362,0.935817,1.68703,3.83086,6.94365,10.487,18.993,34.2554,44.8277]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.159435,0.324965,1.04058,1.69813,3.88398,8.12114,14.2241,21.477,33.1945,43.3708]}', '', '', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1608, 80, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0776254,0.733373,1.75703,3.92441,8.92887,18.2871,31.5066,55.8071,100.745,164.123]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0382596,0.503672,1.48648,2.93803,5.05295,8.41131,12.4942,16.6226,27.9545,38.5675]}', '', '', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1609, 81, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00419758,0.0158517,0.0528077,0.0577444,0.0348239,0.138451,0.31263,0.460765,1.69977,4.2943]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00126042,0.00569232,0.0353859,0.039992,0.0228557,0.119659,0.369201,0.506363,1.3692,2.32935]}', '', '', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1610, 82, 237, '', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00720751,0.00392173,0.00352633,0.0225519,0.0196341,0.0606672,0.387257,1.7415,5.46079,17.5636]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0109394,0.0135396,0.0303893,0.0598159,0.0743088,0.172872,0.837311,4.08138,12.5332,35.6069]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1611, 83, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.118224,0.262829,0.522442,0.536299,0.975931,1.73504,3.00237,4.75812,11.6961,19.4429]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0688211,0.140641,0.252259,0.285991,0.495751,0.855988,1.53034,2.27533,4.99229,7.8311]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.15305,0.366867,0.502282,0.764894,0.90245,0.98216,2.76802,6.49118,12.981,23.7209]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0717423,0.189627,0.277048,0.455731,0.551225,0.66286,1.70693,3.73471,6.93011,11.999]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1612, 84, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0190401,0.0421488,0.184865,0.156671,0.187829,0.271241,0.153277,0.66273,1.1196,1.03202]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0117725,0.0404124,0.100495,0.0849429,0.0932572,0.12761,0.102088,0.380468,0.59165,0.553155]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0490853,0.0430098,0.0862865,0.012914,0.0424061,0.177811,0.560073,0.842265,1.28216,0.966966]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0386102,0.0447116,0.0881132,0.0091028,0.0287777,0.148245,0.474693,0.788736,1.17547,0.836996]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1613, 85, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0800683,0.0164066,0.041941,0.0316806,0.133797,0.0340519,0.047369,0.0862953,1.01946,0.149728]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0196802,0.0198143,0.0227395,0.012791,0.041778,0.0196341,0.0132504,0.0208796,0.287158,0.0436366]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0303055,0.0513876,0.0728896,0.0441487,0.0774814,0.0516517,0.228514,0.782492,1.2507,0.508829]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0232107,0.0336777,0.0450833,0.0297987,0.0352188,0.0127121,0.102197,0.259343,0.350288,0.142877]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1614, 86, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00581728,0.00383168,0.0198336,0.00602811,0.0340688,0.0101223,0.0290194,0.031086,0.341196,0.144079]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00061753,0.00304357,0.00304773,0.000354527,0.00401164,0.00413075,0.00946986,0.00552378,0.120298,0.0357525]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00462535,0.0055173,0.0304379,0.0314795,0.0202028,0.105095,0.0497819,0.401562,0.80855,1.8909]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00134493,0.000993178,0.00792193,0.0168843,0.00880789,0.0386529,0.0205765,0.178311,0.26137,0.620058]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1615, 87, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00466946,0.0119611,0.0373441,0.0562593,0.0606744,0.158798,0.235802,0.572495,2.25584,4.12365]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00277152,0.00361405,0.00414262,0.00979354,0.00920299,0.0315539,0.0420078,0.0764847,0.380516,0.652356]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000987055,0.00618189,0.0483522,0.0465099,0.0750531,0.0919789,0.0683035,0.305142,1.44453,0.61725]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,9.39279e-5,0.0160546,0.0145809,0.00986235,0.0176069,0.0174495,0.0642762,0.322712,0.135484]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1616, 88, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00988733,0.0472733,0.137328,0.321723,0.245877,0.311376,0.550402,3.0238,6.7537,13.0209]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000116544,0.0148739,0.0184017,0.0536937,0.0317137,0.0378675,0.0587437,0.370525,0.727103,1.4295]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.220406,0.0404077,0.106375,0.136666,0.140056,0.239176,1.26325,2.90578,6.60737,13.8082]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0543643,0.00605295,0.0278373,0.0141069,0.00998784,0.036109,0.1551,0.324539,0.732818,1.40585]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1617, 89, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0045175,0.0202841,0.0442298,0.0449338,0.0973665,0.210694,0.238511,0.422135,1.77459,2.57919]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0133942,0.0588571,0.125891,0.0926361,0.162093,0.295158,0.357247,0.536014,1.97245,2.58329]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0255829,0.0383217,0.0531716,0.101799,0.084178,0.300484,0.435624,0.807903,0.846315,1.79819]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0564084,0.0535016,0.069906,0.104559,0.0702561,0.258522,0.369987,0.716064,0.621014,1.43963]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1618, 90, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0533834,0.153494,0.243618,0.222588,0.217397,0.262331,0.337275,0.4196,0.812575,1.4538]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0177243,0.0602819,0.101153,0.135033,0.204181,0.316991,0.701692,1.18587,1.58966,2.39941]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0538744,0.104288,0.200796,0.237145,0.266225,0.412775,0.603173,1.2266,2.53945,3.52076]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0444545,0.0832582,0.135315,0.190751,0.277496,0.396287,0.979199,1.61977,2.21959,3.60477]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1619, 91, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.228878,0.448429,0.470367,0.680956,0.783511,1.4337,2.87623,4.22123,8.50816,11.6486]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.123138,0.262019,0.30255,0.291663,0.279981,0.449654,0.807202,1.0152,2.09608,2.88546]}', '', '', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1620, 92, 237, '', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0899275,0.0442098,0.0339897,0.0163764,0.0454326,0.0369617,0.0369267,0.0568195,0.102795,0.117697]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0587709,0.0390958,0.034167,0.0216675,0.0422255,0.0233704,0.0216509,0.0257486,0.0345731,0.031803]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1621, 93, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0249498,0.0330462,0.0525751,0.0511924,0.11192,0.0830581,0.273496,0.827145,0.635107,1.99051]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00663577,0.0052022,0.00997719,0.00898291,0.0204906,0.0107139,0.0528483,0.158237,0.121003,0.345739]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0518907,0.0424326,0.0299761,0.0548362,0.076777,0.0882252,0.458939,1.25314,1.95323,1.77804]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.010427,0.00352539,0.00882723,0.0242358,0.0255175,0.0203262,0.108321,0.302892,0.456196,0.369474]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1622, 94, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.080153,0.0961817,0.411672,0.193522,0.879917,1.14902,1.67577,3.38794,6.40484,9.01383]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0260523,0.0309115,0.110973,0.0830476,0.220012,0.351006,0.575292,1.05692,1.90724,2.74323]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0830335,0.330811,0.348474,0.582017,0.628504,1.04056,2.01727,5.35978,11.2167,23.218]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0273109,0.0835026,0.090156,0.203558,0.217579,0.359869,0.761588,1.73374,3.49652,6.75715]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1623, 95, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.146822,0.179878,0.354897,0.199716,0.787525,0.804935,1.23652,0.854987,2.85172,3.95354]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.164166,0.197312,0.326032,0.131229,0.453617,0.434365,0.687406,0.425816,1.24895,1.622]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.516738,0.234732,0.540261,0.275684,0.289783,0.446712,0.841786,2.3944,2.14386,3.51952]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.505211,0.225589,0.466027,0.198684,0.168666,0.173353,0.312694,0.966094,0.79535,1.23971]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1624, 96, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00130164,0.00433374,0.0181575,0.0284598,0.0602865,0.0858599,0.206623,0.417841,2.08848,2.41028]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000728443,0.0113694,0.0630343,0.0759914,0.101844,0.11446,0.223434,0.253725,0.852659,0.615919]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0054757,0.01185,0.0121591,0.010542,0.0108152,0.0189905,0.110276,0.445672,0.514202,0.834109]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00199656,0.00675772,0.0141687,0.0111927,0.00854558,0.0108734,0.0458872,0.146387,0.123791,0.171034]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1625, 97, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0879839,0.0921907,0.231048,0.0818717,0.230367,0.118066,0.0582274,0.150809,0.141758,0.328421]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.166567,0.132764,0.242152,0.0648091,0.126704,0.0633092,0.0267095,0.0669826,0.0531745,0.133872]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.115394,0.0951843,0.0878025,0.0607249,0.107458,0.113186,0.215683,0.432706,0.720354,0.370419]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.155852,0.129524,0.0946988,0.0641719,0.085595,0.0804345,0.136886,0.2374,0.355732,0.160139]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1626, 98, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.356465,0.66776,1.19638,1.3445,1.96666,2.10469,2.73428,3.76872,8.11082,10.7298]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0761628,0.178379,0.355945,0.4165,0.551467,0.608979,0.822931,0.963355,2.04698,2.5099]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.510004,0.754893,1.23688,1.87026,2.13992,2.69641,3.49313,7.57472,9.35664,12.3332]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.134147,0.235132,0.339289,0.512349,0.613516,0.628702,0.86408,1.90031,2.27844,3.02795]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1627, 99, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00146239,0.00196272,0.0198513,0.0136056,0.025513,0.0312273,0.580331,0.606004,2.80651,2.38894]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000171381,0.00045522,0.00525746,0.0100189,0.0221208,0.00869629,0.333197,0.295719,1.30582,0.911752]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00222415,0.00221015,0.00990583,0.0493196,0.0525748,0.395806,0.356425,1.12203,1.34017,2.29019]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00483151,0.00254338,0.00623022,0.0537266,0.0353082,0.23166,0.276404,0.683064,0.748457,1.05272]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1628, 100, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.442394,0.695433,0.7448,0.307273,1.01783,1.10409,1.00556,1.61879,6.0471,6.07049]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.118322,0.165049,0.165851,0.0766571,0.186365,0.236337,0.219768,0.375277,1.35115,1.35304]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.28764,1.09224,1.45341,0.751983,1.31726,0.9628,3.06098,4.19557,7.99349,15.588]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.409713,0.273297,0.396413,0.18611,0.320673,0.291644,0.943377,1.3528,2.40893,3.89098]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1629, 101, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.54395,3.47552,4.03614,4.00521,7.49882,8.69561,14.2794,23.5275,46.1987,67.7844]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.494859,1.10501,1.34377,1.24618,2.17714,2.36591,3.79571,5.4354,9.19892,11.994]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.06917,4.58831,6.9132,8.51179,9.0515,12.626,20.7816,40.4201,70.6467,104.818]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.765112,1.06837,1.73003,2.07931,2.18163,2.30823,3.79299,6.7645,11.9771,16.9335]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1630, 102, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.2451,50.1937,67.871,62.1808,87.7334,103.173,132.162,217.285,435.239,674.62]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[151.115,178.502,161.034,217.787,302.228,414.632,558.587,687.599,871.541,1102.44]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.011,25.931,38.577,48.1158,51.2545,79.3535,122.098,268.358,461.748,783.426]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[94.8641,77.7091,97.0642,131.725,212.136,268.767,406.636,571.274,796.48,1025.65]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1631, 103, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.4577,24.998,30.1583,21.473,22.5686,17.8929,13.8112,9.5801,15.9243,25.2139]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[45.6038,42.8767,40.5843,38.6661,36.7761,35.3473,33.5861,30.5892,32.8573,37.2709]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.76018,9.10417,9.25499,9.31833,7.34642,8.1077,8.20561,8.67311,12.5376,18.6655]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[28.1957,26.3172,24.9622,24.3976,23.7642,23.3177,22.1923,20.789,22.4638,25.0375]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1632, 104, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.46906,4.07394,5.00615,5.73426,9.77816,11.8846,14.6799,31.2472,71.7075,123.653]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.70963,12.2525,23.8735,40.5841,62.012,92.4221,144.481,218.686,307.498,397.492]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.654499,2.82259,5.25408,7.31313,8.63228,14.6528,24.8764,55.6504,100.677,175.44]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.28324,13.8444,27.0438,46.2156,71.303,105.45,163.292,247.673,349.294,447.623]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1633, 105, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.91472,7.99757,14.7376,15.6203,26.3314,35.0588,51.6516,96.4547,193.718,291.769]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.10473,3.15008,4.70769,6.84785,10.0828,14.1985,23.0932,36.2721,55.5451,73.1816]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.65057,6.53115,9.34299,13.9889,14.3723,24.1393,37.1573,93.4021,166.557,284.657]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.31749,3.30038,5.07255,7.38276,10.6727,14.7585,25.7956,42.3554,65.1813,85.3096]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1634, 106, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.416556,2.44325,2.38852,2.21746,3.06288,3.62153,6.49513,16.2989,41.7708,92.9479]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.889715,0.807493,1.67252,2.85833,5.11964,8.12378,14.0012,22.8633,35.6675,51.1867]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.487261,1.2225,1.92734,1.72505,2.19075,3.74651,7.52204,20.5358,43.8769,114.941]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.963454,0.870122,1.83699,3.08667,5.28179,8.68955,16.2666,27.8109,43.4622,61.7483]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1635, 107, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.49816,5.55432,12.3491,13.4028,23.2685,31.4373,45.1565,80.1558,151.947,198.821]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.21502,2.34259,3.03517,3.98952,4.96313,6.0747,9.09199,13.4088,19.8776,21.9949]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.16331,5.30865,7.41564,12.2638,12.1816,20.3928,29.6353,72.8663,122.68,169.716]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.35404,2.43026,3.23556,4.29608,5.39089,6.06893,9.52899,14.5446,21.7192,23.5612]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1636, 108, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.951613,4.21384,6.25688,8.56562,13.4781,21.559,31.5169,46.0584,88.94,130.223]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.87303,3.81172,5.18414,9.06024,15.6427,29.694,49.5205,69.9435,102.007,142.861]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.683395,2.14593,5.10631,5.61308,8.24191,14.9303,26.1461,57.0446,87.4518,149.742]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.83796,2.73006,3.6266,6.48734,11.3633,20.6719,33.7877,46.5587,66.6239,91.8424]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1637, 109, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.34142,4.37695,5.89579,5.6305,8.29562,8.59297,10.5175,16.4864,29.4325,44.7089]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.9637,7.77985,7.82504,9.21083,11.203,15.3911,20.3541,25.4279,32.4925,39.4471]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.834378,2.21567,4.40287,5.94933,6.62522,8.81162,13.2172,26.0082,43.295,67.559]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.581,7.52837,7.43636,8.82283,11.0391,14.7724,18.9243,23.0889,29.0584,34.3897]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1638, 110, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0.0583969,0.09311,0.11499,0.204532,0.283425,0.915585,1.54043]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.27728,3.52832,4.19186,5.72686,8.16601,14.8695,26.3623,43.2971,70.9894,112.56]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0.0388864,0.0474351,0.0665154,0.0970925,0.240607,0.628585,1.04682]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.26618,5.81436,6.84301,9.23464,13.0262,22.7732,39.9113,65.9636,108.554,172.048]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1639, 111, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0680544,0.20307,0.156279,0.174107,0.298767,0.307693,0.470416,0.832699,1.7275,3.38025]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0710002,0.21766,0.293412,0.338799,0.390535,0.51302,0.732656,1.68783,3.51935,6.39357]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1640, 112, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0.0765924,0.11269,0.249732,0.562422,0.880445]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00499945,0.0219433,0.0722748,0.248984,0.696013,1.29601,3.46758,9.00954,17.672,28.8652]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0.382248,0.655082,1.56323,3.18694,5.77572]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.006128,0.0246551,0.0890209,0.325831,0.865032,1.57156,3.92313,10.3285,20.1242,33.2558]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1641, 113, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.244074,0.580489,0.764465,0.516318,0.608815,0.462971,0.519171,0.708089,1.04498,1.65736]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.1554,1.68356,1.21215,0.869055,0.637847,0.757571,0.974969,0.829225,1.21461,2.10891]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.16522,0.266669,0.485456,0.442288,0.390844,0.370949,0.450249,0.756039,1.25756,1.88739]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.897377,1.43515,1.03113,0.760381,0.554196,0.645136,0.837024,0.916445,1.27411,2.13947]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1642, 114, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.79842,3.74979,4.89543,4.40836,6.28085,7.22262,8.67838,15.3841,31.2669,51.5937]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[79.4226,103.398,73.3832,106.573,157.012,210.656,256.747,253.544,251.266,268.658]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.19174,2.62711,4.43685,5.11302,5.20754,7.37899,10.5598,23.3318,42.6367,72.2596]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[39.479,16.7144,20.9596,28.0979,69.5481,64.8069,97.9723,113.6,133.907,134.004]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1643, 115, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.83031,12.7035,17.9632,16.9359,21.4105,25.0295,30.8566,39.0717,101.822,167.054]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[736.34,766.134,889.02,1040.2,1170.11,1360.44,1588.76,1842.98,2129.48,2492.44]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.32033,7.93344,14.9026,14.835,14.1262,18.9618,31.6716,73.1182,138.881,276.952]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[822.148,867.439,1069.01,1286.15,1454.52,1520.09,1779.16,2004.13,2239.84,2600.98]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1644, 116, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.0054,3.3832,4.76305,4.12102,4.44213,5.61677,7.84415,11.402,36.2569,61.287]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[302.271,409.198,517.429,634.027,761.256,917.457,1123.92,1375.06,1660.34,1976.17]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.897343,3.06676,4.72225,3.39949,3.45747,6.34559,11.0359,30.1575,61.4223,124.575]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[388.078,522.774,658.534,796.583,938.541,1093.55,1295.34,1564.66,1865.82,2197.52]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1645, 117, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.100872,0.450193,0.449134,0.494052,0.718639,1.07905,1.0922,2.17838,5.12211,8.97521]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0564404,0.0830856,0.0938664,0.1321,0.213194,0.592689,1.68191,3.8753,6.167,9.77355]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.135336,0.326857,0.607907,0.765873,0.856161,1.17797,1.83285,4.88434,4.44059,26.7107]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.158758,0.133855,0.19276,0.243811,0.380469,3.09349,19.3319,33.9848,40.5934,51.4043]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1646, 118, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.65958,5.63165,7.61745,7.69399,12.2,13.5542,17.2676,19.8647,48.1169,77.5279]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[299.32,190.722,140.297,122.315,120.618,128.978,144.991,161.717,177.473,194.566]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.26549,2.37265,4.55669,5.75782,5.44473,7.57864,12.6427,28.3113,60.2945,101.099]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[267.393,172.376,128.087,112.699,111.744,119.174,134.035,150.565,165.039,179.177]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1647, 119, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0867438,0.178932,0.31158,0.294927,0.401763,0.694734,0.722888,1.22085,2.63349,4.34644]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.2227,0.925679,1.10692,1.59555,2.13554,3.18899,5.08237,4.15555,6.09456,8.73751]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0940002,0.233589,0.360297,0.34019,0.41965,0.668146,1.23666,2.47097,5.92788,11.7305]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.00082,1.61739,2.0845,2.89589,4.02212,5.57561,7.91966,7.49196,10.4435,14.2011]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1648, 120, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.97772,3.05951,4.82197,4.33195,3.64796,4.08468,3.92974,4.40586,9.69223,14.9176]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[133.47,165.205,230.094,282.133,285.887,310.227,313.092,298.166,279.407,303.196]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.92817,1.93358,4.65541,4.57161,3.94814,3.19148,4.92352,7.29414,6.79548,12.8369]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[164.516,170.538,280.114,373.732,399.836,298.699,322.532,247.433,157.944,158.678]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1649, 121, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.82323,6.4883,12.2726,12.8768,15.9903,19.058,18.9277,21.5004,38.9524,66.8975]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.48488,3.64513,5.29477,7.78544,14.7871,24.7559,34.5552,42.8808,49.7093,56.6946]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.12334,6.73409,10.4786,17.8978,21.5289,30.6027,44.2007,85.5196,118.227,159.394]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.99403,6.54453,9.53112,14.5794,31.2277,51.6253,67.9521,79.2578,87.6108,102.815]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1650, 122, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.578314,2.25445,4.53236,4.97704,6.54766,8.39965,8.83785,10.4884,19.5276,34.0099]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.792118,1.30327,2.03253,3.0818,6.1869,11.1084,16.6091,21.1425,25.1724,28.9241]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.0451,2.247,3.49262,5.96012,7.48598,11.7926,18.5072,38.328,56.0805,79.1059]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.36535,2.12336,3.13028,4.71679,10.5709,19.3914,27.9245,34.8151,41.146,50.4194]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1651, 123, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.257134,0.998174,2.00179,2.20529,2.99959,4.16838,4.65965,5.83149,11.5573,21.6928]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.351411,0.534617,0.867455,1.34913,2.8039,5.32565,8.2313,11.4921,14.5716,18.3061]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.395869,0.852779,1.32423,2.26178,2.91924,4.86967,7.97392,17.0237,25.5363,37.0587]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.496318,0.805132,1.16579,1.81524,4.14866,7.93881,11.9907,15.4062,18.4673,23.2384]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1652, 124, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0336444,0.356844,1.00291,1.31598,1.73327,1.85757,1.66298,1.72184,2.86794,4.58761]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0479485,0.205522,0.449038,0.844383,1.64411,2.43682,3.02865,3.48993,3.83667,3.93231]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.193605,1.13994,2.47703,5.06175,6.34596,8.25087,10.9115,19.407,24.7025,30.7815]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.247104,1.21602,2.46095,4.33373,9.79839,14.8743,17.9575,19.3876,19.5751,21.4024]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1653, 125, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.954135,2.87884,4.73551,4.37854,4.70978,4.63237,3.76725,3.45873,4.99955,6.60723]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.29341,1.60172,1.94575,2.51013,4.15223,5.88508,6.68608,6.75626,6.12863,5.53214]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.48876,2.49437,3.18472,4.61414,4.77768,5.6895,6.80814,10.7608,11.9079,12.448]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.88526,2.40001,2.77409,3.71364,6.70971,9.42069,10.0794,9.64897,8.42243,7.75512]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1654, 126, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.77,6.83069,7.16417,6.62141,9.15663,8.8845,8.15721,11.1551,21.8702,35.0174]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[86.8609,84.3808,92.0623,101.01,109.054,119.871,132.502,79.3629,84.5625,88.849]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.34833,11.2184,12.4701,14.3677,14.6421,18.5135,22.974,42.7285,69.8302,94.0532]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[97.7306,87.704,88.4733,94.5648,105.775,120.114,139.93,102.223,107.509,110.296]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1655, 127, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.745101,2.1824,2.37567,1.45862,2.69071,3.3484,2.10298,3.16456,5.45382,8.72685]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.89922,7.88587,10.7008,13.4175,16.0451,19.0472,20.8438,1.85692,2.04534,2.35475]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.37724,4.64886,5.27198,6.18187,6.27179,6.61335,9.66376,15.6997,27.1443,31.6904]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.66182,4.49322,6.48599,9.47638,13.7484,17.7297,23.093,5.14227,5.58516,6.19841]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1656, 128, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.100468,0.261833,0.317615,0.336371,0.543971,0.385099,0.390543,0.440904,0.735731,1.35608]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.2919,24.3325,28.626,32.236,36.3041,40.2018,42.5865,8.87738,9.88476,11.2394]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.20092,0.446133,0.408496,0.449702,0.4989,0.591497,0.932958,1.22723,2.79895,2.98413]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.9402,12.6809,13.4655,16.4107,21.0021,24.7152,30.2895,10.8527,11.9069,12.6924]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1657, 129, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.567803,1.13284,0.99435,1.09365,0.888622,0.897442,0.911999,0.956591,2.04722,3.76364]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.58441,4.10742,3.62602,3.01869,2.32111,1.73943,1.37298,1.27445,1.21668,1.09307]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.799401,1.0613,1.09366,0.80295,0.673568,0.795587,0.934746,2.68394,3.03221,4.72216]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.17928,4.791,4.02133,3.22912,2.6458,2.05478,1.56912,1.45162,1.3402,1.23028]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1658, 130, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.25472,0.576291,0.54972,0.532224,0.77884,0.795593,0.872082,1.1187,2.52072,4.21752]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0424778,0.0362925,0.0644604,0.0318083,0.0712349,0.0802162,0.105386,0.0979268,0.147855,0.156532]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.583431,1.19802,1.3354,1.95982,2.82256,4.44394,3.64483,10.6482,12.0418,25.0907]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0793896,0.0755205,0.131516,0.144596,0.208821,0.161078,0.292142,0.320485,0.371959,0.477461]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1659, 131, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00366699,0.0132661,0.0211125,0.0237033,0.0275387,0.0220749,0.0208427,0.0226146,0.0497954,0.0817975]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.892195,1.12039,1.49644,1.82293,2.19273,2.56829,3.16163,4.33405,5.53737,6.69212]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00614875,0.0155094,0.0251298,0.0301959,0.0294651,0.0328752,0.0428075,0.0673801,0.140053,0.173192]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.58873,3.11096,4.16305,5.15603,6.11679,7.20084,8.71603,11.8155,14.9486,18.0178]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1660, 132, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.376377,1.15377,1.14232,1.49134,1.13913,0.803843,0.812213,1.01421,2.11307,2.73555]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[39.3459,36.5513,33.5127,32.2007,30.7348,31.0492,32.3575,31.1955,27.9631,24.3384]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.582693,1.84531,1.99642,2.28643,1.64301,1.89066,2.15733,3.02666,6.03931,4.91458]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[58.7227,52.044,46.6833,44.311,43.0073,43.0481,44.6365,43.2224,37.7067,32.8084]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1661, 133, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00590983,0.0197399,0.0251586,0.0347936,0.0528593,0.0536751,0.0664504,0.0977851,0.248645,0.470884]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.139253,0.152247,0.214704,0.248752,0.313728,0.324622,0.471149,0.738929,1.08794,1.45849]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0131303,0.0383495,0.0786654,0.0714301,0.0671534,0.114125,0.177751,0.245789,0.533695,0.74959]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.095272,0.103684,0.116386,0.185615,0.141179,0.211628,0.272556,0.483099,0.739901,0.884206]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1662, 134, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.502432,0.878318,1.02083,0.865366,1.9767,1.56357,1.86499,2.76866,5.20455,7.78601]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.43487,4.15411,6.64353,9.22185,11.4692,13.7928,17.0756,20.9954,24.8828,28.664]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.195057,0.384261,0.271006,0.327374,0.339412,0.47155,0.680161,1.27364,2.49857,4.21786]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.53489,2.70985,4.31531,6.1364,7.60832,9.13273,11.1727,14.0168,16.9411,19.8809]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1663, 135, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0330195,0.151963,0.19732,0.23259,0.286288,0.23804,0.222521,0.264068,0.422337,0.659013]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.363989,0.580343,0.909554,1.11255,1.21932,1.49216,1.71198,1.93819,2.05138,2.20154]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.179891,0.570446,0.731739,0.902757,0.887826,1.11212,1.30049,1.77229,2.88242,2.49337]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.219196,0.433133,0.937104,1.44528,2.03473,2.32674,2.63169,2.66937,2.23926,2.26072]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1664, 136, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.180498,0.460283,0.520068,0.55275,0.771965,0.77677,0.892588,1.30702,3.07428,5.22007]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.86664,5.46036,6.26807,7.69894,8.38295,9.57516,12.8154,8.05419,9.74527,10.6507]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.410426,1.01022,1.2576,1.35522,1.4084,2.4478,3.43913,6.08358,12.7189,17.0173]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.70914,7.2618,8.15381,8.06971,9.26138,13.5329,17.2567,12.2489,15.729,15.8458]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1665, 137, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.79211,7.93449,7.18473,6.04877,5.67947,5.06862,7.07642,7.72496,16.1395,24.0105]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[670.781,781.601,789.097,785.621,788.854,782.389,790.709,803.821,802.32,803.947]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.71863,9.02697,11.4476,10.4084,9.79152,11.596,13.0701,19.715,29.6838,46.2172]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[556.592,654.163,669.019,672.975,680.547,679.854,690.25,712.388,723.93,746.153]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1666, 138, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.21824,0.736748,0.591148,0.483113,0.552231,0.586705,0.616723,0.569721,1.88277,4.50928]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,2.26389,24.1949,61.5119,101.857,152.397]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.165082,0.228337,0.457638,0.527446,0.446654,0.429355,0.629264,1.0369,1.56839,2.64358]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,1.8839,19.6516,48.7204,76.4869,114.334]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1667, 139, 237, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.211088,0.278181,0.206565,0.245538,0.304778,0.371945,0.635054,1.49914,3.0741]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.111379,1.12606,3.09713,5.85088,8.84529,12.6556,18.695]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.104684,0.171937,0.232044,0.180485,0.277687,0.359537,0.774429,1.51088,3.75493]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.153726,1.42631,3.93787,7.1605,10.9487,15.9122,22.9606]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1668, 140, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.83721,5.33051,4.69828,3.83934,2.90212,2.53671,4.11325,3.94551,8.26985,10.8299]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[234.247,234.45,230.489,223.132,214.784,209.929,210.221,210.781,210.798,210.738]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.1444,6.84903,8.34424,6.51254,6.09686,7.77926,8.52052,12.6925,18.3909,28.3339]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[268.995,275.511,272.76,270.356,266.24,265.412,268.168,274.498,278.523,281.505]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1669, 141, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0.0626003,0.0840346,0.0736446,0.146566,0.141419,0.180123,0.339866,0.577168,0.642029]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.49866,3.12461,7.49528,13.0451,16.657,17.897,17.8388,16.5345,14.5914,11.6875]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0.015589,0.036134,0.0627033,0.0721497,0.10096,0.12527,0.223162,0.446386,0.499742]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.745886,1.51788,3.62054,6.38499,8.09712,8.87692,8.64706,7.81698,6.8782,5.78216]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1670, 142, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[409.448,507.45,508.747,503.256,508.102,499.47,470.066,424.743,369.463,312.825]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[266.379,346.542,356.672,357.407,364.435,356.974,330.884,296.802,257.147,217.167]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1671, 143, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.4609,34.6995,38.0919,38.2614,37.5071,36.8408,36.2646,35.6023,34.7838,33.8061]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.7962,29.3579,33.2917,33.9667,33.2342,32.131,31.2201,30.5664,29.7753,28.9384]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1672, 144, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.736662,1.59355,1.53308,1.4461,1.83301,1.49902,1.79438,2.23481,3.91058,4.9552]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.12734,1.87728,4.27438,7.8154,10.6783,12.8912,26.2727,45.8029,58.1723,63.7985]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.40915,1.82932,2.43763,3.0737,2.99538,3.00878,3.43547,4.98805,7.76722,10.9851]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.67665,1.23374,2.67535,4.70741,7.11404,10.638,24.5186,43.035,59.2081,75.4655]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1673, 145, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.574657,1.3509,2.7314,2.26218,3.15794,3.31658,3.34231,4.32356,6.68219,9.05549]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3397.62,3916.01,4192.4,4263.79,4234.09,4224.12,4209.57,4052.28,3795.28,3354.49]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.475072,1.08946,2.64367,3.51252,3.70033,4.69897,5.415,8.6051,11.6273,14.6619]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3266.75,3797.79,4068.45,4016.97,3887.66,3795.61,3712.45,3505.63,3145.2,2670.05]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1674, 146, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.673469,0.597906,0.891834,0.860232,0.912638,0.995679,1.65856,2.27964]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.3681,64.5658,138.929,222.337,283.994,319.505,333.447,318.609,278.925,218.384]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.577338,0.739508,0.69519,0.911614,1.09718,1.64628,2.73102,3.91546]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.0884,79.2608,169.686,276.607,360.121,404.263,412.747,398.271,340.491,263.54]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1675, 147, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0666932,0.183214,0.349023,0.44085,0.854508,1.10165,1.23591,1.57118,2.25287,2.52317]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[256.446,315.55,301.704,280.396,284.748,312.41,341.587,309.461,245.538,175.636]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0944699,0.259659,0.603458,1.04262,1.52808,2.05261,2.44082,3.70248,5.04365,4.97438]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[703.017,890.176,863.44,805.37,810.841,863.768,920.105,840.568,670.374,483.725]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1676, 148, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.218529,0.331081,0.37885,0.202224,0.26252,0.216397,0.209662,0.289772,0.411465,0.418751]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[164.536,349.788,381.985,291.571,205.943,143.218,100.76,62.1766,35.6904,18.0446]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.198639,0.354313,0.490938,0.522531,0.351943,0.379562,0.361611,0.64963,0.674055,0.802582]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[269.115,677.911,765.15,586.965,392.14,247.794,160.177,103.679,64.8455,35.2832]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1677, 149, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.113909,0.172504,0.197457,0.105377,0.136821,0.112757,0.109234,0.151029,0.214418,0.218196]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.7361,101.611,172.374,136.828,99.8164,76.6272,55.1109,29.0251,12.3204,5.20919]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.102925,0.183485,0.254103,0.270649,0.18272,0.196881,0.187444,0.337062,0.348946,0.417058]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[29.5485,244.343,360.604,279.248,184.374,123.309,78.6133,45.4983,24.5074,13.5489]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1678, 150, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000265016,0.00046818,0.000478232,0.000275192,0.000335467,0.000299725,0.000303572,0.000366125,0.000554397,0.000580614]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.76205,13.8858,16.6757,10.615,6.35154,4.48364,2.93696,1.65662,0.821959,0.422738]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000805855,0.00153229,0.00224625,0.00221363,0.00109831,0.00134758,0.0013995,0.00221856,0.00302588,0.00215789]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.48743,27.9056,37.9542,26.1106,16.1769,10.6259,6.55455,3.56236,1.92484,1.06895]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1679, 151, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000160419,0.000309839,0.000296935,0.000178457,0.000209846,0.00019622,0.000203314,0.000227456,0.000357559,0.00038032]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[50.8517,70.99,64.8246,50.7396,35.298,23.0835,17.9327,14.4184,10.8104,6.06539]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000711865,0.00136482,0.00201444,0.00196657,0.000931146,0.00116761,0.00122827,0.00191037,0.00270749,0.00177602]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[77.7345,118.814,122.1,97.9875,66.4784,40.7668,30.3751,24.4753,18.123,9.83205]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1680, 153, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.104194,0.157798,0.180618,0.0963928,0.125154,0.103144,0.0999218,0.13815,0.196136,0.199593]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[50.4589,80.9652,77.2576,57.9874,39.2826,25.9056,19.4991,14.9103,10.7182,5.93289]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0941957,0.167931,0.232574,0.247702,0.167194,0.180166,0.17154,0.308438,0.319375,0.38159]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[78.2991,141.017,152.945,118.148,78.4446,48.6065,34.7138,26.1638,18.5515,9.99662]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1681, 155, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1720.2,1924.37,2037.85,2119.13,2146.28,2192.33,2250.23,2264.45,2220.07,2005.31]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1007.11,1128.8,1201.17,1259.95,1264.5,1277.78,1291.28,1302.71,1275.14,1150.7]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1682, 156, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[182.624,208.42,222.852,233.458,241.884,255.132,269.96,276.938,276.56,270.591]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[129.215,151.87,163.982,171.773,177.879,184.332,190.914,195.047,191.602,184.446]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1683, 159, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[105.085,278.882,403.592,447.535,425.997,367.111,285.307,218.767,172.948,137.474]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[81.6621,220.865,329.086,372.964,362.501,315.014,248.834,195.507,154.21,122.207]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1684, 160, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[652.553,653.029,606.664,578.853,563.517,559.946,557.807,533.999,496.225,455.584]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[354.608,367.731,346.065,330.656,320.402,314.462,308.099,295.124,274.27,253.505]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1685, 161, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.228973,0.705694,1.06335,0.790581,0.826598,0.688094,0.486637,0.642042,0.871011,1.22116]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.44505,3.13132,4.29412,4.10435,2.95194,1.87469,1.31481,0.82132,0.590918,0.378808]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0931303,0.253916,0.452949,0.498601,0.359476,0.324914,0.284538,0.438932,0.46165,0.748868]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1686, 162, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[32.1562,31.6848,31.0872,30.3586,29.0848,27.8714,27.3217,26.5732,25.7417,24.6516]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[92.5383,90.8827,88.7295,85.2743,82.2654,79.6271,76.9952,74.66,71.6774,68.5358]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1687, 163, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.8741,23.173,22.562,21.8132,20.9313,19.9356,19.2731,18.6244,17.6727,16.7282]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[96.7362,95.7724,92.9494,89.9276,87.3216,83.8258,81.0679,77.5902,74.3939,70.0539]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1688, 164, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.75668,5.28251,2.86677,1.38763,0.594252,0.210151,0.063866,0.0145382,0.00249334,0.000468804]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[29.4082,19.2903,11.223,5.77458,2.60767,1.01618,0.335431,0.0935669,0.023052,0.00315808]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1689, 165, 237, '{\"age\":[\"15-19\",\"20-24\"],\"number\":[0,0]}', '{\"age\":[\"15-19\",\"20-24\"],\"number\":[179.188,13.3306]}', '{\"age\":[\"15-19\",\"20-24\"],\"number\":[0,0]}', '{\"age\":[\"15-19\",\"20-24\"],\"number\":[431.128,32.4786]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1690, 166, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.6252,24.8551,21.1767,17.3117,13.1344,9.31368,5.86507,2.67081,0.945708,0.389137]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[32.4711,29.0517,24.9052,20.0621,15.1426,10.746,6.70088,3.04509,1.06224,0.491947]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1691, 167, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0604613,0.13091,0.266713,0.230623,0.322479,0.450199,0.497462,0.824889,1.48828,2.61277]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.7605,19.9524,16.8445,15.5321,15.027,15.2602,16.6314,19.1699,24.3705,31.3198]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0888334,0.221568,0.518987,0.709259,0.765644,1.03027,1.23085,2.16778,2.71691,4.22056]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.6531,13.6996,12.0704,11.6466,11.9408,12.9789,15.198,19.3426,27.1032,37.5574]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1692, 168, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.69315,29.8469,35.4695,24.8798,28.5336,36.5705,42.6867,68.7471,146.297,217.855]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[348.851,633.363,866.824,1010.45,1091.48,1080.59,1031.14,1191.14,1234.69,1252.69]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.42283,15.5191,24.4356,29.3921,29.4079,37.1777,52.0596,93.9733,151.94,227.595]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[148.933,147.484,182.589,254.006,356.105,492.665,715.365,1060.52,1426.05,1785.59]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1693, 169, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.73717,4.30919,7.14626,4.52589,7.93663,13.4162,20.9268,41.0307,95.2364,147.679]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[32.6378,42.2561,67.6782,115.105,182.959,271.93,365.597,466.815,559.428,645.317]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.39749,1.95712,2.707,4.54659,5.51054,8.42982,16.2692,33.79,67.4336,101.846]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[30.4496,41.1515,67.4542,116.235,185.933,273.737,366.238,467.446,558.431,639.092]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1694, 170, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.199878,0.433777,0.391985,0.292996,0.337596,0.283868,0.287398,0.42651,0.698678,1.0203]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0105087,0.00469871,0.00461893,0.00336501,0.0027491,0.00291171,0.00272823,0.00235524,0.00418452,0.00457377]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.461121,0.716694,1.07148,0.880218,0.83285,1.06221,1.07242,1.84687,3.12092,4.58308]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0113876,0.0083507,0.00474173,0.00595898,0.00313275,0.00410098,0.00255921,0.00446324,0.00631667,0.00622413]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1695, 171, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.37897,8.78979,8.33808,8.39103,8.08665,9.34897,9.03419,14.9926,24.3479,36.702]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.04952,8.11844,12.0436,18.3142,27.4593,37.0892,46.9175,62.5543,90.4025,125.924]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.13612,7.49922,11.3162,15.3623,15.9837,19.4528,23.8427,45.2332,58.8143,83.9653]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.73629,7.47196,10.7207,16.4986,25.1136,33.7189,43.124,57.6407,86.76,124.023]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1696, 172, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00349326,0.43077,0.800772,1.1519,1.44119,2.02834,2.36492,4.58005,8.46652,14.4741]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.115424,0.558405,1.27161,2.81822,5.23561,8.59529,13.0079,20.2403,33.0721,47.2225]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00415515,0.327639,0.966043,1.85675,2.5184,3.75651,5.52069,12.1464,18.0863,29.069]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0753399,0.463099,1.0324,2.17214,4.24213,7.07785,10.3532,16.3084,27.8513,40.5479]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1697, 173, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.382333,1.53729,1.58081,1.7644,1.85916,2.3419,2.16274,3.44507,5.31737,7.61939]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.823457,1.46508,2.38831,3.96049,6.39897,9.13609,10.8878,13.7763,19.1991,26.7391]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.558355,1.46429,2.40203,3.56546,4.05013,5.36182,6.295,11.4098,14.2918,19.247]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.852248,1.47369,2.32315,3.97371,6.49856,9.10401,11.224,14.3543,20.6186,28.8077]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1698, 174, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.99314,6.82173,5.9565,5.47473,4.7863,4.97873,4.50653,6.96746,10.564,14.6086]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.11064,6.09496,8.38365,11.5355,15.8247,19.3578,23.0218,28.5377,38.1313,51.9624]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.57361,5.70728,7.94812,9.94009,9.41512,10.3345,12.027,21.677,26.4362,35.6492]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.8087,5.53517,7.36516,10.3528,14.3729,17.537,21.5468,26.978,38.2901,54.667]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1699, 175, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.204533,0.596269,0.776959,0.828555,0.722274,0.63639,0.79003,1.64387,3.26843,4.70195]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.9065,22.1486,27.9199,34.2973,40.0933,46.8579,53.3664,56.6977,58.3654,62.3448]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.301849,0.67905,1.31308,1.18572,0.931548,1.35699,2.60886,4.56507,8.10015,10.1154]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.69405,15.7063,26.7382,37.3544,48.6991,79.3472,184.77,392.79,613.473,798.875]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1700, 176, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.109838,0.295753,0.454755,0.436651,0.309278,0.251146,0.247473,0.726791,1.26597,1.66239]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.84453,6.14432,5.29393,4.53009,3.83439,3.31951,3.31628,3.25679,3.14234,3.18456]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0862115,0.184558,0.358752,0.48176,0.31478,0.483121,0.786745,2.00324,3.05589,4.64068]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.42134,1.56299,1.76621,1.95534,2.11104,2.2694,2.55026,2.79915,3.0429,3.54652]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1701, 177, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0376394,0.10228,0.0799145,0.141372,0.195295,0.215598,0.342438,0.469419,1.1876,1.72016]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.90104,10.5238,15.9084,21.5385,26.7633,33.2264,38.2304,40.9862,42.9476,44.997]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0872417,0.182763,0.192021,0.0849752,0.149087,0.183975,0.406853,0.526583,1.05626,0.867899]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.36859,6.44734,10.2772,14.3304,18.7017,23.6195,28.2201,31.8973,35.0642,37.7843]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1702, 178, 237, '', '', '{\"age\":[\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0]}', '{\"age\":[\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.9567,137.808,343.142,556.855,739.179]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1703, 179, 237, '', '', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\"],\"number\":[0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\"],\"number\":[4.24293,8.06615,12.969,17.8188,26.8755]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1704, 180, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0570553,0.198236,0.24229,0.250532,0.217701,0.169646,0.200119,0.447664,0.814861,1.3194]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.16091,5.48049,6.71762,8.22872,9.4956,10.312,11.8197,12.4546,12.2755,14.1633]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.128396,0.311728,0.762308,0.618981,0.46768,0.689898,1.41527,2.03525,3.988,4.60682]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.90411,3.45302,6.62864,8.09965,10.0675,12.6261,16.1918,14.9518,18.5113,18.3657]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1705, 181, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0803845,0.266995,0.169676,0.173876,0.274352,0.320685,0.486312,0.419028,0.624425,0.582208]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[211.186,472.2,664.645,743.178,734.336,610.877,449.487,472.1,385.557,133.309]}', '', '', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1706, 182, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000405614,0.00687726,0.0159461,0.0278469,0.05972,0.0752531,0.121028,0.104498,0.146572,0.119306]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[127.31,132.476,133.148,145.482,188.478,256.769,293.132,300.91,227.582,45.3599]}', '', '', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1707, 183, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[14.1509,131.679,234.96,267.836,275.46,175.761,0.971748,0.00376134]}', '', '', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1708, 184, 237, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\"],\"number\":[0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\"],\"number\":[2.78518,5.26715,8.4144,11.5434,17.2365]}', '', '', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1709, 185, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[0,0.000551562,0.000481183,0.0004738,0.00078586,0.000690541,0.000776528,0.000346313]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[1.48623,15.3137,39.0161,68.7604,78.2632,10.7949,0.226894,0.00128366]}', '', '', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1710, 186, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,5.75006e-5,0.000626468,0.00191624,0.00503808,0.0116768,0.0143834,0.0289267,0.0352291]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.54074,42.9231,76.9675,93.5478,97.697,103.227,113.932,128.775,119.945,87.9493]}', '', '', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1711, 187, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[17.7905,101.917,132.458,117.059,39.2919,2.74001,0.055714,0.000235245]}', '', '', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1712, 188, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0799789,0.259566,0.153191,0.144929,0.21193,0.239704,0.35283,0.299801,0.448927,0.427673]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[43.9073,45.1066,42.8283,42.0785,43.6025,44.349,41.1686,42.4092,38.0296]}', '', '', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1713, 189, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.30095,12.3227,13.8792,7.02073,6.40463,5.79229,4.77728,4.06566,7.4578,11.3599]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[54.5811,52.4683,54.0153,54.1612,55.6106,56.1276,51.147,50.8901,44.2365,131.456]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.11484,3.41619,5.18352,5.04837,3.24921,3.73389,4.61949,4.8371,8.64238,14.9175]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[71.4436,51.2871,43.9321,45.0146,50.553,53.4065,59.5112,65.7905,75.4888,101.655]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1714, 190, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0896454,0.155662,0.157867,0.10816,0.0963573,0.0836417,0.0567947,0.0567974,0.0544962,0.0477404]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[28.9842,27.4686,28.8215,29.1668,29.7747,29.539,27.2019,26.8255,23.4098,23.66]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.100439,0.112454,0.120555,0.105338,0.0864641,0.0854423,0.0733299,0.0948694,0.0996508,0.0808965]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.4116,6.49705,4.68558,5.08769,6.64474,7.24611,8.90185,9.80171,12.1006,14.7067]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1715, 191, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0721977,0.101303,0.113883,0.0795953,0.0741791,0.0688913,0.0509449,0.0552352,0.0613408,0.0656017]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.0965,12.3638,13.3687,13.3878,13.9491,14.3472,12.4356,12.019,9.78493,9.76211]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0838851,0.0769468,0.090317,0.0808613,0.0685424,0.0722713,0.0671299,0.0919504,0.109379,0.109835]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.08848,4.82947,4.75666,4.66369,4.73967,5.33204,5.45418,5.56087,6.11455,6.71231]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1716, 192, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.052983,0.0734874,0.0774235,0.0521204,0.0477931,0.045482,0.0384021,0.0542244,0.074022,0.0974985]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.800499,0.733483,0.781535,0.795149,0.859765,0.854082,0.79062,0.776475,0.662488,0.70253]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.120996,0.108465,0.115559,0.0972749,0.0806284,0.0842553,0.0899333,0.167211,0.262514,0.327592]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.307313,0.168392,0.127881,0.142197,0.184424,0.204393,0.254501,0.288538,0.392937,0.485348]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1717, 193, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.08612,11.9923,13.53,6.78085,6.1863,5.59428,4.63114,3.8994,7.26794,11.149]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.6999,11.9025,11.0436,10.8115,11.0271,11.3874,10.7189,11.2691,10.3793,97.3316]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.80952,3.11833,4.85709,4.7649,3.01357,3.49193,4.3891,4.48307,8.17084,14.3992]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[53.6362,39.7922,34.362,35.121,38.9842,40.624,44.9007,50.1394,56.8807,79.7508]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1718, 194, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.791279,3.12818,4.76734,3.64672,4.77144,6.77215,6.3847,6.16869,14.6631,15.8102]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[31.4802,36.1666,40.5169,45.3861,51.0212,57.7062,64.6238,82.0842,96.6966,154.333]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.0114,1.25084,2.84437,2.36892,2.90006,3.14198,3.64693,3.7011,5.82881,12.1678]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[35.5978,31.8592,33.739,38.898,45.8026,52.4509,61.7193,76.8444,91.8919,121.94]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1719, 195, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.36162,0.84133,1.13893,0.913249,1.05597,1.18534,1.31829,2.31413,3.82988,5.0609]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1329.27,1567.77,1961.52,2315.52,2713.95,3266.62,3945.37,4545.53,5027.44,5459.92]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.149305,0.253838,0.486418,0.614047,0.569002,0.669862,0.894276,1.98235,2.80126,3.94038]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1200.56,1328.93,1802.27,2158.45,2504.13,2899.13,3388.61,3899.91,4324.17,4736.7]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1720, 196, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.211073,0.502386,0.644647,0.574635,0.638828,0.794344,0.88903,1.72055,3.00206,3.93999]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[22.468,44.1977,64.0743,78.0818,87.2323,94.8887,106.419,122.22,141.401,163.198]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0971511,0.167202,0.311909,0.404111,0.409182,0.477832,0.666795,1.43366,2.25195,3.0008]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.77762,11.3121,16.5685,20.9159,23.666,26.2966,28.7038,33.9927,39.4793,46.1605]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1721, 197, 237, '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.5769,133.749,415.481,813.552,1105.13,1237.69,1304.73]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.2088,82.2617,251.274,491.638,680.425,767.213,813.278]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1722, 199, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[591.227,631.286,708.073,872.919,1036.18,1191.48,1377.45,1577.41,1759.52,1924.36]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[701.592,778.798,914.377,1143.38,1362.53,1548.08,1768.59,2041.42,2273.6,2486.04]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1723, 200, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[523.828,478.052,495.078,611.853,723.302,841.287,911.459,896.106,876.108,852.765]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[428.454,388.764,401.014,495.983,585.246,671.771,721.788,710.065,694.308,675.903]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1724, 201, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00327277,0.0207094,0.0537801,0.103481,0.161383,0.25688,0.373394,0.496539,0.600203,0.715836]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0118968,0.0869454,0.239253,0.464518,0.765479,1.17463,1.68263,2.22653,2.75136,3.28577]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1725, 202, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.150547,0.338944,0.494284,0.338614,0.417139,0.391,0.429258,0.593581,0.827815,1.1209]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[191.739,414.211,694.237,740.987,733.323,723.231,736.117,844.167,1012.12,1214.14]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0521538,0.0866358,0.174509,0.209936,0.159819,0.19203,0.227481,0.54869,0.549309,0.939579]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[64.7198,149.972,470.072,490.498,449.659,400.534,376.203,431.776,546.817,712.027]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1726, 203, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.97743,5.7689,6.32776,3.50394,2.81164,2.89287,2.5609,3.26444,6.56565,9.70108]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1239.64,1063.03,1140.84,1281.68,1440.62,1617.1,1902.93,2388.83,2976.16,4081.53]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.70864,2.5884,2.71013,2.44425,2.17695,2.8013,3.90105,5.59723,8.55037,13.2885]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1192.46,1043.01,1158.79,1331.92,1508.28,1697.48,1988.61,2502.21,3099.26,4323.28]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1727, 204, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.61331,4.84652,4.62736,2.47575,1.7192,1.5595,1.01383,0.984688,1.47093,1.98603]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[53.6722,35.3118,29.989,26.1633,21.5584,19.5033,19.7536,22.9962,23.3791,22.6369]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.46781,2.11646,1.78928,1.18836,1.08217,1.40133,1.86421,2.20041,2.58844,2.57742]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[49.9546,32.1979,27.6101,23.7788,20.659,18.2397,17.6924,20.3761,20.899,20.0184]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1728, 205, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.107038,0.251796,0.17131,0.124009,0.0872733,0.0860621,0.038618,0.0322098,0.0325135,0.040245]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.55757,7.90223,6.57404,5.61459,4.47253,3.69825,3.62697,3.46406,3.04452,2.89892]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0647566,0.0564554,0.0375596,0.0272206,0.0246388,0.0440421,0.0567529,0.0590528,0.0717096,0.041783]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.13767,5.97987,5.15634,4.28202,3.34975,2.64271,2.51095,2.31678,2.1664,1.97723]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1729, 206, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.834122,2.62289,2.45891,1.22059,0.801241,0.65541,0.425678,0.398125,0.65948,1.01381]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.1379,6.18569,5.09053,4.38173,3.71323,3.91957,4.14429,3.76767,4.18723,5.48071]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.4584,1.3784,1.2687,0.77542,0.565873,0.622964,0.740751,0.792126,0.958607,0.977597]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.5056,5.0498,4.32808,3.82482,3.38255,3.49158,3.53464,3.61305,4.02888,5.16691]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1730, 208, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0584561,0.176571,0.129788,0.109011,0.0865574,0.0666877,0.0568937,0.057003,0.0846768,0.0679952]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.42916,9.08704,8.35564,7.30532,6.16898,5.36265,5.31754,8.03937,8.41629,7.20103]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0601616,0.0433344,0.0432254,0.0387684,0.0368415,0.0469948,0.0926704,0.137009,0.138607,0.0792261]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.51833,9.17643,8.40297,7.37902,6.16318,5.13036,4.77154,6.57004,6.63841,5.3592]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1731, 209, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.151627,0.783999,0.77223,0.205873,0.134707,0.13306,0.0638608,0.0554812,0.0558011,0.0581989]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.45188,3.28998,2.9669,2.59315,2.25583,1.95972,1.96355,2.89329,3.08108,2.57962]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.133313,0.249679,0.0666482,0.0712591,0.0597151,0.102251,0.114251,0.12144,0.0685995,0.0975842]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.5618,3.73204,3.38586,3.1169,2.6923,2.31065,2.16346,2.79421,2.80542,2.19615]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1732, 210, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.462065,1.01127,1.09513,0.816275,0.60942,0.618279,0.428778,0.441869,0.638459,0.805788]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.356,7.68894,6.13361,5.52853,4.29667,3.96168,4.12365,4.28461,4.13995,4.00742]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.751174,0.388585,0.373142,0.27569,0.395102,0.585077,0.859783,1.09079,1.35091,1.38123]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.0613,6.8127,5.23703,4.21843,4.19183,3.8134,3.87607,4.29212,4.491,4.58809]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1733, 211, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.36412,0.922377,1.7004,1.02818,1.09244,1.33337,1.54708,2.27975,5.09472,7.71505]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[782.551,569.523,503.626,489.607,480.875,491.629,514.156,551.32,592.697,634.267]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.240836,0.471943,0.920846,1.25589,1.09478,1.39997,2.03684,3.39681,5.96193,10.7111]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[689.946,489.872,434.723,426.113,422.236,435.249,461.059,514.104,576.606,646.734]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1734, 212, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[173.172,154.829,149.045,144.144,139.781,138.07,138.144,137.872,137.425,136.016]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[139.71,125.633,120.64,117.024,113.723,112.038,111.622,111.529,110.623,109.429]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1735, 213, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.39183,8.58976,10.0921,11.4297,12.6383,14.0161,15.9082,19.1006,21.9496,24.2063]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.91146,10.4044,12.4357,14.3127,15.9589,17.6586,19.8389,23.6988,26.9991,29.5931]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1736, 214, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.114495,0.32008,0.587315,0.378786,0.398389,0.442478,0.523976,0.769298,1.72087,2.41542]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.00924,4.93961,5.40632,5.66374,6.00866,6.37295,6.81982,7.55042,8.42202,9.07772]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0781894,0.134884,0.266796,0.39473,0.37681,0.485945,0.739271,1.1552,2.05968,3.36793]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.3189,5.11826,6.25533,7.40072,8.52342,9.64199,10.7958,11.7973,12.5771,13.2863]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1737, 215, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.156254,0.406804,0.69341,0.432274,0.469862,0.573349,0.61881,0.904381,2.01241,2.85319]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.756,11.9446,11.7294,11.9556,12.0618,12.2104,12.8345,14.9463,16.9548,18.6871]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.110739,0.204149,0.393276,0.543838,0.442431,0.571808,0.822524,1.42941,2.39311,4.08441]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.7309,12.2388,11.9253,12.2311,12.3716,12.4469,12.98,15.1395,17.1197,18.8482]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1738, 216, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.7668,28.3773,28.9852,29.1556,28.6062,28.2709,28.162,27.9637,27.6059,27.3009]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[28.7847,29.5717,30.0652,30.3994,29.7943,29.4124,29.0416,28.8424,28.4703,27.824]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1739, 217, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[32.6829,20.4855,23.9676,27.3014,30.5462,34.0597,39.301,46.4569,53.3065,59.8748]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[36.118,22.9279,26.8529,30.6847,34.3367,37.9651,43.2575,51.1717,58.5779,65.6184]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1740, 218, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[77.8435,31.8559,29.2287,26.9534,24.4808,22.2924,21.1035,21.1204,20.9568,20.7612]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[83.1405,34.1711,31.3091,28.8312,26.1855,23.6286,22.0483,22.0954,22.0578,21.8284]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1741, 219, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[283.55,157.257,85.2086,55.5328,31.7134,18,7.59772,4.89958,3.3567,1.81152]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[247.967,136.473,75.0272,49.0996,28.0335,16.0262,6.80738,4.32226,2.95205,1.59388]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1742, 220, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.3438,26.7982,27.9586,28.5388,27.757,27.2316,27.1749,26.9627,26.5049,25.981]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.6368,16.6262,17.4194,17.6482,17.3127,16.9195,16.6967,16.5194,16.1805,15.9177]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1743, 221, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.5049,26.5224,34.122,42.4782,50.5994,59.2249,65.3883,67.1528,68.5112,69.6357]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.6915,20.1415,25.9137,32.3545,38.4961,44.7493,48.9715,50.2718,51.1766,51.8805]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1744, 222, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[41.8823,42.2994,43.3564,45.0617,46.671,48.4471,49.7932,48.9955,48.042,46.8098]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.3621,27.6394,28.0967,29.5428,30.6136,31.8153,32.3063,31.7379,31.0475,30.0921]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1745, 223, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0890161,0.191018,0.408842,0.213454,0.220192,0.313212,0.396755,0.598816,1.34131,2.41121]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.650546,1.43759,2.38209,3.38895,4.83785,6.81655,10.0663,14.412,20.2676,28.0976]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0500236,0.129377,0.255325,0.312187,0.269892,0.334969,0.464468,0.798703,1.48504,3.219]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.578613,1.27683,2.50995,4.10403,6.17137,8.79938,12.561,18.183,25.308,35.5717]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1746, 224, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00435386,0.00447599,0.0108281,0.00367063,0.00399896,0.00433235,0.00753412,0.00725938,0.020119,0.0352282]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[70.9973,54.1859,52.1441,58.0026,65.1734,76.6159,91.8631,113.887,139.394,166.008]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00188343,0.00353385,0.00544996,0.00513624,0.00565002,0.00724697,0.010577,0.013492,0.0240975,0.039758]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[64.9946,47.6508,46.2729,52.4807,60.7156,74.1477,94.133,128.796,173.516,225.251]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1747, 226, 237, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.337205,2.21782,6.64268,11.0671,17.2935,29.8266,47.6162,73.2317,113.261]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.22788,1.60707,5.25374,9.69088,14.0442,21.6245,44.3485,84.1401,134.545]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1748, 227, 237, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.281851,3.79181,18.8534,36.8099,58.6567,99.9469,158.54,244.562,371.112]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.14161,1.76858,9.36317,19.8199,29.4352,45.036,91.2012,173.066,275.657]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1749, 228, 237, '{\"age\":[\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0]}', '{\"age\":[\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.80157,18.6245,42.8662,83.7019]}', '{\"age\":[\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0]}', '{\"age\":[\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.32438,8.68257,25.5837,51.7397]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1750, 229, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[30.6364,23.9144,32.9425,48.9955,67.2854,90.1893,121.252,181.863,277.762,424.394]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.8577,19.7584,27.4329,40.8122,56.1169,74.1206,98.8614,150.063,229.776,350.615]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1751, 230, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[156.009,181.652,248.554,315.354,385.324,461.008,586.16,767.846,943.177,1474.28]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[217.181,251.864,342.291,434.703,518.948,612.352,744.666,959.81,1179.69,1881.84]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1752, 231, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[67.9431,80.2948,107.383,127.474,153.498,174.766,184.346,240.021,306.255,375.256]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[66.115,81.9555,115.279,147.219,179.649,215.167,266.993,333.255,370.465,435.753]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1753, 234, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[147.612,167.893,184.047,175.295,156.593,125.853,118.912,120.552,119.934,115.667]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[142.101,163.213,180.885,172.743,154.629,124.115,115.758,117.134,115.948,111.751]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1754, 235, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00521303,1.84232,18.5829,50.7801,89.0291,116.186,129.836,133.795,133.137,127.951]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00583026,1.87769,19.2788,53.5766,94.9081,124.231,139.037,144.802,144.523,139.203]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1755, 236, 237, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.840466,8.57025,21.3317,37.2842,60.5548,93.2452,143.582,216.57,335.761]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.655472,6.69433,17.0807,30.2395,48.9794,74.7432,116.242,175.838,271.975]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1756, 238, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.9562,29.5165,25.6345,19.591,16.5993,14.7538,15.3821,14.5332,25.3037,31.315]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[104.21,147.496,179.514,203.447,208.689,214.608,212.819,210.719,195.503,174.43]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[28.7267,79.1525,96.8025,82.0562,59.5828,52.0781,54.9689,73.3028,93.4101,87.0635]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[195.159,296.846,378.662,442.915,463.379,479.596,490.677,494.34,473.332,437.315]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1757, 239, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.8911,27.7003,24.0104,18.1606,15.2969,13.9042,14.4282,13.2017,23.2451,28.3496]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[80.9968,110.999,140.267,155.953,164.104,172.845,177.082,171.534,165.629,148.914]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.8153,70.4522,88.3942,75.3024,56.6018,48.899,51.1644,68.1644,87.6423,80.771]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[167.69,250.122,311.094,356.208,389.866,403.292,409.434,411.03,397.554,373.028]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1758, 240, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.703349,1.59247,1.43466,1.29829,1.02267,0.687895,0.928164,0.7788,1.3064,1.5265]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.74188,7.60859,10.3808,14.4285,14.6549,12.3222,16.3263,15.2933,14.2813,11.6701]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.0528,8.95567,9.95606,10.6483,6.80498,6.24752,6.09222,9.76254,11.3537,9.45706]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.3692,40.0546,46.2677,70.1845,67.6656,75.2689,70.3882,84.5868,69.4267,59.6092]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1759, 241, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.2035,2.30074,2.4253,1.78091,1.77141,1.24418,1.23201,1.18136,1.78498,2.75491]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.8896,12.9106,20.6724,23.4673,31.6241,26.6758,26.8319,29.0083,23.924,24.1613]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.70962,6.15543,10.0312,7.79733,5.66527,5.64699,4.75438,7.92645,10.6123,8.72027]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.8122,28.1825,47.6407,52.2208,55.7691,70.1867,55.2913,67.2074,66.1029,54.7272]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1760, 242, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.69364,6.17678,5.13289,3.57284,3.44508,2.21052,3.34798,2.80176,3.7602,5.91736]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.869,33.5747,43.3623,47.1404,57.9531,46.2151,68.5638,65.9097,49.7839,50.538]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.2678,28.5337,30.8379,21.8048,21.5637,13.7478,17.4552,26.2427,30.2745,26.7324]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[87.6028,133.331,151.932,145.28,217.13,168.938,211.143,239.753,200.472,175.503]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1761, 243, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.79401,2.94972,2.1688,1.24362,1.14691,1.58469,2.18829,2.45991,5.83955,5.76209]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.0673,16.2855,19.3646,17.1098,21.4833,35.7206,48.908,64.6287,80.9506,55.7657]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.49616,5.29971,4.79903,5.04957,4.0423,4.60288,5.18119,7.11855,9.10173,11.4406]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.2688,23.0646,22.459,32.5148,38.9517,53.2822,57.5607,57.6103,52.8274,66.9176]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1762, 244, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.4966,14.6806,12.8487,10.2649,7.91083,8.17688,6.73174,5.97984,10.554,12.3887]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[64.5186,84.8097,107.293,134.107,138.873,177.892,142.654,138.415,139.174,111.708]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.28889,21.5077,32.77,30.0024,18.5256,18.6538,17.6815,17.1141,26.3001,24.4206]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[71.7258,96.4619,142.048,192.276,175.656,203.363,190.242,135.688,146.733,140.549]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1763, 245, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.06515,1.81621,1.62418,1.43046,1.30236,0.849609,0.953932,1.33155,2.05861,2.96545]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.2131,36.4979,39.2478,47.4948,44.5846,41.7635,35.7369,39.1852,29.8742,25.5168]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.91146,8.70036,8.40832,6.75371,2.98095,3.17905,3.80452,5.13842,5.76786,6.29254]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.4692,46.724,67.5687,86.7068,73.5132,76.3047,81.2438,83.31,75.7782,64.287]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1764, 246, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.0994,33.8726,35.1487,26.3708,27.7084,24.024,20.7488,22.8186,36.6775,60.8129]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[64.7529,82.1787,113.115,148.949,202.891,268.077,335.179,401.105,484.352,573.822]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[36.9505,66.3299,65.0718,59.0225,45.2672,46.1555,51.1811,79.3317,92.7463,115.679]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[118.745,165.504,221.327,296.429,412.673,539.129,676.93,828.001,992.503,1162.44]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1765, 247, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.486708,1.22595,1.48343,0.784244,2.25307,2.02354,0.993898,2.09552,4.07713,6.97095]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[38.1323,47.9244,66.6319,91.8728,135.379,186.825,243.41,303.183,379.042,461.467]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.44235,2.88866,3.22926,3.78733,3.85942,5.37686,4.5287,8.48505,12.0488,21.2368]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[59.4834,78.0159,108.392,154.094,238.351,336.026,446.13,576.434,724.226,879.389]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1766, 248, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.66543,3.43559,2.97219,2.58373,3.68382,3.67027,2.90744,2.20297,6.28614,8.99461]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.776106,0.810467,1.16185,1.75099,2.40485,3.24237,4.04885,4.60763,5.30796,5.77049]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.9828,22.4963,16.9874,11.6543,11.5285,9.96504,10.5564,16.6406,19.964,22.6404]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.60127,2.00793,2.60101,3.78312,5.2891,7.13794,9.29806,10.9186,13.0876,14.2829]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1767, 249, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.18486,7.55481,4.92179,3.83355,2.67517,3.71575,5.12389,5.49098,9.87779,17.7992]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.0283,12.3699,15.6118,18.5135,21.4479,24.6081,26.5612,27.2011,27.0175,26.8584]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.13977,3.95236,5.55357,3.56034,2.82618,2.8166,4.37121,5.4634,7.35992,9.91888]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.1345,17.2002,21.0577,25.8764,31.6113,36.4644,40.5647,43.1283,43.7522,44.8156]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1768, 250, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.5964,3.63816,3.16689,1.39262,2.22187,1.71505,2.08476,1.12432,3.26039,3.58652]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.41134,2.98311,3.72241,4.09576,5.14564,5.99296,7.01458,7.99572,8.31815,8.05986]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.15481,3.46668,5.02536,5.02363,2.83607,2.16756,2.72493,5.10815,5.088,7.274]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.99719,4.56539,6.13004,8.11414,10.5544,12.6878,15.4277,17.1771,19.0631,20.3546]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1769, 251, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.90994,7.16555,8.32506,7.13761,5.77914,4.02587,3.82859,5.04979,5.65855,7.88286]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.35393,4.87772,6.38223,7.38012,7.68725,7.95974,7.73532,7.11913,6.1793,4.99274]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.15382,18.5219,17.3818,16.7438,12.1291,11.1225,10.7787,15.8674,19.265,19.5411]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.5643,24.5275,30.1016,35.6887,42.9298,46.1501,47.2656,43.8584,39.5132,33.5955]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1770, 252, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.10676,3.88179,5.86672,4.85828,2.92281,2.36235,1.65648,2.51597,2.38941,3.09038]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.0678,4.02505,7.4969,9.13778,6.45438,8.50964,5.34121,5.18509,4.70236,2.96016]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.51566,17.1735,15.9132,14.9257,9.92892,9.26252,8.75263,13.0874,14.8637,14.2083]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.1253,29.695,36.2787,41.5219,50.4323,60.4432,53.9199,50.8811,45.7563,34.9123]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1771, 253, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.803175,3.28376,2.45833,2.27932,2.85633,1.66352,2.17211,2.53382,3.26915,4.79248]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.36934,3.30509,3.08387,3.93,5.85264,5.45615,6.79972,5.58239,6.31995,4.76375]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.638154,1.34841,1.46863,1.81809,2.20015,1.85998,2.02609,2.77994,4.40128,5.33284]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.04143,2.35505,3.31849,5.10812,10.7206,11.4988,11.6886,10.6369,13.5926,13.1386]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1772, 254, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.53029,5.22111,6.78904,2.98449,4.14825,4.44247,2.74497,2.14148,2.66999,5.70934]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.65394,2.56833,4.54458,6.45188,8.86493,13.3166,17.3208,18.5016,25.0593,30.7943]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.28609,1.98153,2.17395,2.54426,2.34646,2.30478,2.01251,3.09093,3.42111,3.3624]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.42484,3.63572,4.69065,6.92233,9.31408,11.6129,17.7297,24.1101,35.5089,46.4671]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1773, 255, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.28017,2.35483,2.85307,3.60821,4.25672,2.15159,1.91912,2.53995,1.75205,3.64476]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.810765,0.960266,1.41347,2.06572,2.43492,3.68212,4.20382,5.19642,4.6475,4.94674]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.44667,2.43415,3.83663,5.0297,3.4045,3.27173,4.81695,3.88123,6.85715,4.77234]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.32364,1.91371,2.28557,3.11272,4.07526,4.48168,6.35439,8.27588,8.81515,10.1995]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1774, 256, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.554303,1.17565,1.73681,1.32936,1.52138,1.30129,1.45481,1.74524,1.36704,2.94059]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.54718,0.658128,0.976843,1.38917,1.68313,2.70729,2.94632,3.63277,3.35078,3.61667]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.351166,0.562808,0.690427,0.899505,0.708541,0.901479,1.4582,1.28607,2.47518,1.96395]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.866644,1.24712,1.45832,1.99498,2.67098,2.88806,4.09799,5.46041,6.09751,6.62846]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1775, 257, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.725871,1.17919,1.11626,2.27884,2.73535,0.8503,0.464314,0.794706,0.385016,0.704169]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.263586,0.302138,0.436624,0.676557,0.751788,0.974822,1.25751,1.56365,1.29672,1.33007]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.0955,1.87134,3.1462,4.13019,2.69596,2.37025,3.35874,2.59516,4.38197,2.80839]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.456992,0.666592,0.827252,1.11774,1.40428,1.59361,2.2564,2.81547,2.71764,3.57106]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1776, 258, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.44556,3.27657,4.63719,4.04635,2.69034,2.2795,1.14615,2.17356,3.09541,6.22467]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.58624,9.68454,13.6463,16.8178,19.5264,22.4504,24.8846,27.3002,28.7808,30.9322]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.34421,10.5883,10.8838,10.6792,6.33704,9.13042,11.3916,20.795,18.7423,26.9331]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[22.2161,33.6381,46.0677,58.837,70.5483,84.568,94.1601,104.099,108.537,113.34]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1777, 259, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[34.3059,70.633,61.8676,36.3439,27.9702,21.8512,18.095,14.8514,28.3512,24.6309]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.85568,15.0933,19.3821,21.5196,21.9317,20.4065,19.0011,16.1759,12.6778,9.7529]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[42.6341,124.342,140.261,111.555,73.1336,53.5097,47.832,48.8741,62.5718,62.6185]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[26.3882,46.4257,61.9059,73.481,77.099,71.3304,65.2784,56.5114,45.8918,37.1241]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1778, 260, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[29.5194,48.5741,34.2103,19.4311,17.1919,16.3692,15.2685,13.4367,26.9876,23.3317]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.89397,5.38554,6.14911,6.20659,6.56938,5.87882,5.78244,5.16441,4.38075,3.99576]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[28.5179,81.6001,72.5391,53.0071,37.9303,29.2637,32.5392,35.1109,51.5481,54.7178]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.60037,8.44506,9.45278,9.7414,11.0539,10.7043,11.5027,10.7712,10.6942,11.1528]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1779, 261, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.78652,22.0589,27.6573,16.9128,10.7783,5.48204,2.82651,1.41475,1.36356,1.29917]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.96171,9.70775,13.233,15.313,15.3623,14.5277,13.2187,11.0115,8.29705,5.75714]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.1162,42.7417,67.722,58.5481,35.2033,24.246,15.2928,13.7632,11.0237,7.90069]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.7878,37.9807,52.4532,63.7396,66.045,60.6261,53.7757,45.7402,35.1976,25.9713]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1780, 262, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.854155,5.77496,6.94348,5.59368,3.13457,1.69835,0.755962,0.349691,0.29418,0.308212]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.18684,2.71865,3.51672,5.3333,4.90084,5.26597,4.61495,3.46607,2.27437,1.73175]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.6918,2.53767,3.99548,4.91679,3.83249,2.75961,1.90362,1.48621,2.2227,1.64907]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.01067,2.53726,3.61976,6.05741,8.3327,8.37836,8.06025,5.96139,9.20265,7.28518]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1781, 263, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.33218,7.18,9.8168,4.50505,3.437,1.64788,0.919946,0.269356,0.267528,0.251844]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.89833,3.62171,5.25832,4.81458,5.68241,5.27478,5.57862,2.69117,2.11298,1.54554]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.54935,19.7971,33.0248,26.6192,13.458,7.2591,5.14396,3.58453,3.23205,1.435]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.527,19.7853,29.3628,32.6056,28.7313,21.1486,21.5056,13.8929,12.8531,6.08373]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1782, 264, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.60019,9.10394,10.897,6.81407,4.20677,2.13581,1.1506,0.795699,0.801857,0.739111]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.67365,4.67653,6.15078,7.49354,7.15948,6.77894,6.89996,8.06052,6.54774,4.552]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.875,20.407,30.7017,27.0121,17.9128,14.2273,8.24518,8.69246,5.56893,4.81662]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.1962,20.361,27.0575,34.0026,39.1248,43.259,35.3483,35.2744,23.0956,21.3765]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1783, 44, 237, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[281.551,268.297,253.147,238.799,222.829,212.976,203.624,189.672,174.116,155.732]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[393.05,375.402,356.781,338.888,316.707,297.927,280.229,263.349,239.84,212.816]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1784, 152, 237, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[47.7275,82.3358,50.8533,35.4004,25.195,13.1181,5.28071,2.1662,1.01937,0.414382]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[80.0459,145.831,91.5472,65.4717,46.666,24.4851,9.92064,3.97965,1.7388,0.836676]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1785, 154, 237, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1902.83,2132.79,2260.7,2352.59,2388.17,2447.46,2520.19,2541.39,2496.63,2275.9]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1136.33,1280.67,1365.15,1431.73,1442.38,1462.11,1482.19,1497.75,1466.75,1335.14]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1786, 157, 237, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[56.0303,54.8578,53.6492,52.1719,50.016,47.807,46.5948,45.1976,43.4143,41.3798]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[189.274,186.655,181.679,175.202,169.587,163.453,158.063,152.25,146.071,138.59]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1787, 158, 237, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[187.945,18.6131,2.86677,1.38763,0.594252,0.210151,0.063866,0.0145382,0.00249334,0.000468804]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[460.536,51.7689,11.223,5.77458,2.60767,1.01618,0.335431,0.0935669,0.023052,0.00315808]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1788, 198, 237, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1115.06,1109.34,1203.15,1484.77,1759.49,2032.77,2288.91,2473.52,2635.63,2777.13]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1130.05,1167.56,1315.39,1639.36,1947.78,2219.85,2490.38,2751.49,2967.91,3161.95]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1789, 207, 237, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.73978,1.15788,0.86831,0.739994,0.65121,0.60138,0.577615,0.547214,0.509988,0.469163]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.16985,1.44704,1.0998,0.957609,0.879417,0.851002,0.835702,0.789906,0.768914,0.730769]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1790, 225, 237, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[255.799,287.623,396.025,518.507,655.279,803.376,1027.03,1416.59,1890.44,2845.25]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[310.457,355.189,489.598,638.623,785.61,946.668,1180.32,1589.55,2065.45,3133.6]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1791, 232, 237, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.21063,1.14298,1.136,1.18754,1.29485,1.46172,1.69613,2.07849,2.58854,3.24676]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.3036,1.2418,1.21965,1.27225,1.38565,1.54881,1.81153,2.19042,2.72546,3.44465]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1792, 233, 237, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[147.617,170.576,211.2,247.406,282.906,302.594,341.993,397.93,469.642,579.379]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[142.107,165.746,206.858,243.4,279.777,297.325,329.538,378.178,436.308,522.93]}', 2010, '', 1, '', '', '2014-05-30 13:29:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1793, 301, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.9694,5.68986,7.31823,5.60213,5.57845,5.85632,4.84975,5.7243,8.46937,13.2177]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.5187,11.8289,12.9785,13.9668,14.9149,16.1271,17.4181,18.5799,19.7248,20.6678]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.16312,4.24833,6.79277,7.23176,6.20375,7.16056,7.34781,12.9341,19.0768,26.5186]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.1294,11.1218,11.9457,12.6962,13.4691,14.2013,15.0609,16.0503,16.8025,17.4793]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1794, 302, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.840106,2.42634,3.12231,2.39752,2.37831,2.49375,2.06993,2.43941,3.62155,5.63884]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.48002,5.04074,5.53276,5.95078,6.35923,6.87401,7.42349,7.91947,8.41246,8.81366]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.920965,1.8078,2.89525,3.07419,2.64757,3.05878,3.13295,5.50588,8.15334,11.3129]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.31344,4.73955,5.09378,5.41151,5.74574,6.04707,6.41766,6.83951,7.16314,7.45284]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1795, 303, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.24432,3.59744,4.6271,3.53563,3.5274,3.71034,3.06672,3.62444,5.34481,8.35875]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.65994,7.48495,8.21123,8.83852,9.43572,10.2058,11.0211,11.754,12.4741,13.0717]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.36876,2.69112,4.29505,4.5805,3.92039,4.52182,4.64147,8.1869,12.0479,16.7626]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.4134,7.03846,7.557,8.03295,8.51771,8.99197,9.53086,10.1569,10.6302,11.0563]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1796, 310, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.37,15.8378,14.1929,13.3943,9.25215,7.94906,9.55998,3.2984,7.86885,12.4045]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[907.909,937.36,890.202,873.828,899.713,919.297,850.844,878.322,788.72,791.894]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.3764,2.87511,2.85321,2.82295,2.45633,2.98613,4.00398,7.20742,12.1228,20.0133]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[548.174,406.848,351.02,360.761,402.271,417.729,461.182,513.363,581.832,652.808]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1797, 284, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.37,15.8378,14.1929,13.3943,9.25215,7.94906,9.55998,3.2984,7.86885,12.4045]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[907.909,937.36,890.202,873.828,899.713,919.297,850.844,878.322,788.72,791.894]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.3764,2.87511,2.85321,2.82295,2.45633,2.98613,4.00398,7.20742,12.1228,20.0133]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[548.174,406.848,351.02,360.761,402.271,417.729,461.182,513.363,581.832,652.808]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1798, 274, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.17916,21.0979,23.9196,19.7207,20.9657,22.0298,23.8649,28.7763,52.8534,76.0625]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[457.274,710.353,741.939,640.899,569.059,546.487,534.539,463.866,377.499,287.58]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[46.7857,124.166,152.575,142.296,113.111,112.298,131.199,207.158,290.873,377.514]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1143.6,1791.22,1940.52,1799.79,1698.65,1711.2,1767.54,1561.48,1377.47,1102.09]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1799, 275, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.81617,18.7119,20.2318,16.8626,18.7248,20.1073,21.9926,27.4144,51.2944,74.5414]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[292.105,359.049,356.501,344.289,352.125,394.289,429.092,398.991,339.926,268.243]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[45.8233,120.62,149.914,139.574,109.969,109.719,128.458,204.311,288.572,375.239]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[873.236,1113.72,1171.12,1203.65,1298.34,1454.92,1598.23,1452.8,1308.73,1063.68]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1800, 276, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.4096,2.46525,3.79971,2.92596,2.29812,1.99242,1.9493,1.45328,1.74754,1.85469]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[165.175,351.313,385.454,296.63,216.97,152.266,105.555,65.0192,37.7602,19.5641]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.34385,5.30353,3.55156,3.25993,3.69218,2.8268,3.04671,3.43854,3.03525,3.26147]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[270.394,677.583,769.459,596.196,400.434,256.398,169.478,108.899,68.9903,38.7168]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1801, 277, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.58975,3.97351,5.88001,6.09933,7.44316,7.89501,9.39386,11.0329,24.0503,36.6486]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[445.139,473.493,653.302,807.155,935.703,1100.76,1302.99,1545.43,1656.39,1998.61]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.7407,27.5159,31.5343,32.7942,32.6751,35.648,39.5986,49.3364,66.0088,91.4253]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[528.142,596.332,876.274,1080.59,1234.54,1436.02,1672.96,1980.41,2141.12,2565.97]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1802, 278, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00891645,0.0247742,0.0335093,0.0319528,0.0769656,0.112766,0.23657,0.420284,1.19984,1.75399]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00260064,0.00706148,0.00945257,0.00792311,0.01714,0.0231716,0.0492864,0.0799185,0.236621,0.329895]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0447836,0.070117,0.118548,0.12855,0.177468,0.359698,0.872506,2.22517,4.27962,7.61956]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0118625,0.0163067,0.0287917,0.0321672,0.0440412,0.0747847,0.178356,0.466143,0.854953,1.45345]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1803, 279, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.337174,1.33871,1.85689,1.90942,3.05793,3.40523,4.34225,4.90398,11.6424,18.2275]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[60.2132,45.006,34.0548,30.1893,30.1391,32.3353,36.1961,39.7153,42.7197,45.241]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.275175,0.612192,1.22564,1.55716,1.46108,2.02779,3.37141,7.44526,15.7304,24.7881]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[57.547,44.1705,34.241,30.1608,29.7934,31.8304,35.6535,39.4362,42.8075,43.8358]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1804, 280, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.24366,2.61002,2.8617,3.15985,3.22556,2.9951,2.88993,2.95603,2.67182,2.59103]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.4207,26.8335,28.8942,30.1778,30.0931,31.5307,32.3378,31.5554,29.7076,27.7159]}', '', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1805, 313, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.8811,45.546,39.423,25.7915,18.5933,14.7784,12.9568,8.72086,16.4772,13.9597]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[492.965,653.293,695.114,726.963,744.408,766.199,786.758,778.235,735.436,642.177]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.37643,3.75055,3.22735,2.30709,1.66095,1.30217,1.41408,1.54793,2.20095,2.18115]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[86.5602,99.899,96.9113,92.2112,91.0239,92.3077,93.8261,87.773,76.1445,59.7605]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1806, 314, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.02401,3.16234,2.12972,1.16758,1.06107,1.0089,0.940106,0.847441,1.61871,1.36917]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[122.041,132.251,129.299,125.762,125.44,127.731,130.511,126.599,117.533,99.0311]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.37643,3.75055,3.22735,2.30709,1.66095,1.30217,1.41408,1.54793,2.20095,2.18115]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[86.5602,99.899,96.9113,92.2112,91.0239,92.3077,93.8261,87.773,76.1445,59.7605]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1807, 304, 237, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.735491,0.736483,1.15335,1.34686,1.68617,2.87577,5.55426,7.92868]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.1973,3.00416,3.90031,5.06734,7.08523,8.98682,11.1116,12.8266]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.601349,0.786743,0.816729,1.26716,1.94422,4.09999,6.4504,10.0725]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.64176,3.57136,4.5999,5.82221,8.0481,10.208,12.5995,14.4325]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1808, 306, 237, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.6739,16.0351,24.6973,30.9861,41.7426,74.045,151.98,222.777]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[195.58,251.302,314.014,391.387,498.378,641.164,810.171,1001.11]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.9521,14.3556,14.7615,24.3119,36.7035,85.9609,148.725,246.397]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[162.717,202.756,244.779,292.531,354.782,445.091,544.372,640.169]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1809, 307, 237, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.177891,0.152968,0.163936,0.208249,0.290694,0.419909,1.34095,2.27378]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.173342,0.126108,0.127865,0.23467,0.410169,1.11416,2.26691,4.6045]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1810, 309, 237, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.5194,5.41418,8.37778,10.6317,15.6395,27.1438,54.5877,81.435]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.20884,12.8539,20.3136,29.067,44.7752,60.4373,81.1319,103.86]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.90386,4.33476,5.48078,8.63701,14.6023,34.214,57.9964,96.497]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.3173,7.74565,15.1012,20.0542,33.8125,50.8836,73.3565,95.2998]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1811, 305, 237, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00557935,0.0242833,0.0272445,0.0523933,0.16854,0.304189,0.972711,1.45274]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00177561,0.0052505,0.00384097,0.00798315,0.0312891,0.052042,0.196091,0.266972]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0187674,0.0227126,0.0416133,0.162305,0.375259,1.09819,2.30167,4.26261]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00573221,0.00679704,0.0128109,0.0343051,0.0713962,0.226039,0.441149,0.773156]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1812, 308, 237, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.51382,5.3899,8.35054,10.5793,15.4709,26.8396,53.615,79.9823]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.20706,12.8486,20.3098,29.059,44.7439,60.3852,80.9358,103.593]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.88509,4.31204,5.43917,8.47471,14.2271,33.1158,55.6948,92.2344]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.31157,7.73885,15.0884,20.0199,33.7411,50.6575,72.9153,94.5266]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1813, 271, 237, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.84694,3.02537,6.43336,7.11656,13.8678,29.7771,93.3584,162.502]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.97317,42.912,60.5827,40.9632,97.0366,170.257,808,907.201]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.426925,20.6181,24.6591,36.5389,61.2109,152.558,289.016,504.009]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.02812,325.148,408.944,589.223,705.371,1073.83,1475.76,1792.77]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1814, 272, 237, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.84694,1.89416,2.95257,3.51826,4.46604,7.53401,13.1142,18.5216]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.97317,4.59558,6.51437,8.82824,12.3829,16.4591,19.264,22.4801]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.426925,0.574528,0.530747,0.701245,0.964872,1.81034,2.55254,4.19393]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.02812,1.59337,2.04696,2.33664,3.12476,3.77279,4.19389,5.15585]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1815, 265, 237, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.6729,9.56618,18.2072,24.3679,41.4369,74.2689,174.257,257.925]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[76.5029,128.453,218.115,320.936,461.346,562.47,713.646,814.39]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.1718,13.8362,18.3648,24.1088,47.4601,92.6188,178.558,264.478]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[85.6448,147.343,258.152,375.173,567.53,637.752,813.128,848.96]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1816, 266, 237, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.0394,1.06662,2.25154,2.58278,4.55186,9.333,23.4612,38.6483]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.76031,6.04291,12.3649,17.3672,36.8532,51.8742,79.1026,94.0164]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.74273,0.886656,1.78619,2.79758,4.62688,9.77829,16.0331,27.3489]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.1125,5.00587,13.0881,18.3318,27.1987,38.6624,48.249,56.6178]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1817, 267, 237, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[31.4191,30.481,55.6326,67.9633,105.992,172.538,371.566,550.338]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[52.7702,76.9766,148.791,205.846,357.608,437.257,641.265,788.698]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.6767,29.4818,37.0017,55.747,98.0464,209.598,385.434,620.478]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[37.0268,54.8373,109.779,140.713,256.867,353.779,564.707,703.449]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1818, 268, 237, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.982,14.7089,29.8847,37.3049,57.6763,93.925,191.717,287.268]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[129.697,191.716,395.04,620.746,1006.28,1238.15,1415.37,1547.7]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.10817,7.36855,11.0528,20.2207,31.0319,66.2812,101.48,158.605]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[62.699,92.2525,189.128,280.58,422.436,533.121,600.239,650.456]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1819, 286, 237, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[26.7806,28.0506,44.2237,57.7545,79.1096,141.065,284.183,418.121]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[71.1644,112.865,169.276,243.992,338.762,441.535,557.81,665.624]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.0862,28.9747,32.4313,53.2212,85.9195,194.931,335.937,544.154]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[69.3351,110.837,176.359,250.642,359.078,491,639.39,765.139]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1820, 287, 237, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.7584,15.5259,25.8055,33.2154,46.5549,85.234,167.857,230.901]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.0195,25.1337,36.4841,51.2302,77.3603,111.584,151.233,174.3]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.6388,15.563,16.5697,27.9294,44.8586,104.836,182.587,280.354]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.3601,29.1891,42.5208,59.5813,90.6767,133.751,183.135,215.537]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1821, 288, 237, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.92462,0.827556,1.13457,1.29329,1.49011,2.34005,3.69525,4.56811]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.801578,1.04844,1.27912,1.54158,1.9891,2.43845,2.9034,3.08439]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.702617,0.906049,0.795513,1.17144,1.5024,2.89586,4.33065,5.83814]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.03514,1.38847,1.71496,2.09022,2.74694,3.39538,3.99864,4.27438]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1822, 289, 237, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.314675,0.254139,0.317707,0.3583,0.302778,0.216682,0.204712,0.146651]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.56916,1.95658,2.41099,2.98735,2.57248,1.29513,0.719747,0.44607]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.312735,0.35128,0.301889,0.40798,0.437076,0.464825,0.382513,0.325087]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.08666,2.72898,3.36428,4.00459,3.71227,2.31546,1.38169,0.821074]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1823, 290, 237, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.29112,3.66105,6.05111,7.08447,8.39338,17.124,37.4855,60.9124]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.6753,25.7909,38.3968,55.2181,83.3107,120.258,161.081,196.333]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.45152,4.66982,5.33735,8.74395,14.253,30.5262,52.5438,86.5912]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.9193,29.6722,44.2319,63.1416,93.9414,136.778,183.584,222.701]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1824, 291, 237, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0732838,0.0757529,0.13819,0.24934,0.431304,0.66921,1.61168,2.6229]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0331887,0.0366174,0.0633027,0.114131,0.222673,0.305096,0.677017,1.08205]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0728503,0.111432,0.132197,0.145492,0.408906,0.941508,1.85859,3.32431]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0383836,0.0636337,0.0812142,0.0996581,0.240154,0.526236,0.99567,1.71293]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1825, 292, 237, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0190472,0.0196552,0.0363536,0.0662162,0.115483,0.178107,0.422663,0.688015]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.53969,7.37257,11.1989,15.7732,19.8408,22.6232,24.3469,25.0283]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0207694,0.0326139,0.0388276,0.0430394,0.122185,0.280648,0.545076,0.971825]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.14329,8.51069,13.0452,18.2513,22.7289,26.2576,28.2323,28.8425]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1826, 293, 237, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.01974,1.08102,1.75004,2.02536,2.37248,4.49123,9.53006,15.0447]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.5296,32.4349,47.4724,65.7731,84.6735,102.894,117.719,130.018]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.99326,1.29011,1.44296,2.24449,3.55928,7.32902,12.1277,19.5522]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.6519,31.5289,46.5005,64.3821,82.2315,100.924,115.463,126.516]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1827, 294, 237, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.44567,1.83158,2.50472,2.90573,3.44581,5.57308,10.8567,14.9295]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.5241,23.5586,34.072,45.2341,55.3322,64.4702,68.8392,69.8664]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.73357,4.16006,4.13159,5.8079,7.98079,15.9073,26.2935,40.2439]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.6927,30.606,47.1972,65.6414,85.8031,107.854,128.077,136.104]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1828, 295, 237, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.487215,0.473954,0.689296,0.729162,0.746783,1.21298,2.12744,2.7015]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.1938,3.2266,4.22165,5.36545,6.83994,7.86407,8.33923,8.01938]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.657019,0.800553,0.822875,1.19214,1.71233,3.09082,4.38767,5.885]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.25049,4.88006,6.53696,8.36176,10.8552,13.0366,14.281,14.0461]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1829, 296, 237, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.111169,0.113978,0.207203,0.36699,0.633518,0.998327,2.43461,4.02528]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0506177,0.0542881,0.0951115,0.169542,0.325667,0.452596,1.0236,1.63912]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.111199,0.169513,0.199719,0.217028,0.610772,1.41988,2.83205,5.15479]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0605462,0.096028,0.122061,0.148548,0.354779,0.79263,1.51719,2.68072]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1830, 297, 237, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.96993,2.14471,3.47515,3.99379,4.64474,9.2129,19.5906,31.0567]}', '', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.07064,2.73788,3.07535,4.92237,7.86986,16.4519,27.5925,44.1425]}', '', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1831, 298, 237, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.08077,1.17009,1.87754,2.1383,2.45055,4.85909,10.3193,16.335]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.15588,8.24546,11.9066,16.5835,24.2848,34.1094,44.3619,52.4446]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.15151,1.50764,1.66767,2.65344,4.21336,8.75967,14.7006,23.2571]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.94971,9.59172,13.877,19.2037,27.7322,39.2706,51.1809,60.2511]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1832, 299, 237, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.208708,0.217908,0.350761,0.399324,0.44028,0.846756,1.69433,2.57757]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.988131,1.55679,2.21036,3.05017,4.32204,5.83741,7.26211,8.24333]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.203067,0.26512,0.284571,0.451322,0.677132,1.37406,2.1762,3.27301]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.05075,1.67366,2.40846,3.28202,4.62148,6.20343,7.67851,8.59057]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1833, 300, 237, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.3556,12.6726,18.7247,25.4537,34.7968,58.7524,115.864,172.486]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.2347,30.5747,46.0106,70.7032,101.934,132.671,174.813,222.69]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.3871,11.7219,13.8864,22.9993,36.6803,82.7099,137.48,227.116]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.5706,21.0644,38.7258,54.7991,87.8584,127.853,181.029,233.959]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1834, 270, 237, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.38174,5.48032,8.96111,12.2436,17.1956,33.2626,74.3005,121.66]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[39.3261,63.0785,94.1356,132.555,177.411,225.48,282.578,334.118]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.49119,4.5793,5.20574,8.03294,13.8826,29.6086,56.1329,100.686]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[32.9326,53.3763,79.4987,111.29,148.082,191.687,242.961,289.026]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1835, 283, 237, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.12791,0.998111,1.0827,1.38192,1.92511,2.75256,8.53628,14.0761]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[122.863,152.449,186.277,224.159,273.346,329.582,389.45,449.15]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.29594,0.930636,0.943378,1.72974,3.01692,8.11057,16.2911,31.3017]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[179.681,217.206,255.73,297.507,353.134,419.502,496.854,550.944]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1836, 273, 237, '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.13121,3.48078,3.5983,9.40181,22.2431,80.2442,143.98]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[38.3164,54.0684,32.1349,84.6537,153.798,788.736,884.721]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.0435,24.1284,35.8377,60.246,150.748,286.463,499.815]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[323.555,406.897,586.887,702.246,1070.06,1471.56,1787.61]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1837, 269, 237, '{\"age\":[\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.11577,2.25009,3.98221]}', '{\"age\":[\"50-54\",\"55-59\",\"60-64\"],\"number\":[39.3546,64.4552,71.288]}', '{\"age\":[\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.36257,4.96046,12.056]}', '{\"age\":[\"50-54\",\"55-59\",\"60-64\"],\"number\":[62.9956,101.778,136.07]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1838, 315, 237, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.8533,44.1459,38.4836,25.2766,18.1049,14.3055,12.5078,8.29616,15.6796,13.2478]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[390.987,547.561,592.789,628.443,646.498,666.319,684.324,679.011,643.382,564.567]}', '', '', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1839, 281, 237, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[84.5222,107.594,137.582,176.015,178.139,214.657,257.145,345.811,312.863,524.675]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[125.646,159.658,205.559,261.282,260.964,310.807,361.711,480.174,452.854,760.439]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1840, 282, 237, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[300.401,320.885,358.793,448.495,541.13,629.58,736.259,830.245,911.126,979.213]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[344.937,392.487,456.763,571.907,688.008,795.8,922.283,1040.83,1147.74,1209.3]}', 2010, '', 1, '', '', '2014-05-30 13:31:34', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1841, 1, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[164.468,701.047,1423.2,1731.88,1496.69,1239.76,1128.2,562.077,514.554,372.652]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[325.02,1176.12,3294.13,5882.96,7677.54,5924.79,3957.03,2126.96,1395.37,920.065]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[109.531,316.77,892.643,1457.17,1918.01,1944.44,2051.23,1763.39,1403.07,1160.68]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[256.451,565.483,1829.83,3646.06,6802.48,8366.06,8020.73,4653.97,3748.68,1923.12]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1842, 2, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.7199,66.7631,71.8232,58.1956,45.2717,39.706,41.5664,41.4907,75.368,94.9365]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[26.5324,36.4715,96.0688,137.74,201.441,263.982,284.488,236.551,257.793,169.046]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[26.9588,94.4491,215.669,285.643,239.343,227.141,262.715,385.997,476.733,653.367]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[65.8306,91.1663,272.584,451.128,687.536,1047.32,1383.04,936.858,1045.37,511.727]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1843, 3, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[144.748,634.284,1351.38,1673.69,1451.42,1200.05,1086.63,520.586,439.186,277.716]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[298.488,1139.65,3198.06,5745.22,7476.09,5660.81,3672.54,1890.41,1137.58,751.019]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[82.5722,222.321,676.974,1171.53,1678.67,1717.29,1788.52,1377.4,926.339,507.313]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[190.62,474.317,1557.25,3194.93,6114.94,7318.74,6637.69,3717.11,2703.31,1411.4]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1844, 4, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[43.2993,189.737,404.245,500.658,466.698,367.146,325.049,155.819,131.376,83.0746]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[44.9991,62.7992,163.047,235.04,345.425,450.427,484.21,404.5,439.452,288.024]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.7003,66.5041,202.507,350.446,502.15,513.703,535.008,412.027,277.101,151.755]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[113.838,155.71,466.48,769.122,1181.53,1790.71,2366.9,1603.7,1786.05,875.777]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1845, 5, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[101.449,444.547,947.133,1173.03,984.72,832.904,761.581,364.766,307.81,194.641]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[253.489,1076.85,3035.01,5510.18,7130.67,5210.38,3188.33,1485.91,698.128,462.996]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[57.8719,155.817,474.467,821.083,1176.52,1203.59,1253.51,965.368,649.238,355.557]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[76.7825,318.607,1090.77,2425.81,4933.41,5528.02,4270.79,2113.42,917.26,535.62]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1846, 6, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[39.2983,68.3938,63.5671,47.4101,43.7344,44.0364,50.8278,41.9387,102.854,153.608]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[276.153,263.36,286.716,302.002,317.218,330.841,349.575,369.707,384.362,427.945]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[41.6474,62.2627,90.8634,95.4747,80.8449,80.7022,104.969,181.023,263.895,419.923]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[294.805,284.859,313.115,333.362,342.345,348.345,362.285,386.663,401.897,458.656]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1847, 7, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.6,22.7322,22.1929,16.8403,15.6219,15.4938,15.8472,14.1294,29.3753,52.1818]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[53.8955,60.5297,67.3842,73.2949,79.6103,86.0886,93.7337,100.559,107.646,113.456]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.76738,16.7484,26.6069,26.6788,22.1772,24.7227,31.0763,58.5048,86.4832,132.741]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[49.8286,55.6186,60.6319,65.4774,70.1497,74.3532,79.9408,85.0308,90.0065,95.0361]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1848, 8, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.65682,8.12402,5.63103,3.66903,3.22177,2.79429,2.72278,2.3207,3.20675,2.86543]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.95215,4.58582,4.15443,3.72858,3.43001,3.03549,2.76618,2.47751,2.24214,1.98445]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.88781,9.72262,8.25802,6.25783,4.17623,3.36087,3.28792,4.07903,4.29525,4.00371]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.32447,6.05168,5.44006,4.93191,4.50516,3.83073,3.44422,3.11183,2.83869,2.49856]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1849, 9, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.094,29.0813,26.702,20.3276,19.7675,21.2381,28.1628,22.0853,65.4135,92.7444]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.4387,12.3219,13.6776,14.9746,16.4729,18.0316,22.9791,33.0344,42.6841,52.3702]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.9886,27.8555,41.3477,45.546,41.279,42.4362,60.3921,105.369,162.165,269.487]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.7143,12.7735,14.3943,16.1893,17.3791,18.7903,23.768,34.7463,45.406,55.3546]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1850, 10, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0150238,0.0256211,0.0331791,0.031703,0.0171488,0.0104221,0.0134187,0.011979,0.0363193,0.0357246]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[51.5291,34.5649,39.5379,44.745,48.4956,54.4494,52.4787,41.7949,30.8436,19.7594]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.015859,0.0245412,0.0513774,0.0710335,0.0358105,0.0208246,0.0287749,0.0571518,0.0900385,0.103805]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[51.4844,37.0065,41.2305,46.119,48.7084,53.1799,51.2689,41.3604,31.3439,21.2234]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1851, 11, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.019082,0.0151482,0.012375,0.0110698,0.0126257,0.0143683,0.0248787,0.0375649,0.0469835,0.0598031]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[83.7722,80.8843,86.1212,86.2036,85.4446,80.8194,81.1439,84.9683,84.1273,96.9489]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0189203,0.0138809,0.0138935,0.0145295,0.0125011,0.0131542,0.0230225,0.0511678,0.0485975,0.0656459]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[97.463,94.1511,102.972,105.249,100.947,93.1379,89.9877,95.1959,93.5529,112.542]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1852, 12, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.17514,5.62198,5.896,4.20863,3.26869,3.0175,2.87423,2.46384,3.60236,4.56737]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[65.9468,67.49,72.2411,74.8797,78.9846,83.0285,90.1198,99.5633,108.271,133.766]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.10933,5.40401,9.76888,11.117,8.62195,6.92288,7.29935,9.67494,8.21146,10.8686]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[73.3526,76.0544,84.7493,90.8115,95.4211,98.9609,106.814,118.714,128.971,161.034]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1853, 13, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.09544,2.07438,2.25277,1.57916,1.20417,1.08695,1.01033,0.845573,1.20189,1.47463]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.6508,25.655,27.7769,28.8502,30.2544,31.737,33.6906,36.412,38.4349,44.8321]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.42622,2.00244,3.7369,4.18265,3.18834,2.50637,2.57652,3.33323,2.74935,3.51842]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.4536,29.5233,33.4349,36.007,37.6925,38.957,41.4745,44.8122,47.1134,55.004]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1854, 14, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.517841,0.489646,0.249091,0.199804,0.176699,0.182889,0.191839,0.179655,0.285842,0.398548]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.3478,11.858,10.7698,10.2631,9.90552,9.81602,9.93078,10.2823,10.6409,12.9883]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.670542,0.472765,0.414752,0.515575,0.445131,0.40863,0.488219,0.713103,0.667641,0.964587]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.6201,10.1585,9.3311,8.98083,8.89684,8.6957,8.80277,9.53859,10.5228,13.4569]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1855, 15, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.871419,1.56985,1.65166,1.16005,0.884476,0.793071,0.730253,0.605308,0.856586,1.03961]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.8154,13.7078,15.1744,16.047,17.2961,18.2004,20.2053,23.0401,25.6647,32.8454]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.12073,1.5001,2.72014,3.03526,2.30537,1.81223,1.85637,2.3904,1.95696,2.48]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.0541,17.5869,19.8697,21.3977,22.4927,23.0782,25.1539,28.1973,31.0545,40.5912]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1856, 16, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.690439,1.4881,1.74248,1.26963,1.00334,0.954596,0.941813,0.833302,1.25804,1.65458]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.6284,16.0094,18.1937,19.3719,21.145,22.8286,25.8,29.3793,33.079,42.6263]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.891839,1.42871,2.89709,3.3835,2.6831,2.19564,2.37824,3.2382,2.83751,3.90557]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.5114,18.3142,21.6032,23.8561,25.7426,27.5761,30.6391,35.4883,39.5962,51.3132]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1857, 17, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.870443,2.11588,2.69133,2.06553,1.63078,1.31909,1.04493,0.763494,0.960346,1.04176]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.49171,1.97168,2.59344,3.08286,3.64057,4.10684,4.81221,5.20966,5.83249,6.37261]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.12654,2.03384,4.45918,5.45604,4.30158,3.02631,2.65369,2.99807,2.18908,2.47898]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.46563,2.16621,2.6975,3.44566,4.02919,4.763,5.57255,6.3337,6.93507,7.61977]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1858, 18, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.00962507,0.0167425,0.020342,0.0141466,0.0108489,0.00729757,0.00887854,0.0073374,0.0095676]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.00187966,0.000461306,0.0005039,0.000912511,0.0012731,0.000464871,0.000403311,0.000444117,0.000362355]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.01018,0.0126476,0.0219595,0.0240921,0.0186453,0.0133557,0.0179523,0.0224712,0.0218344]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0,0,0.00236909,0.0023132,0.00096273,0.000255776,0.00105808,0.00132475,0.00173874]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1859, 19, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0065107,0.0142089,0.02014,0.0167483,0.0113319,0.0104768,0.00922596,0.00590376,0.0282569]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0116163,0.0241538,0.0472527,0.0456851,0.0291049,0.0270538,0.0192646,0.0142734,0.0576155]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0095788,0.014819,0.0300864,0.037258,0.0261206,0.0245236,0.0235405,0.0226916,0.0814954]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0127221,0.0229201,0.0456554,0.0665397,0.0618276,0.0524156,0.0466235,0.0365599,0.123598]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1860, 20, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0221187,0.0651231,0.0947139,0.0854012,0.0714485,0.0556969,0.0529394,0.0488726,0.0818915,0.05157]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0.0036089,0.00316078,0.00213003,0.00292817,0.00190185,0.00106791,0,0.00265699,0.000750914]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0234212,0.0492201,0.102238,0.145054,0.122312,0.101056,0.10704,0.149632,0.185735,0.10901]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000917767,0.000797415,0.00108269,0.00566224,0.0051174,0.00453561,0,0.00355509,0.00249687,0.000801339]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1861, 21, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.811748,0.559305,0.249446,0.114308,0.0769429,0.0575305,0.0447765,0.0362994,0.0491278]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.100678,0.051304,0.0452821,0.0246292,0.0116237,0.00744145,0.0134385,0.00544231,0.00553926]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.67209,0.362901,0.176488,0.0936178,0.0505692,0.0439498,0.0387493,0.0556466,0.0782177]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0818341,0.040202,0.024678,0.0174189,0.00803455,0.0100919,0.0104928,0.00849327,0.0133397]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1862, 22, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0178133,0.0222391,0.0236785,0.0256503,0.0233671,0.0178992,0.0217907,0.0281145,0.0439159,0.0600687]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.01295,0.931889,0.909885,1.01942,1.09489,1.24458,1.50701,2.07976,2.64976,3.28676]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0176817,0.0203954,0.026715,0.0334914,0.0230682,0.0164253,0.0202433,0.0382831,0.0446575,0.0654085]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.07647,0.973267,0.925743,1.04607,1.12973,1.26205,1.43081,2.12012,2.70202,3.34628]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1863, 23, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.839058,1.76649,2.12387,1.69694,1.54433,1.11891,1.04859,0.966071,1.91149,2.35632]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[267.182,277.249,273.881,269.494,269.051,269.438,266.199,265.669,258.114,268.05]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.549166,0.938429,1.73516,1.68686,1.37488,1.30743,1.17164,1.62262,2.06463,2.27145]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[281.275,276.293,271.124,272.081,275.171,273.504,282.555,292.608,306.532,308.876]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1864, 24, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.66485,0.656038,0.614458,0.541243,0.466127,0.339448,0.337937,0.267027,0.256652,0.193706]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.704765,0.776494,0.738063,0.660093,0.56147,0.465285,0.424188,0.305272,0.286182,0.249184]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1865, 27, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.038384,0.078272,0.0930748,0.0815584,0.0825819,0.0915619,0.114777,0.125158,0.226489,0.26274]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[28.9557,36.8776,35.8706,34.3324,33.7677,33.014,33.8589,33.3936,33.7413,34.3832]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0381065,0.0716032,0.104231,0.106451,0.0821468,0.0841235,0.106419,0.170556,0.233558,0.288205]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[43.4129,55.6253,55.5805,54.6085,53.8634,53.8322,55.2703,56.5632,57.8029,59.7217]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1866, 28, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00340133,0.00540797,0.00555869,0.0053886,0.00661038,0.0083871,0.0127876,0.0128016,0.0288676,0.0370853]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.8531,2.26479,2.96664,3.61041,4.29709,5.00374,5.87013,6.71772,7.71435,8.93703]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00338125,0.00494692,0.00625316,0.00704786,0.00656663,0.0076852,0.011853,0.0173444,0.0299805,0.0402261]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.16469,1.5019,1.88468,2.19243,2.50812,2.97576,3.42983,3.90934,4.30775,4.93738]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1867, 30, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0239073,0.0499867,0.0730213,0.0620991,0.105729,0.054095,0.0773728,0.0440029,0.073127,0.118699]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0243779,0.028144,0.0413704,0.0630179,0.0387043,0.0276785,0.0338381,0.0532978,0.0552953,0.0695106]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1868, 31, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.570306,1.25095,1.54584,1.16995,0.998284,0.672867,0.539705,0.474834,1.03432,1.26712]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00490982,0.00301061,0.00833967,0.00732329,0.00907628,0.00489336,0.00495145,0.000899234,0.00820525,0.00687718]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.326658,0.518477,1.00098,0.845203,0.673254,0.671574,0.492366,0.696689,0.872402,0.777305]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000936379,0.00377997,0.00419723,0.0117399,0.00479815,0.0100171,0.00505225,0.00492643,0.00522814,0.00588616]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1869, 32, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0100735,0.00889924,0.0055552,0.0054416,0.0043702,0.00504517,0.00497195,0.00624189,0.0125523,0.0197711]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[216.031,213.44,212.176,208.666,207.396,208.443,203.849,201.95,195.188,192.323]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0116585,0.00948754,0.00725835,0.00830267,0.00505721,0.00540706,0.00535121,0.00989845,0.0151259,0.0249624]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[203.923,185.866,180.54,179.594,180.799,180.215,184.106,187.621,195.171,201.093]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1870, 33, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0100735,0.00889924,0.0055552,0.0054416,0.0043702,0.00504517,0.00497195,0.00624189,0.0125523,0.0197711]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.90026,7.85778,7.7875,7.64077,7.5753,7.62914,7.59037,7.6135,7.53332,7.5501]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0116585,0.00948754,0.00725835,0.00830267,0.00505721,0.00540706,0.00535121,0.00989845,0.0151259,0.0249624]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.95042,7.9882,7.90851,7.81165,7.73757,7.60903,7.48448,7.61519,7.56187,7.40069]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1871, 34, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[95.029,94.5237,93.3831,91.8296,90.9979,91.2831,90.9946,91.2023,90.7005,90.1669]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[95.31,95.2731,94.6267,93.9245,92.5133,91.2799,90.3271,90.6818,90.2486,89.2491]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1872, 35, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[113.102,111.059,111.006,109.195,108.823,109.53,105.264,103.134,96.9546,94.6062]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[100.663,82.6045,78.0047,77.858,80.5483,81.3265,86.2945,89.3245,97.3607,104.443]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1873, 36, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.192986,0.372974,0.400825,0.372501,0.346756,0.286953,0.298971,0.303033,0.536132,0.650903]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.6725,24.0071,22.2449,22.3371,23.1146,22.6335,22.2782,23.3403,21.2049,32.2057]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.144983,0.30577,0.575068,0.656834,0.569148,0.510957,0.521809,0.674839,0.858266,1.07124]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[32.0688,32.5193,32.3763,35.0138,37.4337,36.0057,39.3194,44.2034,48.9586,42.8684]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1874, 37, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[31.6342,97.3546,110.441,95.1892,80.6432,81.1644,39.1977,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[26.0457,77.3479,143.357,181.702,209.988,269.101,343.271,201.64,101.238,13.101]}', '', '', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1875, 38, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[4.73043,15.7393,20.1461,19.3624,18.0372,19.7948,10.3561]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[2.85997,5.92213,8.84922,7.72522,3.92532,1.09923,0.100478]}', '', '', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1876, 39, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[3.57383,10.569,10.3372,7.49582,5.68502,5.05951,2.12517]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[0.896784,2.28627,2.68986,1.51287,0.66172,0.407178,0.149763]}', '', '', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1877, 40, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[5.97297,15.2604,15.0049,10.9433,9.14025,9.0765,4.32795]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"60-64\"],\"number\":[2.47676,8.56126,10.5074,5.9294,2.70969,1.62634,0.640809,0.000199445]}', '', '', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1878, 41, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[0.32541,1.61463,1.60696,1.1952,1.17541,1.34912,0.733353]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.6883,39.1364,80.7846,114.076,142.623,190.078,246.884,201.64,101.238,13.1008]}', '', '', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1879, 42, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[5.42672,16.6605,18.8103,16.1542,12.891,12.1828,5.50299]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[0.345384,0.653551,0.881468,0.772868,0.683792,0.359316,0.0727218]}', '', '', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1880, 43, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[11.6048,37.5107,44.5352,40.0382,33.7143,33.7017,16.1521]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[6.77857,20.7883,39.6449,51.6858,59.3844,75.5313,95.423]}', '', '', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1881, 45, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[48.2827,46.9612,45.4738,44.1554,42.669,42.2501,41.8741,40.6782,39.3632,37.7058]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[60.5479,59.8382,57.5448,56.676,53.6832,52.6066,51.0033,50.3269,47.9983,46.1625]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1882, 46, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[151.818,142.01,133.367,123.403,115.444,109.594,103.671,95.9754,87.3446,76.1483]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[218.721,207.081,195.441,183.269,168.802,157.699,147.465,138.262,124.054,108.172]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1883, 49, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.98568,3.8466,2.55359,1.93282,1.80432,1.93882,2.71005,1.67555,4.44774,6.69781]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[969.476,1046.39,980.785,944.248,959.421,965.89,883.264,898.159,808.552,806.37]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.30579,3.35661,3.6054,3.6118,3.38282,3.60247,5.16434,8.82229,12.8944,20.5578]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[473.207,383.674,342.218,334.62,340.255,335.45,352.341,433.225,492.072,576.665]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1884, 50, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.51708,0.769638,0.576913,0.581582,0.709417,0.839525,1.29769,0.873308,2.36836,3.71087]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.198792,0.293713,0.199584,0.220698,0.313878,0.377503,0.555727,0.440779,1.3026,2.54308]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.600439,0.6716,0.81454,1.08678,1.33005,1.5599,2.47291,4.59823,6.86606,11.3899]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.228699,0.335459,0.307892,0.399601,0.371667,0.425278,0.751958,1.05951,1.95717,3.80754]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1885, 51, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.515732,1.54895,0.964363,0.532292,0.325757,0.307223,0.30686,0.122859,0.241514,0.250556]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[278.399,320.717,305.71,290.79,276.345,265.195,255.673,248.616,240.593,232.196]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.598873,1.35165,1.36158,0.994677,0.610744,0.570843,0.584759,0.646891,0.70017,0.769039]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[163.634,189.225,180.944,172.521,163.41,154.893,148.229,144.338,139.46,134.571]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1886, 52, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.29782,1.21128,1.05192,0.9954,0.933923,0.979226,0.833457,0.826326,0.918361,1.02987]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.19812,1.19209,1.13141,1.1651,1.01409,0.764115,0.520917,0.447716,0.484345,0.549196]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1887, 53, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.920663,1.47843,0.972378,0.777804,0.714401,0.718452,0.994871,0.60592,1.64055,2.4582]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[688.457,723.992,673.694,652.12,681.681,699.16,625.965,648.139,565.421,570.224]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.06908,1.29011,1.37289,1.45346,1.33939,1.33494,1.89585,3.19035,4.75609,7.54503]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[307.002,192.767,159.65,160.305,175.181,179.035,202.385,286.652,349.245,436.574]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1888, 54, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0322011,0.0495758,0.0399363,0.0411405,0.0547423,0.0736187,0.110628,0.0734635,0.197317,0.278179]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.123638,0.175816,0.129863,0.122205,0.147421,0.17777,0.236682,0.137373,0.317313,0.376874]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0373923,0.0432608,0.0563859,0.076878,0.102633,0.136789,0.210815,0.386808,0.572039,0.853822]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.144126,0.154556,0.184923,0.229994,0.278062,0.332513,0.453875,0.728081,0.925554,1.16294]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1889, 55, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.98066,3.84796,4.25064,3.50021,3.11107,3.00452,3.26727,2.76064,5.4071,6.35099]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[48.4561,70.485,70.3308,64.2127,55.1936,52.8378,25.3534,20.2956,18.5666,29.8627]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.53235,2.79441,5.70667,6.86585,5.36222,4.85434,6.13157,9.59328,11.9884,15.7872]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[76.7081,98.4738,88.2564,72.8642,57.3299,45.0204,34.8632,32.3793,37.2282,28.1799]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1890, 56, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.470586,1.24206,1.50551,1.30088,1.09169,0.973039,0.948512,0.511755,0.523586,0.773045]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[32.3451,55.2275,54.63,49.3854,41.3587,39.5341,12.7614,6.7838,5.22107,4.79631]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.199355,0.341187,0.512831,0.685844,0.604698,0.635059,0.691528,1.00541,1.04654,1.81115]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[48.2133,78.1419,68.349,52.9268,37.4655,25.2801,13.9693,5.20285,4.82256,5.15189]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1891, 57, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0262203,0.0602028,0.0781461,0.0643088,0.06078,0.0617086,0.0518922,0.0454364,0.113349,0.167519]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.448087,1.04121,1.48267,1.95454,2.09552,2.35423,2.62436,2.83687,3.07527,3.34671]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.199355,0.341187,0.512831,0.685844,0.604698,0.635059,0.691528,1.00541,1.04654,1.81115]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.693852,1.6209,2.44413,2.97878,3.5016,3.67578,3.93604,4.35136,4.7974,5.13164]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1892, 58, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.103525,0.27654,0.332061,0.287423,0.239289,0.212086,0.210063,0.109335,0.0966891,0.149555]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.7774,10.409,10.2494,9.11454,7.66523,8.26471,1.43692,0.578148,0.286779,0.11786]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[32.787,52.8543,42.9101,28.3723,15.017,9.06598,4.39039,0.525385,0.0203056,0.0156695]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1893, 59, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0778086,0.207257,0.25039,0.214849,0.178829,0.156849,0.154706,0.0814107,0.0729349,0.104208]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.67156,8.137,8.80936,9.18753,8.76581,8.05065,2.12568,0.50196,0.195955,0.0829008]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.7324,23.6667,22.9948,21.5757,18.9469,12.5383,5.64284,0.326102,0.00485012,0.00458393]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1894, 60, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.1641,30.2825,25.8657,19.0529,12.3809,8.33937,4.64286,1.46745,0.985451,0.937883]}', '', '', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1895, 61, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.263032,0.698063,0.844911,0.734303,0.61279,0.542395,0.531852,0.275573,0.240613,0.351763]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.28392,5.3578,8.22295,10.0759,10.4513,12.5252,1.93158,1.39937,0.67762,0.310961]}', '', '', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1896, 62, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.06733,1.50524,1.26335,1.13108,1.13659,1.20568,1.36369,1.23613,2.52632,2.79105]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.84319,6.27454,6.88758,6.5418,5.31067,4.74901,4.74525,4.99278,5.48411,5.57772]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.739092,1.05115,1.71222,1.94959,1.67436,1.76177,2.74002,4.11841,4.97586,6.82494]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.15989,6.39757,7.65715,7.80822,6.99551,6.79983,6.86938,7.17846,7.71799,7.78758]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1897, 63, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0299491,0.0538807,0.0499508,0.0729168,0.0755034,0.10266,0.172603,0.171918,0.504755,0.513426]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.668829,1.26401,2.28403,2.31246,1.33738,0.658849,0.178498,0.00962193,0.00608323,0.00794024]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0565094,0.108507,0.210235,0.259471,0.259802,0.257739,0.405828,0.707087,1.22493,1.59112]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.685859,1.37308,2.44384,2.41637,1.39081,0.734543,0.208581,0.0105549,0.00718315,0.00658981]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1898, 64, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0834528,0.178312,0.257963,0.353617,0.497777,0.734355,0.994935,0.905962,1.72125,2.04724]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.0175,2.53447,2.5744,2.58455,2.64342,2.88236,3.56178,4.18559,4.80407,4.91299]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.120897,0.293728,0.806953,1.22272,1.13071,1.31448,2.16832,3.19389,3.53621,4.94955]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.89497,2.85583,3.3446,3.7598,4.12485,4.63335,5.41652,6.17671,6.88401,6.99154]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1899, 65, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.006753,0.0198972,0.0231729,0.0492207,0.0666524,0.0679665,0.0897399,0.0861459,0.184182,0.155082]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.245971,0.316745,0.384932,0.42802,0.556681,0.858595,0.934701,0.737831,0.617879,0.61133]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00401964,0.0098927,0.0433197,0.0670575,0.070431,0.0879711,0.117238,0.156344,0.150068,0.221297]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.341354,0.384964,0.460892,0.58843,0.770906,1.09459,1.18297,0.935461,0.782703,0.748342]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1900, 66, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.947173,1.25316,0.932261,0.655321,0.496656,0.300704,0.106413,0.0721052,0.11613,0.0752994]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.91089,2.15932,1.64422,1.21677,0.773191,0.349212,0.0702675,0.0597318,0.056079,0.0454669]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.557665,0.639021,0.651714,0.400334,0.213421,0.101584,0.0486255,0.0610962,0.0646484,0.0629659]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.23771,1.7837,1.40782,1.04362,0.708951,0.337356,0.0613086,0.0557407,0.0440893,0.0411179]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1901, 67, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00727784,0.00690811,0.00850585,0.00548023,0.0103316,0.00752709,0.0100929,0.00707207,0.00673864,0.00897882]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00755075,0.0096587,0.00786684,0.00774458,0.00650615,0.00857598,0.0077986,0.00783079,0.00941459,0.00890782]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1902, 68, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.442745,1.10065,1.48178,1.06825,0.882796,0.8258,0.955064,1.01276,2.3572,2.78689]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.26055,8.97605,8.80471,8.28002,8.51385,8.54713,7.83663,8.51191,7.85469,19.4797]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.593907,1.40208,3.48162,4.23042,3.08316,2.45751,2.70003,4.46945,5.96598,7.15107]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.3273,13.9247,12.2424,12.1215,12.8625,12.9319,14.0168,19.9901,24.6783,15.2316]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1903, 69, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.5666,13.8009,20.9396,28.5833,48.8031,69.9338,106.544,133.89,267.36,353.26]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.19615,7.09487,12.652,17.794,28.2273,39.0871,59.1036,61.4377,105.718,128.815]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.79893,10.4612,17.7773,25.907,34.6929,53.3168,103.202,235.613,401.63,599.466]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.00155,4.29351,7.31786,9.94043,12.636,18.1374,36.1923,83.737,151.294,243.287]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1904, 70, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.107829,0.482526,1.02,1.5142,2.77647,5.46566,7.89313,11.184,23.3152,33.7095]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0177533,0.136775,0.222857,0.460164,0.518408,1.02421,1.59452,1.97436,4.297,5.4292]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0548891,0.321198,0.975794,2.04564,4.26375,9.52163,21.8611,53.157,86.84,118.953]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0148317,0.0973092,0.285973,0.458139,0.908294,1.85019,4.28463,10.5564,16.8365,21.8951]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1905, 71, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0691561,0.51986,0.710449,0.861958,1.32492,1.74863,2.64394,3.88743,8.47517,12.6366]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0388512,0.124178,0.17576,0.199024,0.278345,0.363729,0.58324,0.826613,1.96341,2.77605]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.128684,0.420816,1.08593,1.59047,2.73353,4.09694,7.12187,15.83,24.7811,35.5356]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0258755,0.129552,0.292291,0.420878,0.685209,1.0002,1.7838,3.7361,5.6165,8.17918]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1906, 72, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.527196,1.24415,1.76819,2.01157,2.22304,2.92143,3.54346,5.21497,11.9493,17.5103]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0397521,0.1343,0.185341,0.319998,0.32712,0.441824,0.604701,0.983804,2.2729,3.24489]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.651215,1.74054,3.32106,4.86498,5.586,6.08427,9.67492,19.6964,29.0053,40.5966]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0451868,0.162335,0.381055,0.674647,0.800513,0.903343,1.59607,3.24436,5.02811,7.48937]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1907, 73, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.19119,0.46221,0.667462,0.767518,0.860384,1.14636,1.40874,2.0901,4.836,7.16636]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0197771,0.059462,0.0682006,0.115617,0.110663,0.177264,0.244239,0.389464,0.973212,1.34441]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.32,0.848134,1.61558,2.35886,2.71899,2.99618,4.8207,9.90604,14.688,20.7382]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0275226,0.0856554,0.200515,0.349261,0.397987,0.468294,0.801014,1.6582,2.55046,3.80871]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1908, 74, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.030005,0.0737685,0.105098,0.122323,0.189829,0.423915,0.706764,1.29639,3.4999,5.8267]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00293259,0.00731365,0.00980565,0.0132961,0.0191935,0.0532684,0.11327,0.256356,0.626052,1.00622]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0309083,0.0830672,0.158427,0.231767,0.36732,0.681688,1.4854,3.76881,6.56874,10.455]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000314921,0.000620472,0.0135567,0.0344471,0.046181,0.0838587,0.240836,0.59877,1.1045,1.79857]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1909, 75, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0297238,0.196347,0.395461,0.547689,0.63182,0.766924,0.859577,1.17405,2.49659,3.39157]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0228503,0.0362788,0.0928175,0.103225,0.125869,0.164214,0.241391,0.485757,0.705968]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0363059,0.265598,0.707351,1.23813,1.48692,1.49825,2.20586,4.17747,5.72272,7.45115]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0022496,0.0239408,0.0882022,0.173215,0.220517,0.231125,0.372977,0.766199,1.07687,1.55242]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1910, 76, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.276278,0.511822,0.600166,0.574044,0.541005,0.584232,0.568385,0.654424,1.11685,1.12563]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0170424,0.0446739,0.0710559,0.0982669,0.0940386,0.0854224,0.0829775,0.0965926,0.187879,0.188295]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.264001,0.543742,0.839703,1.03622,1.01277,0.908157,1.16295,1.84412,2.0258,1.95224]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0150997,0.0521178,0.0787812,0.117724,0.135827,0.120066,0.181239,0.221194,0.296287,0.329667]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1911, 77, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0130441,0.0894428,0.0818969,0.178903,0.167276,0.329622,0.51603,0.684023,1.46975,1.97689]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00748546,0.0362031,0.0453791,0.107274,0.0935694,0.151115,0.234816,0.26408,0.537041,0.706178]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0181855,0.0677057,0.172631,0.299738,0.469336,1.26051,3.37324,7.62748,11.8524,18.3429]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0118897,0.0312848,0.128879,0.176446,0.281202,0.670477,1.78399,3.96535,6.64416,9.4114]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1912, 78, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.183196,0.336584,0.656471,0.953267,1.43663,2.46644,5.01663,7.12627,18.3478,26.4086]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0582324,0.0956946,0.155559,0.197945,0.282038,0.420977,0.993209,1.2295,3.44468,4.70538]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.152847,0.371599,1.03438,2.08716,3.59077,8.21125,17.0706,41.411,70.6457,111.798]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0501757,0.102448,0.299805,0.568196,0.877257,2.01305,3.86072,9.5992,15.9925,24.7121]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1913, 79, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.160801,0.757893,2.00326,3.82395,8.05795,11.665,16.7789,19.7094,36.2519,42.1084]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.208912,0.803099,2.45559,4.28851,8.26708,14.219,22.5613,23.9946,37.5907,45.6375]}', '', '', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1914, 80, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.169249,1.23394,3.53816,7.30228,16.2182,24.1662,36.3718,40.3312,69.0714,83.87]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.07219,0.894574,3.24457,6.26897,10.5478,12.6424,16.1721,12.893,19.9631,21.1223]}', '', '', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1915, 81, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0273795,0.0663348,0.0874876,0.172093,0.264754,0.384232,0.784371,1.17503,2.70201,5.43199]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0095162,0.0338256,0.0848275,0.159204,0.234167,0.451986,1.18133,1.56941,2.82394,3.93006]}', '', '', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1916, 82, 118, '', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0588939,0.127459,0.130254,0.219957,0.287621,0.483207,1.60834,5.74832,17.8729,43.2408]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0456322,0.105075,0.121586,0.185922,0.367001,0.684804,3.30084,13.2256,38.4358,86.2399]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1917, 83, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.209502,0.619691,0.874291,1.02567,1.64507,2.37675,3.88706,5.29257,12.2097,16.4737]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.15091,0.346951,0.436795,0.5616,1.0183,1.4682,2.50239,3.21007,6.48322,8.67566]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.205171,0.569779,0.963267,1.46287,2.00895,2.31588,4.67719,9.86153,17.5148,26.3341]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.14259,0.357134,0.572916,0.894167,1.52621,1.75966,3.31376,6.60389,11.2131,16.9224]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1918, 84, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0875718,0.243381,0.33046,0.323639,0.418292,0.675278,1.11921,1.65076,3.46237,4.53722]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.128523,0.219015,0.229007,0.231085,0.308647,0.414355,0.760115,1.08952,2.31755,2.83711]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.150979,0.214459,0.44183,0.577854,0.908519,1.85841,4.31855,9.86432,16.2537,20.5462]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.149721,0.202465,0.381927,0.470474,0.779334,1.62049,3.79838,8.81069,14.9198,18.9326]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1919, 85, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.139466,0.119212,0.079064,0.0808274,0.117551,0.129056,0.236383,0.308964,0.645959,0.794643]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0507041,0.0561838,0.0524196,0.0414894,0.0530366,0.0545018,0.104193,0.0787285,0.178723,0.190675]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0739955,0.116785,0.159004,0.165575,0.221629,0.26925,0.486475,1.09592,1.56093,2.01653]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0584895,0.0768505,0.0845586,0.0720145,0.125885,0.127139,0.211821,0.387053,0.52615,0.592642]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1920, 86, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0677709,0.0802951,0.154697,0.215977,0.261366,0.295048,0.556075,0.772351,1.64422,1.91863]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0193155,0.0188529,0.0389291,0.0535854,0.0528105,0.0741528,0.174583,0.212198,0.524529,0.50575]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0445885,0.10375,0.157276,0.248354,0.328365,0.546016,1.01775,2.75334,4.5389,6.19086]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0126644,0.0283278,0.034326,0.0848798,0.182373,0.276732,0.559265,1.30607,1.85836,2.5273]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1921, 87, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.010188,0.0365651,0.19607,0.463074,0.307761,0.564476,0.935854,1.33022,3.30222,4.80816]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00376547,0.00557999,0.044935,0.0889946,0.07778,0.123538,0.166763,0.235371,0.549327,0.802221]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00564383,0.0429885,0.196431,0.525768,0.465912,0.452584,0.769552,1.72145,3.88609,5.15119]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00183064,0.0124803,0.0663165,0.136029,0.100545,0.12223,0.207285,0.36432,0.987258,1.22215]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1922, 88, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.070111,0.139147,0.286022,0.519925,0.754353,1.23146,2.35166,4.19904,10.717,15.8249]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00329118,0.0525394,0.0456868,0.0796153,0.100031,0.116026,0.301271,0.449953,1.13555,1.56606]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0737982,0.107143,0.415024,0.539735,0.827151,1.22087,2.87968,7.00644,13.0733,25.0124]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0085736,0.0278237,0.0854101,0.0795729,0.135851,0.151152,0.372535,0.913129,1.56864,3.01573]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1923, 89, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0103473,0.0431466,0.097548,0.10672,0.146642,0.204014,0.327846,0.425772,0.992261,1.45273]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0323467,0.110172,0.276592,0.218672,0.220776,0.324166,0.442963,0.516363,1.04066,1.42513]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0205542,0.0877933,0.167126,0.275579,0.24965,0.444074,0.635693,1.20322,1.99443,2.88118]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0350973,0.0991875,0.214007,0.286766,0.267242,0.406335,0.548734,1.07059,1.58798,2.32907]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1924, 90, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0785337,0.204034,0.318938,0.321656,0.304709,0.352893,0.468745,0.398133,0.76352,1.314]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0241627,0.0729428,0.0909086,0.157044,0.184792,0.317614,0.709447,1.08616,1.56828,2.31244]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0800219,0.134875,0.24367,0.323304,0.376711,0.561584,0.879621,1.68365,3.50935,4.73521]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0390649,0.0929185,0.144389,0.192981,0.240305,0.452514,1.00057,1.58728,2.24224,3.4217]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1925, 91, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.234948,0.468793,0.515266,0.586642,1.04614,1.53527,2.91873,3.84695,7.5499,9.87861]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.18859,0.373081,0.443194,0.333748,0.536081,0.660669,1.10405,1.1307,1.93397,2.27807]}', '', '', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1926, 92, 118, '', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.117092,0.202007,0.288211,0.306665,0.204698,0.234103,0.312013,0.537909,0.811972,1.15844]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0871892,0.206337,0.359119,0.447429,0.286188,0.265579,0.241313,0.339483,0.464115,0.475365]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1927, 93, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0992321,0.135393,0.195374,0.212092,0.278525,0.447169,0.756555,1.09846,2.58276,3.42829]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0212103,0.0329397,0.0623076,0.0728032,0.100076,0.144214,0.24587,0.346164,0.636193,0.818425]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.120715,0.105449,0.186404,0.216746,0.302343,0.464501,0.908139,1.98419,3.46676,5.02199]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0387689,0.0413847,0.080761,0.087572,0.111991,0.20779,0.31758,0.718099,1.09671,1.53713]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1928, 94, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0467891,0.162746,0.265259,0.341017,0.465056,0.553844,0.709096,1.02368,1.84097,2.75411]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0192337,0.0460252,0.109615,0.102778,0.163142,0.269928,0.389251,0.595937,0.976106,1.39235]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0621898,0.16266,0.253495,0.445565,0.515359,0.723054,1.33416,3.01441,5.03267,9.4759]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0168834,0.055481,0.118897,0.158797,0.293774,0.37717,0.753301,1.49939,2.17887,3.7789]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1929, 95, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.378343,0.603063,0.708978,0.729422,1.08207,1.30631,1.74925,2.04599,4.6931,6.72365]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.410444,0.543521,0.720802,0.554114,0.686961,0.734276,1.05629,0.921084,1.90301,2.61885]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.54823,0.717311,1.04195,1.37544,1.74326,2.12915,2.98678,5.89537,8.7013,10.687]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4628,0.62648,0.976681,1.02167,0.949115,1.08816,1.37744,2.51918,3.23151,3.90216]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1930, 96, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0264947,0.0673131,0.0874906,0.117314,0.13094,0.197799,0.320936,0.482191,1.02323,1.44914]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0803704,0.367978,0.486177,0.46496,0.401027,0.474498,0.571358,0.540522,0.651531,0.650997]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0153772,0.0366922,0.0422228,0.0663531,0.0672182,0.108,0.202185,0.411524,0.72036,0.909975]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0200566,0.034803,0.0842279,0.0873071,0.0818948,0.080824,0.140759,0.194133,0.271422,0.283432]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1931, 97, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.177861,0.23367,0.293908,0.231474,0.21279,0.17556,0.200275,0.197849,0.331447,0.519634]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.359569,0.335622,0.342057,0.197648,0.156117,0.107137,0.1216,0.0904305,0.141914,0.192138]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.213118,0.262619,0.430863,0.420167,0.382681,0.340224,0.55801,0.590252,0.86196,1.16215]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.367036,0.403508,0.460932,0.415479,0.323635,0.27332,0.347327,0.379688,0.420454,0.571878]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1932, 98, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.704603,1.48789,1.71578,1.63086,1.78578,1.75321,2.15629,2.60564,4.971,7.15191]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.193011,0.53611,0.70238,0.620405,0.753682,0.784047,0.946357,0.982956,1.76271,2.19096]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.701446,1.04309,1.60488,2.61177,2.43086,2.54045,3.50173,6.08532,9.35261,12.4339]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.205749,0.360927,0.565383,1.03027,1.03552,0.885622,1.24697,2.03093,2.64715,3.13478]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1933, 99, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0171257,0.0590066,0.0941123,0.0997062,0.225663,0.375455,0.735744,1.13327,2.81151,3.7959]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.010663,0.0355495,0.0518594,0.0659813,0.133007,0.205291,0.463953,0.637358,1.31003,1.60715]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.011061,0.0180236,0.0379687,0.117695,0.230663,0.484406,0.774421,1.91636,3.36942,5.34477]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00989866,0.0160523,0.0324411,0.115512,0.157224,0.30015,0.456587,1.35497,2.01882,2.69388]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1934, 100, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.01031,1.42346,1.15119,0.832179,1.07974,1.20176,1.57348,1.67817,4.18932,5.241]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.259061,0.38276,0.26293,0.203282,0.269332,0.289406,0.47699,0.509922,1.12871,1.29758]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.46485,1.22383,1.42687,1.14171,1.23208,1.31744,2.18432,3.78662,7.28034,10.3257]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.498459,0.319396,0.490172,0.395191,0.405566,0.459024,0.758399,1.55129,2.61784,3.56147]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1935, 101, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.93955,2.94335,3.70927,3.92691,6.07138,7.41122,11.9926,16.088,32.0469,41.5417]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.788282,1.3004,1.68556,1.74514,2.46313,2.80976,4.64097,5.06901,8.58314,9.9016]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.82538,2.26263,3.00069,3.97787,5.2658,7.64901,14.0654,32.7305,58.7034,81.6119]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.653088,0.703953,1.0558,1.4801,1.71384,2.16148,3.93028,7.77986,12.8902,16.457]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1936, 102, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.0825,36.2059,49.0944,52.6775,63.5488,84.8341,126.232,158.041,352.312,572.99]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[154.885,184.335,163.996,224.987,317.909,438.249,587.562,717.676,908.559,1149.51]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.15971,19.9224,41.6106,67.3708,79.3685,104.881,173.956,357.164,597.116,1024]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[93.888,78.2848,99.1354,135.173,215.438,274.848,414.346,582.052,809.668,1046.58]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1937, 103, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.05969,6.47817,6.95512,5.99935,4.96538,4.95061,4.68014,3.1639,6.61926,11.1221]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[40.4584,38.006,35.5316,34.1392,33.1056,32.3764,31.2282,28.3951,31.6148,36.7801]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.267,2.46815,3.68181,4.33813,4.31214,5.05735,6.03992,9.6096,15.972,23.3764]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[28.284,26.3075,25.1363,24.5221,23.8411,23.1549,21.9443,20.5816,22.0032,24.5618]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1938, 104, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.43058,4.71713,6.19813,6.79521,8.37308,12.1949,18.6842,25.8235,64.0378,115.872]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.50941,11.6309,22.7578,38.7093,60.1332,90.1212,140.38,212.751,301.809,392.108]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.02054,2.50023,6.93164,11.6046,16.1418,22.5753,39.5794,83.7897,150.006,261.533]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.79357,15.1871,29.9218,51.071,78.2959,115.976,179.688,273.249,384.942,496.248]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1939, 105, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.45755,10.9645,16.2932,19.3723,25.5717,36.6166,57.9864,75.0247,163.27,264.608]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.04144,3.05792,4.61204,6.78681,9.83941,13.8881,22.9089,36.2098,55.1292,73.5641]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.17392,9.15898,17.8743,30.5906,33.8192,43.754,73.5952,152.439,243.354,458.559]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.78333,2.56804,3.99109,5.87838,8.66245,11.8277,20.7283,34.3816,53.0492,70.4759]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1940, 106, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.350356,1.98478,2.80968,3.64841,4.28893,5.60986,10.0751,15.9457,38.9652,87.7961]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.853377,0.753726,1.64702,2.78814,5.03633,8.01853,13.8573,22.6391,35.1922,51.4764]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.263696,0.795818,1.83559,3.40011,4.09959,7.2239,14.4205,31.6705,63.371,176.343]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.732733,0.705929,1.45034,2.46589,4.24822,6.99586,13.0591,22.5733,35.4231,50.813]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1941, 107, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.1072,8.97969,13.4835,15.7239,21.2827,31.0067,47.9113,59.079,124.305,176.812]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.18806,2.3042,2.96502,3.99868,4.80308,5.8696,9.05156,13.5707,19.937,22.0876]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.91022,8.36317,16.0387,27.1905,29.7196,36.5301,59.1747,120.768,179.983,282.216]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.0506,1.86211,2.54075,3.41249,4.41423,4.83181,7.66927,11.8083,17.6261,19.663]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1942, 108, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.54089,2.70283,4.776,6.21122,7.84937,12.5377,19.3898,24.4904,52.3855,83.2941]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.35935,4.24614,5.6919,10.0566,17.6624,33.3927,55.1951,77.7831,113.373,158.733]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.275732,0.850291,2.43744,4.67146,6.81308,11.9075,21.6386,45.6403,76.0997,111.77]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.65014,2.54851,3.50777,6.21314,10.7831,19.8361,32.1462,43.672,62.2659,85.3248]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1943, 109, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.93419,5.64446,7.37781,7.47448,9.27532,9.796,13.6003,15.1122,31.3898,44.9527]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.6433,9.10614,9.04647,10.6723,13.4948,18.2084,24.3084,29.9286,38.6264,46.9264]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.963194,2.15999,5.36199,8.75602,10.168,11.6459,18.3687,34.5429,54.0421,75.3101]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.5418,8.40473,8.22573,10.0399,12.3318,16.706,21.346,25.4924,31.5327,37.247]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1944, 110, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0.125818,0.168913,0.218715,0.445497,0.426014,1.6592,2.53312]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.26938,3.5821,4.33641,5.77802,8.45852,15.1112,26.7971,44.2774,73.4714,115.38]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0.118237,0.156135,0.172979,0.263128,0.599838,1.34013,2.30901]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.14135,5.66679,6.87999,9.13098,12.8796,22.2917,39.553,65.6302,107.806,171.256]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1945, 111, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.116048,0.34277,0.275424,0.305787,0.394476,0.40983,0.683039,0.832197,2.00569,3.47062]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0983917,0.265391,0.443388,0.649307,0.783944,0.901229,1.25929,2.69284,5.52479,9.0563]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1946, 112, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0.154662,0.241117,0.361634,0.880077,1.36264]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00329741,0.0177953,0.072998,0.239991,0.666132,1.25579,3.31925,8.7123,17.2258,28.3495]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0.540214,0.836136,1.85793,3.59631,6.04688]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00543795,0.0284447,0.0856664,0.31685,0.839958,1.50725,3.80546,10.0873,19.7634,32.6229]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1947, 113, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.325068,0.813093,1.14653,0.782557,0.696068,0.501163,0.617086,0.566479,0.93136,1.33435]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.49734,2.11651,1.54419,1.1565,0.82075,1.00181,1.24655,1.08586,1.61333,2.62097]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.18054,0.282844,0.673419,0.773807,0.68251,0.541037,0.640103,1.02798,1.56275,2.06807]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.973604,1.59052,1.15428,0.859531,0.590224,0.747178,0.918325,0.98338,1.40103,2.28334]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1948, 114, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.21847,4.54302,6.07215,5.61075,6.25452,7.45392,9.90449,12.2398,29.1334,44.4407]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[86.1027,112.572,80.4031,117.448,173.729,232.893,282.178,278.533,275.697,295.048]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.1804,2.23651,4.20668,5.86859,6.49174,7.7849,11.7352,24.9643,45.6182,73.9723]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[37.7147,15.9832,20.2328,27.1409,67.2139,62.8013,94.2161,107.975,126.904,126.557]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1949, 115, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.85656,8.18422,7.22332,6.07321,6.67312,9.65533,17.0038,17.8168,64.8092,107.028]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[944.762,904.474,965.299,1082.44,1233.82,1414.35,1622.45,1879.62,2163.04,2526.94]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.36919,8.99946,15.4043,15.5728,13.4651,16.6518,31.4567,84.6876,180.158,411.528]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1054.61,1077.32,1207.26,1336.92,1478.1,1651.12,1893.68,2216.92,2593.05,3020.24]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1950, 116, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.94905,2.05239,2.09952,1.69101,1.9541,3.23032,6.78187,7.56066,31.9094,56.7106]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[300.652,404.723,511.169,624.903,754.882,913.033,1114.05,1367.23,1657.98,1980.75]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.49249,2.91567,5.5101,6.02928,5.509,7.95344,15.9202,45.8893,100.971,238.643]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[427.169,575.465,724.351,875.383,1024.98,1193.78,1416.31,1719.74,2057.81,2434.97]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1951, 117, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0747767,0.281171,0.187934,0.212357,0.237237,0.309106,0.430529,0.685317,1.95142,3.32972]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0884997,0.108814,0.115074,0.183048,0.269545,0.518926,1.09334,3.44492,6.43606,10.847]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.114604,0.234605,0.589519,0.861818,0.832881,0.836609,1.22572,3.29211,6.22773,16.8082]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.216014,0.197352,0.241184,0.343196,0.539925,1.02593,2.35676,5.98466,11.2682,20.0034]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1952, 118, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.59645,3.17384,2.49928,2.22867,2.69181,3.91408,6.88454,6.99302,24.2956,36.787]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[499.135,317.366,232.404,201.911,199.937,215.179,241.287,268.571,295.958,325.772]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.20595,3.33657,4.67216,4.62963,4.08598,4.69388,9.34264,24.5721,52.6162,113.86]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[442.901,284.733,212.267,185.843,183.61,196.55,221.793,249.337,273.375,298.819]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1953, 119, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.108449,0.176272,0.235627,0.22419,0.242419,0.360826,0.508384,0.644399,1.64816,2.75925]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.45771,1.05141,1.27556,1.82267,2.62169,4.0101,6.43981,4.73292,7.37223,10.8712]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.118969,0.214315,0.380562,0.417584,0.457595,0.567294,1.01828,2.33162,4.83154,9.76674]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.64176,2.05534,2.65448,3.62943,4.90242,7.00889,10.1906,9.29316,13.0389,17.7862]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1954, 120, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.12784,2.50055,2.20096,1.71699,1.54755,1.841,2.39844,1.93341,5.00461,7.44125]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[143.428,181.224,220.336,253.618,276.109,281.613,259.583,235.646,195.29,198.7]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.43717,2.2983,4.25191,3.63447,2.57959,2.60062,3.94987,8.60245,15.512,32.4504]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[181.684,214.869,267.751,271.717,264.068,252.755,243.028,232.565,237.562,248.654]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1955, 121, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.90651,2.30304,4.01172,5.0962,6.50346,9.14713,9.87322,7.49641,13.9321,19.6883]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.819684,1.21296,1.79389,2.63809,5.19731,8.40299,11.5454,14.5167,17.1424,19.7164]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.33595,2.46687,4.79045,10.7144,15.4627,21.4219,35.2186,63.5718,83.6841,99.0791]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.51855,4.20122,6.15337,9.18342,20.2569,33.2839,42.9152,50.5191,56.434,65.224]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1956, 122, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.26056,0.719986,1.33029,1.75466,2.36954,3.62531,4.17474,3.35215,6.52048,9.54659]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.242854,0.378272,0.575754,0.949097,1.93889,3.41928,5.00396,6.51514,8.13585,9.79043]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.415629,0.758364,1.45495,3.23507,4.87929,7.5524,13.5637,26.3924,36.9804,46.1383]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.846249,1.29829,1.85393,2.672,6.49429,11.8589,16.6938,20.9404,24.8089,30.2413]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1957, 123, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.133524,0.367689,0.680643,0.898602,1.2606,2.0792,2.53728,2.11826,4.26409,6.47168]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.127475,0.187798,0.303615,0.467285,0.973652,1.836,2.86663,4.10702,5.10662,6.23043]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.172703,0.314646,0.605389,1.34301,2.08584,3.40955,6.39848,12.7988,18.3468,23.3803]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.273594,0.52251,0.763319,1.17374,2.71116,5.20706,7.54663,10.0166,12.1621,15.2594]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1958, 124, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0219341,0.164819,0.427182,0.678262,0.913347,1.16136,1.13793,0.785724,1.33034,1.71994]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0276273,0.0952892,0.183643,0.359254,0.783107,1.0982,1.3867,1.53775,1.68355,1.81314]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0944188,0.471135,1.26818,3.37368,5.076,6.45581,9.76883,16.2491,19.7767,21.6809]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.201255,0.846912,1.71737,2.9658,6.7363,10.2443,12.253,13.3028,13.6805,14.6611]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1959, 125, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.490492,1.05055,1.5736,1.76467,1.95998,2.28126,2.02327,1.24028,1.8172,1.95007]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.421727,0.551604,0.730875,0.86245,1.50167,2.04951,2.28811,2.35681,2.21638,1.88241]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.653203,0.922729,1.46193,2.76269,3.42154,4.0041,5.48756,8.13148,8.58017,7.8796]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.19745,1.53352,1.81875,2.37188,4.31519,5.97362,6.42171,6.25934,5.7825,5.06226]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1960, 126, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.931533,2.38879,2.61267,2.54744,2.88178,3.58335,5.51768,6.93927,15.1668,23.2558]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[95.3015,90.5892,96.341,103.533,114.213,126.431,139.508,85.915,90.1744,92.9953]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.74791,4.47882,8.27874,12.2902,13.4004,14.9081,19.646,32.9611,48.1865,67.748]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[137.533,115.578,112.515,122.429,141.438,165.835,204.651,116.919,121.836,122.987]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1961, 127, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.107504,0.234443,0.28296,0.278905,0.329015,0.496177,0.820553,1.12244,2.56178,4.5213]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.48705,4.7055,6.69878,8.58598,10.4962,12.4579,14.0059,2.1843,2.53786,2.90857]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.270273,0.682699,1.6244,2.69146,3.0454,3.22065,4.97108,9.10351,12.7928,18.8383]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.41109,7.15453,10.2777,15.1627,22.9359,30.2219,42.9013,4.60573,5.17655,5.54457]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1962, 128, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0553525,0.135272,0.161921,0.161019,0.245114,0.220131,0.333582,0.362925,0.628627,1.08794]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.8221,21.8019,26.9762,30.9751,35.3531,39.3957,42.14,3.99611,4.52975,4.98365]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.150608,0.365106,0.508983,0.769964,0.908227,0.89769,1.28383,1.59952,2.81428,3.40914]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[29.8594,18.2145,18.8619,23.582,30.9377,37.5576,49.9329,10.4269,11.4509,12.1477]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1963, 129, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0967485,0.208449,0.18798,0.196855,0.134597,0.167784,0.244407,0.24306,0.545305,1.051]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.71829,4.22507,3.44537,2.80404,2.19749,1.75131,1.31485,1.21427,1.14883,1.00774]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.223382,0.371397,0.567978,0.731533,0.657569,0.631915,0.682067,1.31492,1.71428,2.53117]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.20072,4.75971,4.12142,3.36823,2.76102,2.00703,1.60671,1.55016,1.46937,1.2299]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1964, 130, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0785168,0.142889,0.12009,0.118934,0.192473,0.27752,0.488416,0.660505,1.58356,2.79601]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0322816,0.0449977,0.0447529,0.0633382,0.0594779,0.060166,0.0689295,0.134004,0.150107,0.193503]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.166353,0.3569,0.53439,0.728018,0.902944,1.10429,1.48083,2.73963,4.53361,6.65292]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0960693,0.101956,0.135011,0.129263,0.153725,0.235267,0.301796,0.349704,0.424593,0.57643]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1965, 131, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00298273,0.0114,0.0184481,0.0194783,0.0202713,0.0200825,0.026791,0.0269987,0.0602588,0.0919303]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.940867,1.13394,1.52659,1.89746,2.25644,2.65076,3.26902,4.5046,5.7146,6.94046]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00554921,0.0158387,0.0394024,0.0677352,0.0718079,0.0646662,0.0792333,0.11792,0.180647,0.231494]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.6138,3.18801,4.19733,5.17799,6.16623,7.11072,8.62382,11.8104,14.9206,18.1255]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1966, 132, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.323868,1.01113,1.13453,1.07534,1.0078,1.19678,1.5289,1.68227,3.22096,3.67821]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[45.6003,42.1124,38.1603,35.8616,34.8291,35.2331,36.6532,35.2306,31.0811,27.2619]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.346238,1.13611,2.46102,3.21096,3.25202,3.12114,3.49778,5.51376,6.67324,7.83946]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[71.6893,63.2452,55.5663,51.9038,49.8662,49.9553,51.8068,49.5839,43.865,37.3479]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1967, 133, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00355386,0.0107601,0.0135624,0.0192058,0.0246596,0.0331072,0.0652414,0.0892871,0.238782,0.427527]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0533531,0.066117,0.0896607,0.0916158,0.0963385,0.119092,0.207594,0.329578,0.368891,0.557206]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0101397,0.0329809,0.105137,0.126306,0.131946,0.187913,0.27114,0.374074,0.614639,0.899551]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.102894,0.158227,0.129754,0.162009,0.16409,0.202459,0.324358,0.559476,0.717623,0.988688]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1968, 134, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0955361,0.171294,0.183114,0.151147,0.2521,0.294226,0.561505,0.763929,1.60044,2.22196]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.32761,3.95205,6.35188,8.60781,10.7739,13.2356,16.0669,20.0359,23.823,27.2398]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.151806,0.311665,0.340738,0.566974,0.605086,0.712313,0.966572,1.79246,2.68197,5.08177]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.57962,2.67273,4.25564,5.90465,7.26672,8.68589,10.6945,13.5732,16.4869,19.0698]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1969, 135, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0223129,0.096135,0.124632,0.140331,0.156999,0.174183,0.240175,0.283993,0.452683,0.693931]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.516263,0.862488,1.21068,1.49369,1.73547,1.98876,2.42493,2.75117,2.672,3.0918]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.139473,0.502679,0.951851,1.67698,1.78987,1.9032,2.13498,2.80033,3.41021,3.16411]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.428012,0.665858,1.48646,2.37147,3.17045,3.79464,4.20417,4.016,3.59652,3.35446]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1970, 136, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.145158,0.367007,0.385439,0.386223,0.518748,0.703357,1.20811,1.70387,4.27438,6.68603]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.8034,11.6847,11.8368,13.1522,16.4152,19.539,23.3565,15.5346,18.1482,18.8106]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.284091,0.703448,1.14484,1.7203,2.03557,3.06436,4.27851,7.60494,12.7708,19.1001]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.5523,15.4178,13.4839,14.6667,18.0164,26.064,34.2546,20.444,23.7277,24.6017]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1971, 137, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.38358,10.2987,10.1028,9.57934,10.8389,9.42189,12.6697,12.2683,21.9617,28.3225]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[694.218,808.537,811.561,805.677,813.201,813.3,823.773,843.245,844.818,856.601]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.71355,10.4075,16.0679,19.8386,20.6697,20.7813,26.9451,40.0308,52.2716,69.7248]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[550.163,644.09,658.748,660.887,666.04,665.343,673.544,706.922,715.948,742.202]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1972, 138, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.147393,0.567734,0.535549,0.509972,0.566933,0.535125,0.598187,0.52398,1.90812,4.25345]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,2.39956,24.7229,64.4849,106.653,159.404]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.156339,0.223626,0.417814,0.674061,0.753517,0.674453,1.16157,0.928684,2.0095,3.96081]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,1.87993,19.8845,50.2463,78.2911,117.702]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1973, 139, 118, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.170416,0.232315,0.188297,0.194939,0.227501,0.319408,0.46457,1.17228,1.66173]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.132335,1.09019,3.14412,5.63106,8.78708,12.9196,18.8932]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.125441,0.210788,0.319628,0.279074,0.395225,0.600119,1.35469,2.62419,4.62978]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.151562,1.43372,3.80363,7.06351,10.7991,15.8886,23.1262]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1974, 140, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.96261,7.15099,6.92249,6.55306,7.05114,6.10883,8.50116,7.81389,12.8117,15.1576]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[243.07,243.008,237.06,227.049,220.108,216.773,218.429,218.443,219.736,220.076]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.86353,8.16286,12.9298,15.3465,16.2206,16.3731,20.7559,31.2846,38.5179,48.8025]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[267.995,272.229,270.762,266.464,261.401,261.187,261.454,272.489,278.553,281.655]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1975, 141, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0.0779279,0.115248,0.104025,0.179321,0.181026,0.224985,0.333986,0.60064,0.625999]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.64218,3.59898,8.20472,14.5337,18.1842,20.323,20.1089,18.915,16.5,13.1718]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0.0185015,0.0553235,0.119514,0.131946,0.160661,0.192611,0.312431,0.591734,0.590206]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.810401,1.75469,4.14607,7.25548,9.28085,10.0066,9.9529,9.38274,7.91856,6.66689]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1976, 142, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[423.645,524.652,522.867,516.033,523.219,516.853,485.881,439.431,381.782,324.476]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[260.573,338.903,347.072,347.572,353.063,345.61,320.342,288.714,249.937,212.441]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1977, 143, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.4482,34.7334,38.0112,38.0968,37.4368,36.9082,36.3499,35.7184,34.9376,34.0327]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.0425,29.7876,33.7211,34.3362,33.5187,32.3816,31.4477,30.8883,30.152,29.4142]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1978, 144, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.27357,2.33159,2.2972,2.22399,2.84654,2.36941,3.02594,3.13184,5.46899,6.62374]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.41226,2.54528,5.41825,9.83231,13.1631,16.8998,32.6501,57.4659,72.2901,86.5473]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.69368,1.87708,2.45418,3.37885,3.28455,3.17787,4.2349,6.15044,8.52827,11.7415]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.741731,1.41531,3.04795,5.10824,7.34341,10.4748,23.3992,44.4015,55.2079,71.196]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1979, 145, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.18092,2.15504,3.76477,3.09249,3.7551,3.97529,4.20795,4.41845,6.90488,7.42731]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3250.75,3762.08,4036.39,4082.16,4062.51,4068.8,4036.66,3892.24,3645.05,3239.01]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.729183,1.55009,3.73407,5.86255,6.45755,7.30897,8.85616,13.168,16.1489,15.6623]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3099.57,3605.9,3879.72,3820,3671.2,3556.21,3461.37,3290.41,2961.16,2544.41]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1980, 146, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.677722,0.623525,0.782109,0.806739,0.858836,0.764705,1.31602,1.77138]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.1926,66.0225,142.008,223.895,290.571,328.082,341.966,327.417,286.659,225.812]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.660559,1.02087,1.22851,1.48232,1.91262,2.58371,3.54142,3.6374]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[22.7161,77.3885,169.174,273.719,354.191,395.021,404.313,395.548,337.365,263.649]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1981, 147, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0998686,0.241063,0.485338,0.653885,1.0661,1.47498,1.73877,1.85517,2.8201,2.46006]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[191.932,235.779,226.006,208.211,212.761,234.763,255.546,231.468,183.943,132.244]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.136597,0.346589,0.942529,1.92389,2.81187,3.41837,4.30372,6.17449,7.71943,6.01576]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[573.467,726.901,703.714,652.424,655.253,697.288,744.281,682.553,544.272,396.349]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1982, 148, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.822578,1.20105,1.38781,0.793486,0.832128,0.727486,0.690685,0.790988,1.108,1.06384]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[164.845,361.24,400.512,301.938,213.622,152.577,107.121,65.7651,37.4128,18.6741]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.397548,0.716947,0.978664,1.22212,0.850174,0.776893,0.747583,1.2461,1.24663,1.18837]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[274.649,701.974,790.541,607.645,402.309,255.921,164.607,106.991,67.3097,36.5731]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1983, 149, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.4284,0.62535,0.722777,0.412961,0.433345,0.378509,0.359524,0.411179,0.576264,0.553541]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.0657,115.619,193.678,150.677,109.565,87.0368,61.9617,32.6988,14.0716,5.93291]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.205957,0.372926,0.508965,0.635753,0.442378,0.40412,0.388352,0.648001,0.648099,0.617596]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[31.8598,259.097,381.348,295.581,193.074,129.113,82.5142,47.5765,25.9837,14.0568]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1984, 150, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00133892,0.00210296,0.00225818,0.00155557,0.00138057,0.001521,0.001295,0.00199279,0.00252248,0.0021967]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.75535,13.5971,16.4539,10.1558,6.26962,4.46091,2.95115,1.57376,0.849989,0.471903]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00164421,0.00159006,0.00225749,0.00265672,0.00174519,0.00171168,0.00212565,0.00292041,0.00308191,0.00313497]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.42649,28.731,38.3393,26.3195,16.1943,10.5876,6.62345,3.64903,1.94908,1.01854]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1985, 151, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000945859,0.00152933,0.00159502,0.00117692,0.000982993,0.00117402,0.000965284,0.00161618,0.00199441,0.00168925]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[50.4502,69.9881,63.7592,49.5942,34.6095,22.5183,17.6706,14.5112,10.7645,5.9305]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00145616,0.00124828,0.00179112,0.00207402,0.00133963,0.0013413,0.00177016,0.00232668,0.00248824,0.00256944]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[79.4779,122.431,124.346,100.245,67.5919,42.0431,30.5434,25.1135,18.6176,10.2726]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1986, 153, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.391893,0.572072,0.661184,0.377792,0.396419,0.346282,0.328901,0.3762,0.527218,0.506409]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[50.0674,79.7339,76.0374,56.4708,38.5559,25.3532,19.2675,14.9196,10.7017,5.8545]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.188491,0.341183,0.46565,0.581633,0.404711,0.36972,0.355336,0.592856,0.59296,0.565069]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[79.9209,145.286,155.458,120.496,79.5179,49.7773,34.9368,26.8401,19.0316,10.3544]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1987, 155, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1654.73,1850.01,1949.03,2018.76,2047.36,2109.72,2160.62,2177.73,2134.54,1934.09]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[969.341,1085.22,1151.41,1204.87,1209.93,1217.22,1230.92,1251,1223.23,1113.42]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1988, 156, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[182.989,208.081,222.227,230.994,241.53,255.325,270.35,278.622,277.407,272.44]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[130.957,153.498,165.629,173.669,179.062,185.316,193.17,196.549,193.732,186.998]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1989, 159, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[106.264,280.55,404.671,445.335,426.935,368.015,287.249,222.249,174.821,138.728]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[82.2326,223.635,332.416,374.016,361.892,315.303,248.783,196.333,154.619,123.756]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1990, 160, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[630.244,631.789,583.553,554.585,542.24,541.8,541.128,519.643,481.155,443.653]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[344.605,356.634,336.423,320.299,309.083,302.861,296.737,286.264,267.072,247.437]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1991, 161, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.204479,0.601362,0.970475,0.790886,0.773142,0.583995,0.45477,0.440996,0.613125,0.679083]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.45796,11.573,15.319,14.3995,10.2964,6.86992,4.46534,3.10302,1.95227,1.40476]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0998216,0.259829,0.537013,0.699967,0.500655,0.391137,0.355297,0.532724,0.528879,0.726467]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1992, 162, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[32.3455,31.8398,30.7472,29.6327,28.668,27.9093,27.2123,26.5124,25.3061,24.7959]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[93.4964,91.6727,89.7586,86.4319,83.1064,79.8063,76.8188,75.3204,72.2276,69.1112]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1993, 163, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.8655,23.4251,22.5146,21.5457,20.7882,20.0893,19.5787,18.8555,17.705,16.6916]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[98.0167,97.0605,94.4604,90.9494,87.9083,84.1392,81.0839,78.9329,75.0426,71.2051]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1994, 164, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.79464,5.30661,2.8731,1.40177,0.587744,0.213409,0.0671451,0.0139368,0.00363417,0.000205334]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[29.2204,19.1037,11.091,5.73236,2.59807,1.02073,0.332135,0.0940469,0.0216499,0.00455339]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1995, 165, 118, '{\"age\":[\"15-19\",\"20-24\"],\"number\":[0,0]}', '{\"age\":[\"15-19\",\"20-24\"],\"number\":[180.336,13.1472]}', '{\"age\":[\"15-19\",\"20-24\"],\"number\":[0,0]}', '{\"age\":[\"15-19\",\"20-24\"],\"number\":[433.663,31.6274]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1996, 166, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[26.9439,24.2277,20.7607,16.6111,12.8178,8.87911,5.52637,2.49744,0.876756,0.404216]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[31.5166,28.2975,23.772,19.2732,14.6355,10.256,6.31261,2.80791,0.965036,0.493928]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1997, 167, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0539934,0.111556,0.243419,0.230712,0.301625,0.382091,0.464886,0.566586,1.04764,1.45295]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[22.8166,19.0933,16.1684,14.8456,14.3297,14.5513,15.8265,18.3711,23.2695,30.0715]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.095216,0.226728,0.615308,0.995702,1.06634,1.24026,1.53694,2.631,3.11257,4.09431]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.689,12.8938,11.3342,10.9694,11.2315,12.068,14.0028,18.0171,25.2986,35.4126]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1998, 168, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.93585,25.7691,30.9775,30.37,35.0117,44.0138,62.7292,86.2599,196.624,302.925]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[299.787,593.056,827.447,971.45,1057.85,1063.72,1019.75,1196.12,1259.38,1307.23]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.87437,9.28742,17.0005,25.3346,29.9335,38.3921,60.6784,117.415,196.501,292.874]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[130.335,131.516,175.334,260.904,377.801,535.766,775.335,1158.49,1555.57,1964.02]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(1999, 169, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.48282,6.52758,8.25005,9.51882,13.6234,22.1499,37.6601,60.7923,143.454,228.257]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[37.9359,49.3672,79.3184,134.359,215.481,321.339,430.872,548.757,660.755,765.604]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.17004,2.425,4.49938,8.66113,12.5563,19.7024,36.4781,75.8459,134.993,207.682]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[38.3996,51.593,84.926,146.038,232.816,342.133,458.704,585.711,698.538,800.89]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2000, 170, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.174907,0.382246,0.375809,0.294741,0.283605,0.227394,0.230888,0.22793,0.405377,0.569714]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0111832,0.00593773,0.0052305,0.00352337,0.00333673,0.0034352,0.00293866,0.00244186,0.00505669,0.00428951]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.187526,0.29211,0.560159,0.528946,0.490768,0.534762,0.493958,0.811516,1.17935,1.61972]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00894532,0.00609474,0.00469397,0.00476741,0.00391894,0.00236319,0.00342282,0.00531851,0.004742,0.00612828]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2001, 171, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.90222,6.49622,9.24554,9.48597,10.2499,10.3588,11.7349,12.6327,26.912,36.0906]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.68118,9.3016,13.6107,21.3968,30.9921,42.1452,52.5887,68.8046,95.2318,133.968]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.33707,3.26583,7.21247,11.2549,12.5306,13.0023,16.3971,27.3571,37.6607,50.0398]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.3064,8.05124,10.8849,16.8778,25.5354,34.6097,46.4343,64.7127,100.815,159.368]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2002, 172, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00294229,0.318294,0.919893,1.29584,1.88087,2.28311,3.18731,3.87225,9.71463,14.1499]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0936051,0.606783,1.57322,3.28046,6.01628,9.94548,14.8275,22.4527,35.6405,51.221]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00175821,0.140655,0.615023,1.36963,1.97076,2.52268,3.80468,7.39231,11.5467,17.233]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0773147,0.46064,1.06292,2.22448,4.4904,7.18609,11.2822,18.4253,32.2685,52.8476]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2003, 173, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.305583,1.13857,1.76062,2.00086,2.35422,2.5777,2.80524,2.90049,5.86884,7.50284]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.959641,1.66948,2.59385,4.65028,7.15024,10.4357,12.307,15.4121,20.4695,28.4553]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.236054,0.630571,1.53175,2.62223,3.18016,3.60506,4.32336,6.93395,9.09572,11.4954]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.95946,1.65476,2.37123,3.97983,6.60603,9.30335,12.044,15.9833,23.8861,37.005]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2004, 174, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.5937,5.03936,6.56503,6.18927,6.01484,5.49798,5.74234,5.85995,11.3285,14.4379]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.62793,7.02534,9.44367,13.4661,17.8256,21.764,25.4542,30.9398,39.1217,54.2915]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.09926,2.49461,5.06569,7.26302,7.37971,6.87457,8.26909,13.0309,17.0183,21.3115]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.26962,5.93584,7.45073,10.6734,14.4389,18.1203,23.1081,30.3041,44.6603,69.5156]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2005, 175, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.195213,0.497107,0.483714,0.503027,0.570662,0.643841,1.01636,1.63368,3.01057,4.811]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.1042,16.775,17.2829,18.3905,19.4923,21.687,24.9441,27.0345,28.683,30.971]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.253828,0.524018,0.888995,1.15985,1.13265,1.33994,2.08681,3.88204,6.98687,10.7693]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.97386,19.4242,30.683,43.6476,55.6513,87.314,182.956,393.119,612.559,803.601]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2006, 176, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0951032,0.229752,0.230926,0.216193,0.228948,0.272255,0.389782,0.699146,1.19031,1.88258]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.96422,8.67668,7.56382,6.49366,5.35273,4.75186,4.68735,4.62684,4.5229,4.66129]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0853051,0.160421,0.278691,0.347874,0.319129,0.385439,0.596673,1.13383,2.05433,3.2424]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.37974,1.52104,1.75264,1.88455,2.00732,2.2068,2.42537,2.66272,2.9513,3.51412]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2007, 177, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00995329,0.023099,0.0304871,0.0428581,0.0544689,0.0503091,0.0722769,0.080964,0.251837,0.287926]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.36223,2.68734,4.34762,6.01969,7.95019,10.1374,12.1577,13.8071,15.0822,16.1969]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0162814,0.0465502,0.0651613,0.0889024,0.12956,0.15211,0.233317,0.423884,0.80049,0.7216]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.75493,6.99676,10.8772,15.1822,19.3296,24.0927,28.1405,31.5777,34.4723,36.9681]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2008, 178, 118, '', '', '{\"age\":[\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0]}', '{\"age\":[\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.5656,135.967,340.921,555.776,741.149]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2009, 179, 118, '', '', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\"],\"number\":[0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\"],\"number\":[6.19993,10.7758,16.6188,22.385,32.9138]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2010, 180, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0901564,0.244256,0.222301,0.243976,0.287245,0.321277,0.554304,0.853571,1.56842,2.6405]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.7777,5.41097,5.37148,5.87712,6.18941,6.7977,8.09909,8.60058,9.07788,10.1128]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.152241,0.317046,0.545143,0.723069,0.683963,0.802391,1.25682,2.32433,4.13205,6.80529]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.83919,4.70644,7.27733,9.96198,11.9294,14.5351,16.4232,17.9573,19.3594,21.9696]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2011, 181, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.148725,0.52396,0.364236,0.408192,0.508917,0.520001,0.76209,0.629077,0.996744,0.912635]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[170.381,441.297,634.259,709.277,696.658,575.658,405.899,428.115,342.112,133.051]}', '', '', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2012, 182, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0.0161729,0.0342308,0.0659643,0.1053,0.122113,0.189891,0.156848,0.233984,0.183021]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[96.89,103.611,103.682,115.208,159.529,226.528,262.25,269.812,196.357,45.842]}', '', '', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2013, 183, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[14.226,133.13,236.311,269.269,277.616,178.1,1.01929,0.00476632]}', '', '', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2014, 184, 118, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\"],\"number\":[0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\"],\"number\":[4.00818,6.95918,10.6524,14.3841,21.1969]}', '', '', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2015, 185, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[0,0.000923004,0.00103294,0.0012602,0.00125863,0.00113025,0.00121346,0.000516036]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[1.48147,15.6867,39.0563,68.4497,77.0046,11.271,0.244485,0.00215361]}', '', '', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2016, 186, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.000123436,0.000754027,0.00459826,0.00812796,0.0182706,0.0216206,0.0461959,0.0549754]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.42091,42.3389,75.6698,91.7186,95.947,101.973,112.282,127.048,118.517,87.2094]}', '', '', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2017, 187, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[18.076,107.572,140.133,122.408,39.2064,2.71202,0.0581174,0.000399141]}', '', '', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2018, 188, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.148725,0.506864,0.328849,0.340214,0.39776,0.38863,0.552715,0.450093,0.716564,0.674639]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[33.2865,34.9503,32.4472,31.571,32.9711,33.877,30.0456,31.2473,27.2383]}', '', '', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2019, 189, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.2162,5.18137,4.86371,3.1686,2.30873,1.70591,1.50835,1.14744,2.35972,3.58451]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[46.7209,44.0598,46.9587,47.4995,48.6406,49.8222,45.7743,45.7289,39.2453,103.409]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.2323,1.53661,2.0186,1.81921,1.37484,1.4769,1.76824,2.6588,4.31756,6.78513]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[55.0098,30.5536,24.3432,24.9829,28.8534,30.873,38.0487,48.7714,62.5429,93.1592]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2020, 190, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.203194,0.376686,0.38867,0.26456,0.212148,0.145179,0.0946209,0.0651386,0.0659641,0.0547506]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.7052,25.742,28.2591,29.0339,29.561,30.2477,28.0454,27.7812,23.8014,24.8316]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0898187,0.102948,0.131811,0.126876,0.0949168,0.0791819,0.0694183,0.0823244,0.0861164,0.0681178]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.8872,8.84311,6.40878,7.05582,9.17253,10.4558,14.102,15.966,21.5607,29.3795]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2021, 191, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.172009,0.255022,0.277997,0.193952,0.161472,0.118754,0.0843113,0.0640429,0.0743221,0.0753634]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.43145,7.74969,8.73252,8.90481,9.18061,9.48283,8.48154,8.05975,6.39243,6.39169]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.074382,0.0707093,0.0982916,0.096766,0.0753302,0.0673195,0.0634066,0.0802042,0.0953793,0.0924063]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.9207,2.24729,1.89012,1.87165,2.1896,2.48199,3.3947,3.76648,5.46135,8.33992]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2022, 192, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.123277,0.176479,0.182407,0.122359,0.101205,0.0774832,0.062172,0.0633422,0.0909082,0.113455]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.27587,1.18403,1.30999,1.32783,1.38466,1.40103,1.29346,1.27082,1.00208,1.09548]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.106386,0.0995951,0.121091,0.11096,0.0850865,0.0777824,0.085716,0.151267,0.233953,0.287038]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.929483,0.31036,0.215936,0.229676,0.33154,0.406807,0.619089,0.689534,1.05764,1.5581]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2023, 193, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.71772,4.37318,4.01464,2.58772,1.8339,1.3645,1.26724,0.954921,2.12852,3.34094]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.3084,9.38404,8.65712,8.23295,8.51439,8.69059,7.9539,8.61712,8.04941,71.0905]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.961718,1.26335,1.66741,1.48461,1.1195,1.25262,1.5497,2.345,3.90211,6.33757]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[30.2724,19.1528,15.8283,15.8258,17.1598,17.5284,19.9329,28.3494,34.4632,53.8817]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2024, 194, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.81577,6.1606,7.39441,6.99066,7.46646,8.40791,9.81652,9.19678,19.4856,28.6997]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[26.9532,32.2496,36.0125,40.524,46.5812,53.0633,59.6697,77.6819,93.3512,140.226]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.693594,1.24386,1.82091,1.91057,1.8483,2.33577,3.45421,6.85965,11.3638,15.9789]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.6361,21.8881,24.4923,29.3538,34.9408,40.8338,49.188,66.1665,81.1055,106.994]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2025, 195, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.629866,1.37303,2.02118,1.65321,1.87798,2.13353,2.683,3.52031,6.01883,7.77748]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1327.37,1559.17,1946.33,2293.44,2704.82,3270.49,3941.18,4547.19,5038.15,5486.77]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.178418,0.292831,0.586885,0.869234,0.828482,0.88964,1.2314,2.58333,3.55985,4.516]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1200.31,1330.5,1804.62,2155.09,2488.92,2875.26,3359.6,3884.06,4321.36,4751.35]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2026, 196, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.223543,0.461569,0.602969,0.581992,0.671271,0.926646,1.22045,1.89954,3.66186,4.78524]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[22.3999,43.1679,62.2125,76.0816,85.4498,93.7189,104.632,120.725,140.653,160.993]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.110146,0.18603,0.34708,0.517084,0.562638,0.595621,0.868337,1.84605,2.65591,3.67155]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.73583,11.0989,16.4473,20.1073,22.954,25.0135,28.1315,33.3405,38.7749,45.0713]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2027, 197, 118, '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.8437,137.556,421.531,816.775,1114.74,1251.64,1324.83]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.16736,81.4699,246.765,485.029,673.817,760.327,810.646]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2028, 199, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[582.874,618.993,693.353,853.312,1018.77,1176.15,1359.68,1557.36,1739.58,1908.65]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[701.659,779.01,912.273,1137.6,1350.96,1533.8,1752.52,2032.04,2273.75,2492.41]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2029, 200, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[530.241,481.356,498.092,614.101,729.227,851.346,919.669,904.517,885.244,865.248]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[427.113,387.987,400.391,494.987,580.847,666.954,714.109,707.626,692.568,676.752]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2030, 201, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00424992,0.0217706,0.0559662,0.111292,0.182172,0.279823,0.408454,0.532186,0.654756,0.783056]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0151139,0.0911693,0.277867,0.522775,0.866263,1.33152,1.9087,2.47738,3.14831,3.70259]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2031, 202, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.406323,0.911464,1.41821,1.07122,1.20671,1.20689,1.46254,1.62077,2.35697,2.99224]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[191.851,415.636,692.613,737.994,733.633,727.457,740.022,849.306,1020.37,1226.26]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0682719,0.106801,0.239804,0.35215,0.265844,0.294019,0.363064,0.737289,0.903932,0.844449]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[65.7855,152.311,475.234,494.709,451.832,401.397,377.904,434.768,552.79,722.762]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2032, 203, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.46282,6.26595,7.65465,3.84305,2.74112,2.96486,3.23707,3.27067,6.97082,11.2102]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1106.9,933.376,992.102,1115.92,1263.71,1433.93,1688.96,2104.78,2612.14,3454.88]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.45918,3.02361,4.30553,4.24085,3.41274,3.78426,5.3606,8.60576,13.4994,22.847]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1042.28,894.623,986.553,1136.44,1294.34,1462,1721.04,2164.13,2668.84,3551.11]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2033, 204, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.91533,4.79686,4.81558,1.95997,1.1893,1.1712,1.16724,0.980766,1.96235,3.93547]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[57.7085,35.5534,29.7439,25.3785,20.7415,18.8689,18.64,21.1633,22.5789,21.7619]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.06,2.25193,2.5077,1.39436,1.00031,1.17719,1.66231,3.08884,5.05192,8.90625]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[52.4759,32.426,27.5726,23.0382,19.7165,16.8418,15.8228,18.0569,18.8211,17.8537]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2034, 205, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.18312,0.379722,0.296636,0.142298,0.0778381,0.0797004,0.0496561,0.0352279,0.0439154,0.0696733]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.42323,7.78437,6.7428,5.62461,4.37142,3.94734,3.49583,3.3382,3.10747,2.84486]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.24403,0.275148,0.20907,0.111696,0.0701398,0.0879006,0.118838,0.185689,0.288499,0.264525]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.43802,6.0304,5.29041,4.25483,3.39219,2.85367,2.45087,2.16398,2.14115,1.9823]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2035, 206, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.940062,2.67001,2.83292,0.952745,0.565846,0.572716,0.57561,0.485413,1.06634,2.56123]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.4351,5.78574,4.61708,3.69247,3.02243,3.29297,3.66911,3.04256,3.80214,5.45754]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.881539,1.24986,1.4585,0.783247,0.479178,0.579543,0.823807,1.50603,2.54234,5.25959]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.7566,4.20781,3.42887,2.90206,2.42675,2.60164,2.723,2.74901,3.24151,4.5477]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2036, 208, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.10957,0.255568,0.236539,0.122554,0.0803839,0.0645575,0.0766147,0.0688416,0.122835,0.12547]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.64479,9.10121,8.41195,7.38732,6.28497,5.31284,5.30738,7.89433,8.61187,7.46994]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.102799,0.0995909,0.119142,0.0782927,0.0520918,0.0506989,0.0952957,0.212007,0.285723,0.249631]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.50843,9.22423,8.45193,7.3075,6.2308,5.03699,4.77626,6.52966,6.70774,5.43056]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2037, 209, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.076317,0.246591,0.203762,0.0588535,0.0323434,0.027634,0.0215784,0.0140773,0.0213737,0.0268067]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.46571,3.35225,3.00304,2.56475,2.27366,2.01861,1.97572,2.84516,3.06955,2.5184]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0584062,0.0833623,0.0534941,0.0382568,0.0218652,0.0274034,0.0255888,0.0393277,0.0379074,0.0746104]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.54334,3.69768,3.36089,3.10124,2.70796,2.25756,2.1781,2.78652,2.8302,2.22456]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2038, 210, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.606262,1.24496,1.24573,0.683522,0.432887,0.426589,0.443779,0.377207,0.707883,1.1523]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.0045,8.33021,6.13015,5.38983,4.14404,3.68465,3.61061,3.50421,3.48372,3.01161]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.773222,0.543974,0.667495,0.38287,0.377041,0.431649,0.598781,1.14579,1.89745,3.05789]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.0752,7.8109,5.9464,4.51893,4.07164,3.22549,2.86658,3.01844,3.12837,2.92112]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2039, 211, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.54749,1.4691,2.83907,1.88308,1.55182,1.79366,2.06983,2.28991,5.00847,7.27468]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[747.054,558.955,500.054,486.335,479.798,492.782,512.62,543.65,578.72,614.692]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.399181,0.771682,1.79782,2.84649,2.41242,2.60707,3.69829,5.51692,8.44749,13.9408]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[649.816,474.973,427.699,420.324,415.97,427.321,449.139,495.552,548.741,609.07]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2040, 212, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[175.364,156.638,150.427,145.015,141.033,140.245,140.191,140.379,139.868,138.653]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[137.084,122.583,117.695,114.408,111.104,109.256,108.326,109.21,108.452,107.86]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2041, 213, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.38754,8.4977,9.99859,11.3522,12.6554,13.9529,16.0404,19.0093,21.794,24.1963]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.83539,10.4144,12.4768,14.1801,15.7982,17.3682,19.6856,23.5574,26.9832,29.876]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2042, 214, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.172226,0.509426,0.980421,0.694013,0.56582,0.595447,0.701515,0.772503,1.69277,2.27707]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.7508,4.67156,5.18477,5.504,5.74989,6.20485,6.65113,7.35792,8.11502,8.76989]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.12957,0.220575,0.521055,0.895562,0.831421,0.904909,1.3428,1.87681,2.91806,4.38278]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.19008,5.04124,6.24151,7.37912,8.31631,9.47608,10.6334,11.6555,12.3993,13.1866]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2043, 215, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.23514,0.647191,1.15744,0.792098,0.667294,0.771762,0.828732,0.908038,1.98004,2.68943]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.90978,4.18784,4.48074,4.76115,4.98875,5.18698,5.53446,6.35298,7.10729,7.70962]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.18347,0.333934,0.768589,1.23518,0.97672,1.06478,1.49415,2.32271,3.3903,5.3146]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.96843,4.33939,4.67814,4.96189,5.17001,5.33208,5.65632,6.62337,7.45507,8.0762]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2044, 216, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[50.3921,51.3933,52.1502,52.2215,51.4675,51.1306,50.9917,50.5172,50.1411,49.5053]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[51.3074,52.7777,53.7242,54.035,52.8407,52.2035,51.4951,51.3467,50.7962,50.1447]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2045, 217, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.7976,15.5252,18.1354,20.5991,23.1257,25.9116,29.7646,35.2416,40.563,45.6544]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.1385,17.2287,20.1784,23.0247,25.6483,28.3883,32.3179,38.3745,44.0254,49.5453]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2046, 218, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[77.6832,31.608,28.9185,26.5663,24.1481,22.0633,20.817,20.956,20.8527,20.7942]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[82.6812,33.8064,31.0061,28.4691,25.7124,23.3339,21.5721,21.7701,21.7559,21.6875]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2047, 219, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[253.16,140.102,75.9024,49.1697,27.9137,16.0291,6.88234,4.39143,2.97447,1.63367]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[219.114,120.155,65.752,43.064,24.6516,14.1185,5.96786,3.83015,2.61843,1.41271]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2048, 220, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.5077,26.7651,28.0206,28.3831,27.8136,27.4062,27.2933,26.9211,26.7146,26.222]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.6529,16.6271,17.4153,17.7489,17.2209,16.8665,16.5856,16.5218,16.2577,15.9461]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2049, 221, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.4294,26.5103,33.8814,42.1001,50.4421,59.1633,65.2056,67.0774,68.627,69.8514]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.8296,20.299,26.1207,32.4745,38.6179,44.7072,49.0815,50.5133,51.5078,52.4813]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2050, 222, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[41.9768,42.326,42.9823,44.5724,46.4282,48.7955,50.1132,49.1655,48.2302,47.2032]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.5451,27.7004,28.3733,29.4633,30.5773,31.7141,32.1288,31.6915,31.0263,30.2983]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2051, 223, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.133839,0.304405,0.682644,0.390831,0.312823,0.421295,0.530854,0.601451,1.31876,2.27311]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.635371,1.42809,2.36209,3.42363,4.69712,6.86506,10.2117,14.7692,20.7567,29.0575]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0829292,0.211563,0.498605,0.707555,0.594683,0.623793,0.843236,1.29711,2.10416,4.18909]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.582448,1.34174,2.45077,4.15145,6.08392,8.73326,12.7623,18.3792,25.7903,35.7484]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2052, 224, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00628614,0.00807514,0.0185676,0.00613443,0.00588074,0.00515753,0.00872923,0.00791589,0.0169009,0.0350653]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[63.06,49.3025,47.6096,52.667,59.3352,69.8274,82.9243,101.511,122.975,145.441]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00321256,0.00560941,0.00957479,0.00819201,0.00960008,0.0135819,0.0181098,0.0202898,0.0349708,0.0543284]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[56.8862,42.6591,41.5861,46.9641,54.2281,65.8235,82.9266,112.078,149.673,192.806]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2053, 226, 118, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.039306,0.237952,0.769401,1.53544,2.76596,4.93822,10.77,24.4138,49.7329]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0231069,0.209397,0.69221,1.26422,1.68404,2.47072,5.14604,11.5677,26.693]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2054, 227, 118, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0457731,0.447909,2.21427,4.83243,8.86414,15.7126,35.9196,84.6752,175.872]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0305199,0.23632,1.29542,2.54678,3.64331,5.25058,11.4744,27.0213,62.049]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2055, 228, 118, '{\"age\":[\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0]}', '{\"age\":[\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.653676,4.3519,15.097,39.7695]}', '{\"age\":[\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0]}', '{\"age\":[\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.171008,1.10783,3.82895,11.1555]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2056, 229, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.3039,20.7185,27.6251,40.3805,56.0888,75.0295,101.308,153.97,237.687,365.01]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.4459,17.7093,23.6149,34.8366,46.9937,62.8618,84.7919,130.709,201.062,310.437]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2057, 230, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[104.955,124.214,172.007,218.667,270.627,328.452,418.637,546.426,669.009,983.043]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[151.837,177.039,244.601,310.609,374.991,442.857,548.722,702.005,842.665,1233.83]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2058, 231, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[66.2617,73.3481,102.959,141.125,181.77,225.25,292.323,408.856,527.209,640.78]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[65.6406,75.8318,106.537,144.516,182.911,224.922,294.266,428.959,584.017,759.508]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2059, 234, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[102.423,116.42,128.153,120.73,107.797,87.2448,82.4292,83.4766,83.1143,80.5095]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[97.7463,112.437,124.795,118.569,105.575,84.6833,79.0001,80.1912,79.4309,76.837]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2060, 235, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00707153,2.1063,21.2991,58.0974,102.161,133.206,148.547,153.19,152.579,147.075]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0064997,2.24695,23.2277,64.0543,112.662,147.284,165.293,172.874,173.023,167.318]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2061, 236, 118, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.823134,8.44409,21.0303,37.0712,59.996,91.4652,140.94,214.483,333.376]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.661247,6.82353,17.2084,30.3167,48.3461,74.3114,115.853,175.92,272.9]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2062, 238, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.35084,10.394,6.25756,4.82511,4.58548,5.31086,6.42932,4.73039,10.4955,11.8032]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[104.764,148.439,179.203,203.133,210.062,215.168,213.687,211.81,196.046,176.137]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.6444,36.0397,34.2648,25.9359,19.6483,17.8326,22.0256,31.3729,36.3178,40.4202]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[195.143,298.359,380.518,443.339,461.983,477.841,488.922,494.558,473.358,439.749]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2063, 239, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.22213,7.31545,3.89806,3.08498,3.19847,4.16194,5.14881,3.67119,8.64958,9.93913]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[81.4493,111.371,140.056,155.942,165.142,173.032,177.791,172.363,166.2,150.206]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.2282,26.2927,25.4798,19.4563,15.2859,13.7465,16.4975,24.444,29.0801,33.332]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[167.573,251.283,312.562,356.596,388.506,401.928,408.145,410.953,397.173,375.065]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2064, 240, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.03232,1.05643,0.653558,0.643589,0.634166,0.565438,0.908615,0.524298,1.1241,1.17076]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.8515,20.929,32.0556,43.4616,42.3678,29.921,38.6193,30.5431,27.044,23.7298]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.30883,7.54643,8.2341,7.33239,4.84855,4.424,4.77154,7.76347,8.21551,8.59237]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[71.6564,89.5043,129.328,168.791,151.845,154.892,141.843,155.16,135.358,119.98]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2065, 241, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.585501,0.498208,0.311357,0.252363,0.319257,0.320383,0.3869,0.330846,0.622677,0.966095]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.68933,10.3241,16.1727,17.4847,21.8688,17.8228,17.5613,21.0771,16.1964,20.2654]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.57604,1.53006,2.26072,1.39762,1.19784,1.22034,1.30145,2.48088,3.68867,3.60574]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.4699,18.2637,34.375,32.3008,38.0794,42.9565,38.5384,49.8483,61.3584,50.9388]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2066, 242, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.16127,1.34572,0.651687,0.413003,0.421083,0.360163,0.582621,0.349701,0.58513,0.898408]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.4377,28.4942,32.3005,29.643,30.1737,20.5193,27.1834,22.5025,15.1613,19.8087]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.13415,6.53494,5.80457,3.01871,3.3545,2.08802,3.31695,5.29445,5.64715,5.68025]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[56.5684,76.9224,92.3891,70.4248,106.397,73.2454,98.8427,105.319,92.7144,80.5148]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2067, 243, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.22338,2.92459,1.41363,1.00474,1.07378,1.92487,2.54157,1.82546,5.14676,5.53885]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[48.9378,61.505,70.4889,70.0138,75.4499,107.968,116.323,116.249,132.532,119.966]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.95458,8.72428,6.14658,5.71183,4.63167,4.90515,5.96377,7.86247,9.6943,13.3982]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[52.6936,100.925,93.3936,126.734,143.444,169.293,175.268,156.037,157.551,184.268]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2068, 244, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.21966,1.49051,0.86783,0.771285,0.750181,0.991087,0.729106,0.64089,1.17091,1.36503]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.3078,32.6835,44.6754,56.6652,52.6505,54.4901,32.3081,39.8823,29.5441,27.8199]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.25457,1.95698,3.03384,1.99577,1.2533,1.10898,1.14377,1.04274,1.83448,2.05543]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.4807,20.9589,39.5374,40.9761,35.03,38.3103,32.845,20.0785,30.1892,27.2404]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2069, 245, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.12871,3.07852,2.3595,1.74014,1.38702,1.14892,1.2805,1.05919,1.84588,1.86408]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.3149,37.0683,39.1466,47.1918,44.92,42.1362,35.8955,39.447,29.8463,25.9309]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.41618,9.747,8.78502,6.47961,4.36244,4.08607,5.52814,6.92888,7.23774,7.08811]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.57,47.0764,67.9556,86.743,73.4772,75.9133,80.7776,83.6051,76.1852,64.6835]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2070, 246, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.2843,45.3569,36.1227,27.9984,25.8843,26.2285,27.6438,21.0034,38.4412,57.6138]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[64.7519,82.7498,113.005,148.378,203.053,269.283,336.164,402.439,487.873,578.632]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[80.2998,144.49,131.287,117.65,85.2963,82.6478,98.6388,158.033,184.947,223.21]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[119.483,166.563,222.129,296.779,412.354,538.386,676.063,828.938,993.539,1169.41]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2071, 247, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.201269,0.455182,0.503337,0.354967,0.442086,0.385704,0.430744,0.390928,0.803279,1.48548]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[38.2015,48.1606,66.6975,91.6483,135.509,187.619,244.088,303.978,382.275,465.586]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.423067,0.743795,0.912924,0.951932,0.901838,1.06456,1.3403,2.61606,3.46551,5.29057]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[60.01,78.8351,108.587,155.107,238.168,335.569,445.593,576.999,725.189,884.372]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2072, 248, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.22899,3.38122,1.95236,1.31743,1.24815,1.31213,1.5516,1.06665,2.51798,2.95267]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.776145,0.804281,1.14521,1.69378,2.41661,3.24385,4.12753,4.58412,5.29304,5.62572]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.3026,10.9591,7.96461,6.18587,4.9154,4.43649,5.50056,7.83334,10.2869,12.2793]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.59385,2.02104,2.57728,3.761,5.30001,7.07072,9.12665,10.9058,13.1201,14.356]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2073, 249, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.14962,9.08568,6.1124,5.33616,4.84683,5.46759,7.66032,5.58483,12.4907,18.1617]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.0526,12.4887,15.5098,18.319,21.5514,24.656,26.5907,27.3322,27.31,27.0472]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.23502,13.6928,14.2917,12.512,9.87158,9.55262,11.9161,19.8634,26.1417,39.0687]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.229,17.397,20.9944,25.6457,31.6712,36.5276,40.5722,43.2712,43.8723,45.224]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2074, 250, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.26822,2.56282,2.44542,1.59204,1.20573,1.14194,1.29762,0.809866,1.99466,1.75857]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.43238,2.96857,3.68377,4.1314,5.18273,6.07791,7.09408,8.03176,8.48328,8.24514]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.96639,3.37729,3.36037,3.16198,2.6729,2.64592,2.96435,4.83106,5.31276,6.5674]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.91984,4.67063,6.20659,7.92332,10.6326,12.7978,15.4211,17.1617,19.0666,20.4495]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2075, 251, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.26161,16.8128,12.2587,9.70743,7.93812,7.21539,6.04166,4.98364,7.95374,10.8443]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.27331,4.8391,6.43568,7.34226,7.76259,7.919,7.74123,7.136,6.12052,5.04704]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[42.2123,92.7711,80.184,67.1128,45.4722,41.3456,45.0223,66.381,73.0823,75.556]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.5809,24.2953,30.1868,35.5543,42.5621,45.9019,47.2939,43.7667,39.269,33.7236]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2076, 252, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.49157,14.1243,10.0273,7.98143,6.15098,5.70235,4.57985,3.75212,5.50285,7.17289]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.94927,6.35079,9.28163,10.3676,10.6729,10.9442,9.06402,8.1365,7.08489,5.59015]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[38.9787,88.1417,75.8178,63.4602,41.8583,37.8681,40.1344,59.9682,62.8252,63.563]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.5571,28.6735,37.6492,45.6846,52.7328,62.6264,55.4636,50.4983,44.9529,37.5911]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2077, 253, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.77004,2.68854,2.23134,1.72601,1.78714,1.51304,1.4618,1.23151,2.45088,3.67137]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.06688,1.21629,1.96419,2.20016,3.02078,2.77383,2.88661,2.61102,3.18926,2.96426]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.23368,4.62934,4.36617,3.65258,3.61391,3.47751,4.88794,6.41272,10.2571,11.993]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.51017,1.54838,2.25642,2.65738,4.62988,5.7149,6.78129,5.50601,7.38817,7.37448]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2078, 254, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.96805,4.42838,5.50899,3.94288,4.07891,4.13635,4.04989,2.88059,5.0403,8.89049]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.63194,2.56241,4.54918,6.43049,8.77984,13.4037,17.4196,18.5273,24.9453,30.7786]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.39484,2.57815,3.66371,4.78368,4.63417,5.21371,6.44866,11.7022,18.7843,23.88]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.4564,3.63957,4.77571,6.97957,9.3758,11.5979,17.6006,24.2901,35.8002,46.8834]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2079, 255, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.09699,1.51547,1.85621,1.21435,1.08569,1.03378,1.68048,1.14588,1.88857,3.30957]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.79132,0.981229,1.41278,2.00763,2.38996,3.60656,4.0913,5.27684,4.57265,5.01956]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.823747,1.0224,1.03411,1.12602,1.08394,1.06239,2.32717,3.16262,5.399,6.72548]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.30965,1.90152,2.33461,3.16146,4.06638,4.48845,6.29004,8.26966,8.81542,10.3285]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2080, 256, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.902211,1.19608,1.54391,0.919733,0.886165,0.86879,1.44942,0.945413,1.6273,2.84328]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.530968,0.642696,0.957606,1.32382,1.64849,2.66126,2.85791,3.68765,3.25592,3.64083]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.517119,0.634322,0.647726,0.733411,0.730759,0.697266,1.62704,2.17394,3.80003,5.05187]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.864729,1.23352,1.5052,2.06102,2.66574,2.88529,4.02866,5.47558,6.12225,6.75785]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2081, 257, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.194778,0.319389,0.312299,0.294619,0.199527,0.164995,0.231064,0.20047,0.261267,0.466282]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.260352,0.338533,0.455177,0.683802,0.741471,0.945306,1.23339,1.58919,1.31673,1.37873]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.306628,0.388076,0.386382,0.392609,0.353181,0.365125,0.700127,0.988681,1.59897,1.67361]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.444919,0.668007,0.829418,1.10044,1.40064,1.60316,2.26138,2.79409,2.69317,3.57069]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2082, 258, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.10958,7.1153,5.48533,4.53316,5.03878,5.53559,4.93153,4.14102,5.752,10.2111]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.59266,9.94489,13.5711,16.8047,19.461,22.7574,25.011,27.5722,28.8728,31.2833]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.9418,19.3457,19.8756,21.816,15.7443,17.3265,23.1194,41.6433,42.4751,53.8426]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[22.3831,33.8024,46.4664,58.6471,70.5777,84.432,94.166,104.273,108.407,114.071]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2083, 259, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[46.791,145.829,156.474,111.119,75.0981,40.3392,24.3356,11.3053,14.6089,15.0967]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.8238,14.9933,19.3582,21.5552,22.0956,20.4,18.9045,16.0673,12.8013,9.83214]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[129.741,301.349,418.44,393.683,276.56,190.662,147.248,136.562,113.084,85.6682]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[26.4247,46.7393,62.3684,74.1739,76.9412,71.349,64.8984,56.4233,46.239,37.3551]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2084, 260, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.48321,6.70791,3.96245,2.41574,2.4385,2.69983,3.0258,2.21768,4.91541,5.20656]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.93175,5.33566,6.09416,6.21644,6.55318,5.94161,5.73409,5.14477,4.4941,4.06118]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.8622,24.7764,20.4028,13.792,10.7501,8.1589,11.1063,14.4447,16.8671,17.3212]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.6711,8.40539,9.45712,9.91652,11.0381,10.7325,11.3885,10.7116,10.7785,11.2822]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2085, 261, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[38.3077,139.121,152.512,108.703,72.6596,37.6394,21.3098,9.08764,9.6935,9.89017]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.89206,9.65761,13.2641,15.3388,15.5425,14.4584,13.1704,10.9225,8.30717,5.77096]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[116.879,276.572,398.038,379.891,265.81,182.504,136.142,122.117,96.2171,68.347]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.7536,38.3339,52.9113,64.2574,65.9032,60.6166,53.51,45.7116,35.4604,26.0729]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2086, 262, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.45904,21.1401,24.1431,18.4062,10.8717,5.85767,2.77444,1.27939,1.20743,1.12515]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.972724,1.77749,2.99668,3.5168,3.10058,2.89306,2.05494,1.81399,1.26746,0.824164]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.0429,25.7655,40.4425,32.7278,25.8722,17.2149,15.6029,12.2657,13.3866,10.8243]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.27542,3.96611,6.15329,6.76358,8.05426,6.88418,7.13913,5.23628,5.83194,4.91144]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2087, 263, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.6141,67.5768,77.7084,59.6936,40.7355,21.3534,11.6867,3.90612,4.43339,4.33331]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.96548,5.37698,8.741,10.3077,10.3191,9.7245,8.36126,5.69603,4.51837,3.13016]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[85.3829,201.429,297.524,282.16,200.384,131.002,96.1934,79.6157,63.0736,37.33]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.9067,29.5686,41.6094,51.2947,54.3104,49.1791,42.4253,33.2012,27.0034,16.7208]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2088, 264, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.2346,50.4041,50.6604,30.6033,21.0525,10.4283,6.84867,3.90214,4.05268,4.43171]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.61593,3.99409,5.66719,5.55818,5.66367,4.84411,4.93,5.6549,4.19163,3.32498]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.4532,49.3776,60.0712,65.0027,39.5532,34.2871,24.3457,30.2358,19.757,20.1927]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.17424,7.44644,9.05168,12.9635,11.9178,13.3619,11.1275,13.0475,8.84378,9.10874]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2089, 44, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[200.101,188.971,178.84,167.558,158.113,151.844,145.546,136.654,126.708,113.854]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[279.269,266.919,252.986,239.945,222.485,210.306,198.469,188.589,172.053,154.334]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2090, 152, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[47.5067,82.3016,50.583,35.0405,24.622,13.2075,5.27032,2.06173,1.02513,0.484275]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[79.9639,146.429,91.0503,65.0034,45.931,24.3997,9.98964,3.81211,1.72776,0.870846]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2091, 154, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1837.71,2058.09,2171.25,2249.76,2288.89,2365.05,2430.97,2456.35,2411.95,2206.53]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1100.3,1238.71,1317.04,1378.54,1389,1402.53,1424.09,1447.55,1416.96,1300.42]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2092, 157, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[56.211,55.2649,53.2618,51.1784,49.4562,47.9986,46.791,45.368,43.0111,41.4875]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[191.513,188.733,184.219,177.381,171.015,163.945,157.903,154.253,147.27,140.316]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2093, 158, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[189.131,18.4538,2.8731,1.40177,0.587744,0.213409,0.0671451,0.0139368,0.00363417,0.000205334]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[462.884,50.7312,11.091,5.73236,2.59807,1.02073,0.332135,0.0940469,0.0216499,0.00455339]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2094, 198, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1113.11,1100.35,1191.45,1467.41,1748,2027.5,2279.35,2461.88,2624.83,2773.89]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1128.77,1167,1312.66,1632.59,1931.8,2200.76,2466.63,2739.66,2966.32,3169.17]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2095, 207, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.73519,1.1996,0.838852,0.719467,0.645015,0.612436,0.581345,0.538823,0.504177,0.459581]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.15426,1.45494,1.09408,0.953645,0.887174,0.866452,0.827955,0.809328,0.772165,0.747497]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2096, 225, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[199.707,219.518,304.408,404.344,516.137,641.831,835.259,1162.36,1560.67,2257.47]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[242.233,271.879,376.435,493.246,610.1,737.527,937.473,1281.6,1672.9,2407.13]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2097, 232, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.18644,1.15165,1.13109,1.18827,1.28402,1.46992,1.68683,2.06709,2.57854,3.26151]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.30913,1.24537,1.23709,1.2968,1.39298,1.55829,1.80057,2.19903,2.737,3.45854]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2098, 233, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[102.43,119.349,157.896,199.858,247.028,280.447,322.442,377.606,450.176,560.961]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[97.7528,115.345,154.846,199.832,248.553,280.313,318.605,368.919,428.374,517.055]}', 2010, '', 1, '', '', '2014-09-16 14:02:47', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2099, 301, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.01747,6.84956,6.18871,4.53429,4.13526,4.03615,4.09951,3.65551,7.22768,12.1276]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.9165,14.5109,15.7469,16.9302,18.1899,19.7345,21.2703,22.7407,24.133,25.4676]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.11545,5.85232,7.71664,7.26431,5.8046,6.21805,7.56276,13.7777,19.958,29.8149]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.338,13.6002,14.5579,15.4972,16.43,17.2346,18.331,19.4938,20.4685,21.4542]}', 2010, '', 1, '', '', '2014-09-16 14:03:28', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2100, 302, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.18747,2.02416,1.83548,1.34577,1.22227,1.19443,1.2156,1.08173,2.13785,3.58117]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.82862,4.29634,4.67323,5.01791,5.38838,5.84617,6.30328,6.73771,7.14662,7.54143]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.21538,1.72865,2.28154,2.1448,1.721,1.84057,2.23531,4.08423,5.90928,8.81983]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.65454,4.02804,4.3205,4.59362,4.86605,5.1063,5.43206,5.77547,6.06596,6.35626]}', 2010, '', 1, '', '', '2014-09-16 14:03:28', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2101, 303, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.0766,5.2497,4.73818,3.46864,3.16836,3.09018,3.13786,2.80092,5.53665,9.29166]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.88513,11.1079,12.0457,12.9542,13.9207,15.105,16.2778,17.4012,18.4729,19.4943]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.15301,4.48359,5.91093,5.56493,4.44132,4.76215,5.79112,10.5474,15.2705,22.8264]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.44335,10.409,11.1369,11.8569,12.5742,13.1895,14.0274,14.9164,15.6633,16.4193]}', 2010, '', 1, '', '', '2014-09-16 14:03:28', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2102, 310, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.28898,16.2356,16.3885,13.8451,12.4827,13.0483,7.03882,0.60592,1.64055,2.4582]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[690.36,727.619,679.333,656.23,684.037,698.638,626.06,648.031,566.051,569.657]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.06908,1.29011,1.37289,1.45346,1.33939,1.33494,1.89585,3.19035,4.75609,7.54503]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[307.125,192.012,159.937,160.36,175.325,178.888,201.802,287.314,350.081,437.615]}', 2010, '', 1, '', '', '2014-09-16 14:03:28', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2103, 284, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.28898,16.2356,16.3885,13.8451,12.4827,13.0483,7.03882,0.60592,1.64055,2.4582]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[690.36,727.619,679.333,656.23,684.037,698.638,626.06,648.031,566.051,569.657]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.06908,1.29011,1.37289,1.45346,1.33939,1.33494,1.89585,3.19035,4.75609,7.54503]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[307.125,192.012,159.937,160.36,175.325,178.888,201.802,287.314,350.081,437.615]}', 2010, '', 1, '', '', '2014-09-16 14:03:28', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2104, 274, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.3108,30.4312,33.716,29.9379,25.0833,26.0435,29.5634,26.9322,51.0254,66.5588]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[411.169,664.192,710.321,611.949,518.174,477.372,448.903,373.186,294.633,216.181]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[71.5813,158.74,219.165,228.922,178.101,160.863,184.327,272.641,340.189,434.221]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1028.56,1658.92,1808.18,1650.21,1508.8,1504.7,1559.2,1355.92,1216.2,935.223]}', 2010, '', 1, '', '', '2014-09-16 14:03:28', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2105, 275, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.7973,27.2815,28.5121,24.5078,20.2229,21.9297,25.8142,24.5977,48.4689,64.3604]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[245.608,301.777,303.076,293.541,283.016,310.082,332.174,302.091,253.892,195.282]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[70.7399,156.29,215.366,224.216,172.478,155.24,178.457,267.154,335.822,430.809]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[752.616,954.75,1012.79,1034.92,1090.93,1229.07,1375.03,1236.76,1141.14,893.7]}', 2010, '', 1, '', '', '2014-09-16 14:03:28', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2106, 276, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.53759,3.17378,5.2289,5.45638,4.89302,4.16703,3.8112,2.38876,2.66715,2.36635]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[165.566,362.424,407.257,318.422,235.181,167.331,116.789,71.1763,40.8461,21.029]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.919662,2.84075,4.14488,4.82939,5.72152,5.73432,6.0611,5.87091,4.87509,4.07066]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[275.961,704.237,795.466,615.337,417.925,275.719,184.288,119.317,75.2402,41.7578]}', 2010, '', 1, '', '', '2014-09-16 14:03:28', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2107, 277, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.815247,2.13029,3.34677,3.32449,3.54933,4.10836,5.43555,5.67768,13.2982,20.2296]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[200.923,345.038,547.495,675.345,770.416,912.1,1076.95,1266.8,1285.66,1485.38]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.7108,20.3423,27.6871,30.5023,30.4097,33.0847,36.6932,51.1869,70.5565,119.298]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[415.42,589.174,901.324,1123.32,1296.47,1502.9,1741.94,2064.41,2192.07,2521.45]}', 2010, '', 1, '', '', '2014-09-16 14:03:28', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2108, 278, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00614204,0.0220753,0.0334089,0.0332745,0.0672075,0.106622,0.195897,0.275395,0.76176,1.09049]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00186466,0.00641466,0.00972855,0.00807317,0.0146014,0.0229523,0.0416676,0.0511255,0.141956,0.192793]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0097755,0.0157081,0.0394331,0.0562157,0.172701,0.374752,1.04652,2.52956,3.77016,5.92861]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00343005,0.00461401,0.0121181,0.0166461,0.0468697,0.0945545,0.263438,0.625039,0.904207,1.35682]}', 2010, '', 1, '', '', '2014-09-16 14:03:28', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2109, 279, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.119228,0.505556,0.520612,0.480726,0.573831,0.835086,1.45839,1.47314,4.62016,6.79966]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[37.8073,51.3388,49.0552,44.0452,42.9108,46.235,52.0354,57.2734,57.1756,60.7151]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.298555,0.78583,1.28769,1.3138,1.17126,1.34781,2.64203,6.98057,14.1834,29.6082]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[59.9892,67.1505,58.2429,52.7629,52.5326,56.2187,62.6873,70.7723,74.1595,77.8349]}', 2010, '', 1, '', '', '2014-09-16 14:03:28', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2110, 280, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.689877,1.60266,2.36523,2.45165,2.4991,2.48849,2.34694,2.3575,1.91537,1.99441]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.4025,19.5408,24.9591,27.5418,27.6042,29.2471,28.7995,29.6299,27.2324,26.2154]}', '', 2010, '', 1, '', '', '2014-09-16 14:03:28', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2111, 313, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.5869,74.2409,78.3352,55.5005,37.77,22.1965,12.616,4.8884,6.44724,6.31701]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[476.094,629.366,669.407,697.652,717.132,741.253,758.909,751.102,711.388,625.134]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.622266,1.16515,0.95684,0.70263,0.60993,0.525216,0.677958,0.888516,1.0436,0.928171]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[77.3884,88.7036,86.2668,82.2918,80.9504,81.7527,83.1834,78.6766,68.7099,54.8789]}', 2010, '', 1, '', '', '2014-09-16 14:03:28', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2112, 314, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.593205,0.456145,0.287066,0.19483,0.225399,0.267863,0.30069,0.259141,0.470271,0.441058]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[113.937,122.665,119.938,116.563,116.772,119.339,121.57,118.282,110.617,94.267]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.622266,1.16515,0.95684,0.70263,0.60993,0.525216,0.677958,0.888516,1.0436,0.928171]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[77.3884,88.7036,86.2668,82.2918,80.9504,81.7527,83.1834,78.6766,68.7099,54.8789]}', 2010, '', 1, '', '', '2014-09-16 14:03:28', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2113, 304, 118, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.86136,1.94187,2.34676,3.04528,4.37737,5.15345,10.6615,16.1659]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.83411,6.52471,8.59302,11.0177,14.9722,19.3893,24.0225,27.9982]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.1021,3.21982,3.65937,4.5544,7.325,13.8229,21.2209,34.4897]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.49274,8.70176,11.1499,13.9176,18.8131,24.231,29.8358,34.5362]}', 2010, '', 1, '', '', '2014-09-16 14:03:28', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2114, 306, 118, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.7922,17.5708,21.716,30.2863,45.9811,56.6877,126.654,197.39]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[182.942,228.791,282.145,348.672,433.808,551.441,698.578,866.94]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.3179,27.5109,30.8431,39.7529,64.0949,132.795,215.279,385.477]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[171.401,212.992,255.911,304.56,368.469,463.927,567.6,669.86]}', 2010, '', 1, '', '', '2014-09-16 14:03:28', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2115, 307, 118, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0803086,0.0652305,0.0755934,0.125729,0.264494,0.293149,1.23322,2.19704]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.211859,0.232244,0.211906,0.307644,0.612754,1.76797,3.88209,9.16841]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0]}', 2010, '', 1, '', '', '2014-09-16 14:03:28', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2116, 309, 118, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.03873,6.31849,6.73186,9.0945,14.3909,18.8871,42.4206,66.7164]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.52007,16.1167,21.5639,30.8419,45.889,61.3864,82.1917,105.946]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.16227,6.14255,8.23364,11.0136,19.9315,42.9798,71.2966,118.324]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.17895,7.68384,14.9664,19.9899,33.974,51.3315,74.4197,97.7928]}', 2010, '', 1, '', '', '2014-09-16 14:03:28', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2117, 305, 118, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0410979,0.0615545,0.0900562,0.155081,0.316836,0.457474,1.1669,1.71316]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0104917,0.0114126,0.0196637,0.0283116,0.0655784,0.0747527,0.200592,0.277632]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0669087,0.134243,0.227605,0.529853,1.091,2.71711,4.54919,7.15025]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0203064,0.0388869,0.0559811,0.121199,0.262225,0.609796,1.0282,1.54186]}', 2010, '', 1, '', '', '2014-09-16 14:03:28', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2118, 308, 118, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.99763,6.25694,6.6418,8.93942,14.074,18.4297,41.2537,65.0033]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.50958,16.1053,21.5442,30.8136,45.8234,61.3117,81.9911,105.669]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.09536,6.0083,8.00603,10.4838,18.8405,40.2627,66.7474,111.173]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.15864,7.64496,14.9104,19.8687,33.7118,50.7217,73.3915,96.2509]}', 2010, '', 1, '', '', '2014-09-16 14:03:28', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2119, 271, 118, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.10524,4.41834,8.30751,12.5003,18.483,21.2067,67.3266,93.4645]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.79684,116.578,258.789,383.648,366.806,324.008,888.057,926.645]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.481369,50.7333,69.2464,114.385,184.49,377.805,597.575,993.862]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.731471,493.634,777.078,1410.48,1729.76,2006.23,2369.39,2652.1]}', 2010, '', 1, '', '', '2014-09-16 14:03:28', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2120, 272, 118, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.10524,2.29993,2.6609,3.5304,5.1429,6.35775,12.7678,18.7573]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.79684,4.33971,6.02112,8.20446,11.8782,16.8514,21.3319,24.6852]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.481369,0.765634,0.537207,0.725504,1.3717,2.92862,4.6184,5.47594]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.731471,1.14763,1.02426,1.50118,2.60114,4.10079,5.4987,4.6185]}', 2010, '', 1, '', '', '2014-09-16 14:03:28', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2121, 265, 118, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.5727,18.3295,27.7446,37.9644,67.9535,95.3829,231.338,355.313]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[91.5331,152.633,258.433,377.676,536.65,667.093,851.294,970.665]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.1037,27.6792,38.0929,45.9893,91.284,164.308,286.141,438.592]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[102.874,174.754,295.659,436.289,667.599,755.493,960.912,1019.07]}', 2010, '', 1, '', '', '2014-09-16 14:03:28', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2122, 266, 118, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.24861,1.35585,2.11335,2.79023,6.00025,7.97836,20.9088,35.4975]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.64107,5.86625,11.9966,16.9367,35.5254,50.3555,77.5477,92.8365]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.00595,1.63938,3.66035,4.92686,8.472,16.7815,26.5015,45.604]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.83602,6.16309,15.6192,21.6073,32.5556,46.3809,58.1972,68.3266]}', 2010, '', 1, '', '', '2014-09-16 14:03:28', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2123, 267, 118, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.1874,24.7026,41.8645,54.8146,101.539,123.143,302.729,469.854]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[45.9076,66.7766,147.136,203.105,371.123,448.735,670.613,828.324]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.0243,43.1986,56.0353,71.3413,132.888,261.026,470.618,765.807]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[38.429,57.5704,111.801,143.642,258.732,356.669,569.986,719.185]}', 2010, '', 1, '', '', '2014-09-16 14:03:28', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2124, 268, 118, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.0386,26.3438,42.6793,53.5934,89.8484,118.991,261.206,402.282]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[199.271,295.651,576.417,902.22,1406.4,1736.94,1955.46,2163.93]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.68368,11.0005,17.6845,27.4671,45.8152,92.3019,139.619,208.019]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[74.5676,110.769,220.027,324.133,470.424,593.493,644.079,700.721]}', 2010, '', 1, '', '', '2014-09-16 14:03:28', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2125, 286, 118, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.5568,31.6701,40.1332,57.1937,86.8527,111.631,243.655,377.091]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[68.6554,109.138,163.933,236.462,325.067,424.641,540.619,648.071]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[29.0974,48.8979,59.3621,81.6489,140.969,293.934,478.949,781.631]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[71.7545,115.093,181.466,259.261,374.283,517.172,678.406,815.67]}', 2010, '', 1, '', '', '2014-09-16 14:03:28', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2126, 287, 118, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.174,19.8071,25.7574,36.7825,56.1283,70.9021,150.498,220.616]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.5273,24.4898,35.8818,50.8073,76.1501,109.84,150.694,175.366]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.5376,32.7032,38.2921,51.9117,89.4262,186.312,292.937,465.453]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.4733,31.0417,45.7095,64.4906,98.728,149.415,205.526,242.843]}', 2010, '', 1, '', '', '2014-09-16 14:03:28', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2127, 288, 118, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.32231,7.92899,9.55423,12.56,18.1233,21.1995,41.7709,59.0404]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.71177,8.4786,11.7428,15.6055,22.1718,30.4264,39.4597,45.4438]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.59504,13.6169,14.5304,17.5668,27.2482,51.7066,75.4915,118.936]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.14418,10.7273,14.9043,19.7568,28.5643,40.5576,52.7809,60.726]}', 2010, '', 1, '', '', '2014-09-16 14:03:28', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2128, 289, 118, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.233262,0.195929,0.192045,0.241537,0.227462,0.0890354,0.0908735,0.0805683]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.02751,1.266,1.55719,1.97632,1.71091,0.639321,0.365694,0.24111]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.324412,0.402274,0.371376,0.396324,0.455837,0.408514,0.31059,0.310763]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.49625,1.84948,2.29338,2.82793,2.61122,1.47652,0.860026,0.550878]}', 2010, '', 1, '', '', '2014-09-16 14:03:28', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2129, 290, 118, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.09098,4.3705,5.19869,7.31139,10.7777,14.2527,33.649,57.4508]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.0681,24.822,37.3973,54.0906,80.9739,117.619,158.766,195.41]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.56518,7.44218,10.0056,13.5119,22.8448,46.2743,78.5303,129.333]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.8529,32.6068,48.9578,69.376,103.438,151.278,203.194,247.027]}', 2010, '', 1, '', '', '2014-09-16 14:03:28', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2130, 291, 118, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.133226,0.160261,0.25526,0.373765,0.610815,0.820625,1.86582,2.50417]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0721102,0.0946034,0.148569,0.223457,0.381611,0.472445,1.00429,1.30754]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.151382,0.231695,0.318956,0.371202,0.746602,1.56668,2.7512,4.08644]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0976229,0.161267,0.243551,0.28365,0.514515,1.04274,1.7356,2.56145]}', 2010, '', 1, '', '', '2014-09-16 14:03:28', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2131, 292, 118, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0323045,0.0382469,0.0630436,0.0936665,0.153543,0.202598,0.453712,0.595118]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.50977,8.95063,13.7635,19.4888,24.4058,27.9613,30.254,31.0263]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0438325,0.068438,0.093991,0.109901,0.224427,0.461349,0.799135,1.17048]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.94422,11.4249,17.511,24.5278,30.5937,35.4361,38.0032,38.7358]}', 2010, '', 1, '', '', '2014-09-16 14:03:28', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2132, 293, 118, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.19662,1.23078,1.43076,1.96822,2.80225,3.54904,7.96092,13.186]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.3309,33.8438,50.1762,69.945,88.9457,107.433,122.556,134.901]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.21753,1.90977,2.49412,3.22204,5.2762,10.1429,16.5063,26.4177]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[22.031,35.1391,51.7749,71.6481,91.1088,111.511,126.814,139.156]}', 2010, '', 1, '', '', '2014-09-16 14:03:28', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2133, 294, 118, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.59642,1.55723,1.83759,2.20662,2.9185,4.01562,8.3649,11.9177]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.4358,16.307,23.6867,30.7975,36.9174,42.9758,46.2578,47.2823]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.49207,3.86882,4.36958,5.8458,9.16835,17.524,30.5289,45.5431]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.2592,23.9772,37.7942,54.0995,74.9158,94.9922,118.731,129.875]}', 2010, '', 1, '', '', '2014-09-16 14:03:28', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2134, 295, 118, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.16554,1.17824,1.3283,1.76499,2.37158,2.80414,5.76993,8.40709]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.16085,6.3723,8.91907,11.9216,16.2231,20.8501,24.8815,26.6532]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.46186,2.2422,2.82477,3.53082,5.57662,10.1834,15.6224,22.5845]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.03559,9.31902,13.1028,17.2987,23.7989,31.5198,38.0072,41.1576]}', 2010, '', 1, '', '', '2014-09-16 14:03:28', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2135, 296, 118, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.193852,0.226649,0.362871,0.523273,0.851573,1.15519,2.64938,3.55979]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.101678,0.130004,0.214489,0.30962,0.534565,0.664626,1.41545,1.86407]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.221864,0.334613,0.460924,0.529137,1.06731,2.24171,3.9636,5.93516]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.148852,0.233142,0.35016,0.401808,0.732633,1.50105,2.51992,3.75941]}', 2010, '', 1, '', '', '2014-09-16 14:03:28', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2136, 297, 118, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.43784,2.54701,2.97742,4.09208,5.90149,7.60951,17.4846,29.1298]}', '', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.727,4.36245,5.74873,7.59945,12.5179,24.7212,41.0837,65.7848]}', '', 2010, '', 1, '', '', '2014-09-16 14:03:28', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2137, 298, 118, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.873336,0.917612,1.06606,1.45733,2.0803,2.63642,5.98651,9.79191]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.26266,5.23412,7.68254,10.8145,15.6517,21.8131,28.1896,33.1762]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.954522,1.53318,2.01101,2.64305,4.30332,8.34816,13.6044,21.3575]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.22403,6.75386,9.87739,13.6135,19.6444,27.5236,35.3315,41.0455]}', 2010, '', 1, '', '', '2014-09-16 14:03:28', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2138, 299, 118, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.262688,0.258083,0.303352,0.407222,0.562772,0.701082,1.56341,2.44909]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.963768,1.50193,2.16013,2.97904,4.23618,5.72105,7.21429,8.28452]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.277715,0.434343,0.558621,0.718343,1.15152,2.16942,3.37244,5.13232]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.21192,1.89746,2.70946,3.69415,5.16162,6.98296,8.6365,9.7058]}', 2010, '', 1, '', '', '2014-09-16 14:03:28', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2139, 300, 118, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.74696,10.4634,12.1675,17.6848,26.2622,33.3349,72.4819,114.269]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.7262,27.2946,39.9184,61.4284,85.9827,110.803,144.965,185.392]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.55842,13.5959,16.9556,23.727,40.2532,83.1914,135.92,225.375]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.1216,17.1376,31.3963,44.6066,71.4152,103.949,147.938,193.427]}', 2010, '', 1, '', '', '2014-09-16 14:03:28', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2140, 270, 118, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.86442,10.1844,13.7016,19.7161,30.9134,43.2922,97.7854,156.798]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[49.0894,79.4857,121.04,171.249,227.467,285.725,354.518,412.45]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.80165,9.76602,12.9097,18.2403,31.5635,63.183,111.007,194.16]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[48.2535,78.449,118.071,164.947,218.766,281.651,347.515,403.78]}', 2010, '', 1, '', '', '2014-09-16 14:03:28', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2141, 283, 118, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.427523,0.35884,0.409189,0.678157,1.43432,1.57164,6.00087,10.3451]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[103.92,130.94,155.802,189.539,231.919,280.888,309.473,357.078]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.40085,1.59046,1.46163,2.11503,4.20514,12.0469,25.3706,57.5457]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[185.797,231.874,273.723,318.247,374.711,455.836,520.774,591.932]}', 2010, '', 1, '', '', '2014-09-16 14:03:28', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2142, 273, 118, '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.11841,5.6466,8.96993,13.3401,14.849,54.5588,74.7072]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[112.238,252.768,375.443,354.928,307.156,866.725,901.959]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[49.9677,68.7092,113.659,183.118,374.876,592.956,988.386]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[492.486,776.054,1408.98,1727.16,2002.13,2363.89,2647.48]}', 2010, '', 1, '', '', '2014-09-16 14:03:28', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2143, 269, 118, '{\"age\":[\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.207808,0.442154,0.850529]}', '{\"age\":[\"50-54\",\"55-59\",\"60-64\"],\"number\":[39.5128,64.4705,71.8228]}', '{\"age\":[\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.03455,1.42207,3.00449]}', '{\"age\":[\"50-54\",\"55-59\",\"60-64\"],\"number\":[63.2282,102.213,137.413]}', 2010, '', 1, '', '', '2014-09-16 14:03:28', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2144, 315, 118, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.2839,74.029,78.1869,55.3861,37.6248,22.0173,12.4125,4.69886,6.12543,6.02436]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[381.953,532.754,575.882,607.633,627.299,649.321,664.932,659.679,625.796,552.016]}', '', '', 2010, '', 1, '', '', '2014-09-16 14:03:28', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2145, 281, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[29.8397,59.8864,87.6772,113.786,110.449,135.099,160.566,214.459,173.792,267.288]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[60.9944,100.679,139.307,180.374,178.081,212.487,245.229,324.58,281.077,433.827]}', 2010, '', 1, '', '', '2014-09-16 14:03:28', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2146, 282, 118, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[133.274,233.806,306.833,386.566,461.239,541.204,632.383,714.127,745.072,800.102]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[294.433,421.34,517.965,658.297,792.087,915.857,1059.05,1212.6,1315.16,1416.5]}', 2010, '', 1, '', '', '2014-09-16 14:03:28', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2147, 1, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[74.319,264.68,525.154,621.196,716.848,629.071,563.909,342.497,257.322,190.901]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[215.294,634.616,1488.7,1852.96,2564.27,2329.21,1986.38,1189.64,962.694,556.286]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[52.4666,124.76,369.946,600.974,785.805,763.622,780.46,589.277,444.683,304.253]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[209.631,346.674,1010.61,1616.64,2521.95,2701.16,2947.83,2004.95,1865.65,962.53]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2148, 2, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.6222,37.8096,67.229,69.5139,61.0942,46.1608,44.4404,54.0505,77.5264,100.815]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[42.0314,57.3449,145.436,173.62,234.549,312.778,396.658,383.221,416.036,236.129]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.47187,24.5592,60.4064,95.6998,103.516,94.2621,96.5771,129.934,149.48,177.59]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[67.0912,89.0364,247.439,331.825,428.681,537.486,742.756,699.659,832.453,432.822]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2149, 3, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[63.6968,226.87,457.925,551.682,655.754,582.91,519.469,288.447,179.796,90.0865]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[173.262,577.271,1343.27,1679.34,2329.72,2016.43,1589.73,806.423,546.658,320.157]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[45.9948,100.2,309.54,505.274,682.289,669.359,683.883,459.342,295.203,126.664]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[142.54,257.638,763.171,1284.82,2093.27,2163.67,2205.08,1305.29,1033.19,529.708]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2150, 4, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.6171,44.9386,90.706,109.277,129.892,115.463,102.897,57.1357,35.614,17.8444]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[35.4768,48.1809,122.359,143.935,195.878,261.523,332.266,320.973,348.001,197.133]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.11067,19.8478,61.3139,100.085,135.148,132.587,135.464,90.9868,58.474,25.0896]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[55.9549,75.4286,206.931,278.416,357.466,449.941,624.425,585.273,696.993,362.671]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2151, 5, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[51.0797,181.931,367.219,442.404,525.862,467.447,416.572,231.311,144.182,72.2421]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[137.786,529.09,1220.91,1535.4,2133.84,1754.91,1257.46,485.45,198.657,123.024]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[36.8841,80.3527,248.226,405.189,547.141,536.772,548.419,368.355,236.729,101.574]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[86.585,182.209,556.24,1006.4,1735.81,1713.73,1580.65,720.021,336.2,167.037]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2152, 6, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.5188,35.6836,38.2645,39.0447,35.9302,34.3368,43.494,61.9975,104.858,174.071]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[293.7,300.655,314.526,327.618,336.259,341.761,362.671,399.308,422.286,443.696]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.3207,33.0603,42.3951,47.912,48.4951,48.7554,61.3752,94.457,130.55,205.532]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[298.791,320.764,346.409,362.736,366.282,376.927,385.397,404.316,418.715,443.633]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2153, 7, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.49424,4.74415,6.21235,6.34514,5.38241,5.82157,6.44104,8.93134,13.4776,27.4136]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[71.6081,79.812,87.6381,96.04,103.98,111.348,119.482,126.892,135.036,142.115]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.41074,4.70951,6.74636,8.1799,8.04419,8.98337,11.0352,16.2461,21.4542,36.1127]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[54.6106,60.9942,67.6003,73.5824,79.9602,85.7994,91.6455,96.7859,103.315,108.221]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2154, 8, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.30247,4.22835,3.35889,2.91605,2.23939,2.08658,2.1006,2.22276,2.417,2.07179]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.32229,3.07909,2.76957,2.51923,2.24744,2.04811,1.82333,1.64303,1.529,1.31921]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.36268,5.96521,5.71581,5.0134,3.71178,3.1282,2.81681,2.97972,2.89131,2.41594]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.3294,4.07155,3.70601,3.36757,3.03798,2.69287,2.42269,2.20638,1.88577,1.76235]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2155, 9, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.59217,9.12537,10.8219,11.3035,11.2723,11.479,17.1562,24.8266,50.8833,99.7561]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.4722,12.0555,13.2513,14.5052,15.7696,16.8327,20.7839,29.0288,37.1455,44.7953]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.10463,9.01789,14.4165,18.1416,19.9198,20.3331,28.0462,46.0478,73.7481,126.271]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.2999,10.5604,12.1607,13.4812,14.8182,16.2652,20.3388,29.4698,37.9994,46.2927]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2156, 10, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00459671,0.00913439,0.0108326,0.0113147,0.0112834,0.0114903,0.0171732,0.0248511,0.0509336,0.0998547]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[49.9779,42.1911,44.3099,47.2495,48.232,51.1737,49.1023,41.0064,33.3504,25.4781]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00510967,0.0090268,0.0144307,0.0181595,0.0199395,0.0203532,0.0280739,0.0460933,0.073821,0.126395]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[47.2485,38.8003,42.4365,46.7299,49.1245,53.1941,51.4069,42.9963,34.5512,26.1539]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2157, 11, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0213208,0.0156345,0.014666,0.0175377,0.0174579,0.0213577,0.0382158,0.0720112,0.0705326,0.0874092]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[85.0937,87.9694,86.3909,83.0526,78.0674,69.5718,70.8061,81.7478,82.614,81.1969]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0201369,0.0166953,0.0189525,0.023011,0.021978,0.0243206,0.0388981,0.0730532,0.0635125,0.0764677]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[101.34,116.092,121.165,118.721,108.334,100.058,92.584,93.2657,89.9648,91.0904]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2158, 12, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.1849,14.5987,14.6341,15.0803,13.8607,12.3811,15.1456,22.5905,33.5552,40.1129]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[66.9659,70.8836,74.9621,78.1544,80.9077,82.8745,91.6831,108.446,120.094,134.556]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.91333,11.071,12.6614,13.457,13.624,13.4606,16.5258,25.274,28.4335,36.3918]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[76.0941,85.8435,94.1918,100.699,103.745,110.508,117.652,128.053,137.52,155.118]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2159, 13, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.14552,6.0006,5.99926,6.04806,5.42465,4.72272,5.61078,8.10844,11.6281,13.3153]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[28.6279,30.5347,32.2898,33.4928,34.2805,34.7818,37.5148,42.5238,45.4003,49.0752]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.24348,4.58632,5.22236,5.42849,5.36687,5.16362,6.14832,9.10921,9.8954,12.1762]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[31.5125,36.1456,39.8975,42.3806,43.1462,45.68,47.8069,50.7146,52.777,57.539]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2160, 14, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.09479,0.789587,0.369081,0.427066,0.444644,0.447639,0.605847,0.973644,1.56073,2.01809]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.81882,8.43598,7.45311,7.24688,7.08252,6.95848,7.2816,8.16678,9.21776,10.7312]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.846383,0.596818,0.316324,0.372648,0.42181,0.47522,0.654462,1.09718,1.33329,1.83532]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.5896,10.0945,8.53667,8.34376,8.26742,8.29088,8.39793,9.04264,10.1232,12.0607]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2161, 15, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.4297,2.00209,1.97495,1.98272,1.76986,1.52841,1.81025,2.58894,3.68422,4.18972]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.35086,7.91488,8.42012,9.11164,9.48067,9.74766,10.9442,13.5606,15.2264,17.2589]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.10535,1.5132,1.69424,1.75491,1.72627,1.655,1.96243,2.88832,3.10877,3.76721]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.85654,10.3027,11.4193,12.169,12.73,13.4388,14.4893,16.2632,17.8382,20.543]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2162, 16, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.51486,5.80647,6.29084,6.62248,6.22155,5.68235,7.11872,10.9194,16.6822,20.5898]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.8431,23.7258,26.5332,28.0305,29.7535,31.0438,35.5746,43.8291,49.8993,57.1392]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.71812,4.37465,5.42849,5.90091,6.10906,6.16679,7.76056,12.1793,14.096,18.6131]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.6249,28.9385,33.9637,37.4048,39.1628,42.593,46.393,51.5804,56.2991,64.5015]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2163, 17, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.51038,2.64814,2.97405,3.15061,2.97074,2.38386,2.43672,3.13328,4.10661,4.37297]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.60944,3.18249,3.81241,4.52778,5.31629,5.98709,6.72065,7.43427,8.39728,9.26987]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.17352,2.00822,2.57315,2.81145,2.92002,2.59171,2.65878,3.50548,3.47979,3.9673]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.23461,2.92601,3.73569,4.58803,5.51597,6.43491,7.05868,8.27159,9.18817,10.0932]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2164, 18, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0128631,0.0134944,0.0148211,0.0139781,0.0124465,0.00956777,0.0128928,0.0148478,0.0159996]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.00127086,0,0.000355339,0,0.00183494,0,0.00070135,0.00186384,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0117394,0.0131991,0.0184366,0.0198326,0.019159,0.0156598,0.0215097,0.0253879,0.0240534]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0,0,0.000858413,0.00152924,0.000514486,0.00266632,0.00283244,0.00343002,0.00251494]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2165, 19, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0149657,0.0201858,0.0264108,0.0286001,0.0231972,0.023101,0.022079,0.0193749,0.075217]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0320692,0.0327614,0.0451066,0.0442768,0.0471436,0.0454055,0.041671,0.0366802,0.120232]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0135234,0.019348,0.0318826,0.0394991,0.0343889,0.0366982,0.0360647,0.0322874,0.111286]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0317668,0.0415166,0.0516711,0.0629177,0.0744691,0.0838642,0.0899362,0.071466,0.258636]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2166, 20, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0254874,0.0449087,0.0604278,0.0724822,0.0707063,0.0625605,0.0665373,0.0854721,0.117873,0.0756432]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000656048,0.00213166,0.00167102,0,0.00524454,0,0.00312283,0.000737901,0.001252,0.000958664]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0232139,0.0441553,0.0742303,0.103524,0.108884,0.103007,0.111648,0.146309,0.177961,0.100306]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00337736,0.00371329,0.00447256,0.00311079,0.00399746,0.00423303,0.00290229,0.000796377,0.00080286,0.00246816]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2167, 21, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.336779,0.214033,0.10969,0.0671927,0.0394671,0.0317509,0.0255582,0.0257774,0.0273]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0785508,0.0546715,0.0244963,0.0136855,0.00688872,0.008744,0.0130916,0.0045606,0.00788006]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.264543,0.162907,0.0896768,0.0550063,0.0329872,0.0301015,0.0243019,0.0294816,0.0378126]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0604742,0.0307849,0.0161575,0.0126557,0.0107368,0.00865679,0.00587267,0.00612213,0.00859921]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2168, 22, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0186381,0.0214076,0.0263283,0.0378755,0.03013,0.0248492,0.0313621,0.0506734,0.060516,0.0808548]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.53837,1.39232,1.32013,1.51131,1.67782,1.8713,2.21149,3.0655,3.99039,4.96503]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0175242,0.023152,0.0342872,0.0496823,0.0379433,0.0282506,0.0319096,0.0512833,0.0543847,0.0709987]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.53857,1.39982,1.33942,1.48609,1.65577,1.87537,2.18751,3.18521,4.01991,4.89807]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2169, 23, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[67.2096,104.032,99.3989,94.3401,84.9933,96.091,99.9187,129.085,153.519,194.436]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[726.492,780.704,795.101,794.441,804.724,827.752,818.417,833.835,816.135,877.928]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[56.0851,104.661,120.656,115.968,108.649,133.829,142.462,183.67,198.315,207.463]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[589.723,609.581,599.523,597.443,610.489,628.102,700.11,712.827,728.309,748.043]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2170, 24, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[65.572,101.969,97.2542,92.137,82.7334,93.9046,97.5909,126.251,149.446,189.546]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[209.488,212.198,229.157,230.844,240.581,262.558,241.817,250.134,216.939,242.672]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[54.0794,101.95,117.375,112.572,105.646,130.743,139.316,179.922,193.833,202.928]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[96.4357,93.5334,91.9061,91.8644,104.072,125.633,137.48,148.495,157.708,183.982]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2171, 25, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.485251,0.482688,0.394059,0.374262,0.347069,0.387067,0.45428,0.551006,0.689019,0.683661]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.26988,1.48058,1.68663,1.87781,2.06996,2.28272,2.3983,2.52858,2.60083,2.65615]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.06194,1.18698,1.15105,1.10126,1.00265,1.02135,1.07271,1.2964,1.44668,1.39665]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.29476,1.49691,1.70543,1.92199,2.10596,2.28254,2.40343,2.50914,2.57759,2.63637]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2172, 26, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00324424,0.00751185,0.0125587,0.0153143,0.0179987,0.0193198,0.0224839,0.0287133,0.0372639,0.0452244]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[325.997,366.176,361.616,356.77,354.133,352.558,348.162,346.284,354.441,374.419]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00139627,0.00349339,0.00723367,0.0102731,0.0130025,0.0149687,0.0177789,0.0230903,0.0264493,0.0283744]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[232.208,244.954,232.949,223.422,214.759,205.704,196.686,187.535,179.105,170.702]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2173, 27, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.030168,0.0568549,0.0777227,0.0907138,0.0805799,0.0958464,0.124673,0.169742,0.238238,0.267747]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[29.5384,36.5127,35.762,34.0257,32.5487,31.4705,30.8636,30.5783,29.5726,29.488]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0285315,0.0610286,0.10024,0.118934,0.101618,0.10913,0.126618,0.171668,0.21457,0.234917]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[41.8372,53.4241,51.9381,49.909,48.1098,47.2219,45.856,44.9432,44.7453,43.732]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2174, 28, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00246201,0.00362166,0.00426587,0.00553187,0.00593538,0.00806064,0.0127447,0.0158096,0.0280242,0.0343493]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.28901,1.87353,2.30679,2.79489,3.32788,3.90004,4.46192,4.98657,5.74408,6.53499]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0023347,0.0038852,0.00552643,0.00724143,0.00748208,0.00917369,0.012945,0.0160172,0.0252604,0.0300367]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.55879,2.02676,2.6331,3.27226,3.93651,4.74896,5.39938,6.18831,7.08675,8.04823]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2175, 29, 236, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.100852,0.723685,2.35103,4.23918,6.2301,9.30845,15.4434,22.84,31.2076]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0454279,0.271707,0.989744,1.86783,3.05475,4.56308,8.04835,13.5456,21.1151]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2176, 30, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0471428,0.0703948,0.115729,0.120295,0.201791,0.14761,0.154915,0.134002,0.206231,0.305737]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0831125,0.104284,0.126192,0.229105,0.16093,0.139252,0.144976,0.183524,0.202262,0.22535]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2177, 31, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.420579,0.577981,0.66707,0.635563,0.644158,0.526807,0.481727,0.551156,0.918162,1.20536]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00263821,0.00161109,0.00923787,0.00663461,0.00412755,0.00650444,0.00271325,0.00405619,0.00413929,0.00458507]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.263648,0.453212,0.715253,0.62945,0.562835,0.643495,0.509219,0.595676,0.80555,0.650318]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00197595,0.00430451,0.000879709,0.00229784,0.00229008,0.00566169,0.00164414,0.00278205,0.00509778,0.0056039]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2178, 32, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00245618,0.00201065,0.00143627,0.00188017,0.00132055,0.00163564,0.00166553,0.00261558,0.00410186,0.00620066]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[137.77,137.395,136.762,136.342,136.469,136.867,133.7,133.859,130.412,130.026]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00269405,0.00250569,0.00216496,0.00286513,0.00193908,0.00217408,0.00197912,0.00309251,0.00431177,0.00636631]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[135.148,129.502,127.306,126.744,128.344,129.014,130.126,131.244,132.25,133.514]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2179, 33, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00245618,0.00201065,0.00143627,0.00188017,0.00132055,0.00163564,0.00166553,0.00261558,0.00410186,0.00620066]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.169476,0.161216,0.168642,0.1701,0.159992,0.168155,0.158961,0.160382,0.163578,0.161838]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00269405,0.00250569,0.00216496,0.00286513,0.00193908,0.00217408,0.00197912,0.00309251,0.00431177,0.00636631]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.177413,0.165177,0.171983,0.164941,0.163736,0.165754,0.161751,0.163366,0.164208,0.151236]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2180, 34, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.219785,0.214334,0.212738,0.206927,0.21311,0.215074,0.208249,0.206087,0.205982,0.216214]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.223538,0.210456,0.209491,0.217858,0.219664,0.210832,0.219347,0.211234,0.206034,0.20255]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2181, 35, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[137.38,137.02,136.38,135.965,136.096,136.484,133.333,133.493,130.042,129.648]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[134.748,129.126,126.924,126.361,127.961,128.638,129.745,130.87,131.88,133.16]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2182, 36, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.153688,0.267174,0.320955,0.408393,0.478679,0.501874,0.568216,0.888001,1.50419,2.02783]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.16549,8.77757,8.985,9.33907,9.78274,9.78673,8.45385,9.95889,12.4685,18.7567]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.111694,0.262695,0.440194,0.557176,0.558294,0.599861,0.745036,0.943262,1.34085,1.6795]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[26.7045,21.4357,19.6011,20.5505,22.7827,23.3732,25.918,27.7269,31.6931,20.9849]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2183, 37, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.4815,53.4779,63.9192,71.7998,45.3881,28.7493,23.4908,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[40.3992,134.778,279.414,421.777,538.381,623.064,673.769,447.857,316.264,156.349]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2184, 38, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[3.31004,9.95005,13.9847,18.0573,12.0409,8.02319,6.882]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[1.57838,3.1221,4.57114,4.00674,2.06481,0.602635,0.0529879]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2185, 39, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[1.92186,5.09892,5.14519,4.73466,2.77958,1.62865,1.22474]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[0.720771,1.87647,2.30641,1.27909,0.578897,0.389457,0.104185]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2186, 40, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[4.0375,8.56178,9.0965,8.95447,5.48405,3.36671,2.66682]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[2.24288,8.02881,9.67908,5.47025,2.45057,1.5109,0.567662,0.000267091]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2187, 41, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[0.211171,0.935381,1.00555,1.00848,0.719802,0.509032,0.460454]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.6447,83.7831,184.289,291.72,381.782,446.711,486.836,447.857,316.264,156.349]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2188, 42, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[2.66922,7.7196,8.84297,9.52239,5.72478,3.44307,2.66563]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[0.498195,0.969907,1.14862,1.26451,1.19621,0.648709,0.153971]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2189, 43, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[7.33174,21.2122,25.8443,29.5225,18.6389,11.7786,9.59119]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[10.7142,36.9979,77.4202,118.037,150.308,173.201,186.054]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2190, 45, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[43.3672,42.4884,41.4703,40.5967,39.9315,39.0741,37.8715,37.1281,35.6735,33.8503]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[50.7155,49.6993,48.1692,47.7116,45.9288,45.1913,44.0776,42.9877,41.2684,39.9965]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2191, 46, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[134.121,124.841,116.879,108.87,103.303,97.1965,90.8716,84.0183,74.701,65.1332]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[190.705,180.446,170.256,159.644,149.668,140.922,131.302,121.182,108.252,94.8698]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2192, 49, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.66677,10.284,10.7918,12.1153,11.7787,13.2745,18.8215,24.7712,47.7924,84.7948]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[658.701,799.237,738.779,692.322,660.079,584.004,498.793,516.409,488.821,501.364]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.86885,12.5432,15.2494,18.1737,19.72,21.3194,27.7792,40.0939,57.2481,104.762]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[605.836,491.846,436.63,447.912,485.923,500.06,536.474,567.965,622.965,700.06]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2193, 50, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.96688,8.58197,8.8804,10.3108,10.6349,12.2684,17.7215,23.5848,45.6336,81.1184]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.96665,3.45646,3.3061,3.77633,3.97517,4.77943,7.13792,8.8365,17.271,31.9376]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.14401,10.4673,12.5486,15.4669,17.805,19.7036,26.1557,38.1735,54.6621,100.22]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.31123,5.94867,6.32912,7.17337,6.6729,7.04937,9.56208,11.3888,18.7649,34.1982]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2194, 51, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.123497,0.441963,0.462347,0.319401,0.142749,0.116857,0.100316,0.079342,0.1108,0.132214]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[102.345,117.283,112.161,107.219,102.065,97.6198,93.2672,90.4328,87.3185,84.2289]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.127901,0.539054,0.653325,0.479124,0.238992,0.187676,0.148059,0.12842,0.132722,0.163347]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[60.9093,70.2378,67.1501,64.4501,61.3051,58.397,55.8099,54.0964,52.1278,50.4122]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2195, 52, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.4032,7.23761,6.33356,7.19317,6.88548,6.16149,4.29776,3.07321,2.2722,1.69709]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.3202,7.39903,6.33405,7.39634,7.60658,7.04664,4.70315,3.30857,2.64926,2.30637]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2196, 53, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.566905,1.24071,1.42436,1.45559,0.973827,0.856768,0.957879,1.05545,1.94941,3.38532]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[536.973,671.235,616.95,574.103,547.128,475.416,394.059,414.033,381.904,383.426]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.587121,1.51327,2.01272,2.18349,1.63039,1.376,1.41376,1.70832,2.3351,4.18249]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[526.282,408.231,356.777,368.846,410.295,427.523,466.353,499.116,549.357,613.051]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2197, 54, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00948567,0.0193496,0.0246452,0.0295145,0.0272364,0.0324693,0.0418096,0.0516444,0.0986253,0.158858]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0126731,0.0238882,0.0279073,0.0305028,0.0255538,0.0273479,0.0311837,0.0336545,0.0552963,0.0750276]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00982394,0.0236004,0.0348252,0.0442738,0.0455996,0.052147,0.061708,0.0835899,0.118138,0.196266]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0131797,0.0293516,0.0397591,0.0461087,0.0430238,0.0441661,0.0462932,0.0548314,0.0666017,0.0931249]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2198, 55, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.83435,12.9394,16.5209,17.1965,15.1063,11.5802,16.0364,24.4166,47.7582,49.3664]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[43.6462,66.9249,66.2532,61.3604,53.9431,52.1868,21.7076,16.1932,15.0253,23.1836]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.70256,7.45128,13.6502,19.0691,19.8395,17.4693,22.1566,31.6133,37.5995,44.4378]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[97.4687,116.386,104.651,91.8725,79.6069,68.325,59.241,52.8693,56.973,38.9621]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2199, 56, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.437875,0.904109,1.29513,1.48694,1.18084,1.05677,1.10474,1.01552,0.976319,1.39217]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[29.879,52.0076,50.9476,46.7685,40.5988,40.404,11.3149,5.94047,5.13178,5.02344]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.256977,0.461788,0.739927,1.02329,1.05287,1.06261,1.0936,1.25359,1.41478,2.12054]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[46.3698,76.2834,67.0475,52.7048,38.2522,26.4144,15.3149,6.38033,6.13708,6.87579]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2200, 57, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0243977,0.0438222,0.0672262,0.0735062,0.0657434,0.0670188,0.0604395,0.0901636,0.211359,0.301682]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.477503,1.14474,1.7137,2.11963,2.42014,2.77557,2.85813,3.18476,3.5373,3.80426]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.256977,0.461788,0.739927,1.02329,1.05287,1.06261,1.0936,1.25359,1.41478,2.12054]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.924362,2.20179,3.21308,3.88857,4.51867,4.82156,5.15745,5.49499,6.11136,6.85636]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2201, 58, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0963291,0.201296,0.285659,0.32853,0.25883,0.230337,0.244663,0.216963,0.180294,0.269332]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.98554,9.20196,9.10994,8.48319,7.59847,8.60637,1.03588,0.327118,0.139749,0.0683593]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[30.0529,49.0831,39.8634,26.4131,14.1699,8.67381,4.2249,0.521387,0.019751,0.0147681]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2202, 59, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0724,0.150864,0.215401,0.245577,0.193432,0.170346,0.180188,0.161551,0.136,0.187668]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.55938,8.06054,8.66247,9.19164,8.97594,8.40424,1.90915,0.291206,0.0946531,0.0478304]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.3925,24.9985,23.971,22.4032,19.5636,12.919,5.93254,0.363948,0.00597329,0.0046658]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2203, 60, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.6259,29.8296,25.3557,18.5338,11.8834,8.00086,4.47812,1.4652,0.992415,0.942332]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2204, 61, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.244748,0.508126,0.726845,0.839323,0.662831,0.58907,0.619455,0.546845,0.448666,0.633487]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.23068,3.77071,6.10582,8.44023,9.72083,12.617,1.03362,0.67218,0.367662,0.160656]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2205, 62, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.47645,5.10886,5.30929,5.67345,5.53108,5.22541,8.34727,15.1781,33.2456,28.0666]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.8703,4.91711,5.83311,5.88528,5.17491,5.01518,4.85309,4.86266,4.99647,5.06735]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.610586,1.21988,1.65246,1.8477,2.41326,3.24015,5.81147,9.04116,10.7845,12.3147]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.21687,5.8511,6.87172,7.10285,6.57733,6.74774,7.05426,7.34193,7.85021,7.96609]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2206, 63, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.143283,0.408477,0.594968,0.856775,1.00095,1.12818,2.08646,3.66806,9.51017,7.64961]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.519633,1.20415,2.08887,2.08836,1.22382,0.63474,0.167429,0.0146069,0.00671346,0.00721361]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0733327,0.190742,0.293277,0.38381,0.45746,0.587027,1.00274,1.79268,2.22289,3.00947]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.515836,1.20371,2.02627,1.9935,1.11947,0.600788,0.148333,0.00743505,0.00757396,0.00422675]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2207, 64, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.209947,0.662705,0.99069,1.56868,2.1038,2.75611,4.92645,9.09318,19.2413,16.7838]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.73598,2.43418,2.63604,2.82945,3.01546,3.30978,3.64476,4.02486,4.32375,4.41461]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.122069,0.405741,0.770209,0.968026,1.40955,2.05343,3.91351,5.90681,7.32195,7.66858]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.56323,3.70511,3.95055,4.23317,4.47096,4.9231,5.66995,6.35095,7.01976,7.15659]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2208, 65, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0248477,0.103571,0.14422,0.349768,0.579655,0.543626,0.969547,2.04052,3.83955,3.2871]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.236886,0.258294,0.285928,0.350397,0.50403,0.836268,0.972205,0.760421,0.619051,0.608118]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0130939,0.0413877,0.13155,0.18887,0.314216,0.461357,0.824124,1.24148,1.14152,1.5483]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.310201,0.311726,0.35082,0.458337,0.677312,1.05107,1.1926,0.940263,0.789447,0.769609]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2209, 66, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.09837,3.93411,3.57941,2.89823,1.84667,0.797493,0.364813,0.376293,0.654605,0.346099]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.3778,1.02048,0.82227,0.617077,0.431605,0.234393,0.0686929,0.0627751,0.0469563,0.0374144]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.40209,0.582012,0.45742,0.306991,0.232035,0.138334,0.0710959,0.100185,0.0981237,0.0883952]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.8276,0.630563,0.544077,0.417843,0.309582,0.172787,0.0433746,0.0432748,0.033437,0.0356566]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2210, 67, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0804512,0.0820868,0.0920106,0.0964884,0.104131,0.103206,0.109342,0.111245,0.121987,0.126815]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0842926,0.091925,0.0932109,0.0982548,0.109399,0.103753,0.110548,0.113015,0.114566,0.122154]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2211, 68, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.92003,6.92645,9.91646,10.0362,8.39435,5.29807,6.58436,8.22305,13.5363,19.9076]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.81638,9.91811,9.3805,8.61012,8.06523,6.66442,5.43023,5.27879,4.77506,12.966]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.83499,5.76961,11.2578,16.1981,16.3734,13.1666,15.2515,21.3185,25.4002,30.0026]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[43.7977,34.1591,30.6385,31.9666,34.668,35.0591,36.7613,39.034,42.8711,23.998]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2212, 69, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.16497,8.582,14.1032,29.0907,45.7638,72.2597,120.005,185.439,291.851,414.568]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.75669,4.33096,8.47106,18.4836,27.335,39.6171,55.0265,75.6207,105.459,130.421]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.78503,8.73754,11.9539,17.71,23.9475,37.567,59.818,123.718,185.586,282.344]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.92726,2.7541,4.38771,6.29781,8.60164,12.569,20.0955,39.2844,59.2283,94.0725]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2213, 70, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0739127,0.188113,0.337378,0.951075,1.815,3.82217,6.03346,13.1992,22.9483,37.2415]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0194793,0.0483118,0.0723445,0.28012,0.360896,0.708925,1.09926,2.28255,4.0741,5.79574]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0132498,0.178133,0.446447,1.34314,3.08501,5.14367,9.54421,22.6558,33.4399,46.2703]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00294767,0.0444176,0.117702,0.272382,0.645843,1.079,1.84838,4.4321,6.38915,8.07944]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2214, 71, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0339764,0.241852,0.566985,1.17947,1.01981,2.52642,4.48744,8.53414,13.8353,28.158]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.01381,0.0426746,0.148201,0.274034,0.223459,0.550185,1.01909,1.92466,3.09337,6.237]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.038522,0.197957,0.427908,0.9314,1.33923,2.84588,3.93713,7.44695,12.5901,20.8589]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00590905,0.0345496,0.123822,0.222383,0.41796,0.751013,0.99,1.71451,2.91538,4.63944]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2215, 72, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.366238,0.834568,1.15566,1.63857,2.22515,2.57657,5.14883,9.5637,18.8629,29.0838]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0310113,0.0898493,0.126875,0.195939,0.32779,0.364133,0.840477,1.54474,3.3449,4.92154]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.318636,1.05385,1.4285,2.45979,3.25624,4.94887,7.87718,16.0761,24.5314,32.674]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0258293,0.0861207,0.129576,0.285992,0.418754,0.699173,1.21996,2.44722,4.00649,5.55182]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2216, 73, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.120938,0.290058,0.409707,0.590338,0.808671,0.952127,1.92647,3.62072,7.21601,11.2414]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00605223,0.0367214,0.0429228,0.0740969,0.111938,0.136901,0.350764,0.62291,1.29909,1.94162]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.146979,0.48942,0.662595,1.14614,1.52526,2.35279,3.79773,7.82807,12.0739,16.2448]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0127938,0.0450308,0.057192,0.130197,0.176615,0.325444,0.550981,1.24289,1.92643,2.82862]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2217, 74, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0212046,0.0496536,0.0707615,0.102353,0.195856,0.38837,1.06745,2.47696,5.75754,10.1337]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000663436,0.00221227,0.0117658,0.0122587,0.0261751,0.0662334,0.153331,0.377492,0.986748,1.62624]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0153999,0.050435,0.0684372,0.118901,0.219281,0.56462,1.23561,3.15342,5.69085,8.6331]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00208396,0.00362725,0.0048799,0.0446654,0.0732858,0.229711,0.443219,0.931719,1.45935]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2218, 75, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0203208,0.131565,0.260975,0.450389,0.644223,0.688016,1.2711,2.18301,3.99961,5.69626]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000458726,0.0101433,0.0331779,0.0566691,0.100949,0.0964763,0.208065,0.356071,0.706969,1.01418]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0172435,0.158271,0.302307,0.620823,0.864786,1.22018,1.80078,3.42873,4.87087,6.05658]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00136997,0.0122911,0.0393708,0.094752,0.0920563,0.17844,0.298094,0.506174,0.81529,0.984376]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2219, 76, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.203775,0.363292,0.414215,0.495492,0.576395,0.548056,0.883801,1.28302,1.88979,2.01242]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0238369,0.0407723,0.0390088,0.0529141,0.0887282,0.0645232,0.128317,0.188268,0.35209,0.339497]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.139013,0.355719,0.395156,0.573919,0.646907,0.811285,1.04307,1.66586,1.89576,1.73953]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0116656,0.0267148,0.0293861,0.0561623,0.105418,0.122004,0.141173,0.254945,0.333053,0.279482]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2220, 77, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00285816,0.00993663,0.0100433,0.0231325,0.0292596,0.0584106,0.095027,0.152525,0.346544,0.392473]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00290812,0.00774715,0.0112756,0.0117341,0.0194442,0.027874,0.0464239,0.0564056,0.0845985,0.124084]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00284107,0.00780728,0.0193197,0.074743,0.109795,0.299831,0.907986,2.0262,2.92677,4.16982]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00352618,0.00564702,0.0109127,0.0277028,0.0578663,0.165054,0.500708,1.05224,1.52508,2.00341]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2221, 78, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0735136,0.266681,0.404997,0.738465,0.855501,2.60219,3.83522,5.08968,14.8,16.0771]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0340886,0.0727962,0.117592,0.116041,0.150785,0.482168,0.678838,0.918423,2.5901,2.80968]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.011259,0.156003,0.39848,0.789574,1.6081,3.61756,4.0828,8.56846,10.6816,22.4435]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00425452,0.0527866,0.115772,0.230174,0.460388,0.933859,0.911521,1.98869,2.25303,4.51719]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2222, 79, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0804528,0.827876,1.27824,4.71016,7.78607,11.3754,13.9485,28.5908,44.2693,42.3969]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.126947,0.750435,1.39166,4.5456,7.59172,13.051,16.1489,26.3138,38.185,39.3782]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2223, 80, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.219095,1.4216,3.79724,10.8745,20.1904,31.3979,57.5436,71.1052,105.427,152.675]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0888372,0.910732,3.21072,8.78412,13.2139,16.5949,22.7835,22.2785,29.3156,36.6555]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2224, 81, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00801343,0.0150687,0.0252393,0.0269031,0.0477869,0.0941006,0.216972,0.536912,0.959523,1.82605]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00448919,0.0103417,0.0161333,0.0251913,0.0380283,0.0820927,0.304894,0.744444,0.962808,1.25907]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2225, 82, 236, '', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00978441,0.0169937,0.0323328,0.0342694,0.108602,0.271386,0.889528,2.67038,5.92219,16.0448]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0118772,0.0149795,0.0307526,0.0301338,0.130392,0.311839,1.73014,5.67884,11.5119,27.2386]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2226, 83, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0577009,0.345203,0.479393,1.00706,1.5297,2.45849,5.0437,10.5092,10.771,15.514]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0434874,0.195479,0.270247,0.542414,0.861917,1.37889,2.72993,5.47975,5.33147,7.35986]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0650255,0.363012,0.533875,0.808691,1.5913,2.52488,4.79498,8.07775,12.7723,19.5817]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0417608,0.188173,0.296167,0.489895,1.11443,1.69115,3.00609,4.97927,7.84991,11.2534]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2227, 84, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.118681,0.242692,0.310948,0.34901,0.50781,0.70896,1.24767,2.11136,2.62407,3.62861]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.119062,0.235992,0.284482,0.216228,0.341784,0.40725,0.784227,1.29711,1.73899,2.29123]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.134133,0.283151,0.463185,0.672169,0.782153,1.13308,1.41116,2.29324,3.8525,5.59496]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0947213,0.25518,0.409472,0.572588,0.597456,0.976556,1.23259,1.95778,3.29219,4.79779]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2228, 85, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0198409,0.0331282,0.0279732,0.0419251,0.0513959,0.069593,0.118184,0.16222,0.280917,0.379619]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0137785,0.00789952,0.0136267,0.0249239,0.014741,0.0272335,0.035981,0.033812,0.0671171,0.103715]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.040768,0.0679275,0.107491,0.140834,0.207157,0.317278,0.478519,0.688898,1.01572,1.35489]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0195483,0.049619,0.0541953,0.0769269,0.129102,0.174021,0.213689,0.212339,0.307142,0.364579]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2229, 86, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0167423,0.0163151,0.0321866,0.0372905,0.0269198,0.035632,0.114586,0.178106,0.174922,0.222537]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00513635,0.00302579,0.00470143,0.0110245,0.00666207,0.00497951,0.03403,0.0432117,0.0398732,0.0705091]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0093782,0.0131379,0.0264979,0.0212307,0.0688854,0.167982,0.326705,0.878661,1.44247,1.9267]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000982107,0.00373486,0.0164944,0.00748624,0.0336365,0.105036,0.149818,0.376764,0.533359,0.735806]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2230, 87, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00110229,0.00413727,0.00879008,0.0328746,0.0308504,0.0921521,0.24449,0.283638,0.787205,1.195]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0.000244611,0.0037182,0.010654,0.0104789,0.0191723,0.0511706,0.0506788,0.140711,0.201375]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000817812,0.00277105,0.0168962,0.0153997,0.0145912,0.0175875,0.047245,0.0683587,0.202364,0.192615]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.000531571,0.00176411,0.0136867,0.00127838,0.00836531,0.0187113,0.0417363,0.0384187]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2231, 88, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00754681,0.0182057,0.0438661,0.0822089,0.15437,0.466433,0.941385,1.72754,4.06236,6.63756]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00251392,0.000103776,0.00687319,0.01465,0.0248061,0.0524019,0.0957701,0.161667,0.37338,0.606475]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00599406,0.0203708,0.0854267,0.162292,0.134631,0.2897,0.568553,2.51212,2.47807,7.15216]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000296302,0.00331114,0.0168238,0.0273302,0.0271387,0.0389556,0.0744382,0.314483,0.277363,0.80374]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2232, 89, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00599327,0.0135713,0.0271121,0.0198089,0.0678859,0.0940757,0.238633,0.540964,0.547499,1.26845]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0210034,0.0297432,0.0709039,0.0364599,0.116679,0.16336,0.297928,0.638394,0.591301,1.16227]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00295274,0.00918211,0.0163146,0.0149947,0.0301817,0.106702,0.098542,0.14762,0.181472,0.383537]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00362246,0.00898197,0.01625,0.0192852,0.030618,0.10094,0.0869659,0.102917,0.149509,0.284935]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2233, 90, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0464248,0.0987264,0.174708,0.256365,0.251007,0.283173,0.370308,0.519802,0.848959,1.2841]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0188918,0.0485054,0.0712812,0.0952745,0.135359,0.22648,0.459893,0.788257,1.0997,1.58193]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0412637,0.0825842,0.17505,0.275737,0.345112,0.482774,0.661654,1.07341,1.88906,2.3559]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0292084,0.0542823,0.0935265,0.137711,0.20066,0.289329,0.700379,1.09374,1.57909,2.31412]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2234, 91, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.237498,0.290663,0.396059,0.760883,1.01809,2.34296,4.95014,9.45996,9.51645,11.3858]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.132815,0.230869,0.315492,0.443503,0.523568,1.07722,1.79976,2.58247,2.40656,2.64677]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2235, 92, 236, '', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0196958,0.0759741,0.0601592,0.0964378,0.097056,0.0675654,0.0815941,0.158543,0.145444,0.3555]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00673493,0.076139,0.0662057,0.120947,0.138854,0.0682728,0.0651914,0.0981083,0.0684395,0.134534]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2236, 93, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0345325,0.0590189,0.0946661,0.160946,0.16628,0.382347,0.672424,0.854326,2.5647,2.53149]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0073388,0.0088217,0.0337768,0.0478639,0.0551498,0.114221,0.227826,0.205941,0.608494,0.573352]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0201344,0.0237962,0.042448,0.0529841,0.0759397,0.157297,0.279269,0.8499,1.13264,2.27565]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0029543,0.00816335,0.0249888,0.0216578,0.0233468,0.065985,0.103188,0.270823,0.357975,0.63291]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2237, 94, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0321478,0.0910116,0.216818,0.564886,1.47499,2.10518,1.79839,1.37439,1.58934,2.55686]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.014346,0.0194198,0.0802098,0.130526,0.332456,0.523624,0.566538,0.518073,0.553032,0.785172]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0387229,0.0962157,0.062212,0.208225,0.239807,0.645316,0.961206,2.47042,3.55731,5.36908]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0205842,0.0335734,0.0324899,0.0646536,0.0852491,0.215511,0.322841,0.722262,0.876125,1.50441]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2238, 95, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0619509,0.101195,0.13024,0.187181,0.220162,0.279275,0.414122,0.632466,1.07947,1.47049]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0530834,0.0902713,0.100262,0.122973,0.169621,0.175883,0.230117,0.306922,0.459094,0.549898]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0692676,0.116208,0.178428,0.266946,0.346409,0.406358,0.593841,0.902436,1.29337,1.42941]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0320474,0.106731,0.138548,0.185598,0.177232,0.21258,0.24817,0.309677,0.458691,0.464451]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2239, 96, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0103279,0.0306115,0.0640662,0.0938993,0.0999686,0.140323,0.374927,0.991715,1.88866,2.19253]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0236449,0.142047,0.334733,0.344248,0.319728,0.324007,0.576629,1.02399,1.2031,0.929779]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0118704,0.0114636,0.0132011,0.0205903,0.026215,0.0490916,0.102136,0.158151,0.236735,0.372514]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00888612,0.00792295,0.0287751,0.0314779,0.0378671,0.0357746,0.0818872,0.0721971,0.0827247,0.105485]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2240, 97, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0460601,0.0891447,0.142487,0.106626,0.137651,0.165046,0.136781,0.294342,0.179016,0.365301]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0718302,0.128333,0.168298,0.0996408,0.0958877,0.0917979,0.0676688,0.120369,0.070425,0.115695]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0609416,0.0663763,0.165559,0.218819,0.160898,0.113497,0.167217,0.210551,0.217349,0.217972]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0930738,0.100474,0.172604,0.214392,0.122641,0.0801535,0.117983,0.122637,0.113941,0.103621]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2241, 98, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.934157,1.09407,1.29827,1.78857,1.49337,2.1573,2.44466,3.31161,5.74178,12.0662]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.276511,0.356518,0.46587,0.689161,0.642589,0.968756,0.900586,1.31009,1.90157,3.49425]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.926723,1.30998,1.70337,2.28967,2.33875,2.62314,3.75257,6.47926,6.39669,10.7732]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.241095,0.382865,0.621469,0.908787,0.955827,1.11522,1.3017,2.03391,1.7409,2.48965]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2242, 99, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00642927,0.00737356,0.0116357,0.0234105,0.0716648,0.121922,0.217001,0.817808,1.02974,2.03035]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00303108,0.00410654,0.00808218,0.011376,0.0393109,0.0736043,0.108473,0.447844,0.466713,0.885865]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00200465,0.00455654,0.0129577,0.0495473,0.112937,0.236026,0.236627,0.544575,1.00602,2.06851]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00120626,0.00407901,0.012357,0.0625252,0.0846901,0.183286,0.168006,0.361676,0.546492,1.03348]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2243, 100, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.372328,0.404171,0.465736,0.485818,0.975955,0.966637,1.28129,1.28374,2.94153,3.94982]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.104483,0.0897642,0.0921286,0.121977,0.248508,0.262699,0.375704,0.356896,0.698379,0.927738]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.816337,0.381177,0.544166,0.493986,0.344392,0.465872,0.708551,1.61204,2.10099,2.428]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.243354,0.0957848,0.148122,0.157072,0.0953914,0.163955,0.26571,0.643212,0.758782,0.77785]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2244, 101, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.29744,1.83707,2.60245,2.94964,3.51669,4.93709,8.0868,13.6131,23.7746,38.0382]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.524162,0.806928,1.05157,1.28794,1.46977,1.86416,2.76283,4.19171,6.05883,8.95465]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.1247,4.19891,4.99369,6.26855,7.52414,10.6357,17.3088,35.1483,55.5733,76.0499]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.03284,1.13658,1.71015,2.12895,2.60262,3.1111,4.74781,8.28025,11.5929,14.2033]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2245, 102, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.62838,7.75589,10.8499,15.8993,24.6232,43.2555,82.973,154.863,307.657,591.017]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[145.355,159.062,146.976,191.047,260.703,345.786,455.271,558.743,706.534,891.259]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.82378,5.99586,9.5787,16.6294,28.7867,52.2234,114.704,249.792,456.808,826.157]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[109.219,90.9536,107.689,140.9,217.57,270.877,400.044,554.442,776.282,1000.14]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2246, 103, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.557091,1.16747,1.89301,2.47063,2.8387,3.41497,4.4751,6.05511,12.1955,20.5048]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[70.6765,66.3485,62.0991,58.1719,54.0003,49.3055,44.4016,39.4355,39.5931,42.5779]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.348588,0.537502,0.937737,1.47444,2.05003,2.86078,4.98103,7.87556,12.7797,20.36]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[47.338,44.5962,42.1136,40.0173,37.5133,34.9352,31.4248,28.3502,29.5547,32.7469]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2247, 104, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.00108,2.08415,2.6189,3.62928,5.61682,12.2522,21.8571,45.7392,84.0567,178.91]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.56563,12.2069,24.0095,41.0815,64.0385,94.2583,144.929,217.652,305.027,391.518]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.22971,2.74392,3.80408,6.35386,11.095,21.4228,41.3727,92.2763,158.66,257.829]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.47009,14.6593,28.8234,49.6455,77.1753,114.035,176.527,268.268,381.213,492.058]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2248, 105, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.953313,2.03472,2.86901,4.66429,8.16669,16.2435,35.2621,66.3759,141.071,254.815]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.09755,1.50376,2.39396,3.40309,4.87152,6.95973,11.5536,18.0757,27.9319,38.3267]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.633541,1.48952,2.72707,5.66742,10.188,19.8568,49.9066,114.255,217.888,424.376]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.06049,1.41157,2.25732,3.43782,4.82526,6.89658,12.3911,19.9984,31.6983,43.8806]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2249, 106, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.128782,0.307763,0.453611,0.800058,1.21525,2.3632,5.89826,12.8185,32.7852,83.1346]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.485852,0.404075,0.92639,1.51408,2.48903,4.15204,7.66916,12.5312,19.8466,29.9215]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0946534,0.235061,0.449759,0.972551,1.65383,3.79188,11.3022,28.9297,67.0909,175.614]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.461975,0.317369,0.729707,1.35454,2.37174,4.03136,8.02226,13.726,21.955,33.0625]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2250, 107, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.824531,1.72696,2.4154,3.86424,6.95144,13.8803,29.3639,53.5575,108.286,171.68]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.611696,1.09968,1.46757,1.88901,2.3825,2.80769,3.88442,5.5445,8.08527,8.40522]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.538888,1.25446,2.27731,4.69487,8.53419,16.0649,38.6044,85.3258,150.797,248.761]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.598514,1.0942,1.52762,2.08328,2.45352,2.86522,4.36887,6.27238,9.74331,10.8181]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2251, 108, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.276097,0.701856,1.15151,2.08113,3.55816,5.77476,11.5033,21.7798,42.0611,83.1182]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.73096,1.61521,2.17552,4.02604,7.37398,13.8852,23.2355,32.9191,48.4871,68.4812]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0728057,0.178074,0.276757,0.42194,0.74891,1.1393,2.65821,5.29042,9.43279,16.4313]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.67449,1.5457,2.02785,3.82912,6.96971,13.43,21.9796,30.4475,45.7533,65.4135]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2252, 109, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.223399,0.45785,0.60909,0.901135,1.39278,2.05553,4.04087,5.71643,9.79584,19.8657]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.30859,4.27825,4.13646,5.11894,6.71009,9.51603,12.6087,15.7595,20.0277,24.6519]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.200804,0.446941,0.758209,1.10362,1.99912,3.40881,8.16073,15.3188,29.2093,55.4743]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.2049,7.46335,7.0985,9.25369,12.0314,16.9579,22.3329,26.9505,35.3612,43.4215]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2253, 110, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0.014128,0.0253002,0.0380352,0.122583,0.189384,0.462607,1.18099]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.95277,3.23063,3.7437,4.97494,7.00947,12.1631,21.5186,35.4978,58.7674,93.529]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0.00828235,0.0166313,0.0251039,0.0601349,0.163437,0.332158,0.808507]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.14794,5.58913,6.52995,8.33739,11.6619,19.785,34.5415,56.9113,93.8043,147.149]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2254, 111, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0334878,0.0641791,0.092087,0.160357,0.290213,0.371688,0.673369,1.26147,2.37918,4.77862]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0206027,0.0412279,0.0776881,0.142079,0.263157,0.397283,0.961324,1.94508,4.00207,7.84896]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2255, 112, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0.0165961,0.0320511,0.071122,0.169492,0.305187]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00535992,0.0172527,0.062421,0.225429,0.607418,1.10403,2.81156,7.39038,14.4202,23.9784]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0.0382614,0.100255,0.220305,0.488584,0.989725]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00452916,0.0257353,0.0795606,0.279544,0.756749,1.32807,3.24447,8.61422,17.1421,28.6867]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2256, 113, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0828136,0.179877,0.236926,0.266009,0.321449,0.326277,0.467022,0.610574,0.950862,1.56634]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.790993,1.07256,0.728473,0.581985,0.432653,0.553294,0.655044,0.607678,0.85587,1.46436]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0409787,0.0812563,0.160385,0.186862,0.299188,0.326337,0.598069,0.961621,1.42283,2.08478]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.820085,1.21573,0.807395,0.629053,0.483689,0.626974,0.764109,0.857841,1.27777,2.17137]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2257, 114, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.501094,1.06578,1.3794,1.71233,2.41312,2.7619,4.53949,7.06404,14.5142,25.9719]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[57.2262,68.7894,47.6272,73.4633,115.659,158.041,193.557,191.405,191.424,206.731]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.276742,0.477413,0.836773,1.27089,2.12664,2.74801,5.90485,11.4855,22.5928,39.9551]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[36.4979,14.4469,17.9518,25.4703,66.1525,62.8828,96.8383,114.043,140.477,144.61]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2258, 115, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.851693,1.54949,1.65293,2.02927,2.46339,3.07269,6.74466,12.8015,33.6806,70.7513]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[619.219,673.497,788.001,931.331,1079.86,1238.18,1394.91,1633.54,1891.6,2209.5]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.603954,0.906256,1.36239,1.66354,1.98643,2.49127,4.92815,11.5245,24.3019,52.7469]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[562.395,603.693,680.625,783.093,922.295,1089.3,1322.76,1622.01,1956.25,2352.25]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2259, 116, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.196807,0.339563,0.371649,0.465432,0.682009,1.08349,3.03583,6.37207,18.0943,40.4673]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[241.88,334.699,431.282,539.023,660.965,804.607,990.06,1226.56,1503.19,1813.46]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.134872,0.215561,0.300759,0.352311,0.405567,0.554751,1.23879,3.05249,6.79229,15.4242]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[269.184,369.633,470.318,579.72,698.008,830.658,998.82,1217.61,1469.92,1753.1]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2260, 117, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0143875,0.0497448,0.0305141,0.0584026,0.0833578,0.112683,0.204748,0.425539,0.991475,1.85351]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0312141,0.0404459,0.0478777,0.0530552,0.108483,0.255741,0.597431,1.6801,3.18671,5.61515]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0581266,0.0946409,0.204801,0.342546,0.444775,0.478863,0.732574,1.56926,2.68151,5.59273]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.073668,0.0747189,0.0695683,0.118958,0.174818,0.484427,1.2369,2.85299,5.21016,9.58002]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2261, 118, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.109268,0.179568,0.177068,0.240182,0.352163,0.541541,1.44067,2.91272,8.52468,18.2644]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[226.712,139.772,102.629,89.4603,88.3553,91.8399,98.9027,106.781,114.623,123.864]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.226309,0.307075,0.430519,0.468142,0.522961,0.70804,1.59418,3.75078,8.53685,18.5572]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[217.146,134.927,97.9469,84.6079,82.384,86.12,92.671,100.137,107.009,114.775]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2262, 119, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0337398,0.0517659,0.0774017,0.113399,0.161551,0.170401,0.357151,0.551649,1.22183,1.89735]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.641277,0.568155,0.682936,0.974215,1.35506,2.11786,3.12304,2.62003,3.85481,5.50381]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0744752,0.117934,0.197975,0.256691,0.322028,0.379451,0.575184,1.12535,2.00129,3.22407]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.873593,0.647714,0.83415,1.10679,1.66124,2.39163,3.55628,3.09156,4.54511,6.30412]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2263, 120, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.497492,0.928847,0.996297,1.15185,1.18431,1.16458,1.70626,2.53955,4.84836,8.26867]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[149.953,198.418,253.36,301.821,329.075,339.361,302.231,295.899,266.746,261.053]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.110171,0.171045,0.228338,0.243849,0.291097,0.37017,0.787429,2.02666,4.28994,9.94866]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[75.1181,98.4103,111.457,117.539,140.067,169.651,226.481,298.318,369.564,468.489]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2264, 121, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.20913,3.04571,6.37082,11.8123,16.1925,20.9937,24.1719,32.2035,48.3636,104.774]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.18955,3.44031,5.12309,7.52823,14.2865,23.9328,33.223,40.5731,47.3711,55.5659]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.74795,3.35874,9.00859,17.3527,27.7754,37.475,46.5079,72.3802,83.7418,137.273]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.98289,3.45295,5.4607,8.77803,18.3526,30.1616,38.9589,45.4239,51.1337,59.2825]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2265, 122, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.319053,0.876545,1.94312,3.74916,5.49517,7.81162,9.71634,13.7812,21.8224,49.29]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.546942,1.04501,1.6383,2.45043,5.08472,9.3023,13.8273,17.721,21.8448,26.7542]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.507381,0.96257,2.5503,4.87934,8.19291,12.4105,16.964,28.5824,35.4082,61.4048]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.574915,1.00288,1.56389,2.56056,5.62481,10.1433,14.3634,18.0957,21.7951,26.6396]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2266, 123, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.180045,0.493868,1.0986,2.11751,3.19381,4.86144,6.32333,9.28789,15.07,35.0128]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.332906,0.520601,0.855692,1.37227,2.74205,5.41938,8.44023,11.5414,14.4533,18.2272]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.227659,0.429772,1.14241,2.18358,3.76454,6.02094,8.51924,14.7276,18.5989,32.8604]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.27967,0.457818,0.712332,1.08979,2.3976,4.82645,7.22919,9.19548,11.2829,14.1176]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2267, 124, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0301459,0.229156,0.71136,1.64773,2.38946,2.7999,2.92189,3.53168,4.83368,9.54257]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0675845,0.220752,0.542176,1.02811,2.04009,3.11728,3.99572,4.3679,4.69088,4.93105]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.128183,0.667931,2.49137,5.6943,9.50002,11.8236,13.534,19.4753,20.8246,31.6356]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.154097,0.691992,1.56477,2.88122,6.18682,9.52048,11.2846,12.3224,12.7753,13.6333]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2268, 125, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.679884,1.44614,2.61775,4.29788,5.11409,5.52074,5.2103,5.60274,6.63748,10.9289]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.24211,1.65394,2.08692,2.67742,4.41965,6.09383,6.95971,6.94274,6.38208,5.65356]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.884731,1.29846,2.82451,4.59548,6.31797,7.21996,7.49077,9.59499,8.91022,11.3727]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.974205,1.30026,1.61971,2.24645,4.14336,5.67132,6.08175,5.81035,5.28044,4.892]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2269, 126, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.42182,3.74277,5.35434,7.26414,9.11565,10.2206,12.2074,19.0358,31.3584,55.5146]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[104.221,94.0894,105.713,116.317,136.008,157.988,178.081,88.8029,92.9866,95.0726]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.95636,4.52551,8.99723,14.8235,19.6041,22.4869,26.2776,37.719,48.887,69.5795]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[78.1479,68.9846,69.3776,75.005,85.6638,99.3567,117.285,98.1704,103.532,106.028]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2270, 127, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0816,0.25107,0.369925,0.539839,0.78132,0.952619,1.113,1.82395,2.83697,5.55935]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.17604,2.84178,4.56244,6.15082,7.99673,10.0808,12.0802,2.95216,3.59049,4.05422]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.172624,0.464105,1.05643,1.91737,2.61651,2.93441,3.40612,4.92741,6.0562,8.74591]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.10905,2.4109,3.28493,4.57831,6.22951,7.62065,10.1339,5.82367,7.19218,8.45902]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2271, 128, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00778336,0.0253644,0.0332782,0.0495636,0.0780802,0.0752426,0.0962946,0.146918,0.231496,0.445409]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[35.9048,28.7928,35.6628,41.5367,48.5766,57.6656,63.4669,4.41378,4.9923,5.57132]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0118466,0.032482,0.0674195,0.106172,0.152779,0.157189,0.183153,0.247925,0.325161,0.407943]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.3676,7.39333,7.31931,8.74635,11.4196,13.4347,17.1722,2.54958,2.87069,3.28825]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2272, 129, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0473492,0.119967,0.16281,0.221684,0.243803,0.262354,0.305268,0.476208,0.797886,1.52251]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.55822,3.98685,3.53054,2.79795,2.27255,1.77255,1.44873,1.26442,1.27571,1.17344]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0851586,0.166606,0.309133,0.51344,0.541783,0.56657,0.551686,0.789862,1.0507,1.53498]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.55477,5.32645,4.53953,3.62869,2.84762,2.32689,1.73723,1.70823,1.60736,1.36751]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2273, 130, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.341201,0.585953,0.704863,0.997519,1.38347,1.7305,2.44856,4.21624,7.42169,13.4339]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.120301,0.0971725,0.142957,0.187391,0.203187,0.254813,0.308084,0.37864,0.536575,0.55119]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.573913,1.18069,2.11745,3.3158,4.54053,4.76541,5.64257,8.56731,11.1374,16.0385]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.128459,0.185885,0.167847,0.272514,0.302416,0.351435,0.429455,0.55786,0.676584,0.83594]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2274, 131, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00516455,0.0151258,0.0235663,0.0332271,0.0438885,0.0442306,0.0521658,0.0676675,0.113257,0.201206]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.907154,1.08837,1.4377,1.79935,2.16528,2.51858,3.03208,4.10847,5.11902,6.15507]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00683174,0.0151386,0.033732,0.0595993,0.0802291,0.0809193,0.096881,0.129006,0.170842,0.237562]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.75764,3.28356,4.34575,5.44163,6.48984,7.55966,9.16224,12.5029,15.9052,19.0938]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2275, 132, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.233317,0.601366,0.888055,1.09269,1.01627,0.901713,0.888826,1.10915,1.53416,2.109]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[32.8175,28.8833,25.8875,24.5644,24.6122,26.1069,27.6707,27.0106,23.6352,20.0489]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.135981,0.399716,0.65792,0.97983,1.11381,1.04517,1.15481,1.39206,1.86331,2.2943]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[34.2047,29.0141,26.1272,25.3439,26.0723,28.1581,30.6281,29.8712,25.7181,20.5347]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2276, 133, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00269954,0.00600905,0.00780589,0.0154281,0.0251863,0.0308293,0.0506457,0.0715477,0.129189,0.250128]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0361199,0.0354889,0.0411615,0.0653409,0.0623862,0.0883249,0.11321,0.182756,0.249164,0.290026]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00457768,0.0106547,0.0306751,0.0442687,0.0500918,0.0735717,0.0963777,0.129278,0.178713,0.276938]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0381383,0.0504192,0.0513324,0.0392962,0.0466369,0.0687202,0.0903982,0.16074,0.192965,0.239621]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2277, 134, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.206184,0.643179,0.980573,1.43199,1.4436,1.58207,1.5508,2.20925,3.20194,5.27802]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.74315,4.57717,7.38033,10.0314,12.8319,15.3646,18.6152,21.9623,25.1072,28.5215]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.147512,0.2888,0.596986,1.04498,1.31571,1.43974,1.49467,2.15513,2.815,3.91399]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.46975,2.54605,4.10943,5.53212,7.11828,8.71311,10.4371,12.896,15.2676,17.5302]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2278, 135, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0316391,0.123517,0.185307,0.289194,0.384881,0.411976,0.447477,0.644152,0.931863,1.71732]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.332589,0.454986,0.617855,0.818717,0.90413,1.11463,1.21775,1.48726,1.5668,1.52309]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0875471,0.230174,0.665562,1.14018,1.53345,1.70533,1.70032,2.19001,2.52061,3.20893]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.388028,0.638684,1.27322,1.89679,2.69773,3.34144,3.38198,3.48987,3.3586,3.34002]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2279, 136, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.464879,1.37121,1.99815,2.59301,3.71514,4.22907,5.25434,8.27072,14.1599,24.9977]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.625,23.3314,26.4496,28.3651,36.3835,43.0215,50.1281,25.0426,26.9142,27.1839]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.730368,1.73714,3.46192,5.70185,7.65916,9.71857,11.951,17.191,22.769,32.9205]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.1297,18.1352,18.159,19.5255,22.4399,27.782,34.1123,28.6104,30.7429,31.3388]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2280, 137, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.4298,10.8862,12.0722,11.5113,10.2862,10.2179,13.3193,17.8199,32.3357,30.6141]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[567.278,638.578,631.714,617.971,609.341,605.199,617.926,649.966,673.613,711.269]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.5074,16.0361,20.818,23.3484,21.9588,21.6276,23.7302,29.7783,32.5406,40.5395]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[472.857,521.755,517.122,504.485,497.128,491.267,503.65,543.288,574.689,614.95]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2281, 138, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.163417,0.298025,0.280543,0.311347,0.322596,0.348177,0.412115,0.469867,1.12718,2.58535]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,2.06726,22.1341,58.8943,98.6307,149.141]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.12535,0.207081,0.318257,0.453437,0.484587,0.510328,0.626208,0.419646,0.767471,1.47586]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,1.77522,18.6183,48.6791,79.292,118.528]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2282, 139, 236, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.17484,0.214243,0.202613,0.180146,0.216187,0.280902,0.594218,1.39988,2.73647]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.102454,1.0557,2.8927,5.31094,8.34611,12.4533,18.4596]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.11931,0.15562,0.154575,0.166887,0.227012,0.37504,0.852989,1.70776,3.81715]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.157989,1.49379,3.94662,6.99285,10.87,15.888,23.5947]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2283, 140, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.61455,9.56784,10.6329,9.79348,8.43982,8.09893,10.3304,13.2931,24.4731,18.2335]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[314.012,317.346,308.657,294.474,277.869,269.416,262.807,257.29,252.494,251.199]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.58715,13.798,18.5648,20.6396,19.0156,18.2374,19.225,23.1174,22.3829,26.0388]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[326.513,329.531,321.577,309.647,298.644,289.966,280.822,278.37,276.292,273.694]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2284, 141, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0.111759,0.243463,0.339444,0.436334,0.419507,0.54594,0.583472,0.761341,0.74735]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.31174,2.85816,6.86675,12.1833,15.3579,16.6231,16.5549,15.1078,12.9765,10.6939]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0.0682862,0.210574,0.371052,0.518898,0.541287,0.570724,0.546385,0.694505,0.56398]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.662497,1.38742,3.12693,5.84185,7.69767,8.31403,8.20788,7.43618,6.42612,5.15596]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2285, 142, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[226.876,282.489,275.213,267.331,269.842,266.539,251.899,228.457,198.471,168.691]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[126.033,161.419,158.334,152.711,152.097,148.07,138.697,124.819,107.585,90.8491]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2286, 143, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.0669,34.3163,37.6682,37.9302,37.3486,36.6377,35.8188,35.0378,34.1957,33.3231]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.0242,28.3035,32.0376,32.5877,31.9408,30.9556,29.9935,29.2563,28.4759,27.7929]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2287, 144, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.651839,0.733745,0.701053,0.86444,0.907272,1.1351,1.74999,2.87918,4.57416,6.31148]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.01178,1.56789,3.31017,5.95023,7.8678,11.0234,23.401,46.8318,64.3919,79.7617]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.79493,1.84339,1.56877,1.72973,1.77279,2.11156,2.93327,4.84183,6.98798,8.64372]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.624847,1.11347,2.04654,3.53913,5.2544,8.2393,20.3186,43.8576,60.7309,75.3358]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2288, 145, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.83104,1.81033,2.68357,2.52323,2.24435,2.02295,2.03614,2.4103,2.97685,3.07423]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3237.11,3752.19,4017.18,4088.55,4055.4,4004.28,3921,3778.74,3556.25,3190.88]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.816736,2.54675,4.54414,5.16716,4.84476,3.90684,3.85424,4.1622,4.74775,4.44313]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2696.67,3102.65,3350.38,3353.26,3264.43,3148.5,3013.55,2848.75,2613.25,2285.71]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2289, 146, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.42826,0.560661,0.507021,0.605856,0.615822,0.638859,0.924968,0.954025]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.4832,62.5649,133.751,218.716,282.238,315.96,323.411,309.76,265.702,209.694]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.429614,0.65448,0.836623,0.749496,0.807543,0.836885,0.996492,0.837973]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.6743,72.8052,160.885,264.904,345.643,385.876,391.291,371.852,314.098,245.413]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2290, 147, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0143015,0.034763,0.0644165,0.0974091,0.139793,0.192005,0.229011,0.360961,0.471168,0.509529]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[78.005,103.409,99.4847,89.3863,90.4449,97.7847,105.819,95.2173,74.1932,52.8038]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0132898,0.045553,0.0964661,0.150043,0.209545,0.242136,0.294056,0.396831,0.509603,0.541286]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[172.324,244.522,236.987,212.038,209.194,223.297,240.372,217.109,170.557,121.617]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2291, 148, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.688892,1.53337,1.89977,1.56698,1.28488,0.988255,0.917683,1.05585,1.15859,1.07991]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[150.902,341.999,354.395,258.235,179.114,123.526,86.209,55.8384,33.3896,17.3483]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.684087,2.21663,3.44045,3.60463,2.88274,2.1604,1.75704,1.76067,1.77782,1.5328]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[244.193,642.968,688.763,538.629,382.767,249.735,161.39,104.263,63.9403,35.1956]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2292, 149, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.358768,0.798305,0.989742,0.816137,0.669634,0.514754,0.477635,0.548523,0.602106,0.561398]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.5288,115.199,154.847,104.948,71.2043,55.371,40.6185,22.5211,10.6351,5.06835]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.355965,1.15446,1.79151,1.87712,1.50216,1.12565,0.914331,0.914652,0.925292,0.798268]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[31.4263,259.123,331.64,254.944,179.178,121.345,77.7159,45.6938,24.8208,13.9675]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2293, 150, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00112847,0.00274954,0.00278175,0.00250198,0.00166395,0.0015454,0.00176504,0.00296879,0.00306766,0.00269171]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.25241,9.81383,12.2524,7.65992,4.73736,3.26231,2.21792,1.19054,0.655452,0.323779]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00139705,0.00357289,0.00586022,0.00602844,0.00393467,0.0030505,0.00353774,0.00498321,0.00344608,0.00251027]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.41741,20.672,27.4812,18.912,11.6391,7.88419,4.86297,2.73791,1.4129,0.764438]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2294, 151, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000799296,0.00201732,0.00187336,0.00175312,0.00104915,0.00107304,0.00132705,0.00246666,0.00251631,0.00217748]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[46.9164,68.5288,66.6534,54.8306,39.2265,25.5576,18.8862,15.0902,10.7091,5.8714]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00107071,0.00251362,0.00421673,0.0043063,0.00255571,0.00201727,0.00269945,0.00414595,0.00259762,0.00177786]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[70.6302,109.723,114.617,97.17,71.777,46.8748,33.6945,25.7599,18.1603,9.92884]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2295, 153, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.328196,0.730297,0.905372,0.746584,0.612533,0.470883,0.436956,0.501887,0.550898,0.513638]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[46.196,74.733,74.7982,59.061,41.4654,27.0829,19.7182,15.1012,10.4714,5.66501]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.325655,1.05608,1.63887,1.71717,1.37409,1.02968,0.836473,0.83689,0.846489,0.730243]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[70.4189,125.327,135.786,110.516,79.1666,51.7903,36.2439,26.5931,18.1123,9.80613]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2296, 155, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1556.27,1739.72,1840.46,1924.73,1952.42,1987.05,2017.6,2028.79,1989.5,1803.05]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[922.61,1032.53,1103.75,1158.84,1173.1,1191.61,1201.07,1215.13,1196.82,1076.48]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2297, 156, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[181.182,206.99,221.121,232.54,243.329,256.931,268.659,275.114,274.232,268.791]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[129.233,151.274,164.036,172.564,179.654,187.382,194.931,197.01,193.271,186.851]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2298, 159, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[106.222,282.149,410.181,457.758,440.834,379.204,293.317,223.419,174.796,139.676]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[81.2448,223.861,333.253,377.497,369.149,324.069,255.651,197.866,156.827,124.371]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2299, 160, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[836.59,868.448,826.56,788.611,767.543,759.205,749.763,719.192,673.295,624.357]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[437.009,459.652,438.44,420.056,407.683,400.388,391.54,373.907,347.155,322.659]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2300, 161, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.10114,0.2043,0.232747,0.230842,0.224911,0.143166,0.135305,0.155214,0.155843,0.169058]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.7201,31.9474,40.8288,35.8081,23.2904,13.4983,8.51346,5.35258,3.26025,2.06964]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0610886,0.151967,0.26918,0.312906,0.292616,0.180971,0.186939,0.196643,0.212605,0.230725]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2301, 162, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[33.2118,32.1183,31.0076,30.4255,29.5054,28.6838,27.9428,26.9096,25.8778,24.832]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[92.9761,91.7753,89.2946,87.0551,84.6885,81.4443,79.1792,75.9052,73.0343,69.6912]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2302, 163, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.1773,23.4057,22.5892,21.9562,21.3133,20.517,19.6113,18.8679,17.8696,16.9501]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[96.2039,94.7742,92.7133,89.6741,87.9247,85.1177,81.2582,78.2889,74.4974,71.0019]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2303, 164, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.85361,5.24577,2.83439,1.37208,0.602526,0.22352,0.0689008,0.0165491,0.00330956,0.000189349]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[29.3723,19.2694,11.1721,5.75636,2.64734,1.05479,0.35049,0.0964133,0.022424,0.00385987]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2304, 165, 236, '{\"age\":[\"15-19\",\"20-24\"],\"number\":[0,0]}', '{\"age\":[\"15-19\",\"20-24\"],\"number\":[182.534,13.769]}', '{\"age\":[\"15-19\",\"20-24\"],\"number\":[0,0]}', '{\"age\":[\"15-19\",\"20-24\"],\"number\":[427.999,32.459]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2305, 166, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.383,20.7058,17.2303,13.6559,10.0283,6.89151,4.1272,1.78289,0.710491,0.373487]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[28.6232,25.5826,21.1924,16.7324,12.1478,8.13876,4.58398,2.01511,0.873893,0.488226]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2306, 167, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0267065,0.0378989,0.0583785,0.0673398,0.0877444,0.093669,0.138315,0.199418,0.266286,0.361712]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.583,19.7229,16.732,15.351,14.7306,14.7983,15.9516,18.4805,23.4262,30.9301]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0582701,0.132607,0.308425,0.445109,0.62324,0.573841,0.808658,0.971171,1.25123,1.30035]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.2086,11.1731,9.89236,9.51274,9.82877,10.3841,11.9345,15.3072,22.1581,31.9375]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2307, 168, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.50058,12.8578,17.33,21.6982,24.1014,27.5631,41.5669,73.0272,128.633,239.021]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[334.635,650.756,900.959,1054.09,1144.68,1141.39,1069.1,1232.53,1278.04,1306.58]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.88806,10.1744,14.4478,18.425,23.0406,26.6028,38.3784,70.2348,113.726,179.985]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[188.412,185.66,223.817,296.688,400.44,541.817,739.724,1072.8,1435.08,1814.01]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2308, 169, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.837586,1.77935,2.64937,3.96298,6.00104,9.11378,18.8322,40.8589,76.3651,155.208]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[32.1863,43.1387,72.586,126.86,204.473,299.687,398.459,509.15,616.846,724.343]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.402697,1.2518,2.02172,3.37216,5.33867,8.16732,15.5697,35.5946,61.3422,111.962]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[29.1477,40.1492,67.9419,118.292,189.502,275.078,359.564,453.653,548.093,644.438]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2309, 170, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.489619,0.929213,0.916047,1.13813,1.13754,1.08704,1.53495,1.97299,2.94073,4.76256]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0144778,0.0080484,0.0095503,0.00771039,0.00895804,0.0079484,0.00930141,0.0137493,0.0176107,0.0157988]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.734871,1.33702,2.25884,2.69623,3.13508,4.07384,4.02905,6.76868,8.87977,11.5494]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0224418,0.0127938,0.0139046,0.0133267,0.0146796,0.0124273,0.0153951,0.0208346,0.0273322,0.034638]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2310, 171, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.52459,3.60085,4.99216,5.91131,6.77782,7.37346,9.954,16.0072,27.5795,42.7312]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.57258,7.32376,11.2923,16.8802,25.9181,35.3096,44.558,58.5711,84.8318,119.641]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.810156,2.83074,3.68845,4.75932,6.95836,6.1413,8.13699,11.8549,17.2407,22.8016]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.23458,6.93334,9.9105,15.2191,23.8596,32.5414,41.4326,55.6255,83.0826,119.192]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2311, 172, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00230093,0.173246,0.493236,0.82523,1.20839,1.63685,2.64613,4.85457,9.47979,16.5313]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0761512,0.483139,1.198,2.68503,5.05362,8.26475,12.576,18.8758,31.3809,44.6545]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00103331,0.123789,0.316431,0.577731,1.09702,1.1832,1.8889,3.21652,5.3415,7.95834]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0637104,0.388497,0.954144,1.96972,4.09184,6.83264,10.1389,16.026,26.919,39.9159]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2312, 173, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.243443,0.631007,0.943968,1.23321,1.55573,1.83345,2.36874,3.65652,5.98214,8.79216]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.77481,1.35892,2.39774,3.65498,6.18604,8.74918,10.2665,13.1382,17.8804,25.1903]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.142725,0.550159,0.773967,1.09969,1.75729,1.68038,2.12991,3.01415,4.16547,5.16057]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.760009,1.39586,2.19873,3.77878,6.06473,8.77965,10.6451,13.5553,19.0826,27.2468]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2313, 174, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.27884,2.7966,3.55496,3.85287,4.01369,3.90316,4.93913,7.49611,12.1176,17.4078]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.72162,5.48171,7.69657,10.5402,14.6784,18.2956,21.7155,26.5571,35.5705,49.7963]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.666398,2.15679,2.59805,3.0819,4.10405,3.27773,4.11818,5.62428,7.73377,9.68265]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.41086,5.14898,6.75763,9.47059,13.703,16.9291,20.6486,26.0442,37.0809,52.0289]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2314, 175, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.262379,0.578581,0.754688,1.03008,1.25675,1.49883,2.22183,3.85605,6.3256,10.414]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.82857,9.99768,11.1479,12.8733,14.9692,17.7848,20.7341,23.1075,25.256,26.8078]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.364074,0.917588,1.58702,2.16941,2.7328,3.25677,4.62672,7.03759,12.1894,17.0386]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.71584,15.7691,26.4621,39.1639,51.7732,83.3275,174.877,384.514,604.334,797.032]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2315, 176, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.137346,0.303309,0.386264,0.493803,0.56201,0.639623,0.895603,1.52796,2.48845,3.93633]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.7008,4.63486,4.01817,3.45352,2.9773,2.61923,2.58625,2.49793,2.49284,2.52595]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.110918,0.250419,0.415459,0.551637,0.610235,0.74681,1.07248,1.76232,3.35425,3.58813]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.47976,1.71853,1.92902,2.15457,2.29677,2.4811,2.7785,3.09798,3.35932,3.9769]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2316, 177, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0181219,0.0350418,0.0658786,0.0975932,0.122407,0.124445,0.15651,0.256491,0.453664,0.700259]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.10776,2.32445,3.82028,5.50358,7.36101,9.52281,11.4742,13.1036,14.4819,15.4399]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0274694,0.0788753,0.136473,0.204997,0.303315,0.344432,0.415684,0.604321,0.976167,1.09355]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.14116,4.39998,7.24019,10.3146,13.9112,17.69,21.5151,24.3255,26.8825,28.8854]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2317, 178, 236, '', '', '{\"age\":[\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0]}', '{\"age\":[\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.0542,136.17,341.24,557.026,743.517]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2318, 179, 236, '', '', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\"],\"number\":[0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\"],\"number\":[6.08679,11.7569,19.191,25.779,37.0181]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2319, 180, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.106912,0.24023,0.302546,0.438679,0.572337,0.734762,1.16972,2.0716,3.38348,5.77745]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.02001,3.03837,3.30943,3.91617,4.63089,5.64274,6.67365,7.50602,8.28126,8.84195]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.225687,0.588294,1.03509,1.41278,1.81925,2.16553,3.13855,4.67095,7.85899,12.357]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.09492,3.5638,5.53598,7.50374,9.78621,12.0842,14.4134,15.8501,17.0665,20.6527]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2320, 181, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.107889,0.339309,0.530685,0.725623,0.800049,0.746938,0.670417,0.260526,0.220996,0.240732]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[144.511,445.06,649.827,740.053,736.538,609.451,435.165,458.664,372.691,182.365]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2321, 182, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0.00873993,0.0498736,0.117262,0.165538,0.175278,0.167404,0.0649571,0.0535585,0.0493308]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[75.8197,96.7072,95.8049,105.249,142.633,198.433,233.306,240.052,171.011,45.2915]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2322, 183, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[13.4091,130.604,234.067,268.461,278.131,183.08,1.05844,0.00416755]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2323, 184, 236, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\"],\"number\":[0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\"],\"number\":[4.11561,7.90908,12.8757,17.0564,24.3542]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2324, 185, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[0,0.00070095,0.00150497,0.00224019,0.00197865,0.0016083,0.00106218,0.000213342]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[1.39568,15.918,40.2446,71.069,79.8152,12.3517,0.255694,0.00173273]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2325, 186, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.000179842,0.0013404,0.00722875,0.0117351,0.0160297,0.00895652,0.0102019,0.0145665]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.66721,62.8425,115.647,143.942,154.049,165.345,181.34,198.629,183.264,137.074]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2326, 187, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[18.3538,102.216,126.191,110.543,38.262,2.85698,0.062635,0.000369089]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2327, 188, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.107889,0.329868,0.479127,0.604781,0.625304,0.558317,0.485921,0.186399,0.157236,0.176834]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[25.8654,32.6575,29.962,27.9129,26.5908,23.0299,19.1422,19.9768,18.4157]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2328, 189, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.09371,3.43425,3.96649,3.28366,2.1491,1.77272,1.74585,2.04577,3.2984,4.8211]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[124.39,115.953,122.938,119.435,119.692,132.004,117.038,113.574,94.2894,133.815]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.23002,1.74315,2.34298,2.16894,1.78728,1.67428,1.60973,1.84091,2.57454,3.49666]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[114.736,90.4553,85.0318,83.9363,87.6702,96.4412,99.765,100.665,106.51,131.225]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2329, 190, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0742982,0.0802142,0.0835513,0.076403,0.0663713,0.0631753,0.0561003,0.0657717,0.0623419,0.0470418]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[30.7755,27.7726,29.5933,30.2252,31.1543,33.7332,31.9982,32.5014,28.7933,29.3291]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.051778,0.0643128,0.0665919,0.0669273,0.0601701,0.0580436,0.054855,0.0601137,0.0609664,0.0461703]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.0506,6.90191,5.01916,5.47809,7.13033,7.85802,9.80383,10.2919,12.5796,15.595]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2330, 191, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.546794,0.429715,0.489548,0.477148,0.446004,0.467997,0.462356,0.597818,0.66149,0.612683]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[85.97,79.0617,85.0399,81.5387,81.0414,91.4921,79.32,74.9221,59.7053,56.4585]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.428056,0.376545,0.420512,0.444327,0.423622,0.449152,0.465554,0.554175,0.649454,0.605232]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[50.9887,43.6154,45.1439,42.41,40.609,46.6106,44.2986,41.2463,40.0771,40.0112]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2331, 192, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0616517,0.0480941,0.0509841,0.0482032,0.0444304,0.0475125,0.0530682,0.0872548,0.119093,0.134374]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.658621,0.59434,0.661441,0.666514,0.710271,0.823237,0.724842,0.745785,0.560367,0.621071]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0825139,0.0726217,0.0732519,0.0736201,0.0679319,0.0719732,0.0849441,0.131111,0.193101,0.223787]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.297473,0.146695,0.106595,0.117702,0.158845,0.174898,0.229146,0.250399,0.348158,0.481277]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2332, 193, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.41096,2.87622,3.3424,2.6819,1.59229,1.19403,1.17432,1.29493,2.45547,4.027]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.98627,8.52441,7.64289,7.00502,6.78614,5.95563,4.99493,5.40513,5.23042,47.4066]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.667675,1.22967,1.78262,1.58406,1.23555,1.09511,1.00437,1.09551,1.67101,2.62147]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[51.3997,39.7912,34.7622,35.9305,39.7721,41.7977,45.4334,48.8764,53.5056,75.1371]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2333, 194, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.18481,2.19623,3.52057,5.64638,5.97909,5.97036,6.6076,8.02576,11.9023,20.8438]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[22.1322,29.2748,33.1592,37.9767,43.084,47.1443,53.1344,69.4522,84.1079,119.595]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.34624,2.09406,2.54882,3.25898,3.08838,3.28926,4.40622,7.13801,11.4995,13.1365]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[34.5554,32.3405,34.4566,40.0625,47.6196,54.4165,64.0705,78.323,93.0324,122.089]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2334, 195, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.55462,5.0366,5.81377,6.57477,6.94377,8.10191,11.6955,19.652,29.538,30.102]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1270.95,1490.37,1868.02,2214.83,2612.55,3136.45,3782.74,4386.94,4885.88,5351.19]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.625329,1.28569,2.03659,2.45698,2.8066,3.28653,4.35273,6.92773,9.79532,11.5547]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1153.78,1274.66,1730.15,2070.81,2410.14,2801.19,3254.33,3679.3,4040.82,4408.75]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2335, 196, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.532471,1.16197,1.27745,1.77649,2.25525,3.48971,5.2358,11.1913,19.3925,20.9202]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.0135,41.0901,59.3917,73.9495,83.8557,90.7761,101.321,116.249,136.454,158.118]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.271341,0.574854,0.802037,1.13214,1.31154,1.74012,2.46788,4.15568,6.11558,7.84803]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.79971,11.4654,16.6846,20.7664,24.1587,26.3517,29.8568,34.2619,39.7992,46.458]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2336, 197, 236, '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.7342,141.939,428.502,834.567,1142.81,1289.14,1372.92]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.68269,85.8806,259.12,503.961,697.815,788.577,844.044]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2337, 199, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[529.081,548.834,607.314,756.941,905.615,1033.88,1191.29,1379.58,1552.36,1716.02]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[653.822,724.247,843.42,1054.94,1260.84,1434.98,1616.15,1803.73,1969.32,2123.35]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2338, 200, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[530.221,482.501,499.929,620.788,735.34,850.856,915.795,900.532,882.652,864.592]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[430.575,389.681,401.757,500.065,591.697,682.195,731.627,718.266,702.871,687.198]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2339, 201, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00581602,0.0333986,0.0947774,0.18287,0.306593,0.484766,0.718757,0.964619,1.23796,1.46709]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0120928,0.100948,0.271758,0.525508,0.905443,1.38108,1.98753,2.56901,3.23825,3.86181]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2340, 202, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.02214,3.87463,4.53632,4.79828,4.68852,4.6122,6.45971,8.46069,10.1455,9.1818]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[190.633,417.916,701.294,750.231,745.495,731.953,739.053,846.809,1024.04,1238.07]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.353989,0.710835,1.23455,1.32484,1.49505,1.54642,1.88485,2.77205,3.67974,3.70671]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[63.5749,149.165,468.014,486.834,446.658,397.167,370.748,422.658,537.011,703.834]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2341, 203, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.0206,4.68934,7.77196,3.54181,2.86988,2.91463,3.6011,7.09329,8.80472,14.0186]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1067.86,908.127,1007.4,1198.19,1406.47,1600.81,1895.52,2384.58,2942.54,3679.65]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.44987,2.67187,4.26142,6.61278,6.03923,6.94761,10.7794,14.4121,21.3505,27.3076]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1024.19,914.539,1062.8,1297.19,1546.88,1780.25,2068.72,2517.09,3042.11,3769.31]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2342, 204, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.5044,2.81533,5.11992,1.70336,1.1305,0.90549,0.916649,1.05729,1.40741,1.87597]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[54.2176,38.5116,32.9519,29.9424,26.5099,24.5195,24.5528,26.1302,25.8966,24.0027]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.761895,0.926836,1.06874,0.717633,0.56571,0.504073,0.459288,0.567483,0.664018,0.742856]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[52.0804,34.8852,29.9466,26.7179,23.3934,21.0773,20.1111,22.1008,21.5813,20.276]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2343, 205, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.135192,0.224057,0.544949,0.164195,0.100988,0.0671232,0.0389775,0.0336655,0.043072,0.0444395]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.59607,9.19256,8.78541,8.51245,7.92069,7.55524,7.53235,6.92295,6.64874,6.46754]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0475917,0.0629058,0.0821685,0.0555439,0.0379486,0.0336826,0.0219955,0.0235979,0.0250004,0.0185806]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.72763,6.70555,6.40088,6.06622,5.66536,5.42003,5.10913,4.80414,4.65665,4.29679]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2344, 206, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.441116,0.758009,1.3398,0.34971,0.223211,0.174729,0.175049,0.171289,0.2501,0.375523]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.7769,3.72148,3.07692,2.61013,2.25795,2.3674,2.5536,2.1917,2.5594,3.42824]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.286776,0.367213,0.39842,0.217915,0.149469,0.121768,0.106491,0.114671,0.143455,0.166438]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.9455,3.54993,2.911,2.50694,2.17394,2.32795,2.43325,2.4805,2.95903,4.19993]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2345, 208, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.104346,0.215738,0.478661,0.195997,0.114057,0.0996265,0.0853675,0.102687,0.104001,0.106224]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.31049,8.64564,8.05193,7.14401,6.18456,5.20128,4.92871,6.78349,6.75376,5.09804]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0333874,0.0491825,0.0714776,0.0562532,0.0415885,0.0345627,0.0389918,0.0456838,0.0495162,0.0335812]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.04636,8.61397,8.14452,7.24506,6.15908,5.01713,4.56896,5.99627,5.43586,3.91515]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2346, 209, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0305596,0.0734277,0.139892,0.0385274,0.0187597,0.0141403,0.0117558,0.0113513,0.0187991,0.0134762]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.21911,3.10703,2.89011,2.49968,2.10735,1.79978,1.7351,2.45612,2.34718,1.60348]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0109328,0.0181161,0.0224059,0.0143839,0.00847761,0.00770239,0.00534265,0.00872198,0.00686148,0.0100236]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.14393,3.22452,2.98334,2.65807,2.31442,1.88082,1.812,2.33047,2.12705,1.41115]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2347, 210, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.79319,1.5441,2.61663,0.95493,0.67348,0.549871,0.605499,0.738292,0.991438,1.33631]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.078,12.7037,9.59121,8.88571,7.86333,7.45803,7.68339,7.66258,7.48104,7.30226]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.383208,0.429418,0.494263,0.373536,0.328226,0.306357,0.286467,0.374808,0.439185,0.514233]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.6041,11.519,8.88403,7.90182,6.86806,6.25459,6.02382,6.33579,6.25957,6.30663]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2348, 211, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.516192,1.87401,2.65203,1.83845,1.73939,2.00914,2.68445,6.03601,7.39731,12.1426]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[722.197,526.761,484.701,484.658,488.523,506.864,534.118,577.089,628.662,681.566]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.687971,1.74503,3.19268,5.89515,5.47352,6.44354,10.3201,13.8446,20.6865,26.5647]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[645.265,462.26,428.509,431.424,440.993,464.219,500.604,567.099,648.614,740.998]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2349, 212, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[163.651,148.146,142.741,138.905,135.888,134.092,133.81,133.007,132.522,131.317]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[139.223,125.788,121.434,117.578,115.575,114.22,113.797,113.799,112.966,111.699]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2350, 213, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.0446,8.121,9.58271,11.0624,12.3367,13.782,15.6232,18.5377,21.3973,23.7348]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.66493,9.98876,12.0742,13.9056,15.7437,17.4075,19.8071,23.3773,26.4497,29.1574]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2351, 214, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.162351,0.650329,0.916793,0.677767,0.634337,0.666958,0.909825,2.03709,2.5006,3.80312]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.13045,8.8287,8.66216,8.78031,8.7805,8.7967,9.07333,10.3968,11.9148,13.3972]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.223262,0.498928,0.925549,1.85546,1.88634,2.23805,3.75086,4.71536,7.15359,8.35903]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.3811,9.62842,11.2047,13.1024,15.0553,16.9306,18.8788,21.5666,24.2763,26.9108]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2352, 215, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.221617,0.826544,1.08278,0.773616,0.748149,0.864427,1.07482,2.39491,2.92519,4.49348]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.1238,11.046,10.7569,10.9679,11.0372,11.0851,11.569,13.609,15.5573,17.3702]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.316074,0.755816,1.36593,2.56016,2.21597,2.63414,4.17455,5.83928,8.31458,10.1424]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.6158,10.62,10.5496,10.6276,10.6325,10.586,10.9382,13.0629,15.347,17.1971]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2353, 216, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.4931,26.8078,28.034,28.7472,28.3275,27.9924,27.6831,27.3082,27.0152,26.5595]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.7352,27.2249,28.6265,29.3012,29.0767,28.6124,28.1071,27.8105,27.3452,26.8834]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2354, 217, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[45.7461,26.8858,31.5499,36.1214,40.5888,45.237,51.7198,60.9993,70.1778,78.9935]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[49.9001,29.7674,34.8909,39.8891,44.7546,49.5858,56.4749,66.8559,76.9871,86.7824]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2355, 218, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[81.852,34.4419,31.5843,29.1959,26.7319,24.4312,23.1299,22.9949,22.9305,22.7443]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[85.3487,36.5174,33.4631,30.9656,28.2831,25.6739,24.0249,23.9894,23.9466,23.826]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2356, 219, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[220.346,115.907,62.8534,41.1556,23.5658,13.6085,5.77916,3.67136,2.48809,1.34805]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[191.513,101.919,55.1265,36.1496,20.8126,12.0365,5.12637,3.21993,2.20344,1.1729]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2357, 220, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.7441,26.0611,27.3398,27.9194,27.6007,27.4763,26.9163,26.4297,26.2864,25.8065]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.5978,16.4074,17.2003,17.5739,17.305,17.0862,16.7824,16.6708,16.3253,16.0917]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2358, 221, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.3447,26.4734,34.0646,42.5713,50.9551,59.3715,65.1643,66.4487,67.5888,68.7537]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.6888,20.2171,26.0972,32.6271,38.9832,45.4525,49.5963,50.4283,51.1463,51.9197]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2359, 222, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[42.5224,42.8265,43.7001,45.7706,47.4099,49.4146,50.4054,49.2463,48.3788,47.0549]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[26.9906,27.3754,27.8145,29.2842,30.5255,31.9115,32.3966,31.8314,31.0655,30.2879]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2360, 223, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.12619,0.388088,0.637575,0.381497,0.350581,0.47191,0.688488,1.5855,1.94783,3.79648]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.685721,1.49948,2.38194,3.34103,4.7322,6.65116,9.93336,14.8325,21.9409,30.8603]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.142951,0.478506,0.885609,1.46535,1.34927,1.54158,2.35232,3.25417,5.15267,7.98833]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.0079,2.07574,3.43662,5.26233,7.581,11.1898,16.4194,24.2577,35.1565,48.4345]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2361, 224, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00603355,0.00905245,0.0148888,0.00557198,0.00632106,0.00584543,0.0113228,0.0185072,0.023689,0.0495661]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[66.5133,49.7161,51.4497,60.12,70.569,84.9258,103.312,129.607,160.463,193.626]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00568425,0.0117802,0.0155952,0.0141808,0.0219385,0.0297712,0.0423733,0.0358042,0.0656506,0.0749609]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[61.5971,44.7304,46.5907,55.1575,66.6649,83.5258,108.255,150.23,205.399,270.635]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2362, 226, 236, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.169637,1.28359,4.29075,8.86607,13.6703,20.7948,36.3237,60.1212,91.8686]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.120112,0.838098,2.91601,6.40196,10.5142,15.6566,28.6617,53.1434,92.1925]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2363, 227, 236, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.517874,3.32642,13.7912,29.9434,45.3037,71.2143,129.65,215.995,332.459]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.286873,1.63125,6.38282,14.2875,22.6257,35.1489,69.4315,132.551,228.457]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2364, 228, 236, '{\"age\":[\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0]}', '{\"age\":[\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.67618,19.5617,47.5544,91.7288]}', '{\"age\":[\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0]}', '{\"age\":[\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.46636,8.65268,23.8566,51.2721]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2365, 229, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[37.7028,25.6454,35.3074,53.3161,75.0393,102.8,141.451,209.737,312.266,465.004]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[32.1453,21.8995,28.8634,43.0423,60.844,82.813,114.966,174.102,264.007,394.191]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2366, 230, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[131.198,166.125,204.887,244.017,285.375,327.964,433.844,621.041,785.563,989.773]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[179.896,249.447,324.332,396.021,464.857,544.323,648.79,794.888,934.655,1158.64]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2367, 231, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[49.0137,57.5445,82.6068,106.385,127.64,152.986,190.354,237.261,275.358,317.96]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[45.0682,56.6544,85.5019,115.989,144.803,176.567,228.416,304.546,364.825,409.24]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2368, 234, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[72.3271,85.5367,97.8943,94.2234,85.5058,69.3963,65.2225,66.2332,66.0832,64.2508]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[68.4167,81.1288,93.3938,90.0767,82.4663,67.7059,63.6102,64.4734,64.0234,62.0842]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2369, 235, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0074371,5.45721,55.6953,147.128,243.589,300.412,323.677,328.442,323.818,309.531]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00868091,6.03584,62.3735,167.343,278.649,341.926,366.588,370.295,363.078,345.585]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2370, 236, 236, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.727064,7.59886,19.2503,34.1799,55.4274,84.9451,131.096,198.671,308.258]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.577871,6.18629,15.9846,28.7857,46.903,71.517,110.622,168.988,262.861]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2371, 238, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.2369,10.8407,13.9914,13.7364,10.4295,10.2928,18.9158,20.6903,46.4175,74.4674]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[91.7765,126.863,152.735,175.082,179.832,184.961,183.105,181.956,169.011,153.7]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.1863,53.0697,57.451,35.6658,26.8143,26.1737,37.1043,54.3367,55.4396,75.4817]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[157.879,228.232,284.284,329.818,345.083,358.884,365.297,365.686,352.327,328.627]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2372, 239, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.6687,10.3339,13.3028,13.1861,10.0802,10.0336,18.5991,20.3084,45.8962,73.6923]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[71.2131,95.562,119.761,134.551,141.752,148.842,152.394,147.854,142.913,130.813]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.4064,47.7919,52.2774,31.9042,24.0566,23.607,34.0029,50.7612,52.5916,72.3451]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[136.256,193.49,235.286,267.367,292.081,303.652,306.693,305.843,297.204,281.824]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2373, 240, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.59436,4.89954,5.92739,6.23645,5.65248,5.57356,11.7796,13.541,29.7695,53.8567]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[37.4408,49.6885,59.2915,71.0929,87.1819,89.9269,105.447,106.566,98.6605,102.427]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.703,19.5647,25.4319,14.5154,12.2115,12.437,17.3604,24.7093,24.96,39.5455]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[73.6022,85.4294,122.98,132.332,159.861,171.782,165.883,158.112,150.207,165.762]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2374, 241, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.241726,0.166346,0.190449,0.170519,0.12824,0.137332,0.235152,0.239106,0.416401,0.689952]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.37951,1.67966,1.90512,1.93703,1.96775,2.22456,2.10155,1.88293,1.38827,1.32354]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.82402,4.54828,4.90735,3.31371,3.08152,2.83747,5.09589,6.95283,9.70908,12.0204]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.1652,19.8658,23.6227,30.3172,40.5689,39.4515,48.488,44.4907,58.3653,50.2493]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2375, 242, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.15046,1.10163,0.987052,1.03415,0.495401,0.434658,0.56501,0.471662,0.805492,1.23275]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.64059,11.1017,9.88915,11.75,7.57415,7.03776,5.08155,3.72552,2.68876,2.36645]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.716572,1.98233,3.38633,1.85592,1.67542,1.55855,1.55008,1.67075,1.45784,2.8928]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.14307,8.60545,16.3118,16.842,22.1374,21.4435,14.8867,10.6852,8.82404,12.119]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2376, 243, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.90357,2.73389,4.65922,4.18278,2.82536,2.68126,4.29191,4.44229,11.48,13.0782]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[22.4431,27.8171,46.9057,47.0974,43.2105,43.1534,38.731,35.0442,38.5963,25.1782]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.75101,20.9655,17.5259,11.6453,6.64622,6.43354,9.47069,16.844,15.8227,16.9959]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[49.9759,90.6275,82.6516,102.723,84.5225,87.4199,90.0762,107.1,94.937,71.089]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2377, 244, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.77854,1.43252,1.53871,1.56225,0.978755,1.20678,1.72742,1.61432,3.42472,4.8347]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.4378,14.5331,15.5049,17.7534,15.3369,19.94,15.1842,12.9158,11.2828,9.36768]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.411762,0.731081,1.02585,0.573818,0.442018,0.34053,0.525886,0.584272,0.641954,0.890502]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.31872,3.06635,4.71362,5.10065,5.66147,4.55725,4.92218,3.70531,3.83452,3.67415]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2378, 245, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.568257,0.506753,0.688582,0.550218,0.349272,0.259264,0.316693,0.381888,0.521354,0.775119]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.5634,31.3014,32.9742,40.5315,38.0799,36.1192,30.711,34.102,26.0976,22.8865]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.77997,5.2778,5.17363,3.76164,2.75764,2.5667,3.10144,3.57553,2.84801,3.13655]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.6229,34.7418,48.9987,62.4511,53.0022,55.2323,58.6043,59.8429,55.1232,46.803]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2379, 246, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.2752,22.9427,20.8806,23.7931,18.8087,22.9108,27.8453,42.798,53.0255,93.3279]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[62.6535,77.6211,104.664,137.787,188.616,247.128,307.509,367.892,448.302,535.266]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[42.3042,76.7254,61.3458,47.1079,41.7405,53.2425,84.5297,159.427,258.627,371.19]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[107.325,142.964,184.973,242.411,333.464,431.812,540.49,656.936,794.228,938.899]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2380, 247, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.36581,2.09268,2.26863,2.64561,2.7231,3.6768,5.80147,9.59936,17.0275,38.4286]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[34.5979,42.0925,57.6457,80.0266,119.465,165.118,215.166,270.015,341.136,421.014]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.8283,25.0448,22.4225,12.1417,11.5598,16.2654,47.7375,100.042,159.528,214.271]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[49.0051,60.8824,82.2231,116.524,180.869,257.582,343.639,444.935,565.325,696.506]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2381, 248, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.76567,5.47899,5.25244,5.5649,5.03113,4.0347,4.87988,8.35046,7.62671,11.5307]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.963485,0.896924,1.19921,1.87268,2.54734,3.4784,4.32271,4.68753,5.69951,6.00711]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.7561,12.8387,8.76029,7.65751,8.37107,11.3883,9.83449,16.5773,24.9821,27.285]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.61416,2.07095,2.57706,3.96587,5.3876,7.02745,9.14675,10.5073,12.6964,13.4707]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2382, 249, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.5741,4.14964,4.40025,5.87593,3.153,3.61457,5.33865,7.69127,10.6666,20.8282]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.5485,13.9077,17.6776,21.1886,24.6268,27.7877,29.859,30.6522,30.2905,29.6378]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.66638,12.3145,5.0002,9.15106,7.36626,5.36335,9.18404,15.5428,18.5987,19.2337]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.7869,22.197,26.1694,31.3063,37.4168,42.4517,46.0681,48.528,48.8632,49.3838]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2383, 250, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.72921,6.65384,3.63807,4.30102,3.12455,5.71415,5.52134,9.14313,6.16051,5.72235]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.5299,3.04799,3.76044,3.93452,5.3339,5.99149,6.84463,7.49048,8.02332,7.54482]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.40552,13.6231,12.4044,10.9074,7.16391,9.88636,7.60727,9.96294,14.9172,21.2923]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.99174,4.67265,6.13513,7.57745,10.0829,11.7609,14.0018,15.4597,16.7966,17.8335]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2384, 251, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.771896,1.65874,2.45076,3.02042,1.9396,2.75544,2.3181,1.7519,2.14316,2.07265]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.20679,4.81413,6.08753,6.84381,7.21019,7.19028,6.95804,6.1673,5.25656,4.27757]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.54076,4.37088,5.72225,4.37373,3.06114,6.02359,6.01865,5.79282,6.07028,5.0307]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.1102,20.3972,24.4896,27.5558,31.4313,32.7087,32.0839,28.631,24.4191,20.015]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2385, 252, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.471962,1.00079,1.2026,1.56182,1.04054,1.34037,1.21443,0.81022,0.914837,0.907972]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.25454,4.7163,4.87596,5.60949,6.16958,5.30006,6.26313,4.63132,3.76483,2.97252]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.4482,2.08918,2.04321,1.70243,1.24984,2.36361,2.33435,2.21895,2.36139,1.84339]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.41455,11.9678,11.531,13.8939,17.852,17.9272,17.891,15.5093,14.282,11.2496]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2386, 253, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.299935,0.657954,1.24816,1.4586,0.899065,1.41508,1.10368,0.941675,1.22833,1.16468]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.27581,3.13384,5.18854,5.51465,5.74234,5.88626,5.53812,5.35176,5.07343,3.65381]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.09255,2.2817,3.67904,2.6713,1.8113,3.65998,3.6843,3.57387,3.70889,3.18731]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.30219,13.3031,21.3184,21.4073,25.1423,27.8545,27.7163,25.0695,22.4228,20.1683]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2387, 254, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.504385,0.810297,0.603942,0.495826,0.546276,0.696997,1.12783,1.64848,3.28092,4.80643]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.95293,2.88597,4.64484,6.76648,9.3645,13.6159,17.8822,19.4039,27.2124,33.5452]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.09466,2.53434,2.7072,1.24235,2.10114,2.14586,1.8274,5.26288,17.0512,44.4524]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.66906,3.83951,5.21483,7.68034,10.6007,13.2807,19.8975,26.0302,40.0629,50.7435]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2388, 255, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.21549,1.76925,1.93003,1.67034,2.10618,2.22299,2.63954,4.27402,5.36669,7.71385]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.911425,1.01971,1.41353,2.12084,2.54433,3.68089,4.31404,5.33674,4.82436,5.40784]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.34213,2.60826,1.84862,0.711382,1.22959,1.40851,1.65063,4.49244,14.121,30.6723]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.35721,1.90267,2.3319,3.25893,4.20852,4.56225,6.43159,8.13531,9.15571,10.1302]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2389, 256, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.500868,0.64557,0.727324,0.566278,0.85608,1.03811,1.22833,1.77871,2.68201,3.38791]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.658205,0.718273,0.997184,1.48458,1.8159,2.79759,3.13644,3.92235,3.64014,4.13925]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.53608,1.29755,0.895427,0.364474,0.599356,0.756076,0.9522,2.25698,6.6688,16.8657]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.945817,1.3383,1.65486,2.37008,3.10683,3.36593,4.66498,6.0192,7.10083,7.48128]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2390, 257, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.714625,1.12368,1.2027,1.10406,1.2501,1.18488,1.41121,2.49532,2.68468,4.32593]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.25322,0.30144,0.416349,0.636259,0.72843,0.883293,1.17759,1.41439,1.18422,1.26859]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.80605,1.31071,0.953188,0.346908,0.630236,0.652438,0.698426,2.23545,7.45224,13.8066]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.411392,0.564372,0.677037,0.888852,1.10169,1.19633,1.76661,2.11611,2.05487,2.6489]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2391, 258, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.348621,0.329293,0.336445,0.219036,0.184861,0.195107,0.218476,0.339407,0.753411,2.22512]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.9426,8.95611,12.2349,15.034,17.5233,20.2656,22.1619,24.1391,25.8589,27.8322]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.67031,3.39078,2.48029,0.922757,0.887589,0.761195,0.669725,1.75382,3.35851,8.95197]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.7905,27.0019,35.8325,44.5417,53.4671,62.438,69.2213,74.7091,76.9089,80.8159]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2392, 259, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.0263,22.2215,22.0069,17.5096,15.1672,14.0338,15.967,19.0277,25.6456,32.0713]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.15979,15.7455,19.1217,20.8714,21.518,19.8514,18.101,14.9081,11.891,9.15656]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[22.1931,52.2394,62.4965,58.9521,46.2999,35.6823,35.6597,40.1486,33.2087,45.6956]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.6457,43.0039,55.4473,64.4111,67.2675,61.9491,55.8389,47.8577,38.7199,31.3276]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2393, 260, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.10896,11.3277,8.67906,4.99146,6.72098,8.36714,12.1614,16.0697,23.0032,29.2192]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.20261,6.03922,6.45235,6.38384,6.66932,5.95727,5.68464,4.79468,4.21511,3.74984]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.4311,21.9515,22.3816,19.7657,16.2267,14.2301,20.4838,27.1008,23.9993,39.2862]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.76067,9.03321,9.59442,9.74142,10.8592,10.3041,10.4685,9.65288,9.36779,9.58384]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2394, 261, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.91734,10.8938,13.3279,12.5182,8.44623,5.66668,3.80568,2.95798,2.64237,2.85208]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.95718,9.70626,12.6694,14.4875,14.8487,13.8941,12.4164,10.1135,7.67588,5.40672]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.762,30.288,40.1149,39.1864,30.0732,21.4522,15.1759,13.0478,9.20938,6.40939]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.885,33.9707,45.8528,54.6697,56.4083,51.6451,45.3704,38.2048,29.3521,21.7437]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2395, 262, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.491039,1.04288,1.51176,1.3262,0.773123,0.539606,0.281909,0.235542,0.144681,0.0910551]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.633839,0.994808,1.57242,1.63872,1.47998,1.47905,1.0649,0.979887,0.519038,0.217988]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.80561,8.33143,10.7912,10.3595,8.78156,5.25759,2.81985,4.25417,1.62857,0.92462]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.17781,10.2258,13.6185,16.2567,18.0014,14.0083,9.65098,13.7802,6.23277,3.72046]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2396, 263, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.22332,5.23638,6.65699,6.77306,4.56073,3.3173,2.17517,1.61084,1.40314,1.36459]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.89495,4.99714,6.9371,8.54918,8.79542,9.13296,7.93849,6.44183,4.69235,2.98074]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.15093,8.29583,10.5181,10.0012,6.97953,5.9128,6.31958,3.52567,3.73747,3.11291]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.7519,10.2396,13.3855,15.6417,14.6492,16.0317,21.6637,11.4621,13.5443,11.7926]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2397, 264, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.20297,4.61458,5.15911,4.41892,3.11238,1.80978,1.3486,1.1116,1.09455,1.39644]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.87917,4.53883,5.40086,5.68976,6.06998,5.01436,5.03652,4.55293,3.84523,3.20914]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.80546,13.6607,18.8056,18.8257,14.3121,10.2818,6.03648,5.26797,3.84334,2.37186]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.6649,16.6299,23.8519,29.5524,30.1256,27.7198,20.528,17.4384,14.4637,9.35785]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2398, 44, 236, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[177.488,167.33,158.349,149.466,143.234,136.271,128.743,121.146,110.375,98.9835]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[241.42,230.145,218.425,207.356,195.597,186.113,175.38,164.17,149.521,134.866]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2399, 152, 236, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[41.009,73.7244,45.8446,31.736,22.4801,12.2522,4.76805,1.93541,0.918503,0.419796]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[69.2996,128.123,79.2393,57.0869,41.0063,21.8405,8.87283,3.47789,1.43394,0.72872]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2400, 154, 236, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1737.45,1946.71,2061.58,2157.27,2195.75,2243.99,2286.26,2303.9,2263.73,2071.84]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1051.84,1183.81,1267.78,1331.4,1352.75,1378.99,1396,1412.14,1390.09,1263.33]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2401, 157, 236, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[57.389,55.524,53.5968,52.3816,50.8187,49.2008,47.5542,45.7775,43.7474,41.7821]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[189.18,186.55,182.008,176.729,172.613,166.562,160.437,154.194,147.532,140.693]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2402, 158, 236, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[191.387,19.0148,2.83439,1.37208,0.602526,0.22352,0.0689008,0.0165491,0.00330956,0.000189349]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[457.371,51.7283,11.1721,5.75636,2.64734,1.05479,0.35049,0.0964133,0.022424,0.00385987]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2403, 198, 236, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1059.3,1031.33,1107.24,1377.73,1640.95,1884.74,2107.08,2280.11,2435.01,2580.61]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1084.4,1113.93,1245.18,1555.01,1852.54,2117.17,2347.78,2522,2672.19,2810.55]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2404, 207, 236, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.23699,1.14123,0.556287,0.290409,0.176042,0.137746,0.119637,0.113364,0.106503,0.103125]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.61289,1.27223,0.622866,0.33978,0.212571,0.176757,0.163935,0.15363,0.143098,0.146364]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2405, 225, 236, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[219.109,251.134,328.555,422.99,528.159,644.188,863.008,1255.59,1699.41,2292.04]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[258.422,329.651,442.395,565.644,692.594,838.423,1046.29,1382.5,1775.82,2337.51]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2406, 232, 236, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.19434,1.13175,1.14379,1.19022,1.29543,1.46367,1.67459,2.01472,2.5559,3.24984]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.31249,1.24284,1.22881,1.29243,1.4008,1.58048,1.84396,2.21576,2.78651,3.5163]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2407, 233, 236, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[72.3345,91.7209,161.188,260.602,363.275,425.235,473.844,525.771,588.573,682.04]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[68.4254,87.7425,161.954,273.405,389.901,456.535,501.716,545.39,596.089,670.53]}', 2010, '', 1, '', '', '2015-06-15 08:20:03', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2408, 301, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.73985,2.3003,2.45636,2.36554,1.96017,2.036,2.19333,2.84588,4.06556,7.63611]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.2227,21.4729,23.3129,25.2965,27.0846,29.1531,31.1952,33.2459,35.0293,36.8517]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.26072,2.75434,3.20702,3.40513,3.02072,3.11545,3.56317,4.94773,6.23931,9.89351]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.9945,16.8035,18.2476,19.7628,21.2236,22.5711,24.168,25.6673,26.8895,28.3023]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2409, 302, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.852799,1.12928,1.20472,1.15992,0.960213,0.999431,1.07148,1.39477,1.99495,3.74301]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.40981,10.5093,11.4175,12.3882,13.2576,14.2852,15.2773,16.2749,17.1494,18.049]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.10952,1.35301,1.57523,1.67143,1.48386,1.52455,1.74632,2.42427,3.06253,4.85878]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.32906,8.2211,8.92725,9.67204,10.386,11.0506,11.8324,12.5627,13.164,13.8596]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2410, 303, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.04792,1.38362,1.47895,1.42386,1.18141,1.22485,1.32597,1.71332,2.44685,4.60368]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.6021,12.9584,14.0654,15.2583,16.3387,17.5762,18.8104,20.0558,21.1283,22.2272]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.36177,1.65694,1.92935,2.05007,1.81735,1.87998,2.14629,2.98228,3.75641,5.95289]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.05807,10.1412,11.0125,11.9216,12.8065,13.6153,14.5792,15.4855,16.2168,17.0667]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2411, 310, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.88468,9.35645,10.9097,12.1727,7.57136,4.54865,3.69711,1.05545,1.94941,3.38532]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[537.855,673.497,619.028,576.446,548.843,475.524,393.994,413.119,382.176,383.394]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.587121,1.51327,2.01272,2.18349,1.63039,1.376,1.41376,1.70832,2.3351,4.18249]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[526.228,407.803,357.288,368.737,410.044,426.384,465.901,499.148,549.736,613.794]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2412, 284, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.88468,9.35645,10.9097,12.1727,7.57136,4.54865,3.69711,1.05545,1.94941,3.38532]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[537.855,673.497,619.028,576.446,548.843,475.524,393.994,413.119,382.176,383.394]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.587121,1.51327,2.01272,2.18349,1.63039,1.376,1.41376,1.70832,2.3351,4.18249]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[526.228,407.803,357.288,368.737,410.044,426.384,465.901,499.148,549.736,613.794]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2413, 274, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.05482,8.8582,13.2619,15.692,23.9069,26.6084,33.3113,46.8073,75.3378,132.44]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[254.258,474.014,490.205,386.77,347.223,309.587,291.541,252.98,217.549,173.195]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.4349,23.7229,33.1286,39.7144,80.0932,85.312,107.705,167.686,215.319,307.265]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[476.461,957.01,1017.06,861.492,841.901,762.834,747.843,672.268,626.901,488.496]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2414, 275, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.01643,6.44568,9.80555,12.5882,20.848,24.0059,30.8438,44.5764,72.9562,130.003]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[102.794,130.651,132.073,125.791,162.41,181.566,201.761,195.235,182.098,154.663]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.31797,20.1483,27.7554,34.0273,75.1755,81.2743,103.958,164.393,212.295,304.572]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[232.096,312.27,325.14,314.831,455.435,508.076,581.024,564.866,560.487,451.886]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2415, 276, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.04819,2.43248,3.49067,3.144,3.14122,2.70953,2.60056,2.41598,2.67217,3.06038]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[151.469,343.373,358.148,261.001,184.864,128.098,89.8979,57.8977,35.646,18.779]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.15189,3.69157,5.50856,5.80672,5.16624,4.26753,4.0366,3.67796,3.48392,3.46731]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[244.373,644.763,691.947,546.688,386.543,254.846,166.93,107.522,66.5573,36.7816]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2416, 277, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.29957,1.58681,1.78388,1.84492,2.02212,2.28621,3.10023,4.37965,9.10571,16.8369]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[430.155,448.667,577.867,716.788,830.672,984.563,1177.34,1438.7,1586.09,1836.45]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.7316,17.6936,19.6692,19.8147,20.1649,20.2957,20.4658,21.9893,24.6054,30.1053]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[494.641,614.46,842.626,1053.52,1210.01,1409.04,1606.18,1838.58,1931.58,2124.79]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2417, 278, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00233028,0.00712652,0.0177553,0.0242259,0.0473141,0.116889,0.231093,0.303974,0.928154,1.01953]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000570812,0.00189776,0.00427745,0.00501758,0.00972057,0.0240507,0.040816,0.0579426,0.160822,0.186872]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0144434,0.018434,0.0367912,0.0491889,0.111617,0.229873,0.416237,0.879345,1.29339,2.51373]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00443738,0.00457862,0.0105681,0.0149545,0.0290757,0.0607416,0.0976813,0.208172,0.300083,0.547359]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2418, 279, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0217108,0.0419791,0.0431047,0.0593822,0.0879396,0.140004,0.375254,0.759365,2.22036,4.74013]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[45.7816,33.0118,25.0453,22.5133,22.2552,23.8669,25.8921,28.0818,29.9134,32.0272]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0446278,0.0808751,0.122957,0.136414,0.151892,0.206381,0.461745,1.06777,2.38988,4.92355]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[42.9703,35.8113,27.9537,24.6866,24.0213,25.0136,26.7773,28.8052,30.2087,30.7124]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2419, 280, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.27553,1.53771,1.64201,1.65808,1.73335,1.77921,1.7853,1.81944,1.77163,1.75387]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.6726,17.5943,19.432,19.5363,19.7946,19.7131,19.2641,19.2514,19.2018,18.9285]}', '', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2420, 313, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.73861,14.6043,14.4706,12.078,9.94727,8.89365,10.0962,11.0206,14.8133,18.3242]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[506.421,664.684,715.502,751.304,758.659,764.82,767.231,755.161,718.244,634.022]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.845148,1.71719,1.68564,1.44807,1.16945,1.00657,1.40634,1.82487,1.58673,2.43327]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[83.5116,96.0852,96.1575,94.1929,93.0448,93.5313,93.7985,90.2025,82.5221,68.6827]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2421, 314, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.691801,1.24324,0.925913,0.530264,0.699945,0.855064,1.23077,1.59413,2.22936,2.69734]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[161.572,178.242,181.686,183.087,182.879,183.8,184.597,180.782,171.363,148.023]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.845148,1.71719,1.68564,1.44807,1.16945,1.00657,1.40634,1.82487,1.58673,2.43327]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[83.5116,96.0852,96.1575,94.1929,93.0448,93.5313,93.7985,90.2025,82.5221,68.6827]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2422, 304, 236, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.421352,0.577252,0.873962,1.68632,2.98235,5.29885,9.3536,16.3073]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.46891,4.80171,6.33218,8.14145,10.938,14.0507,17.4329,20.294]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.532839,0.871832,1.43156,2.54443,4.94758,9.95539,15.722,24.5836]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.94563,5.45144,7.20427,9.21927,12.3488,16.0323,19.9917,23.1365]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2423, 306, 236, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.22916,6.23893,9.83279,19.6663,37.0228,68.6898,135.218,241.165]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[190.806,249.575,318.299,398.178,503.766,658.171,845.473,1055.33]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.58097,8.15056,13.8455,25.7899,52.3946,113.485,194.496,331.397]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[143.446,182.996,227.469,278.144,341.128,433.749,536.632,638.135]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2424, 307, 236, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0221168,0.0273945,0.0403349,0.0644219,0.178586,0.378636,1.06417,2.38987]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0177315,0.020788,0.0237936,0.0328252,0.0724233,0.179558,0.398027,0.910583]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2425, 309, 236, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.00087,1.6896,2.08242,3.58099,7.33904,14.0916,28.4119,51.7998]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.33037,9.56125,11.8605,16.585,25.2636,34.0034,45.6018,58.2226]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.560153,1.13736,2.25549,3.88652,8.88575,20.0228,36.2991,64.4993]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.73444,5.1638,10.531,13.8054,23.1182,34.6145,49.9991,64.7626]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2426, 305, 236, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0261643,0.0464683,0.0531976,0.16779,0.243736,0.321608,0.936593,1.02444]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00771552,0.00781452,0.00925979,0.0283966,0.0413906,0.060754,0.160258,0.186825]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0257693,0.0505477,0.103028,0.233826,0.266763,0.559546,0.685621,1.44224]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00651047,0.011869,0.0220914,0.0612345,0.0514724,0.120877,0.146484,0.289772]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2427, 308, 236, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.974709,1.64314,2.02922,3.4132,7.0953,13.77,27.4753,50.7753]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.32265,9.55344,11.8512,16.5566,25.2222,33.9426,45.4416,58.0357]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.534384,1.08681,2.15246,3.65269,8.61899,19.4633,35.6135,63.0571]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.72793,5.15193,10.5089,13.7442,23.0667,34.4936,49.8526,64.4728]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2428, 271, 236, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.267813,1.57942,2.4872,9.52601,12.5144,29.3067,78.9181,89.0534]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.3477,79.7248,105.304,387.825,207.24,170.352,748.378,448.296]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.164671,8.97535,18.3242,36.6117,51.6262,108.834,177.391,306.361]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.819004,199.356,363.771,664.553,394.036,499.142,493.343,740.524]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2429, 272, 236, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.267813,0.37848,0.566891,0.997342,1.90853,3.43528,5.83385,10.6234]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.3477,2.13241,3.00289,3.69787,5.58122,7.70054,9.2014,11.2702]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.164671,0.25846,0.322472,0.555876,1.33234,2.81458,5.18434,8.53811]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.819004,1.19564,1.31742,1.72888,2.96942,4.25746,6.17121,7.3358]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2430, 265, 236, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.17399,6.62593,10.6644,14.3794,31.0753,60.7068,122.209,229.151]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[78.7222,134.829,222.855,325.544,456.791,575.378,728.797,831.653]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.39645,7.20866,12.0402,15.9985,34.0827,67.8542,125.911,209.469]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[77.9202,132.794,215.491,309.793,440.836,541.373,703.766,775.139]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2431, 266, 236, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.660261,0.88689,1.59107,3.20688,7.51785,14.5951,29.6922,58.4589]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.51077,8.95263,16.1296,22.491,44.0432,61.3876,91.3448,108.216]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.750857,1.21826,3.37072,6.18108,12.2179,25.6775,40.3254,65.1025]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.32223,8.67781,21.6355,30.0914,45.1204,64.2365,80.5485,95.1874]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2432, 267, 236, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.2097,7.37163,17.7312,29.4606,70.645,127.689,278.897,511.142]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[29.0011,43.9527,113.95,156.599,294.683,362.084,547.441,676.441]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.03433,11.5691,21.8803,36.6078,88.9118,185.447,367.586,634.416]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[36.9676,56.6369,112.477,143.959,254.603,351.195,558.235,697.685]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2433, 268, 236, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.58175,5.28534,11.5483,15.3336,33.365,60.9002,110.354,203.352]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[85.4726,132.174,288.03,450.862,752.862,929.507,1056.62,1150.92]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.976097,1.53077,4.08387,6.97494,14.7805,30.8208,49.6599,82.4101]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[28.2288,42.3897,112.999,166.037,272.954,339.669,385.272,418.214]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2434, 286, 236, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.25814,11.1659,17.1311,33.2086,63.6315,121.82,230.267,415.082]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[72.9073,121.046,178.385,254.533,345.612,448.389,557.586,655.288]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.99083,14.3637,25.5014,46.9549,98.117,213.994,372.334,632.269]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[72.0331,119.774,196.449,285.012,405.87,547.831,700.106,835.726]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2435, 287, 236, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.04001,6.19403,10.1918,20.3152,39.1486,72.6314,139.678,230.482]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.0894,22.9014,33.5498,47.1148,69.6451,99.1259,132.699,152.032]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.75875,8.88167,15.535,28.8283,60.9434,132.469,226.182,370.562]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.1468,28.0714,41.6697,58.7062,87.4001,128.139,173.55,204.251]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2436, 288, 236, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.41659,1.96474,2.99534,5.38101,9.95905,17.1518,31.0693,49.9936]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.34624,6.51572,8.79267,11.3496,15.6306,21.0961,26.7856,30.5829]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.78456,3.08501,4.93051,8.55707,17.5823,35.9292,58.8082,94.3355]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.86046,8.90361,12.3359,16.1378,22.5702,31.236,40.2912,46.4121]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2437, 289, 236, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.67231,2.37728,3.70483,7.16083,13.2609,23.6384,42.6435,73.1781]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[28.8151,47.1851,70.2508,96.5653,124.095,151.044,173.959,189.006]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.00449,3.47018,5.76966,10.4549,21.2802,43.779,71.7883,115.795]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[29.2937,47.9025,70.8484,96.5626,124.169,153.352,179.356,197]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2438, 290, 236, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.68848,2.2632,3.39487,7.10859,12.1974,24.4052,42.7843,86.0458]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.5308,25.828,38.4363,54.6383,81.1352,116.164,155.194,188.577]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.46775,3.98639,6.72261,12.5021,23.1087,49.511,80.8554,124.128]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.7244,31.1932,47.0283,66.7026,98.8581,144.631,195.289,238.339]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2439, 291, 236, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0845045,0.177891,0.269893,0.439102,0.898623,1.85852,1.89883,2.73363]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0424956,0.100189,0.159265,0.232488,0.476573,0.979057,0.971601,1.32556]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0956521,0.144077,0.283443,0.450004,0.853968,1.43673,2.26461,3.4675]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0568086,0.0871657,0.186693,0.310444,0.549125,0.904588,1.35358,1.98996]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2440, 292, 236, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00994577,0.0224382,0.0344824,0.0571092,0.117557,0.234817,0.231783,0.322661]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.92265,4.95158,7.63665,10.7262,13.3414,15.179,16.2203,16.6901]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0140786,0.0221327,0.0442323,0.0731319,0.135587,0.224143,0.3446,0.508603]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.34103,5.62033,8.53259,11.8256,14.4358,16.3812,17.6746,18.4085]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2441, 293, 236, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.569907,0.75681,1.0894,2.21795,3.65978,7.04846,11.2369,21.3583]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[22.4489,36.5768,54.1259,74.3153,94.0802,113.458,128.774,141.547]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.763967,1.21017,1.97927,3.59247,6.29476,12.8574,19.7879,29.7076]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.9838,34.2856,50.4655,69.0139,87.2676,107.081,124.087,138.791]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2442, 294, 236, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.632744,0.865869,0.724629,0.905631,1.35292,2.47646,4.27508,7.54243]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.6784,16.1746,18.1417,24.5261,28.6293,33.1772,36.9474,37.9813]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.693758,1.06322,2.21923,3.51309,6.35567,12.8004,21.3596,35.7999]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.1456,17.0391,37.3728,59.0282,88.312,114.804,136.182,151.33]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2443, 295, 236, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.556711,0.745363,1.04519,2.01674,3.2415,5.90944,8.69203,15.1442]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.7503,7.43896,10.4183,13.8514,19.0142,24.5841,29.1466,31.385]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.89019,1.35567,2.19168,3.77664,6.54992,12.5833,18.5892,25.9161]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.34301,10.0037,14.2452,19.0885,26.342,35.235,43.1663,47.5523]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2444, 296, 236, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.112205,0.235586,0.358564,0.573896,1.17592,2.43851,2.48628,3.558]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0564546,0.127797,0.211396,0.304039,0.622706,1.27461,1.27361,1.72816]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.129121,0.195189,0.385269,0.608796,1.15351,1.93325,3.04427,4.65192]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0786107,0.12009,0.256545,0.426217,0.743839,1.21264,1.81155,2.67381]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2445, 297, 236, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.02974,1.35647,1.99664,4.1145,6.87953,13.4956,22.9608,44.8601]}', '', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.49705,2.38471,3.93634,7.18917,13.0787,27.2471,43.3563,64.8254]}', '', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2446, 298, 236, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.595208,0.778451,1.13842,2.31818,3.8452,7.50132,12.7296,24.8126]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.46559,8.8494,12.8269,17.7523,25.6459,35.7384,46.3759,54.623]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.863608,1.36712,2.24981,4.04692,7.30857,15.2034,24.1955,36.0383]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.6001,10.6993,15.7345,21.712,31.3104,44.5491,58.4378,69.0616]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2447, 299, 236, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.110844,0.145812,0.208158,0.409821,0.671282,1.24473,2.01662,3.79797]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.03905,1.63901,2.34333,3.18807,4.45914,5.8873,7.29261,8.21488]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.141244,0.220222,0.353329,0.625375,1.09825,2.17594,3.25233,4.58647]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.09645,1.72942,2.50143,3.40423,4.77436,6.41133,7.91533,8.88885]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2448, 300, 236, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.85461,2.9811,3.80688,6.99377,13.8993,26.2534,51.4515,95.1963]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.92773,16.8724,22.0988,33.6875,48.9596,64.0497,84.5978,108.009]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.39206,2.61611,4.79867,8.86001,19.7071,43.1809,77.9417,138.109]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.90306,12.0063,22.8037,32.3628,51.864,75.4984,107.777,139.637]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2449, 270, 236, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.98089,4.99172,7.51564,12.5557,21.5362,43.3914,76.1188,140.949]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[42.9437,71.9754,108.901,152.093,199.086,252.189,309.845,358.682]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.64228,4.24795,6.86298,11.9338,22.6896,48.2177,83.4311,147.242]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[38.8688,64.0965,95.8125,132.348,173.284,221.089,274.29,322.064]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2450, 283, 236, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0810157,0.103234,0.153521,0.250114,0.708587,1.49687,4.18556,9.32333]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[93.7321,120.143,149.191,186.577,232.394,289.453,350.432,419.989]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0774512,0.0928603,0.106817,0.1463,0.323663,0.790825,1.7204,3.73945]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[122.812,154.399,185.913,221.269,264.533,320.044,378.057,428.059]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2451, 273, 236, '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.20094,1.92031,8.52867,10.6058,25.8714,73.0842,78.43]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[77.5924,102.301,384.128,201.658,162.652,739.177,437.026]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.71689,18.0017,36.0558,50.2939,106.02,172.206,297.823]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[198.16,362.454,662.824,391.067,494.885,487.172,733.189]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2452, 269, 236, '{\"age\":[\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.24198,9.60181,22.8065]}', '{\"age\":[\"50-54\",\"55-59\",\"60-64\"],\"number\":[40.5728,65.5895,74.5901]}', '{\"age\":[\"50-54\",\"55-59\",\"60-64\"],\"number\":[41.4457,67.84,126.043]}', '{\"age\":[\"50-54\",\"55-59\",\"60-64\"],\"number\":[59.1925,94.7238,128.427]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2453, 315, 236, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.39598,14.071,14.0766,11.8518,9.64657,8.52294,9.55782,10.3085,13.793,17.08]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[377.16,530.439,580.359,616.264,623.526,628.244,629.07,619.213,588.701,521.432]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2454, 281, 236, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[67.0847,93.1152,106.669,129.073,120.857,142.339,177.302,263.088,243.74,319.498]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[92.1461,151.317,189.089,234.179,226.902,267.066,299.658,377.009,328.521,410.256]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2455, 282, 236, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[317.288,322.538,352.417,445.053,538.359,631.757,741.712,858.023,961.847,1064.75]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[359.52,427.327,502.761,640.238,773.141,895.634,1015.12,1112.51,1194.5,1255.22]}', 2010, '', 1, '', '', '2015-06-15 08:20:53', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2456, 1, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[61.8335,180.634,351.117,447.023,523.446,495.424,475.338,333.595,276.584,245.71]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[155.524,404.274,920.775,1209.26,1673.83,1769.27,1541.6,896.389,600.52,386.586]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[46.1919,98.4485,254.865,411.601,565.319,595.209,646.074,570.389,494.649,421.347]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[139.479,217.309,598.969,1006.92,1588.41,1822.94,1969.97,1335.96,1029.25,588.321]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2457, 2, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.2987,33.5409,54.6475,58.896,61.1228,47.6205,53.0391,73.8404,108.381,151.859]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.8781,25.0645,67.3561,81.3385,105.752,136.624,174.527,175.536,196.218,124.569]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.20015,29.7329,63.46,93.0933,111.446,107.125,127.198,188.257,240.127,300.225]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[28.9611,40.5099,114.461,161.014,201.263,246.394,332.088,310.145,374.268,224.13]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2458, 3, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[50.5348,147.093,296.469,388.127,462.323,447.804,422.299,259.755,168.203,93.85]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[137.646,379.21,853.419,1127.92,1568.07,1632.65,1367.08,720.853,404.303,262.017]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[36.9918,68.7156,191.405,318.508,453.872,488.084,518.876,382.133,254.522,121.122]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[110.518,176.799,484.509,845.904,1387.15,1576.55,1637.88,1025.82,654.985,364.191]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2459, 4, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.8476,31.5743,63.6388,83.3137,99.2403,96.1236,90.649,55.7579,36.1058,20.1455]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.3632,17.1133,46.5892,56.4796,73.5393,94.8364,120.722,122.021,135.496,86.0205]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.9405,14.7502,41.0862,68.3696,97.4264,104.77,111.38,82.0271,54.6347,25.9995]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.926,27.9587,79.4676,111.126,139.119,170.694,230.521,213.723,258.97,154.037]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2460, 5, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[39.6872,115.518,232.83,304.813,363.083,351.68,331.65,203.997,132.097,73.7046]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[125.283,362.096,806.83,1071.45,1494.53,1537.81,1246.36,598.832,268.807,175.996]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[29.0513,53.9654,150.319,250.138,356.446,383.314,407.496,300.106,199.887,95.1224]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[90.5917,148.841,405.041,734.778,1248.03,1405.86,1407.36,812.095,396.014,210.154]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2461, 6, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.4824,42.7893,57.0828,61.431,55.0196,46.401,53.884,74.2906,129.915,238.619]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[300.098,307.837,325.182,334.574,344.61,352.784,376.376,420.087,452.245,478.709]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.2152,41.7687,58.8712,71.3,76.2097,72.7806,88.3513,126.108,175.825,288.565]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[306.253,331.942,356.362,374.934,384.52,381.332,397.283,430.222,445.85,478.746]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2462, 7, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.08753,14.4854,22.2441,24.1177,18.9401,16.8192,16.8766,21.7719,34.7657,72.3635]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[74.8303,83.6768,92.1981,101.015,108.215,116.435,125.221,132.597,141.176,148.544]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.56001,8.90457,14.3433,18.4158,18.9978,20.4758,23.2948,31.967,42.5151,77.4137]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[56.5315,63.6234,70.435,76.6306,83.2703,89.5698,95.4404,101.278,107.37,112.918]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2463, 8, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.74523,3.64144,2.99792,2.67699,2.06417,1.7317,1.73121,1.88029,2.18795,1.92978]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.22518,3.00788,2.90161,2.55175,2.23897,2.01467,1.86697,1.5968,1.48711,1.34785]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.74729,5.14773,4.81358,4.13709,3.22463,2.70106,2.47848,2.63234,2.69689,2.28651]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.39667,3.9657,3.64839,3.34066,3.01049,2.62825,2.42649,2.15594,1.93755,1.72573]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2464, 9, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.57649,16.5707,23.4314,25.2256,24.4484,19.745,25.7159,34.6905,66.5879,132.827]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.2163,18.4413,20.5083,22.4386,24.1298,26.0315,32.096,44.6157,57.5597,68.933]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.01638,13.458,22.9881,30.7872,33.9501,30.6559,39.0659,58.1316,94.5848,162.368]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.3167,16.2585,18.6665,20.9038,23.0542,25.0785,31.6551,45.3808,58.7771,71.0033]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2465, 10, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00758397,0.0165871,0.0234546,0.0252505,0.0244726,0.0197645,0.0257413,0.0347248,0.0666537,0.132958]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[39.9954,33.7617,35.6361,37.9462,38.7607,41.0992,39.3716,32.9691,26.7145,20.5143]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00702331,0.0134713,0.0230108,0.0308177,0.0339836,0.0306862,0.0391045,0.058189,0.0946783,0.162528]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[38.0541,31.2719,34.2879,37.6503,39.5942,42.8115,41.4247,34.581,27.8924,21.1534]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2466, 11, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0203433,0.0147255,0.0142654,0.0176605,0.0176321,0.0194092,0.0344996,0.0667384,0.0698082,0.0891755]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[89.0881,90.8425,90.583,83.9009,79.9627,72.5103,73.0615,84.7228,86.1685,84.3907]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0197463,0.0160428,0.0177012,0.0210603,0.0212285,0.0233449,0.0380012,0.0717747,0.0657863,0.0804498]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[106.637,122.581,126.524,125.158,117.329,100.7,95.2953,99.5133,93.1084,95.2521]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2467, 12, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.84498,6.53396,6.76012,7.57317,7.7057,6.64797,8.0553,13.7466,23.0598,28.0578]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[69.585,73.4802,78.1784,80.5849,84.2425,86.8383,95.6953,113.032,126.545,140.659]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.23451,11.789,13.661,14.6145,16.2793,15.6714,19.9905,28.938,31.4938,41.5432]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[79.3959,89.8788,97.6468,105.164,110.98,112.327,121.411,135.882,143.335,161.653]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2468, 13, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.99923,2.75038,2.85478,3.13758,3.12053,2.63208,3.09278,5.11543,8.28353,9.70282]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[29.6934,31.938,33.9757,34.7726,35.9322,36.8848,39.4358,44.8466,48.4976,51.7006]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.40392,4.96962,5.77097,6.0601,6.58012,6.18617,7.66179,10.7663,11.3071,14.3632]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[33.0835,38.1322,41.4056,44.6882,46.6937,46.6148,49.8137,54.282,55.7521,60.1961]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2469, 14, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.580192,0.400047,0.195458,0.244491,0.279648,0.270272,0.359932,0.664951,1.23772,1.65091]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.5723,8.94357,7.84098,7.84663,7.69056,7.50653,7.97534,8.98535,10.1881,11.9626]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.986368,0.720317,0.393785,0.468571,0.582457,0.626032,0.891787,1.40985,1.70573,2.47332]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.4826,10.7855,9.0831,9.04331,8.96934,8.9189,9.03531,9.99523,11.1907,13.5608]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2470, 15, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.714486,0.95257,0.973245,1.05786,1.047,0.88035,1.03097,1.68951,2.71146,3.14652]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.80087,8.4972,9.19056,9.58267,10.0069,10.4531,11.7759,14.5381,16.7333,19.2067]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.21964,1.72399,1.97486,2.05096,2.23232,2.08593,2.56986,3.57667,3.73486,4.68125]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.43654,11.1229,12.4918,13.3748,13.9949,14.1335,15.5125,17.9427,19.3673,22.6901]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2471, 16, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.55108,2.43096,2.73664,3.13323,3.25853,2.86526,3.57163,6.2767,10.827,13.5575]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.1905,23.8518,26.9217,28.089,30.3268,31.6805,36.1773,44.3125,50.78,57.4408]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.62458,4.37511,5.52141,6.03483,6.88439,6.77329,8.86704,13.1852,14.7461,20.0254]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.8798,29.5032,34.2594,37.6642,40.8747,42.1932,46.5646,53.1573,56.5451,64.7819]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2472, 17, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.718495,1.18523,1.37384,1.5822,1.65155,1.28,1.29599,1.90664,2.82213,3.05876]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.57326,3.18646,3.79124,4.61071,5.35433,5.98641,6.81003,7.37112,8.42059,9.46717]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.22115,2.13847,2.77629,3.05328,3.48911,3.01738,3.2162,4.01369,3.85432,4.52889]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.28278,2.92465,3.75356,4.50489,5.53186,6.25094,7.31226,8.2615,9.08616,10.166]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2473, 18, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0115096,0.00977149,0.0102879,0.00997973,0.00984657,0.00760971,0.0113233,0.0146392,0.0177743]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.000251018,0.000422883,0.0014002,0.000923651,0.00231084,0.000501617,0.000258217,0.00137633,0.000752166]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0128128,0.0127453,0.0152264,0.0151143,0.0158824,0.0139202,0.0210663,0.0268856,0.0286906]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.000454488,0.000948103,0.000479359,0.000750217,0.000506649,0.00166259,0.00164876,0.00123069,0.00220147]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2474, 19, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0219065,0.0240563,0.0294173,0.0333071,0.0295108,0.0294338,0.0310258,0.0305672,0.133927]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0392029,0.0262673,0.031644,0.0349036,0.0425981,0.0495611,0.0465605,0.0545535,0.177751]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0241521,0.0304818,0.042754,0.0487608,0.0458988,0.052452,0.0568457,0.0550567,0.212787]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0457955,0.0482862,0.0547349,0.0567719,0.0688295,0.0846564,0.0918329,0.09418,0.353093]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2475, 20, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0179569,0.0259233,0.0326655,0.0410848,0.0440737,0.0392683,0.046057,0.066225,0.103178,0.0704576]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00249285,0.000913726,0,0.00189649,0.0037078,0,0.0022501,0.0017446,0.000550607,0.00299153]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0202651,0.0338568,0.0483782,0.0621825,0.0710611,0.0721288,0.0861303,0.121733,0.166621,0.100558]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000909097,0.00100408,0.00162096,0,0.00134611,0.00226314,0.00118494,0.000892697,0.00634458,0.00243525]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2476, 21, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.411119,0.259312,0.137266,0.0864451,0.0510437,0.0369678,0.0294964,0.0305706,0.0346502]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.0526871,0.0350264,0.020199,0.0137354,0.00898809,0.00504891,0.00366883,0.00303589,0.00391896]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.333002,0.200107,0.107123,0.0645539,0.0407751,0.0369459,0.0303972,0.0370061,0.0500924]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[0.045914,0.0232791,0.0142318,0.00571438,0.00647867,0.00340244,0.00317927,0.00623096,0.00691234]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2477, 22, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0192667,0.0221132,0.0280293,0.0416679,0.033118,0.0246238,0.0308716,0.0511295,0.0654513,0.0900119]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.49008,1.3778,1.33201,1.47462,1.6487,1.8131,2.20077,3.12141,3.99121,4.85032]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0188569,0.0241525,0.0346667,0.0496302,0.0399332,0.0295728,0.0339304,0.0548005,0.0613441,0.0810298]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.54539,1.36391,1.32862,1.51932,1.67246,1.87358,2.21983,3.06702,3.97443,4.87186]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2478, 23, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[42.3103,63.7648,62.7727,62.1075,58.1486,67.8066,72.1932,100.656,133.846,186.59]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[732.007,761.402,784.933,799.904,830.966,865.49,917.479,939.579,915.724,976.331]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[39.2052,68.7009,80.4201,77.6163,77.2285,99.22,113.179,151.612,182.137,204.585]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[679.4,704.805,727.223,762.871,809.966,852.493,1079.29,1117.69,1177.23,1237.54]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2479, 24, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[39.385,60.3184,59.3679,58.5338,54.7975,64.6654,68.7173,96.6919,128.495,180.586]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[313.569,307.105,324.489,331.242,352.616,375.444,340.808,346.624,307.391,337.934]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[35.7596,64.1573,75.3097,72.5614,72.6024,94.6761,108.505,146.232,175.997,198.623]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[123.795,101.464,96.3667,98.8444,113.851,136.365,156.995,169.603,193.067,233.132]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2480, 25, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.473801,0.468856,0.396485,0.386988,0.360468,0.361752,0.421486,0.524598,0.702408,0.718319]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.45083,1.68984,1.95071,2.1854,2.4268,2.59147,2.79538,2.91464,3.02066,3.06862]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.07897,1.17207,1.10235,1.03402,0.995462,1.00992,1.08035,1.31096,1.54283,1.51088]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.49112,1.72646,1.96797,2.20136,2.4224,2.61663,2.80973,2.91561,2.98486,3.04548]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2481, 26, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00198449,0.00376741,0.00589614,0.00751468,0.00972614,0.0105281,0.0135037,0.01929,0.0282113,0.0365072]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[243.716,262.206,255.866,250.512,246.605,242.436,232.901,226.767,219.504,215.385]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00105231,0.00232417,0.00409007,0.00535676,0.00735721,0.00906147,0.0118728,0.0166857,0.0214782,0.0246001]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[172.012,178.084,168.246,160.267,153.004,145.187,137.92,129.869,122.966,115.522]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2482, 27, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0287348,0.0534299,0.0754459,0.0911925,0.0812693,0.0868977,0.112246,0.156797,0.235768,0.273083]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.8007,20.017,19.2581,18.7129,17.5975,17.3722,16.6045,16.6736,16.5746,16.4573]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0279063,0.0583017,0.0936566,0.108545,0.0978273,0.104478,0.123484,0.168138,0.221633,0.24573]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[22.3946,28.4544,27.5973,26.9471,25.9805,25.0723,24.1244,24.1699,23.4432,23.7398]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2483, 28, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0238339,0.03477,0.0424039,0.0562881,0.060753,0.0741576,0.116424,0.148421,0.281234,0.355111]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.40263,1.855,2.34356,2.91139,3.3311,3.93123,4.50723,5.08786,5.87302,6.51681]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0230953,0.0377276,0.0524213,0.0670891,0.0731747,0.0891302,0.128214,0.159343,0.265224,0.320225]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.70461,2.2262,2.79704,3.5451,4.14318,4.7341,5.43365,6.32722,7.07232,8.1843]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2484, 29, 218, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.112658,0.66376,2.31065,4.49758,6.89985,10.3375,16.8323,24.1123,32.23]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0479106,0.295642,1.00341,1.9997,3.23279,4.70527,8.39295,13.586,20.7175]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2485, 30, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.034287,0.0482529,0.068796,0.0759432,0.123285,0.0895061,0.130282,0.103782,0.173259,0.296655]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0716109,0.0892844,0.0947911,0.139771,0.117852,0.0996141,0.124399,0.165568,0.189403,0.252347]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2486, 31, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.284316,0.309954,0.343494,0.3453,0.325662,0.269927,0.29343,0.365043,0.680697,0.972415]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00109499,0.00279767,0.002877,0.0036075,0.00299106,0.00412377,0.00648072,0.00387547,0.00281363,0.00679029]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.261119,0.379899,0.547948,0.429573,0.448258,0.503952,0.426363,0.584334,0.765991,0.691349]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0.000864586,0.00380425,0.00335618,0.00188571,0.00210382,0.00605199,0.00435955,0.0100943,0.00412682]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2487, 32, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00171475,0.00138991,0.00103134,0.00138501,0.000976446,0.00108977,0.00110152,0.00177359,0.00297494,0.00463626]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[63.9425,62.446,63.4383,63.6524,63.9353,65.1535,62.7516,63.5464,60.9216,60.8592]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00193443,0.00175224,0.00147784,0.00191634,0.00137154,0.00153088,0.00141883,0.00222255,0.00327373,0.00488859]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[56.7953,54.1557,53.0602,53.1522,53.956,54.3098,54.8029,54.9975,55.8624,56.5424]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2488, 33, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00171475,0.00138991,0.00103134,0.00138501,0.000976446,0.00108977,0.00110152,0.00177359,0.00297494,0.00463626]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.51432,1.48318,1.52363,1.48731,1.46728,1.46904,1.39754,1.45519,1.44613,1.4376]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00193443,0.00175224,0.00147784,0.00191634,0.00137154,0.00153088,0.00141883,0.00222255,0.00327373,0.00488859]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.51666,1.4979,1.51385,1.50828,1.49664,1.50122,1.47037,1.43859,1.44283,1.39569]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2489, 34, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.64251,0.659989,0.656965,0.644751,0.64038,0.633777,0.629409,0.650259,0.609809,0.635047]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.650935,0.650658,0.640864,0.665967,0.64997,0.659629,0.652739,0.629797,0.623529,0.619321]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2490, 35, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[61.7857,60.3028,61.2577,61.5203,61.8276,63.0506,60.7247,61.441,58.8656,58.7866]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[54.6277,52.0071,50.9055,50.978,51.8094,52.1489,52.6798,52.9291,53.796,54.5274]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2491, 36, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.12045,0.172828,0.210228,0.282004,0.339048,0.342064,0.455199,0.719866,1.37616,2.00855]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.2234,11.781,11.9657,12.2189,12.9383,13.1592,12.9549,14.1172,17.4334,27.2119]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.105455,0.241669,0.329358,0.402397,0.451343,0.501581,0.646857,0.84168,1.3227,1.66851]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[28.8681,24.0323,22.3412,23.3163,26.6281,26.772,31.2713,32.6939,38.0927,27.7603]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2492, 37, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.1609,67.7445,93.0701,71.2998,44.2519,30.2778,30.6042,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[43.3922,142.924,292.726,437.203,553.71,640.825,688.933,459.729,325.51,161.484]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2493, 38, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[2.92888,12.6579,20.4461,18.0056,11.7949,8.49375,9.01642]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[2.03405,4.28518,6.14322,5.40163,2.92698,0.839658,0.070234]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2494, 39, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[1.69404,6.45791,7.50193,4.71874,2.71584,1.71645,1.59444]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[0.57485,1.6002,1.87218,1.05755,0.482429,0.278792,0.115451]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2495, 40, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[3.53185,10.7607,13.1442,8.82574,5.30287,3.51362,3.4397]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"55-59\"],\"number\":[2.27066,7.9768,9.81292,5.45012,2.46803,1.49403,0.571077,0.000569321]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2496, 41, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[0.18723,1.19444,1.4718,1.00359,0.702979,0.536979,0.600998]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[26.1693,88.1975,191.793,300.842,391.296,459.092,498.008,459.729,325.51,161.484]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2497, 42, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[2.36969,9.85913,12.9464,9.48111,5.6004,3.64179,3.49181]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[0.847372,1.69,2.10735,2.25314,2.17862,1.28975,0.310134]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2498, 43, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[6.44924,26.8144,37.5597,29.265,18.1349,12.3752,12.4608]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\"],\"number\":[11.496,39.1738,80.9978,122.198,154.358,177.83,189.858]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2499, 45, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[41.4218,40.8386,39.5731,39.0114,38.0862,37.1373,36.1141,34.9193,34.0851,32.3861]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[47.2183,45.9123,45.4563,43.7863,43.3679,42.1984,41.1549,40.016,38.7705,37.0678]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2500, 46, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[139.6,129.783,122.831,115.73,108.897,102.399,95.4199,88.1833,78.2472,69.0649]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[199.615,189.69,179.052,168.953,159.307,148.363,138.445,126.93,113.72,98.6036]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2501, 49, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.23399,8.17836,9.81681,11.5495,10.7148,9.78697,12.6941,14.8362,26.1976,41.4892]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[922.417,1087.05,1012.31,942.841,898.136,846.432,772.248,771.536,716.165,719.404]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.45776,6.48985,8.85609,11.0079,12.4296,11.1277,14.136,16.5184,24.0637,41.1674]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[643.462,530.458,475.564,486.146,522.152,533.39,567.469,596.222,646.46,704.665]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2502, 50, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.71106,6.82483,8.07813,9.82927,9.67431,9.0452,11.9522,14.1256,25.0142,39.6904]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.972935,1.82152,1.92286,2.51375,2.45984,2.32851,3.09666,3.44405,6.64394,11.1995]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.0307,5.41577,7.28756,9.36835,11.2226,10.2843,13.3098,15.7272,22.9767,39.3825]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.08355,2.67564,2.9999,3.77965,3.36747,3.19174,4.17428,4.44385,7.0286,12.5344]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2503, 51, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0922721,0.351472,0.420578,0.304486,0.129856,0.0861555,0.0676575,0.0475202,0.0607356,0.0646907]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[130.024,149.118,142.73,136.474,130.543,124.025,118.683,114.636,111.101,107.119]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0753557,0.278907,0.379418,0.290208,0.150638,0.0979583,0.0753427,0.0529083,0.0557884,0.0641889]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[76.3622,87.9635,84.3758,80.7208,76.9698,73.4721,70.1854,67.6034,65.2162,62.8332]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2504, 52, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.2969,6.04931,5.06141,5.78295,5.89115,5.28888,3.84809,2.60167,1.98809,1.45273]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.9477,6.10827,5.1012,5.81904,5.95934,5.37203,3.67988,2.60295,2.31592,1.90716]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2505, 53, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.423569,0.986677,1.29568,1.38762,0.885871,0.631674,0.646038,0.632139,1.06858,1.6564]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[776.101,930.02,862.543,798.005,759.189,714.744,646.573,650.809,596.363,599.55]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.345915,0.782966,1.16888,1.32255,1.02765,0.71821,0.719422,0.703814,0.981535,1.64355]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[552.051,433.676,383.035,395.763,435.794,451.302,489.376,521.521,571.836,627.307]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2506, 54, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00708731,0.0153878,0.0224187,0.0281362,0.0247764,0.0239388,0.0281983,0.0309313,0.0540618,0.0777277]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0214648,0.0430712,0.0575475,0.0659174,0.0526852,0.0457071,0.0476651,0.0456929,0.0687115,0.083218]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00578798,0.0122108,0.0202247,0.0268168,0.0287417,0.0272183,0.0314013,0.0344384,0.0496582,0.0771248]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0176027,0.0344262,0.0523427,0.0633104,0.0614739,0.0522579,0.0534016,0.0512094,0.0634625,0.0829556]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2507, 55, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.08214,8.32715,10.1176,10.8717,10.1289,7.38266,10.962,17.6409,37.416,41.309]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[46.8641,68.9932,67.84,62.5274,55.084,52.3625,24.2492,18.8893,17.4208,30.1065]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.80079,7.50207,11.4436,15.0979,17.0025,15.2422,20.755,29.9092,37.3129,45.168]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[95.4176,113.842,102.395,89.612,76.93,65.5897,56.8014,50.9698,54.744,36.7582]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2508, 56, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.272116,0.551934,0.851411,0.953002,0.768738,0.639294,0.650178,0.624276,0.659142,0.909019]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[28.3371,49.7019,48.6817,44.6673,38.5398,37.6212,10.6716,5.47456,4.7537,4.62135]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.186225,0.353281,0.508854,0.691173,0.72882,0.76634,0.831159,0.935931,1.08375,1.6871]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[45.6407,74.9835,65.9828,51.8949,37.4325,25.6034,14.4683,5.8069,5.21099,5.84623]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2509, 57, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0151619,0.0267523,0.0441941,0.0471113,0.0427997,0.040543,0.0355706,0.0554266,0.142695,0.196984]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.464095,1.07155,1.5967,2.01746,2.18483,2.49927,2.66903,2.84444,3.23107,3.46671]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.186225,0.353281,0.508854,0.691173,0.72882,0.76634,0.831159,0.935931,1.08375,1.6871]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.769502,1.9462,2.77281,3.47975,3.91729,4.14463,4.39512,4.93935,5.18715,5.82654]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2510, 58, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0598634,0.122886,0.187791,0.21056,0.168501,0.139342,0.143992,0.133374,0.121722,0.175861]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.82034,9.03278,8.85202,8.19546,7.21767,7.97239,0.976203,0.31926,0.132528,0.063215]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[29.3293,48.0195,39.0775,25.8642,13.8003,8.45505,4.1367,0.509544,0.0192321,0.0146142]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2511, 59, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0449928,0.0920985,0.141603,0.157394,0.125927,0.103051,0.106046,0.0993107,0.0918175,0.122538]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.52814,8.08665,8.57854,8.99929,8.80618,8.01282,1.86723,0.289004,0.109208,0.0541275]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.5419,25.0178,24.1325,22.551,19.7149,13.0037,5.93646,0.358003,0.00461352,0.00507192]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2512, 60, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.3668,27.8439,23.7516,17.3548,11.1312,7.50565,4.19542,1.3803,0.922734,0.876862]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2513, 61, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.152098,0.310197,0.477823,0.537935,0.431511,0.356358,0.364569,0.336164,0.302908,0.413637]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.1577,3.66707,5.90285,8.1002,9.1999,11.6311,0.963742,0.641547,0.358157,0.160431]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2514, 62, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.82072,3.78473,3.97362,4.08515,4.03498,3.59222,5.89283,11.0361,25.8059,22.932]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.4176,6.01746,6.60538,6.22514,5.40422,5.06189,4.8716,4.9425,5.04055,5.08636]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.25063,2.76413,3.86266,4.5792,5.76143,5.67996,8.40063,12.2857,14.2981,15.7112]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.65289,6.28378,7.13575,7.14871,6.45998,6.3844,6.43109,6.68843,6.98684,7.07817]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2515, 63, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0506662,0.125283,0.184938,0.316501,0.495643,0.590772,1.20342,2.10554,5.59143,4.51582]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.488516,1.07733,1.86074,1.66505,0.89821,0.423649,0.0956983,0.00547419,0.00627479,0.0039648]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0760265,0.214629,0.389235,0.534982,0.720989,0.685709,1.0052,1.54459,1.9761,2.50428]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.506914,1.1944,1.99849,1.90599,0.999998,0.474845,0.112087,0.00446362,0.00620925,0.00463806]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2516, 64, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.114815,0.324003,0.437773,0.776042,1.32262,1.95973,3.73517,7.39201,16.9697,15.7934]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.616,2.34533,2.61718,2.83795,3.04275,3.301,3.65422,4.04789,4.28493,4.3808]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.231034,0.835865,1.67537,2.47241,3.52083,3.96797,6.3586,9.35096,10.9833,11.6472]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.80114,3.20049,3.50249,3.78074,4.02617,4.4248,5.00719,5.62671,6.11098,6.22174]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2517, 65, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0106063,0.0390997,0.048627,0.129422,0.262701,0.265903,0.545103,1.12206,2.45726,2.18569]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.236811,0.25366,0.295456,0.345985,0.517098,0.855113,0.957265,0.755553,0.642565,0.613221]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0149761,0.0521356,0.166,0.259294,0.46082,0.534142,0.828374,1.14365,1.1116,1.37788]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.304102,0.314492,0.358021,0.450957,0.655536,1.04743,1.19641,0.952606,0.784728,0.778876]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2518, 66, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.64463,3.29635,3.30229,2.86319,1.95402,0.77581,0.40913,0.416511,0.787543,0.437104]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.07628,2.34114,1.832,1.37616,0.946158,0.482133,0.164414,0.133583,0.106783,0.0883693]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.928597,1.6615,1.63206,1.31252,1.05879,0.492135,0.208459,0.24647,0.227065,0.18186]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.04074,1.5744,1.27674,1.01103,0.77828,0.437316,0.115405,0.104652,0.0849243,0.0729165]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2519, 67, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0377559,0.0374384,0.0419779,0.0419067,0.0454785,0.0491437,0.0515921,0.0497686,0.0543514,0.0549299]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0412991,0.0417323,0.0402508,0.0445828,0.0459034,0.0492036,0.0490577,0.0577475,0.0532734,0.0555472]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2520, 68, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.98931,3.99049,5.29255,5.83357,5.32516,3.15114,4.41896,5.98051,10.951,17.468]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.0716,13.2364,12.511,11.5931,11.0945,9.63026,8.65435,8.42243,7.57216,20.3439]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.36393,4.38466,7.07211,9.82751,10.5123,8.79589,11.5233,16.6876,21.9311,27.7697]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[42.0828,32.5331,29.2363,30.5238,32.9916,33.5527,35.853,38.4167,42.4929,23.7782]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2521, 69, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.08645,6.67349,9.87925,20.3384,32.5644,53.1434,94.2169,160.966,271.556,365.115]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.73867,3.54727,6.13093,13.5405,21.3051,30.5296,47.0206,69.401,102.862,125.441]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.95835,7.89217,10.0073,14.101,20.671,31.9183,50.9782,109.338,166.997,274.761]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.83021,2.60042,3.77194,5.32356,7.76234,11.5491,18.6725,36.1418,56.3222,103.516]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2522, 70, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.040495,0.0434349,0.0054316,0.271399,0.603891,2.43073,4.10964,9.86521,20.9581,30.6648]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.02404,0.0107463,9.17157e-5,0.0779876,0.130937,0.429259,0.749515,1.68549,3.63936,4.99943]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000474909,0.0772511,0.234777,0.78233,2.06648,4.1462,8.59751,24.1661,35.1326,54.0103]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0.0331077,0.0675857,0.178378,0.428774,0.882591,1.66779,4.63212,6.42685,9.21336]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2523, 71, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.047284,0.133478,0.181027,0.547873,0.808375,1.75062,3.63237,8.50734,15.0533,26.6777]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0157907,0.0438049,0.0358857,0.176715,0.171332,0.395368,0.886788,1.89571,3.30002,5.98171]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.126065,0.324423,0.449111,0.851836,1.15812,2.50532,4.13419,7.4547,10.3016,22.0641]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0205899,0.0804837,0.117114,0.25931,0.295984,0.658441,0.997804,1.66222,2.22359,4.73899]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2524, 72, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.361245,0.83161,1.212,2.0231,2.40279,3.71786,6.09598,10.8807,20.3375,30.4606]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0302018,0.121511,0.243844,0.38016,0.541314,0.864359,1.44672,2.59873,5.02289,7.15261]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.49123,1.22037,1.49737,2.64793,3.93579,5.49676,7.24985,16.366,28.1354,34.4249]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0145417,0.154447,0.25309,0.520157,0.835196,1.16616,1.57143,3.55435,6.40282,7.74179]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2525, 73, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.113296,0.201101,0.257067,0.430022,0.544736,0.870111,1.47144,2.6981,5.19061,7.97945]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00748308,0.0341889,0.0467403,0.0901695,0.11675,0.173831,0.295779,0.687412,1.28206,1.98651]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.205604,0.390454,0.419284,0.709082,1.08708,1.56789,2.13562,4.97817,8.83399,11.1633]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00694445,0.0517888,0.086717,0.124594,0.233017,0.324338,0.481829,1.01745,2.10346,2.50602]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2526, 74, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0168492,0.0299544,0.0385512,0.0635135,0.11283,0.303738,0.697131,1.57479,3.53184,6.13829]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000114655,0.0028163,0.00330791,0.0170909,0.0266261,0.0730174,0.140819,0.36857,0.89426,1.46839]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0185081,0.0351529,0.0377473,0.0636271,0.13602,0.32805,0.60472,1.73955,3.61769,5.16876]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00632481,0.00721979,0.0177254,0.0254527,0.0564331,0.13784,0.389282,0.739618,1.21311]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2527, 75, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.081562,0.396661,0.705891,1.23611,1.43244,2.13884,3.38455,5.83801,10.5255,15.1929]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0119164,0.0515901,0.135706,0.223378,0.322309,0.521068,0.863649,1.35617,2.58896,3.43243]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.105205,0.556529,0.834403,1.58149,2.3314,3.15357,4.02356,8.77173,14.5351,17.1016]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00391532,0.0690423,0.122211,0.311226,0.497275,0.685584,0.848173,1.96222,3.25746,3.77609]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2528, 76, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.149538,0.203894,0.210488,0.293452,0.312786,0.405167,0.542856,0.769793,1.08959,1.14988]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0106877,0.0329156,0.0580899,0.0495209,0.0756298,0.0964423,0.146476,0.186572,0.257613,0.265277]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.161913,0.238235,0.205939,0.293727,0.381284,0.447258,0.485952,0.87655,1.14856,0.991274]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00368195,0.0272908,0.0369421,0.0666112,0.0794511,0.0998084,0.103588,0.185399,0.302279,0.246571]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2529, 77, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000928348,0.0155199,0.00268385,0.0499611,0.0419051,0.0194255,0.209092,0.309446,1.00704,0.297731]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00554152,0.00394372,0.00539637,0.0201629,0.0207156,0.00981899,0.0801082,0.122058,0.305,0.0804917]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00031469,0.00100334,0.0258452,0.0748663,0.150605,0.0467575,0.820954,1.70527,2.44944,3.87219]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00349327,0.00444337,0.0277259,0.044602,0.0910058,0.0249507,0.362641,0.806823,1.17199,1.86244]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2530, 78, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0594395,0.223069,0.261369,0.480916,0.421529,1.78339,3.30549,3.70596,10.7976,13.7118]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0164481,0.0674485,0.0545679,0.09192,0.127236,0.340835,0.638571,0.658847,1.9429,2.44457]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00301117,0.121107,0.303293,0.515287,1.10589,2.112,2.27769,7.33508,9.75766,22.3987]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0.0443669,0.104089,0.155173,0.285127,0.537835,0.51359,1.57592,1.94903,4.42949]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2531, 79, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.136341,0.746536,0.995013,3.62635,6.62185,8.83442,12.3906,24.3996,40.4285,40.8533]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.182275,0.718833,1.18356,3.71264,6.97941,10.4829,15.011,23.431,35.259,38.2152]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2532, 80, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.138437,0.857506,2.10506,5.94728,11.9521,19.6567,39.3196,53.83,86.4822,112.667]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0577089,0.623915,1.85102,5.26081,8.34138,10.7021,16.2121,16.9695,23.904,27.8113]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2533, 81, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0141208,0.0331196,0.0694237,0.093596,0.191184,0.365524,0.793286,1.54779,2.77085,4.94975]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00425124,0.0228491,0.045299,0.0981458,0.19535,0.416096,1.15639,2.10264,2.69433,3.32006]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2534, 82, 218, '', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00286351,0.00404366,0.0276664,0.00827693,0.0628166,0.249001,0.961852,2.83848,7.10818,23.4517]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00714205,0.0117611,0.0276076,0.0225845,0.0918008,0.302256,1.77971,5.60845,13.1298,38.3151]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2535, 83, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.087031,0.402817,0.471871,0.977803,1.61207,2.46572,6.02546,13.8169,18.9163,24.6819]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0735289,0.245394,0.272856,0.535388,0.98146,1.47876,3.21704,7.05935,8.79441,11.2114]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.153795,0.490703,0.639865,0.877104,1.7893,2.63544,4.46334,7.60439,11.7662,21.193]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0798092,0.281656,0.377972,0.512993,1.19473,1.8386,2.73555,4.60143,6.65147,11.5752]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2536, 84, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0979096,0.169765,0.21629,0.257646,0.418756,0.531059,0.967036,1.72596,2.32483,3.4292]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0885567,0.132309,0.152345,0.20439,0.285692,0.307787,0.622986,1.14942,1.42044,2.09137]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0635536,0.12364,0.253739,0.362489,0.668624,1.10635,1.66469,2.22358,3.12422,4.68758]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0412177,0.136057,0.221019,0.299663,0.550618,0.99869,1.44564,1.89883,2.58921,3.84411]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2537, 85, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0167286,0.029089,0.0225911,0.0310363,0.0412288,0.0490605,0.087852,0.129058,0.234415,0.335298]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0065706,0.0118725,0.00609355,0.0217688,0.0175427,0.0234135,0.0379895,0.0323859,0.0713499,0.0909514]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.205519,0.265598,0.380884,0.480117,0.701621,1.04238,1.37041,1.8757,3.26734,3.48748]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.122939,0.174125,0.147066,0.299515,0.367584,0.472748,0.642282,0.617415,0.916125,0.903533]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2538, 86, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.112447,0.107919,0.187066,0.17186,0.102187,0.0809375,0.188643,0.4212,0.389037,0.608053]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.026378,0.0263379,0.0541114,0.0414631,0.0255207,0.0267473,0.0551966,0.139474,0.109293,0.180073]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0304152,0.0484799,0.181065,0.159397,0.41038,0.647666,0.801406,1.7775,2.68536,3.53289]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0100393,0.0182911,0.0582022,0.054216,0.202939,0.278986,0.431171,0.72743,1.02279,1.20378]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2539, 87, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000658907,0.00188231,0.00554221,0.0440136,0.0159537,0.032577,0.23323,0.137582,0.361304,1.24641]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0.00388701,0,0.0127175,0.000760728,0.00500808,0.0392261,0.0230957,0.0589193,0.186588]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000358488,0.00185808,0.00625123,0.011043,0.0111708,0.0090362,0.0226986,0.0351953,0.419608,0.227701]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.00981542,0.000112732,0.00392095,0.00183696,0.0102559,0.00899894,0.0805718,0.0449728]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2540, 88, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00280159,0.00595677,0.0426511,0.086527,0.208316,0.490098,0.603757,1.04573,2.56048,5.36327]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.00799576,0.0195022,0.0220726,0.0852582,0.0566617,0.112769,0.26991,0.521708]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00276063,0.0331083,0.0895693,0.183482,0.238142,0.469737,0.672012,1.84968,0.460645,3.78435]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0.0153257,0.0223788,0.0404789,0.0343298,0.0470837,0.100153,0.243531,0.0642513,0.406233]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2541, 89, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00265962,0.00826474,0.0119944,0.00579336,0.0249396,0.0268908,0.0711695,0.450243,1.00623,2.01462]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00590095,0.0217864,0.0255083,0.0122373,0.0477392,0.043572,0.0920359,0.511743,1.07594,1.9322]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00189724,0.00569377,0.0185362,0.0262926,0.0466977,0.175338,0.382097,0.655179,0.846893,1.23899]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0019487,0.0031608,0.021737,0.0315159,0.0489994,0.189888,0.327064,0.533822,0.662319,0.911298]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2542, 90, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0304169,0.0645574,0.124492,0.184173,0.167853,0.181653,0.231002,0.343572,0.652083,0.998736]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0101075,0.0364127,0.0805712,0.124867,0.152006,0.227773,0.477256,0.832283,1.14165,1.64592]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0337005,0.0667796,0.131307,0.205886,0.258838,0.373652,0.512933,0.902782,1.75693,2.149]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0209218,0.0513602,0.10337,0.161689,0.202703,0.320663,0.672651,1.05828,1.55905,2.42652]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2543, 91, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.372384,0.44013,0.615909,1.27839,1.63188,3.7786,6.93093,15.9527,19.8571,21.3598]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.243364,0.353883,0.458616,0.799993,0.911058,1.71356,2.42152,4.36182,4.80053,5.05881]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2544, 92, 218, '', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00969009,0.0488489,0.0265448,0.0361201,0.0476844,0.0217202,0.0293755,0.125314,0.0247858,0.303469]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0112885,0.0492016,0.0299065,0.0367939,0.0526132,0.0219172,0.0264731,0.0669172,0.0120749,0.0999547]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2545, 93, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0561246,0.0636481,0.0973121,0.171173,0.212696,0.406542,0.620946,0.78637,2.85847,2.18713]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00993447,0.0145198,0.0393212,0.0453588,0.0564047,0.142172,0.17551,0.208311,0.665381,0.521355]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0719196,0.0707883,0.113184,0.106391,0.0823611,0.19799,0.22836,0.909718,1.34915,2.37019]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0195877,0.023023,0.0594074,0.0444786,0.0280838,0.0887682,0.0718797,0.265909,0.350734,0.638823]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2546, 94, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.020821,0.0488229,0.1175,0.338178,0.863403,1.19136,1.13625,0.954449,1.21791,2.05001]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0150056,0.0198245,0.0481996,0.0811536,0.21322,0.338831,0.403709,0.352631,0.512827,0.703223]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00251277,0.0204313,0.00631228,0.118694,0.124091,0.36338,0.765226,2.08125,3.79704,8.26573]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00754477,0.0124739,0.0156912,0.0462908,0.0594066,0.120996,0.278994,0.547015,0.923917,1.90901]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2547, 95, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.047612,0.0679057,0.0859843,0.130835,0.168194,0.195898,0.311842,0.49021,0.971232,1.34888]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.064315,0.0725922,0.0706715,0.0978852,0.112704,0.102101,0.156115,0.221588,0.427319,0.508204]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0469605,0.069968,0.0859375,0.158107,0.275712,0.377575,0.573805,0.740664,1.2645,1.44866]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0265127,0.0541405,0.0845855,0.100777,0.185981,0.156151,0.300183,0.315629,0.454055,0.495849]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2548, 96, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00748098,0.02114,0.0359605,0.0639503,0.0977611,0.145126,0.472061,1.21751,2.96177,4.03076]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0200729,0.110709,0.181956,0.245943,0.293784,0.354771,0.726911,1.16704,1.81398,1.60775]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0270168,0.0222882,0.0236659,0.02509,0.022301,0.0517556,0.124469,0.0789696,0.109603,0.626249]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0261209,0.0231217,0.047156,0.0323788,0.0193662,0.0366328,0.0786777,0.0337729,0.034351,0.164759]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2549, 97, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0450678,0.0678239,0.148256,0.155676,0.177127,0.271426,0.204988,0.503238,0.392491,0.62316]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0778453,0.0952086,0.158783,0.130937,0.123692,0.171091,0.134792,0.24649,0.148154,0.213533]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0660179,0.0649527,0.157419,0.198043,0.185062,0.162833,0.236655,0.345274,0.600704,0.707649]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0948355,0.0918642,0.178042,0.19729,0.158427,0.129244,0.130455,0.177951,0.269162,0.297758]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2550, 98, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.33223,1.13179,1.54572,1.82581,1.4533,1.91649,2.25964,2.95395,4.95984,10.7074]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.403075,0.361878,0.64996,0.688298,0.667712,0.846183,0.919168,1.09363,1.63409,3.13564]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.6961,1.97839,1.97062,2.32742,2.43079,3.2626,4.56248,7.97231,9.21278,11.9501]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.413644,0.616032,0.701327,0.912291,0.974851,1.28183,1.49365,2.3062,2.29038,2.79769]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2551, 99, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000607188,0.00118432,0.00151536,0.0028878,0.0154674,0.127088,0.0707351,0.913748,1.08193,2.10356]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00269918,0.00117246,0.00102981,0.000463998,0.00643464,0.0703741,0.0383872,0.524078,0.53555,0.809295]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000620174,0.00135091,0.0187928,0.0668982,0.166496,0.185039,0.0955547,0.460076,1.00823,2.6589]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.0112,0.0735189,0.126773,0.132081,0.0669999,0.319669,0.517619,1.2767]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2552, 100, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.33484,0.313824,0.279238,0.28807,0.740225,0.602033,0.715994,0.497121,2.66544,5.12908]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0808461,0.0882764,0.0664585,0.0736876,0.200541,0.136832,0.175173,0.15381,0.714765,1.236]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.866091,0.361422,0.640265,0.67149,0.566232,0.677028,0.786397,1.37692,1.62377,1.85721]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.313877,0.0920998,0.186721,0.228466,0.171848,0.243825,0.299772,0.516374,0.609407,0.517733]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2553, 101, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.720344,0.842695,1.03736,1.28414,1.56942,2.09217,3.22933,5.58063,10.3097,16.6156]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.274216,0.33816,0.436793,0.585865,0.679083,0.814577,1.08966,1.74707,2.59975,3.78182]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.05546,2.46967,2.72524,3.20639,4.16577,5.60272,9.64423,18.4579,30.7947,44.0497]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.594153,0.629883,0.89913,1.07089,1.35127,1.61689,2.66769,4.06278,6.0107,7.70058]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2554, 102, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.95728,7.34467,9.79524,14.2431,20.5294,30.9529,53.3077,90.1977,186.666,367.137]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[98.0447,111.129,106.485,145.14,204.358,277.873,377.175,480.196,623.758,798.049]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.76112,9.99632,15.9911,26.8567,41.4639,60.2354,104.89,190.466,330.131,610.504]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[86.1345,71.7187,91.082,126.018,204.189,260.536,392.43,552.361,775.722,1003.88]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2555, 103, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.681891,1.44464,2.57241,3.26748,3.42371,3.16903,3.47833,4.01411,7.52548,12.622]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[41.2572,38.803,36.1866,34.2855,31.8263,29.4067,26.4316,23.5214,24.3375,26.5051]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.559222,0.994841,2.00722,3.03824,3.78862,4.00922,5.50996,6.3176,9.17726,14.4428]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[28.8024,26.8784,25.3252,24.2825,23.4249,22.1584,20.2775,18.4947,20.4282,23.752]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2556, 104, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.968522,1.76112,1.9575,2.82968,4.13306,8.06477,12.8322,25.1274,48.4985,104.582]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.51719,12.1713,24.2117,41.6583,64.7178,94.7349,145.584,217.775,303.912,389.82]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.0821,4.51461,6.13749,10.1817,15.4833,24.7752,38.1245,70.6672,114.343,190.387]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.92994,15.7289,31.2989,53.7409,84.2158,123.91,191.009,288.659,407.598,526.28]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2557, 105, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.05525,1.82851,2.25879,3.68347,6.52745,11.4789,23.0564,39.3214,86.9123,162.924]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.27927,1.86057,2.68937,4.05491,5.88163,8.23981,13.6474,21.4423,32.8047,45.2312]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.0678,2.35909,4.18696,8.37114,13.7451,21.4401,43.201,85.9116,157.619,314.004]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.23636,1.77239,2.71891,3.9183,5.73128,8.02964,14.1815,23.1808,36.0425,50.3285]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2558, 106, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.15999,0.369031,0.446682,0.766809,1.21926,2.05677,4.47657,8.80735,23.2771,59.758]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.585513,0.459574,1.0096,1.81716,3.05366,5.00473,9.09628,14.8817,23.3238,35.2811]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.145769,0.338284,0.655868,1.38325,2.07946,3.9145,8.99906,20.2416,44.9429,120.803]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.581482,0.388711,0.881608,1.58047,2.93302,4.79708,9.28041,15.9533,25.3094,37.9042]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2559, 107, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.895265,1.45948,1.81211,2.91666,5.3082,9.42213,18.5798,30.5141,63.6352,103.166]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.693753,1.401,1.67977,2.23775,2.82798,3.23508,4.55116,6.56054,9.48081,9.95005]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.922026,2.02081,3.53109,6.98789,11.6656,17.5256,34.2019,65.67,112.676,193.201]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.654882,1.38368,1.8373,2.33783,2.79826,3.23255,4.90104,7.22754,10.7331,12.4243]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2560, 108, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.295764,0.625779,0.927067,1.71064,2.77682,4.15954,7.42934,13.0135,26.2054,53.6365]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.33231,1.18824,1.62759,2.98853,5.59712,10.5642,17.4714,24.7963,36.3734,51.5615]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.125778,0.309239,0.48669,0.697969,1.17396,1.40479,2.65007,4.21753,7.01326,12.8036]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.55381,1.46555,1.93711,3.67244,6.77992,12.693,20.7845,28.8967,42.8573,60.7961]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2561, 109, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.255817,0.483451,0.617275,0.873969,1.2431,1.579,2.64646,3.23325,5.81713,11.7403]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.45475,3.04701,2.92522,3.59528,4.71525,6.69158,8.72905,10.7681,14.1148,17.1758]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.315622,0.702777,1.22806,1.72971,2.90936,3.84995,7.34764,11.0548,19.5551,37.7516]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.24077,6.20877,6.01509,7.74584,10.1405,14.2233,18.6028,22.3802,29.4082,35.8869]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2562, 110, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0.0110469,0.0198663,0.0280218,0.0725659,0.0941419,0.26422,0.655417]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.84402,3.1134,3.73858,4.85889,6.92344,11.952,21.2003,34.8924,57.9538,91.9684]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0.0175741,0.0327364,0.0415334,0.0761947,0.165803,0.324875,0.713134]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.04852,5.38227,6.30533,8.18701,11.3247,19.124,33.6645,55.1569,90.4791,142.355]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2563, 111, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0269518,0.0463459,0.0617799,0.10877,0.178698,0.201824,0.327684,0.5698,1.13007,2.45663]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0341214,0.0684984,0.135489,0.218826,0.377979,0.489581,0.902014,1.45517,2.75276,5.34451]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2564, 112, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0.0116309,0.0201915,0.0402258,0.0950828,0.184431]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00354651,0.0207592,0.0628339,0.221232,0.606656,1.11252,2.81095,7.3583,14.3392,23.7113]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0.0745046,0.15876,0.278046,0.563811,1.1399]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00362115,0.0227197,0.0842525,0.284468,0.756961,1.36949,3.33199,8.82099,17.525,29.171]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2565, 113, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0800532,0.145105,0.16927,0.197205,0.225901,0.203636,0.267204,0.321776,0.520409,0.864924]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.567718,0.790294,0.52647,0.396101,0.306344,0.393752,0.476016,0.437369,0.616924,1.03791]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0652482,0.127102,0.25941,0.284909,0.402545,0.365681,0.532713,0.678154,1.00079,1.44189]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.748556,1.11483,0.730547,0.616109,0.448679,0.559705,0.688701,0.814355,1.17496,1.9438]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2566, 114, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.593027,1.0097,1.23115,1.56082,2.00075,2.05657,3.17734,4.46204,9.69761,17.4697]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[41.7888,50.1342,34.5166,53.0815,83.7835,114.777,140.824,139.205,139.306,151.038]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.511231,0.920155,1.5498,2.3167,3.55036,3.78484,6.38722,9.71977,17.7816,32.4752]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[33.5705,13.145,16.6667,23.5703,61.3661,58.4677,89.8896,105.958,130.209,133.364]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2567, 115, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.78507,3.82975,4.84525,6.00941,6.52467,5.4188,8.924,12.6778,28.1735,54.7616]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[820.486,787.69,860.77,982.763,1122.53,1272.37,1441.55,1684.3,1949.66,2272.51]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.13595,3.74044,6.32671,8.02667,9.14192,8.48004,12.369,19.9951,36.6111,74.3291]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[775.777,733.585,788.39,876.408,1015.57,1157.56,1361,1612,1913.31,2240.38]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2568, 116, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.380336,0.889971,1.2084,1.5964,2.02771,2.03943,4.07894,6.23188,15.0755,31.1308]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[234.691,324.37,418.998,525.25,645.286,783.245,962.408,1188.69,1455.44,1753.91]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.610208,1.27393,2.1436,3.04146,3.41243,3.51919,5.40042,9.03265,17.0995,35.9606]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[272.181,373.313,475.869,585.946,708.097,841.353,1010.18,1228.59,1482.47,1761.04]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2569, 117, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0341886,0.100175,0.0782191,0.15274,0.203471,0.198448,0.284915,0.514588,1.07793,1.94933]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0207007,0.0205545,0.0242328,0.0444733,0.0700792,0.20282,0.454135,1.18331,2.16684,3.95452]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.138695,0.240652,0.51958,0.830484,1.08735,0.982102,1.32559,2.30881,3.78917,7.72326]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0505565,0.0615574,0.0516067,0.0921239,0.138387,0.423397,1.04075,2.55954,4.69002,8.66933]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2570, 118, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.320296,0.574991,0.712894,0.909206,1.17354,1.0961,2.00199,2.88763,6.62359,12.8781]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[438.293,271.396,199.188,174.214,170.873,177.193,190.921,205.078,220.839,238.667]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.815624,1.24116,1.97386,2.23857,2.4185,2.13363,3.23069,5.00791,9.39327,18.6942]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[423.529,263.223,191.303,164.839,160.973,166.972,180.783,194.804,208.464,222.618]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2571, 119, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0627179,0.0970165,0.141823,0.21745,0.31045,0.22725,0.391776,0.507433,1.0267,1.61858]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.529835,0.487032,0.627665,0.875166,1.2286,1.68094,2.45956,2.27715,3.29165,4.47739]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.150348,0.263809,0.437343,0.55343,0.69863,0.664478,0.842266,1.28532,2.10754,3.60015]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.698875,0.556411,0.739504,1.04425,1.44056,1.98195,2.98485,2.69668,3.79767,5.48138]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2572, 120, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.987535,2.16759,2.70392,3.13361,2.8095,1.85757,2.16637,2.53631,4.36977,7.18474]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[146.951,191.417,241.931,282.38,305.073,310.045,285.31,287.072,267.923,271.505]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.421079,0.720899,1.25233,1.36273,1.52501,1.18063,1.57003,2.36042,4.22162,8.35091]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[79.3179,96.4313,120.427,124.486,144.918,146.832,166.015,183.354,213.892,242.568]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2573, 121, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.15233,2.91075,6.21169,11.7529,15.5901,18.4256,20.5023,28.6212,46.7014,101.739]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.74986,2.87823,4.13732,6.52282,12.4137,19.8511,26.616,32.4582,36.6809,42.6283]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.09243,3.77197,9.59461,17.5695,29.1439,37.2179,48.3959,77.8064,96.5924,168.696]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.86014,3.55896,5.91512,9.65079,20.826,32.8127,41.2299,46.617,50.8201,57.1139]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2574, 122, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.183417,0.488926,1.07736,2.08701,2.951,3.94002,4.85357,7.3653,12.9311,30.0738]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.295856,0.530104,0.769122,1.22271,2.50153,4.57176,6.59276,8.85829,10.8058,13.2665]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.350761,0.555266,1.31265,2.28786,3.97163,5.89751,8.72729,15.6322,21.3921,40.5714]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.32104,0.579866,0.84529,1.3513,2.921,5.58412,7.80764,9.95174,11.9215,14.5847]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2575, 123, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.194572,0.514932,1.13942,2.21158,3.22786,4.5968,5.92279,9.33342,16.799,39.819]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.281789,0.478059,0.756916,1.19612,2.452,4.81143,7.54016,10.4814,12.9479,16.2826]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.298506,0.471604,1.11452,1.94926,3.46917,5.43797,8.30452,15.339,21.3824,41.2967]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.265673,0.462078,0.664601,1.0395,2.54103,4.75356,7.14618,9.04366,11.1853,14.1486]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2576, 124, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0589374,0.4352,1.34693,3.12422,4.3934,4.81388,4.96984,6.46004,9.78245,19.7617]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0857034,0.433475,0.843647,1.71232,3.43473,4.98848,6.26986,6.97234,7.50533,8.06254]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.303986,1.34392,4.44848,9.2967,15.9785,19.4712,24.1655,37.0106,43.7462,72.7665]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.277488,1.19071,2.76495,5.05146,11.2884,16.7506,20.2475,21.7713,22.4977,23.7866]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2577, 125, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.715408,1.47169,2.64798,4.33012,5.01784,5.0749,4.75608,5.46246,7.18874,12.0842]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.08651,1.43659,1.76764,2.39167,4.02547,5.47942,6.21319,6.14622,5.42198,5.01668]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.13917,1.40118,2.71895,4.03563,5.72459,6.41126,7.1986,9.82459,10.0717,14.0615]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.995935,1.3263,1.64028,2.20853,4.07558,5.72445,6.02865,5.85035,5.2156,4.5939]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2578, 126, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.959122,1.95874,2.6789,3.71522,5.20686,5.56466,7.22856,12.6884,22.6663,42.0728]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[84.092,77.5958,87.6998,97.7653,113.088,129.081,142.307,77.1384,82.6233,85.1264]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.88097,3.75632,6.61693,9.85971,14.2715,17.5011,22.5473,34.9094,51.2874,77.8202]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[70.4618,63.3452,65.1422,71.0943,82.4885,94.6296,112.238,91.4521,96.9523,100.78]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2579, 127, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0537626,0.118444,0.155794,0.23728,0.400801,0.456504,0.63457,1.20913,2.18441,4.29135]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.66969,2.17572,3.35741,4.55208,5.93501,7.19156,8.52498,3.60189,4.24693,4.99449]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.14736,0.312624,0.578336,0.965871,1.41085,1.76954,2.32281,4.03704,5.78782,8.94832]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.13166,2.49333,3.62237,4.89762,6.67076,8.29503,10.9898,6.37207,7.94734,9.13449]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2580, 128, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00548915,0.0132655,0.0159198,0.0246261,0.0411986,0.0410805,0.0574533,0.101741,0.158877,0.33774]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[30.4043,24.8922,30.399,35.6363,41.6224,47.717,50.8667,3.15624,3.70687,4.0181]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0096576,0.0208703,0.0358695,0.0537328,0.0766455,0.089738,0.123732,0.169539,0.264565,0.368418]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.0556,7.36403,7.4849,8.9662,11.6477,13.5978,17.2924,2.4771,2.84252,3.14279]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2581, 129, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.030489,0.0573771,0.0773425,0.102788,0.127893,0.146198,0.173469,0.325952,0.57413,1.23803]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.36831,4.12861,3.68658,2.97627,2.4334,1.72168,1.43258,1.35382,1.24509,1.19324]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0739056,0.113705,0.176017,0.252611,0.29799,0.342583,0.395783,0.589501,0.862717,1.4011]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.63202,5.2642,4.58785,3.64855,2.94775,2.29658,1.81018,1.66079,1.487,1.44178]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2582, 130, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.258392,0.402184,0.503123,0.71359,1.05153,1.15985,1.60432,2.97432,5.58771,10.0943]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.131968,0.134797,0.144863,0.19785,0.257983,0.310185,0.348809,0.446206,0.561956,0.650727]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.456097,0.818468,1.33411,1.85905,2.71247,3.21534,4.14594,6.68595,9.77981,14.8351]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.120391,0.151194,0.21765,0.260697,0.315317,0.385321,0.434969,0.580401,0.625036,0.863126]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2583, 131, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00393638,0.00856735,0.0123549,0.0179384,0.0268137,0.0264263,0.0348982,0.0530629,0.0999031,0.188585]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.936155,1.11033,1.4748,1.83851,2.20821,2.57198,3.10654,4.20988,5.31506,6.39448]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00589833,0.0105113,0.0196323,0.0308629,0.0447689,0.050698,0.0684804,0.09907,0.157597,0.244555]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.62568,3.06862,4.10817,5.08299,6.10046,7.10381,8.60162,11.7424,14.876,17.8901]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2584, 132, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.111315,0.215158,0.303099,0.376302,0.400233,0.345394,0.384643,0.537827,0.852479,1.1861]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.3144,22.4186,20.8478,20.1245,20.3318,21.5531,22.6964,21.9751,19.7175,16.1697]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0851226,0.21174,0.313246,0.433081,0.516983,0.501134,0.622542,0.797764,1.22921,1.54524]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.9453,24.1493,22.0568,21.5512,22.4399,24.6302,27.1934,26.3644,22.571,18.0243]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2585, 133, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00241849,0.00454127,0.00526248,0.0100039,0.0191645,0.0219143,0.0368875,0.0635046,0.123914,0.251771]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.034361,0.0503461,0.0401201,0.0587904,0.055642,0.0624811,0.0774738,0.181728,0.265962,0.302959]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00414677,0.00785481,0.0186754,0.0259394,0.0307044,0.0479572,0.0723823,0.105684,0.171088,0.283716]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0346159,0.0378582,0.0503078,0.0348811,0.0609469,0.0552945,0.0709544,0.114789,0.193691,0.24142]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2586, 134, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.166817,0.379561,0.580552,0.81291,0.9806,0.963442,1.13721,1.76916,2.88143,5.3096]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.68349,4.50998,7.16126,9.90303,12.5111,15.3632,18.2501,21.3942,24.769,28.0169]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.125032,0.220381,0.389699,0.596711,0.803095,0.983072,1.11362,1.80041,2.64508,4.05159]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.47446,2.45297,4.01771,5.53414,6.92313,8.43032,10.013,12.4718,14.7393,17.2187]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2587, 135, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0353127,0.103939,0.147679,0.232537,0.359839,0.364666,0.430041,0.689584,1.10104,2.05898]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.191576,0.237633,0.403766,0.483527,0.657099,0.729668,0.807273,0.894013,1.01204,0.959103]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.137026,0.303538,0.738898,1.17372,1.65994,1.9489,2.23683,3.02299,4.02842,5.50081]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.281599,0.476436,0.93965,1.44753,2.11715,2.51697,2.5396,2.69276,2.51791,2.38974]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2588, 136, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.29119,0.655708,0.877776,1.18724,1.79878,2.03918,2.73507,4.96412,9.10241,17.1163]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.3577,17.9376,20.1842,21.9944,27.0755,31.86,36.1964,19.9254,21.7829,22.4267]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.836724,1.73663,3.01245,4.46814,6.71807,8.55213,11.4452,17.6014,26.3611,40.6414]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.1605,17.8873,18.0568,19.6705,23.2654,27.3182,33.2919,26.9756,29.1525,30.4335]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2589, 137, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.74866,6.40576,6.99431,7.43921,6.61669,6.68849,9.17706,12.7737,25.321,25.2829]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[587.008,657.856,652.17,634.954,625.808,618.245,628.697,656.136,680.052,712.079]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.30818,12.625,15.1957,15.3519,16.0002,16.3623,18.8776,23.7096,29.6532,38.0769]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[489.49,537.549,532.872,521.617,510.031,503.914,518.452,554.853,584.215,623.731]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2590, 138, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.113292,0.200119,0.188288,0.214914,0.214635,0.225978,0.26098,0.342691,0.91658,2.17927]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,2.07035,22.1789,58.6658,98.4218,148.437]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.104691,0.169389,0.244902,0.345479,0.429197,0.421962,0.584062,0.522127,1.03684,1.95209]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,1.73264,18.6012,47.9512,78.3226,116.883]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2591, 139, 218, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.140771,0.169127,0.15629,0.15711,0.196902,0.275881,0.571148,1.50678,3.10029]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.117543,1.0311,2.93498,5.26874,8.38059,12.5231,18.9936]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.125231,0.179799,0.166184,0.211842,0.26558,0.479552,0.991467,2.04247,4.45656]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.163902,1.44037,3.86849,7.00892,10.8137,16.1435,23.5398]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2592, 140, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.19712,5.52707,6.04905,6.29218,5.3702,5.29699,7.16307,9.5988,19.0488,14.9762]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[333.464,336.11,329.175,312.771,296.871,286.622,279.489,272.336,269.762,266.096]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.51716,10.6189,13.2892,13.1286,13.4809,13.4332,14.8267,17.2987,19.2699,22.3935]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[344.275,347.132,339.082,329.207,314.631,306.201,299.058,294.906,290.031,287.087]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2593, 141, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0.0615091,0.137806,0.191915,0.254561,0.266192,0.378503,0.422585,0.593454,0.66397]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.967511,2.33032,5.41853,9.99028,12.6764,13.8779,13.3844,12.6246,10.5946,8.66494]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0.0479885,0.119523,0.192663,0.304519,0.329677,0.393796,0.403138,0.553255,0.494966]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.538566,1.17078,2.62024,4.72662,6.14618,6.46987,6.41955,5.81699,5.16659,4.12305]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2594, 142, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[228.024,284.183,277.714,269.676,271.799,267.653,252.899,228.957,199.002,169.53]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[125.102,159.892,157.161,151.643,151.113,147.081,137.824,123.897,106.815,90.0519]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2595, 143, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.8174,33.9936,37.3566,37.6319,37.0705,36.3098,35.5152,34.6877,33.8796,33.0484]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.0576,28.3941,32.1844,32.739,32.1216,31.0954,30.1061,29.3476,28.5841,27.842]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2596, 144, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.438254,0.476287,0.450039,0.583905,0.620187,0.702428,1.09863,1.83849,3.25546,4.36314]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.735147,1.23916,2.50575,4.76761,6.36014,8.77789,19.9625,40.4835,55.8687,67.3093]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.68632,1.66353,1.36226,1.51896,1.57377,1.91185,2.59352,4.49415,6.75066,8.77983]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.516394,0.960594,1.82387,3.13751,4.57954,7.46484,19.4344,42.1199,59.1515,74.2034]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2597, 145, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.532138,0.910089,1.25234,1.34786,1.23492,1.24716,1.31524,1.78692,2.43859,2.61695]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3263.24,3783.21,4064.2,4155.3,4143.62,4092.08,4008.35,3868.27,3649.54,3277.49]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.962391,2.76256,4.16509,4.22109,3.98908,3.48694,3.55933,3.95279,4.68109,4.60175]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2736.95,3146.06,3400.84,3420.59,3336.02,3224.8,3092.36,2921.89,2685.9,2344.12]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2598, 146, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.199855,0.270911,0.278474,0.339899,0.36934,0.414667,0.646699,0.672247]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.2342,62.1115,134.124,219.585,286.092,319.399,325.587,309.88,266.869,212.698]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0.213541,0.302935,0.42038,0.386098,0.427545,0.426472,0.545831,0.492591]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.2121,73.2848,161.022,266.173,350.109,390.561,397.373,372.935,319.366,246.546]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2599, 147, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0167458,0.0360656,0.0649525,0.107676,0.159686,0.229182,0.292961,0.45229,0.674781,0.736511]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[72.9537,96.5922,92.4496,84.0154,83.7166,90.8941,98.0706,88.8479,69.051,49.7507]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0224944,0.0747818,0.138406,0.204595,0.300619,0.38073,0.494758,0.693051,0.95478,1.02643]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[175.434,249.656,239.896,216.548,213.62,228.719,243.811,221.312,172.18,124.421]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2600, 148, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.431302,0.74926,0.852842,0.815487,0.641649,0.555678,0.508914,0.712298,0.815637,0.785723]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[146.698,333.063,343.383,250.764,174.402,120.464,83.6499,54.0186,32.68,17.0118]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.853185,2.49971,3.48192,3.31756,2.7978,2.29988,2.09477,2.14111,2.19666,1.95393]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[242.832,640.501,687.302,540.716,381.23,249.315,161.157,102.972,63.991,34.9052]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2601, 149, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.224584,0.389947,0.444151,0.424688,0.334063,0.289312,0.264681,0.370722,0.424314,0.408752]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.8509,110.625,149.077,101.179,68.6202,53.5424,38.9784,21.3841,10.3911,4.74332]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.442691,1.29739,1.81155,1.72531,1.45599,1.19516,1.08874,1.11328,1.13809,1.01489]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[30.4643,256.155,329.281,254.337,176.405,120.443,77.0787,44.441,25.1597,13.7275]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2602, 150, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.000737346,0.00146643,0.0013984,0.00134518,0.00114476,0.000982971,0.00116053,0.00138335,0.0017603,0.00169538]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.22922,9.69854,12.0801,7.46303,4.67944,3.293,2.11928,1.22714,0.618355,0.32111]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00290143,0.00816389,0.00735386,0.00767169,0.00557446,0.00614888,0.00544909,0.00515505,0.00901585,0.00567606]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.44689,20.7416,27.6892,19.0743,12.0619,7.73139,4.95953,2.7324,1.44272,0.774407]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2603, 151, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00053132,0.00110888,0.000990894,0.000955537,0.000838348,0.000717595,0.000917986,0.00104342,0.00137138,0.00132073]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[45.4892,67.0961,64.6874,53.4037,38.1496,25.0895,18.4453,14.7302,10.5091,5.86309]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00249665,0.0069773,0.00569329,0.00609079,0.00423951,0.00505452,0.00445204,0.00413514,0.00797666,0.00474719]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[70.2664,108.946,114.186,97.9633,71.634,47.0092,33.7249,25.7188,17.9355,9.89418]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2604, 153, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.205449,0.356738,0.406302,0.388499,0.305603,0.264665,0.242154,0.339149,0.388192,0.373955]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[44.805,73.2563,72.7713,57.5263,40.3951,26.6718,19.214,14.8012,10.2529,5.65497]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.405096,1.18718,1.65732,1.57848,1.332,1.09352,0.996131,1.01855,1.04157,0.928615]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[70.0966,124.647,135.573,111.426,79.4322,51.7729,36.3633,26.5496,17.9319,9.78349]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2605, 155, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1702.68,1905.29,2018.27,2109.61,2147.88,2183.78,2214.06,2224.14,2179.14,1975.05]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1003.98,1121.81,1198.28,1259.68,1279.04,1298.38,1310.39,1324.3,1300.43,1168.28]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2606, 156, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[180.582,206.476,220.962,232.531,243.796,256.52,268.638,275.192,273.586,268.884]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[127.693,149.904,162.493,171.31,177.9,185.68,193.519,195.692,192.254,185.215]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2607, 159, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[105.321,282.243,411.709,458.188,442.919,379.766,292.689,222.715,175.812,139.864]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[80.4826,222.563,331.903,378.199,370.393,324.358,255.967,197.957,156.024,124.405]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2608, 160, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[724.224,751.82,714.266,683.589,665.775,656.373,648.809,621.823,581.254,539.33]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[390.829,409.889,391.262,375.445,364.617,358.332,350.267,334.112,310.677,287.69]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2609, 161, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0665242,0.105241,0.107678,0.119057,0.11158,0.0739906,0.0712218,0.0908899,0.111297,0.134564]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.4709,26.9739,34.572,30.6999,19.8857,11.5687,7.042,4.41197,2.80983,1.83497]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0443793,0.100433,0.154359,0.163466,0.150256,0.100752,0.101818,0.116549,0.142889,0.170105]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2610, 162, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[32.7261,32.2622,31.5559,30.6258,29.736,28.5692,28.366,27.3295,25.9576,25.0492]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[92.6954,90.8501,89.4394,86.447,83.4781,81.8214,78.8303,75.4253,72.4525,69.1203]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2611, 163, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.1067,23.2651,22.6098,22.0668,21.3104,20.7242,19.6677,18.7385,17.7882,16.6427]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[96.3758,94.9111,93.1328,90.5708,87.9299,85.2403,81.907,78.6092,75.0625,70.9958]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2612, 164, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.7628,5.21893,2.82008,1.36125,0.583717,0.220148,0.0688168,0.0167797,0.00262198,0.000501448]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[29.0894,19.0071,11.0618,5.7192,2.62399,1.0485,0.34565,0.0929087,0.020295,0.0049164]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2613, 165, 218, '{\"age\":[\"15-19\",\"20-24\"],\"number\":[0,0]}', '{\"age\":[\"15-19\",\"20-24\"],\"number\":[183.695,13.93]}', '{\"age\":[\"15-19\",\"20-24\"],\"number\":[0,0]}', '{\"age\":[\"15-19\",\"20-24\"],\"number\":[428.784,32.8916]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2614, 166, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.6331,24.4433,20.9567,16.9499,12.845,9.0968,5.83308,2.76336,1.00357,0.454491]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[33.3573,29.6331,25.198,20.2009,15.2697,10.8708,6.80136,3.02661,1.09594,0.517832]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2615, 167, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.017566,0.0195228,0.0270083,0.0347305,0.0435304,0.0484098,0.072806,0.116774,0.190171,0.287909]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[23.1514,19.5195,16.5175,15.3094,14.6859,14.709,15.8628,18.398,23.5913,30.9224]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0423317,0.0876385,0.176864,0.232531,0.320029,0.319476,0.440445,0.575608,0.840933,0.958697]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.1831,11.162,9.85292,9.58108,9.81288,10.4742,11.9954,15.4628,22.3481,32.0213]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2616, 168, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.04612,7.14902,9.69035,12.6266,14.3557,15.4354,22.9068,40.5877,75.2771,147.698]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[346.496,672.142,916.314,1061.77,1139.96,1118.32,1042.22,1183.94,1210.13,1208.89]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.06103,11.9258,16.334,20.5998,26.3508,30.002,43.6637,77.4696,130.034,210.278]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[167.068,169.197,206.727,279.49,384.412,521.713,725.028,1057.28,1415.05,1781.8]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2617, 169, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.460198,0.777693,1.521,2.37741,3.85203,4.97775,9.07411,18.7604,36.1882,83.686]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[26.3131,36.0696,60.408,105.255,170.231,251.625,334.932,425.502,513.613,597.94]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.577509,1.82761,3.71521,5.62782,8.59402,10.9269,17.4191,35.5341,60.0479,117.398]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[29.3391,40.6541,68.284,117.665,190.29,276.652,363.078,457.336,549.4,637.999]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2618, 170, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.30521,0.483066,0.467562,0.612921,0.670653,0.676052,1.04017,1.56575,2.45109,3.92139]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0132041,0.00872669,0.00852202,0.00792943,0.00866127,0.00916449,0.00725774,0.0135745,0.0143809,0.0147801]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.644521,1.05815,1.53866,1.73327,2.14127,2.8328,3.21047,5.88422,8.66526,11.2406]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.018545,0.0130363,0.0122278,0.0135636,0.01175,0.0118325,0.0143841,0.0208524,0.0288098,0.0301223]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2619, 171, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.963309,1.93232,2.47384,3.05674,3.90648,4.30138,6.31527,11.4214,21.8237,35.2073]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.82247,7.76257,11.0066,17.3206,27.2204,36.2156,45.9453,60.4923,86.3674,122.99]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.849349,2.5808,2.89061,3.48212,5.42668,5.28792,7.55287,12.0421,19.7017,27.7789]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.28817,6.59263,9.50113,15.1694,23.3368,31.9339,41.0257,55.3005,82.1051,117.747]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2620, 172, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00140849,0.0945558,0.238954,0.426152,0.701667,0.947082,1.66774,3.49898,7.71318,14.0435]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0820011,0.541449,1.22885,2.62386,5.04729,8.51904,12.5495,19.5469,31.6953,45.7692]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00108075,0.112182,0.244207,0.420612,0.853661,1.01363,1.749,3.25677,6.0775,9.54459]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0648247,0.438924,0.929804,2.037,3.95976,6.68964,10.2406,15.8443,26.4343,38.7491]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2621, 173, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.154205,0.335437,0.470262,0.639538,0.894418,1.07117,1.5081,2.60402,4.76107,7.29571]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.814211,1.35162,2.17465,3.78027,6.47908,8.82756,10.7639,13.621,18.2681,26.2422]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.149737,0.500504,0.604215,0.803174,1.37828,1.45581,1.99007,3.00289,4.6762,6.37671]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.835972,1.28923,2.12217,3.63652,6.00059,8.4871,10.4787,13.5923,19.2032,27.1765]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2622, 174, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.807696,1.50233,1.76462,1.99105,2.31039,2.28312,3.13943,5.3184,9.34941,13.868]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.92626,5.8695,7.60313,10.9165,15.6941,18.8691,22.6319,27.3244,36.404,50.9784]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.698531,1.96812,2.04219,2.25834,3.19474,2.81849,3.81379,5.78248,8.94798,11.8576]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.38737,4.86448,6.44915,9.49587,13.3764,16.7572,20.3064,25.8639,36.4676,51.8218]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2623, 175, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.177943,0.352406,0.463519,0.648796,0.816996,0.950096,1.51672,2.82252,5.06672,8.45594]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.13737,9.0661,10.2702,12.0062,13.9569,16.4768,19.5647,21.7377,23.6695,25.2695]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.44173,1.07359,1.61806,2.09807,2.84966,3.47108,5.21695,8.63566,15.7279,23.9535]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.19509,16.4069,27.0933,39.294,51.5577,82.0083,176.041,383.22,600.601,790.398]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2624, 176, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0936805,0.173428,0.220077,0.287639,0.347644,0.397727,0.584401,1.11667,2.01834,3.40687]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.32544,4.14305,3.58186,3.10791,2.65559,2.32107,2.2915,2.23838,2.19644,2.22574]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.101455,0.213461,0.313798,0.393849,0.462908,0.580754,0.917674,1.57734,3.23318,3.62079]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.4473,1.64385,1.86986,2.10275,2.28257,2.39924,2.72975,2.98376,3.26555,3.82572]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2625, 177, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0112236,0.0206513,0.0423486,0.0644628,0.0803311,0.0761449,0.105171,0.181899,0.320002,0.478342]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.01392,2.12035,3.54777,5.13361,6.92303,8.92372,10.9141,12.4481,13.7351,14.8127]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0414419,0.106456,0.163115,0.238625,0.350983,0.423142,0.492429,0.731999,1.23221,1.53519]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.3042,4.4542,7.46915,10.61,14.1105,17.907,21.6058,24.5965,26.8207,28.999]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2626, 178, 218, '', '', '{\"age\":[\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0]}', '{\"age\":[\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.0313,135.607,337.368,551.282,734.658]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2627, 179, 218, '', '', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\"],\"number\":[0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\"],\"number\":[6.3055,11.4868,18.1575,24.1381,34.1146]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2628, 180, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0730388,0.158327,0.201094,0.296694,0.389022,0.476224,0.827149,1.52395,2.72837,4.57072]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.79802,2.8027,3.14052,3.76469,4.37832,5.23205,6.35903,7.05123,7.73797,8.23112]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.298833,0.753675,1.14114,1.4656,2.03577,2.46719,3.80684,6.32632,11.2625,18.7975]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.4436,4.00334,6.26746,8.42371,11.0266,13.5561,16.0993,18.2723,19.2328,22.9154]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2629, 181, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0625039,0.155229,0.237766,0.360717,0.390231,0.350065,0.388589,0.149339,0.149999,0.157788]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[190.058,497.375,705.099,793.986,788.241,664.071,496.839,519.111,427.705,193.488]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2630, 182, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00031539,0.00399839,0.0213518,0.0577701,0.0807426,0.089123,0.0968604,0.0372347,0.0363522,0.031643]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[108.956,132.431,130.019,136.828,172.81,231.562,268.445,273.545,200.974,45.5768]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2631, 183, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[13.3905,130.432,234.463,269.267,278.64,182.447,1.07092,0.00436633]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2632, 184, 218, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\"],\"number\":[0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\"],\"number\":[4.18078,7.66481,12.0637,15.9118,22.3328]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2633, 185, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[0,0.000320674,0.000737644,0.000982928,0.000965102,0.000823484,0.000626979,0.000122608]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[1.44072,15.8338,40.1721,70.7932,79.327,11.9485,0.244505,0.00244178]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2634, 186, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,2.16622e-5,0.00129965,0.00352589,0.00476682,0.00930069,0.00513196,0.00692443,0.00950482]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.3597,67.4458,124.604,155.418,166.553,178.455,195.572,214.088,197.77,147.911]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2635, 187, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\"],\"number\":[18.4773,102.165,126.656,110.864,38.311,2.86398,0.0623538,0.000419113]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2636, 188, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0621885,0.15091,0.215655,0.300664,0.304998,0.255352,0.281801,0.10685,0.106722,0.11664]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\"],\"number\":[37.433,44.8876,41.5203,38.7524,36.6877,34.4624,31.4434,31.4717,28.9606]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2637, 189, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.44694,2.35205,2.71643,2.42326,1.53093,1.2357,1.25489,1.44106,2.50152,3.87151]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[91.8554,87.2812,90.9552,90.3163,92.9586,97.3845,86.228,83.0797,70.537,135.18]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.98074,1.30334,1.69307,1.49081,1.3049,1.23337,1.25372,1.50681,2.20811,3.01504]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[91.6317,71.8082,66.2582,66.1856,70.4159,75.5279,80.2071,82.1806,89.3059,113.353]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2638, 190, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0588112,0.0629632,0.0655636,0.0651003,0.0552708,0.0504298,0.0456854,0.0523078,0.0529184,0.0429788]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.0245,19.6816,20.4572,21.1638,22.1987,22.8465,21.1679,21.1572,18.6741,19.113]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0446779,0.0515954,0.0513875,0.0503166,0.0479711,0.0472563,0.0465705,0.0549521,0.0589045,0.0484599]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.26569,4.88687,3.50415,3.96513,5.1173,5.61811,6.90272,7.34093,9.00237,10.8094]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2639, 191, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.428113,0.335113,0.384442,0.406714,0.371602,0.371748,0.375711,0.473254,0.563075,0.560933]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[60.179,55.285,58.9707,58.314,60.3762,64.6579,56.1344,52.7133,43.3586,41.9718]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.365792,0.303515,0.328241,0.335384,0.338337,0.366028,0.394126,0.506911,0.628528,0.628964]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[29.3274,24.3885,25.1094,23.508,22.8136,25.8548,25.4505,23.8957,24.1472,25.0409]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2640, 192, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0490189,0.0386652,0.0410567,0.0416382,0.037598,0.0383988,0.0437269,0.0689636,0.100738,0.122817]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.951892,0.869211,0.942596,0.975681,1.06244,1.15618,0.976241,0.956306,0.822541,0.852147]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0706352,0.0591043,0.057915,0.0558586,0.0551014,0.0589659,0.0726642,0.119318,0.185889,0.2313]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.351331,0.18051,0.125212,0.142135,0.193172,0.216722,0.278986,0.300319,0.391814,0.55218]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2641, 193, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.910995,1.91531,2.22537,1.90981,1.06646,0.775122,0.789763,0.84653,1.78478,3.14478]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.70005,11.4455,10.5847,9.86277,9.32122,8.72392,7.9495,8.25285,7.68178,73.2433]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.499635,0.889129,1.25553,1.04925,0.863494,0.761122,0.740363,0.825624,1.33479,2.10631]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[53.6873,42.3523,37.5195,38.5704,42.2918,43.8383,47.5749,50.6436,55.7646,76.9503]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2642, 194, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.630015,1.09625,1.81023,3.14676,3.18836,2.94437,3.31705,4.42721,7.09592,12.3978]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.2972,34.5786,38.5663,42.8808,47.3447,52.5342,58.7051,74.0006,88.2227,134.004]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.56718,4.08234,4.87835,6.16766,6.03424,6.24997,9.01058,13.8667,23.683,26.8927]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[35.5951,33.7222,35.5784,41.1624,48.8003,55.5796,64.661,79.2193,93.6062,122.275]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2643, 195, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.62038,2.88123,3.43007,3.76525,4.10709,4.78628,6.92634,12.5739,22.1596,22.3758]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1408.13,1635.26,2029.53,2418.67,2859.85,3415.76,4091.26,4743.19,5289.07,5797.43]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.873549,1.72455,2.2628,2.53283,3.11773,3.79033,5.13966,9.02973,14.1606,17.1204]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1345.22,1486.74,1974.11,2383.69,2792.14,3232.94,3742.19,4216.39,4627.63,5032.28]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2644, 196, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.432863,0.780615,0.90969,1.14841,1.53715,2.32212,3.55173,7.79984,15.6454,16.2835]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.2273,41.4135,60.6554,75.6461,85.2495,91.948,102.716,118.191,137.993,160.457]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.220343,0.43796,0.507199,0.727002,0.899521,1.23721,1.85625,3.63719,5.98937,8.29309]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.78314,11.1658,16.8866,20.6099,23.93,26.4638,29.4088,34.0348,39.8933,45.8655]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2645, 197, 218, '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.8311,141.553,426.534,825.686,1130.53,1275.25,1357.1]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.79735,86.6525,261.614,507.674,700.276,792.116,846.539]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2646, 199, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[670.213,700.038,776.047,965.866,1155.74,1320.29,1517.68,1758.39,1982.82,2192.57]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[846.654,937.721,1090.56,1368.56,1642.25,1864.81,2101.08,2342.09,2557.84,2752.77]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2647, 200, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[528.455,481.305,499.286,619.965,736.466,851.001,913.573,897.593,879.89,861.942]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[429.701,389.695,401.208,501.031,592.885,683.53,733.513,717.773,701.742,686.054]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2648, 201, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0055204,0.0349467,0.0874815,0.184286,0.303179,0.47781,0.711745,0.939389,1.20449,1.45691]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0105799,0.0881923,0.26534,0.501992,0.876489,1.34162,1.8975,2.53386,3.14527,3.71236]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2649, 202, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.18752,2.10062,2.52038,2.61684,2.56994,2.46416,3.37461,4.77404,6.51419,6.09224]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[188.232,412.473,693.456,744.174,740.537,725.505,730.891,837.551,1011.91,1223.91]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.653206,1.28659,1.7556,1.80583,2.21821,2.55312,3.28341,5.39254,8.17125,8.82735]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[63.0729,148.067,465.185,485.194,445.548,395.178,368.615,419.678,532.893,697.345]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2650, 203, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.24017,2.68066,4.62789,2.00728,1.71294,1.69153,2.14693,4.67935,6.56574,11.0694]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1011.83,867.071,960.884,1130.85,1317.94,1480.12,1733.83,2159.35,2619.65,3204.66]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.52699,2.2331,3.04173,4.08695,3.62471,4.48127,7.39679,10.4894,16.899,22.9982]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[984.905,889.736,1030.58,1252.26,1485.9,1681.18,1939.54,2336.02,2765.66,3362.95]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2651, 204, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.9224,1.69684,3.24255,1.0854,0.729214,0.530607,0.539328,0.63797,0.964752,1.32985]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[49.9512,37.3939,32.0185,29.5585,25.957,23.7393,23.6576,25.3783,24.5827,22.5033]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.04706,1.16527,1.34725,0.85165,0.711196,0.627067,0.593478,0.718754,0.925209,1.06273]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[50.1245,34.0461,28.916,25.8951,23.1124,20.8323,19.6131,21.9194,20.9652,19.4607]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2652, 205, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.047324,0.0838193,0.212805,0.0673539,0.0408553,0.0251912,0.0142956,0.0125783,0.0170822,0.0178925]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.65428,9.01316,8.72689,8.67105,7.9048,7.52687,7.50977,7.07762,6.65361,6.48219]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.052339,0.0699011,0.0822537,0.0531675,0.0398471,0.0336005,0.0244791,0.0257946,0.0304694,0.0220092]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.72161,6.72539,6.35822,6.03759,5.88538,5.49396,5.19037,5.0741,4.8454,4.41825]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2653, 206, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.31364,0.532676,1.05482,0.272285,0.168904,0.120729,0.121417,0.12003,0.190336,0.299271]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.01587,3.09218,2.53089,2.18063,1.86916,1.95144,2.04373,1.77981,2.01621,2.64127]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.428993,0.48803,0.577778,0.285277,0.21443,0.168334,0.158706,0.168583,0.227629,0.273637]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.8654,3.13078,2.51628,2.23203,1.92796,2.01165,2.13313,2.24891,2.60562,3.71088]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2654, 208, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0515466,0.11908,0.27658,0.117562,0.0667658,0.0523998,0.0420332,0.0514404,0.0588687,0.0618451]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.10711,8.76813,8.1019,7.17245,6.19296,5.21731,5.00616,6.70019,6.59082,5.18268]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0422833,0.0560994,0.0767243,0.0607514,0.047361,0.0392872,0.0475027,0.0551475,0.0642749,0.0471848]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.11,8.69798,8.14929,7.20698,6.20027,5.11487,4.62688,5.98287,5.52134,3.92759]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2655, 209, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0158343,0.0401042,0.0741608,0.0240605,0.0112358,0.00818474,0.0064726,0.00594956,0.0126473,0.00855513]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.20475,3.14874,2.81314,2.4727,2.09723,1.80531,1.76628,2.4075,2.2888,1.54885]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.014035,0.0188839,0.0235038,0.0156336,0.00993893,0.00841159,0.0062663,0.0114931,0.00947012,0.0132645]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.19468,3.16726,2.97007,2.59152,2.28292,1.9483,1.81951,2.33599,1.9874,1.39155]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2656, 210, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.494054,0.921162,1.62419,0.604137,0.441453,0.324102,0.35511,0.447972,0.685818,0.942284]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.7655,12.2541,9.29071,8.77621,7.71872,7.0973,7.20964,7.30704,6.92907,6.55198]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.509411,0.532357,0.586993,0.436821,0.39962,0.377434,0.356523,0.457736,0.593365,0.706629]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.5782,11.0027,8.27948,7.50205,6.61356,6.09391,5.67712,6.12977,5.8521,5.86893]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2657, 211, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.31777,0.983816,1.38533,0.921884,0.983724,1.16092,1.60761,4.04138,5.60099,9.73956]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[701.887,509.244,471.268,472.43,479.345,498.826,526.552,572.346,624.805,680.344]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.479924,1.06783,1.69448,3.2353,2.91351,3.8542,6.80331,9.77069,15.9738,21.9354]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[630.334,448.721,418.181,422.491,433.95,459.042,497.378,565.278,649.981,745.34]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2658, 212, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[164.979,148.522,143.551,139.609,136.91,135.349,134.582,133.846,133.321,132.145]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[140.189,126.893,122.412,118.798,116.322,115.073,114.77,114.2,113.622,112.458]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2659, 213, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.02418,8.10578,9.57001,11.0455,12.4617,13.7433,15.6967,18.7451,21.4449,23.6305]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.73616,10.0836,12.0188,13.956,15.7889,17.5931,19.7447,23.2128,26.4985,29.0896]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2660, 214, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0999065,0.341333,0.478196,0.339415,0.358617,0.385135,0.544511,1.36341,1.89296,3.05006]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.71978,8.31953,8.3223,8.2889,8.43744,8.45549,8.77099,10.3006,11.9636,13.5963]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.155703,0.3053,0.491096,1.01824,1.00386,1.33914,2.47388,3.32642,5.52465,6.90437]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.4435,9.82747,11.4412,13.417,15.4114,17.2601,19.2777,22.1647,25.2332,28.0333]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2661, 215, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.136324,0.43377,0.56444,0.387281,0.422906,0.498939,0.64308,1.60264,2.21418,3.60344]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.9388,13.8798,13.3359,13.5016,13.5924,13.6938,14.1696,16.604,19.0472,21.3207]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.220371,0.462465,0.72438,1.40488,1.17918,1.57635,2.75363,4.11837,6.4216,8.37906]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.0739,13.2199,12.8653,12.966,12.9317,12.8691,13.2938,15.8508,18.4194,20.728]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2662, 216, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.2285,13.9916,14.6883,14.9493,14.7733,14.6168,14.476,14.2719,14.0584,13.8803]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.7596,14.606,15.4233,15.7797,15.4888,15.3424,15.1142,14.8938,14.6784,14.4357]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2663, 217, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[47.4731,27.891,32.7508,37.552,42.248,46.971,53.6306,63.2758,72.7224,81.9337]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[52.3327,31.1515,36.5033,41.7594,46.8804,51.9623,59.1727,70.0274,80.5246,90.6412]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2664, 218, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[81.7666,34.412,31.6165,29.299,26.9025,24.6192,23.1185,23.1236,22.9169,22.8653]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[86.6655,37.2526,34.3384,31.5665,28.9523,26.3777,24.737,24.55,24.3623,24.2049]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2665, 219, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[206.243,108.552,59.0435,38.6419,22.0113,12.706,5.41351,3.43214,2.34139,1.26712]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[179.615,95.507,51.7518,33.9035,19.5657,11.305,4.79445,3.02417,2.07327,1.1158]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2666, 220, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.7795,26.185,27.3928,28.0256,27.6151,27.3074,26.9852,26.5486,26.1715,25.85]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.5049,16.3616,17.1729,17.3508,17.2366,16.8892,16.7587,16.5639,16.2745,15.933]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2667, 221, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.501,26.6589,34.3405,42.9654,51.4197,59.911,65.6562,66.9658,68.1977,69.4058]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.8912,20.4871,26.4963,33.1172,39.7339,46.2762,50.3464,51.3027,52.0303,52.6282]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2668, 222, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[42.5566,42.7766,43.6967,45.5757,47.7819,49.6806,50.3516,49.6478,48.4762,47.2616]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.0853,27.1981,27.9008,29.1607,30.6022,32.0431,32.5197,31.9311,31.0062,30.1009]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2669, 223, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0776862,0.203771,0.333118,0.191461,0.198332,0.272725,0.412281,1.06149,1.47477,3.04474]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.671903,1.49284,2.19083,3.20993,4.52408,6.53034,9.54339,14.3053,21.203,30.1337]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0997457,0.292806,0.469939,0.804194,0.718216,0.922044,1.55048,2.29683,3.9788,6.59783]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.961909,1.91325,3.27866,5.17504,7.48153,10.8147,16.0342,23.629,34.0845,47.3661]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2670, 224, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00385325,0.00494225,0.00957672,0.00372765,0.00386879,0.00412448,0.00773417,0.0138449,0.0190755,0.0413191]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[65.0056,48.4569,50.769,59.7663,70.6673,85.2427,104.158,131.28,162.94,197.055]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00410462,0.00726244,0.0090608,0.00798208,0.012258,0.0166568,0.0253097,0.0290737,0.0487412,0.0541625]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[61.0755,44.2199,46.5777,55.5403,67.5548,85.2365,110.815,153.928,211.174,278.605]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2671, 226, 218, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0777278,0.545771,2.08619,4.53141,7.01483,11.0614,19.1213,30.8195,45.7299]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0610508,0.41115,1.47948,3.33141,5.35296,7.85295,14.7856,27.3855,46.6156]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2672, 227, 218, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.242276,1.55081,6.3207,14.1333,22.5975,35.8172,64.2161,103.647,156.765]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.121625,0.678506,2.76084,6.47799,10.0627,15.9136,31.4679,57.7583,97.9055]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2673, 228, 218, '{\"age\":[\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0]}', '{\"age\":[\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.49419,7.96516,18.8538,35.4426]}', '{\"age\":[\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0]}', '{\"age\":[\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.560134,3.29127,8.81983,18.6392]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2674, 229, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.3403,13.188,17.864,27.1733,38.2863,52.1978,72.3007,107.114,159.556,236.812]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[16.1233,11.0882,14.6004,21.7839,30.8342,42.1979,58.1561,87.728,132.553,197.585]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2675, 230, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[139.093,173.868,215.554,253.193,298.626,344.578,453.311,645.945,817.778,1029.09]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[189.222,262.114,337.365,414.527,490.53,562.175,673.613,829.475,970.446,1203.95]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2676, 231, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[32.467,45.9207,66.621,86.0455,100.285,113.211,143.321,199.32,256.642,319.503]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[32.9675,49.1819,74.9564,100.034,119.931,136.687,175.331,245.992,308.958,367.9]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2677, 234, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[67.8808,79.9716,92.1201,88.3706,80.3184,65.1056,61.1498,62.0085,61.9441,60.2501]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[64.8159,76.8792,88.5612,85.4025,78.2379,64.1254,60.2289,60.9902,60.6129,58.7358]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2678, 235, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00762412,5.29344,54.5783,144.907,240.264,295.057,317.345,321.497,317.453,303.258]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00689081,5.69278,59.3941,160.33,268.6,331.317,356.307,360.113,353.452,336.131]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2679, 236, 218, '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.722938,7.62334,19.5767,34.892,56.3278,86.1468,132.416,201.04,311.708]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0,0]}', '{\"age\":[\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.594231,6.30748,16.2921,29.4953,47.8268,72.7808,112.784,171.988,267.239]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2680, 238, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.89495,16.6221,14.064,11.9207,12.1273,11.6615,11.0398,14.9187,21.8121,30.7871]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[93.9709,128.545,155.114,177.457,184.154,188.014,185.395,184.079,171.256,155.145]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.5074,62.0091,71.9158,66.6199,49.5008,37.7072,44.4162,62.4405,71.1376,98.9656]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[159.943,231.377,287.408,334.513,349.835,364.666,370.365,369.471,355.697,330.105]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2681, 239, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.52447,15.9434,13.4476,11.4903,11.748,11.3903,10.8566,14.6547,21.5723,30.4726]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[73.0796,96.9864,121.597,136.348,145.253,151.614,154.447,149.668,144.936,132.115]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[24.0466,56.8591,66.3338,60.3522,44.9858,34.634,41.406,59.0013,68.0356,95.3629]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[137.983,196.243,238.147,271.277,296.609,308.606,311.225,309.554,300.282,283.089]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2682, 240, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.57012,7.42139,6.13618,5.58785,6.65601,6.40549,6.81847,9.53395,14.2064,21.9934]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[37.891,49.6473,61.7926,73.1849,90.0978,91.9916,104.059,106.604,101.938,101.497]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.6834,25.0372,34.2527,29.2142,23.5479,18.8949,22.1643,31.094,33.9334,54.6861]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[78.2901,91.4356,130.764,140.046,167.329,179.143,177.498,174.011,159.221,175.136]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2683, 241, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.200574,0.295547,0.216497,0.172863,0.173784,0.173394,0.164429,0.205533,0.226937,0.331136]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.69662,2.03933,2.23643,2.31028,2.391,2.51896,2.53576,2.2752,1.64998,1.55964]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.90216,6.28326,6.87877,6.74199,5.989,4.46581,6.53896,8.59767,13.4631,16.4704]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.7844,22.993,26.2357,32.4933,42.5421,42.5746,52.2637,48.2676,63.7706,52.8772]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2684, 242, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.00124,2.02293,1.28761,1.07737,0.767255,0.654273,0.485539,0.527985,0.530513,0.691709]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.50157,13.6687,13.0512,14.3335,10.4103,9.47544,7.35865,5.88922,3.7605,3.19421]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.938381,3.20605,5.61356,4.87379,4.56729,3.06622,2.63289,2.75721,2.71688,5.17547]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.81146,11.8025,21.4928,23.4584,31.9828,29.3622,21.0354,15.557,13.0514,17.0842]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2685, 243, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.25736,3.39037,3.97261,3.02865,2.74321,2.55323,2.1474,2.80506,4.60509,4.77524]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.2805,22.8805,40.3684,40.2155,37.5555,37.3646,33.1832,31.5099,33.8674,22.6421]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.90491,20.9613,17.4756,17.6033,9.58607,7.399,9.02909,15.4804,16.6032,17.3122]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[42.6001,77.1565,66.8502,84.4198,67.9041,70.2285,72.4637,86.4764,77.7297,55.0785]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2686, 244, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.49518,2.81314,1.83468,1.6236,1.40774,1.60389,1.24078,1.58221,2.00332,2.68119]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.8636,20.1339,19.3802,22.2,19.4016,24.1339,19.3168,17.7783,14.7374,12.6278]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.617706,1.37134,2.11315,1.91889,1.29553,0.808035,1.04081,1.07203,1.319,1.71869]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.83426,5.03152,8.00969,9.25098,8.8972,7.56329,8.55042,6.28572,6.584,5.83681]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2687, 245, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.370478,0.678733,0.616461,0.430379,0.379338,0.271178,0.183158,0.264001,0.239776,0.314487]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.8913,31.5588,33.517,41.1096,38.9013,36.4,30.9481,34.411,26.3198,23.0301]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.4608,5.15006,5.58205,6.26766,4.51496,3.07323,3.01014,3.43923,3.10201,3.6027]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.96,35.1345,49.2609,63.2365,53.2259,56.0601,59.1406,59.9169,55.4151,47.0154]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2688, 246, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.1294,19.2095,25.4195,24.4181,19.2233,19.8783,21.7941,29.2424,37.2243,63.6397]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[63.037,78.8197,106.471,139.675,190.663,250.443,311.165,372.445,453.221,541.082]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[28.3333,52.215,55.7389,55.2847,49.5152,49.5773,56.7766,72.1492,107.864,136.063]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[108.723,143.693,186.475,244.791,337.158,436.795,546.522,662.939,800.812,945.997]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2689, 247, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.73702,2.5278,3.84484,3.48344,3.43753,3.55862,4.73853,5.48038,7.95239,19.1616]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[34.649,42.6837,58.7387,81.1126,120.69,167.253,217.849,273.548,344.963,426.18]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.90054,11.4667,13.721,13.6506,12.5774,13.2376,19.8749,24.3801,33.9458,45.0506]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[49.6975,61.0467,82.8388,117.584,182.726,260.468,346.954,449.278,570.497,702.24]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2690, 248, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.18162,4.33044,3.95491,4.41811,4.06572,2.61753,2.90722,4.16009,5.29774,8.45864]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.956868,0.973662,1.24623,1.98346,2.68982,3.58524,4.46218,4.93505,5.79091,6.10937]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.55882,12.9172,12.35,12.8014,12.0399,11.1526,6.82775,9.67272,14.3906,14.2326]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.6776,2.13939,2.71165,3.96492,5.63044,7.29434,9.50748,10.6772,12.9019,13.7481]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2691, 249, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.2636,5.29376,10.6122,8.98054,4.29137,4.45733,5.29871,5.75456,8.77791,13.1701]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.538,14.0269,17.886,21.3293,24.783,28.0764,30.1291,30.6781,30.5663,29.6967]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.85161,11.0843,9.29233,7.29421,4.51173,5.35303,6.14992,10.944,15.1473,28.9044]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[18.9811,22.2235,26.0038,31.4901,37.6837,42.6704,46.6918,48.5268,49.2258,49.3105]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2692, 250, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.86168,3.17136,2.2815,2.62944,2.33278,3.69253,2.88456,7.02991,4.98647,4.52467]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.48596,3.1568,3.90912,4.02153,5.38299,6.04197,6.84312,7.49203,8.07112,7.56881]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.0931,3.44641,4.64611,5.91236,4.48323,5.12259,5.80698,4.96635,6.69071,7.22594]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.07181,4.8024,6.2289,7.52671,10.1601,11.9368,14.2585,15.5056,16.9871,18.148]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2693, 251, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.524563,1.13545,1.83273,2.20057,1.44556,1.88082,1.57792,1.22018,1.5718,1.58531]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.2276,4.97905,6.13175,6.92794,7.33032,7.34226,7.08515,6.30631,5.35635,4.26955]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.49654,4.62422,5.194,4.70653,4.18912,3.40696,4.43078,4.36567,4.91,4.23277]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.2913,20.5955,24.7583,27.9978,31.9111,33.0399,32.5729,28.7487,24.5323,20.101]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2694, 252, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.331184,0.711598,0.946306,1.17539,0.799843,0.960016,0.848488,0.600779,0.688091,0.699725]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.19384,4.91108,4.85099,5.59333,6.45521,6.0311,6.03924,4.84082,3.80311,3.00588]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.35019,2.06409,1.77441,1.71935,1.59276,1.35534,1.66685,1.57229,1.78425,1.41745]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.50463,11.656,10.7883,13.5809,16.9281,18.9236,16.2999,14.2734,12.9041,9.92475]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2695, 253, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.193379,0.423848,0.886421,1.02518,0.645715,0.9208,0.729435,0.619398,0.883711,0.885586]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.02755,3.09904,4.73598,4.94357,5.09038,5.6048,5.0785,4.96602,4.84441,3.83522]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.14635,2.56013,3.4196,2.98718,2.59635,2.05162,2.76393,2.79339,3.12576,2.81531]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.49942,14.6487,21.3082,23.9547,27.8211,27.5906,27.582,25.7314,23.1088,19.441]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2696, 254, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.770313,1.09361,1.02081,0.98899,1.19347,1.21105,1.71681,1.78575,3.38564,6.03435]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.99019,2.904,4.75404,6.91195,9.4937,13.7349,18.0575,19.5467,27.4515,33.9393]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.22394,2.4337,4.00174,4.53989,5.55847,5.4365,5.6392,7.56666,16.3366,18.3533]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.63564,3.82253,5.21189,7.76419,10.7266,13.2952,20.2106,26.5394,40.3451,51.1938]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2697, 255, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.3411,1.3494,1.52942,1.47095,2.22503,2.21994,2.41459,3.4808,4.52694,7.77901]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.940376,1.04303,1.46568,2.1427,2.55909,3.69632,4.33656,5.38436,4.93055,5.40144]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.00706,2.74783,2.78845,2.76444,3.506,3.75064,5.80781,7.2601,13.0575,14.0629]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.35798,1.92145,2.3563,3.3136,4.23427,4.56942,6.45622,8.36445,9.05123,10.1944]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2698, 256, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.502298,0.444012,0.521688,0.451884,0.793659,0.95013,0.996171,1.23884,1.98675,3.26438]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.680906,0.738241,1.03426,1.5175,1.8401,2.81178,3.18075,3.96087,3.72524,4.11907]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.846901,1.26478,1.27102,1.35493,1.62352,1.95602,3.23907,3.38076,6.2475,7.29466]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.956758,1.36779,1.66478,2.41324,3.11598,3.34049,4.74961,6.2192,7.01116,7.52463]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2699, 257, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.838806,0.905391,1.00774,1.01907,1.43138,1.26981,1.41841,2.24196,2.54018,4.51464]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.259471,0.304792,0.431419,0.6252,0.718983,0.884541,1.15581,1.42349,1.20531,1.28237]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.16016,1.48305,1.51743,1.4095,1.88248,1.79462,2.56874,3.87934,6.80996,6.76828]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.401222,0.553657,0.691522,0.900357,1.11829,1.22892,1.7066,2.14525,2.04007,2.66974]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2700, 258, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.449475,0.307724,0.343146,0.246026,0.231877,0.240444,0.25577,0.330755,0.725431,2.92593]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.24907,9.05257,12.3394,15.2451,17.7342,20.7136,22.4026,24.5545,26.0914,27.9163]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.20172,3.49468,3.74533,3.61523,2.64928,2.11736,2.23925,2.99359,3.38549,4.00041]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.01,27.1415,36.3657,45.1498,54.0865,63.5214,69.8708,75.299,77.2721,81.061]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2701, 259, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.81964,15.9928,15.9554,16.701,12.9716,8.70203,9.21195,8.92285,14.3467,22.692]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[9.28123,16.0172,19.654,21.3997,22.0874,20.1037,18.5958,15.3211,12.1932,9.28712]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.8268,50.7019,64.4343,58.1707,50.4077,37.916,33.4894,36.9401,44.2142,51.3316]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[25.179,43.375,56.2436,65.3994,68.0265,62.7207,56.6032,48.409,39.2516,31.6228]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2702, 260, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.17495,3.67955,2.94073,2.75576,3.89093,4.16323,5.8993,6.72798,12.4583,20.4379]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.25014,6.09742,6.55982,6.46431,6.89986,6.02331,5.94934,5.01975,4.37791,3.80387]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.55994,15.6749,17.7836,15.4132,17.5177,14.5882,16.5122,22.8856,32.0215,42.9388]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.00271,9.23018,9.8491,9.92717,11.0348,10.531,10.7184,9.79112,9.73356,9.83223]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2703, 261, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.64469,12.3132,13.0146,13.9453,9.0807,4.5388,3.31265,2.19487,1.88839,2.25412]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.03109,9.91979,13.0941,14.9354,15.1875,14.0804,12.6465,10.3014,7.81528,5.48325]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[14.2669,35.027,46.6507,42.7575,32.89,23.3278,16.9772,14.0545,12.1927,8.39289]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[20.1763,34.1448,46.3945,55.4723,56.9917,52.1897,45.8848,38.6179,29.5181,21.7906]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2704, 262, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.472515,1.17056,1.50219,1.52553,0.861364,0.440045,0.256574,0.18779,0.110235,0.0790662]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.672523,1.0383,1.68634,1.80161,1.59766,1.53526,1.11613,1.04243,0.563433,0.2283]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.24794,9.19026,12.3162,10.4527,9.01119,5.62006,3.00726,4.36602,1.93901,1.21876]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.98952,10.0381,13.5114,14.7445,17.4076,14.1866,9.45289,13.6775,5.6374,3.68987]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2705, 263, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.10024,6.09389,6.66634,7.71912,4.79762,2.63125,1.85564,1.19099,1.00049,1.06943]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.04451,5.35915,7.59775,9.02952,8.94827,9.08233,8.15156,6.47869,4.88525,3.12787]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.71406,9.20414,12.1265,10.9798,7.26838,6.20424,6.78475,3.56896,4.86623,3.83019]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.77636,10.1633,13.7829,16.0916,14.4251,15.9707,20.7866,11.1656,14.0072,11.5161]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2706, 264, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.07193,5.04876,4.8461,4.7006,3.42172,1.4675,1.20044,0.816095,0.777668,1.10562]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.96764,4.54325,5.54781,5.66118,6.4946,5.15724,5.23384,4.47113,3.92238,3.25574]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.3049,16.6326,22.208,21.325,16.6104,11.5035,7.18518,6.11952,5.38749,3.34393]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.1856,17.8929,24.1099,29.8507,31.8348,28.6379,22.1378,19.209,15.4775,10.148]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2707, 44, 218, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[181.022,170.622,162.404,154.741,146.984,139.536,131.534,123.103,112.332,101.451]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[246.833,235.602,224.508,212.739,202.675,190.561,179.6,166.946,152.49,135.671]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2708, 152, 218, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[40.3239,72.3876,44.7677,31.1923,22.5579,11.867,4.89289,1.87601,0.908565,0.429317]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[69.5581,130.011,80.574,57.9159,41.6973,22.3592,9.03042,3.53016,1.5211,0.725628]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2709, 154, 218, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1883.26,2111.77,2239.24,2342.14,2391.67,2440.3,2482.7,2499.33,2452.73,2243.93]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1131.68,1271.72,1360.77,1430.99,1456.94,1484.06,1503.91,1519.99,1492.68,1353.5]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2710, 157, 218, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[56.8328,55.5273,54.1657,52.6926,51.0464,49.2934,48.0337,46.068,43.7458,41.6919]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[189.071,185.761,182.572,177.018,171.408,167.062,160.737,154.034,147.515,140.116]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2711, 158, 218, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[192.458,19.1489,2.82008,1.36125,0.583717,0.220148,0.0688168,0.0167797,0.00262198,0.000501448]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[457.874,51.8987,11.0618,5.7192,2.62399,1.0485,0.34565,0.0929087,0.020295,0.0049164]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2712, 198, 218, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1198.67,1181.34,1275.33,1585.83,1892.21,2171.29,2431.25,2655.98,2862.71,3054.51]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1276.35,1327.42,1491.77,1869.59,2235.14,2548.34,2834.6,3059.87,3259.59,3438.82]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2713, 207, 218, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.20366,1.11755,0.554965,0.285418,0.1741,0.141046,0.12207,0.106095,0.104244,0.0963556]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.65468,1.32191,0.642671,0.324923,0.202333,0.169607,0.166086,0.147768,0.153362,0.143469]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2714, 225, 218, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[192.1,234.445,303.276,376.01,457.166,541.065,718.981,1045.7,1389.82,1826.59]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[239.624,323.803,429.219,541.85,652.503,758.033,933.233,1214.93,1508.66,1936.04]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2715, 232, 218, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.19908,1.1482,1.1401,1.19161,1.30344,1.46505,1.67556,2.02306,2.5249,3.25365]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.3113,1.23621,1.20665,1.2659,1.39874,1.55752,1.80576,2.19248,2.74072,3.44224]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2716, 233, 218, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[67.8884,85.988,154.322,252.855,355.475,416.49,464.642,515.921,580.437,675.215]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[64.8228,83.1662,154.263,262.025,376.333,443.269,489.317,533.887,586.054,662.106]}', 2010, '', 1, '', '', '2015-06-15 08:22:15', '2015-06-15 08:22:21', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2717, 301, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.95806,3.63452,5.04153,5.3589,4.19734,3.73023,3.74425,4.76681,7.39442,15.0209]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[15.5892,17.3039,18.9113,20.5794,22.0233,23.6318,25.3326,26.7981,28.41,29.7661]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.05644,2.8323,3.83376,4.5044,4.40699,4.65611,5.15011,6.8699,8.98708,15.8768]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.0849,13.4764,14.8006,15.9745,17.184,18.3334,19.5188,20.6986,21.8788,22.8701]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2718, 302, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.965573,1.79446,2.50236,2.64719,2.06773,1.8421,1.85111,2.35734,3.65033,7.44862]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.71178,8.572,9.36783,10.187,10.9056,11.7092,12.5499,13.2733,14.0664,14.7309]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.01722,1.39867,1.89604,2.22494,2.18266,2.29491,2.54937,3.4113,4.4487,7.82461]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.98792,6.68145,7.3314,7.91259,8.5077,9.0773,9.6622,10.2451,10.8305,11.3069]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2719, 303, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.12841,2.09616,2.89263,3.08338,2.42272,2.15006,2.15687,2.74635,4.26219,8.63543]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.96791,9.93906,10.8654,11.8289,12.6562,13.5731,14.5501,15.3954,16.3257,17.1131]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.18216,1.63231,2.20668,2.59371,2.52938,2.68869,2.95914,3.93965,5.16378,9.16761]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.93891,7.73411,8.50255,9.17489,9.87542,10.5356,11.2176,11.898,12.5735,13.1607]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2720, 310, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.00492,13.1605,17.9829,14.1741,8.6798,5.81342,5.94706,0.632139,1.06858,1.6564]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[776.998,933.5,867.067,801.201,761.499,715.66,646.373,650.76,597.147,599.599]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.345915,0.782966,1.16888,1.32255,1.02765,0.71821,0.719422,0.703814,0.981535,1.64355]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[552.437,432.806,383.801,396.198,435.409,452.061,489.252,521.207,572.713,628.645]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2721, 284, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.00492,13.1605,17.9829,14.1741,8.6798,5.81342,5.94706,0.632139,1.06858,1.6564]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[776.998,933.5,867.067,801.201,761.499,715.66,646.373,650.76,597.147,599.599]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.345915,0.782966,1.16888,1.32255,1.02765,0.71821,0.719422,0.703814,0.981535,1.64355]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[552.437,432.806,383.801,396.198,435.409,452.061,489.252,521.207,572.713,628.645]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2722, 274, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.5887,25.7896,33.8544,39.4248,61.8436,61.5873,72.9428,104.91,172.005,286.437]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[319.427,539.364,562.388,466.515,529.94,493.356,471.835,429.067,384.307,324.476]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[48.5345,108.059,141.071,151.49,221.217,206.221,240.293,343.426,445.678,639.375]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[633.893,1149.15,1239.14,1110.74,1311.33,1271.14,1285.73,1247.9,1236.76,1153.37]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2723, 275, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.9307,24.5437,32.0479,37.434,59.8503,59.7254,71.1696,103.31,170.402,284.833]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[171.504,207.098,216.142,211.661,350.259,369.047,384.326,372.791,350.33,306.438]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[47.5179,105.17,136.836,147.134,217.129,202.536,236.701,340.075,442.536,636.673]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[390.537,505.669,550.522,569.753,927.315,1017.32,1119.38,1140.64,1170.45,1117.1]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2724, 276, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.682657,1.27923,1.86479,2.06809,2.13541,2.02424,1.97293,1.88965,2.08655,2.70453]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[147.938,332.291,346.293,254.905,179.78,124.446,87.6968,56.5197,34.2706,18.4108]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.11495,3.19144,4.58716,4.63055,4.78393,4.16879,4.09453,4.0626,3.89209,3.95393]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[243.385,643.566,688.712,541.07,384.261,254.033,166.576,107.489,66.5454,36.5425]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2725, 277, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.16279,1.67135,2.27341,2.56294,2.90622,2.99135,3.78276,4.59913,8.28691,13.4331]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[466.024,520.483,680.652,847.519,992.241,1159.67,1348.98,1634.3,1791.98,2013.71]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.2837,14.6404,18.7421,20.2788,20.7925,20.8908,21.5955,22.9583,26.8611,33.8563]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[507.796,631.544,878.537,1114.42,1287.78,1496.41,1691.1,1921.8,2043.65,2276.47]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2726, 278, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00155675,0.0048332,0.0112063,0.0163453,0.0290596,0.0881391,0.231121,0.257795,0.925377,1.17155]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00047633,0.00133327,0.00275177,0.00320006,0.00679388,0.0197442,0.0451433,0.0497505,0.170771,0.215451]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00734245,0.00817163,0.0239589,0.0309887,0.0676405,0.117172,0.203999,0.613458,1.05371,2.31945]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00230039,0.00248527,0.00711372,0.00947598,0.0189567,0.0315732,0.0531249,0.144262,0.238243,0.487927]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2727, 279, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0533577,0.128136,0.178954,0.23936,0.316713,0.29745,0.537063,0.772761,1.74477,3.22482]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[73.2615,60.3795,50.1352,45.8527,45.9845,48.2483,50.5927,54.6557,57.703,59.6234]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.130783,0.268529,0.502696,0.595142,0.641413,0.571195,0.845946,1.30006,2.4482,4.72835]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[66.8821,56.1789,47.6166,43.01,42.2224,44.071,46.8489,50.0352,53.5632,56.0011]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2728, 280, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.10788,1.53838,1.80443,1.91973,2.05638,2.09627,2.02183,2.04802,2.00108,1.92271]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.1456,14.3637,17.7216,18.9212,19.2579,19.3461,19.2564,18.9128,19.3162,18.516]}', '', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2729, 313, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.04948,11.3932,12.4269,11.3706,8.52371,6.04583,6.55523,5.26121,8.76852,13.6244]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[657.014,833.672,889.61,930.496,942.173,949.773,950.288,935.228,893.505,788.469]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.10876,2.22423,2.44958,2.06393,2.30284,1.89586,2.11441,2.86418,3.91401,4.97601]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[162.548,186.39,187.308,183.838,182.408,183.119,183.673,177.116,163.143,136.276]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2730, 314, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.625073,0.715219,0.562482,0.523901,0.727106,0.782853,1.08447,1.23903,2.21311,3.42332]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[308.512,340.586,348.142,352.482,353.5,355.446,355.989,349.538,333.578,289.529]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.10876,2.22423,2.44958,2.06393,2.30284,1.89586,2.11441,2.86418,3.91401,4.97601]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[162.548,186.39,187.308,183.838,182.408,183.119,183.673,177.116,163.143,136.276]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2731, 304, 218, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.976283,1.39993,2.08225,3.5328,5.82853,9.50877,18.059,32.0388]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.3526,15.6422,20.5649,26.2614,34.3418,44.3322,55.2609,64.698]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.44079,4.01851,5.85036,8.56213,13.3166,23.2725,36.0724,59.2425]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.3631,18.4449,24.2459,30.8647,40.1454,52.4546,65.4165,76.0564]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2732, 306, 218, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.93045,5.81499,8.7745,14.9513,26.3199,43.7072,89.6564,164.135]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[196.72,254.751,323.087,401.993,504.517,648.049,817.461,999.315]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.24305,14.0946,20.9647,31.1861,50.7562,94.4452,154.99,273.736]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[156.675,201.113,250.581,307.572,377.791,480.146,593.419,704.781]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2733, 307, 218, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0277147,0.0363463,0.0468055,0.0471167,0.0949121,0.142587,0.347022,0.71882]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0495266,0.0701787,0.0787876,0.0804871,0.124105,0.206809,0.392604,0.825996]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0,0,0,0,0,0,0,0]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2734, 309, 218, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.617785,1.09641,1.7087,2.65265,5.02223,8.84453,18.6807,35.0497]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.57473,6.72839,10.999,15.4943,23.7378,32.8552,44.7716,57.6326]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.893671,1.79953,3.26439,4.64744,8.80205,17.0626,29.6722,54.1608]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.97953,5.72581,11.5762,15.3539,25.854,38.9061,56.2146,72.8277]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2735, 305, 218, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0158082,0.0303266,0.0269252,0.112607,0.208361,0.234479,0.690459,0.869507]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.00518394,0.00394118,0.00642668,0.0241319,0.0388438,0.0477483,0.123171,0.15758]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0194379,0.033657,0.0712876,0.137777,0.144935,0.47615,0.623974,1.44113]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.005205,0.00875584,0.0179164,0.0325768,0.0364053,0.101686,0.121789,0.278678]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2736, 308, 218, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.601977,1.06609,1.68178,2.54004,4.81387,8.61005,17.9902,34.1802]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.56954,6.72445,10.9925,15.4702,23.6989,32.8075,44.6484,57.475]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.874234,1.76587,3.1931,4.50966,8.65711,16.5865,29.0482,52.7197]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.97432,5.71706,11.5583,15.3213,25.8176,38.8044,56.0928,72.549]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2737, 271, 218, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.188925,1.43064,2.22569,5.11007,7.91119,12.7216,39.2527,49.2038]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.27825,51.4146,59.5873,202.228,143.88,87.4646,441.101,292.913]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.235679,12.4167,22.3284,32.0695,41.858,83.0907,127.975,240.819]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.815169,215.631,313.988,407.653,251.376,448.26,478.754,763.13]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2738, 272, 218, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.188925,0.270029,0.398545,0.674417,1.12571,1.86454,3.4679,6.2388]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.27825,2.01979,2.87342,3.76637,5.27968,7.37149,9.15453,10.7758]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.235679,0.34572,0.458475,0.702758,1.19313,1.88485,3.17782,5.45011]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.815169,1.14109,1.49303,2.12258,3.23901,4.03421,5.60186,6.75131]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2739, 265, 218, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.5913,3.5368,6.21744,7.54967,15.9025,29.2113,64.516,128.574]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[62.463,107.883,178.068,262.04,362.75,459.566,581.422,668.885]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.74276,8.665,15.0156,18.0933,34.2241,62.4579,113.479,195.248]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[72.5555,125.08,204.813,296.338,410.391,510.12,644.959,730.143]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2740, 266, 218, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.328061,0.467408,0.900691,1.5558,3.56021,6.45165,14.076,28.6855]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.70146,6.04667,12.164,16.9224,35.0374,49.1021,74.1811,87.6411]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.753229,1.20512,3.00469,4.52241,6.79857,12.0241,17.6024,29.0623]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.71217,6.02153,15.1024,21.0782,30.725,43.3633,53.1349,62.9518]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2741, 267, 218, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.46951,6.42049,13.6997,20.2847,44.1754,73.6078,169.213,317.377]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[27.774,42.6468,98.2103,135.684,252.961,319.853,494.442,616.533]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.3693,16.7862,28.8827,40.2126,79.1961,139.785,265.845,468.441]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[36.8819,57.123,111.676,144.447,255.901,353.232,563.42,703.752]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2742, 268, 218, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.34089,3.53075,6.60501,8.13519,14.4446,24.6726,43.0267,81.9331]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[71.5002,109.015,212.373,333.288,501.063,619.706,640.657,693.594]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.78146,5.6039,10.4066,14.6589,23.0044,42.9302,63.7216,111.22]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[69.9896,104.038,209.03,308.212,447.348,558.148,610.922,665.464]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2743, 286, 218, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.20186,8.12302,12.6885,22.3462,40.4164,72.5676,144.29,258.58]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[64.4303,107.255,166.556,241.649,336.481,440.911,574.668,666.163]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[11.7669,20.3624,32.354,49.7602,85.4479,162.207,268.576,465.033]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[74.73,124.153,196.568,280.769,393.072,527.13,678.953,807.081]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2744, 287, 218, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.80893,4.33567,6.96994,12.7161,22.9875,39.1637,78.8901,128.09]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.1353,21.1963,30.8989,42.8238,62.5647,88.3545,117.205,130.879]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.75245,12.0085,19.0917,29.1847,50.9582,97.6916,158.503,260.364]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.3893,28.3132,41.7933,58.3537,86.8687,125.46,168.098,192.88]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2745, 288, 218, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.26528,1.80353,2.81801,4.5277,7.89809,12.5558,23.9338,40.0076]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.29152,8.0978,11.193,14.7097,20.5463,27.9942,35.7345,40.9619]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.9792,5.07164,7.50166,10.7054,17.849,31.3821,49.6867,81.6234]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.92527,10.703,15.0137,19.9608,28.3633,38.9575,50.1021,57.8128]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2746, 289, 218, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.46532,2.15249,3.32138,5.73589,9.80409,16.3298,31.408,56.5199]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[29.3164,48.0944,72.412,100.349,130.799,163.181,192.458,212.766]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.62274,6.16903,9.18448,13.6603,22.4336,39.9019,63.5382,107.162]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[34.5208,56.5752,84.7085,116.533,152.313,191.233,228.012,254.539]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2747, 290, 218, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.09086,1.50862,2.11667,3.93731,5.95551,11.0792,20.2351,40.8938]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[13.5072,22.3813,33.1339,46.6675,68.1453,96.7362,127.39,152.845]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.43187,5.46644,7.95044,12.1438,17.7972,31.3148,47.92,74.6771]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[17.6091,29.0512,43.1969,60.8023,89.6776,128.936,172.383,208.707]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2748, 291, 218, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0786893,0.165016,0.273452,0.417474,1.023,2.32715,3.17248,4.11104]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0413634,0.0881531,0.159572,0.236148,0.572254,1.16317,1.48063,1.89554]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.108065,0.148566,0.304387,0.452966,0.767898,1.29317,1.98929,3.57733]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0658743,0.0970506,0.212022,0.325716,0.49161,0.802012,1.16136,1.9456]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2749, 292, 218, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0126222,0.0270621,0.0450209,0.0712462,0.175271,0.385609,0.511929,0.642938]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.09827,5.17879,8.0543,11.3212,14.0896,16.1,17.307,17.7304]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0211475,0.0299213,0.0621714,0.0933349,0.158871,0.265203,0.395376,0.693117]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[4.33986,7.23887,11.1072,15.4101,18.859,21.3085,22.9415,23.7579]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2750, 293, 218, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.439493,0.609717,0.843076,1.51983,2.38924,4.35494,7.32748,13.6573]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[19.8772,32.3618,48.3033,66.8494,84.9775,103.103,117.468,128.658]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.23359,1.89908,2.72753,4.09293,5.81414,9.84655,14.4998,22.2628]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[21.8655,35.4254,52.5222,71.9083,91.5093,112.106,129.78,144.525]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2751, 294, 218, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.382564,0.56407,0.682003,0.839873,1.34963,2.33255,6.53369,11.8447]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[7.47609,11.4583,18.1554,28.5707,43.0637,53.5924,90.8114,95.823]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.905993,1.28123,1.7175,2.1907,3.10286,5.45227,9.48824,16.4333]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[8.89583,13.4742,23.0614,34.4832,47.4541,60.5108,78.1573,85.7612]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2752, 295, 218, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0427218,0.0516109,0.0587916,0.0842104,0.106899,0.129247,0.147536,0.190571]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.516408,0.688322,0.81577,0.921537,1.02952,0.944984,0.820702,0.689673]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.241955,0.319742,0.410951,0.518957,0.617151,0.762722,0.835493,0.931387]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.16909,1.60768,2.00227,2.36931,2.77494,2.79872,2.66464,2.32664]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2753, 296, 218, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.104549,0.215642,0.356711,0.546215,1.32631,3.01879,4.10734,5.325]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0536897,0.11102,0.21031,0.301074,0.73218,1.50248,1.91347,2.42925]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.147461,0.201786,0.410865,0.605243,1.02213,1.7297,2.66137,4.78104]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.0924207,0.131854,0.286594,0.429729,0.660587,1.06743,1.55493,2.60757]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2754, 297, 218, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.769906,1.05737,1.47173,2.70514,4.05434,7.40669,13.244,26.2877]}', '', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[2.40908,3.81596,5.51594,8.32263,12.0457,20.8656,31.2805,47.8837]}', '', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2755, 298, 218, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.424553,0.577149,0.796681,1.44438,2.15041,3.91396,6.99663,13.8604]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[5.29516,8.61061,12.5037,17.2436,24.7155,34.4481,44.4468,52.1364]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.35178,2.1148,3.02312,4.52547,6.52058,11.2992,16.7896,25.6962]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.88659,11.2025,16.3775,22.6297,32.7488,46.1564,60.3578,71.391]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2756, 299, 218, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.12799,0.169685,0.227762,0.414434,0.596293,1.05375,1.82904,3.48681]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.58907,2.54376,3.62641,4.94379,6.90953,9.26306,11.4975,13.0009]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.358232,0.549655,0.77041,1.15922,1.62816,2.66747,3.80529,5.5447]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.83325,2.94406,4.2541,5.80791,8.2127,11.0081,13.7365,15.5134]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2757, 300, 218, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.02914,1.67456,2.58025,4.27678,7.73895,13.6046,27.8461,52.7926]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.06211,10.4752,16.6024,25.422,37.3253,50.1656,67.2734,86.6086]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.8469,3.38776,5.65534,8.67946,15.8169,29.3911,50.6334,91.8349]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[6.24052,10.9352,20.4235,29.1858,46.9421,68.3463,97.5562,126.248]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2758, 270, 218, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.86126,3.2259,5.01822,7.47618,12.3518,23.942,44.4618,83.4126]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[33.6666,55.9827,84.9747,118.175,155.1,197.164,247.917,292.331]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.48104,5.3389,7.76047,11.1448,17.0938,31.4544,52.6584,98.2667]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[31.5472,51.4528,76.9586,106.689,141.383,182.08,229.544,275.124]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2759, 283, 218, '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.278822,0.387505,0.504066,0.509483,0.992748,1.52056,3.61568,7.11399]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[95.3082,124.898,157.413,193.336,231.822,287.002,345.064,396.905]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[0.493778,0.731478,0.825539,0.856316,1.28919,2.13198,4.04293,8.29259]}', '{\"age\":[\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[108.794,140.697,170.806,204.536,241.437,290.176,350.238,406.151]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2760, 273, 218, '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[1.16061,1.82715,4.43565,6.78548,10.8571,35.7848,42.965]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[49.3948,56.7139,198.462,138.6,80.0931,431.946,282.137]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[12.071,21.8699,31.3667,40.6649,81.2059,124.797,235.369]}', '{\"age\":[\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[214.49,312.495,405.531,248.137,444.226,473.152,756.379]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2761, 269, 218, '{\"age\":[\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.00917,4.47883,11.4674]}', '{\"age\":[\"50-54\",\"55-59\",\"60-64\"],\"number\":[41.303,66.7404,76.319]}', '{\"age\":[\"50-54\",\"55-59\",\"60-64\"],\"number\":[10.0929,14.4176,26.4971]}', '{\"age\":[\"50-54\",\"55-59\",\"60-64\"],\"number\":[60.0688,95.7721,129.459]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2762, 315, 218, '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[3.74097,11.085,12.185,11.1415,8.20183,5.69221,6.06358,4.67459,7.72689,12.001]}', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[411.33,578.862,632.257,672.04,682.551,687.353,685.573,673.924,642.609,569.167]}', '', '', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2763, 281, 218, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[63.8719,95.38,116.311,140.649,135.665,158.425,191.797,283.744,263.09,333.885]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[85.807,143.007,185.552,234.519,229.303,266.252,298.31,376.203,331.272,423.808]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, ''),
(2764, 282, 218, '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[328.89,364.722,418.895,536.117,653.172,759.637,874.724,1008.85,1125.95,1223.08]}', '', '{\"age\":[\"15-19\",\"20-24\",\"25-29\",\"30-34\",\"35-39\",\"40-44\",\"45-49\",\"50-54\",\"55-59\",\"60-64\"],\"number\":[355.105,432.355,536.567,696.188,845.43,981.524,1104.45,1205.25,1308.34,1390.02]}', 2010, '', 1, '', '', '2015-06-15 08:22:56', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 2, '');

--
-- Dumping data for table `#__costbenefitprojection_currency`
--

INSERT INTO `#__costbenefitprojection_currency` (`id`, `alias`, `codethree`, `decimalplace`, `decimalsymbol`, `name`, `negativestyle`, `numericcode`, `positivestyle`, `symbol`, `thousands`, `params`, `published`, `created_by`, `modified_by`, `created`, `modified`, `checked_out`, `checked_out_time`, `version`, `hits`, `access`, `ordering`) VALUES
(1, '', 'AED', 2, ',', 'United Arab Emirates dirham', '{sign}{number} {symbol}', 784, '{number} {symbol}', 'د.إ', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 23),
(2, '', 'AFN', 2, ',', 'Afghan afghani', '{sign}{number} {symbol}', 971, '{number} {symbol}', '؋', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 24),
(3, '', 'ALL', 2, ',', 'Albanian lek', '{sign}{number} {symbol}', 8, '{number} {symbol}', 'Lek', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 25),
(4, '', 'AMD', 2, ',', 'Armenian dram', '{sign}{number} {symbol}', 51, '{number} {symbol}', 'դր.', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 26),
(5, '', 'ANG', 2, ',', 'Netherlands Antillean gulden', '{sign}{number} {symbol}', 532, '{number} {symbol}', 'ƒ', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 27),
(6, '', 'AOA', 2, ',', 'Angolan kwanza', '{sign}{number} {symbol}', 973, '{number} {symbol}', 'Kz', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 28),
(7, '', 'ARS', 2, ',', 'Argentine peso', '{sign}{number} {symbol}', 32, '{number} {symbol}', '$', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 29),
(8, '', 'AUD', 2, '.', 'Australian dollar', '{sign}{symbol} {number}', 36, '{symbol} {number}', '$', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 5),
(9, '', 'AWG', 2, ',', 'Aruban florin', '{sign}{number} {symbol}', 533, '{number} {symbol}', 'ƒ', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 30),
(10, '', 'AZN', 2, ',', 'Azerbaijani manat', '{sign}{number} {symbol}', 934, '{number} {symbol}', 'ман', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 31),
(11, '', 'BAM', 2, ',', 'Bosnia and Herzegovina convert', '{sign}{number} {symbol}', 977, '{number} {symbol}', 'KM', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 32),
(12, '', 'BBD', 2, ',', 'Barbadian dollar', '{sign}{number} {symbol}', 52, '{number} {symbol}', '$', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 33),
(13, '', 'BDT', 2, ',', 'Bangladeshi taka', '{sign}{number} {symbol}', 50, '{number} {symbol}', '৳', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 34),
(14, '', 'BGN', 2, ',', 'Bulgarian lev', '{sign}{number} {symbol}', 975, '{number} {symbol}', 'лв', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 35),
(15, '', 'BHD', 2, ',', 'Bahraini dinar', '{sign}{number} {symbol}', 48, '{number} {symbol}', 'ب.د', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 36),
(16, '', 'BIF', '', '', 'Burundian franc', '{sign}{number} {symbol}', 108, '{number} {symbol}', 'Fr', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 37),
(17, '', 'BMD', 2, ',', 'Bermudian dollar', '{sign}{number} {symbol}', 60, '{number} {symbol}', '$', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 38),
(18, '', 'BND', 2, ',', 'Brunei dollar', '{sign}{number} {symbol}', 96, '{number} {symbol}', '$', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 39),
(19, '', 'BOB', 2, ',', 'Bolivian boliviano', '{sign}{number} {symbol}', 68, '{number} {symbol}', '$b', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 40),
(20, '', 'BOV', 2, ',', 'Mvdol', '{sign}{number} {symbol}', 984, '{number} {symbol}', 'BOV', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 41),
(21, '', 'BRL', 2, '.', 'Brazilian real', '{symbol} {sign}{number}', 986, '{symbol} {number}', 'R$', ',', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 17),
(22, '', 'BSD', 2, ',', 'Bahamian dollar', '{sign}{number} {symbol}', 44, '{number} {symbol}', '$', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 42),
(23, '', 'BTN', 2, ',', 'Bhutanese ngultrum', '{sign}{number} {symbol}', 64, '{number} {symbol}', 'BTN', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 43),
(24, '', 'BWP', 2, ',', 'Botswana pula', '{sign}{number} {symbol}', 72, '{number} {symbol}', 'P', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 44),
(25, '', 'BYR', '', '', 'Belarusian ruble', '{sign}{number} {symbol}', 974, '{number} {symbol}', 'p.', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 45),
(26, '', 'BZD', 2, ',', 'Belize dollar', '{sign}{number} {symbol}', 84, '{number} {symbol}', 'BZ$', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 46),
(27, '', 'CAD', 2, '.', 'Canadian dollar', '{symbol}{sign}{number}', 124, '{symbol}{number}', '$', ',', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 7),
(28, '', 'CDF', 2, ',', 'Congolese franc', '{sign}{number} {symbol}', 976, '{number} {symbol}', 'Fr', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 47),
(29, '', 'CHE', 2, ',', 'WIR Euro', '{sign}{number} {symbol}', 947, '{number} {symbol}', '€', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 48),
(30, '', 'CHF', 2, ',', 'Swiss franc', '{sign}{number} {symbol}', 756, '{number} {symbol}', 'CHF', '', '', 1, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 6),
(31, '', 'CHW', 2, ',', 'WIR Franc', '{sign}{number} {symbol}', 948, '{number} {symbol}', 'CHW', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 49),
(32, '', 'CLF', '', ',', 'Unidad de Fomento', '{sign}{number} {symbol}', 990, '{number} {symbol}', 'CLF', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 50),
(33, '', 'CLP', 2, ',', 'Chilean peso', '{sign}{number} {symbol}', 152, '{number} {symbol}', '$', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 51),
(34, '', 'CNY', 2, ',', 'Chinese renminbi yuan', '{sign}{number} {symbol}', 156, '{number} {symbol}', '元', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 9),
(35, '', 'COP', 2, ',', 'Colombian peso', '{sign}{number} {symbol}', 170, '{number} {symbol}', '$', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 52),
(36, '', 'COU', 2, ',', 'Unidad de Valor Real', '{sign}{number} {symbol}', 970, '{number} {symbol}', 'COU', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 53),
(37, '', 'CRC', 2, ',', 'Costa Rican colón', '{sign}{number} {symbol}', 188, '{number} {symbol}', '₡', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 54),
(38, '', 'CZK', 2, ',', 'Czech koruna', '{sign}{number} {symbol}', 203, '{number} {symbol}', 'Kč', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 57),
(39, '', 'CUP', 2, ',', 'Cuban peso', '{sign}{number} {symbol}', 192, '{number} {symbol}', '₱', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 55),
(40, '', 'CVE', '', '', 'Cape Verdean escudo', '{sign}{number} {symbol}', 132, '{number} {symbol}', '$', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 56),
(41, '', 'DJF', '', '', 'Djiboutian franc', '{sign}{number} {symbol}', 262, '{number} {symbol}', 'Fr', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 58),
(42, '', 'DKK', 2, '.', 'Danish krone', '{symbol}{sign}{number}', 208, '{symbol}{number}', 'kr', ',', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 19),
(43, '', 'DOP', 2, ',', 'Dominican peso', '{sign}{number} {symbol}', 214, '{number} {symbol}', 'RD$', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 59),
(44, '', 'DZD', 2, ',', 'Algerian dinar', '{sign}{number} {symbol}', 12, '{number} {symbol}', 'د.ج', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 60),
(45, '', 'EGP', 2, ',', 'Egyptian pound', '{sign}{number} {symbol}', 818, '{number} {symbol}', '£', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 61),
(46, '', 'ERN', 2, ',', 'Eritrean nakfa', '{sign}{number} {symbol}', 232, '{number} {symbol}', 'Nfk', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 62),
(47, '', 'ETB', 2, ',', 'Ethiopian birr', '{sign}{number} {symbol}', 230, '{number} {symbol}', 'ETB', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 63),
(48, '', 'EUR', 2, ',', 'Euro', '{sign}{number} {symbol}', 978, '{number} {symbol}', '€', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 2),
(49, '', 'FJD', 2, ',', 'Fijian dollar', '{sign}{number} {symbol}', 242, '{number} {symbol}', '$', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 64),
(50, '', 'FKP', 2, ',', 'Falkland pound', '{sign}{number} {symbol}', 238, '{number} {symbol}', '£', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 65),
(51, '', 'GBP', 2, '.', 'British pound', '{symbol}{sign}{number}', 826, '{symbol}{number}', '£', ',', '', 1, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 4),
(52, '', 'GEL', 2, ',', 'Georgian lari', '{sign}{number} {symbol}', 981, '{number} {symbol}', 'ლ', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 66),
(53, '', 'GHS', 2, ',', 'Ghanaian cedi', '{sign}{number} {symbol}', 936, '{number} {symbol}', '₵', '', '', 1, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 67),
(54, '', 'GIP', 2, ',', 'Gibraltar pound', '{sign}{number} {symbol}', 292, '{number} {symbol}', '£', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 68),
(55, '', 'GMD', 2, ',', 'Gambian dalasi', '{sign}{number} {symbol}', 270, '{number} {symbol}', 'D', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 69),
(56, '', 'GNF', '', '', 'Guinean franc', '{sign}{number} {symbol}', 324, '{number} {symbol}', 'Fr', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 70),
(57, '', 'GTQ', 2, ',', 'Guatemalan quetzal', '{sign}{number} {symbol}', 320, '{number} {symbol}', 'Q', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 71),
(58, '', 'GYD', 2, ',', 'Guyanese dollar', '{sign}{number} {symbol}', 328, '{number} {symbol}', '$', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 72),
(59, '', 'HKD', 2, ',', 'Hong Kong dollar', '{sign}{number} {symbol}', 344, '{number} {symbol}', '元', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 13),
(60, '', 'HNL', 2, ',', 'Honduran lempira', '{sign}{number} {symbol}', 340, '{number} {symbol}', 'L', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 73),
(61, '', 'HRK', 2, ',', 'Croatian kuna', '{sign}{number} {symbol}', 191, '{number} {symbol}', 'kn', '.', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 74),
(62, '', 'HTG', 2, ',', 'Haitian gourde', '{sign}{number} {symbol}', 332, '{number} {symbol}', 'G', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 75),
(63, '', 'HUF', 2, ',', 'Hungarian forint', '{sign}{number} {symbol}', 348, '{number} {symbol}', 'Ft', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 76),
(64, '', 'IDR', '', '', 'Indonesian rupiah', '{symbol}{sign}{number}', 360, '{symbol}{number}', 'Rp', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 77),
(65, '', 'ILS', 2, ',', 'Israeli new sheqel', '{sign}{number} {symbol}', 376, '{number} {symbol}', '₪', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 20),
(66, '', 'INR', 2, ',', 'Indian rupee', '{sign}{number} {symbol}', 356, '{number} {symbol}', '₨', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 16),
(67, '', 'IQD', '', '', 'Iraqi dinar', '{sign}{number} {symbol}', 368, '{number} {symbol}', 'ع.د', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 78),
(68, '', 'IRR', 2, ',', 'Iranian rial', '{sign}{number}{symb0l}', 364, '{number} {symbol}', '﷼', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 79),
(69, '', 'ISK', 2, ',', 'Icelandic króna', '{sign}{number} {symbol}', 352, '{number} {symbol}', 'kr', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 80),
(70, '', 'JMD', 2, ',', 'Jamaican dollar', '{sign}{number} {symbol}', 388, '{number} {symbol}', 'J$', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 81),
(71, '', 'JOD', 2, ',', 'Jordanian dinar', '{sign}{number} {symbol}', 400, '{number} {symbol}', 'د.ا', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 82),
(72, '', 'JPY', 2, ',', 'Japanese yen', '{sign}{number} {symbol}', 392, '{number} {symbol}', '¥', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 3),
(73, '', 'KES', 2, ',', 'Kenyan shilling', '{sign}{number} {symbol}', 404, '{number} {symbol}', 'Sh', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 83),
(74, '', 'KGS', 2, ',', 'Kyrgyzstani som', '{sign}{number} {symbol}', 417, '{number} {symbol}', 'лв', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 84),
(75, '', 'KHR', 2, ',', 'Cambodian riel', '{sign}{number} {symbol}', 116, '{number} {symbol}', '៛', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 85),
(76, '', 'KMF', '', '', 'Comorian franc', '{sign}{number} {symbol}', 174, '{number} {symbol}', 'Fr', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 86),
(77, '', 'KPW', '', '', 'North Korean won', '{sign}{number} {symbol}', 408, '{number} {symbol}', '₩', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 87),
(78, '', 'KRW', '', '', 'South Korean won', '{sign}{number} {symbol}', 410, '{number} {symbol}', '₩', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 21),
(79, '', 'KWD', 2, ',', 'Kuwaiti dinar', '{sign}{number} {symbol}', 414, '{number} {symbol}', 'د.ك', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 88),
(80, '', 'KYD', 2, ',', 'Cayman Islands dollar', '{sign}{number} {symbol}', 136, '{number} {symbol}', '$', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 89),
(81, '', 'KZT', 2, ',', 'Kazakhstani tenge', '{sign}{number} {symbol}', 398, '{number} {symbol}', 'лв', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 90),
(82, '', 'LAK', '', '', 'Lao kip', '{sign}{number} {symbol}', 418, '{number} {symbol}', '₭', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 91),
(83, '', 'LBP', '', '', 'Lebanese pound', '{sign}{number} {symbol}', 422, '{number} {symbol}', '£', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 92),
(84, '', 'LKR', 2, ',', 'Sri Lankan rupee', '{sign}{number} {symbol}', 144, '{number} {symbol}', '₨', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 93),
(85, '', 'LRD', 2, ',', 'Liberian dollar', '{sign}{number} {symbol}', 430, '{number} {symbol}', '$', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 94),
(86, '', 'LSL', 2, ',', 'Lesotho loti', '{sign}{number} {symbol}', 426, '{number} {symbol}', 'L', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 95),
(87, '', 'LTL', 2, ',', 'Lithuanian litas', '{sign}{number} {symbol}', 440, '{number} {symbol}', 'Lt', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 96),
(88, '', 'LVL', 2, ',', 'Latvian lats', '{sign}{number} {symbol}', 428, '{number} {symbol}', 'Ls', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 97),
(89, '', 'LYD', 3, ',', 'Libyan dinar', '{sign}{number} {symbol}', 434, '{number} {symbol}', 'ل.د', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 98),
(90, '', 'MAD', 2, ',', 'Moroccan dirham', '{sign}{number} {symbol}', 504, '{number} {symbol}', 'د.م.', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 99),
(91, '', 'MDL', 2, ',', 'Moldovan leu', '{sign}{number} {symbol}', 498, '{number} {symbol}', 'L', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 100),
(92, '', 'MGA', 2, ',', 'Malagasy ariary', '{sign}{number} {symbol}', 969, '{number} {symbol}', 'MGA', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 101),
(93, '', 'MKD', 2, ',', 'Macedonian denar', '{sign}{number} {symbol}', 807, '{number} {symbol}', 'ден', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 102),
(94, '', 'MMK', 2, ',', 'Myanmar kyat', '{symbol} {sign}{number}', 104, '{number} {symbol}', 'K', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 103),
(95, '', 'MNT', 2, ',', 'Mongolian tögrög', '{sign}{number} {symbol}', 496, '{number} {symbol}', '₮', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 104),
(96, '', 'MOP', 1, ',', 'Macanese pataca', '{symbol}{sign}{number}', 446, '{symbol}{number}', 'P', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 105),
(97, '', 'MRO', 2, ',', 'Mauritanian ouguiya', '{sign}{number} {symbol}', 478, '{number} {symbol}', 'UM', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 106),
(98, '', 'MUR', 2, ',', 'Mauritian rupee', '{sign}{number} {symbol}', 480, '{number} {symbol}', '₨', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 107),
(99, '', 'MVR', 2, ',', 'Maldivian rufiyaa', '{sign}{number} {symbol}', 462, '{number} {symbol}', 'ރ.', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 108),
(100, '', 'MWK', 2, ',', 'Malawian kwacha', '{sign}{number} {symbol}', 454, '{number} {symbol}', 'MK', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 109),
(101, '', 'MXN', 2, ',', 'Mexican peso', '{sign}{number} {symbol}', 484, '{number} {symbol}', '$', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 8),
(102, '', 'MXV', 2, ',', 'Mexican Unid', '{sign}{number} {symbol}', 979, '{number} {symbol}', 'MXV', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 110),
(103, '', 'MYR', 2, ',', 'Malaysian ringgit', '{sign}{number} {symbol}', 458, '{number} {symbol}', 'RM', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 111),
(104, '', 'MZN', 2, ',', 'Mozambican metical', '{sign}{number} {symbol}', 943, '{number} {symbol}', 'MT', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 112),
(105, '', 'NAD', 2, ',', 'Namibian dollar', '{symbol} {sign}{number}', 516, '{symbol} {number}', 'N$', '', '', 1, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 113),
(106, '', 'NGN', 2, ',', 'Nigerian naira', '{sign}{number} {symbol}', 566, '{number} {symbol}', '₦', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 114),
(107, '', 'NIO', 2, ',', 'Nicaraguan córdoba', '{sign}{number} {symbol}', 558, '{number} {symbol}', 'C$', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 115),
(108, '', 'NOK', 2, ',', 'Norwegian krone', '{symbol}{sign}{number}', 578, '{symbol}{number}', 'kr', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 18),
(109, '', 'NPR', 2, ',', 'Nepalese rupee', '{sign}{number} {symbol}', 524, '{number} {symbol}', '₨', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 116),
(110, '', 'NZD', 2, ',', 'New Zealand dollar', '{symbol}{sign}{number}', 554, '{number} {symbol}', '$', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 10),
(111, '', 'OMR', 3, '.', 'Omani rial', '{sign}{number} {symbol}', 512, '{number} {symbol}', '﷼', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 117),
(112, '', 'PAB', 2, ',', 'Panamanian balboa', '{sign}{number} {symbol}', 590, '{number} {symbol}', 'B/.', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 118),
(113, '', 'PEN', 2, ',', 'Peruvian nuevo sol', '{sign}{number} {symbol}', 604, '{number} {symbol}', 'S/.', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 119),
(114, '', 'PGK', 2, ',', 'Papua New Guinean kina', '{sign}{number} {symbol}', 598, '{number} {symbol}', 'K', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 120),
(115, '', 'PHP', 2, ',', 'Philippine peso', '{sign}{number} {symbol}', 608, '{number} {symbol}', '₱', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 121),
(116, '', 'PKR', 2, ',', 'Pakistani rupee', '{sign}{number} {symbol}', 586, '{number} {symbol}', '₨', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 122),
(117, '', 'PLN', 2, ',', 'Polish Złoty', '{sign}{number} {symbol}', 985, '{number} {symbol}', 'zł', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 123),
(118, '', 'PYG', '', '', 'Paraguayan guaraní', '{symbol} {sign}{number}', 600, '{symbol} {number}', '₲', '.', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 124),
(119, '', 'QAR', 2, ',', 'Qatari riyal', '{sign}{number} {symbol}', 634, '{number} {symbol}', '﷼', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 125),
(120, '', 'RON', 2, ',', 'Romanian leu', '{sign}{number} {symbol}', 946, '{number} {symbol}', 'lei', '.', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 126),
(121, '', 'RWF', 2, ',', 'Rwandan franc', '{sign}{number} {symbol}', 646, '{number} {symbol}', 'Fr', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 128),
(122, '', 'SAR', 2, ',', 'Saudi riyal', '{sign}{number} {symbol}', 682, '{number} {symbol}', '﷼', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 129),
(123, '', 'SBD', 2, ',', 'Solomon Islands dollar', '{sign}{number} {symbol}', 90, '{number} {symbol}', '$', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 130),
(124, '', 'SCR', 2, ',', 'Seychellois rupee', '{sign}{number} {symbol}', 690, '{number} {symbol}', '₨', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 131),
(125, '', 'SDG', 2, ',', 'Sudanese pound', '{sign}{number} {symbol}', 938, '{number} {symbol}', '£', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 132),
(126, '', 'SEK', 2, ',', 'Swedish krona', '{sign}{number} {symbol}', 752, '{number} {symbol}', 'kr', '.', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 11),
(127, '', 'SGD', 2, ',', 'Singapore dollar', '{sign}{number} {symbol}', 702, '{number} {symbol}', '$', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 14),
(128, '', 'SHP', 2, ',', 'Saint Helenian pound', '{sign}{number} {symbol}', 654, '{number} {symbol}', '£', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 133),
(129, '', 'SLL', 2, ',', 'Sierra Leonean leone', '{sign}{number} {symbol}', 694, '{number} {symbol}', 'Le', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 134),
(130, '', 'SOS', 2, ',', 'Somali shilling', '{sign}{number} {symbol}', 706, '{number} {symbol}', 'S', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 135),
(131, '', 'SRD', 2, ',', 'Surinamese dollar', '{sign}{number} {symbol}', 968, '{number} {symbol}', '$', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 136),
(132, '', 'STD', '', '', 'São Tomé and Príncipe dobra', '{sign}{number} {symbol}', 678, '{number} {symbol}', 'Db', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 137),
(133, '', 'RUB', 2, ',', 'Russian ruble', '{sign}{number} {symbol}', 643, '{number} {symbol}', 'руб', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 12),
(134, '', 'SVC', 2, ',', 'Salvadoran colón', '{sign}{number} {symbol}', 222, '{number} {symbol}', '$', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 138),
(135, '', 'SYP', 2, ',', 'Syrian pound', '{sign}{number} {symbol}', 760, '{number} {symbol}', '£', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 139),
(136, '', 'SZL', 2, ',', 'Swazi lilangeni', '{sign}{number} {symbol}', 748, '{number} {symbol}', 'L', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 140),
(137, '', 'THB', 2, ',', 'Thai baht', '{sign}{number} {symbol}', 764, '{number} {symbol}', '฿', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 141),
(138, '', 'TJS', 2, ',', 'Tajikistani somoni', '{sign}{number} {symbol}', 972, '{number} {symbol}', 'ЅМ', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 142),
(139, '', 'TND', 3, ',', 'Tunisian dinar', '{sign}{number} {symbol}', 788, '{number} {symbol}', 'د.ت', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 143),
(140, '', 'TOP', 2, ',', 'Tongan paʻanga', '{sign}{number} {symbol}', 776, '{number} {symbol}', 'T$', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 144),
(141, '', 'TRY', 2, ',', 'Turkish new lira', '{sign}{number} {symbol}', 949, '{number} {symbol}', 'YTL', '.', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 15),
(142, '', 'TTD', 2, ',', 'Trinidad and Tobago dollar', '{sign}{number} {symbol}', 780, '{number} {symbol}', 'TT$', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 145),
(143, '', 'TWD', 2, ',', 'New Taiwan dollar', '{sign}{number} {symbol}', 901, '{number} {symbol}', 'NT$', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 146),
(144, '', 'TZS', 2, ',', 'Tanzanian shilling', '{sign}{number} {symbol}', 834, '{number} {symbol}', 'Sh', '', '', 1, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 147),
(145, '', 'UAH', 2, ',', 'Ukrainian hryvnia', '{sign}{number} {symbol}', 980, '{number} {symbol}', '₴', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 148),
(146, '', 'UGX', 2, ',', 'Ugandan shilling', '{sign}{number} {symbol}', 800, '{number} {symbol}', 'Sh', '', '', 1, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 149),
(147, '', 'USD', 2, '.', 'United States dollar', '{symbol}{sign}{number}', 840, '{symbol}{number}', '$', ',', '', 1, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 1),
(148, '', 'UYI', 2, ',', 'Uruguay Peso', '{sign}{number} {symbol}', 940, '{number} {symbol}', 'UYI', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 150),
(149, '', 'UYU', '', '', 'Uruguayan peso', '{symbol}{sign}{number}', 858, '{symbol} {number}', '$', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 151),
(150, '', 'UZS', 2, ',', 'Uzbekistani som', '{sign}{number} {symbol}', 860, '{number} {symbol}', 'лв', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 152),
(151, '', 'VEF', 2, ',', 'Venezuelan bolívar', '{sign}{number} {symbol}', 937, '{number} {symbol}', 'Bs', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 153),
(152, '', 'VND', '', '', 'Vietnamese Dong', '{sign}{number} {symbol}', 704, '{number} {symbol}', '₫', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 154),
(153, '', 'VUV', 2, ',', 'Vanuatu vatu', '{sign}{number} {symbol}', 548, '{number} {symbol}', 'Vt', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 155),
(154, '', 'WST', 2, ',', 'Samoan tala', '{sign}{number} {symbol}', 882, '{number} {symbol}', 'T', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 156),
(155, '', 'XAF', '', '', 'Central African CFA franc', '{sign}{number} {symbol}', 950, '{number} {symbol}', 'Fr', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 157),
(156, '', 'XCD', 2, ',', 'East Caribbean dollar', '{sign}{number} {symbol}', 951, '{number} {symbol}', '$', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 158),
(157, '', 'XOF', 2, ',', 'West African CFA franc', '{sign}{number} {symbol}', 952, '{number} {symbol}', 'Fr', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 159),
(158, '', 'XPF', 2, ',', 'CFP franc', '{sign}{number} {symbol}', 953, '{number} {symbol}', 'Fr', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 160),
(159, '', 'YER', 2, ',', 'Yemeni rial', '{sign}{number} {symbol}', 886, '{number} {symbol}', '﷼', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 161),
(160, '', 'RSD', 2, ',', 'Serbian dinar', '{sign}{number} {symbol}', 941, '{number} {symbol}', 'Дин.', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 127),
(161, 'south-african-rand', 'ZAR', 2, ',', 'South African rand', '{symbol} {sign}{number}', 710, '{symbol} {number}', 'R', '', '', 1, '', 845, '0000-00-00 00:00:00', '2015-08-30 22:07:36', '', '0000-00-00 00:00:00', 2, '', 5, 22),
(162, '', 'ZMK', 2, ',', 'Zambian kwacha', '{sign}{number} {symbol}', 894, '{number} {symbol}', 'ZK', '', '', 1, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 162),
(163, '', 'ZWD', 2, ',', 'Zimbabwean dollar', '{sign}{number} {symbol}', 932, '{number} {symbol}', 'Z$', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 163),
(164, '', 'ZZZ', 2, ',', 'Reserved', '', '', '', 'O', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '', 164);